// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import 'src/google_fonts_base.dart';
import 'src/google_fonts_descriptor.dart';
import 'src/google_fonts_variant.dart';

/// A collection of properties used to specify custom behavior of the
/// GoogleFonts library.
class _Config {
  /// Whether or not the GoogleFonts library can make requests to
  /// [fonts.google.com](https://fonts.google.com/) to retrieve font files.
  var allowRuntimeFetching = true;
}

/// Provides configuration, and static methods to obtain [TextStyle]s and [TextTheme]s.
///
/// {@youtube 560 315 https://www.youtube.com/watch?v=8Vzv2CdbEY0}
///
/// Obtain a map of available fonts with [asMap]. Retrieve a font by family name
/// with [getFont]. Retrieve a text theme by its font family name [getTextTheme].
///
/// Check out the [README](https://github.com/material-foundation/flutter-packages/blob/main/packages/google_fonts/README.md) for more info.
class GoogleFonts {
  /// Configuration for the [GoogleFonts] library.
  ///
  /// Use this to define custom behavior of the GoogleFonts library in your app.
  /// For example, if you do not want the GoogleFonts library to make any HTTP
  /// requests for fonts, add the following snippet to your app's `main` method.
  ///
  /// ```dart
  /// GoogleFonts.config.allowRuntimeFetching = false;
  /// ```
  static final config = _Config();

  /// Get a map of all available fonts.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] method.
  static Map<
      String,
      TextStyle Function({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  })> asMap() => const {
        'ABeeZee': GoogleFonts.aBeeZee,
        'Abel': GoogleFonts.abel,
        'Abhaya Libre': GoogleFonts.abhayaLibre,
        'Aboreto': GoogleFonts.aboreto,
        'Abril Fatface': GoogleFonts.abrilFatface,
        'Abyssinica SIL': GoogleFonts.abyssinicaSil,
        'Aclonica': GoogleFonts.aclonica,
        'Acme': GoogleFonts.acme,
        'Actor': GoogleFonts.actor,
        'Adamina': GoogleFonts.adamina,
        'Advent Pro': GoogleFonts.adventPro,
        'Aguafina Script': GoogleFonts.aguafinaScript,
        'Akaya Kanadaka': GoogleFonts.akayaKanadaka,
        'Akaya Telivigala': GoogleFonts.akayaTelivigala,
        'Akronim': GoogleFonts.akronim,
        'Akshar': GoogleFonts.akshar,
        'Aladin': GoogleFonts.aladin,
        'Alata': GoogleFonts.alata,
        'Alatsi': GoogleFonts.alatsi,
        'Albert Sans': GoogleFonts.albertSans,
        'Aldrich': GoogleFonts.aldrich,
        'Alef': GoogleFonts.alef,
        'Alegreya': GoogleFonts.alegreya,
        'Alegreya SC': GoogleFonts.alegreyaSc,
        'Alegreya Sans': GoogleFonts.alegreyaSans,
        'Alegreya Sans SC': GoogleFonts.alegreyaSansSc,
        'Aleo': GoogleFonts.aleo,
        'Alex Brush': GoogleFonts.alexBrush,
        'Alexandria': GoogleFonts.alexandria,
        'Alfa Slab One': GoogleFonts.alfaSlabOne,
        'Alice': GoogleFonts.alice,
        'Alike': GoogleFonts.alike,
        'Alike Angular': GoogleFonts.alikeAngular,
        'Alkalami': GoogleFonts.alkalami,
        'Allan': GoogleFonts.allan,
        'Allerta': GoogleFonts.allerta,
        'Allerta Stencil': GoogleFonts.allertaStencil,
        'Allison': GoogleFonts.allison,
        'Allura': GoogleFonts.allura,
        'Almarai': GoogleFonts.almarai,
        'Almendra': GoogleFonts.almendra,
        'Almendra Display': GoogleFonts.almendraDisplay,
        'Almendra SC': GoogleFonts.almendraSc,
        'Alumni Sans': GoogleFonts.alumniSans,
        'Alumni Sans Collegiate One': GoogleFonts.alumniSansCollegiateOne,
        'Alumni Sans Inline One': GoogleFonts.alumniSansInlineOne,
        'Alumni Sans Pinstripe': GoogleFonts.alumniSansPinstripe,
        'Amarante': GoogleFonts.amarante,
        'Amaranth': GoogleFonts.amaranth,
        'Amatic SC': GoogleFonts.amaticSc,
        'Amethysta': GoogleFonts.amethysta,
        'Amiko': GoogleFonts.amiko,
        'Amiri': GoogleFonts.amiri,
        'Amiri Quran': GoogleFonts.amiriQuran,
        'Amita': GoogleFonts.amita,
        'Anaheim': GoogleFonts.anaheim,
        'Andada Pro': GoogleFonts.andadaPro,
        'Andika': GoogleFonts.andika,
        'Anek Bangla': GoogleFonts.anekBangla,
        'Anek Devanagari': GoogleFonts.anekDevanagari,
        'Anek Gujarati': GoogleFonts.anekGujarati,
        'Anek Gurmukhi': GoogleFonts.anekGurmukhi,
        'Anek Kannada': GoogleFonts.anekKannada,
        'Anek Latin': GoogleFonts.anekLatin,
        'Anek Malayalam': GoogleFonts.anekMalayalam,
        'Anek Odia': GoogleFonts.anekOdia,
        'Anek Tamil': GoogleFonts.anekTamil,
        'Anek Telugu': GoogleFonts.anekTelugu,
        'Angkor': GoogleFonts.angkor,
        'Annie Use Your Telescope': GoogleFonts.annieUseYourTelescope,
        'Anonymous Pro': GoogleFonts.anonymousPro,
        'Antic': GoogleFonts.antic,
        'Antic Didone': GoogleFonts.anticDidone,
        'Antic Slab': GoogleFonts.anticSlab,
        'Anton': GoogleFonts.anton,
        'Antonio': GoogleFonts.antonio,
        'Anybody': GoogleFonts.anybody,
        'Arapey': GoogleFonts.arapey,
        'Arbutus': GoogleFonts.arbutus,
        'Arbutus Slab': GoogleFonts.arbutusSlab,
        'Architects Daughter': GoogleFonts.architectsDaughter,
        'Archivo': GoogleFonts.archivo,
        'Archivo Black': GoogleFonts.archivoBlack,
        'Archivo Narrow': GoogleFonts.archivoNarrow,
        'Are You Serious': GoogleFonts.areYouSerious,
        'Aref Ruqaa': GoogleFonts.arefRuqaa,
        'Aref Ruqaa Ink': GoogleFonts.arefRuqaaInk,
        'Arima': GoogleFonts.arima,
        'Arima Madurai': GoogleFonts.arimaMadurai,
        'Arimo': GoogleFonts.arimo,
        'Arizonia': GoogleFonts.arizonia,
        'Armata': GoogleFonts.armata,
        'Arsenal': GoogleFonts.arsenal,
        'Artifika': GoogleFonts.artifika,
        'Arvo': GoogleFonts.arvo,
        'Arya': GoogleFonts.arya,
        'Asap': GoogleFonts.asap,
        'Asap Condensed': GoogleFonts.asapCondensed,
        'Asar': GoogleFonts.asar,
        'Asset': GoogleFonts.asset,
        'Assistant': GoogleFonts.assistant,
        'Astloch': GoogleFonts.astloch,
        'Asul': GoogleFonts.asul,
        'Athiti': GoogleFonts.athiti,
        'Atkinson Hyperlegible': GoogleFonts.atkinsonHyperlegible,
        'Atma': GoogleFonts.atma,
        'Atomic Age': GoogleFonts.atomicAge,
        'Aubrey': GoogleFonts.aubrey,
        'Audiowide': GoogleFonts.audiowide,
        'Autour One': GoogleFonts.autourOne,
        'Average': GoogleFonts.average,
        'Average Sans': GoogleFonts.averageSans,
        'Averia Gruesa Libre': GoogleFonts.averiaGruesaLibre,
        'Averia Libre': GoogleFonts.averiaLibre,
        'Averia Sans Libre': GoogleFonts.averiaSansLibre,
        'Averia Serif Libre': GoogleFonts.averiaSerifLibre,
        'Azeret Mono': GoogleFonts.azeretMono,
        'B612': GoogleFonts.b612,
        'B612 Mono': GoogleFonts.b612Mono,
        'BIZ UDGothic': GoogleFonts.bizUDGothic,
        'BIZ UDMincho': GoogleFonts.bizUDMincho,
        'BIZ UDPGothic': GoogleFonts.bizUDPGothic,
        'BIZ UDPMincho': GoogleFonts.bizUDPMincho,
        'Babylonica': GoogleFonts.babylonica,
        'Bad Script': GoogleFonts.badScript,
        'Bahiana': GoogleFonts.bahiana,
        'Bahianita': GoogleFonts.bahianita,
        'Bai Jamjuree': GoogleFonts.baiJamjuree,
        'Bakbak One': GoogleFonts.bakbakOne,
        'Ballet': GoogleFonts.ballet,
        'Baloo 2': GoogleFonts.baloo2,
        'Baloo Bhai 2': GoogleFonts.balooBhai2,
        'Baloo Bhaijaan 2': GoogleFonts.balooBhaijaan2,
        'Baloo Bhaina 2': GoogleFonts.balooBhaina2,
        'Baloo Chettan 2': GoogleFonts.balooChettan2,
        'Baloo Da 2': GoogleFonts.balooDa2,
        'Baloo Paaji 2': GoogleFonts.balooPaaji2,
        'Baloo Tamma 2': GoogleFonts.balooTamma2,
        'Baloo Tammudu 2': GoogleFonts.balooTammudu2,
        'Baloo Thambi 2': GoogleFonts.balooThambi2,
        'Balsamiq Sans': GoogleFonts.balsamiqSans,
        'Balthazar': GoogleFonts.balthazar,
        'Bangers': GoogleFonts.bangers,
        'Barlow': GoogleFonts.barlow,
        'Barlow Condensed': GoogleFonts.barlowCondensed,
        'Barlow Semi Condensed': GoogleFonts.barlowSemiCondensed,
        'Barriecito': GoogleFonts.barriecito,
        'Barrio': GoogleFonts.barrio,
        'Basic': GoogleFonts.basic,
        'Baskervville': GoogleFonts.baskervville,
        'Battambang': GoogleFonts.battambang,
        'Baumans': GoogleFonts.baumans,
        'Bayon': GoogleFonts.bayon,
        'Be Vietnam Pro': GoogleFonts.beVietnamPro,
        'Beau Rivage': GoogleFonts.beauRivage,
        'Bebas Neue': GoogleFonts.bebasNeue,
        'Belgrano': GoogleFonts.belgrano,
        'Bellefair': GoogleFonts.bellefair,
        'Belleza': GoogleFonts.belleza,
        'Bellota': GoogleFonts.bellota,
        'Bellota Text': GoogleFonts.bellotaText,
        'BenchNine': GoogleFonts.benchNine,
        'Benne': GoogleFonts.benne,
        'Bentham': GoogleFonts.bentham,
        'Berkshire Swash': GoogleFonts.berkshireSwash,
        'Besley': GoogleFonts.besley,
        'Beth Ellen': GoogleFonts.bethEllen,
        'Bevan': GoogleFonts.bevan,
        'BhuTuka Expanded One': GoogleFonts.bhuTukaExpandedOne,
        'Big Shoulders Display': GoogleFonts.bigShouldersDisplay,
        'Big Shoulders Inline Display': GoogleFonts.bigShouldersInlineDisplay,
        'Big Shoulders Inline Text': GoogleFonts.bigShouldersInlineText,
        'Big Shoulders Stencil Display': GoogleFonts.bigShouldersStencilDisplay,
        'Big Shoulders Stencil Text': GoogleFonts.bigShouldersStencilText,
        'Big Shoulders Text': GoogleFonts.bigShouldersText,
        'Bigelow Rules': GoogleFonts.bigelowRules,
        'Bigshot One': GoogleFonts.bigshotOne,
        'Bilbo': GoogleFonts.bilbo,
        'Bilbo Swash Caps': GoogleFonts.bilboSwashCaps,
        'BioRhyme': GoogleFonts.bioRhyme,
        'BioRhyme Expanded': GoogleFonts.bioRhymeExpanded,
        'Birthstone': GoogleFonts.birthstone,
        'Birthstone Bounce': GoogleFonts.birthstoneBounce,
        'Biryani': GoogleFonts.biryani,
        'Bitter': GoogleFonts.bitter,
        'Black And White Picture': GoogleFonts.blackAndWhitePicture,
        'Black Han Sans': GoogleFonts.blackHanSans,
        'Black Ops One': GoogleFonts.blackOpsOne,
        'Blaka': GoogleFonts.blaka,
        'Blaka Hollow': GoogleFonts.blakaHollow,
        'Blaka Ink': GoogleFonts.blakaInk,
        'Blinker': GoogleFonts.blinker,
        'Bodoni Moda': GoogleFonts.bodoniModa,
        'Bokor': GoogleFonts.bokor,
        'Bona Nova': GoogleFonts.bonaNova,
        'Bonbon': GoogleFonts.bonbon,
        'Bonheur Royale': GoogleFonts.bonheurRoyale,
        'Boogaloo': GoogleFonts.boogaloo,
        'Bowlby One': GoogleFonts.bowlbyOne,
        'Bowlby One SC': GoogleFonts.bowlbyOneSc,
        'Brawler': GoogleFonts.brawler,
        'Bree Serif': GoogleFonts.breeSerif,
        'Brygada 1918': GoogleFonts.brygada1918,
        'Bubblegum Sans': GoogleFonts.bubblegumSans,
        'Bubbler One': GoogleFonts.bubblerOne,
        'Buda': GoogleFonts.buda,
        'Buenard': GoogleFonts.buenard,
        'Bungee': GoogleFonts.bungee,
        'Bungee Hairline': GoogleFonts.bungeeHairline,
        'Bungee Inline': GoogleFonts.bungeeInline,
        'Bungee Outline': GoogleFonts.bungeeOutline,
        'Bungee Shade': GoogleFonts.bungeeShade,
        'Bungee Spice': GoogleFonts.bungeeSpice,
        'Butcherman': GoogleFonts.butcherman,
        'Butterfly Kids': GoogleFonts.butterflyKids,
        'Cabin': GoogleFonts.cabin,
        'Cabin Condensed': GoogleFonts.cabinCondensed,
        'Cabin Sketch': GoogleFonts.cabinSketch,
        'Caesar Dressing': GoogleFonts.caesarDressing,
        'Cagliostro': GoogleFonts.cagliostro,
        'Cairo': GoogleFonts.cairo,
        'Cairo Play': GoogleFonts.cairoPlay,
        'Caladea': GoogleFonts.caladea,
        'Calistoga': GoogleFonts.calistoga,
        'Calligraffitti': GoogleFonts.calligraffitti,
        'Cambay': GoogleFonts.cambay,
        'Cambo': GoogleFonts.cambo,
        'Candal': GoogleFonts.candal,
        'Cantarell': GoogleFonts.cantarell,
        'Cantata One': GoogleFonts.cantataOne,
        'Cantora One': GoogleFonts.cantoraOne,
        'Capriola': GoogleFonts.capriola,
        'Caramel': GoogleFonts.caramel,
        'Carattere': GoogleFonts.carattere,
        'Cardo': GoogleFonts.cardo,
        'Carme': GoogleFonts.carme,
        'Carrois Gothic': GoogleFonts.carroisGothic,
        'Carrois Gothic SC': GoogleFonts.carroisGothicSc,
        'Carter One': GoogleFonts.carterOne,
        'Castoro': GoogleFonts.castoro,
        'Catamaran': GoogleFonts.catamaran,
        'Caudex': GoogleFonts.caudex,
        'Caveat': GoogleFonts.caveat,
        'Caveat Brush': GoogleFonts.caveatBrush,
        'Cedarville Cursive': GoogleFonts.cedarvilleCursive,
        'Ceviche One': GoogleFonts.cevicheOne,
        'Chakra Petch': GoogleFonts.chakraPetch,
        'Changa': GoogleFonts.changa,
        'Changa One': GoogleFonts.changaOne,
        'Chango': GoogleFonts.chango,
        'Charis SIL': GoogleFonts.charisSil,
        'Charm': GoogleFonts.charm,
        'Charmonman': GoogleFonts.charmonman,
        'Chathura': GoogleFonts.chathura,
        'Chau Philomene One': GoogleFonts.chauPhilomeneOne,
        'Chela One': GoogleFonts.chelaOne,
        'Chelsea Market': GoogleFonts.chelseaMarket,
        'Chenla': GoogleFonts.chenla,
        'Cherish': GoogleFonts.cherish,
        'Cherry Cream Soda': GoogleFonts.cherryCreamSoda,
        'Cherry Swash': GoogleFonts.cherrySwash,
        'Chewy': GoogleFonts.chewy,
        'Chicle': GoogleFonts.chicle,
        'Chilanka': GoogleFonts.chilanka,
        'Chivo': GoogleFonts.chivo,
        'Chonburi': GoogleFonts.chonburi,
        'Cinzel': GoogleFonts.cinzel,
        'Cinzel Decorative': GoogleFonts.cinzelDecorative,
        'Clicker Script': GoogleFonts.clickerScript,
        'Coda': GoogleFonts.coda,
        'Coda Caption': GoogleFonts.codaCaption,
        'Codystar': GoogleFonts.codystar,
        'Coiny': GoogleFonts.coiny,
        'Combo': GoogleFonts.combo,
        'Comfortaa': GoogleFonts.comfortaa,
        'Comforter': GoogleFonts.comforter,
        'Comforter Brush': GoogleFonts.comforterBrush,
        'Comic Neue': GoogleFonts.comicNeue,
        'Coming Soon': GoogleFonts.comingSoon,
        'Commissioner': GoogleFonts.commissioner,
        'Concert One': GoogleFonts.concertOne,
        'Condiment': GoogleFonts.condiment,
        'Content': GoogleFonts.content,
        'Contrail One': GoogleFonts.contrailOne,
        'Convergence': GoogleFonts.convergence,
        'Cookie': GoogleFonts.cookie,
        'Copse': GoogleFonts.copse,
        'Corben': GoogleFonts.corben,
        'Corinthia': GoogleFonts.corinthia,
        'Cormorant': GoogleFonts.cormorant,
        'Cormorant Garamond': GoogleFonts.cormorantGaramond,
        'Cormorant Infant': GoogleFonts.cormorantInfant,
        'Cormorant SC': GoogleFonts.cormorantSc,
        'Cormorant Unicase': GoogleFonts.cormorantUnicase,
        'Cormorant Upright': GoogleFonts.cormorantUpright,
        'Courgette': GoogleFonts.courgette,
        'Courier Prime': GoogleFonts.courierPrime,
        'Cousine': GoogleFonts.cousine,
        'Coustard': GoogleFonts.coustard,
        'Covered By Your Grace': GoogleFonts.coveredByYourGrace,
        'Crafty Girls': GoogleFonts.craftyGirls,
        'Creepster': GoogleFonts.creepster,
        'Crete Round': GoogleFonts.creteRound,
        'Crimson Pro': GoogleFonts.crimsonPro,
        'Crimson Text': GoogleFonts.crimsonText,
        'Croissant One': GoogleFonts.croissantOne,
        'Crushed': GoogleFonts.crushed,
        'Cuprum': GoogleFonts.cuprum,
        'Cute Font': GoogleFonts.cuteFont,
        'Cutive': GoogleFonts.cutive,
        'Cutive Mono': GoogleFonts.cutiveMono,
        'DM Mono': GoogleFonts.dmMono,
        'DM Sans': GoogleFonts.dmSans,
        'DM Serif Display': GoogleFonts.dmSerifDisplay,
        'DM Serif Text': GoogleFonts.dmSerifText,
        'Damion': GoogleFonts.damion,
        'Dancing Script': GoogleFonts.dancingScript,
        'Dangrek': GoogleFonts.dangrek,
        'Darker Grotesque': GoogleFonts.darkerGrotesque,
        'David Libre': GoogleFonts.davidLibre,
        'Dawning of a New Day': GoogleFonts.dawningOfANewDay,
        'Days One': GoogleFonts.daysOne,
        'Dekko': GoogleFonts.dekko,
        'Dela Gothic One': GoogleFonts.delaGothicOne,
        'Delius': GoogleFonts.delius,
        'Delius Swash Caps': GoogleFonts.deliusSwashCaps,
        'Delius Unicase': GoogleFonts.deliusUnicase,
        'Della Respira': GoogleFonts.dellaRespira,
        'Denk One': GoogleFonts.denkOne,
        'Devonshire': GoogleFonts.devonshire,
        'Dhurjati': GoogleFonts.dhurjati,
        'Didact Gothic': GoogleFonts.didactGothic,
        'Diplomata': GoogleFonts.diplomata,
        'Diplomata SC': GoogleFonts.diplomataSc,
        'Do Hyeon': GoogleFonts.doHyeon,
        'Dokdo': GoogleFonts.dokdo,
        'Domine': GoogleFonts.domine,
        'Donegal One': GoogleFonts.donegalOne,
        'Dongle': GoogleFonts.dongle,
        'Doppio One': GoogleFonts.doppioOne,
        'Dorsa': GoogleFonts.dorsa,
        'Dosis': GoogleFonts.dosis,
        'DotGothic16': GoogleFonts.dotGothic16,
        'Dr Sugiyama': GoogleFonts.drSugiyama,
        'Duru Sans': GoogleFonts.duruSans,
        'DynaPuff': GoogleFonts.dynaPuff,
        'Dynalight': GoogleFonts.dynalight,
        'EB Garamond': GoogleFonts.ebGaramond,
        'Eagle Lake': GoogleFonts.eagleLake,
        'East Sea Dokdo': GoogleFonts.eastSeaDokdo,
        'Eater': GoogleFonts.eater,
        'Economica': GoogleFonts.economica,
        'Eczar': GoogleFonts.eczar,
        'Edu NSW ACT Foundation': GoogleFonts.eduNswActFoundation,
        'Edu QLD Beginner': GoogleFonts.eduQldBeginner,
        'Edu SA Beginner': GoogleFonts.eduSaBeginner,
        'Edu TAS Beginner': GoogleFonts.eduTasBeginner,
        'Edu VIC WA NT Beginner': GoogleFonts.eduVicWaNtBeginner,
        'El Messiri': GoogleFonts.elMessiri,
        'Electrolize': GoogleFonts.electrolize,
        'Elsie': GoogleFonts.elsie,
        'Elsie Swash Caps': GoogleFonts.elsieSwashCaps,
        'Emblema One': GoogleFonts.emblemaOne,
        'Emilys Candy': GoogleFonts.emilysCandy,
        'Encode Sans': GoogleFonts.encodeSans,
        'Encode Sans Condensed': GoogleFonts.encodeSansCondensed,
        'Encode Sans Expanded': GoogleFonts.encodeSansExpanded,
        'Encode Sans SC': GoogleFonts.encodeSansSc,
        'Encode Sans Semi Condensed': GoogleFonts.encodeSansSemiCondensed,
        'Encode Sans Semi Expanded': GoogleFonts.encodeSansSemiExpanded,
        'Engagement': GoogleFonts.engagement,
        'Englebert': GoogleFonts.englebert,
        'Enriqueta': GoogleFonts.enriqueta,
        'Ephesis': GoogleFonts.ephesis,
        'Epilogue': GoogleFonts.epilogue,
        'Erica One': GoogleFonts.ericaOne,
        'Esteban': GoogleFonts.esteban,
        'Estonia': GoogleFonts.estonia,
        'Euphoria Script': GoogleFonts.euphoriaScript,
        'Ewert': GoogleFonts.ewert,
        'Exo': GoogleFonts.exo,
        'Exo 2': GoogleFonts.exo2,
        'Expletus Sans': GoogleFonts.expletusSans,
        'Explora': GoogleFonts.explora,
        'Fahkwang': GoogleFonts.fahkwang,
        'Familjen Grotesk': GoogleFonts.familjenGrotesk,
        'Fanwood Text': GoogleFonts.fanwoodText,
        'Farro': GoogleFonts.farro,
        'Farsan': GoogleFonts.farsan,
        'Fascinate': GoogleFonts.fascinate,
        'Fascinate Inline': GoogleFonts.fascinateInline,
        'Faster One': GoogleFonts.fasterOne,
        'Fasthand': GoogleFonts.fasthand,
        'Fauna One': GoogleFonts.faunaOne,
        'Faustina': GoogleFonts.faustina,
        'Federant': GoogleFonts.federant,
        'Federo': GoogleFonts.federo,
        'Felipa': GoogleFonts.felipa,
        'Fenix': GoogleFonts.fenix,
        'Festive': GoogleFonts.festive,
        'Figtree': GoogleFonts.figtree,
        'Finger Paint': GoogleFonts.fingerPaint,
        'Finlandica': GoogleFonts.finlandica,
        'Fira Code': GoogleFonts.firaCode,
        'Fira Mono': GoogleFonts.firaMono,
        'Fira Sans': GoogleFonts.firaSans,
        'Fira Sans Condensed': GoogleFonts.firaSansCondensed,
        'Fira Sans Extra Condensed': GoogleFonts.firaSansExtraCondensed,
        'Fjalla One': GoogleFonts.fjallaOne,
        'Fjord One': GoogleFonts.fjordOne,
        'Flamenco': GoogleFonts.flamenco,
        'Flavors': GoogleFonts.flavors,
        'Fleur De Leah': GoogleFonts.fleurDeLeah,
        'Flow Block': GoogleFonts.flowBlock,
        'Flow Circular': GoogleFonts.flowCircular,
        'Flow Rounded': GoogleFonts.flowRounded,
        'Fondamento': GoogleFonts.fondamento,
        'Fontdiner Swanky': GoogleFonts.fontdinerSwanky,
        'Forum': GoogleFonts.forum,
        'Fragment Mono': GoogleFonts.fragmentMono,
        'Francois One': GoogleFonts.francoisOne,
        'Frank Ruhl Libre': GoogleFonts.frankRuhlLibre,
        'Fraunces': GoogleFonts.fraunces,
        'Freckle Face': GoogleFonts.freckleFace,
        'Fredericka the Great': GoogleFonts.frederickaTheGreat,
        'Fredoka': GoogleFonts.fredoka,
        'Fredoka One': GoogleFonts.fredokaOne,
        'Freehand': GoogleFonts.freehand,
        'Fresca': GoogleFonts.fresca,
        'Frijole': GoogleFonts.frijole,
        'Fruktur': GoogleFonts.fruktur,
        'Fugaz One': GoogleFonts.fugazOne,
        'Fuggles': GoogleFonts.fuggles,
        'Fuzzy Bubbles': GoogleFonts.fuzzyBubbles,
        'GFS Didot': GoogleFonts.gfsDidot,
        'GFS Neohellenic': GoogleFonts.gfsNeohellenic,
        'Gabriela': GoogleFonts.gabriela,
        'Gaegu': GoogleFonts.gaegu,
        'Gafata': GoogleFonts.gafata,
        'Galada': GoogleFonts.galada,
        'Galdeano': GoogleFonts.galdeano,
        'Galindo': GoogleFonts.galindo,
        'Gamja Flower': GoogleFonts.gamjaFlower,
        'Gantari': GoogleFonts.gantari,
        'Gayathri': GoogleFonts.gayathri,
        'Gelasio': GoogleFonts.gelasio,
        'Gemunu Libre': GoogleFonts.gemunuLibre,
        'Genos': GoogleFonts.genos,
        'Gentium Book Basic': GoogleFonts.gentiumBookBasic,
        'Gentium Book Plus': GoogleFonts.gentiumBookPlus,
        'Gentium Plus': GoogleFonts.gentiumPlus,
        'Geo': GoogleFonts.geo,
        'Georama': GoogleFonts.georama,
        'Geostar': GoogleFonts.geostar,
        'Geostar Fill': GoogleFonts.geostarFill,
        'Germania One': GoogleFonts.germaniaOne,
        'Gideon Roman': GoogleFonts.gideonRoman,
        'Gidugu': GoogleFonts.gidugu,
        'Gilda Display': GoogleFonts.gildaDisplay,
        'Girassol': GoogleFonts.girassol,
        'Give You Glory': GoogleFonts.giveYouGlory,
        'Glass Antiqua': GoogleFonts.glassAntiqua,
        'Glegoo': GoogleFonts.glegoo,
        'Gloria Hallelujah': GoogleFonts.gloriaHallelujah,
        'Glory': GoogleFonts.glory,
        'Gluten': GoogleFonts.gluten,
        'Goblin One': GoogleFonts.goblinOne,
        'Gochi Hand': GoogleFonts.gochiHand,
        'Goldman': GoogleFonts.goldman,
        'Gorditas': GoogleFonts.gorditas,
        'Gothic A1': GoogleFonts.gothicA1,
        'Gotu': GoogleFonts.gotu,
        'Goudy Bookletter 1911': GoogleFonts.goudyBookletter1911,
        'Gowun Batang': GoogleFonts.gowunBatang,
        'Gowun Dodum': GoogleFonts.gowunDodum,
        'Graduate': GoogleFonts.graduate,
        'Grand Hotel': GoogleFonts.grandHotel,
        'Grandstander': GoogleFonts.grandstander,
        'Grape Nuts': GoogleFonts.grapeNuts,
        'Gravitas One': GoogleFonts.gravitasOne,
        'Great Vibes': GoogleFonts.greatVibes,
        'Grechen Fuemen': GoogleFonts.grechenFuemen,
        'Grenze': GoogleFonts.grenze,
        'Grenze Gotisch': GoogleFonts.grenzeGotisch,
        'Grey Qo': GoogleFonts.greyQo,
        'Griffy': GoogleFonts.griffy,
        'Gruppo': GoogleFonts.gruppo,
        'Gudea': GoogleFonts.gudea,
        'Gugi': GoogleFonts.gugi,
        'Gulzar': GoogleFonts.gulzar,
        'Gupter': GoogleFonts.gupter,
        'Gurajada': GoogleFonts.gurajada,
        'Gwendolyn': GoogleFonts.gwendolyn,
        'Habibi': GoogleFonts.habibi,
        'Hachi Maru Pop': GoogleFonts.hachiMaruPop,
        'Hahmlet': GoogleFonts.hahmlet,
        'Halant': GoogleFonts.halant,
        'Hammersmith One': GoogleFonts.hammersmithOne,
        'Hanalei': GoogleFonts.hanalei,
        'Hanalei Fill': GoogleFonts.hanaleiFill,
        'Handlee': GoogleFonts.handlee,
        'Hanuman': GoogleFonts.hanuman,
        'Happy Monkey': GoogleFonts.happyMonkey,
        'Harmattan': GoogleFonts.harmattan,
        'Headland One': GoogleFonts.headlandOne,
        'Heebo': GoogleFonts.heebo,
        'Henny Penny': GoogleFonts.hennyPenny,
        'Hepta Slab': GoogleFonts.heptaSlab,
        'Herr Von Muellerhoff': GoogleFonts.herrVonMuellerhoff,
        'Hi Melody': GoogleFonts.hiMelody,
        'Hina Mincho': GoogleFonts.hinaMincho,
        'Hind': GoogleFonts.hind,
        'Hind Guntur': GoogleFonts.hindGuntur,
        'Hind Madurai': GoogleFonts.hindMadurai,
        'Hind Siliguri': GoogleFonts.hindSiliguri,
        'Hind Vadodara': GoogleFonts.hindVadodara,
        'Holtwood One SC': GoogleFonts.holtwoodOneSc,
        'Homemade Apple': GoogleFonts.homemadeApple,
        'Homenaje': GoogleFonts.homenaje,
        'Hubballi': GoogleFonts.hubballi,
        'Hurricane': GoogleFonts.hurricane,
        'IBM Plex Mono': GoogleFonts.ibmPlexMono,
        'IBM Plex Sans': GoogleFonts.ibmPlexSans,
        'IBM Plex Sans Arabic': GoogleFonts.ibmPlexSansArabic,
        'IBM Plex Sans Condensed': GoogleFonts.ibmPlexSansCondensed,
        'IBM Plex Sans Devanagari': GoogleFonts.ibmPlexSansDevanagari,
        'IBM Plex Sans Hebrew': GoogleFonts.ibmPlexSansHebrew,
        'IBM Plex Sans JP': GoogleFonts.ibmPlexSansJp,
        'IBM Plex Sans KR': GoogleFonts.ibmPlexSansKr,
        'IBM Plex Sans Thai': GoogleFonts.ibmPlexSansThai,
        'IBM Plex Sans Thai Looped': GoogleFonts.ibmPlexSansThaiLooped,
        'IBM Plex Serif': GoogleFonts.ibmPlexSerif,
        'IM Fell DW Pica': GoogleFonts.imFellDwPica,
        'IM Fell DW Pica SC': GoogleFonts.imFellDwPicaSc,
        'IM Fell Double Pica': GoogleFonts.imFellDoublePica,
        'IM Fell Double Pica SC': GoogleFonts.imFellDoublePicaSc,
        'IM Fell English': GoogleFonts.imFellEnglish,
        'IM Fell English SC': GoogleFonts.imFellEnglishSc,
        'IM Fell French Canon': GoogleFonts.imFellFrenchCanon,
        'IM Fell French Canon SC': GoogleFonts.imFellFrenchCanonSc,
        'IM Fell Great Primer': GoogleFonts.imFellGreatPrimer,
        'IM Fell Great Primer SC': GoogleFonts.imFellGreatPrimerSc,
        'Ibarra Real Nova': GoogleFonts.ibarraRealNova,
        'Iceberg': GoogleFonts.iceberg,
        'Iceland': GoogleFonts.iceland,
        'Imbue': GoogleFonts.imbue,
        'Imperial Script': GoogleFonts.imperialScript,
        'Imprima': GoogleFonts.imprima,
        'Inconsolata': GoogleFonts.inconsolata,
        'Inder': GoogleFonts.inder,
        'Indie Flower': GoogleFonts.indieFlower,
        'Ingrid Darling': GoogleFonts.ingridDarling,
        'Inika': GoogleFonts.inika,
        'Inknut Antiqua': GoogleFonts.inknutAntiqua,
        'Inria Sans': GoogleFonts.inriaSans,
        'Inria Serif': GoogleFonts.inriaSerif,
        'Inspiration': GoogleFonts.inspiration,
        'Inter': GoogleFonts.inter,
        'Inter Tight': GoogleFonts.interTight,
        'Irish Grover': GoogleFonts.irishGrover,
        'Island Moments': GoogleFonts.islandMoments,
        'Istok Web': GoogleFonts.istokWeb,
        'Italiana': GoogleFonts.italiana,
        'Italianno': GoogleFonts.italianno,
        'Itim': GoogleFonts.itim,
        'Jacques Francois': GoogleFonts.jacquesFrancois,
        'Jacques Francois Shadow': GoogleFonts.jacquesFrancoisShadow,
        'Jaldi': GoogleFonts.jaldi,
        'JetBrains Mono': GoogleFonts.jetBrainsMono,
        'Jim Nightshade': GoogleFonts.jimNightshade,
        'Joan': GoogleFonts.joan,
        'Jockey One': GoogleFonts.jockeyOne,
        'Jolly Lodger': GoogleFonts.jollyLodger,
        'Jomhuria': GoogleFonts.jomhuria,
        'Jomolhari': GoogleFonts.jomolhari,
        'Josefin Sans': GoogleFonts.josefinSans,
        'Josefin Slab': GoogleFonts.josefinSlab,
        'Jost': GoogleFonts.jost,
        'Joti One': GoogleFonts.jotiOne,
        'Jua': GoogleFonts.jua,
        'Judson': GoogleFonts.judson,
        'Julee': GoogleFonts.julee,
        'Julius Sans One': GoogleFonts.juliusSansOne,
        'Junge': GoogleFonts.junge,
        'Jura': GoogleFonts.jura,
        'Just Another Hand': GoogleFonts.justAnotherHand,
        'Just Me Again Down Here': GoogleFonts.justMeAgainDownHere,
        'K2D': GoogleFonts.k2d,
        'Kadwa': GoogleFonts.kadwa,
        'Kaisei Decol': GoogleFonts.kaiseiDecol,
        'Kaisei HarunoUmi': GoogleFonts.kaiseiHarunoUmi,
        'Kaisei Opti': GoogleFonts.kaiseiOpti,
        'Kaisei Tokumin': GoogleFonts.kaiseiTokumin,
        'Kalam': GoogleFonts.kalam,
        'Kameron': GoogleFonts.kameron,
        'Kanit': GoogleFonts.kanit,
        'Kantumruy': GoogleFonts.kantumruy,
        'Kantumruy Pro': GoogleFonts.kantumruyPro,
        'Karantina': GoogleFonts.karantina,
        'Karla': GoogleFonts.karla,
        'Karma': GoogleFonts.karma,
        'Katibeh': GoogleFonts.katibeh,
        'Kaushan Script': GoogleFonts.kaushanScript,
        'Kavivanar': GoogleFonts.kavivanar,
        'Kavoon': GoogleFonts.kavoon,
        'Kdam Thmor Pro': GoogleFonts.kdamThmorPro,
        'Keania One': GoogleFonts.keaniaOne,
        'Kelly Slab': GoogleFonts.kellySlab,
        'Kenia': GoogleFonts.kenia,
        'Khand': GoogleFonts.khand,
        'Khmer': GoogleFonts.khmer,
        'Khula': GoogleFonts.khula,
        'Kings': GoogleFonts.kings,
        'Kirang Haerang': GoogleFonts.kirangHaerang,
        'Kite One': GoogleFonts.kiteOne,
        'Kiwi Maru': GoogleFonts.kiwiMaru,
        'Klee One': GoogleFonts.kleeOne,
        'Knewave': GoogleFonts.knewave,
        'KoHo': GoogleFonts.koHo,
        'Kodchasan': GoogleFonts.kodchasan,
        'Koh Santepheap': GoogleFonts.kohSantepheap,
        'Kolker Brush': GoogleFonts.kolkerBrush,
        'Kosugi': GoogleFonts.kosugi,
        'Kosugi Maru': GoogleFonts.kosugiMaru,
        'Kotta One': GoogleFonts.kottaOne,
        'Koulen': GoogleFonts.koulen,
        'Kranky': GoogleFonts.kranky,
        'Kreon': GoogleFonts.kreon,
        'Kristi': GoogleFonts.kristi,
        'Krona One': GoogleFonts.kronaOne,
        'Krub': GoogleFonts.krub,
        'Kufam': GoogleFonts.kufam,
        'Kulim Park': GoogleFonts.kulimPark,
        'Kumar One': GoogleFonts.kumarOne,
        'Kumar One Outline': GoogleFonts.kumarOneOutline,
        'Kumbh Sans': GoogleFonts.kumbhSans,
        'Kurale': GoogleFonts.kurale,
        'La Belle Aurore': GoogleFonts.laBelleAurore,
        'Lacquer': GoogleFonts.lacquer,
        'Laila': GoogleFonts.laila,
        'Lakki Reddy': GoogleFonts.lakkiReddy,
        'Lalezar': GoogleFonts.lalezar,
        'Lancelot': GoogleFonts.lancelot,
        'Langar': GoogleFonts.langar,
        'Lateef': GoogleFonts.lateef,
        'Lato': GoogleFonts.lato,
        'Lavishly Yours': GoogleFonts.lavishlyYours,
        'League Gothic': GoogleFonts.leagueGothic,
        'League Script': GoogleFonts.leagueScript,
        'League Spartan': GoogleFonts.leagueSpartan,
        'Leckerli One': GoogleFonts.leckerliOne,
        'Ledger': GoogleFonts.ledger,
        'Lekton': GoogleFonts.lekton,
        'Lemon': GoogleFonts.lemon,
        'Lemonada': GoogleFonts.lemonada,
        'Lexend': GoogleFonts.lexend,
        'Lexend Deca': GoogleFonts.lexendDeca,
        'Lexend Exa': GoogleFonts.lexendExa,
        'Lexend Giga': GoogleFonts.lexendGiga,
        'Lexend Mega': GoogleFonts.lexendMega,
        'Lexend Peta': GoogleFonts.lexendPeta,
        'Lexend Tera': GoogleFonts.lexendTera,
        'Lexend Zetta': GoogleFonts.lexendZetta,
        'Libre Barcode 128': GoogleFonts.libreBarcode128,
        'Libre Barcode 128 Text': GoogleFonts.libreBarcode128Text,
        'Libre Barcode 39': GoogleFonts.libreBarcode39,
        'Libre Barcode 39 Extended': GoogleFonts.libreBarcode39Extended,
        'Libre Barcode 39 Extended Text':
            GoogleFonts.libreBarcode39ExtendedText,
        'Libre Barcode 39 Text': GoogleFonts.libreBarcode39Text,
        'Libre Barcode EAN13 Text': GoogleFonts.libreBarcodeEan13Text,
        'Libre Baskerville': GoogleFonts.libreBaskerville,
        'Libre Bodoni': GoogleFonts.libreBodoni,
        'Libre Caslon Display': GoogleFonts.libreCaslonDisplay,
        'Libre Caslon Text': GoogleFonts.libreCaslonText,
        'Libre Franklin': GoogleFonts.libreFranklin,
        'Licorice': GoogleFonts.licorice,
        'Life Savers': GoogleFonts.lifeSavers,
        'Lilita One': GoogleFonts.lilitaOne,
        'Lily Script One': GoogleFonts.lilyScriptOne,
        'Limelight': GoogleFonts.limelight,
        'Linden Hill': GoogleFonts.lindenHill,
        'Literata': GoogleFonts.literata,
        'Liu Jian Mao Cao': GoogleFonts.liuJianMaoCao,
        'Livvic': GoogleFonts.livvic,
        'Lobster': GoogleFonts.lobster,
        'Lobster Two': GoogleFonts.lobsterTwo,
        'Londrina Outline': GoogleFonts.londrinaOutline,
        'Londrina Shadow': GoogleFonts.londrinaShadow,
        'Londrina Sketch': GoogleFonts.londrinaSketch,
        'Londrina Solid': GoogleFonts.londrinaSolid,
        'Long Cang': GoogleFonts.longCang,
        'Lora': GoogleFonts.lora,
        'Love Light': GoogleFonts.loveLight,
        'Love Ya Like A Sister': GoogleFonts.loveYaLikeASister,
        'Loved by the King': GoogleFonts.lovedByTheKing,
        'Lovers Quarrel': GoogleFonts.loversQuarrel,
        'Luckiest Guy': GoogleFonts.luckiestGuy,
        'Lusitana': GoogleFonts.lusitana,
        'Lustria': GoogleFonts.lustria,
        'Luxurious Roman': GoogleFonts.luxuriousRoman,
        'Luxurious Script': GoogleFonts.luxuriousScript,
        'M PLUS 1': GoogleFonts.mPlus1,
        'M PLUS 1 Code': GoogleFonts.mPlus1Code,
        'M PLUS 1p': GoogleFonts.mPlus1p,
        'M PLUS 2': GoogleFonts.mPlus2,
        'M PLUS Code Latin': GoogleFonts.mPlusCodeLatin,
        'M PLUS Rounded 1c': GoogleFonts.mPlusRounded1c,
        'Ma Shan Zheng': GoogleFonts.maShanZheng,
        'Macondo': GoogleFonts.macondo,
        'Macondo Swash Caps': GoogleFonts.macondoSwashCaps,
        'Mada': GoogleFonts.mada,
        'Magra': GoogleFonts.magra,
        'Maiden Orange': GoogleFonts.maidenOrange,
        'Maitree': GoogleFonts.maitree,
        'Major Mono Display': GoogleFonts.majorMonoDisplay,
        'Mako': GoogleFonts.mako,
        'Mali': GoogleFonts.mali,
        'Mallanna': GoogleFonts.mallanna,
        'Mandali': GoogleFonts.mandali,
        'Manjari': GoogleFonts.manjari,
        'Manrope': GoogleFonts.manrope,
        'Mansalva': GoogleFonts.mansalva,
        'Manuale': GoogleFonts.manuale,
        'Marcellus': GoogleFonts.marcellus,
        'Marcellus SC': GoogleFonts.marcellusSc,
        'Marck Script': GoogleFonts.marckScript,
        'Margarine': GoogleFonts.margarine,
        'Marhey': GoogleFonts.marhey,
        'Markazi Text': GoogleFonts.markaziText,
        'Marko One': GoogleFonts.markoOne,
        'Marmelad': GoogleFonts.marmelad,
        'Martel': GoogleFonts.martel,
        'Martel Sans': GoogleFonts.martelSans,
        'Marvel': GoogleFonts.marvel,
        'Mate': GoogleFonts.mate,
        'Mate SC': GoogleFonts.mateSc,
        'Maven Pro': GoogleFonts.mavenPro,
        'McLaren': GoogleFonts.mcLaren,
        'Mea Culpa': GoogleFonts.meaCulpa,
        'Meddon': GoogleFonts.meddon,
        'MedievalSharp': GoogleFonts.medievalSharp,
        'Medula One': GoogleFonts.medulaOne,
        'Meera Inimai': GoogleFonts.meeraInimai,
        'Megrim': GoogleFonts.megrim,
        'Meie Script': GoogleFonts.meieScript,
        'Meow Script': GoogleFonts.meowScript,
        'Merienda': GoogleFonts.merienda,
        'Merienda One': GoogleFonts.meriendaOne,
        'Merriweather': GoogleFonts.merriweather,
        'Merriweather Sans': GoogleFonts.merriweatherSans,
        'Metal': GoogleFonts.metal,
        'Metal Mania': GoogleFonts.metalMania,
        'Metamorphous': GoogleFonts.metamorphous,
        'Metrophobic': GoogleFonts.metrophobic,
        'Michroma': GoogleFonts.michroma,
        'Milonga': GoogleFonts.milonga,
        'Miltonian': GoogleFonts.miltonian,
        'Miltonian Tattoo': GoogleFonts.miltonianTattoo,
        'Mina': GoogleFonts.mina,
        'Mingzat': GoogleFonts.mingzat,
        'Miniver': GoogleFonts.miniver,
        'Miriam Libre': GoogleFonts.miriamLibre,
        'Mirza': GoogleFonts.mirza,
        'Miss Fajardose': GoogleFonts.missFajardose,
        'Mitr': GoogleFonts.mitr,
        'Mochiy Pop One': GoogleFonts.mochiyPopOne,
        'Mochiy Pop P One': GoogleFonts.mochiyPopPOne,
        'Modak': GoogleFonts.modak,
        'Modern Antiqua': GoogleFonts.modernAntiqua,
        'Mogra': GoogleFonts.mogra,
        'Mohave': GoogleFonts.mohave,
        'Molengo': GoogleFonts.molengo,
        'Molle': GoogleFonts.molle,
        'Monda': GoogleFonts.monda,
        'Monofett': GoogleFonts.monofett,
        'Monoton': GoogleFonts.monoton,
        'Monsieur La Doulaise': GoogleFonts.monsieurLaDoulaise,
        'Montaga': GoogleFonts.montaga,
        'Montagu Slab': GoogleFonts.montaguSlab,
        'MonteCarlo': GoogleFonts.monteCarlo,
        'Montez': GoogleFonts.montez,
        'Montserrat': GoogleFonts.montserrat,
        'Montserrat Alternates': GoogleFonts.montserratAlternates,
        'Montserrat Subrayada': GoogleFonts.montserratSubrayada,
        'Moo Lah Lah': GoogleFonts.mooLahLah,
        'Moon Dance': GoogleFonts.moonDance,
        'Moul': GoogleFonts.moul,
        'Moulpali': GoogleFonts.moulpali,
        'Mountains of Christmas': GoogleFonts.mountainsOfChristmas,
        'Mouse Memoirs': GoogleFonts.mouseMemoirs,
        'Mr Bedfort': GoogleFonts.mrBedfort,
        'Mr Dafoe': GoogleFonts.mrDafoe,
        'Mr De Haviland': GoogleFonts.mrDeHaviland,
        'Mrs Saint Delafield': GoogleFonts.mrsSaintDelafield,
        'Mrs Sheppards': GoogleFonts.mrsSheppards,
        'Ms Madi': GoogleFonts.msMadi,
        'Mukta': GoogleFonts.mukta,
        'Mukta Mahee': GoogleFonts.muktaMahee,
        'Mukta Malar': GoogleFonts.muktaMalar,
        'Mukta Vaani': GoogleFonts.muktaVaani,
        'Mulish': GoogleFonts.mulish,
        'Murecho': GoogleFonts.murecho,
        'MuseoModerno': GoogleFonts.museoModerno,
        'My Soul': GoogleFonts.mySoul,
        'Mystery Quest': GoogleFonts.mysteryQuest,
        'NTR': GoogleFonts.ntr,
        'Nabla': GoogleFonts.nabla,
        'Nanum Brush Script': GoogleFonts.nanumBrushScript,
        'Nanum Gothic': GoogleFonts.nanumGothic,
        'Nanum Gothic Coding': GoogleFonts.nanumGothicCoding,
        'Nanum Myeongjo': GoogleFonts.nanumMyeongjo,
        'Nanum Pen Script': GoogleFonts.nanumPenScript,
        'Neonderthaw': GoogleFonts.neonderthaw,
        'Nerko One': GoogleFonts.nerkoOne,
        'Neucha': GoogleFonts.neucha,
        'Neuton': GoogleFonts.neuton,
        'New Rocker': GoogleFonts.newRocker,
        'New Tegomin': GoogleFonts.newTegomin,
        'News Cycle': GoogleFonts.newsCycle,
        'Newsreader': GoogleFonts.newsreader,
        'Niconne': GoogleFonts.niconne,
        'Niramit': GoogleFonts.niramit,
        'Nixie One': GoogleFonts.nixieOne,
        'Nobile': GoogleFonts.nobile,
        'Nokora': GoogleFonts.nokora,
        'Norican': GoogleFonts.norican,
        'Nosifer': GoogleFonts.nosifer,
        'Notable': GoogleFonts.notable,
        'Nothing You Could Do': GoogleFonts.nothingYouCouldDo,
        'Noticia Text': GoogleFonts.noticiaText,
        'Noto Color Emoji': GoogleFonts.notoColorEmoji,
        'Noto Emoji': GoogleFonts.notoEmoji,
        'Noto Kufi Arabic': GoogleFonts.notoKufiArabic,
        'Noto Music': GoogleFonts.notoMusic,
        'Noto Naskh Arabic': GoogleFonts.notoNaskhArabic,
        'Noto Nastaliq Urdu': GoogleFonts.notoNastaliqUrdu,
        'Noto Rashi Hebrew': GoogleFonts.notoRashiHebrew,
        'Noto Sans': GoogleFonts.notoSans,
        'Noto Sans Adlam': GoogleFonts.notoSansAdlam,
        'Noto Sans Adlam Unjoined': GoogleFonts.notoSansAdlamUnjoined,
        'Noto Sans Anatolian Hieroglyphs':
            GoogleFonts.notoSansAnatolianHieroglyphs,
        'Noto Sans Arabic': GoogleFonts.notoSansArabic,
        'Noto Sans Armenian': GoogleFonts.notoSansArmenian,
        'Noto Sans Avestan': GoogleFonts.notoSansAvestan,
        'Noto Sans Balinese': GoogleFonts.notoSansBalinese,
        'Noto Sans Bamum': GoogleFonts.notoSansBamum,
        'Noto Sans Bassa Vah': GoogleFonts.notoSansBassaVah,
        'Noto Sans Batak': GoogleFonts.notoSansBatak,
        'Noto Sans Bengali': GoogleFonts.notoSansBengali,
        'Noto Sans Bhaiksuki': GoogleFonts.notoSansBhaiksuki,
        'Noto Sans Brahmi': GoogleFonts.notoSansBrahmi,
        'Noto Sans Buginese': GoogleFonts.notoSansBuginese,
        'Noto Sans Buhid': GoogleFonts.notoSansBuhid,
        'Noto Sans Canadian Aboriginal': GoogleFonts.notoSansCanadianAboriginal,
        'Noto Sans Carian': GoogleFonts.notoSansCarian,
        'Noto Sans Caucasian Albanian': GoogleFonts.notoSansCaucasianAlbanian,
        'Noto Sans Chakma': GoogleFonts.notoSansChakma,
        'Noto Sans Cham': GoogleFonts.notoSansCham,
        'Noto Sans Cherokee': GoogleFonts.notoSansCherokee,
        'Noto Sans Coptic': GoogleFonts.notoSansCoptic,
        'Noto Sans Cuneiform': GoogleFonts.notoSansCuneiform,
        'Noto Sans Cypriot': GoogleFonts.notoSansCypriot,
        'Noto Sans Deseret': GoogleFonts.notoSansDeseret,
        'Noto Sans Devanagari': GoogleFonts.notoSansDevanagari,
        'Noto Sans Display': GoogleFonts.notoSansDisplay,
        'Noto Sans Duployan': GoogleFonts.notoSansDuployan,
        'Noto Sans Egyptian Hieroglyphs':
            GoogleFonts.notoSansEgyptianHieroglyphs,
        'Noto Sans Elbasan': GoogleFonts.notoSansElbasan,
        'Noto Sans Elymaic': GoogleFonts.notoSansElymaic,
        'Noto Sans Ethiopic': GoogleFonts.notoSansEthiopic,
        'Noto Sans Georgian': GoogleFonts.notoSansGeorgian,
        'Noto Sans Glagolitic': GoogleFonts.notoSansGlagolitic,
        'Noto Sans Gothic': GoogleFonts.notoSansGothic,
        'Noto Sans Grantha': GoogleFonts.notoSansGrantha,
        'Noto Sans Gujarati': GoogleFonts.notoSansGujarati,
        'Noto Sans Gunjala Gondi': GoogleFonts.notoSansGunjalaGondi,
        'Noto Sans Gurmukhi': GoogleFonts.notoSansGurmukhi,
        'Noto Sans Hanifi Rohingya': GoogleFonts.notoSansHanifiRohingya,
        'Noto Sans Hanunoo': GoogleFonts.notoSansHanunoo,
        'Noto Sans Hatran': GoogleFonts.notoSansHatran,
        'Noto Sans Hebrew': GoogleFonts.notoSansHebrew,
        'Noto Sans Imperial Aramaic': GoogleFonts.notoSansImperialAramaic,
        'Noto Sans Indic Siyaq Numbers': GoogleFonts.notoSansIndicSiyaqNumbers,
        'Noto Sans Inscriptional Pahlavi':
            GoogleFonts.notoSansInscriptionalPahlavi,
        'Noto Sans Inscriptional Parthian':
            GoogleFonts.notoSansInscriptionalParthian,
        'Noto Sans Javanese': GoogleFonts.notoSansJavanese,
        'Noto Sans Kaithi': GoogleFonts.notoSansKaithi,
        'Noto Sans Kannada': GoogleFonts.notoSansKannada,
        'Noto Sans Kayah Li': GoogleFonts.notoSansKayahLi,
        'Noto Sans Kharoshthi': GoogleFonts.notoSansKharoshthi,
        'Noto Sans Khmer': GoogleFonts.notoSansKhmer,
        'Noto Sans Khojki': GoogleFonts.notoSansKhojki,
        'Noto Sans Khudawadi': GoogleFonts.notoSansKhudawadi,
        'Noto Sans Lao': GoogleFonts.notoSansLao,
        'Noto Sans Lao Looped': GoogleFonts.notoSansLaoLooped,
        'Noto Sans Lepcha': GoogleFonts.notoSansLepcha,
        'Noto Sans Limbu': GoogleFonts.notoSansLimbu,
        'Noto Sans Linear A': GoogleFonts.notoSansLinearA,
        'Noto Sans Linear B': GoogleFonts.notoSansLinearB,
        'Noto Sans Lisu': GoogleFonts.notoSansLisu,
        'Noto Sans Lycian': GoogleFonts.notoSansLycian,
        'Noto Sans Lydian': GoogleFonts.notoSansLydian,
        'Noto Sans Mahajani': GoogleFonts.notoSansMahajani,
        'Noto Sans Malayalam': GoogleFonts.notoSansMalayalam,
        'Noto Sans Mandaic': GoogleFonts.notoSansMandaic,
        'Noto Sans Manichaean': GoogleFonts.notoSansManichaean,
        'Noto Sans Marchen': GoogleFonts.notoSansMarchen,
        'Noto Sans Masaram Gondi': GoogleFonts.notoSansMasaramGondi,
        'Noto Sans Math': GoogleFonts.notoSansMath,
        'Noto Sans Mayan Numerals': GoogleFonts.notoSansMayanNumerals,
        'Noto Sans Medefaidrin': GoogleFonts.notoSansMedefaidrin,
        'Noto Sans Meetei Mayek': GoogleFonts.notoSansMeeteiMayek,
        'Noto Sans Mende Kikakui': GoogleFonts.notoSansMendeKikakui,
        'Noto Sans Meroitic': GoogleFonts.notoSansMeroitic,
        'Noto Sans Miao': GoogleFonts.notoSansMiao,
        'Noto Sans Modi': GoogleFonts.notoSansModi,
        'Noto Sans Mongolian': GoogleFonts.notoSansMongolian,
        'Noto Sans Mono': GoogleFonts.notoSansMono,
        'Noto Sans Mro': GoogleFonts.notoSansMro,
        'Noto Sans Multani': GoogleFonts.notoSansMultani,
        'Noto Sans Myanmar': GoogleFonts.notoSansMyanmar,
        'Noto Sans N Ko': GoogleFonts.notoSansNKo,
        'Noto Sans Nabataean': GoogleFonts.notoSansNabataean,
        'Noto Sans New Tai Lue': GoogleFonts.notoSansNewTaiLue,
        'Noto Sans Newa': GoogleFonts.notoSansNewa,
        'Noto Sans Nushu': GoogleFonts.notoSansNushu,
        'Noto Sans Ogham': GoogleFonts.notoSansOgham,
        'Noto Sans Ol Chiki': GoogleFonts.notoSansOlChiki,
        'Noto Sans Old Hungarian': GoogleFonts.notoSansOldHungarian,
        'Noto Sans Old Italic': GoogleFonts.notoSansOldItalic,
        'Noto Sans Old North Arabian': GoogleFonts.notoSansOldNorthArabian,
        'Noto Sans Old Permic': GoogleFonts.notoSansOldPermic,
        'Noto Sans Old Persian': GoogleFonts.notoSansOldPersian,
        'Noto Sans Old Sogdian': GoogleFonts.notoSansOldSogdian,
        'Noto Sans Old South Arabian': GoogleFonts.notoSansOldSouthArabian,
        'Noto Sans Old Turkic': GoogleFonts.notoSansOldTurkic,
        'Noto Sans Oriya': GoogleFonts.notoSansOriya,
        'Noto Sans Osage': GoogleFonts.notoSansOsage,
        'Noto Sans Osmanya': GoogleFonts.notoSansOsmanya,
        'Noto Sans Pahawh Hmong': GoogleFonts.notoSansPahawhHmong,
        'Noto Sans Palmyrene': GoogleFonts.notoSansPalmyrene,
        'Noto Sans Pau Cin Hau': GoogleFonts.notoSansPauCinHau,
        'Noto Sans Phags Pa': GoogleFonts.notoSansPhagsPa,
        'Noto Sans Phoenician': GoogleFonts.notoSansPhoenician,
        'Noto Sans Psalter Pahlavi': GoogleFonts.notoSansPsalterPahlavi,
        'Noto Sans Rejang': GoogleFonts.notoSansRejang,
        'Noto Sans Runic': GoogleFonts.notoSansRunic,
        'Noto Sans Samaritan': GoogleFonts.notoSansSamaritan,
        'Noto Sans Saurashtra': GoogleFonts.notoSansSaurashtra,
        'Noto Sans Sharada': GoogleFonts.notoSansSharada,
        'Noto Sans Shavian': GoogleFonts.notoSansShavian,
        'Noto Sans Siddham': GoogleFonts.notoSansSiddham,
        'Noto Sans Sinhala': GoogleFonts.notoSansSinhala,
        'Noto Sans Sogdian': GoogleFonts.notoSansSogdian,
        'Noto Sans Sora Sompeng': GoogleFonts.notoSansSoraSompeng,
        'Noto Sans Soyombo': GoogleFonts.notoSansSoyombo,
        'Noto Sans Sundanese': GoogleFonts.notoSansSundanese,
        'Noto Sans Syloti Nagri': GoogleFonts.notoSansSylotiNagri,
        'Noto Sans Symbols': GoogleFonts.notoSansSymbols,
        'Noto Sans Symbols 2': GoogleFonts.notoSansSymbols2,
        'Noto Sans Syriac': GoogleFonts.notoSansSyriac,
        'Noto Sans Tagalog': GoogleFonts.notoSansTagalog,
        'Noto Sans Tagbanwa': GoogleFonts.notoSansTagbanwa,
        'Noto Sans Tai Le': GoogleFonts.notoSansTaiLe,
        'Noto Sans Tai Tham': GoogleFonts.notoSansTaiTham,
        'Noto Sans Tai Viet': GoogleFonts.notoSansTaiViet,
        'Noto Sans Takri': GoogleFonts.notoSansTakri,
        'Noto Sans Tamil': GoogleFonts.notoSansTamil,
        'Noto Sans Tamil Supplement': GoogleFonts.notoSansTamilSupplement,
        'Noto Sans Telugu': GoogleFonts.notoSansTelugu,
        'Noto Sans Thaana': GoogleFonts.notoSansThaana,
        'Noto Sans Thai': GoogleFonts.notoSansThai,
        'Noto Sans Thai Looped': GoogleFonts.notoSansThaiLooped,
        'Noto Sans Tifinagh': GoogleFonts.notoSansTifinagh,
        'Noto Sans Tirhuta': GoogleFonts.notoSansTirhuta,
        'Noto Sans Ugaritic': GoogleFonts.notoSansUgaritic,
        'Noto Sans Vai': GoogleFonts.notoSansVai,
        'Noto Sans Wancho': GoogleFonts.notoSansWancho,
        'Noto Sans Warang Citi': GoogleFonts.notoSansWarangCiti,
        'Noto Sans Yi': GoogleFonts.notoSansYi,
        'Noto Sans Zanabazar Square': GoogleFonts.notoSansZanabazarSquare,
        'Noto Serif': GoogleFonts.notoSerif,
        'Noto Serif Ahom': GoogleFonts.notoSerifAhom,
        'Noto Serif Armenian': GoogleFonts.notoSerifArmenian,
        'Noto Serif Balinese': GoogleFonts.notoSerifBalinese,
        'Noto Serif Bengali': GoogleFonts.notoSerifBengali,
        'Noto Serif Devanagari': GoogleFonts.notoSerifDevanagari,
        'Noto Serif Display': GoogleFonts.notoSerifDisplay,
        'Noto Serif Dogra': GoogleFonts.notoSerifDogra,
        'Noto Serif Ethiopic': GoogleFonts.notoSerifEthiopic,
        'Noto Serif Georgian': GoogleFonts.notoSerifGeorgian,
        'Noto Serif Grantha': GoogleFonts.notoSerifGrantha,
        'Noto Serif Gujarati': GoogleFonts.notoSerifGujarati,
        'Noto Serif Gurmukhi': GoogleFonts.notoSerifGurmukhi,
        'Noto Serif HK': GoogleFonts.notoSerifHk,
        'Noto Serif Hebrew': GoogleFonts.notoSerifHebrew,
        'Noto Serif Kannada': GoogleFonts.notoSerifKannada,
        'Noto Serif Khmer': GoogleFonts.notoSerifKhmer,
        'Noto Serif Khojki': GoogleFonts.notoSerifKhojki,
        'Noto Serif Lao': GoogleFonts.notoSerifLao,
        'Noto Serif Malayalam': GoogleFonts.notoSerifMalayalam,
        'Noto Serif Myanmar': GoogleFonts.notoSerifMyanmar,
        'Noto Serif Nyiakeng Puachue Hmong':
            GoogleFonts.notoSerifNyiakengPuachueHmong,
        'Noto Serif Oriya': GoogleFonts.notoSerifOriya,
        'Noto Serif Sinhala': GoogleFonts.notoSerifSinhala,
        'Noto Serif Tamil': GoogleFonts.notoSerifTamil,
        'Noto Serif Tangut': GoogleFonts.notoSerifTangut,
        'Noto Serif Telugu': GoogleFonts.notoSerifTelugu,
        'Noto Serif Thai': GoogleFonts.notoSerifThai,
        'Noto Serif Tibetan': GoogleFonts.notoSerifTibetan,
        'Noto Serif Yezidi': GoogleFonts.notoSerifYezidi,
        'Noto Traditional Nushu': GoogleFonts.notoTraditionalNushu,
        'Nova Cut': GoogleFonts.novaCut,
        'Nova Flat': GoogleFonts.novaFlat,
        'Nova Mono': GoogleFonts.novaMono,
        'Nova Oval': GoogleFonts.novaOval,
        'Nova Round': GoogleFonts.novaRound,
        'Nova Script': GoogleFonts.novaScript,
        'Nova Slim': GoogleFonts.novaSlim,
        'Nova Square': GoogleFonts.novaSquare,
        'Numans': GoogleFonts.numans,
        'Nunito': GoogleFonts.nunito,
        'Nunito Sans': GoogleFonts.nunitoSans,
        'Nuosu SIL': GoogleFonts.nuosuSil,
        'Odibee Sans': GoogleFonts.odibeeSans,
        'Odor Mean Chey': GoogleFonts.odorMeanChey,
        'Offside': GoogleFonts.offside,
        'Oi': GoogleFonts.oi,
        'Old Standard TT': GoogleFonts.oldStandardTt,
        'Oldenburg': GoogleFonts.oldenburg,
        'Ole': GoogleFonts.ole,
        'Oleo Script': GoogleFonts.oleoScript,
        'Oleo Script Swash Caps': GoogleFonts.oleoScriptSwashCaps,
        'Oooh Baby': GoogleFonts.ooohBaby,
        'Open Sans': GoogleFonts.openSans,
        'Open Sans Condensed': GoogleFonts.openSansCondensed,
        'Oranienbaum': GoogleFonts.oranienbaum,
        'Orbitron': GoogleFonts.orbitron,
        'Oregano': GoogleFonts.oregano,
        'Orelega One': GoogleFonts.orelegaOne,
        'Orienta': GoogleFonts.orienta,
        'Original Surfer': GoogleFonts.originalSurfer,
        'Oswald': GoogleFonts.oswald,
        'Outfit': GoogleFonts.outfit,
        'Over the Rainbow': GoogleFonts.overTheRainbow,
        'Overlock': GoogleFonts.overlock,
        'Overlock SC': GoogleFonts.overlockSc,
        'Overpass': GoogleFonts.overpass,
        'Overpass Mono': GoogleFonts.overpassMono,
        'Ovo': GoogleFonts.ovo,
        'Oxanium': GoogleFonts.oxanium,
        'Oxygen': GoogleFonts.oxygen,
        'Oxygen Mono': GoogleFonts.oxygenMono,
        'PT Mono': GoogleFonts.ptMono,
        'PT Sans': GoogleFonts.ptSans,
        'PT Sans Caption': GoogleFonts.ptSansCaption,
        'PT Sans Narrow': GoogleFonts.ptSansNarrow,
        'PT Serif': GoogleFonts.ptSerif,
        'PT Serif Caption': GoogleFonts.ptSerifCaption,
        'Pacifico': GoogleFonts.pacifico,
        'Padauk': GoogleFonts.padauk,
        'Palanquin': GoogleFonts.palanquin,
        'Palanquin Dark': GoogleFonts.palanquinDark,
        'Pangolin': GoogleFonts.pangolin,
        'Paprika': GoogleFonts.paprika,
        'Parisienne': GoogleFonts.parisienne,
        'Passero One': GoogleFonts.passeroOne,
        'Passion One': GoogleFonts.passionOne,
        'Passions Conflict': GoogleFonts.passionsConflict,
        'Pathway Gothic One': GoogleFonts.pathwayGothicOne,
        'Patrick Hand': GoogleFonts.patrickHand,
        'Patrick Hand SC': GoogleFonts.patrickHandSc,
        'Pattaya': GoogleFonts.pattaya,
        'Patua One': GoogleFonts.patuaOne,
        'Pavanam': GoogleFonts.pavanam,
        'Paytone One': GoogleFonts.paytoneOne,
        'Peddana': GoogleFonts.peddana,
        'Peralta': GoogleFonts.peralta,
        'Permanent Marker': GoogleFonts.permanentMarker,
        'Petemoss': GoogleFonts.petemoss,
        'Petit Formal Script': GoogleFonts.petitFormalScript,
        'Petrona': GoogleFonts.petrona,
        'Philosopher': GoogleFonts.philosopher,
        'Piazzolla': GoogleFonts.piazzolla,
        'Piedra': GoogleFonts.piedra,
        'Pinyon Script': GoogleFonts.pinyonScript,
        'Pirata One': GoogleFonts.pirataOne,
        'Plaster': GoogleFonts.plaster,
        'Play': GoogleFonts.play,
        'Playball': GoogleFonts.playball,
        'Playfair Display': GoogleFonts.playfairDisplay,
        'Playfair Display SC': GoogleFonts.playfairDisplaySc,
        'Plus Jakarta Sans': GoogleFonts.plusJakartaSans,
        'Podkova': GoogleFonts.podkova,
        'Poiret One': GoogleFonts.poiretOne,
        'Poller One': GoogleFonts.pollerOne,
        'Poly': GoogleFonts.poly,
        'Pompiere': GoogleFonts.pompiere,
        'Pontano Sans': GoogleFonts.pontanoSans,
        'Poor Story': GoogleFonts.poorStory,
        'Poppins': GoogleFonts.poppins,
        'Port Lligat Sans': GoogleFonts.portLligatSans,
        'Port Lligat Slab': GoogleFonts.portLligatSlab,
        'Potta One': GoogleFonts.pottaOne,
        'Pragati Narrow': GoogleFonts.pragatiNarrow,
        'Praise': GoogleFonts.praise,
        'Prata': GoogleFonts.prata,
        'Preahvihear': GoogleFonts.preahvihear,
        'Press Start 2P': GoogleFonts.pressStart2p,
        'Pridi': GoogleFonts.pridi,
        'Princess Sofia': GoogleFonts.princessSofia,
        'Prociono': GoogleFonts.prociono,
        'Prompt': GoogleFonts.prompt,
        'Prosto One': GoogleFonts.prostoOne,
        'Proza Libre': GoogleFonts.prozaLibre,
        'Public Sans': GoogleFonts.publicSans,
        'Puppies Play': GoogleFonts.puppiesPlay,
        'Puritan': GoogleFonts.puritan,
        'Purple Purse': GoogleFonts.purplePurse,
        'Qahiri': GoogleFonts.qahiri,
        'Quando': GoogleFonts.quando,
        'Quantico': GoogleFonts.quantico,
        'Quattrocento': GoogleFonts.quattrocento,
        'Quattrocento Sans': GoogleFonts.quattrocentoSans,
        'Questrial': GoogleFonts.questrial,
        'Quicksand': GoogleFonts.quicksand,
        'Quintessential': GoogleFonts.quintessential,
        'Qwigley': GoogleFonts.qwigley,
        'Qwitcher Grypen': GoogleFonts.qwitcherGrypen,
        'Racing Sans One': GoogleFonts.racingSansOne,
        'Radio Canada': GoogleFonts.radioCanada,
        'Radley': GoogleFonts.radley,
        'Rajdhani': GoogleFonts.rajdhani,
        'Rakkas': GoogleFonts.rakkas,
        'Raleway': GoogleFonts.raleway,
        'Raleway Dots': GoogleFonts.ralewayDots,
        'Ramabhadra': GoogleFonts.ramabhadra,
        'Ramaraja': GoogleFonts.ramaraja,
        'Rambla': GoogleFonts.rambla,
        'Rammetto One': GoogleFonts.rammettoOne,
        'Rampart One': GoogleFonts.rampartOne,
        'Ranchers': GoogleFonts.ranchers,
        'Rancho': GoogleFonts.rancho,
        'Ranga': GoogleFonts.ranga,
        'Rasa': GoogleFonts.rasa,
        'Rationale': GoogleFonts.rationale,
        'Ravi Prakash': GoogleFonts.raviPrakash,
        'Readex Pro': GoogleFonts.readexPro,
        'Recursive': GoogleFonts.recursive,
        'Red Hat Display': GoogleFonts.redHatDisplay,
        'Red Hat Mono': GoogleFonts.redHatMono,
        'Red Hat Text': GoogleFonts.redHatText,
        'Red Rose': GoogleFonts.redRose,
        'Redacted': GoogleFonts.redacted,
        'Redacted Script': GoogleFonts.redactedScript,
        'Redressed': GoogleFonts.redressed,
        'Reem Kufi': GoogleFonts.reemKufi,
        'Reem Kufi Fun': GoogleFonts.reemKufiFun,
        'Reem Kufi Ink': GoogleFonts.reemKufiInk,
        'Reenie Beanie': GoogleFonts.reenieBeanie,
        'Reggae One': GoogleFonts.reggaeOne,
        'Revalia': GoogleFonts.revalia,
        'Rhodium Libre': GoogleFonts.rhodiumLibre,
        'Ribeye': GoogleFonts.ribeye,
        'Ribeye Marrow': GoogleFonts.ribeyeMarrow,
        'Righteous': GoogleFonts.righteous,
        'Risque': GoogleFonts.risque,
        'Road Rage': GoogleFonts.roadRage,
        'Roboto': GoogleFonts.roboto,
        'Roboto Condensed': GoogleFonts.robotoCondensed,
        'Roboto Flex': GoogleFonts.robotoFlex,
        'Roboto Mono': GoogleFonts.robotoMono,
        'Roboto Serif': GoogleFonts.robotoSerif,
        'Roboto Slab': GoogleFonts.robotoSlab,
        'Rochester': GoogleFonts.rochester,
        'Rock Salt': GoogleFonts.rockSalt,
        'RocknRoll One': GoogleFonts.rocknRollOne,
        'Rokkitt': GoogleFonts.rokkitt,
        'Romanesco': GoogleFonts.romanesco,
        'Ropa Sans': GoogleFonts.ropaSans,
        'Rosario': GoogleFonts.rosario,
        'Rosarivo': GoogleFonts.rosarivo,
        'Rouge Script': GoogleFonts.rougeScript,
        'Rowdies': GoogleFonts.rowdies,
        'Rozha One': GoogleFonts.rozhaOne,
        'Rubik': GoogleFonts.rubik,
        'Rubik Beastly': GoogleFonts.rubikBeastly,
        'Rubik Bubbles': GoogleFonts.rubikBubbles,
        'Rubik Burned': GoogleFonts.rubikBurned,
        'Rubik Dirt': GoogleFonts.rubikDirt,
        'Rubik Distressed': GoogleFonts.rubikDistressed,
        'Rubik Glitch': GoogleFonts.rubikGlitch,
        'Rubik Iso': GoogleFonts.rubikIso,
        'Rubik Marker Hatch': GoogleFonts.rubikMarkerHatch,
        'Rubik Maze': GoogleFonts.rubikMaze,
        'Rubik Microbe': GoogleFonts.rubikMicrobe,
        'Rubik Mono One': GoogleFonts.rubikMonoOne,
        'Rubik Moonrocks': GoogleFonts.rubikMoonrocks,
        'Rubik Puddles': GoogleFonts.rubikPuddles,
        'Rubik Wet Paint': GoogleFonts.rubikWetPaint,
        'Ruda': GoogleFonts.ruda,
        'Rufina': GoogleFonts.rufina,
        'Ruge Boogie': GoogleFonts.rugeBoogie,
        'Ruluko': GoogleFonts.ruluko,
        'Rum Raisin': GoogleFonts.rumRaisin,
        'Ruslan Display': GoogleFonts.ruslanDisplay,
        'Russo One': GoogleFonts.russoOne,
        'Ruthie': GoogleFonts.ruthie,
        'Rye': GoogleFonts.rye,
        'STIX Two Text': GoogleFonts.stixTwoText,
        'Sacramento': GoogleFonts.sacramento,
        'Sahitya': GoogleFonts.sahitya,
        'Sail': GoogleFonts.sail,
        'Saira': GoogleFonts.saira,
        'Saira Condensed': GoogleFonts.sairaCondensed,
        'Saira Extra Condensed': GoogleFonts.sairaExtraCondensed,
        'Saira Semi Condensed': GoogleFonts.sairaSemiCondensed,
        'Saira Stencil One': GoogleFonts.sairaStencilOne,
        'Salsa': GoogleFonts.salsa,
        'Sanchez': GoogleFonts.sanchez,
        'Sancreek': GoogleFonts.sancreek,
        'Sansita': GoogleFonts.sansita,
        'Sansita Swashed': GoogleFonts.sansitaSwashed,
        'Sarabun': GoogleFonts.sarabun,
        'Sarala': GoogleFonts.sarala,
        'Sarina': GoogleFonts.sarina,
        'Sarpanch': GoogleFonts.sarpanch,
        'Sassy Frass': GoogleFonts.sassyFrass,
        'Satisfy': GoogleFonts.satisfy,
        'Sawarabi Gothic': GoogleFonts.sawarabiGothic,
        'Sawarabi Mincho': GoogleFonts.sawarabiMincho,
        'Scada': GoogleFonts.scada,
        'Scheherazade New': GoogleFonts.scheherazadeNew,
        'Schoolbell': GoogleFonts.schoolbell,
        'Scope One': GoogleFonts.scopeOne,
        'Seaweed Script': GoogleFonts.seaweedScript,
        'Secular One': GoogleFonts.secularOne,
        'Sedgwick Ave': GoogleFonts.sedgwickAve,
        'Sedgwick Ave Display': GoogleFonts.sedgwickAveDisplay,
        'Sen': GoogleFonts.sen,
        'Send Flowers': GoogleFonts.sendFlowers,
        'Sevillana': GoogleFonts.sevillana,
        'Seymour One': GoogleFonts.seymourOne,
        'Shadows Into Light': GoogleFonts.shadowsIntoLight,
        'Shadows Into Light Two': GoogleFonts.shadowsIntoLightTwo,
        'Shalimar': GoogleFonts.shalimar,
        'Shanti': GoogleFonts.shanti,
        'Share': GoogleFonts.share,
        'Share Tech': GoogleFonts.shareTech,
        'Share Tech Mono': GoogleFonts.shareTechMono,
        'Shippori Antique': GoogleFonts.shipporiAntique,
        'Shippori Antique B1': GoogleFonts.shipporiAntiqueB1,
        'Shippori Mincho': GoogleFonts.shipporiMincho,
        'Shippori Mincho B1': GoogleFonts.shipporiMinchoB1,
        'Shojumaru': GoogleFonts.shojumaru,
        'Short Stack': GoogleFonts.shortStack,
        'Shrikhand': GoogleFonts.shrikhand,
        'Siemreap': GoogleFonts.siemreap,
        'Sigmar One': GoogleFonts.sigmarOne,
        'Signika': GoogleFonts.signika,
        'Signika Negative': GoogleFonts.signikaNegative,
        'Silkscreen': GoogleFonts.silkscreen,
        'Simonetta': GoogleFonts.simonetta,
        'Single Day': GoogleFonts.singleDay,
        'Sintony': GoogleFonts.sintony,
        'Sirin Stencil': GoogleFonts.sirinStencil,
        'Six Caps': GoogleFonts.sixCaps,
        'Skranji': GoogleFonts.skranji,
        'Slabo 13px': GoogleFonts.slabo13px,
        'Slabo 27px': GoogleFonts.slabo27px,
        'Slackey': GoogleFonts.slackey,
        'Smokum': GoogleFonts.smokum,
        'Smooch': GoogleFonts.smooch,
        'Smooch Sans': GoogleFonts.smoochSans,
        'Smythe': GoogleFonts.smythe,
        'Sniglet': GoogleFonts.sniglet,
        'Snippet': GoogleFonts.snippet,
        'Snowburst One': GoogleFonts.snowburstOne,
        'Sofadi One': GoogleFonts.sofadiOne,
        'Sofia': GoogleFonts.sofia,
        'Solway': GoogleFonts.solway,
        'Song Myung': GoogleFonts.songMyung,
        'Sono': GoogleFonts.sono,
        'Sonsie One': GoogleFonts.sonsieOne,
        'Sora': GoogleFonts.sora,
        'Sorts Mill Goudy': GoogleFonts.sortsMillGoudy,
        'Source Code Pro': GoogleFonts.sourceCodePro,
        'Source Sans 3': GoogleFonts.sourceSans3,
        'Source Sans Pro': GoogleFonts.sourceSansPro,
        'Source Serif 4': GoogleFonts.sourceSerif4,
        'Source Serif Pro': GoogleFonts.sourceSerifPro,
        'Space Grotesk': GoogleFonts.spaceGrotesk,
        'Space Mono': GoogleFonts.spaceMono,
        'Special Elite': GoogleFonts.specialElite,
        'Spectral': GoogleFonts.spectral,
        'Spectral SC': GoogleFonts.spectralSc,
        'Spicy Rice': GoogleFonts.spicyRice,
        'Spinnaker': GoogleFonts.spinnaker,
        'Spirax': GoogleFonts.spirax,
        'Splash': GoogleFonts.splash,
        'Spline Sans': GoogleFonts.splineSans,
        'Spline Sans Mono': GoogleFonts.splineSansMono,
        'Squada One': GoogleFonts.squadaOne,
        'Square Peg': GoogleFonts.squarePeg,
        'Sree Krushnadevaraya': GoogleFonts.sreeKrushnadevaraya,
        'Sriracha': GoogleFonts.sriracha,
        'Srisakdi': GoogleFonts.srisakdi,
        'Staatliches': GoogleFonts.staatliches,
        'Stalemate': GoogleFonts.stalemate,
        'Stalinist One': GoogleFonts.stalinistOne,
        'Stardos Stencil': GoogleFonts.stardosStencil,
        'Stick': GoogleFonts.stick,
        'Stick No Bills': GoogleFonts.stickNoBills,
        'Stint Ultra Condensed': GoogleFonts.stintUltraCondensed,
        'Stint Ultra Expanded': GoogleFonts.stintUltraExpanded,
        'Stoke': GoogleFonts.stoke,
        'Strait': GoogleFonts.strait,
        'Style Script': GoogleFonts.styleScript,
        'Stylish': GoogleFonts.stylish,
        'Sue Ellen Francisco': GoogleFonts.sueEllenFrancisco,
        'Suez One': GoogleFonts.suezOne,
        'Sulphur Point': GoogleFonts.sulphurPoint,
        'Sumana': GoogleFonts.sumana,
        'Sunflower': GoogleFonts.sunflower,
        'Sunshiney': GoogleFonts.sunshiney,
        'Supermercado One': GoogleFonts.supermercadoOne,
        'Sura': GoogleFonts.sura,
        'Suranna': GoogleFonts.suranna,
        'Suravaram': GoogleFonts.suravaram,
        'Suwannaphum': GoogleFonts.suwannaphum,
        'Swanky and Moo Moo': GoogleFonts.swankyAndMooMoo,
        'Syncopate': GoogleFonts.syncopate,
        'Syne': GoogleFonts.syne,
        'Syne Mono': GoogleFonts.syneMono,
        'Syne Tactile': GoogleFonts.syneTactile,
        'Tai Heritage Pro': GoogleFonts.taiHeritagePro,
        'Tajawal': GoogleFonts.tajawal,
        'Tangerine': GoogleFonts.tangerine,
        'Tapestry': GoogleFonts.tapestry,
        'Taprom': GoogleFonts.taprom,
        'Tauri': GoogleFonts.tauri,
        'Taviraj': GoogleFonts.taviraj,
        'Teko': GoogleFonts.teko,
        'Telex': GoogleFonts.telex,
        'Tenali Ramakrishna': GoogleFonts.tenaliRamakrishna,
        'Tenor Sans': GoogleFonts.tenorSans,
        'Text Me One': GoogleFonts.textMeOne,
        'Texturina': GoogleFonts.texturina,
        'Thasadith': GoogleFonts.thasadith,
        'The Girl Next Door': GoogleFonts.theGirlNextDoor,
        'The Nautigal': GoogleFonts.theNautigal,
        'Tienne': GoogleFonts.tienne,
        'Tillana': GoogleFonts.tillana,
        'Timmana': GoogleFonts.timmana,
        'Tinos': GoogleFonts.tinos,
        'Tiro Bangla': GoogleFonts.tiroBangla,
        'Tiro Devanagari Hindi': GoogleFonts.tiroDevanagariHindi,
        'Tiro Devanagari Marathi': GoogleFonts.tiroDevanagariMarathi,
        'Tiro Devanagari Sanskrit': GoogleFonts.tiroDevanagariSanskrit,
        'Tiro Gurmukhi': GoogleFonts.tiroGurmukhi,
        'Tiro Kannada': GoogleFonts.tiroKannada,
        'Tiro Tamil': GoogleFonts.tiroTamil,
        'Tiro Telugu': GoogleFonts.tiroTelugu,
        'Titan One': GoogleFonts.titanOne,
        'Titillium Web': GoogleFonts.titilliumWeb,
        'Tomorrow': GoogleFonts.tomorrow,
        'Tourney': GoogleFonts.tourney,
        'Trade Winds': GoogleFonts.tradeWinds,
        'Train One': GoogleFonts.trainOne,
        'Trirong': GoogleFonts.trirong,
        'Trispace': GoogleFonts.trispace,
        'Trocchi': GoogleFonts.trocchi,
        'Trochut': GoogleFonts.trochut,
        'Truculenta': GoogleFonts.truculenta,
        'Trykker': GoogleFonts.trykker,
        'Tulpen One': GoogleFonts.tulpenOne,
        'Turret Road': GoogleFonts.turretRoad,
        'Twinkle Star': GoogleFonts.twinkleStar,
        'Ubuntu': GoogleFonts.ubuntu,
        'Ubuntu Condensed': GoogleFonts.ubuntuCondensed,
        'Ubuntu Mono': GoogleFonts.ubuntuMono,
        'Uchen': GoogleFonts.uchen,
        'Ultra': GoogleFonts.ultra,
        'Uncial Antiqua': GoogleFonts.uncialAntiqua,
        'Underdog': GoogleFonts.underdog,
        'Unica One': GoogleFonts.unicaOne,
        'UnifrakturCook': GoogleFonts.unifrakturCook,
        'UnifrakturMaguntia': GoogleFonts.unifrakturMaguntia,
        'Unkempt': GoogleFonts.unkempt,
        'Unlock': GoogleFonts.unlock,
        'Unna': GoogleFonts.unna,
        'Updock': GoogleFonts.updock,
        'Urbanist': GoogleFonts.urbanist,
        'VT323': GoogleFonts.vt323,
        'Vampiro One': GoogleFonts.vampiroOne,
        'Varela': GoogleFonts.varela,
        'Varela Round': GoogleFonts.varelaRound,
        'Varta': GoogleFonts.varta,
        'Vast Shadow': GoogleFonts.vastShadow,
        'Vazirmatn': GoogleFonts.vazirmatn,
        'Vesper Libre': GoogleFonts.vesperLibre,
        'Viaoda Libre': GoogleFonts.viaodaLibre,
        'Vibes': GoogleFonts.vibes,
        'Vibur': GoogleFonts.vibur,
        'Vidaloka': GoogleFonts.vidaloka,
        'Viga': GoogleFonts.viga,
        'Voces': GoogleFonts.voces,
        'Volkhov': GoogleFonts.volkhov,
        'Vollkorn': GoogleFonts.vollkorn,
        'Vollkorn SC': GoogleFonts.vollkornSc,
        'Voltaire': GoogleFonts.voltaire,
        'Vujahday Script': GoogleFonts.vujahdayScript,
        'Waiting for the Sunrise': GoogleFonts.waitingForTheSunrise,
        'Wallpoet': GoogleFonts.wallpoet,
        'Walter Turncoat': GoogleFonts.walterTurncoat,
        'Warnes': GoogleFonts.warnes,
        'Water Brush': GoogleFonts.waterBrush,
        'Waterfall': GoogleFonts.waterfall,
        'Wellfleet': GoogleFonts.wellfleet,
        'Wendy One': GoogleFonts.wendyOne,
        'Whisper': GoogleFonts.whisper,
        'WindSong': GoogleFonts.windSong,
        'Wire One': GoogleFonts.wireOne,
        'Work Sans': GoogleFonts.workSans,
        'Xanh Mono': GoogleFonts.xanhMono,
        'Yaldevi': GoogleFonts.yaldevi,
        'Yanone Kaffeesatz': GoogleFonts.yanoneKaffeesatz,
        'Yantramanav': GoogleFonts.yantramanav,
        'Yatra One': GoogleFonts.yatraOne,
        'Yellowtail': GoogleFonts.yellowtail,
        'Yeon Sung': GoogleFonts.yeonSung,
        'Yeseva One': GoogleFonts.yesevaOne,
        'Yesteryear': GoogleFonts.yesteryear,
        'Yomogi': GoogleFonts.yomogi,
        'Yrsa': GoogleFonts.yrsa,
        'Yuji Boku': GoogleFonts.yujiBoku,
        'Yuji Mai': GoogleFonts.yujiMai,
        'Yuji Syuku': GoogleFonts.yujiSyuku,
        'Yusei Magic': GoogleFonts.yuseiMagic,
        'ZCOOL KuaiLe': GoogleFonts.zcoolKuaiLe,
        'ZCOOL QingKe HuangYou': GoogleFonts.zcoolQingKeHuangYou,
        'ZCOOL XiaoWei': GoogleFonts.zcoolXiaoWei,
        'Zen Antique': GoogleFonts.zenAntique,
        'Zen Antique Soft': GoogleFonts.zenAntiqueSoft,
        'Zen Dots': GoogleFonts.zenDots,
        'Zen Kaku Gothic Antique': GoogleFonts.zenKakuGothicAntique,
        'Zen Kaku Gothic New': GoogleFonts.zenKakuGothicNew,
        'Zen Kurenaido': GoogleFonts.zenKurenaido,
        'Zen Loop': GoogleFonts.zenLoop,
        'Zen Maru Gothic': GoogleFonts.zenMaruGothic,
        'Zen Old Mincho': GoogleFonts.zenOldMincho,
        'Zen Tokyo Zoo': GoogleFonts.zenTokyoZoo,
        'Zeyada': GoogleFonts.zeyada,
        'Zhi Mang Xing': GoogleFonts.zhiMangXing,
        'Zilla Slab': GoogleFonts.zillaSlab,
        'Zilla Slab Highlight': GoogleFonts.zillaSlabHighlight,
      };

  /// Get a map of all available fonts and their associated text themes.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] `TextTheme` method.
  static Map<String, TextTheme Function([TextTheme?])> _asMapOfTextThemes() =>
      const {
        'ABeeZee': GoogleFonts.aBeeZeeTextTheme,
        'Abel': GoogleFonts.abelTextTheme,
        'Abhaya Libre': GoogleFonts.abhayaLibreTextTheme,
        'Aboreto': GoogleFonts.aboretoTextTheme,
        'Abril Fatface': GoogleFonts.abrilFatfaceTextTheme,
        'Abyssinica SIL': GoogleFonts.abyssinicaSilTextTheme,
        'Aclonica': GoogleFonts.aclonicaTextTheme,
        'Acme': GoogleFonts.acmeTextTheme,
        'Actor': GoogleFonts.actorTextTheme,
        'Adamina': GoogleFonts.adaminaTextTheme,
        'Advent Pro': GoogleFonts.adventProTextTheme,
        'Aguafina Script': GoogleFonts.aguafinaScriptTextTheme,
        'Akaya Kanadaka': GoogleFonts.akayaKanadakaTextTheme,
        'Akaya Telivigala': GoogleFonts.akayaTelivigalaTextTheme,
        'Akronim': GoogleFonts.akronimTextTheme,
        'Akshar': GoogleFonts.aksharTextTheme,
        'Aladin': GoogleFonts.aladinTextTheme,
        'Alata': GoogleFonts.alataTextTheme,
        'Alatsi': GoogleFonts.alatsiTextTheme,
        'Albert Sans': GoogleFonts.albertSansTextTheme,
        'Aldrich': GoogleFonts.aldrichTextTheme,
        'Alef': GoogleFonts.alefTextTheme,
        'Alegreya': GoogleFonts.alegreyaTextTheme,
        'Alegreya SC': GoogleFonts.alegreyaScTextTheme,
        'Alegreya Sans': GoogleFonts.alegreyaSansTextTheme,
        'Alegreya Sans SC': GoogleFonts.alegreyaSansScTextTheme,
        'Aleo': GoogleFonts.aleoTextTheme,
        'Alex Brush': GoogleFonts.alexBrushTextTheme,
        'Alexandria': GoogleFonts.alexandriaTextTheme,
        'Alfa Slab One': GoogleFonts.alfaSlabOneTextTheme,
        'Alice': GoogleFonts.aliceTextTheme,
        'Alike': GoogleFonts.alikeTextTheme,
        'Alike Angular': GoogleFonts.alikeAngularTextTheme,
        'Alkalami': GoogleFonts.alkalamiTextTheme,
        'Allan': GoogleFonts.allanTextTheme,
        'Allerta': GoogleFonts.allertaTextTheme,
        'Allerta Stencil': GoogleFonts.allertaStencilTextTheme,
        'Allison': GoogleFonts.allisonTextTheme,
        'Allura': GoogleFonts.alluraTextTheme,
        'Almarai': GoogleFonts.almaraiTextTheme,
        'Almendra': GoogleFonts.almendraTextTheme,
        'Almendra Display': GoogleFonts.almendraDisplayTextTheme,
        'Almendra SC': GoogleFonts.almendraScTextTheme,
        'Alumni Sans': GoogleFonts.alumniSansTextTheme,
        'Alumni Sans Collegiate One':
            GoogleFonts.alumniSansCollegiateOneTextTheme,
        'Alumni Sans Inline One': GoogleFonts.alumniSansInlineOneTextTheme,
        'Alumni Sans Pinstripe': GoogleFonts.alumniSansPinstripeTextTheme,
        'Amarante': GoogleFonts.amaranteTextTheme,
        'Amaranth': GoogleFonts.amaranthTextTheme,
        'Amatic SC': GoogleFonts.amaticScTextTheme,
        'Amethysta': GoogleFonts.amethystaTextTheme,
        'Amiko': GoogleFonts.amikoTextTheme,
        'Amiri': GoogleFonts.amiriTextTheme,
        'Amiri Quran': GoogleFonts.amiriQuranTextTheme,
        'Amita': GoogleFonts.amitaTextTheme,
        'Anaheim': GoogleFonts.anaheimTextTheme,
        'Andada Pro': GoogleFonts.andadaProTextTheme,
        'Andika': GoogleFonts.andikaTextTheme,
        'Anek Bangla': GoogleFonts.anekBanglaTextTheme,
        'Anek Devanagari': GoogleFonts.anekDevanagariTextTheme,
        'Anek Gujarati': GoogleFonts.anekGujaratiTextTheme,
        'Anek Gurmukhi': GoogleFonts.anekGurmukhiTextTheme,
        'Anek Kannada': GoogleFonts.anekKannadaTextTheme,
        'Anek Latin': GoogleFonts.anekLatinTextTheme,
        'Anek Malayalam': GoogleFonts.anekMalayalamTextTheme,
        'Anek Odia': GoogleFonts.anekOdiaTextTheme,
        'Anek Tamil': GoogleFonts.anekTamilTextTheme,
        'Anek Telugu': GoogleFonts.anekTeluguTextTheme,
        'Angkor': GoogleFonts.angkorTextTheme,
        'Annie Use Your Telescope': GoogleFonts.annieUseYourTelescopeTextTheme,
        'Anonymous Pro': GoogleFonts.anonymousProTextTheme,
        'Antic': GoogleFonts.anticTextTheme,
        'Antic Didone': GoogleFonts.anticDidoneTextTheme,
        'Antic Slab': GoogleFonts.anticSlabTextTheme,
        'Anton': GoogleFonts.antonTextTheme,
        'Antonio': GoogleFonts.antonioTextTheme,
        'Anybody': GoogleFonts.anybodyTextTheme,
        'Arapey': GoogleFonts.arapeyTextTheme,
        'Arbutus': GoogleFonts.arbutusTextTheme,
        'Arbutus Slab': GoogleFonts.arbutusSlabTextTheme,
        'Architects Daughter': GoogleFonts.architectsDaughterTextTheme,
        'Archivo': GoogleFonts.archivoTextTheme,
        'Archivo Black': GoogleFonts.archivoBlackTextTheme,
        'Archivo Narrow': GoogleFonts.archivoNarrowTextTheme,
        'Are You Serious': GoogleFonts.areYouSeriousTextTheme,
        'Aref Ruqaa': GoogleFonts.arefRuqaaTextTheme,
        'Aref Ruqaa Ink': GoogleFonts.arefRuqaaInkTextTheme,
        'Arima': GoogleFonts.arimaTextTheme,
        'Arima Madurai': GoogleFonts.arimaMaduraiTextTheme,
        'Arimo': GoogleFonts.arimoTextTheme,
        'Arizonia': GoogleFonts.arizoniaTextTheme,
        'Armata': GoogleFonts.armataTextTheme,
        'Arsenal': GoogleFonts.arsenalTextTheme,
        'Artifika': GoogleFonts.artifikaTextTheme,
        'Arvo': GoogleFonts.arvoTextTheme,
        'Arya': GoogleFonts.aryaTextTheme,
        'Asap': GoogleFonts.asapTextTheme,
        'Asap Condensed': GoogleFonts.asapCondensedTextTheme,
        'Asar': GoogleFonts.asarTextTheme,
        'Asset': GoogleFonts.assetTextTheme,
        'Assistant': GoogleFonts.assistantTextTheme,
        'Astloch': GoogleFonts.astlochTextTheme,
        'Asul': GoogleFonts.asulTextTheme,
        'Athiti': GoogleFonts.athitiTextTheme,
        'Atkinson Hyperlegible': GoogleFonts.atkinsonHyperlegibleTextTheme,
        'Atma': GoogleFonts.atmaTextTheme,
        'Atomic Age': GoogleFonts.atomicAgeTextTheme,
        'Aubrey': GoogleFonts.aubreyTextTheme,
        'Audiowide': GoogleFonts.audiowideTextTheme,
        'Autour One': GoogleFonts.autourOneTextTheme,
        'Average': GoogleFonts.averageTextTheme,
        'Average Sans': GoogleFonts.averageSansTextTheme,
        'Averia Gruesa Libre': GoogleFonts.averiaGruesaLibreTextTheme,
        'Averia Libre': GoogleFonts.averiaLibreTextTheme,
        'Averia Sans Libre': GoogleFonts.averiaSansLibreTextTheme,
        'Averia Serif Libre': GoogleFonts.averiaSerifLibreTextTheme,
        'Azeret Mono': GoogleFonts.azeretMonoTextTheme,
        'B612': GoogleFonts.b612TextTheme,
        'B612 Mono': GoogleFonts.b612MonoTextTheme,
        'BIZ UDGothic': GoogleFonts.bizUDGothicTextTheme,
        'BIZ UDMincho': GoogleFonts.bizUDMinchoTextTheme,
        'BIZ UDPGothic': GoogleFonts.bizUDPGothicTextTheme,
        'BIZ UDPMincho': GoogleFonts.bizUDPMinchoTextTheme,
        'Babylonica': GoogleFonts.babylonicaTextTheme,
        'Bad Script': GoogleFonts.badScriptTextTheme,
        'Bahiana': GoogleFonts.bahianaTextTheme,
        'Bahianita': GoogleFonts.bahianitaTextTheme,
        'Bai Jamjuree': GoogleFonts.baiJamjureeTextTheme,
        'Bakbak One': GoogleFonts.bakbakOneTextTheme,
        'Ballet': GoogleFonts.balletTextTheme,
        'Baloo 2': GoogleFonts.baloo2TextTheme,
        'Baloo Bhai 2': GoogleFonts.balooBhai2TextTheme,
        'Baloo Bhaijaan 2': GoogleFonts.balooBhaijaan2TextTheme,
        'Baloo Bhaina 2': GoogleFonts.balooBhaina2TextTheme,
        'Baloo Chettan 2': GoogleFonts.balooChettan2TextTheme,
        'Baloo Da 2': GoogleFonts.balooDa2TextTheme,
        'Baloo Paaji 2': GoogleFonts.balooPaaji2TextTheme,
        'Baloo Tamma 2': GoogleFonts.balooTamma2TextTheme,
        'Baloo Tammudu 2': GoogleFonts.balooTammudu2TextTheme,
        'Baloo Thambi 2': GoogleFonts.balooThambi2TextTheme,
        'Balsamiq Sans': GoogleFonts.balsamiqSansTextTheme,
        'Balthazar': GoogleFonts.balthazarTextTheme,
        'Bangers': GoogleFonts.bangersTextTheme,
        'Barlow': GoogleFonts.barlowTextTheme,
        'Barlow Condensed': GoogleFonts.barlowCondensedTextTheme,
        'Barlow Semi Condensed': GoogleFonts.barlowSemiCondensedTextTheme,
        'Barriecito': GoogleFonts.barriecitoTextTheme,
        'Barrio': GoogleFonts.barrioTextTheme,
        'Basic': GoogleFonts.basicTextTheme,
        'Baskervville': GoogleFonts.baskervvilleTextTheme,
        'Battambang': GoogleFonts.battambangTextTheme,
        'Baumans': GoogleFonts.baumansTextTheme,
        'Bayon': GoogleFonts.bayonTextTheme,
        'Be Vietnam Pro': GoogleFonts.beVietnamProTextTheme,
        'Beau Rivage': GoogleFonts.beauRivageTextTheme,
        'Bebas Neue': GoogleFonts.bebasNeueTextTheme,
        'Belgrano': GoogleFonts.belgranoTextTheme,
        'Bellefair': GoogleFonts.bellefairTextTheme,
        'Belleza': GoogleFonts.bellezaTextTheme,
        'Bellota': GoogleFonts.bellotaTextTheme,
        'Bellota Text': GoogleFonts.bellotaTextTextTheme,
        'BenchNine': GoogleFonts.benchNineTextTheme,
        'Benne': GoogleFonts.benneTextTheme,
        'Bentham': GoogleFonts.benthamTextTheme,
        'Berkshire Swash': GoogleFonts.berkshireSwashTextTheme,
        'Besley': GoogleFonts.besleyTextTheme,
        'Beth Ellen': GoogleFonts.bethEllenTextTheme,
        'Bevan': GoogleFonts.bevanTextTheme,
        'BhuTuka Expanded One': GoogleFonts.bhuTukaExpandedOneTextTheme,
        'Big Shoulders Display': GoogleFonts.bigShouldersDisplayTextTheme,
        'Big Shoulders Inline Display':
            GoogleFonts.bigShouldersInlineDisplayTextTheme,
        'Big Shoulders Inline Text':
            GoogleFonts.bigShouldersInlineTextTextTheme,
        'Big Shoulders Stencil Display':
            GoogleFonts.bigShouldersStencilDisplayTextTheme,
        'Big Shoulders Stencil Text':
            GoogleFonts.bigShouldersStencilTextTextTheme,
        'Big Shoulders Text': GoogleFonts.bigShouldersTextTextTheme,
        'Bigelow Rules': GoogleFonts.bigelowRulesTextTheme,
        'Bigshot One': GoogleFonts.bigshotOneTextTheme,
        'Bilbo': GoogleFonts.bilboTextTheme,
        'Bilbo Swash Caps': GoogleFonts.bilboSwashCapsTextTheme,
        'BioRhyme': GoogleFonts.bioRhymeTextTheme,
        'BioRhyme Expanded': GoogleFonts.bioRhymeExpandedTextTheme,
        'Birthstone': GoogleFonts.birthstoneTextTheme,
        'Birthstone Bounce': GoogleFonts.birthstoneBounceTextTheme,
        'Biryani': GoogleFonts.biryaniTextTheme,
        'Bitter': GoogleFonts.bitterTextTheme,
        'Black And White Picture': GoogleFonts.blackAndWhitePictureTextTheme,
        'Black Han Sans': GoogleFonts.blackHanSansTextTheme,
        'Black Ops One': GoogleFonts.blackOpsOneTextTheme,
        'Blaka': GoogleFonts.blakaTextTheme,
        'Blaka Hollow': GoogleFonts.blakaHollowTextTheme,
        'Blaka Ink': GoogleFonts.blakaInkTextTheme,
        'Blinker': GoogleFonts.blinkerTextTheme,
        'Bodoni Moda': GoogleFonts.bodoniModaTextTheme,
        'Bokor': GoogleFonts.bokorTextTheme,
        'Bona Nova': GoogleFonts.bonaNovaTextTheme,
        'Bonbon': GoogleFonts.bonbonTextTheme,
        'Bonheur Royale': GoogleFonts.bonheurRoyaleTextTheme,
        'Boogaloo': GoogleFonts.boogalooTextTheme,
        'Bowlby One': GoogleFonts.bowlbyOneTextTheme,
        'Bowlby One SC': GoogleFonts.bowlbyOneScTextTheme,
        'Brawler': GoogleFonts.brawlerTextTheme,
        'Bree Serif': GoogleFonts.breeSerifTextTheme,
        'Brygada 1918': GoogleFonts.brygada1918TextTheme,
        'Bubblegum Sans': GoogleFonts.bubblegumSansTextTheme,
        'Bubbler One': GoogleFonts.bubblerOneTextTheme,
        'Buda': GoogleFonts.budaTextTheme,
        'Buenard': GoogleFonts.buenardTextTheme,
        'Bungee': GoogleFonts.bungeeTextTheme,
        'Bungee Hairline': GoogleFonts.bungeeHairlineTextTheme,
        'Bungee Inline': GoogleFonts.bungeeInlineTextTheme,
        'Bungee Outline': GoogleFonts.bungeeOutlineTextTheme,
        'Bungee Shade': GoogleFonts.bungeeShadeTextTheme,
        'Bungee Spice': GoogleFonts.bungeeSpiceTextTheme,
        'Butcherman': GoogleFonts.butchermanTextTheme,
        'Butterfly Kids': GoogleFonts.butterflyKidsTextTheme,
        'Cabin': GoogleFonts.cabinTextTheme,
        'Cabin Condensed': GoogleFonts.cabinCondensedTextTheme,
        'Cabin Sketch': GoogleFonts.cabinSketchTextTheme,
        'Caesar Dressing': GoogleFonts.caesarDressingTextTheme,
        'Cagliostro': GoogleFonts.cagliostroTextTheme,
        'Cairo': GoogleFonts.cairoTextTheme,
        'Cairo Play': GoogleFonts.cairoPlayTextTheme,
        'Caladea': GoogleFonts.caladeaTextTheme,
        'Calistoga': GoogleFonts.calistogaTextTheme,
        'Calligraffitti': GoogleFonts.calligraffittiTextTheme,
        'Cambay': GoogleFonts.cambayTextTheme,
        'Cambo': GoogleFonts.camboTextTheme,
        'Candal': GoogleFonts.candalTextTheme,
        'Cantarell': GoogleFonts.cantarellTextTheme,
        'Cantata One': GoogleFonts.cantataOneTextTheme,
        'Cantora One': GoogleFonts.cantoraOneTextTheme,
        'Capriola': GoogleFonts.capriolaTextTheme,
        'Caramel': GoogleFonts.caramelTextTheme,
        'Carattere': GoogleFonts.carattereTextTheme,
        'Cardo': GoogleFonts.cardoTextTheme,
        'Carme': GoogleFonts.carmeTextTheme,
        'Carrois Gothic': GoogleFonts.carroisGothicTextTheme,
        'Carrois Gothic SC': GoogleFonts.carroisGothicScTextTheme,
        'Carter One': GoogleFonts.carterOneTextTheme,
        'Castoro': GoogleFonts.castoroTextTheme,
        'Catamaran': GoogleFonts.catamaranTextTheme,
        'Caudex': GoogleFonts.caudexTextTheme,
        'Caveat': GoogleFonts.caveatTextTheme,
        'Caveat Brush': GoogleFonts.caveatBrushTextTheme,
        'Cedarville Cursive': GoogleFonts.cedarvilleCursiveTextTheme,
        'Ceviche One': GoogleFonts.cevicheOneTextTheme,
        'Chakra Petch': GoogleFonts.chakraPetchTextTheme,
        'Changa': GoogleFonts.changaTextTheme,
        'Changa One': GoogleFonts.changaOneTextTheme,
        'Chango': GoogleFonts.changoTextTheme,
        'Charis SIL': GoogleFonts.charisSilTextTheme,
        'Charm': GoogleFonts.charmTextTheme,
        'Charmonman': GoogleFonts.charmonmanTextTheme,
        'Chathura': GoogleFonts.chathuraTextTheme,
        'Chau Philomene One': GoogleFonts.chauPhilomeneOneTextTheme,
        'Chela One': GoogleFonts.chelaOneTextTheme,
        'Chelsea Market': GoogleFonts.chelseaMarketTextTheme,
        'Chenla': GoogleFonts.chenlaTextTheme,
        'Cherish': GoogleFonts.cherishTextTheme,
        'Cherry Cream Soda': GoogleFonts.cherryCreamSodaTextTheme,
        'Cherry Swash': GoogleFonts.cherrySwashTextTheme,
        'Chewy': GoogleFonts.chewyTextTheme,
        'Chicle': GoogleFonts.chicleTextTheme,
        'Chilanka': GoogleFonts.chilankaTextTheme,
        'Chivo': GoogleFonts.chivoTextTheme,
        'Chonburi': GoogleFonts.chonburiTextTheme,
        'Cinzel': GoogleFonts.cinzelTextTheme,
        'Cinzel Decorative': GoogleFonts.cinzelDecorativeTextTheme,
        'Clicker Script': GoogleFonts.clickerScriptTextTheme,
        'Coda': GoogleFonts.codaTextTheme,
        'Coda Caption': GoogleFonts.codaCaptionTextTheme,
        'Codystar': GoogleFonts.codystarTextTheme,
        'Coiny': GoogleFonts.coinyTextTheme,
        'Combo': GoogleFonts.comboTextTheme,
        'Comfortaa': GoogleFonts.comfortaaTextTheme,
        'Comforter': GoogleFonts.comforterTextTheme,
        'Comforter Brush': GoogleFonts.comforterBrushTextTheme,
        'Comic Neue': GoogleFonts.comicNeueTextTheme,
        'Coming Soon': GoogleFonts.comingSoonTextTheme,
        'Commissioner': GoogleFonts.commissionerTextTheme,
        'Concert One': GoogleFonts.concertOneTextTheme,
        'Condiment': GoogleFonts.condimentTextTheme,
        'Content': GoogleFonts.contentTextTheme,
        'Contrail One': GoogleFonts.contrailOneTextTheme,
        'Convergence': GoogleFonts.convergenceTextTheme,
        'Cookie': GoogleFonts.cookieTextTheme,
        'Copse': GoogleFonts.copseTextTheme,
        'Corben': GoogleFonts.corbenTextTheme,
        'Corinthia': GoogleFonts.corinthiaTextTheme,
        'Cormorant': GoogleFonts.cormorantTextTheme,
        'Cormorant Garamond': GoogleFonts.cormorantGaramondTextTheme,
        'Cormorant Infant': GoogleFonts.cormorantInfantTextTheme,
        'Cormorant SC': GoogleFonts.cormorantScTextTheme,
        'Cormorant Unicase': GoogleFonts.cormorantUnicaseTextTheme,
        'Cormorant Upright': GoogleFonts.cormorantUprightTextTheme,
        'Courgette': GoogleFonts.courgetteTextTheme,
        'Courier Prime': GoogleFonts.courierPrimeTextTheme,
        'Cousine': GoogleFonts.cousineTextTheme,
        'Coustard': GoogleFonts.coustardTextTheme,
        'Covered By Your Grace': GoogleFonts.coveredByYourGraceTextTheme,
        'Crafty Girls': GoogleFonts.craftyGirlsTextTheme,
        'Creepster': GoogleFonts.creepsterTextTheme,
        'Crete Round': GoogleFonts.creteRoundTextTheme,
        'Crimson Pro': GoogleFonts.crimsonProTextTheme,
        'Crimson Text': GoogleFonts.crimsonTextTextTheme,
        'Croissant One': GoogleFonts.croissantOneTextTheme,
        'Crushed': GoogleFonts.crushedTextTheme,
        'Cuprum': GoogleFonts.cuprumTextTheme,
        'Cute Font': GoogleFonts.cuteFontTextTheme,
        'Cutive': GoogleFonts.cutiveTextTheme,
        'Cutive Mono': GoogleFonts.cutiveMonoTextTheme,
        'DM Mono': GoogleFonts.dmMonoTextTheme,
        'DM Sans': GoogleFonts.dmSansTextTheme,
        'DM Serif Display': GoogleFonts.dmSerifDisplayTextTheme,
        'DM Serif Text': GoogleFonts.dmSerifTextTextTheme,
        'Damion': GoogleFonts.damionTextTheme,
        'Dancing Script': GoogleFonts.dancingScriptTextTheme,
        'Dangrek': GoogleFonts.dangrekTextTheme,
        'Darker Grotesque': GoogleFonts.darkerGrotesqueTextTheme,
        'David Libre': GoogleFonts.davidLibreTextTheme,
        'Dawning of a New Day': GoogleFonts.dawningOfANewDayTextTheme,
        'Days One': GoogleFonts.daysOneTextTheme,
        'Dekko': GoogleFonts.dekkoTextTheme,
        'Dela Gothic One': GoogleFonts.delaGothicOneTextTheme,
        'Delius': GoogleFonts.deliusTextTheme,
        'Delius Swash Caps': GoogleFonts.deliusSwashCapsTextTheme,
        'Delius Unicase': GoogleFonts.deliusUnicaseTextTheme,
        'Della Respira': GoogleFonts.dellaRespiraTextTheme,
        'Denk One': GoogleFonts.denkOneTextTheme,
        'Devonshire': GoogleFonts.devonshireTextTheme,
        'Dhurjati': GoogleFonts.dhurjatiTextTheme,
        'Didact Gothic': GoogleFonts.didactGothicTextTheme,
        'Diplomata': GoogleFonts.diplomataTextTheme,
        'Diplomata SC': GoogleFonts.diplomataScTextTheme,
        'Do Hyeon': GoogleFonts.doHyeonTextTheme,
        'Dokdo': GoogleFonts.dokdoTextTheme,
        'Domine': GoogleFonts.domineTextTheme,
        'Donegal One': GoogleFonts.donegalOneTextTheme,
        'Dongle': GoogleFonts.dongleTextTheme,
        'Doppio One': GoogleFonts.doppioOneTextTheme,
        'Dorsa': GoogleFonts.dorsaTextTheme,
        'Dosis': GoogleFonts.dosisTextTheme,
        'DotGothic16': GoogleFonts.dotGothic16TextTheme,
        'Dr Sugiyama': GoogleFonts.drSugiyamaTextTheme,
        'Duru Sans': GoogleFonts.duruSansTextTheme,
        'DynaPuff': GoogleFonts.dynaPuffTextTheme,
        'Dynalight': GoogleFonts.dynalightTextTheme,
        'EB Garamond': GoogleFonts.ebGaramondTextTheme,
        'Eagle Lake': GoogleFonts.eagleLakeTextTheme,
        'East Sea Dokdo': GoogleFonts.eastSeaDokdoTextTheme,
        'Eater': GoogleFonts.eaterTextTheme,
        'Economica': GoogleFonts.economicaTextTheme,
        'Eczar': GoogleFonts.eczarTextTheme,
        'Edu NSW ACT Foundation': GoogleFonts.eduNswActFoundationTextTheme,
        'Edu QLD Beginner': GoogleFonts.eduQldBeginnerTextTheme,
        'Edu SA Beginner': GoogleFonts.eduSaBeginnerTextTheme,
        'Edu TAS Beginner': GoogleFonts.eduTasBeginnerTextTheme,
        'Edu VIC WA NT Beginner': GoogleFonts.eduVicWaNtBeginnerTextTheme,
        'El Messiri': GoogleFonts.elMessiriTextTheme,
        'Electrolize': GoogleFonts.electrolizeTextTheme,
        'Elsie': GoogleFonts.elsieTextTheme,
        'Elsie Swash Caps': GoogleFonts.elsieSwashCapsTextTheme,
        'Emblema One': GoogleFonts.emblemaOneTextTheme,
        'Emilys Candy': GoogleFonts.emilysCandyTextTheme,
        'Encode Sans': GoogleFonts.encodeSansTextTheme,
        'Encode Sans Condensed': GoogleFonts.encodeSansCondensedTextTheme,
        'Encode Sans Expanded': GoogleFonts.encodeSansExpandedTextTheme,
        'Encode Sans SC': GoogleFonts.encodeSansScTextTheme,
        'Encode Sans Semi Condensed':
            GoogleFonts.encodeSansSemiCondensedTextTheme,
        'Encode Sans Semi Expanded':
            GoogleFonts.encodeSansSemiExpandedTextTheme,
        'Engagement': GoogleFonts.engagementTextTheme,
        'Englebert': GoogleFonts.englebertTextTheme,
        'Enriqueta': GoogleFonts.enriquetaTextTheme,
        'Ephesis': GoogleFonts.ephesisTextTheme,
        'Epilogue': GoogleFonts.epilogueTextTheme,
        'Erica One': GoogleFonts.ericaOneTextTheme,
        'Esteban': GoogleFonts.estebanTextTheme,
        'Estonia': GoogleFonts.estoniaTextTheme,
        'Euphoria Script': GoogleFonts.euphoriaScriptTextTheme,
        'Ewert': GoogleFonts.ewertTextTheme,
        'Exo': GoogleFonts.exoTextTheme,
        'Exo 2': GoogleFonts.exo2TextTheme,
        'Expletus Sans': GoogleFonts.expletusSansTextTheme,
        'Explora': GoogleFonts.exploraTextTheme,
        'Fahkwang': GoogleFonts.fahkwangTextTheme,
        'Familjen Grotesk': GoogleFonts.familjenGroteskTextTheme,
        'Fanwood Text': GoogleFonts.fanwoodTextTextTheme,
        'Farro': GoogleFonts.farroTextTheme,
        'Farsan': GoogleFonts.farsanTextTheme,
        'Fascinate': GoogleFonts.fascinateTextTheme,
        'Fascinate Inline': GoogleFonts.fascinateInlineTextTheme,
        'Faster One': GoogleFonts.fasterOneTextTheme,
        'Fasthand': GoogleFonts.fasthandTextTheme,
        'Fauna One': GoogleFonts.faunaOneTextTheme,
        'Faustina': GoogleFonts.faustinaTextTheme,
        'Federant': GoogleFonts.federantTextTheme,
        'Federo': GoogleFonts.federoTextTheme,
        'Felipa': GoogleFonts.felipaTextTheme,
        'Fenix': GoogleFonts.fenixTextTheme,
        'Festive': GoogleFonts.festiveTextTheme,
        'Figtree': GoogleFonts.figtreeTextTheme,
        'Finger Paint': GoogleFonts.fingerPaintTextTheme,
        'Finlandica': GoogleFonts.finlandicaTextTheme,
        'Fira Code': GoogleFonts.firaCodeTextTheme,
        'Fira Mono': GoogleFonts.firaMonoTextTheme,
        'Fira Sans': GoogleFonts.firaSansTextTheme,
        'Fira Sans Condensed': GoogleFonts.firaSansCondensedTextTheme,
        'Fira Sans Extra Condensed':
            GoogleFonts.firaSansExtraCondensedTextTheme,
        'Fjalla One': GoogleFonts.fjallaOneTextTheme,
        'Fjord One': GoogleFonts.fjordOneTextTheme,
        'Flamenco': GoogleFonts.flamencoTextTheme,
        'Flavors': GoogleFonts.flavorsTextTheme,
        'Fleur De Leah': GoogleFonts.fleurDeLeahTextTheme,
        'Flow Block': GoogleFonts.flowBlockTextTheme,
        'Flow Circular': GoogleFonts.flowCircularTextTheme,
        'Flow Rounded': GoogleFonts.flowRoundedTextTheme,
        'Fondamento': GoogleFonts.fondamentoTextTheme,
        'Fontdiner Swanky': GoogleFonts.fontdinerSwankyTextTheme,
        'Forum': GoogleFonts.forumTextTheme,
        'Fragment Mono': GoogleFonts.fragmentMonoTextTheme,
        'Francois One': GoogleFonts.francoisOneTextTheme,
        'Frank Ruhl Libre': GoogleFonts.frankRuhlLibreTextTheme,
        'Fraunces': GoogleFonts.frauncesTextTheme,
        'Freckle Face': GoogleFonts.freckleFaceTextTheme,
        'Fredericka the Great': GoogleFonts.frederickaTheGreatTextTheme,
        'Fredoka': GoogleFonts.fredokaTextTheme,
        'Fredoka One': GoogleFonts.fredokaOneTextTheme,
        'Freehand': GoogleFonts.freehandTextTheme,
        'Fresca': GoogleFonts.frescaTextTheme,
        'Frijole': GoogleFonts.frijoleTextTheme,
        'Fruktur': GoogleFonts.frukturTextTheme,
        'Fugaz One': GoogleFonts.fugazOneTextTheme,
        'Fuggles': GoogleFonts.fugglesTextTheme,
        'Fuzzy Bubbles': GoogleFonts.fuzzyBubblesTextTheme,
        'GFS Didot': GoogleFonts.gfsDidotTextTheme,
        'GFS Neohellenic': GoogleFonts.gfsNeohellenicTextTheme,
        'Gabriela': GoogleFonts.gabrielaTextTheme,
        'Gaegu': GoogleFonts.gaeguTextTheme,
        'Gafata': GoogleFonts.gafataTextTheme,
        'Galada': GoogleFonts.galadaTextTheme,
        'Galdeano': GoogleFonts.galdeanoTextTheme,
        'Galindo': GoogleFonts.galindoTextTheme,
        'Gamja Flower': GoogleFonts.gamjaFlowerTextTheme,
        'Gantari': GoogleFonts.gantariTextTheme,
        'Gayathri': GoogleFonts.gayathriTextTheme,
        'Gelasio': GoogleFonts.gelasioTextTheme,
        'Gemunu Libre': GoogleFonts.gemunuLibreTextTheme,
        'Genos': GoogleFonts.genosTextTheme,
        'Gentium Book Basic': GoogleFonts.gentiumBookBasicTextTheme,
        'Gentium Book Plus': GoogleFonts.gentiumBookPlusTextTheme,
        'Gentium Plus': GoogleFonts.gentiumPlusTextTheme,
        'Geo': GoogleFonts.geoTextTheme,
        'Georama': GoogleFonts.georamaTextTheme,
        'Geostar': GoogleFonts.geostarTextTheme,
        'Geostar Fill': GoogleFonts.geostarFillTextTheme,
        'Germania One': GoogleFonts.germaniaOneTextTheme,
        'Gideon Roman': GoogleFonts.gideonRomanTextTheme,
        'Gidugu': GoogleFonts.giduguTextTheme,
        'Gilda Display': GoogleFonts.gildaDisplayTextTheme,
        'Girassol': GoogleFonts.girassolTextTheme,
        'Give You Glory': GoogleFonts.giveYouGloryTextTheme,
        'Glass Antiqua': GoogleFonts.glassAntiquaTextTheme,
        'Glegoo': GoogleFonts.glegooTextTheme,
        'Gloria Hallelujah': GoogleFonts.gloriaHallelujahTextTheme,
        'Glory': GoogleFonts.gloryTextTheme,
        'Gluten': GoogleFonts.glutenTextTheme,
        'Goblin One': GoogleFonts.goblinOneTextTheme,
        'Gochi Hand': GoogleFonts.gochiHandTextTheme,
        'Goldman': GoogleFonts.goldmanTextTheme,
        'Gorditas': GoogleFonts.gorditasTextTheme,
        'Gothic A1': GoogleFonts.gothicA1TextTheme,
        'Gotu': GoogleFonts.gotuTextTheme,
        'Goudy Bookletter 1911': GoogleFonts.goudyBookletter1911TextTheme,
        'Gowun Batang': GoogleFonts.gowunBatangTextTheme,
        'Gowun Dodum': GoogleFonts.gowunDodumTextTheme,
        'Graduate': GoogleFonts.graduateTextTheme,
        'Grand Hotel': GoogleFonts.grandHotelTextTheme,
        'Grandstander': GoogleFonts.grandstanderTextTheme,
        'Grape Nuts': GoogleFonts.grapeNutsTextTheme,
        'Gravitas One': GoogleFonts.gravitasOneTextTheme,
        'Great Vibes': GoogleFonts.greatVibesTextTheme,
        'Grechen Fuemen': GoogleFonts.grechenFuemenTextTheme,
        'Grenze': GoogleFonts.grenzeTextTheme,
        'Grenze Gotisch': GoogleFonts.grenzeGotischTextTheme,
        'Grey Qo': GoogleFonts.greyQoTextTheme,
        'Griffy': GoogleFonts.griffyTextTheme,
        'Gruppo': GoogleFonts.gruppoTextTheme,
        'Gudea': GoogleFonts.gudeaTextTheme,
        'Gugi': GoogleFonts.gugiTextTheme,
        'Gulzar': GoogleFonts.gulzarTextTheme,
        'Gupter': GoogleFonts.gupterTextTheme,
        'Gurajada': GoogleFonts.gurajadaTextTheme,
        'Gwendolyn': GoogleFonts.gwendolynTextTheme,
        'Habibi': GoogleFonts.habibiTextTheme,
        'Hachi Maru Pop': GoogleFonts.hachiMaruPopTextTheme,
        'Hahmlet': GoogleFonts.hahmletTextTheme,
        'Halant': GoogleFonts.halantTextTheme,
        'Hammersmith One': GoogleFonts.hammersmithOneTextTheme,
        'Hanalei': GoogleFonts.hanaleiTextTheme,
        'Hanalei Fill': GoogleFonts.hanaleiFillTextTheme,
        'Handlee': GoogleFonts.handleeTextTheme,
        'Hanuman': GoogleFonts.hanumanTextTheme,
        'Happy Monkey': GoogleFonts.happyMonkeyTextTheme,
        'Harmattan': GoogleFonts.harmattanTextTheme,
        'Headland One': GoogleFonts.headlandOneTextTheme,
        'Heebo': GoogleFonts.heeboTextTheme,
        'Henny Penny': GoogleFonts.hennyPennyTextTheme,
        'Hepta Slab': GoogleFonts.heptaSlabTextTheme,
        'Herr Von Muellerhoff': GoogleFonts.herrVonMuellerhoffTextTheme,
        'Hi Melody': GoogleFonts.hiMelodyTextTheme,
        'Hina Mincho': GoogleFonts.hinaMinchoTextTheme,
        'Hind': GoogleFonts.hindTextTheme,
        'Hind Guntur': GoogleFonts.hindGunturTextTheme,
        'Hind Madurai': GoogleFonts.hindMaduraiTextTheme,
        'Hind Siliguri': GoogleFonts.hindSiliguriTextTheme,
        'Hind Vadodara': GoogleFonts.hindVadodaraTextTheme,
        'Holtwood One SC': GoogleFonts.holtwoodOneScTextTheme,
        'Homemade Apple': GoogleFonts.homemadeAppleTextTheme,
        'Homenaje': GoogleFonts.homenajeTextTheme,
        'Hubballi': GoogleFonts.hubballiTextTheme,
        'Hurricane': GoogleFonts.hurricaneTextTheme,
        'IBM Plex Mono': GoogleFonts.ibmPlexMonoTextTheme,
        'IBM Plex Sans': GoogleFonts.ibmPlexSansTextTheme,
        'IBM Plex Sans Arabic': GoogleFonts.ibmPlexSansArabicTextTheme,
        'IBM Plex Sans Condensed': GoogleFonts.ibmPlexSansCondensedTextTheme,
        'IBM Plex Sans Devanagari': GoogleFonts.ibmPlexSansDevanagariTextTheme,
        'IBM Plex Sans Hebrew': GoogleFonts.ibmPlexSansHebrewTextTheme,
        'IBM Plex Sans JP': GoogleFonts.ibmPlexSansJpTextTheme,
        'IBM Plex Sans KR': GoogleFonts.ibmPlexSansKrTextTheme,
        'IBM Plex Sans Thai': GoogleFonts.ibmPlexSansThaiTextTheme,
        'IBM Plex Sans Thai Looped': GoogleFonts.ibmPlexSansThaiLoopedTextTheme,
        'IBM Plex Serif': GoogleFonts.ibmPlexSerifTextTheme,
        'IM Fell DW Pica': GoogleFonts.imFellDwPicaTextTheme,
        'IM Fell DW Pica SC': GoogleFonts.imFellDwPicaScTextTheme,
        'IM Fell Double Pica': GoogleFonts.imFellDoublePicaTextTheme,
        'IM Fell Double Pica SC': GoogleFonts.imFellDoublePicaScTextTheme,
        'IM Fell English': GoogleFonts.imFellEnglishTextTheme,
        'IM Fell English SC': GoogleFonts.imFellEnglishScTextTheme,
        'IM Fell French Canon': GoogleFonts.imFellFrenchCanonTextTheme,
        'IM Fell French Canon SC': GoogleFonts.imFellFrenchCanonScTextTheme,
        'IM Fell Great Primer': GoogleFonts.imFellGreatPrimerTextTheme,
        'IM Fell Great Primer SC': GoogleFonts.imFellGreatPrimerScTextTheme,
        'Ibarra Real Nova': GoogleFonts.ibarraRealNovaTextTheme,
        'Iceberg': GoogleFonts.icebergTextTheme,
        'Iceland': GoogleFonts.icelandTextTheme,
        'Imbue': GoogleFonts.imbueTextTheme,
        'Imperial Script': GoogleFonts.imperialScriptTextTheme,
        'Imprima': GoogleFonts.imprimaTextTheme,
        'Inconsolata': GoogleFonts.inconsolataTextTheme,
        'Inder': GoogleFonts.inderTextTheme,
        'Indie Flower': GoogleFonts.indieFlowerTextTheme,
        'Ingrid Darling': GoogleFonts.ingridDarlingTextTheme,
        'Inika': GoogleFonts.inikaTextTheme,
        'Inknut Antiqua': GoogleFonts.inknutAntiquaTextTheme,
        'Inria Sans': GoogleFonts.inriaSansTextTheme,
        'Inria Serif': GoogleFonts.inriaSerifTextTheme,
        'Inspiration': GoogleFonts.inspirationTextTheme,
        'Inter': GoogleFonts.interTextTheme,
        'Inter Tight': GoogleFonts.interTightTextTheme,
        'Irish Grover': GoogleFonts.irishGroverTextTheme,
        'Island Moments': GoogleFonts.islandMomentsTextTheme,
        'Istok Web': GoogleFonts.istokWebTextTheme,
        'Italiana': GoogleFonts.italianaTextTheme,
        'Italianno': GoogleFonts.italiannoTextTheme,
        'Itim': GoogleFonts.itimTextTheme,
        'Jacques Francois': GoogleFonts.jacquesFrancoisTextTheme,
        'Jacques Francois Shadow': GoogleFonts.jacquesFrancoisShadowTextTheme,
        'Jaldi': GoogleFonts.jaldiTextTheme,
        'JetBrains Mono': GoogleFonts.jetBrainsMonoTextTheme,
        'Jim Nightshade': GoogleFonts.jimNightshadeTextTheme,
        'Joan': GoogleFonts.joanTextTheme,
        'Jockey One': GoogleFonts.jockeyOneTextTheme,
        'Jolly Lodger': GoogleFonts.jollyLodgerTextTheme,
        'Jomhuria': GoogleFonts.jomhuriaTextTheme,
        'Jomolhari': GoogleFonts.jomolhariTextTheme,
        'Josefin Sans': GoogleFonts.josefinSansTextTheme,
        'Josefin Slab': GoogleFonts.josefinSlabTextTheme,
        'Jost': GoogleFonts.jostTextTheme,
        'Joti One': GoogleFonts.jotiOneTextTheme,
        'Jua': GoogleFonts.juaTextTheme,
        'Judson': GoogleFonts.judsonTextTheme,
        'Julee': GoogleFonts.juleeTextTheme,
        'Julius Sans One': GoogleFonts.juliusSansOneTextTheme,
        'Junge': GoogleFonts.jungeTextTheme,
        'Jura': GoogleFonts.juraTextTheme,
        'Just Another Hand': GoogleFonts.justAnotherHandTextTheme,
        'Just Me Again Down Here': GoogleFonts.justMeAgainDownHereTextTheme,
        'K2D': GoogleFonts.k2dTextTheme,
        'Kadwa': GoogleFonts.kadwaTextTheme,
        'Kaisei Decol': GoogleFonts.kaiseiDecolTextTheme,
        'Kaisei HarunoUmi': GoogleFonts.kaiseiHarunoUmiTextTheme,
        'Kaisei Opti': GoogleFonts.kaiseiOptiTextTheme,
        'Kaisei Tokumin': GoogleFonts.kaiseiTokuminTextTheme,
        'Kalam': GoogleFonts.kalamTextTheme,
        'Kameron': GoogleFonts.kameronTextTheme,
        'Kanit': GoogleFonts.kanitTextTheme,
        'Kantumruy': GoogleFonts.kantumruyTextTheme,
        'Kantumruy Pro': GoogleFonts.kantumruyProTextTheme,
        'Karantina': GoogleFonts.karantinaTextTheme,
        'Karla': GoogleFonts.karlaTextTheme,
        'Karma': GoogleFonts.karmaTextTheme,
        'Katibeh': GoogleFonts.katibehTextTheme,
        'Kaushan Script': GoogleFonts.kaushanScriptTextTheme,
        'Kavivanar': GoogleFonts.kavivanarTextTheme,
        'Kavoon': GoogleFonts.kavoonTextTheme,
        'Kdam Thmor Pro': GoogleFonts.kdamThmorProTextTheme,
        'Keania One': GoogleFonts.keaniaOneTextTheme,
        'Kelly Slab': GoogleFonts.kellySlabTextTheme,
        'Kenia': GoogleFonts.keniaTextTheme,
        'Khand': GoogleFonts.khandTextTheme,
        'Khmer': GoogleFonts.khmerTextTheme,
        'Khula': GoogleFonts.khulaTextTheme,
        'Kings': GoogleFonts.kingsTextTheme,
        'Kirang Haerang': GoogleFonts.kirangHaerangTextTheme,
        'Kite One': GoogleFonts.kiteOneTextTheme,
        'Kiwi Maru': GoogleFonts.kiwiMaruTextTheme,
        'Klee One': GoogleFonts.kleeOneTextTheme,
        'Knewave': GoogleFonts.knewaveTextTheme,
        'KoHo': GoogleFonts.koHoTextTheme,
        'Kodchasan': GoogleFonts.kodchasanTextTheme,
        'Koh Santepheap': GoogleFonts.kohSantepheapTextTheme,
        'Kolker Brush': GoogleFonts.kolkerBrushTextTheme,
        'Kosugi': GoogleFonts.kosugiTextTheme,
        'Kosugi Maru': GoogleFonts.kosugiMaruTextTheme,
        'Kotta One': GoogleFonts.kottaOneTextTheme,
        'Koulen': GoogleFonts.koulenTextTheme,
        'Kranky': GoogleFonts.krankyTextTheme,
        'Kreon': GoogleFonts.kreonTextTheme,
        'Kristi': GoogleFonts.kristiTextTheme,
        'Krona One': GoogleFonts.kronaOneTextTheme,
        'Krub': GoogleFonts.krubTextTheme,
        'Kufam': GoogleFonts.kufamTextTheme,
        'Kulim Park': GoogleFonts.kulimParkTextTheme,
        'Kumar One': GoogleFonts.kumarOneTextTheme,
        'Kumar One Outline': GoogleFonts.kumarOneOutlineTextTheme,
        'Kumbh Sans': GoogleFonts.kumbhSansTextTheme,
        'Kurale': GoogleFonts.kuraleTextTheme,
        'La Belle Aurore': GoogleFonts.laBelleAuroreTextTheme,
        'Lacquer': GoogleFonts.lacquerTextTheme,
        'Laila': GoogleFonts.lailaTextTheme,
        'Lakki Reddy': GoogleFonts.lakkiReddyTextTheme,
        'Lalezar': GoogleFonts.lalezarTextTheme,
        'Lancelot': GoogleFonts.lancelotTextTheme,
        'Langar': GoogleFonts.langarTextTheme,
        'Lateef': GoogleFonts.lateefTextTheme,
        'Lato': GoogleFonts.latoTextTheme,
        'Lavishly Yours': GoogleFonts.lavishlyYoursTextTheme,
        'League Gothic': GoogleFonts.leagueGothicTextTheme,
        'League Script': GoogleFonts.leagueScriptTextTheme,
        'League Spartan': GoogleFonts.leagueSpartanTextTheme,
        'Leckerli One': GoogleFonts.leckerliOneTextTheme,
        'Ledger': GoogleFonts.ledgerTextTheme,
        'Lekton': GoogleFonts.lektonTextTheme,
        'Lemon': GoogleFonts.lemonTextTheme,
        'Lemonada': GoogleFonts.lemonadaTextTheme,
        'Lexend': GoogleFonts.lexendTextTheme,
        'Lexend Deca': GoogleFonts.lexendDecaTextTheme,
        'Lexend Exa': GoogleFonts.lexendExaTextTheme,
        'Lexend Giga': GoogleFonts.lexendGigaTextTheme,
        'Lexend Mega': GoogleFonts.lexendMegaTextTheme,
        'Lexend Peta': GoogleFonts.lexendPetaTextTheme,
        'Lexend Tera': GoogleFonts.lexendTeraTextTheme,
        'Lexend Zetta': GoogleFonts.lexendZettaTextTheme,
        'Libre Barcode 128': GoogleFonts.libreBarcode128TextTheme,
        'Libre Barcode 128 Text': GoogleFonts.libreBarcode128TextTextTheme,
        'Libre Barcode 39': GoogleFonts.libreBarcode39TextTheme,
        'Libre Barcode 39 Extended':
            GoogleFonts.libreBarcode39ExtendedTextTheme,
        'Libre Barcode 39 Extended Text':
            GoogleFonts.libreBarcode39ExtendedTextTextTheme,
        'Libre Barcode 39 Text': GoogleFonts.libreBarcode39TextTextTheme,
        'Libre Barcode EAN13 Text': GoogleFonts.libreBarcodeEan13TextTextTheme,
        'Libre Baskerville': GoogleFonts.libreBaskervilleTextTheme,
        'Libre Bodoni': GoogleFonts.libreBodoniTextTheme,
        'Libre Caslon Display': GoogleFonts.libreCaslonDisplayTextTheme,
        'Libre Caslon Text': GoogleFonts.libreCaslonTextTextTheme,
        'Libre Franklin': GoogleFonts.libreFranklinTextTheme,
        'Licorice': GoogleFonts.licoriceTextTheme,
        'Life Savers': GoogleFonts.lifeSaversTextTheme,
        'Lilita One': GoogleFonts.lilitaOneTextTheme,
        'Lily Script One': GoogleFonts.lilyScriptOneTextTheme,
        'Limelight': GoogleFonts.limelightTextTheme,
        'Linden Hill': GoogleFonts.lindenHillTextTheme,
        'Literata': GoogleFonts.literataTextTheme,
        'Liu Jian Mao Cao': GoogleFonts.liuJianMaoCaoTextTheme,
        'Livvic': GoogleFonts.livvicTextTheme,
        'Lobster': GoogleFonts.lobsterTextTheme,
        'Lobster Two': GoogleFonts.lobsterTwoTextTheme,
        'Londrina Outline': GoogleFonts.londrinaOutlineTextTheme,
        'Londrina Shadow': GoogleFonts.londrinaShadowTextTheme,
        'Londrina Sketch': GoogleFonts.londrinaSketchTextTheme,
        'Londrina Solid': GoogleFonts.londrinaSolidTextTheme,
        'Long Cang': GoogleFonts.longCangTextTheme,
        'Lora': GoogleFonts.loraTextTheme,
        'Love Light': GoogleFonts.loveLightTextTheme,
        'Love Ya Like A Sister': GoogleFonts.loveYaLikeASisterTextTheme,
        'Loved by the King': GoogleFonts.lovedByTheKingTextTheme,
        'Lovers Quarrel': GoogleFonts.loversQuarrelTextTheme,
        'Luckiest Guy': GoogleFonts.luckiestGuyTextTheme,
        'Lusitana': GoogleFonts.lusitanaTextTheme,
        'Lustria': GoogleFonts.lustriaTextTheme,
        'Luxurious Roman': GoogleFonts.luxuriousRomanTextTheme,
        'Luxurious Script': GoogleFonts.luxuriousScriptTextTheme,
        'M PLUS 1': GoogleFonts.mPlus1TextTheme,
        'M PLUS 1 Code': GoogleFonts.mPlus1CodeTextTheme,
        'M PLUS 1p': GoogleFonts.mPlus1pTextTheme,
        'M PLUS 2': GoogleFonts.mPlus2TextTheme,
        'M PLUS Code Latin': GoogleFonts.mPlusCodeLatinTextTheme,
        'M PLUS Rounded 1c': GoogleFonts.mPlusRounded1cTextTheme,
        'Ma Shan Zheng': GoogleFonts.maShanZhengTextTheme,
        'Macondo': GoogleFonts.macondoTextTheme,
        'Macondo Swash Caps': GoogleFonts.macondoSwashCapsTextTheme,
        'Mada': GoogleFonts.madaTextTheme,
        'Magra': GoogleFonts.magraTextTheme,
        'Maiden Orange': GoogleFonts.maidenOrangeTextTheme,
        'Maitree': GoogleFonts.maitreeTextTheme,
        'Major Mono Display': GoogleFonts.majorMonoDisplayTextTheme,
        'Mako': GoogleFonts.makoTextTheme,
        'Mali': GoogleFonts.maliTextTheme,
        'Mallanna': GoogleFonts.mallannaTextTheme,
        'Mandali': GoogleFonts.mandaliTextTheme,
        'Manjari': GoogleFonts.manjariTextTheme,
        'Manrope': GoogleFonts.manropeTextTheme,
        'Mansalva': GoogleFonts.mansalvaTextTheme,
        'Manuale': GoogleFonts.manualeTextTheme,
        'Marcellus': GoogleFonts.marcellusTextTheme,
        'Marcellus SC': GoogleFonts.marcellusScTextTheme,
        'Marck Script': GoogleFonts.marckScriptTextTheme,
        'Margarine': GoogleFonts.margarineTextTheme,
        'Marhey': GoogleFonts.marheyTextTheme,
        'Markazi Text': GoogleFonts.markaziTextTextTheme,
        'Marko One': GoogleFonts.markoOneTextTheme,
        'Marmelad': GoogleFonts.marmeladTextTheme,
        'Martel': GoogleFonts.martelTextTheme,
        'Martel Sans': GoogleFonts.martelSansTextTheme,
        'Marvel': GoogleFonts.marvelTextTheme,
        'Mate': GoogleFonts.mateTextTheme,
        'Mate SC': GoogleFonts.mateScTextTheme,
        'Maven Pro': GoogleFonts.mavenProTextTheme,
        'McLaren': GoogleFonts.mcLarenTextTheme,
        'Mea Culpa': GoogleFonts.meaCulpaTextTheme,
        'Meddon': GoogleFonts.meddonTextTheme,
        'MedievalSharp': GoogleFonts.medievalSharpTextTheme,
        'Medula One': GoogleFonts.medulaOneTextTheme,
        'Meera Inimai': GoogleFonts.meeraInimaiTextTheme,
        'Megrim': GoogleFonts.megrimTextTheme,
        'Meie Script': GoogleFonts.meieScriptTextTheme,
        'Meow Script': GoogleFonts.meowScriptTextTheme,
        'Merienda': GoogleFonts.meriendaTextTheme,
        'Merienda One': GoogleFonts.meriendaOneTextTheme,
        'Merriweather': GoogleFonts.merriweatherTextTheme,
        'Merriweather Sans': GoogleFonts.merriweatherSansTextTheme,
        'Metal': GoogleFonts.metalTextTheme,
        'Metal Mania': GoogleFonts.metalManiaTextTheme,
        'Metamorphous': GoogleFonts.metamorphousTextTheme,
        'Metrophobic': GoogleFonts.metrophobicTextTheme,
        'Michroma': GoogleFonts.michromaTextTheme,
        'Milonga': GoogleFonts.milongaTextTheme,
        'Miltonian': GoogleFonts.miltonianTextTheme,
        'Miltonian Tattoo': GoogleFonts.miltonianTattooTextTheme,
        'Mina': GoogleFonts.minaTextTheme,
        'Mingzat': GoogleFonts.mingzatTextTheme,
        'Miniver': GoogleFonts.miniverTextTheme,
        'Miriam Libre': GoogleFonts.miriamLibreTextTheme,
        'Mirza': GoogleFonts.mirzaTextTheme,
        'Miss Fajardose': GoogleFonts.missFajardoseTextTheme,
        'Mitr': GoogleFonts.mitrTextTheme,
        'Mochiy Pop One': GoogleFonts.mochiyPopOneTextTheme,
        'Mochiy Pop P One': GoogleFonts.mochiyPopPOneTextTheme,
        'Modak': GoogleFonts.modakTextTheme,
        'Modern Antiqua': GoogleFonts.modernAntiquaTextTheme,
        'Mogra': GoogleFonts.mograTextTheme,
        'Mohave': GoogleFonts.mohaveTextTheme,
        'Molengo': GoogleFonts.molengoTextTheme,
        'Molle': GoogleFonts.molleTextTheme,
        'Monda': GoogleFonts.mondaTextTheme,
        'Monofett': GoogleFonts.monofettTextTheme,
        'Monoton': GoogleFonts.monotonTextTheme,
        'Monsieur La Doulaise': GoogleFonts.monsieurLaDoulaiseTextTheme,
        'Montaga': GoogleFonts.montagaTextTheme,
        'Montagu Slab': GoogleFonts.montaguSlabTextTheme,
        'MonteCarlo': GoogleFonts.monteCarloTextTheme,
        'Montez': GoogleFonts.montezTextTheme,
        'Montserrat': GoogleFonts.montserratTextTheme,
        'Montserrat Alternates': GoogleFonts.montserratAlternatesTextTheme,
        'Montserrat Subrayada': GoogleFonts.montserratSubrayadaTextTheme,
        'Moo Lah Lah': GoogleFonts.mooLahLahTextTheme,
        'Moon Dance': GoogleFonts.moonDanceTextTheme,
        'Moul': GoogleFonts.moulTextTheme,
        'Moulpali': GoogleFonts.moulpaliTextTheme,
        'Mountains of Christmas': GoogleFonts.mountainsOfChristmasTextTheme,
        'Mouse Memoirs': GoogleFonts.mouseMemoirsTextTheme,
        'Mr Bedfort': GoogleFonts.mrBedfortTextTheme,
        'Mr Dafoe': GoogleFonts.mrDafoeTextTheme,
        'Mr De Haviland': GoogleFonts.mrDeHavilandTextTheme,
        'Mrs Saint Delafield': GoogleFonts.mrsSaintDelafieldTextTheme,
        'Mrs Sheppards': GoogleFonts.mrsSheppardsTextTheme,
        'Ms Madi': GoogleFonts.msMadiTextTheme,
        'Mukta': GoogleFonts.muktaTextTheme,
        'Mukta Mahee': GoogleFonts.muktaMaheeTextTheme,
        'Mukta Malar': GoogleFonts.muktaMalarTextTheme,
        'Mukta Vaani': GoogleFonts.muktaVaaniTextTheme,
        'Mulish': GoogleFonts.mulishTextTheme,
        'Murecho': GoogleFonts.murechoTextTheme,
        'MuseoModerno': GoogleFonts.museoModernoTextTheme,
        'My Soul': GoogleFonts.mySoulTextTheme,
        'Mystery Quest': GoogleFonts.mysteryQuestTextTheme,
        'NTR': GoogleFonts.ntrTextTheme,
        'Nabla': GoogleFonts.nablaTextTheme,
        'Nanum Brush Script': GoogleFonts.nanumBrushScriptTextTheme,
        'Nanum Gothic': GoogleFonts.nanumGothicTextTheme,
        'Nanum Gothic Coding': GoogleFonts.nanumGothicCodingTextTheme,
        'Nanum Myeongjo': GoogleFonts.nanumMyeongjoTextTheme,
        'Nanum Pen Script': GoogleFonts.nanumPenScriptTextTheme,
        'Neonderthaw': GoogleFonts.neonderthawTextTheme,
        'Nerko One': GoogleFonts.nerkoOneTextTheme,
        'Neucha': GoogleFonts.neuchaTextTheme,
        'Neuton': GoogleFonts.neutonTextTheme,
        'New Rocker': GoogleFonts.newRockerTextTheme,
        'New Tegomin': GoogleFonts.newTegominTextTheme,
        'News Cycle': GoogleFonts.newsCycleTextTheme,
        'Newsreader': GoogleFonts.newsreaderTextTheme,
        'Niconne': GoogleFonts.niconneTextTheme,
        'Niramit': GoogleFonts.niramitTextTheme,
        'Nixie One': GoogleFonts.nixieOneTextTheme,
        'Nobile': GoogleFonts.nobileTextTheme,
        'Nokora': GoogleFonts.nokoraTextTheme,
        'Norican': GoogleFonts.noricanTextTheme,
        'Nosifer': GoogleFonts.nosiferTextTheme,
        'Notable': GoogleFonts.notableTextTheme,
        'Nothing You Could Do': GoogleFonts.nothingYouCouldDoTextTheme,
        'Noticia Text': GoogleFonts.noticiaTextTextTheme,
        'Noto Color Emoji': GoogleFonts.notoColorEmojiTextTheme,
        'Noto Emoji': GoogleFonts.notoEmojiTextTheme,
        'Noto Kufi Arabic': GoogleFonts.notoKufiArabicTextTheme,
        'Noto Music': GoogleFonts.notoMusicTextTheme,
        'Noto Naskh Arabic': GoogleFonts.notoNaskhArabicTextTheme,
        'Noto Nastaliq Urdu': GoogleFonts.notoNastaliqUrduTextTheme,
        'Noto Rashi Hebrew': GoogleFonts.notoRashiHebrewTextTheme,
        'Noto Sans': GoogleFonts.notoSansTextTheme,
        'Noto Sans Adlam': GoogleFonts.notoSansAdlamTextTheme,
        'Noto Sans Adlam Unjoined': GoogleFonts.notoSansAdlamUnjoinedTextTheme,
        'Noto Sans Anatolian Hieroglyphs':
            GoogleFonts.notoSansAnatolianHieroglyphsTextTheme,
        'Noto Sans Arabic': GoogleFonts.notoSansArabicTextTheme,
        'Noto Sans Armenian': GoogleFonts.notoSansArmenianTextTheme,
        'Noto Sans Avestan': GoogleFonts.notoSansAvestanTextTheme,
        'Noto Sans Balinese': GoogleFonts.notoSansBalineseTextTheme,
        'Noto Sans Bamum': GoogleFonts.notoSansBamumTextTheme,
        'Noto Sans Bassa Vah': GoogleFonts.notoSansBassaVahTextTheme,
        'Noto Sans Batak': GoogleFonts.notoSansBatakTextTheme,
        'Noto Sans Bengali': GoogleFonts.notoSansBengaliTextTheme,
        'Noto Sans Bhaiksuki': GoogleFonts.notoSansBhaiksukiTextTheme,
        'Noto Sans Brahmi': GoogleFonts.notoSansBrahmiTextTheme,
        'Noto Sans Buginese': GoogleFonts.notoSansBugineseTextTheme,
        'Noto Sans Buhid': GoogleFonts.notoSansBuhidTextTheme,
        'Noto Sans Canadian Aboriginal':
            GoogleFonts.notoSansCanadianAboriginalTextTheme,
        'Noto Sans Carian': GoogleFonts.notoSansCarianTextTheme,
        'Noto Sans Caucasian Albanian':
            GoogleFonts.notoSansCaucasianAlbanianTextTheme,
        'Noto Sans Chakma': GoogleFonts.notoSansChakmaTextTheme,
        'Noto Sans Cham': GoogleFonts.notoSansChamTextTheme,
        'Noto Sans Cherokee': GoogleFonts.notoSansCherokeeTextTheme,
        'Noto Sans Coptic': GoogleFonts.notoSansCopticTextTheme,
        'Noto Sans Cuneiform': GoogleFonts.notoSansCuneiformTextTheme,
        'Noto Sans Cypriot': GoogleFonts.notoSansCypriotTextTheme,
        'Noto Sans Deseret': GoogleFonts.notoSansDeseretTextTheme,
        'Noto Sans Devanagari': GoogleFonts.notoSansDevanagariTextTheme,
        'Noto Sans Display': GoogleFonts.notoSansDisplayTextTheme,
        'Noto Sans Duployan': GoogleFonts.notoSansDuployanTextTheme,
        'Noto Sans Egyptian Hieroglyphs':
            GoogleFonts.notoSansEgyptianHieroglyphsTextTheme,
        'Noto Sans Elbasan': GoogleFonts.notoSansElbasanTextTheme,
        'Noto Sans Elymaic': GoogleFonts.notoSansElymaicTextTheme,
        'Noto Sans Ethiopic': GoogleFonts.notoSansEthiopicTextTheme,
        'Noto Sans Georgian': GoogleFonts.notoSansGeorgianTextTheme,
        'Noto Sans Glagolitic': GoogleFonts.notoSansGlagoliticTextTheme,
        'Noto Sans Gothic': GoogleFonts.notoSansGothicTextTheme,
        'Noto Sans Grantha': GoogleFonts.notoSansGranthaTextTheme,
        'Noto Sans Gujarati': GoogleFonts.notoSansGujaratiTextTheme,
        'Noto Sans Gunjala Gondi': GoogleFonts.notoSansGunjalaGondiTextTheme,
        'Noto Sans Gurmukhi': GoogleFonts.notoSansGurmukhiTextTheme,
        'Noto Sans Hanifi Rohingya':
            GoogleFonts.notoSansHanifiRohingyaTextTheme,
        'Noto Sans Hanunoo': GoogleFonts.notoSansHanunooTextTheme,
        'Noto Sans Hatran': GoogleFonts.notoSansHatranTextTheme,
        'Noto Sans Hebrew': GoogleFonts.notoSansHebrewTextTheme,
        'Noto Sans Imperial Aramaic':
            GoogleFonts.notoSansImperialAramaicTextTheme,
        'Noto Sans Indic Siyaq Numbers':
            GoogleFonts.notoSansIndicSiyaqNumbersTextTheme,
        'Noto Sans Inscriptional Pahlavi':
            GoogleFonts.notoSansInscriptionalPahlaviTextTheme,
        'Noto Sans Inscriptional Parthian':
            GoogleFonts.notoSansInscriptionalParthianTextTheme,
        'Noto Sans Javanese': GoogleFonts.notoSansJavaneseTextTheme,
        'Noto Sans Kaithi': GoogleFonts.notoSansKaithiTextTheme,
        'Noto Sans Kannada': GoogleFonts.notoSansKannadaTextTheme,
        'Noto Sans Kayah Li': GoogleFonts.notoSansKayahLiTextTheme,
        'Noto Sans Kharoshthi': GoogleFonts.notoSansKharoshthiTextTheme,
        'Noto Sans Khmer': GoogleFonts.notoSansKhmerTextTheme,
        'Noto Sans Khojki': GoogleFonts.notoSansKhojkiTextTheme,
        'Noto Sans Khudawadi': GoogleFonts.notoSansKhudawadiTextTheme,
        'Noto Sans Lao': GoogleFonts.notoSansLaoTextTheme,
        'Noto Sans Lao Looped': GoogleFonts.notoSansLaoLoopedTextTheme,
        'Noto Sans Lepcha': GoogleFonts.notoSansLepchaTextTheme,
        'Noto Sans Limbu': GoogleFonts.notoSansLimbuTextTheme,
        'Noto Sans Linear A': GoogleFonts.notoSansLinearATextTheme,
        'Noto Sans Linear B': GoogleFonts.notoSansLinearBTextTheme,
        'Noto Sans Lisu': GoogleFonts.notoSansLisuTextTheme,
        'Noto Sans Lycian': GoogleFonts.notoSansLycianTextTheme,
        'Noto Sans Lydian': GoogleFonts.notoSansLydianTextTheme,
        'Noto Sans Mahajani': GoogleFonts.notoSansMahajaniTextTheme,
        'Noto Sans Malayalam': GoogleFonts.notoSansMalayalamTextTheme,
        'Noto Sans Mandaic': GoogleFonts.notoSansMandaicTextTheme,
        'Noto Sans Manichaean': GoogleFonts.notoSansManichaeanTextTheme,
        'Noto Sans Marchen': GoogleFonts.notoSansMarchenTextTheme,
        'Noto Sans Masaram Gondi': GoogleFonts.notoSansMasaramGondiTextTheme,
        'Noto Sans Math': GoogleFonts.notoSansMathTextTheme,
        'Noto Sans Mayan Numerals': GoogleFonts.notoSansMayanNumeralsTextTheme,
        'Noto Sans Medefaidrin': GoogleFonts.notoSansMedefaidrinTextTheme,
        'Noto Sans Meetei Mayek': GoogleFonts.notoSansMeeteiMayekTextTheme,
        'Noto Sans Mende Kikakui': GoogleFonts.notoSansMendeKikakuiTextTheme,
        'Noto Sans Meroitic': GoogleFonts.notoSansMeroiticTextTheme,
        'Noto Sans Miao': GoogleFonts.notoSansMiaoTextTheme,
        'Noto Sans Modi': GoogleFonts.notoSansModiTextTheme,
        'Noto Sans Mongolian': GoogleFonts.notoSansMongolianTextTheme,
        'Noto Sans Mono': GoogleFonts.notoSansMonoTextTheme,
        'Noto Sans Mro': GoogleFonts.notoSansMroTextTheme,
        'Noto Sans Multani': GoogleFonts.notoSansMultaniTextTheme,
        'Noto Sans Myanmar': GoogleFonts.notoSansMyanmarTextTheme,
        'Noto Sans N Ko': GoogleFonts.notoSansNKoTextTheme,
        'Noto Sans Nabataean': GoogleFonts.notoSansNabataeanTextTheme,
        'Noto Sans New Tai Lue': GoogleFonts.notoSansNewTaiLueTextTheme,
        'Noto Sans Newa': GoogleFonts.notoSansNewaTextTheme,
        'Noto Sans Nushu': GoogleFonts.notoSansNushuTextTheme,
        'Noto Sans Ogham': GoogleFonts.notoSansOghamTextTheme,
        'Noto Sans Ol Chiki': GoogleFonts.notoSansOlChikiTextTheme,
        'Noto Sans Old Hungarian': GoogleFonts.notoSansOldHungarianTextTheme,
        'Noto Sans Old Italic': GoogleFonts.notoSansOldItalicTextTheme,
        'Noto Sans Old North Arabian':
            GoogleFonts.notoSansOldNorthArabianTextTheme,
        'Noto Sans Old Permic': GoogleFonts.notoSansOldPermicTextTheme,
        'Noto Sans Old Persian': GoogleFonts.notoSansOldPersianTextTheme,
        'Noto Sans Old Sogdian': GoogleFonts.notoSansOldSogdianTextTheme,
        'Noto Sans Old South Arabian':
            GoogleFonts.notoSansOldSouthArabianTextTheme,
        'Noto Sans Old Turkic': GoogleFonts.notoSansOldTurkicTextTheme,
        'Noto Sans Oriya': GoogleFonts.notoSansOriyaTextTheme,
        'Noto Sans Osage': GoogleFonts.notoSansOsageTextTheme,
        'Noto Sans Osmanya': GoogleFonts.notoSansOsmanyaTextTheme,
        'Noto Sans Pahawh Hmong': GoogleFonts.notoSansPahawhHmongTextTheme,
        'Noto Sans Palmyrene': GoogleFonts.notoSansPalmyreneTextTheme,
        'Noto Sans Pau Cin Hau': GoogleFonts.notoSansPauCinHauTextTheme,
        'Noto Sans Phags Pa': GoogleFonts.notoSansPhagsPaTextTheme,
        'Noto Sans Phoenician': GoogleFonts.notoSansPhoenicianTextTheme,
        'Noto Sans Psalter Pahlavi':
            GoogleFonts.notoSansPsalterPahlaviTextTheme,
        'Noto Sans Rejang': GoogleFonts.notoSansRejangTextTheme,
        'Noto Sans Runic': GoogleFonts.notoSansRunicTextTheme,
        'Noto Sans Samaritan': GoogleFonts.notoSansSamaritanTextTheme,
        'Noto Sans Saurashtra': GoogleFonts.notoSansSaurashtraTextTheme,
        'Noto Sans Sharada': GoogleFonts.notoSansSharadaTextTheme,
        'Noto Sans Shavian': GoogleFonts.notoSansShavianTextTheme,
        'Noto Sans Siddham': GoogleFonts.notoSansSiddhamTextTheme,
        'Noto Sans Sinhala': GoogleFonts.notoSansSinhalaTextTheme,
        'Noto Sans Sogdian': GoogleFonts.notoSansSogdianTextTheme,
        'Noto Sans Sora Sompeng': GoogleFonts.notoSansSoraSompengTextTheme,
        'Noto Sans Soyombo': GoogleFonts.notoSansSoyomboTextTheme,
        'Noto Sans Sundanese': GoogleFonts.notoSansSundaneseTextTheme,
        'Noto Sans Syloti Nagri': GoogleFonts.notoSansSylotiNagriTextTheme,
        'Noto Sans Symbols': GoogleFonts.notoSansSymbolsTextTheme,
        'Noto Sans Symbols 2': GoogleFonts.notoSansSymbols2TextTheme,
        'Noto Sans Syriac': GoogleFonts.notoSansSyriacTextTheme,
        'Noto Sans Tagalog': GoogleFonts.notoSansTagalogTextTheme,
        'Noto Sans Tagbanwa': GoogleFonts.notoSansTagbanwaTextTheme,
        'Noto Sans Tai Le': GoogleFonts.notoSansTaiLeTextTheme,
        'Noto Sans Tai Tham': GoogleFonts.notoSansTaiThamTextTheme,
        'Noto Sans Tai Viet': GoogleFonts.notoSansTaiVietTextTheme,
        'Noto Sans Takri': GoogleFonts.notoSansTakriTextTheme,
        'Noto Sans Tamil': GoogleFonts.notoSansTamilTextTheme,
        'Noto Sans Tamil Supplement':
            GoogleFonts.notoSansTamilSupplementTextTheme,
        'Noto Sans Telugu': GoogleFonts.notoSansTeluguTextTheme,
        'Noto Sans Thaana': GoogleFonts.notoSansThaanaTextTheme,
        'Noto Sans Thai': GoogleFonts.notoSansThaiTextTheme,
        'Noto Sans Thai Looped': GoogleFonts.notoSansThaiLoopedTextTheme,
        'Noto Sans Tifinagh': GoogleFonts.notoSansTifinaghTextTheme,
        'Noto Sans Tirhuta': GoogleFonts.notoSansTirhutaTextTheme,
        'Noto Sans Ugaritic': GoogleFonts.notoSansUgariticTextTheme,
        'Noto Sans Vai': GoogleFonts.notoSansVaiTextTheme,
        'Noto Sans Wancho': GoogleFonts.notoSansWanchoTextTheme,
        'Noto Sans Warang Citi': GoogleFonts.notoSansWarangCitiTextTheme,
        'Noto Sans Yi': GoogleFonts.notoSansYiTextTheme,
        'Noto Sans Zanabazar Square':
            GoogleFonts.notoSansZanabazarSquareTextTheme,
        'Noto Serif': GoogleFonts.notoSerifTextTheme,
        'Noto Serif Ahom': GoogleFonts.notoSerifAhomTextTheme,
        'Noto Serif Armenian': GoogleFonts.notoSerifArmenianTextTheme,
        'Noto Serif Balinese': GoogleFonts.notoSerifBalineseTextTheme,
        'Noto Serif Bengali': GoogleFonts.notoSerifBengaliTextTheme,
        'Noto Serif Devanagari': GoogleFonts.notoSerifDevanagariTextTheme,
        'Noto Serif Display': GoogleFonts.notoSerifDisplayTextTheme,
        'Noto Serif Dogra': GoogleFonts.notoSerifDograTextTheme,
        'Noto Serif Ethiopic': GoogleFonts.notoSerifEthiopicTextTheme,
        'Noto Serif Georgian': GoogleFonts.notoSerifGeorgianTextTheme,
        'Noto Serif Grantha': GoogleFonts.notoSerifGranthaTextTheme,
        'Noto Serif Gujarati': GoogleFonts.notoSerifGujaratiTextTheme,
        'Noto Serif Gurmukhi': GoogleFonts.notoSerifGurmukhiTextTheme,
        'Noto Serif HK': GoogleFonts.notoSerifHkTextTheme,
        'Noto Serif Hebrew': GoogleFonts.notoSerifHebrewTextTheme,
        'Noto Serif Kannada': GoogleFonts.notoSerifKannadaTextTheme,
        'Noto Serif Khmer': GoogleFonts.notoSerifKhmerTextTheme,
        'Noto Serif Khojki': GoogleFonts.notoSerifKhojkiTextTheme,
        'Noto Serif Lao': GoogleFonts.notoSerifLaoTextTheme,
        'Noto Serif Malayalam': GoogleFonts.notoSerifMalayalamTextTheme,
        'Noto Serif Myanmar': GoogleFonts.notoSerifMyanmarTextTheme,
        'Noto Serif Nyiakeng Puachue Hmong':
            GoogleFonts.notoSerifNyiakengPuachueHmongTextTheme,
        'Noto Serif Oriya': GoogleFonts.notoSerifOriyaTextTheme,
        'Noto Serif Sinhala': GoogleFonts.notoSerifSinhalaTextTheme,
        'Noto Serif Tamil': GoogleFonts.notoSerifTamilTextTheme,
        'Noto Serif Tangut': GoogleFonts.notoSerifTangutTextTheme,
        'Noto Serif Telugu': GoogleFonts.notoSerifTeluguTextTheme,
        'Noto Serif Thai': GoogleFonts.notoSerifThaiTextTheme,
        'Noto Serif Tibetan': GoogleFonts.notoSerifTibetanTextTheme,
        'Noto Serif Yezidi': GoogleFonts.notoSerifYezidiTextTheme,
        'Noto Traditional Nushu': GoogleFonts.notoTraditionalNushuTextTheme,
        'Nova Cut': GoogleFonts.novaCutTextTheme,
        'Nova Flat': GoogleFonts.novaFlatTextTheme,
        'Nova Mono': GoogleFonts.novaMonoTextTheme,
        'Nova Oval': GoogleFonts.novaOvalTextTheme,
        'Nova Round': GoogleFonts.novaRoundTextTheme,
        'Nova Script': GoogleFonts.novaScriptTextTheme,
        'Nova Slim': GoogleFonts.novaSlimTextTheme,
        'Nova Square': GoogleFonts.novaSquareTextTheme,
        'Numans': GoogleFonts.numansTextTheme,
        'Nunito': GoogleFonts.nunitoTextTheme,
        'Nunito Sans': GoogleFonts.nunitoSansTextTheme,
        'Nuosu SIL': GoogleFonts.nuosuSilTextTheme,
        'Odibee Sans': GoogleFonts.odibeeSansTextTheme,
        'Odor Mean Chey': GoogleFonts.odorMeanCheyTextTheme,
        'Offside': GoogleFonts.offsideTextTheme,
        'Oi': GoogleFonts.oiTextTheme,
        'Old Standard TT': GoogleFonts.oldStandardTtTextTheme,
        'Oldenburg': GoogleFonts.oldenburgTextTheme,
        'Ole': GoogleFonts.oleTextTheme,
        'Oleo Script': GoogleFonts.oleoScriptTextTheme,
        'Oleo Script Swash Caps': GoogleFonts.oleoScriptSwashCapsTextTheme,
        'Oooh Baby': GoogleFonts.ooohBabyTextTheme,
        'Open Sans': GoogleFonts.openSansTextTheme,
        'Open Sans Condensed': GoogleFonts.openSansCondensedTextTheme,
        'Oranienbaum': GoogleFonts.oranienbaumTextTheme,
        'Orbitron': GoogleFonts.orbitronTextTheme,
        'Oregano': GoogleFonts.oreganoTextTheme,
        'Orelega One': GoogleFonts.orelegaOneTextTheme,
        'Orienta': GoogleFonts.orientaTextTheme,
        'Original Surfer': GoogleFonts.originalSurferTextTheme,
        'Oswald': GoogleFonts.oswaldTextTheme,
        'Outfit': GoogleFonts.outfitTextTheme,
        'Over the Rainbow': GoogleFonts.overTheRainbowTextTheme,
        'Overlock': GoogleFonts.overlockTextTheme,
        'Overlock SC': GoogleFonts.overlockScTextTheme,
        'Overpass': GoogleFonts.overpassTextTheme,
        'Overpass Mono': GoogleFonts.overpassMonoTextTheme,
        'Ovo': GoogleFonts.ovoTextTheme,
        'Oxanium': GoogleFonts.oxaniumTextTheme,
        'Oxygen': GoogleFonts.oxygenTextTheme,
        'Oxygen Mono': GoogleFonts.oxygenMonoTextTheme,
        'PT Mono': GoogleFonts.ptMonoTextTheme,
        'PT Sans': GoogleFonts.ptSansTextTheme,
        'PT Sans Caption': GoogleFonts.ptSansCaptionTextTheme,
        'PT Sans Narrow': GoogleFonts.ptSansNarrowTextTheme,
        'PT Serif': GoogleFonts.ptSerifTextTheme,
        'PT Serif Caption': GoogleFonts.ptSerifCaptionTextTheme,
        'Pacifico': GoogleFonts.pacificoTextTheme,
        'Padauk': GoogleFonts.padaukTextTheme,
        'Palanquin': GoogleFonts.palanquinTextTheme,
        'Palanquin Dark': GoogleFonts.palanquinDarkTextTheme,
        'Pangolin': GoogleFonts.pangolinTextTheme,
        'Paprika': GoogleFonts.paprikaTextTheme,
        'Parisienne': GoogleFonts.parisienneTextTheme,
        'Passero One': GoogleFonts.passeroOneTextTheme,
        'Passion One': GoogleFonts.passionOneTextTheme,
        'Passions Conflict': GoogleFonts.passionsConflictTextTheme,
        'Pathway Gothic One': GoogleFonts.pathwayGothicOneTextTheme,
        'Patrick Hand': GoogleFonts.patrickHandTextTheme,
        'Patrick Hand SC': GoogleFonts.patrickHandScTextTheme,
        'Pattaya': GoogleFonts.pattayaTextTheme,
        'Patua One': GoogleFonts.patuaOneTextTheme,
        'Pavanam': GoogleFonts.pavanamTextTheme,
        'Paytone One': GoogleFonts.paytoneOneTextTheme,
        'Peddana': GoogleFonts.peddanaTextTheme,
        'Peralta': GoogleFonts.peraltaTextTheme,
        'Permanent Marker': GoogleFonts.permanentMarkerTextTheme,
        'Petemoss': GoogleFonts.petemossTextTheme,
        'Petit Formal Script': GoogleFonts.petitFormalScriptTextTheme,
        'Petrona': GoogleFonts.petronaTextTheme,
        'Philosopher': GoogleFonts.philosopherTextTheme,
        'Piazzolla': GoogleFonts.piazzollaTextTheme,
        'Piedra': GoogleFonts.piedraTextTheme,
        'Pinyon Script': GoogleFonts.pinyonScriptTextTheme,
        'Pirata One': GoogleFonts.pirataOneTextTheme,
        'Plaster': GoogleFonts.plasterTextTheme,
        'Play': GoogleFonts.playTextTheme,
        'Playball': GoogleFonts.playballTextTheme,
        'Playfair Display': GoogleFonts.playfairDisplayTextTheme,
        'Playfair Display SC': GoogleFonts.playfairDisplayScTextTheme,
        'Plus Jakarta Sans': GoogleFonts.plusJakartaSansTextTheme,
        'Podkova': GoogleFonts.podkovaTextTheme,
        'Poiret One': GoogleFonts.poiretOneTextTheme,
        'Poller One': GoogleFonts.pollerOneTextTheme,
        'Poly': GoogleFonts.polyTextTheme,
        'Pompiere': GoogleFonts.pompiereTextTheme,
        'Pontano Sans': GoogleFonts.pontanoSansTextTheme,
        'Poor Story': GoogleFonts.poorStoryTextTheme,
        'Poppins': GoogleFonts.poppinsTextTheme,
        'Port Lligat Sans': GoogleFonts.portLligatSansTextTheme,
        'Port Lligat Slab': GoogleFonts.portLligatSlabTextTheme,
        'Potta One': GoogleFonts.pottaOneTextTheme,
        'Pragati Narrow': GoogleFonts.pragatiNarrowTextTheme,
        'Praise': GoogleFonts.praiseTextTheme,
        'Prata': GoogleFonts.prataTextTheme,
        'Preahvihear': GoogleFonts.preahvihearTextTheme,
        'Press Start 2P': GoogleFonts.pressStart2pTextTheme,
        'Pridi': GoogleFonts.pridiTextTheme,
        'Princess Sofia': GoogleFonts.princessSofiaTextTheme,
        'Prociono': GoogleFonts.procionoTextTheme,
        'Prompt': GoogleFonts.promptTextTheme,
        'Prosto One': GoogleFonts.prostoOneTextTheme,
        'Proza Libre': GoogleFonts.prozaLibreTextTheme,
        'Public Sans': GoogleFonts.publicSansTextTheme,
        'Puppies Play': GoogleFonts.puppiesPlayTextTheme,
        'Puritan': GoogleFonts.puritanTextTheme,
        'Purple Purse': GoogleFonts.purplePurseTextTheme,
        'Qahiri': GoogleFonts.qahiriTextTheme,
        'Quando': GoogleFonts.quandoTextTheme,
        'Quantico': GoogleFonts.quanticoTextTheme,
        'Quattrocento': GoogleFonts.quattrocentoTextTheme,
        'Quattrocento Sans': GoogleFonts.quattrocentoSansTextTheme,
        'Questrial': GoogleFonts.questrialTextTheme,
        'Quicksand': GoogleFonts.quicksandTextTheme,
        'Quintessential': GoogleFonts.quintessentialTextTheme,
        'Qwigley': GoogleFonts.qwigleyTextTheme,
        'Qwitcher Grypen': GoogleFonts.qwitcherGrypenTextTheme,
        'Racing Sans One': GoogleFonts.racingSansOneTextTheme,
        'Radio Canada': GoogleFonts.radioCanadaTextTheme,
        'Radley': GoogleFonts.radleyTextTheme,
        'Rajdhani': GoogleFonts.rajdhaniTextTheme,
        'Rakkas': GoogleFonts.rakkasTextTheme,
        'Raleway': GoogleFonts.ralewayTextTheme,
        'Raleway Dots': GoogleFonts.ralewayDotsTextTheme,
        'Ramabhadra': GoogleFonts.ramabhadraTextTheme,
        'Ramaraja': GoogleFonts.ramarajaTextTheme,
        'Rambla': GoogleFonts.ramblaTextTheme,
        'Rammetto One': GoogleFonts.rammettoOneTextTheme,
        'Rampart One': GoogleFonts.rampartOneTextTheme,
        'Ranchers': GoogleFonts.ranchersTextTheme,
        'Rancho': GoogleFonts.ranchoTextTheme,
        'Ranga': GoogleFonts.rangaTextTheme,
        'Rasa': GoogleFonts.rasaTextTheme,
        'Rationale': GoogleFonts.rationaleTextTheme,
        'Ravi Prakash': GoogleFonts.raviPrakashTextTheme,
        'Readex Pro': GoogleFonts.readexProTextTheme,
        'Recursive': GoogleFonts.recursiveTextTheme,
        'Red Hat Display': GoogleFonts.redHatDisplayTextTheme,
        'Red Hat Mono': GoogleFonts.redHatMonoTextTheme,
        'Red Hat Text': GoogleFonts.redHatTextTextTheme,
        'Red Rose': GoogleFonts.redRoseTextTheme,
        'Redacted': GoogleFonts.redactedTextTheme,
        'Redacted Script': GoogleFonts.redactedScriptTextTheme,
        'Redressed': GoogleFonts.redressedTextTheme,
        'Reem Kufi': GoogleFonts.reemKufiTextTheme,
        'Reem Kufi Fun': GoogleFonts.reemKufiFunTextTheme,
        'Reem Kufi Ink': GoogleFonts.reemKufiInkTextTheme,
        'Reenie Beanie': GoogleFonts.reenieBeanieTextTheme,
        'Reggae One': GoogleFonts.reggaeOneTextTheme,
        'Revalia': GoogleFonts.revaliaTextTheme,
        'Rhodium Libre': GoogleFonts.rhodiumLibreTextTheme,
        'Ribeye': GoogleFonts.ribeyeTextTheme,
        'Ribeye Marrow': GoogleFonts.ribeyeMarrowTextTheme,
        'Righteous': GoogleFonts.righteousTextTheme,
        'Risque': GoogleFonts.risqueTextTheme,
        'Road Rage': GoogleFonts.roadRageTextTheme,
        'Roboto': GoogleFonts.robotoTextTheme,
        'Roboto Condensed': GoogleFonts.robotoCondensedTextTheme,
        'Roboto Flex': GoogleFonts.robotoFlexTextTheme,
        'Roboto Mono': GoogleFonts.robotoMonoTextTheme,
        'Roboto Serif': GoogleFonts.robotoSerifTextTheme,
        'Roboto Slab': GoogleFonts.robotoSlabTextTheme,
        'Rochester': GoogleFonts.rochesterTextTheme,
        'Rock Salt': GoogleFonts.rockSaltTextTheme,
        'RocknRoll One': GoogleFonts.rocknRollOneTextTheme,
        'Rokkitt': GoogleFonts.rokkittTextTheme,
        'Romanesco': GoogleFonts.romanescoTextTheme,
        'Ropa Sans': GoogleFonts.ropaSansTextTheme,
        'Rosario': GoogleFonts.rosarioTextTheme,
        'Rosarivo': GoogleFonts.rosarivoTextTheme,
        'Rouge Script': GoogleFonts.rougeScriptTextTheme,
        'Rowdies': GoogleFonts.rowdiesTextTheme,
        'Rozha One': GoogleFonts.rozhaOneTextTheme,
        'Rubik': GoogleFonts.rubikTextTheme,
        'Rubik Beastly': GoogleFonts.rubikBeastlyTextTheme,
        'Rubik Bubbles': GoogleFonts.rubikBubblesTextTheme,
        'Rubik Burned': GoogleFonts.rubikBurnedTextTheme,
        'Rubik Dirt': GoogleFonts.rubikDirtTextTheme,
        'Rubik Distressed': GoogleFonts.rubikDistressedTextTheme,
        'Rubik Glitch': GoogleFonts.rubikGlitchTextTheme,
        'Rubik Iso': GoogleFonts.rubikIsoTextTheme,
        'Rubik Marker Hatch': GoogleFonts.rubikMarkerHatchTextTheme,
        'Rubik Maze': GoogleFonts.rubikMazeTextTheme,
        'Rubik Microbe': GoogleFonts.rubikMicrobeTextTheme,
        'Rubik Mono One': GoogleFonts.rubikMonoOneTextTheme,
        'Rubik Moonrocks': GoogleFonts.rubikMoonrocksTextTheme,
        'Rubik Puddles': GoogleFonts.rubikPuddlesTextTheme,
        'Rubik Wet Paint': GoogleFonts.rubikWetPaintTextTheme,
        'Ruda': GoogleFonts.rudaTextTheme,
        'Rufina': GoogleFonts.rufinaTextTheme,
        'Ruge Boogie': GoogleFonts.rugeBoogieTextTheme,
        'Ruluko': GoogleFonts.rulukoTextTheme,
        'Rum Raisin': GoogleFonts.rumRaisinTextTheme,
        'Ruslan Display': GoogleFonts.ruslanDisplayTextTheme,
        'Russo One': GoogleFonts.russoOneTextTheme,
        'Ruthie': GoogleFonts.ruthieTextTheme,
        'Rye': GoogleFonts.ryeTextTheme,
        'STIX Two Text': GoogleFonts.stixTwoTextTextTheme,
        'Sacramento': GoogleFonts.sacramentoTextTheme,
        'Sahitya': GoogleFonts.sahityaTextTheme,
        'Sail': GoogleFonts.sailTextTheme,
        'Saira': GoogleFonts.sairaTextTheme,
        'Saira Condensed': GoogleFonts.sairaCondensedTextTheme,
        'Saira Extra Condensed': GoogleFonts.sairaExtraCondensedTextTheme,
        'Saira Semi Condensed': GoogleFonts.sairaSemiCondensedTextTheme,
        'Saira Stencil One': GoogleFonts.sairaStencilOneTextTheme,
        'Salsa': GoogleFonts.salsaTextTheme,
        'Sanchez': GoogleFonts.sanchezTextTheme,
        'Sancreek': GoogleFonts.sancreekTextTheme,
        'Sansita': GoogleFonts.sansitaTextTheme,
        'Sansita Swashed': GoogleFonts.sansitaSwashedTextTheme,
        'Sarabun': GoogleFonts.sarabunTextTheme,
        'Sarala': GoogleFonts.saralaTextTheme,
        'Sarina': GoogleFonts.sarinaTextTheme,
        'Sarpanch': GoogleFonts.sarpanchTextTheme,
        'Sassy Frass': GoogleFonts.sassyFrassTextTheme,
        'Satisfy': GoogleFonts.satisfyTextTheme,
        'Sawarabi Gothic': GoogleFonts.sawarabiGothicTextTheme,
        'Sawarabi Mincho': GoogleFonts.sawarabiMinchoTextTheme,
        'Scada': GoogleFonts.scadaTextTheme,
        'Scheherazade New': GoogleFonts.scheherazadeNewTextTheme,
        'Schoolbell': GoogleFonts.schoolbellTextTheme,
        'Scope One': GoogleFonts.scopeOneTextTheme,
        'Seaweed Script': GoogleFonts.seaweedScriptTextTheme,
        'Secular One': GoogleFonts.secularOneTextTheme,
        'Sedgwick Ave': GoogleFonts.sedgwickAveTextTheme,
        'Sedgwick Ave Display': GoogleFonts.sedgwickAveDisplayTextTheme,
        'Sen': GoogleFonts.senTextTheme,
        'Send Flowers': GoogleFonts.sendFlowersTextTheme,
        'Sevillana': GoogleFonts.sevillanaTextTheme,
        'Seymour One': GoogleFonts.seymourOneTextTheme,
        'Shadows Into Light': GoogleFonts.shadowsIntoLightTextTheme,
        'Shadows Into Light Two': GoogleFonts.shadowsIntoLightTwoTextTheme,
        'Shalimar': GoogleFonts.shalimarTextTheme,
        'Shanti': GoogleFonts.shantiTextTheme,
        'Share': GoogleFonts.shareTextTheme,
        'Share Tech': GoogleFonts.shareTechTextTheme,
        'Share Tech Mono': GoogleFonts.shareTechMonoTextTheme,
        'Shippori Antique': GoogleFonts.shipporiAntiqueTextTheme,
        'Shippori Antique B1': GoogleFonts.shipporiAntiqueB1TextTheme,
        'Shippori Mincho': GoogleFonts.shipporiMinchoTextTheme,
        'Shippori Mincho B1': GoogleFonts.shipporiMinchoB1TextTheme,
        'Shojumaru': GoogleFonts.shojumaruTextTheme,
        'Short Stack': GoogleFonts.shortStackTextTheme,
        'Shrikhand': GoogleFonts.shrikhandTextTheme,
        'Siemreap': GoogleFonts.siemreapTextTheme,
        'Sigmar One': GoogleFonts.sigmarOneTextTheme,
        'Signika': GoogleFonts.signikaTextTheme,
        'Signika Negative': GoogleFonts.signikaNegativeTextTheme,
        'Silkscreen': GoogleFonts.silkscreenTextTheme,
        'Simonetta': GoogleFonts.simonettaTextTheme,
        'Single Day': GoogleFonts.singleDayTextTheme,
        'Sintony': GoogleFonts.sintonyTextTheme,
        'Sirin Stencil': GoogleFonts.sirinStencilTextTheme,
        'Six Caps': GoogleFonts.sixCapsTextTheme,
        'Skranji': GoogleFonts.skranjiTextTheme,
        'Slabo 13px': GoogleFonts.slabo13pxTextTheme,
        'Slabo 27px': GoogleFonts.slabo27pxTextTheme,
        'Slackey': GoogleFonts.slackeyTextTheme,
        'Smokum': GoogleFonts.smokumTextTheme,
        'Smooch': GoogleFonts.smoochTextTheme,
        'Smooch Sans': GoogleFonts.smoochSansTextTheme,
        'Smythe': GoogleFonts.smytheTextTheme,
        'Sniglet': GoogleFonts.snigletTextTheme,
        'Snippet': GoogleFonts.snippetTextTheme,
        'Snowburst One': GoogleFonts.snowburstOneTextTheme,
        'Sofadi One': GoogleFonts.sofadiOneTextTheme,
        'Sofia': GoogleFonts.sofiaTextTheme,
        'Solway': GoogleFonts.solwayTextTheme,
        'Song Myung': GoogleFonts.songMyungTextTheme,
        'Sono': GoogleFonts.sonoTextTheme,
        'Sonsie One': GoogleFonts.sonsieOneTextTheme,
        'Sora': GoogleFonts.soraTextTheme,
        'Sorts Mill Goudy': GoogleFonts.sortsMillGoudyTextTheme,
        'Source Code Pro': GoogleFonts.sourceCodeProTextTheme,
        'Source Sans 3': GoogleFonts.sourceSans3TextTheme,
        'Source Sans Pro': GoogleFonts.sourceSansProTextTheme,
        'Source Serif 4': GoogleFonts.sourceSerif4TextTheme,
        'Source Serif Pro': GoogleFonts.sourceSerifProTextTheme,
        'Space Grotesk': GoogleFonts.spaceGroteskTextTheme,
        'Space Mono': GoogleFonts.spaceMonoTextTheme,
        'Special Elite': GoogleFonts.specialEliteTextTheme,
        'Spectral': GoogleFonts.spectralTextTheme,
        'Spectral SC': GoogleFonts.spectralScTextTheme,
        'Spicy Rice': GoogleFonts.spicyRiceTextTheme,
        'Spinnaker': GoogleFonts.spinnakerTextTheme,
        'Spirax': GoogleFonts.spiraxTextTheme,
        'Splash': GoogleFonts.splashTextTheme,
        'Spline Sans': GoogleFonts.splineSansTextTheme,
        'Spline Sans Mono': GoogleFonts.splineSansMonoTextTheme,
        'Squada One': GoogleFonts.squadaOneTextTheme,
        'Square Peg': GoogleFonts.squarePegTextTheme,
        'Sree Krushnadevaraya': GoogleFonts.sreeKrushnadevarayaTextTheme,
        'Sriracha': GoogleFonts.srirachaTextTheme,
        'Srisakdi': GoogleFonts.srisakdiTextTheme,
        'Staatliches': GoogleFonts.staatlichesTextTheme,
        'Stalemate': GoogleFonts.stalemateTextTheme,
        'Stalinist One': GoogleFonts.stalinistOneTextTheme,
        'Stardos Stencil': GoogleFonts.stardosStencilTextTheme,
        'Stick': GoogleFonts.stickTextTheme,
        'Stick No Bills': GoogleFonts.stickNoBillsTextTheme,
        'Stint Ultra Condensed': GoogleFonts.stintUltraCondensedTextTheme,
        'Stint Ultra Expanded': GoogleFonts.stintUltraExpandedTextTheme,
        'Stoke': GoogleFonts.stokeTextTheme,
        'Strait': GoogleFonts.straitTextTheme,
        'Style Script': GoogleFonts.styleScriptTextTheme,
        'Stylish': GoogleFonts.stylishTextTheme,
        'Sue Ellen Francisco': GoogleFonts.sueEllenFranciscoTextTheme,
        'Suez One': GoogleFonts.suezOneTextTheme,
        'Sulphur Point': GoogleFonts.sulphurPointTextTheme,
        'Sumana': GoogleFonts.sumanaTextTheme,
        'Sunflower': GoogleFonts.sunflowerTextTheme,
        'Sunshiney': GoogleFonts.sunshineyTextTheme,
        'Supermercado One': GoogleFonts.supermercadoOneTextTheme,
        'Sura': GoogleFonts.suraTextTheme,
        'Suranna': GoogleFonts.surannaTextTheme,
        'Suravaram': GoogleFonts.suravaramTextTheme,
        'Suwannaphum': GoogleFonts.suwannaphumTextTheme,
        'Swanky and Moo Moo': GoogleFonts.swankyAndMooMooTextTheme,
        'Syncopate': GoogleFonts.syncopateTextTheme,
        'Syne': GoogleFonts.syneTextTheme,
        'Syne Mono': GoogleFonts.syneMonoTextTheme,
        'Syne Tactile': GoogleFonts.syneTactileTextTheme,
        'Tai Heritage Pro': GoogleFonts.taiHeritageProTextTheme,
        'Tajawal': GoogleFonts.tajawalTextTheme,
        'Tangerine': GoogleFonts.tangerineTextTheme,
        'Tapestry': GoogleFonts.tapestryTextTheme,
        'Taprom': GoogleFonts.tapromTextTheme,
        'Tauri': GoogleFonts.tauriTextTheme,
        'Taviraj': GoogleFonts.tavirajTextTheme,
        'Teko': GoogleFonts.tekoTextTheme,
        'Telex': GoogleFonts.telexTextTheme,
        'Tenali Ramakrishna': GoogleFonts.tenaliRamakrishnaTextTheme,
        'Tenor Sans': GoogleFonts.tenorSansTextTheme,
        'Text Me One': GoogleFonts.textMeOneTextTheme,
        'Texturina': GoogleFonts.texturinaTextTheme,
        'Thasadith': GoogleFonts.thasadithTextTheme,
        'The Girl Next Door': GoogleFonts.theGirlNextDoorTextTheme,
        'The Nautigal': GoogleFonts.theNautigalTextTheme,
        'Tienne': GoogleFonts.tienneTextTheme,
        'Tillana': GoogleFonts.tillanaTextTheme,
        'Timmana': GoogleFonts.timmanaTextTheme,
        'Tinos': GoogleFonts.tinosTextTheme,
        'Tiro Bangla': GoogleFonts.tiroBanglaTextTheme,
        'Tiro Devanagari Hindi': GoogleFonts.tiroDevanagariHindiTextTheme,
        'Tiro Devanagari Marathi': GoogleFonts.tiroDevanagariMarathiTextTheme,
        'Tiro Devanagari Sanskrit': GoogleFonts.tiroDevanagariSanskritTextTheme,
        'Tiro Gurmukhi': GoogleFonts.tiroGurmukhiTextTheme,
        'Tiro Kannada': GoogleFonts.tiroKannadaTextTheme,
        'Tiro Tamil': GoogleFonts.tiroTamilTextTheme,
        'Tiro Telugu': GoogleFonts.tiroTeluguTextTheme,
        'Titan One': GoogleFonts.titanOneTextTheme,
        'Titillium Web': GoogleFonts.titilliumWebTextTheme,
        'Tomorrow': GoogleFonts.tomorrowTextTheme,
        'Tourney': GoogleFonts.tourneyTextTheme,
        'Trade Winds': GoogleFonts.tradeWindsTextTheme,
        'Train One': GoogleFonts.trainOneTextTheme,
        'Trirong': GoogleFonts.trirongTextTheme,
        'Trispace': GoogleFonts.trispaceTextTheme,
        'Trocchi': GoogleFonts.trocchiTextTheme,
        'Trochut': GoogleFonts.trochutTextTheme,
        'Truculenta': GoogleFonts.truculentaTextTheme,
        'Trykker': GoogleFonts.trykkerTextTheme,
        'Tulpen One': GoogleFonts.tulpenOneTextTheme,
        'Turret Road': GoogleFonts.turretRoadTextTheme,
        'Twinkle Star': GoogleFonts.twinkleStarTextTheme,
        'Ubuntu': GoogleFonts.ubuntuTextTheme,
        'Ubuntu Condensed': GoogleFonts.ubuntuCondensedTextTheme,
        'Ubuntu Mono': GoogleFonts.ubuntuMonoTextTheme,
        'Uchen': GoogleFonts.uchenTextTheme,
        'Ultra': GoogleFonts.ultraTextTheme,
        'Uncial Antiqua': GoogleFonts.uncialAntiquaTextTheme,
        'Underdog': GoogleFonts.underdogTextTheme,
        'Unica One': GoogleFonts.unicaOneTextTheme,
        'UnifrakturCook': GoogleFonts.unifrakturCookTextTheme,
        'UnifrakturMaguntia': GoogleFonts.unifrakturMaguntiaTextTheme,
        'Unkempt': GoogleFonts.unkemptTextTheme,
        'Unlock': GoogleFonts.unlockTextTheme,
        'Unna': GoogleFonts.unnaTextTheme,
        'Updock': GoogleFonts.updockTextTheme,
        'Urbanist': GoogleFonts.urbanistTextTheme,
        'VT323': GoogleFonts.vt323TextTheme,
        'Vampiro One': GoogleFonts.vampiroOneTextTheme,
        'Varela': GoogleFonts.varelaTextTheme,
        'Varela Round': GoogleFonts.varelaRoundTextTheme,
        'Varta': GoogleFonts.vartaTextTheme,
        'Vast Shadow': GoogleFonts.vastShadowTextTheme,
        'Vazirmatn': GoogleFonts.vazirmatnTextTheme,
        'Vesper Libre': GoogleFonts.vesperLibreTextTheme,
        'Viaoda Libre': GoogleFonts.viaodaLibreTextTheme,
        'Vibes': GoogleFonts.vibesTextTheme,
        'Vibur': GoogleFonts.viburTextTheme,
        'Vidaloka': GoogleFonts.vidalokaTextTheme,
        'Viga': GoogleFonts.vigaTextTheme,
        'Voces': GoogleFonts.vocesTextTheme,
        'Volkhov': GoogleFonts.volkhovTextTheme,
        'Vollkorn': GoogleFonts.vollkornTextTheme,
        'Vollkorn SC': GoogleFonts.vollkornScTextTheme,
        'Voltaire': GoogleFonts.voltaireTextTheme,
        'Vujahday Script': GoogleFonts.vujahdayScriptTextTheme,
        'Waiting for the Sunrise': GoogleFonts.waitingForTheSunriseTextTheme,
        'Wallpoet': GoogleFonts.wallpoetTextTheme,
        'Walter Turncoat': GoogleFonts.walterTurncoatTextTheme,
        'Warnes': GoogleFonts.warnesTextTheme,
        'Water Brush': GoogleFonts.waterBrushTextTheme,
        'Waterfall': GoogleFonts.waterfallTextTheme,
        'Wellfleet': GoogleFonts.wellfleetTextTheme,
        'Wendy One': GoogleFonts.wendyOneTextTheme,
        'Whisper': GoogleFonts.whisperTextTheme,
        'WindSong': GoogleFonts.windSongTextTheme,
        'Wire One': GoogleFonts.wireOneTextTheme,
        'Work Sans': GoogleFonts.workSansTextTheme,
        'Xanh Mono': GoogleFonts.xanhMonoTextTheme,
        'Yaldevi': GoogleFonts.yaldeviTextTheme,
        'Yanone Kaffeesatz': GoogleFonts.yanoneKaffeesatzTextTheme,
        'Yantramanav': GoogleFonts.yantramanavTextTheme,
        'Yatra One': GoogleFonts.yatraOneTextTheme,
        'Yellowtail': GoogleFonts.yellowtailTextTheme,
        'Yeon Sung': GoogleFonts.yeonSungTextTheme,
        'Yeseva One': GoogleFonts.yesevaOneTextTheme,
        'Yesteryear': GoogleFonts.yesteryearTextTheme,
        'Yomogi': GoogleFonts.yomogiTextTheme,
        'Yrsa': GoogleFonts.yrsaTextTheme,
        'Yuji Boku': GoogleFonts.yujiBokuTextTheme,
        'Yuji Mai': GoogleFonts.yujiMaiTextTheme,
        'Yuji Syuku': GoogleFonts.yujiSyukuTextTheme,
        'Yusei Magic': GoogleFonts.yuseiMagicTextTheme,
        'ZCOOL KuaiLe': GoogleFonts.zcoolKuaiLeTextTheme,
        'ZCOOL QingKe HuangYou': GoogleFonts.zcoolQingKeHuangYouTextTheme,
        'ZCOOL XiaoWei': GoogleFonts.zcoolXiaoWeiTextTheme,
        'Zen Antique': GoogleFonts.zenAntiqueTextTheme,
        'Zen Antique Soft': GoogleFonts.zenAntiqueSoftTextTheme,
        'Zen Dots': GoogleFonts.zenDotsTextTheme,
        'Zen Kaku Gothic Antique': GoogleFonts.zenKakuGothicAntiqueTextTheme,
        'Zen Kaku Gothic New': GoogleFonts.zenKakuGothicNewTextTheme,
        'Zen Kurenaido': GoogleFonts.zenKurenaidoTextTheme,
        'Zen Loop': GoogleFonts.zenLoopTextTheme,
        'Zen Maru Gothic': GoogleFonts.zenMaruGothicTextTheme,
        'Zen Old Mincho': GoogleFonts.zenOldMinchoTextTheme,
        'Zen Tokyo Zoo': GoogleFonts.zenTokyoZooTextTheme,
        'Zeyada': GoogleFonts.zeyadaTextTheme,
        'Zhi Mang Xing': GoogleFonts.zhiMangXingTextTheme,
        'Zilla Slab': GoogleFonts.zillaSlabTextTheme,
        'Zilla Slab Highlight': GoogleFonts.zillaSlabHighlightTextTheme,
      };

  /// Retrieve a font by family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textStyle]
  /// and returns the resulting [TextStyle].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextStyle getFont(
    String fontFamily, {
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = GoogleFonts.asMap();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily]!(
      textStyle: textStyle,
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
    );
  }

  /// Retrieve a text theme by its font family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textTheme]
  /// and returns the resulting [textTheme].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextTheme getTextTheme(String fontFamily, [TextTheme? textTheme]) {
    final fonts = _asMapOfTextThemes();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily]!(textTheme);
  }

  /// Applies the ABeeZee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ABeeZee
  static TextStyle aBeeZee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed0069c1454d476c52e8d8c43ffdbdd648c6a3d382da8cf078b3bb45ff82479',
        30600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb76fef50d4920b8ae51fa41329989b7dff2d0f0208d37b34127645a85352fa2',
        32116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ABeeZee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ABeeZee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ABeeZee
  static TextTheme aBeeZeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aBeeZee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aBeeZee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aBeeZee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aBeeZee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aBeeZee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aBeeZee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aBeeZee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aBeeZee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aBeeZee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aBeeZee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aBeeZee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aBeeZee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aBeeZee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aBeeZee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aBeeZee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abel
  static TextStyle abel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbef0740397e2ca38a05f204f7129be38b2ab6bb3994a69e14d3a245e489aece',
        32648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Abel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abel
  static TextTheme abelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.abel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.abel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.abel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.abel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.abel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.abel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abhaya Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abhaya+Libre
  static TextStyle abhayaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c458f0cdbbe374f302c17f1ec4abbdd2a379f3a25f8651eb6780eabaf697dcfa',
        260860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a8e2de361c071cdaee84e07bd7e390ce587c8a1fe8c4ba0fc9902a04911e43b',
        260976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06219ea7f05ca18e796cbd2d6bd179775bf53827844ff68507a294e8ade7e5fa',
        260144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae16e2ff929e02be31ddf36b9565470d65c96e896f0f4274ad873f6af48a1867',
        259828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec1520d99087cc369e27ec998a406c900ca73dc725206f004da6795ac8a9d465',
        259032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbhayaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abhaya Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abhaya+Libre
  static TextTheme abhayaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.abhayaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.abhayaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.abhayaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.abhayaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.abhayaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abhayaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abhayaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abhayaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abhayaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abhayaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abhayaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abhayaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aboreto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aboreto
  static TextStyle aboreto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0077414ca4d77ab34c9aaae57c9b5de9e28b475d0ca8bcd9af3da80ffdad2726',
        34204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aboreto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aboreto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aboreto
  static TextTheme aboretoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aboreto(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aboreto(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aboreto(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aboreto(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aboreto(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aboreto(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aboreto(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aboreto(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aboreto(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aboreto(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aboreto(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aboreto(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aboreto(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aboreto(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aboreto(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abril Fatface font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abril+Fatface
  static TextStyle abrilFatface({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c67883c76234315fcefa9a0a99620e0818f0b7a3fa98634bcb7935a18c61e92',
        56208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbrilFatface',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abril Fatface font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abril+Fatface
  static TextTheme abrilFatfaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.abrilFatface(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.abrilFatface(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.abrilFatface(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.abrilFatface(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.abrilFatface(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.abrilFatface(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abrilFatface(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abrilFatface(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abrilFatface(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abrilFatface(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abrilFatface(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abrilFatface(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abrilFatface(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abrilFatface(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abrilFatface(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Abyssinica SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abyssinica+SIL
  static TextStyle abyssinicaSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1c45a050ac2ee27852e7dc361dc80e801177a6b3da4dd9ec3afad1360565758',
        210128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbyssinicaSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abyssinica SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abyssinica+SIL
  static TextTheme abyssinicaSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.abyssinicaSil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.abyssinicaSil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.abyssinicaSil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.abyssinicaSil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.abyssinicaSil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.abyssinicaSil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.abyssinicaSil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.abyssinicaSil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.abyssinicaSil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.abyssinicaSil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aclonica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aclonica
  static TextStyle aclonica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd08d5411909adfa9d768acc3fe8f0251bfa60ba7733280d9303c246485d09425',
        53112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aclonica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aclonica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aclonica
  static TextTheme aclonicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aclonica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aclonica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aclonica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aclonica(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aclonica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aclonica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aclonica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aclonica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aclonica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aclonica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aclonica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aclonica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aclonica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aclonica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aclonica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Acme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Acme
  static TextStyle acme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcee0555968b2f5a138a387888020ead2e9adb025b1fd6cca3b00276f055d7b9',
        21392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Acme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Acme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Acme
  static TextTheme acmeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.acme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.acme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.acme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.acme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.acme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.acme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.acme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.acme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.acme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.acme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.acme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.acme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.acme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.acme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.acme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Actor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Actor
  static TextStyle actor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62d4580d4d42de39d74b4087814e559b5480f30604b8d5d2929f391cda48adda',
        32508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Actor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Actor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Actor
  static TextTheme actorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.actor(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.actor(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.actor(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.actor(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.actor(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.actor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.actor(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.actor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.actor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.actor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.actor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.actor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.actor(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.actor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.actor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Adamina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Adamina
  static TextStyle adamina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e123026cff37baee8a9e66a14d3cb57d9a5e1c7cebc75b143e4955e88e6be1a3',
        34172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Adamina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Adamina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Adamina
  static TextTheme adaminaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.adamina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.adamina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.adamina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.adamina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.adamina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.adamina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.adamina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.adamina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.adamina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.adamina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.adamina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.adamina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.adamina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.adamina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.adamina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Advent Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Advent+Pro
  static TextStyle adventPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd6ab2b98496edfe8717c4a3fc36a3772f98320008b525d5e6ad460bdaa24846',
        49476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3658dee07ef103eb3d7bcbad142c36c14a2558b5f26c552ba2ffb91aebad7040',
        49084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ebb3b726ba2c390c4eae43119ef4ec252c807cdbbcebdcc09b376fafc808e7b',
        48920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25bbecb42e816b8bdb20e1f9f6bea4e4ea33348a47849ad6dff41d9d3f30dcf6',
        48632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e88005f2c6ff35830fa3e5a4430cd4eaaf2aac72acfa4efd0f0addd6db27340',
        49120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac900b9117504fc723ca4b97ff56c60c405cea35339d3d38990cf115da914d0c',
        49136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db429403a404bb84de36065df7675d11fa3b6e3f175850577cf4feb9508d6aa3',
        49240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AdventPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Advent Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Advent+Pro
  static TextTheme adventProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.adventPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.adventPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.adventPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.adventPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.adventPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.adventPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.adventPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.adventPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.adventPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.adventPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.adventPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.adventPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.adventPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.adventPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.adventPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aguafina Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aguafina+Script
  static TextStyle aguafinaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2cff91a7c40b18733b4e5b16e83607684db5d5cc09872455092ff6b0996d561',
        44884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AguafinaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aguafina Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aguafina+Script
  static TextTheme aguafinaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.aguafinaScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.aguafinaScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.aguafinaScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.aguafinaScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.aguafinaScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.aguafinaScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aguafinaScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aguafinaScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aguafinaScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aguafinaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aguafinaScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aguafinaScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aguafinaScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aguafinaScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aguafinaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akaya Kanadaka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Kanadaka
  static TextStyle akayaKanadaka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae7b926a2c06f3a871d8f8927aee721c0caaa9a0b8193531c2c7c919d4ff6e8a',
        204196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AkayaKanadaka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akaya Kanadaka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Kanadaka
  static TextTheme akayaKanadakaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.akayaKanadaka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akayaKanadaka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.akayaKanadaka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akayaKanadaka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akayaKanadaka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akayaKanadaka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akayaKanadaka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akayaKanadaka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.akayaKanadaka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akayaKanadaka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akaya Telivigala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Telivigala
  static TextStyle akayaTelivigala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69b20a196e4a5f48efc33d7ec372bb02a6bc4cadbe3600b7341bccbefd8ad707',
        319968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AkayaTelivigala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akaya Telivigala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Telivigala
  static TextTheme akayaTelivigalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akayaTelivigala(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akayaTelivigala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akayaTelivigala(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.akayaTelivigala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akayaTelivigala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akronim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akronim
  static TextStyle akronim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2092a1a3699c69bb9776d37189bc8601dbdf4546f015d3c2c2cc826eb5162915',
        105652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Akronim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akronim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akronim
  static TextTheme akronimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.akronim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.akronim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.akronim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.akronim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.akronim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.akronim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akronim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.akronim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akronim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akronim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akronim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akronim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akronim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.akronim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akronim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Akshar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akshar
  static TextStyle akshar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc369a4ece89e7d25fe59c7fea3a70bd9b57705358d175a95365ef5c2864dc56',
        119060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c9d825947f76fc5f9b60c27a83edd5fbd8c6aa6be793fc98c5c5155cdb6e9cc',
        119712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b5abea2ba1091d7f160839951fdfa3630b6db6d9d2fca63a74a16838f53e233',
        119860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3af8cb9feee3154b2a26986490cd5eba910e8ecb8d8896485954c813b56de140',
        120012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '323c0a1a8766b6fb0897bf152236f82dc101278688806a3602f9feecb523f82f',
        119964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Akshar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akshar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akshar
  static TextTheme aksharTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.akshar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.akshar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.akshar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.akshar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.akshar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.akshar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.akshar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.akshar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.akshar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.akshar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.akshar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.akshar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.akshar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.akshar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.akshar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aladin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aladin
  static TextStyle aladin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '261414164a67c7aaf3d3a8845b63b04d289942868d771b18c5be93a8bca26a38',
        39832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aladin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aladin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aladin
  static TextTheme aladinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aladin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aladin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aladin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aladin(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aladin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aladin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aladin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aladin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aladin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aladin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aladin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aladin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aladin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aladin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aladin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alata
  static TextStyle alata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d6d1a876ec561e28b937360e72c7a923c4e70d6b296d0e02ab975f905541542',
        63888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alata
  static TextTheme alataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alatsi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alatsi
  static TextStyle alatsi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d1b0456ee8dc65b1b73ca90ad66867964388c066e87d46099382d9ff405b857',
        88864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alatsi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alatsi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alatsi
  static TextTheme alatsiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alatsi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alatsi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alatsi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alatsi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alatsi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alatsi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alatsi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alatsi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alatsi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alatsi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alatsi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alatsi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alatsi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alatsi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alatsi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Albert Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Albert+Sans
  static TextStyle albertSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54a007a5eea0c9be80b85b85de65b5757e40a53f181ac48237113e0908a9fbe1',
        44564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1443a5a2128ccf4625103e26180132ae5d10677582e66ff7bc8dbe9737241047',
        44668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a9f40c255e15a8d81c58c9c0fe8d46156a765d3db6a4bde0547323070a62c73',
        44620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ed6dcdfccb8a8593acc745f79d66fb2cd6131781c13e413c1289f2744062615',
        44560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86c35dcde6fd6a3c6589330b2f873d22744f87ec2b77e5d55af7e2a5695720c9',
        44552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea4bf6b0777a9eaf35b3b50fac8c7cab4477f590e23ef4a51fb0c8afbfad306',
        44532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a50f6ec5ee4075a430aa437152f8c25b35720aab417d581a147a4d255f79362',
        44472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd44561e7627a1e41ac1053ee90bdd610500dab5af4546ea0fe8dc5cb845018',
        44604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd782f1f4887e9191885e6517f136e00797ab8668b2585e23c826cfda536a6ed',
        44572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1ec42a421e5df094bb01c478404ac97a84df568d33aec4226d57859f23db71d',
        49676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8b8b885a0d01a5f3ced4a14af18bd528716bade127c6c88a82fcff8ef4a0f05',
        49744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68729606728a20b565eb14c81f0fd5a121d29367fa7a2be5554ea0d266a6c088',
        49672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68d5a3d5b302916f065bf9973c8c34f5479b85ee50254c4c62ee0fd7db9155b8',
        49532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '475a8e1c14248e5028486de3a8fad10f76346615046b7a65dce32b8abd9b2b44',
        49632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1dac8f43b181aac125a8ad2e138b2aed82b7fec8c2b416b4436a2007699f43b3',
        49624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '975996804e4e42b5a43e7f0a76df4a33e3337c084b656fd0f10d2c8e02826cbf',
        49524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48fcb6eb47b8977312fd817bba291a293c5af817318066863b2fd6e5d57db786',
        49676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4496eb28e10ee5a255f8e863f962424cc2a34b510c480f4b6625b59b943fd63',
        49596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlbertSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Albert Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Albert+Sans
  static TextTheme albertSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.albertSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.albertSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.albertSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.albertSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.albertSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.albertSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.albertSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.albertSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.albertSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.albertSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.albertSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.albertSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.albertSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.albertSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.albertSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aldrich font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aldrich
  static TextStyle aldrich({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0d9febf96b39ccb564cc9710fa842a7bf1e8abd45fad6615cfb788fc17a13d5',
        25440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aldrich',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aldrich font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aldrich
  static TextTheme aldrichTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aldrich(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aldrich(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aldrich(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aldrich(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aldrich(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aldrich(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aldrich(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aldrich(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aldrich(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aldrich(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aldrich(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aldrich(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aldrich(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aldrich(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aldrich(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alef font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alef
  static TextStyle alef({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34ced41c88a6c966490ce1a85c40eab4c9fdb1d6f20114da8edba261c0180a55',
        57172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c0fdebc49a6f30dd1912bf2f08920758704b733176699bf177607ce23ba91a0',
        58820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alef',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alef font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alef
  static TextTheme alefTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alef(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alef(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alef(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alef(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alef(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alef(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alef(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alef(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alef(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alef(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alef(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alef(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alef(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alef(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alef(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya
  static TextStyle alegreya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45b1c3006881320ebd5a03a036d3dfeb62bf4895d175788408900b93b0b44920',
        164756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc5acf784e0ab42e83e47205c750f2b67a665c4a10c9e8926d18fc69804828dc',
        165236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90be500af66faef242d0b7b9305bba0facb8153274d91c2df839b2870a907538',
        165284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fee1e27695c783b67348eef5519aaa95ac2045cd05612d97d0633c5af7ade6c5',
        165140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b7d5646e184f4fd892d79ad2320feb21b77a0fd7e693501f34ebdbdaba1f9fa',
        165200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4784158a4224214f364f4c8a9d1d8112951595a3a3c60e67f83e07c6f5b825a',
        164688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9cf25220f8a63ddd102f4a0179eeb47f85d5b00902f139786b3bbcb5786237f8',
        163848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e2d83869fa2586b6c26f19eb61dec1dcd41f511d8410c75828adaaefc222804',
        164184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e1a06db75b0b7c22d7799c87a66e0aa151da8d00a7b674a7309993f2606eb13',
        164160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd32dfdab1316bb388501c926cb316a75a21db96a2d9a04e1f7b9a8da73d93529',
        164164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1edde4f66658ef8ee20f8abb8a5e515ec94668627c49459c5b6ab2ac343eead2',
        164252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '021e1269c06ce2a9e5c13c315343376cdda3b1c16bb44a8a6444cf027a944141',
        163772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alegreya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya
  static TextTheme alegreyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alegreya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alegreya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alegreya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alegreya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alegreya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alegreya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+SC
  static TextStyle alegreyaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9484a508b55eb8eb6e8cecce0a0dd01b22893def0247245c207c2d3557f4520',
        221956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad1445afc298d8dcc5e5375ed0701fc5ecdee507a66e6711b49f7c16f6c51475',
        228040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70149b5096ea2f1019a9275f544ea40aa0b6c6de9e0af224d2db64860d0cb595',
        221400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '380cbbdb49a7920b1c64fd52d9cec0d845a90081379f3e311718e8236c096d77',
        226976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d72f0cbf01d553236b99c25b7d93c4f7dfa376b5ea2b9a68d0fb9fc8978574a',
        218680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '220bf264f4dc23ee359a69242cd3be905a01654bbe5787ec686d66d0bb84d366',
        225592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2cd28305dde134872ff3b095b19da66fa34cc358400769b2a129b2c7c8ef3d87',
        217252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66b4862bee541f0b94f90af2a20d0f2f890118fa443d2b215166b2970ffb551f',
        220544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a7cde33f7f214537e307b01bcf3346929a345550221574af80e5cb03bfc9077',
        214424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0db199068d1a0890c97023f7eca9ac3899099f7ad3af2b646ed75a1f8bc34ab7',
        219916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+SC
  static TextTheme alegreyaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alegreyaSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alegreyaSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alegreyaSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreyaSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreyaSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreyaSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreyaSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreyaSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans
  static TextStyle alegreyaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d0e59e05f84bec4ce68d241dbdfa8b1eeff985301ae04cd22c8c514abf77b9d',
        124052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bac8ce3d4443fed88ec013859456317a1ad8d24e8b2d7c9b377afaa15ec637d3',
        129040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '698c3b511f6218fcd375d39c3f8c74d7a6761087e679758027ea5fe066e9243a',
        126780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e83c8c6689a19ca21cee0a46a616d85bdbd8d71a3cb7c50f68afd25a65d1ccfe',
        129828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c204b2f8ad4a91b88b6217b24e5deb10eff4307677899d187280e79a361ab533',
        126856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fed2193199a6365ae0d55f324b29056944d3f98b228eb4ac70a1425a3a636f5a',
        129460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71dedcf7e6714c202080ec7669e3e5e933884f389078001f14d3a9dcbfb8acc0',
        127264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b3a79ce30711cd50ca94d33b2404f154206d01c0274e3d31e27d6846cbc2fd7',
        130636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f64b022e8b5109439835bf42f246086abba5106a9aba190c4cfd1ed6691438d8',
        127144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b2eb1030f4dcc0c08db2633f56b838456106f838c6e701296f3c537ed35c70b',
        130300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a14f7bc1d806ae9f704637e7f7a916e82e09f44726e9b706ef83a7365cda3118',
        127160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eace86cda23b5d42c8b1a946bd5c38b9cd874b9cf8c3fbe1900b2bdfa55f0546',
        130176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2989679eb764c7070e7eb56ca862f49282ca3cc1f1c5d90756ffd91b1327739e',
        125248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a877fb889f6aa458ea1e321773121959a8a8278a715ac5a30f3fbdf39d8a1b3e',
        128996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans
  static TextTheme alegreyaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alegreyaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alegreyaSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alegreyaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alegreyaSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alegreyaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreyaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreyaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreyaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreyaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreyaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreyaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreyaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alegreya Sans SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans+SC
  static TextStyle alegreyaSansSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa96c9ec18d4b6f4b3bf6668d7c8121e41c9089164331136c6f5bb48a4a42208',
        151440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '297426e98a068ad1b58b52361173181330392de38d707821000888b2b60c90db',
        155464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd27609d8069136c03abbb6960fb8138ddf4068023fc89f9e80b52a4e19d92c69',
        155284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8afd38384720cacbeb72732f5935c538d4f1b21803d37382a71a2d0f545644bc',
        156796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80d79bf445e7110b689cb486b7a54978b6a059c06a92e78dcfe07c2164e616a8',
        156572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e4f6f8a6c630a226b85f22c76da36a6f961d2cabd26d9819bfb549097a28005',
        156828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7e7fec167c7c04b9e9c0517b3061d678beaa4f248357c3931f4473bf6d50d0',
        156876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a7e871c8804c9a0df56d003af691ee74248d1d77d8c331ca416ec5b275a8820',
        157932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53a2a550eebec78401ad84f14e720d5b07cf31735d2814daea83c3e36a205a14',
        157436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51f31cee882b2adc11d69ebe07a0bf2d5eb916cdd058d2aea6f13fd45699a44e',
        157784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c810a1642e52acf2fc2eb88c32dc7aae8d45cb3d4debfd46d9019688f8da30ce',
        157688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd850a11abcaad9887ad4dbf359e7d56e92935d449ea2d282fd7b8ed203b3dc34',
        158468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d5566617757a1e2ca2ca8934938d246b1bcc7eec37d4abf64faa199d5dd211b',
        156868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27ee0cca89ca354a1bdeeafa2dd46712f106eb0152b45ce96b2ca44279f4cbc6',
        158056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSansSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya Sans SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans+SC
  static TextTheme alegreyaSansScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alegreyaSansSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alegreyaSansSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alegreyaSansSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alegreyaSansSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alegreyaSansSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alegreyaSansSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alegreyaSansSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aleo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aleo
  static TextStyle aleo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1ed2ab50bb0cbcdfdaa8a17794451274a0eef72d5999ffb1a67fac0919bad37',
        35800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd173d2b99e2112fbb3377e7b00e8ab1e378f088d37101d53f32a2380741b29db',
        45124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '810f3506e12833adc40f85683b0e48e7ab95c58bfb9d6897b05816d7af1d5f3e',
        65892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53979c3561ba3e33e60e1470fec4bff2ef9a708ccee2d116359d31ee669c68e9',
        68788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d23aaa77877b2c671ea9971643323fcf507d28dc66a6a21e6406ba5601097f6',
        60744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6472c795d6d5a1324555750ba1402c98d84c262f9413c91d94c055b635ed8c1f',
        64516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aleo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aleo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aleo
  static TextTheme aleoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aleo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aleo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aleo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aleo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aleo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aleo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aleo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aleo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aleo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aleo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aleo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aleo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aleo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aleo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aleo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alex Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alex+Brush
  static TextStyle alexBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1827c06dc42e438af24992b44ac57ec2ca159aca67530e6833d89b8aa45dda9b',
        61524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlexBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alex Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alex+Brush
  static TextTheme alexBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alexBrush(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alexBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alexBrush(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alexBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alexBrush(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alexBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alexBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alexBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alexBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alexBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alexBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alexBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alexBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alexBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alexBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alexandria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alexandria
  static TextStyle alexandria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3c9447624232e24ab7c74a564aaa745c8f4f5df47a89a9f4d547090f120241',
        102108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2141968049bb3cd50ff4f1f25c3b5dad48128c0f3d82eefce2b29b2f948874d0',
        102448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ed101f695b72fd72ac435af155253482f5237b11a3019f8548cfd93a83884f9',
        102432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b320cc271034a3ab2ed6b5e5e061c13bf2af4c15c848c2385069ddaf235fc7b',
        102104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3bb41c6417ce440f8bc1c8af84d152c65f2f565404cae579b5272005e5e8af6',
        102960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a5a71d1eb947b96214457254d9269a6110876524c135ccd87d09129bc99604f',
        102924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e95f4e224da00d285f3629ac31ecd6421e1f72b9b0c0e2046656bf914282ef09',
        102848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48899498ce2968ff0e0f79918dcc768753c7683c232e7ffb529d3e34a584d6b1',
        102896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d62ec7e48ed0d7d3519fc734b5400136fcdbc556ee5a0e8bb392dd128488018',
        102676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alexandria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alexandria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alexandria
  static TextTheme alexandriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alexandria(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alexandria(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alexandria(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alexandria(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alexandria(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alexandria(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alexandria(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alexandria(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alexandria(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alexandria(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alexandria(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alexandria(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alexandria(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alexandria(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alexandria(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alfa Slab One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alfa+Slab+One
  static TextStyle alfaSlabOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74947f8da3cf383b59c3241c2f6800655593849b02f185006f2018b1d883dbc0',
        59060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlfaSlabOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alfa Slab One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alfa+Slab+One
  static TextTheme alfaSlabOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alfaSlabOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alfaSlabOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alfaSlabOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alfaSlabOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alfaSlabOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alice
  static TextStyle alice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e749db529af801dece7d5ddc3cc139ea81e17fcf1da06f09dab98e4e72b28afc',
        89536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alice
  static TextTheme aliceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alice(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alice(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alice(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alice(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alike font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike
  static TextStyle alike({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4a83c00aa9e628112f3eb3abf06d241dcbf8709bb948a31ef1a35da1e7e8668',
        34688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alike',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alike font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike
  static TextTheme alikeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alike(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alike(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alike(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alike(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alike(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alike(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alike(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alike(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alike(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alike(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alike(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alike(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alike(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alike(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alike(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alike Angular font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike+Angular
  static TextStyle alikeAngular({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c0ee7a3210c78d42eefd23fe8caeee6156110556cbbf376cdd11be7658bbb51',
        31548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlikeAngular',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alike Angular font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike+Angular
  static TextTheme alikeAngularTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alikeAngular(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alikeAngular(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alikeAngular(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alikeAngular(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alikeAngular(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alikeAngular(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alikeAngular(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alikeAngular(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alikeAngular(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alikeAngular(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alikeAngular(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alikeAngular(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alikeAngular(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alikeAngular(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alikeAngular(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alkalami font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alkalami
  static TextStyle alkalami({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4016f1317d5c6daa322986154d9a2bb03fbe6e33a22e4914ed0b926ab13ea14f',
        120536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alkalami',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alkalami font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alkalami
  static TextTheme alkalamiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alkalami(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alkalami(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alkalami(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alkalami(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alkalami(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alkalami(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alkalami(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alkalami(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alkalami(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alkalami(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alkalami(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alkalami(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alkalami(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alkalami(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alkalami(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allan
  static TextStyle allan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8f31ed930184a5215b2cd17605657048d9efef386dd3fc013585ef88d46732f',
        28860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62b42c332920d94cd7310db802fb178d81e0b4613ac91dd96cab4204fe5c9ac3',
        43000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allan
  static TextTheme allanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allerta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta
  static TextStyle allerta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '966ff64339f556e7b5cd72638a17f46ce434fcaa9a36e04017cf34540c27e5cc',
        15184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allerta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allerta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta
  static TextTheme allertaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allerta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allerta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allerta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allerta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allerta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allerta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allerta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allerta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allerta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allerta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allerta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allerta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allerta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allerta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allerta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allerta Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta+Stencil
  static TextStyle allertaStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc7944a84a58458e35f26073bbd84a073d657632f2910be8cafe52a9fd9a6a95',
        15648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AllertaStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allerta Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta+Stencil
  static TextTheme allertaStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.allertaStencil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.allertaStencil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.allertaStencil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.allertaStencil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.allertaStencil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.allertaStencil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allertaStencil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allertaStencil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allertaStencil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allertaStencil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allertaStencil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allertaStencil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allertaStencil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allertaStencil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allertaStencil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allison font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allison
  static TextStyle allison({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a2afdaf9e19bae8275d7e758caa167d7378dd4def732cf707de5cb8da6c5c7',
        93716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allison',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allison font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allison
  static TextTheme allisonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allison(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allison(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allison(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allison(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allison(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allison(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allison(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allison(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allison(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allison(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allison(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allison(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allison(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allison(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allison(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Allura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allura
  static TextStyle allura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c13b82a1f5bef4f9a7e082d7b3dc42b4f2b538c1b9aeeba90f8f4c055a839994',
        120612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allura
  static TextTheme alluraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.allura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.allura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.allura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.allura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.allura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.allura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.allura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.allura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.allura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.allura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.allura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.allura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.allura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.allura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.allura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almarai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almarai
  static TextStyle almarai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82a22b76b0460a3bc66a94d16aae567637288d1c3c77a5cc5a1c71f235eba150',
        85828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8123e9cd0c430e569e83475765af4fb01bb148d60534df3f96fb2669bae2c6bc',
        85912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52025e83b24d3c5cf43ee005e784af9dbbe14cfd4eb77b6546cdf90d86cb0bda',
        85696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a1cb321bae24a4995bb6c3ff42b26355de1915c89be5465448a4bded2bbb33',
        86588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Almarai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almarai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almarai
  static TextTheme almaraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.almarai(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.almarai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.almarai(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.almarai(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.almarai(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.almarai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almarai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.almarai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almarai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almarai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almarai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almarai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almarai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.almarai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almarai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almendra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra
  static TextStyle almendra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5671515be8c1a6960889b1efa6afc0c1f635c6d382480c23d77018eb983c689',
        57300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8c9d6359f4d79792da93da31dbc43a88efa93acee4a8412e76dc128d386a0a0',
        32852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05fe1d528b44639dee6339e2200b6f766e710088e8c644ee4c5bd2ddb0ee2007',
        34200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ca3d972da531f5b0810a95983aea29be9c891ce3bd595d2dd466e7290dd8ce1',
        32964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Almendra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra
  static TextTheme almendraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.almendra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.almendra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.almendra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.almendra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.almendra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.almendra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almendra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.almendra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almendra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almendra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almendra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almendra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almendra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.almendra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almendra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almendra Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+Display
  static TextStyle almendraDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'effe355f6a86a56fd3ab0816b63201ef3d9fbb5785130bded4f987872f816d71',
        36816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlmendraDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+Display
  static TextTheme almendraDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.almendraDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.almendraDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.almendraDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.almendraDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almendraDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almendraDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almendraDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almendraDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almendraDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almendraDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.almendraDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almendraDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Almendra SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+SC
  static TextStyle almendraSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b0cd7a2defa989eceb6b6b654282f035287cccc700f5a5a62fa002c94807152',
        33560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlmendraSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+SC
  static TextTheme almendraScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.almendraSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.almendraSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.almendraSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.almendraSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.almendraSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.almendraSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.almendraSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.almendraSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.almendraSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.almendraSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.almendraSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.almendraSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.almendraSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.almendraSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.almendraSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans
  static TextStyle alumniSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab8e2291cdb8ff949f397e1bc5b31fb34ec8c5cd0dcc72ccb2d50dc7cd690c1e',
        65360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ff640c25408d1be7bfa22ed170d7dbd3a7d8a463c461553efcdbb9ddccf6571',
        65564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f85a341e95938785c075c225fbedddd651aa6d7879ce286e817ce779ca7ccea',
        65544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d553a1a4d1839ada96da4d28461aab0b95d7b05953aab7b748060b22dbfbcd3',
        65584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'feef506a1057853de0a8cfa39917e1523f5f26110dd7e5143fd8da28d48034da',
        65684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '768f2b522e8279c62d4cf7baf0c64252500e67a06442068bab8eb719482c8283',
        65708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07aac26d69645aaebb1a005d5ef03ea5881f282143e870da4a4727af428f645',
        65648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '769bdbd84d8eec4c72b15cbd9c0b1dcff266b26d3ac2c2ad9f9acf0cc32fdb56',
        65688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2963bfb1759bfcc2609a5c3f8a2ea65c7dc0aabc254891802f4afd9f471d668',
        65360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ee934999f3ac8d57065a331c91af40b25926ccf8c80acef8199bed55b3a0c55a',
        68152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8771e4b8e34ac5b2917f32ac2304a56bfaf42f90dae38666f4b5c1d40416b701',
        68296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3af69c10c24537ab0925d1186bab07ef7bf6b8c456daa8281f481f083afb8957',
        68224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5cf580ffdfceb373ccd171ab23ca21996e4e41ab20ef5cb5529bfd68b61f3b7b',
        68144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '363d1c638d0656278fd52c9356ca498064881540badf217c679cf9aef9d307be',
        68272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54558f1b12af5f8959a9dfa1f25e470d7584ad4e00a867fbabc6556c0a049ba0',
        68328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f2bec7588aae19e5684b18762c3f4eef49023620e59300e08012fb8b52e0cec',
        68220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd64e4f8d97668639d9505bb2939a400218cac004b8c1cc68df85cf0d4d43ef93',
        68256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ce2ab5a9ef9b37ec2a95db3097ea83458f70b6dc0e940509f61c637acb3e5a2',
        68052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans
  static TextTheme alumniSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alumniSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alumniSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alumniSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alumniSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alumniSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alumniSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.alumniSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.alumniSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.alumniSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.alumniSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.alumniSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.alumniSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.alumniSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.alumniSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.alumniSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans Collegiate One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Collegiate+One
  static TextStyle alumniSansCollegiateOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a4340fe32bf91efee0a7f2daa2a2ffc1f12bbb5b67ff8cea1a3c16a2ae6214f',
        110172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c6642c64039fbdf167cee0eccf6a0245aef1d1d93e26483418bf827f889c77bf',
        116612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSansCollegiateOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans Collegiate One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Collegiate+One
  static TextTheme alumniSansCollegiateOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.alumniSansCollegiateOne(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.alumniSansCollegiateOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans Inline One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Inline+One
  static TextStyle alumniSansInlineOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4650c5bf3131ed0fb46502f58edbf6022ac283a93a76142a4e939bcf13eb0292',
        72184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c34244c2705ebbb7dc5cccb65bc25edf97bd2bc3cc4c019697583e7c23be2609',
        76124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSansInlineOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans Inline One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Inline+One
  static TextTheme alumniSansInlineOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.alumniSansInlineOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Alumni Sans Pinstripe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Pinstripe
  static TextStyle alumniSansPinstripe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42b3aa62187a68fc41c2046c32f1d27e994375ef459ad5c9930130979ddf3b2f',
        75680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efbfe03dca00013ea4d18445216319ff33a19a897071751aa9c8cdf98b4e6256',
        80564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSansPinstripe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans Pinstripe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans+Pinstripe
  static TextTheme alumniSansPinstripeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.alumniSansPinstripe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amarante font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amarante
  static TextStyle amarante({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '890ec741bd034fc3d5439728b4913144c2365b222041b797979ae9f95b4b4914',
        69428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amarante',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amarante font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amarante
  static TextTheme amaranteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amarante(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amarante(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amarante(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amarante(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amarante(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amarante(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amarante(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amarante(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amarante(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amarante(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amarante(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amarante(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amarante(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amarante(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amarante(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amaranth font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amaranth
  static TextStyle amaranth({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3686273f732592e770fead7f911c7d7a8f281e98c325dbf7fccddd3da291aa62',
        41744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c6a40add2c4b1adc53423a1cf451bdfa8e293d34ba6c9e46cb61591fa434140',
        46900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37bf53dc84920307ac64820d8a30124f16c8b56f72082e6c5accf66fdb6267ab',
        41216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a21fadfc70d4e1272aee014ef3fcf8829c70c5c96324492b3e7f93bcaf62502',
        46680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amaranth',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amaranth font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amaranth
  static TextTheme amaranthTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amaranth(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amaranth(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amaranth(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amaranth(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amaranth(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amaranth(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amaranth(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amaranth(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amaranth(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amaranth(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amaranth(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amaranth(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amaranth(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amaranth(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amaranth(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amatic SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatic+SC
  static TextStyle amaticSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aa2708434e42321de8ebdee7c28337f11f8a72dbaefaf3e8b74d8b73898b934',
        103564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '702ee59e1cf56041e86b1611f4ff6572688b94c9e227aca589b5cdbaf7d347d1',
        101212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AmaticSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amatic SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatic+SC
  static TextTheme amaticScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amaticSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amaticSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amaticSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amaticSc(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amaticSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amaticSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amaticSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amaticSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amaticSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amaticSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amaticSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amaticSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amaticSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amaticSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amaticSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amethysta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amethysta
  static TextStyle amethysta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdc0246bf774ad00a0c305ed9853782f799293cfff59e08f7b38c5f156f3726b',
        20232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amethysta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amethysta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amethysta
  static TextTheme amethystaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amethysta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amethysta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amethysta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amethysta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.amethysta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amethysta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amethysta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amethysta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amethysta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amethysta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amethysta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amethysta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amethysta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amethysta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amethysta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amiko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiko
  static TextStyle amiko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3e56ced59b11ce9474df6f7ba4315fc04083bbbd39ac720e9f14d842fab3b78',
        122308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '223ae4f44ff22c32095018b5df4ec7fc3f9800d1860964812fe19ac3e3682d82',
        121800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e59c0515a445bb871d186032eb247daa110f70c4baba542544c9378a593ca41d',
        121316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amiko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiko
  static TextTheme amikoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amiko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amiko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amiko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amiko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amiko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amiko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amiko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amiko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amiko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amiko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amiko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amiko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amiko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amiko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amiko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri
  static TextStyle amiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94e0eefe1701e8e7e725071a6fddcbf4ad3db7b6a81557b52e5dc110f73f64bb',
        502076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0cdc35dc33c636c6dd32d4144a7674a47194919c3da4235f4256597c1e0e7a38',
        504772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2cacd7e67fa2073de1a836f9f59c5385e0ca95ae2bf0ef53b7b4531f399cfec6',
        479572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3118590daa6dc7d8977001327578bced97a51695b81f54a543fd66abcb2f9e89',
        479576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri
  static TextTheme amiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amiri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amiri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amiri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amiri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amiri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amiri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amiri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amiri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amiri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amiri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amiri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amiri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amiri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amiri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amiri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amiri Quran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri+Quran
  static TextStyle amiriQuran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea739f8e8952722a477a1a50b5dade52f993df8e48a3cffaa6d0ac5ab35f632f',
        192332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AmiriQuran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiri Quran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri+Quran
  static TextTheme amiriQuranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amiriQuran(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amiriQuran(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amiriQuran(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amiriQuran(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.amiriQuran(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amiriQuran(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amiriQuran(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amiriQuran(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amiriQuran(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amiriQuran(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amiriQuran(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amiriQuran(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amiriQuran(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amiriQuran(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amiriQuran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Amita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amita
  static TextStyle amita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cc2396707f06b62198d8e4411f1a7cef80227e98718887369fd879715fcb58f',
        132428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd73a96ce44869b2d166232e154d0c96cbf8de8ec3581d38fa8f3d5f0b407dd64',
        132364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amita
  static TextTheme amitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.amita(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.amita(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.amita(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.amita(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.amita(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.amita(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.amita(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.amita(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.amita(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.amita(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.amita(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.amita(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.amita(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.amita(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.amita(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anaheim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anaheim
  static TextStyle anaheim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f20dc30b8de25a3b4110660e82f540abb5e93fcb0a316430d07a0c0fb2a65da',
        25804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anaheim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anaheim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anaheim
  static TextTheme anaheimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anaheim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anaheim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anaheim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anaheim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anaheim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anaheim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anaheim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anaheim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anaheim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anaheim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anaheim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anaheim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anaheim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anaheim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anaheim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Andada Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada+Pro
  static TextStyle andadaPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dfcb2cb38635aca916390254a9df7701f7a0ae7a98ea70e74e2d590e2c5e1ff',
        91072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d87c7ff9227f79fc95384b5ca92e758fc63ac9e5a2cffee5ca83f5b0660b36e',
        91172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '109a76e8d524e0aa226a6a023ac927845237d61e67e286dc42bfcdfeab641168',
        91200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dfcadbde88d5e0238bd433bea4120d789138acf3a8eda763c6bc846752d0103',
        91168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9497c467f20085b346f67adc005a63e4a064f7d630604e8da535876d3582eab',
        91236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c8007b91e135e57b9c885af760935857fc67ec42a193866567eaad982dfed7a',
        89836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eaf930fbe4e8321db5b1b36d1a21e103f22cfde9d335b763a312945346d4cc9d',
        89908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4f6edefcb39f7154fda1f8c0bb739e9567bf25ac3020c9cfc5b81e307584ddc',
        89916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d79fa003c37811b3a6dad0c197fd052d75f650b812b12383082e0dce850f813',
        89848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '22f1433b943700afb788a3013f8f75a19b6c266069727606a06cca97697aa33e',
        89896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AndadaPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andada Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada+Pro
  static TextTheme andadaProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.andadaPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.andadaPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.andadaPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.andadaPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.andadaPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.andadaPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.andadaPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.andadaPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.andadaPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.andadaPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.andadaPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.andadaPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.andadaPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.andadaPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.andadaPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Andika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika
  static TextStyle andika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd51c11e46cb415ce81fc8934d94c8b62e9faf027e7726c136283d755d7c82b1',
        321260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '827b5d2d8cd992faf539fdc563063788a61f9ea29138d1452ff2045773180272',
        344720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e2da162568787ccc6ce2d5bc8f270a22a45812a754674a16bcb1e8995846f2e',
        322816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f665819d6a7c61c463acbb888e96111968d0d0c054aae9e794f20910d6a1bef7',
        345544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Andika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika
  static TextTheme andikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.andika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.andika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.andika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.andika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.andika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.andika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.andika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.andika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.andika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.andika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.andika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.andika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.andika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.andika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.andika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Bangla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Bangla
  static TextStyle anekBangla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c3fd627054e62cf0b0ea49c83524a3fb447b7488ae8db26a13b7e79b23fda83',
        240136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78a9fd820b483384a4f556b61da35d3759ca129686acd1d20127782e86dbf6d6',
        241300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '501ab880a2b2abe0a0e6e7184ce1b88828b4134bdfad7aa700f8a5cc3366eef5',
        241456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9632e4f8f213e39b5649d2e9e4db894e0b0dcabac7f0318930993b0989878585',
        241944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61efa971b7370c15640b114e967a9ddfb4f20aa4da813ee1e8e7eff53e6184c8',
        241936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ab047c25b731bbaf210bea557fc04d2371421c5a3edbc54e40abc21980bd11',
        242376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0254a40f4fd42182aab5d9bf0e3af103d2d6fd2477626d0e8fcdc2c42cbfaa93',
        243892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ba5fcdf46cbf1e0605c122897447d18d48773046fa0f9ca818673cff2bd5aaf',
        244440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekBangla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Bangla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Bangla
  static TextTheme anekBanglaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekBangla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekBangla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekBangla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekBangla(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekBangla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekBangla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekBangla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekBangla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekBangla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekBangla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekBangla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekBangla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekBangla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekBangla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekBangla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Devanagari
  static TextStyle anekDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '454ff34c380127513f7f234753626e9ecfcb5eacc4ea373c96b790f686f3b586',
        404156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47ac30297ae196c1407e3383a7337c35141c92fe829e7b6ffbb6c9e3fe2dc634',
        404824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '334f48f279454ae9570bbba3e56705c76ea0f522315d130470f460cf6bfa4b7a',
        405296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35a14c29bf7e56533d773e80bfb5fcc9e5cbb89255154bdd2ae39b5724f5fc85',
        406116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '432e19544eeddf9b56b642d019fedbf4578421ac17d23c3db058181759406c35',
        406216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9cf19d7ed9ded3dbddd49251327e36a1c4d42b5f388493fbaea329a5c518f03f',
        406984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35025f1411204f5fcaf3100904367af6a6ed268e7f3f02ecd919bc38a842f4a6',
        411792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'addca0f4ba20e5d1f9a98a282740c6a28208cfa3faee41ff48f423cbef8fd3c8',
        413100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Devanagari
  static TextTheme anekDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.anekDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.anekDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekDevanagari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekDevanagari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekDevanagari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekDevanagari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekDevanagari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gujarati
  static TextStyle anekGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1779a414a716ac25e1e07b036bd9402cd1c5427fa518b1bde1767288b8d43ae9',
        285252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0a60786a8e49fac67533840af2c67255679801b62d20f6c3cd4cbd91f099d99',
        286376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '971deb04b842f01e5bf2228fb342c9a0b2bb35e8193a888e60bbb4ba9c2ae5d6',
        286284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06ac00f765b042767afc9f3d1e4b7497e8c794e09af4ff0c5fe80f36dcf02d82',
        286540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65eabc105a350f0a17279df2a7d1c5ad2036ceedf7ee7eb6cd6bf6bd00e482a4',
        286488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8b98e29d9973b9d03de9ee682147eaf89341b11cdef225b4fd89c3242a52204',
        288148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e3bb39379f4a9a2dfe4de6476c798ac9aa72f015afaeff0c7a482ff0e8cf426',
        290120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5475ea3a30cae469e768b429189140f1b92239bdab1d12b3775625f1171506f1',
        291872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gujarati
  static TextTheme anekGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekGujarati(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekGujarati(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekGujarati(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekGujarati(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekGujarati(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekGujarati(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekGujarati(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekGujarati(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekGujarati(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gurmukhi
  static TextStyle anekGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29a2f780c5f7b07dc3c1dd95731ce5709f2d2c71143271d4f500298c484499cf',
        83456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0c58c5d8a67f1da476a54539e63cc28b2d7cd4768813230ec73fcd86182b1a',
        83696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3037c223231de71357ca45d6441e49c8ba76d7f655eecefc19bb419580d6e0ed',
        83696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2376c219cafeaa39261e1ab11da5b62c77ae55427b143c1e6c143529e60c97ff',
        83796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b46f9f7be1eab76e1202bcbca8bae71e166f3e9430f95402c0e2dafc120f2ca',
        83724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83f0e4e002cb6ab8872b2b600f087e8a089db78b751659dbbc37add336c58e06',
        83984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8bad83145b1730479a0fe5432490c947efb0169aa8f3a9e6da9ff73121fe07b',
        84128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45eaf5f15f6d02fff784795010a3662a1fdb5b8e5e88e3c5e114cfb596e36b0f',
        84528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Gurmukhi
  static TextTheme anekGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Kannada
  static TextStyle anekKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c9862a330e23c4a125603156e06457ba5d00062799bfe475811d1966c5cdd09',
        240420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14501eb4c9145f55e451715a4df95b68e62cd61dbf1b84eea22492ab3b72ec53',
        243224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26e54f81043a7d870fb80a0946e8f21de0784bd53ed084df7174e7297eacc440',
        243348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8914270e2bb27f583432857609824f565d26896cef1de96f86b34f4b9dd5e56e',
        243676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22b2bb4411790711b61dd1c6fdbd084272119974f41504d99c48ba913a391176',
        243840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a82f0a7a6708f33c9a43b91207dfebe9d8f2fddab3acd4836db8e1b290bc83c8',
        245148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1446498de02fbd7f0bfbffca4f5775fd1c7d168ef7f5b6c22e55dd202d8cc4c4',
        246408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62c1db9a9241f0213c61795038c24ef4fa0f52b3cebcb84ea23d3b1af45f0088',
        247240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Kannada
  static TextTheme anekKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekKannada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekKannada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekKannada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Latin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Latin
  static TextStyle anekLatin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c0115d9627ed8d3eaa20bb8fbaeb1dbffc46a764eaa133f97013205235272c7',
        104136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '647dce6a4132d380ad5880db1da0337806ecdc08d02dd6b98aaed492e8e5e162',
        104848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5de818eefa80af379c7c56d43f53c7cc8465cbaadbed6bed99677c67cb280d99',
        105012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23dfc8104f756db4b09ccbfa84b31f14f1b94ecb7634defb055b22d55bc03062',
        104996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '472354a9c7522a35326d5ef3c306470826002bf1be4f776881714df0332a3791',
        104928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a7ec7b6f4b70a304fb59799515e598394aab63008515b5ad9fee4f51f2cc97f',
        105276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef3e85a834ca8f8f4f0583eb25af80e1d0be483db93e6866ecc9b47d630a9d25',
        105448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac4b84bf492a74d7a11a51a07c1e4d5d701a980358bafb3c22e73ef95bb64a53',
        105388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekLatin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Latin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Latin
  static TextTheme anekLatinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekLatin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekLatin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekLatin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekLatin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekLatin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekLatin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekLatin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekLatin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekLatin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekLatin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekLatin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekLatin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekLatin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekLatin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekLatin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Malayalam
  static TextStyle anekMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a183d21d0f7060bc14a33d69f5f705a5370dd32f0000055cd7d412c59a100a4',
        113092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c96a8bf971974afa906f1daf341866b55ccba187ed52c774c39565160fadc91',
        113400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '261317fb6653aa80c27ad162ac4007e60c6e480f5c7ba3090feddb815c2e5bb8',
        113448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba2dd6df30007d732ff183eac4eeb6e4a34dda6b26ce6965ea0b40bbfcb69ed9',
        113408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62b26b55624d02b783198bd3a19d08196a3948c9681568111559bd7ccc2d58e7',
        113416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c37cfe99fb2212f4437137bf5704f13858d53943f8ed91e6a732c56d7b0140f',
        113624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e3cba095953b9a71534a6d0e581a2132b7aab5dbfdefcb17970aab54e75132c',
        114300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c6742aec9310b3c7e1e45d0fedf2931237da9dc2d3bb2151eddbfdf23592fbb',
        114624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Malayalam
  static TextTheme anekMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.anekMalayalam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anekMalayalam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.anekMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anekMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anekMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekMalayalam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekMalayalam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekMalayalam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekMalayalam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekMalayalam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Odia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Odia
  static TextStyle anekOdia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c5a8b358658cf5d115b43d7c6b01c1c038a04bc684e2c453e5229bfbe8cf46a',
        163076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0d40e25a43aa7820b812d4308fb0aa0b7f6092e329ec347923274d6b4f709ae',
        164188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbac71ef59a78b5a8413cc6fdbdebdcc3d727b2b0d3e9193771c511bb6b11f34',
        164320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '081dc1ef79aca052edff7b095c55b7094446207926c619b977d760994e042df7',
        164268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '633599d0db4a2a3613609e2f07de8d7397d3debc10e27f8b3db53dd8ae9b9a68',
        164148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19ac62e0d5a4b7436befb854312349bec0c4361ae896eb7d58ea15da73dbcadb',
        164464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d669a410f2941bfea3b09a3a6051a836776f1ba36bfe093b4ffc50dd56b4fb0',
        164816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e8a7f97a35c99b21846b2ca21e8ba75187adc0269437b7bad09424e669dbe5d',
        164916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekOdia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Odia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Odia
  static TextTheme anekOdiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekOdia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekOdia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekOdia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekOdia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anekOdia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekOdia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekOdia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekOdia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekOdia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekOdia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekOdia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekOdia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekOdia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekOdia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekOdia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Tamil
  static TextStyle anekTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa3e2cb1458ec3fcc8d8a711fc2d8c183888a5c356d166cb4c7ee41e4a4ae17d',
        133392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fcb76cb523c7e62553109ac10e1b62a624cdafb32c3a15f7bb40b42f187ec7b',
        133924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd450845ca9db4ed9f26fa6777cf9f21ba00fe12a0e715a41e45202d562abd5b7',
        133860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85dc0ffb3afbc4c6e42c590e44057391547cd926557efae12cfee9acf34d657e',
        133944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ac35083056913079fdd239d2af99d86305f557ae06d8180ce7bb3ffea7ac614',
        134008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5d14f53bc595cfe2eab8ed1ece7f81355a8eaf6767621ba38ab2d0ab3dc5a37',
        134380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d8bff59f7c0181bb25363bbb2aea0ef46cc4238375e4083a568d445793a9dbf',
        135360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b696bf1878c2b3416944b0d1d9cbf2d1637e89ae41a5f0142ad90381c5398902',
        136060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Tamil
  static TextTheme anekTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekTamil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekTamil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekTamil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anek Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Telugu
  static TextStyle anekTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f966632af27d16a3ea9ff0d44675bb57b06f7847dee535e55e49ba31befb3e14',
        306868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75d580d9f149c76d21a5841400e7c145ce3d00311b3ae85e0c321a972bdf1585',
        309656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bd59e20df31cc3422aacb19ee6542497bcb5724569a1081abb56499168279b5',
        309284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f040e250b8995a56c95a791de8307da4c4a383fae96624dd37c5dc50d5e72ef4',
        309392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00e2924447e3594406754c9ae49713a57db3193e6a6a79c2209dbaf436b16c57',
        309320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab757beb10bf751c51e3d545303f9298a8b08b790fe69c19aef064e697b62a5c',
        310104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa5f1a748845c95d68ba530394b34567f5bb9debd86c5a5f186cabf7d655e272',
        311316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e52397382741b106bdd3cb2dd97f1a8f30db521365c46bd7645bc0aa88617024',
        312020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnekTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anek Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anek+Telugu
  static TextTheme anekTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anekTelugu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anekTelugu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anekTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anekTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anekTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anekTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anekTelugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anekTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anekTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anekTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anekTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anekTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anekTelugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anekTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anekTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Angkor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Angkor
  static TextStyle angkor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a2d2cba1c7487e703bf379ecdce28396729e54702f9c3623c0a16cbf900154',
        38724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Angkor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Angkor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Angkor
  static TextTheme angkorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.angkor(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.angkor(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.angkor(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.angkor(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.angkor(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.angkor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.angkor(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.angkor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.angkor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.angkor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.angkor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.angkor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.angkor(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.angkor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.angkor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Annie Use Your Telescope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Annie+Use+Your+Telescope
  static TextStyle annieUseYourTelescope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff1575b5a063d09826bf441c2dc27619c4187c98c907003f3cd80e546a8b6915',
        35952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnnieUseYourTelescope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Annie Use Your Telescope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Annie+Use+Your+Telescope
  static TextTheme annieUseYourTelescopeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.annieUseYourTelescope(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anonymous Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anonymous+Pro
  static TextStyle anonymousPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '081f36c2edbd80b4a96997bdd985999dab018d0c1735edf36329ab603148258c',
        47292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9e045b28fc60e1f94b3a4c75009ba35d377129a7cb650621b08d2dee98429e5',
        49384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17ff337f134c8ac8d93bc157bd1d6b8f3f493a09bf3cb84a4c34d1824d7edde7',
        46980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47dfbc3cf4b4554c464c3420d6c8e42033d01450296705a5fe207287cc6afd9c',
        49108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnonymousPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anonymous Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anonymous+Pro
  static TextTheme anonymousProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anonymousPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anonymousPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anonymousPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anonymousPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anonymousPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anonymousPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anonymousPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anonymousPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anonymousPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anonymousPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anonymousPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anonymousPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anonymousPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anonymousPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anonymousPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic
  static TextStyle antic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8397fbf4e6ab293dd34d5a1ae6230e13c401b9d182ca1993c4a1a6aa7410238',
        37584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Antic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic
  static TextTheme anticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.antic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.antic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.antic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.antic(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.antic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.antic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.antic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.antic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.antic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.antic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.antic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.antic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.antic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.antic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.antic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antic Didone font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Didone
  static TextStyle anticDidone({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d67d68d8e18677c34d73fe7fe4104402ad32dd69b2ffb1cc4018e5c0e791e8',
        34000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnticDidone',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic Didone font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Didone
  static TextTheme anticDidoneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anticDidone(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.anticDidone(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anticDidone(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.anticDidone(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anticDidone(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.anticDidone(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anticDidone(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anticDidone(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anticDidone(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anticDidone(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anticDidone(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anticDidone(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anticDidone(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anticDidone(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anticDidone(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antic Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Slab
  static TextStyle anticSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5b8fded4efad3094f3b441a77f4ed0d70f0cb36c863a78948f418d5486a1471',
        31252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnticSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Slab
  static TextTheme anticSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anticSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anticSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anticSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anticSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.anticSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anticSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anticSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anticSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anticSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anticSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anticSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anticSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anticSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anticSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anticSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anton
  static TextStyle anton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cac14046e308fb2d413c940504165948086c9edd4f49adfd8420e4973894989',
        87404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anton
  static TextTheme antonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Antonio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antonio
  static TextStyle antonio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91ab085f85a221682d2c18a4a4e62a4505721c973dd3151c26448370ac061fff',
        36648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad8d67bd35b2ebb7bbd41e08fee5f9675dcda747ed13a08c86ebb9b238d6fc9c',
        36736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa906848d80df95a18e74f721862c1c23b5540de27dc163f03558e701095e139',
        36756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e89381c97d7a88658386ab1903c8e1cafecdeb3e1655908ba9e99e4bd73a68b',
        36672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2681ae67b447f8338f6ce28b2ea5aaae8c47c62dc60e7225df452ec42fdbdb8b',
        36744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '483e6d9e15a9fa7a76d00369cb5cb434d79e41f38ec3188bf2993d277b726615',
        36728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05a774b92b06e5b6553ec8b35e3ff8263d319f57987ba67b4303a4738436b994',
        36760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Antonio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antonio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antonio
  static TextTheme antonioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.antonio(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.antonio(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.antonio(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.antonio(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.antonio(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.antonio(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.antonio(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.antonio(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.antonio(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.antonio(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.antonio(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.antonio(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.antonio(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.antonio(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.antonio(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Anybody font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anybody
  static TextStyle anybody({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41a45a4da103d24f78c4bf6cec1ed70768410ab5bf0ad3d0e135749d12c7a4a4',
        59092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23578248bad0351cc5f467c1cc721edb92e4fead3c591008fa0e494b4da01bbd',
        59268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '748daf60bdd94911477e5211c31261468e992212a7f2f3fecc866111339edcf9',
        59364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb0ebd8f9279630287285e04ea1f56a2ad0f7d972ebe40b029431bde5e6f90d4',
        59316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4786370200285e7df45ed25d2bdb78c7351af3a34266aedb986f3eed8ed4dcfd',
        59508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eca1c8a6129a08aa01a9ea1d5adf13102e4d32d2f0535e53f8789005bbb33e8b',
        59760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2fdf7e735ae8f4be4174d8e5167b590754b6bd788aa5f71d432d8181789f7bf',
        59744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '617b31982d47a5b207782164d9579eb32e6de568a28de1a3bf3db51aa44263db',
        60028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1488a3197f6f5eb75eae8eb477d11c26b6f4a37d943f3e0afc0e9bf93fb26ac',
        60092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7eed20c7cbf55d6b553bd1b29bbaa19578ee765e21919c78f0c71e571d884237',
        60448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae835b8ad887ec9c0a9a8ab0c0d75bac5fe267307882123dd4376f239b34bee1',
        60700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc8d0645b3c5215853e36bc7268d48fb4ae0ea4eb4f8b388e3b334b634078f82',
        60656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5f7dff664f2ce14d1b97826b62164d7d2c034a517601d6515a91048ff65f8454',
        60660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7353bafc1c1798d67dc5d1df465cb3f9f503232cf83427f6fd30bdefd893ac19',
        60772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a09230c67faabeaba3bb3b1666677448eed39b32c0d5478534b1a22c349fb7f9',
        61064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef3795cb478715e8e659d1bdb2d9662f5cc8f8a2c431397db5af8ec81c4ceae6',
        61028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce79041260122847bb641008461ca801c5b36d95ff536370b1d2b4d879680fa5',
        61348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44c6bef42564b4544fa43fcb7b18e542dd813e85493e6a5e102e37fc6fac9343',
        61300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anybody',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anybody font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anybody
  static TextTheme anybodyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.anybody(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.anybody(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.anybody(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.anybody(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.anybody(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.anybody(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.anybody(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.anybody(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.anybody(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.anybody(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.anybody(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.anybody(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.anybody(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.anybody(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.anybody(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arapey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arapey
  static TextStyle arapey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcb113d8c3f16a124e56ea34d4486f28192f9eea9a0e9b86d784a332dc1dde7',
        24096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3bf34afbf43de8a92261f42fcf6d19a0eeef2e1fae33ec84fe054c5465fd802b',
        26812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arapey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arapey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arapey
  static TextTheme arapeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arapey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arapey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arapey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arapey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arapey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arapey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arapey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arapey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arapey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arapey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arapey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arapey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arapey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arapey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arapey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arbutus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus
  static TextStyle arbutus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee31618abcc9f54bd2df9278b59d54f3d7b78fdcce78392dfcdca21e1ba91a05',
        78780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arbutus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arbutus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus
  static TextTheme arbutusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arbutus(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arbutus(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arbutus(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arbutus(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arbutus(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arbutus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arbutus(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arbutus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arbutus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arbutus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arbutus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arbutus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arbutus(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arbutus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arbutus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arbutus Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus+Slab
  static TextStyle arbutusSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04431538aed147aa226942f7676d1d7c0ec00b5de643a138cdf981e387f8296c',
        36956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArbutusSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arbutus Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus+Slab
  static TextTheme arbutusSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.arbutusSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arbutusSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.arbutusSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arbutusSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.arbutusSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arbutusSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arbutusSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arbutusSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arbutusSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arbutusSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arbutusSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arbutusSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Architects Daughter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Architects+Daughter
  static TextStyle architectsDaughter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87659fc9ea9955f9b1fd8cf5cd2f5282c8ed2783cd6e720f958dd37a6a920fc4',
        28660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchitectsDaughter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Architects Daughter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Architects+Daughter
  static TextTheme architectsDaughterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.architectsDaughter(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.architectsDaughter(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.architectsDaughter(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.architectsDaughter(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.architectsDaughter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Archivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo
  static TextStyle archivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdf2b7fe0624a03655189f6d69af9aaf273f50a027e5ac86ac9787a4ade55cec',
        111924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbbe298211a31369246e4b486cafc9fde16a8deef967a7187970aab2012e5517',
        112024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '765a57442dc26b38758504d3bb2c18c40395c2d15ca03ba79c73ec900b8748d9',
        112024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd0e80370e3fd603e9f717e83eb37aba39e16febdeb262d65baa3fc8a188e8e3',
        112036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '509704200f2b001811798575b8dfb2d08e5f2b1399d086ec74952d1c8ceaec8a',
        112116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fae6ab6c0a7a9fed261713b6217cab1c599c77f045fc8b1bb11db97b39d17c6d',
        111852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7129619aab18718ed5cb53e036f3cfa76ba1311b93cf57364108e9856932359',
        111928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4489ee578f9e831634d93f4259a41478a7417c7067a185e05b9d7bc2e82cf03d',
        111928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3261b4795058bfa613c359fb4c0f8dc48aea785af65f39946a3eb1b51ab2f452',
        111284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1fe6239e4ef35efc300b795793daf655e03d1c34a70be2163984bdbe04e56d46',
        123560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4cee88ed16b3a9e8fe09d89e10f01aa06e76492cc92d41ddaa0cecc0a4cb490',
        123660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01a3540e20193a1c823faf9031d79cf08f37c8df9cd21712b671a0148a08b00a',
        123540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '334dda3f94aea2878d621590c069b9369ad66926596a8b80601860f872b5e7ab',
        123400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5cd4ebca7a924116f1b16d36300b902e12030e73e97d98067a4da9ea84268b58',
        123484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d7899731adf63770491887bc5929a460f3649fd8778c498f4e85a9abda304b0',
        123348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f59a25b1bc97f42ae253439e9b956ce22b140119e99b29066f5517ff2b4788fb',
        123324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5ae7277cef1c98eb83275909da467766c84b524bb5b725414ca7258c177d1b50',
        123612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8bfdf769fe6a374f09351a824f76c1c55b7ec1c5b244959dbc29991e505d3f42',
        123296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Archivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo
  static TextTheme archivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.archivo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.archivo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.archivo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.archivo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.archivo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.archivo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.archivo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.archivo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.archivo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.archivo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.archivo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.archivo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.archivo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.archivo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.archivo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Archivo Black font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Black
  static TextStyle archivoBlack({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb9584812618e21cc2f47b20558d7de558b494bb64d9623415cf292feb6d1c85',
        44844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchivoBlack',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo Black font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Black
  static TextTheme archivoBlackTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.archivoBlack(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.archivoBlack(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.archivoBlack(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.archivoBlack(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.archivoBlack(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.archivoBlack(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.archivoBlack(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.archivoBlack(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.archivoBlack(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.archivoBlack(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.archivoBlack(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.archivoBlack(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.archivoBlack(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.archivoBlack(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.archivoBlack(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Archivo Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Narrow
  static TextStyle archivoNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9cc5809f85de7c0fd6a6a83c9907d23f03f9295d7a34136ed1b4252b09d7c34',
        58072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2092d6cb0bb6a682dc8f08eced471fdb2d9c6ba41b954e72194a9e5f39d082ad',
        58476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14a7440fc880c5efa4a7313978d340d4b183efce50abf23c60d37a23b67d4b1d',
        58488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea1a5d2461f0c77b429bde220b913640560cfe6ddcca21b708b88f9c860b2d31',
        58068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54a5062445ff945131e843c13eacccc4097e464d202e900d718f25cad3530057',
        60768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc295c3dffc610ca8ad9d85bf0056a08fb095a503628ed3fcc5476f0a22d9d3e',
        61060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3d469e8002e991d9697b0872399dd9e9e5f03127ae7609710b7832acf48d0f0',
        61064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38ef58df0e8a92e43bacfa93d641f9b2fbef68c2153eb2aa0ef4ba1865e18a9a',
        60684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchivoNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Narrow
  static TextTheme archivoNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.archivoNarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.archivoNarrow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.archivoNarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.archivoNarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.archivoNarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.archivoNarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.archivoNarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.archivoNarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.archivoNarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.archivoNarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.archivoNarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.archivoNarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.archivoNarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.archivoNarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.archivoNarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Are You Serious font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Are+You+Serious
  static TextStyle areYouSerious({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f5c158df53c0056890d3850938a75e61af027316853dc7eaa83dc29d32341f4',
        149320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AreYouSerious',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Are You Serious font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Are+You+Serious
  static TextTheme areYouSeriousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.areYouSerious(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.areYouSerious(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.areYouSerious(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.areYouSerious(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.areYouSerious(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.areYouSerious(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.areYouSerious(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.areYouSerious(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.areYouSerious(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.areYouSerious(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.areYouSerious(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.areYouSerious(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.areYouSerious(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.areYouSerious(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.areYouSerious(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aref Ruqaa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa
  static TextStyle arefRuqaa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47206330beb6bed04e32d60d16aa0a4bb870524234eb91e0b1628dc755333d1c',
        103416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbbb38bdcaed9a84640798c95aacfdd797c2fa3830b4fb15eaa3f55045586317',
        115420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArefRuqaa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aref Ruqaa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa
  static TextTheme arefRuqaaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arefRuqaa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arefRuqaa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arefRuqaa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arefRuqaa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arefRuqaa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arefRuqaa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arefRuqaa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arefRuqaa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aref Ruqaa Ink font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa+Ink
  static TextStyle arefRuqaaInk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '843d00ba1a44e4c57f31e6c4fcd49151c6c32cd3dfdc91f9b7e6323370159bda',
        559628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f488f503f300814ef1a1d2d860daab49c1b3c7486255198c05bb56b86786c43',
        622172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArefRuqaaInk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aref Ruqaa Ink font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa+Ink
  static TextTheme arefRuqaaInkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.arefRuqaaInk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arefRuqaaInk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arefRuqaaInk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arefRuqaaInk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arefRuqaaInk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arefRuqaaInk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arima font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima
  static TextStyle arima({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fd95f5eca7c56b563e9f2ae5f53c9ae412e587d9a0fb31a5e565fc17997012b',
        187432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '488c58d5bbd69152783f06339f3763159aea7ff6f53e9ab9e0eafee9eb787651',
        188008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d04fb33cf2bfe37bfe0dc98682efe4189478f2b75977937e5f175f843638339',
        188376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5208a6397ab2cf8ec81527c9866c09a725865127071f28a89417655580ab2f44',
        188356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3d263cdf7e8103bb2014e442fda59128dbaafcd751910d0637f791f8ccdd1b2',
        188748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8acc5026f12eadfa361c62a19fad15c961cbbf4109ddf0581c3712f1e40eac76',
        188576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28bc517e0266b20097717ad6e48f22a916bf4fedf7d48efcc3e55b83393963e3',
        188500,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arima',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arima font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima
  static TextTheme arimaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arima(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arima(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arima(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arima(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arima(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arima(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arima(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arima(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arima(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arima(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arima(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arima(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arima(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arima(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arima(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arima Madurai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima+Madurai
  static TextStyle arimaMadurai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a08b5db8265f4b5daa75fbecdd4df5414f309b5e67452f8bd725f42c1200620',
        87116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a87b0eb6c95729593340c1fa3cfbd279f271e9940696d2c605fd6528ef7c1ec6',
        87876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f114fb9dfdb5f47ba87e34a7d9bfbf8ae802af70c46fd45a782871e6efda6174',
        88016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae4101536568e5bf682b019f2515eee5c0bdc86cfe8c4419a859b7ff1b2f2ace',
        88512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a5541253f37b14b18e88fadc5a27378379a09fd94568456d241a4456eeb71ab',
        88540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05716f6b04e8d338bcb66877f359054613ee72d1e35e06f95b9c4bd3c76482a4',
        88512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1021ffc3c2b5624fc1fdf2818b20390c6745860308a0b2f7856316e97de93747',
        88488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3879ff66d6ee6e82740a9b921b1b51e90469ed50428b22e19f621260cd3c350',
        88516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArimaMadurai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arima Madurai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima+Madurai
  static TextTheme arimaMaduraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arimaMadurai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.arimaMadurai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arimaMadurai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.arimaMadurai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.arimaMadurai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.arimaMadurai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arimaMadurai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arimaMadurai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arimaMadurai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arimaMadurai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arimaMadurai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arimaMadurai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arimaMadurai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arimaMadurai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arimaMadurai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arimo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arimo
  static TextStyle arimo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23992489a8fffcfb19e1516f2a020efa132269a4cd079ea22587c05be081753b',
        315712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21e3bb63220dff411bccdb05f177c9babc3f7da4b68aa11bc00246dd15a66c86',
        318680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da3ca8d0829a4ffee5755683d582ab69aeb43ab0cab8d7666803a809368f1670',
        319672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50fdd8ea5c5eafbae207adf5707287109aafcbd6aec41f82d0b74efb4201cc68',
        316208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dffc3769f3852cbfc52b6b4903df8e3c5ff59fa748f464bfc863f0c16e8acfb',
        337984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e5b448b5cb1b8972c2dee00fbe374780bedb4d593a1554fd1cf58e7c587619b1',
        342500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cdab23a1fe5475b10dd9887e5feffad41ef401ce0eff5fb73b5ee4790fa05439',
        343008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f766298feb6be6a218c089e1355e6675df0f366d3d67bb5a20978264d0157d48',
        339336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arimo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arimo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arimo
  static TextTheme arimoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arimo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arimo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arimo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arimo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arimo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arimo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arimo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arimo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arimo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arimo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arimo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arimo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arimo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arimo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arimo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arizonia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arizonia
  static TextStyle arizonia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cdbff2a2b1155329f26fe8a352a224277129963887327eaac835a804511ba19',
        87984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arizonia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arizonia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arizonia
  static TextTheme arizoniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arizonia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arizonia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arizonia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arizonia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arizonia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arizonia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arizonia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arizonia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arizonia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arizonia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arizonia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arizonia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arizonia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arizonia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arizonia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Armata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Armata
  static TextStyle armata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f38d96d2dae06acedb19222a35e8865b5cc5711490ad3e86f988ef5def6fa27b',
        49964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Armata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Armata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Armata
  static TextTheme armataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.armata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.armata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.armata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.armata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.armata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.armata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.armata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.armata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.armata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.armata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.armata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.armata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.armata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.armata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.armata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arsenal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arsenal
  static TextStyle arsenal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5f695f889f166bd03a347f103b3bc671e167458595c8d02994b7fa1763e3e86',
        76692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5f085824395aaea9d08f1baad23b3fe697f8214a27e871c4ef04df58d3559ea',
        82296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8ba6c5b0c941ce0588b8095560c835724c810d579d505f01e9eedf7fae53cf9',
        77208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56f6907247178ab293265b7dd74616db07072abca641f4a05046a57665fc0ce8',
        82340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arsenal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arsenal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arsenal
  static TextTheme arsenalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arsenal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arsenal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arsenal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arsenal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arsenal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arsenal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arsenal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arsenal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arsenal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arsenal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arsenal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arsenal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arsenal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arsenal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arsenal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Artifika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Artifika
  static TextStyle artifika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa267a0781f8d1430425a0fbc3f3a803dc4ce3be46e6ebb8915ea0a836e99fde',
        40396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Artifika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Artifika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Artifika
  static TextTheme artifikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.artifika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.artifika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.artifika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.artifika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.artifika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.artifika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.artifika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.artifika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.artifika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.artifika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.artifika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.artifika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.artifika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.artifika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.artifika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arvo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arvo
  static TextStyle arvo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06604b28f68ab6bd331ce34e39d3d25e5571d234dd859a67002a03b52ff54434',
        20668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'be30ff68b3a6569309e4cdb97520171f9c2b00644bda658aea76c6a3cd1211d0',
        21104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e8ee167cbaa92f9e5bd0961c8a405a38520bd3e0ac487d94ffc7122d75a98ea',
        20556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5ead9ae374f4c2b25c767d68c772879cb84f33c5ddf213b4608c2cc7639d61ed',
        21668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arvo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arvo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arvo
  static TextTheme arvoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arvo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arvo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arvo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arvo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arvo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arvo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arvo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arvo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arvo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arvo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arvo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arvo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arvo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arvo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arvo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Arya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arya
  static TextStyle arya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a939aada447f5c1bc764a8f9960c6424d3f38d85972df751c73e54c7362afc64',
        107792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00ca32f8ce8b566199068fbd0a93b788998d103f60dfe43263e2959b328245db',
        107528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arya
  static TextTheme aryaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.arya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.arya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.arya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.arya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.arya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.arya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.arya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.arya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.arya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.arya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.arya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.arya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.arya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.arya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.arya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap
  static TextStyle asap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fccb0ee85a7742d98908cc83e2aa19ba81ea4c25657757944df0ac1eaae98c6',
        77220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31e4bd467607dbd1d5ef80146a91bf0febbf7294ae6679ff600df1b25de7e3b9',
        77304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1fbec51cce53295fd5274652d8d2251dd72a2cc96263ff9da3240b943711a1d',
        77284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b197130508d6c7f7b8db1f061138f34cf228877c66a40dcc34622006324a02ca',
        77240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a865d024a894c304f2c820ff664972e4129ecc318dca67b7c1e2fa014473e2f',
        77240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22491ca0a499063225d0cd77bade261dfbd8653737ab7089319059c88f42a241',
        77328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05dc46469b1decac35e426cf2ab3b6b0179c08dfc53dd61e5c156a5f2569fd0c',
        77044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb8e5542f11956c6cddccb3e82c9179820dc3b8a0f7fdd940196a498d31050ae',
        77216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a68490602bf01bc8e0a3c7277686c6bb8154d9bc54631143df3d483a9d8436aa',
        77100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37178735b8bd328ef23076e6bb94f77a2d637ec6ff935905fcf9a91db571c7fc',
        84476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fc9060619a84da4583e3328cc778f25dc7a636c5bfafa0700a965b2af47e7e4a',
        84468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a48a72fc2f98776afdc3ea7e5f891f93f8f5900aa5b68a60b340f4a2b0691af',
        84396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b92844300351246b171f1f78eac59e99bbea5e15379c3844e91ca57d71d356e6',
        84304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76ce4de9e0ecaaffe129cfa5c22b40ea0228992edaecdb42a96a7f2d02045ec0',
        84396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bc68a75cb402dab5838d52394e13ee50ae3e47569dcd6cc785ec757f971862a',
        84448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ce190dee7f495773da96d8d79958c68ae84d753b4a2127cc9896e6d500d73ef',
        84256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a784dc7d197e79cf3f5bb2a833d9428bdb5c3fcf8a582a0a34f34d51b678365',
        84388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0658c93a7f0a20fc5a6d0efeac631f5033eff17ffee1d7fb1235b02eb8d7995b',
        84360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap
  static TextTheme asapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asap(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asap(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asap(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asap(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asap(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asap(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asap(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asap(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asap(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asap(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asap(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asap(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asap(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asap(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asap(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asap Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap+Condensed
  static TextStyle asapCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cff41cb2fe9e2f1e7cf4686f8b4174675210afed246067a63eaa8131472154dc',
        70008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73ba0e68e7409bf170f35d1b9b2d472b471771e780a6dda6a164b51ae2709945',
        76424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a67660e18d33305f1b614ea83d4b4c1ef9d8f1e7ea532a91e998fe60c886058',
        70168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77a3bb28081243365088daaa795208e27d24b80ff5f1d42535e07355efe01951',
        76860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '287d23bd152264f0e69499ace18ef73101ceb4c2f205f444061487c46113605a',
        71444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ed7f52e14e1c0ada801e7c04634272113f5db4dff1eab4b0a3f4c8ce8b88eb9',
        77800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74f34fcf38b816a8a8c6646f674d5ffd574a4653954959cc070cfb4b23104085',
        71636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e637e88750b51d2078163a2e01f839644d2f20f233491057de61b46e0432690',
        77676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '150379b430c0f101463f7e470f721a6dec852c68f49027a20bb9aa53135f1b81',
        72064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de948503fe3ce2a16bc1abbd41c556d04fa2bd6cf634c1bb241038a0fc21bd43',
        77944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a5854e1b13826ca480b8d3c50241514095b6421f5f093d59be25ccf932c5843',
        72116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c30dbc2e30259376d066e96f8488f483b4d34e7aebe280b2ef970d20679d5cc',
        78364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec93946f086d6d75040b54cfa627f1fde7d15d2cbe64f89a797b30c5a933fe01',
        72284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '95f2c5aeec797312bedae15f0ed45f22035d5e427aa6a0a9069f6cbb31b64fb6',
        77896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0ceef37e9be39e015a2b83e7e49114db4bfc2f00a6e1b2efbc4ca39780f6490',
        72504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d96e9ff4f289ecefc1de6bc57bfe7b6a5d3d8c27283ca482462078da2ae4022',
        78436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AsapCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asap Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap+Condensed
  static TextTheme asapCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.asapCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.asapCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.asapCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.asapCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.asapCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.asapCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asapCondensed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asapCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asapCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asapCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asapCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asapCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asapCondensed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asapCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asapCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asar
  static TextStyle asar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f5c57c47471c19a020f356b7153fa11a8ceb320745319fd004076634bfebd4e',
        399888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asar
  static TextTheme asarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asset font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asset
  static TextStyle asset({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '590f0e7d49f7b0a93d4c0a42e85b33e1ccc03395228859ffacd9a16769817730',
        48040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asset',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asset font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asset
  static TextTheme assetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asset(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asset(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asset(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asset(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asset(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asset(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asset(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asset(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asset(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asset(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asset(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asset(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asset(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asset(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asset(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Assistant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Assistant
  static TextStyle assistant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f28488ab014bdfd98c208e1333f017e7df733170a47454b4e06bdcc9634f1048',
        47472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e84f598d0f695a2eff4274bb1c0ee3161417631009d2d255bcf350dda0dd41a3',
        47700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74eed00eb58c95d62107019c6db7cbc3e82b61c32dbcfa41b73804fb01392bc7',
        47692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '571721e6f096baff44cf55b1c08ba2f51774bdfceffae28ed35dcb3cb9b84c8c',
        47640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48513533bec634e8f6ef4bae2a8b4d6238c72a6327c2396c3d33cb8e5e78c63d',
        47716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd794fc350a5e9a95a7d3dcd8b0f2e73875a31af117132823f18b8795e614a31a',
        47652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfece19aadcac1e47b9eb19c30b618f3813e63326b81358ae7ce3c805596332',
        47532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Assistant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Assistant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Assistant
  static TextTheme assistantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.assistant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.assistant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.assistant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.assistant(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.assistant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.assistant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.assistant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.assistant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.assistant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.assistant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.assistant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.assistant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.assistant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.assistant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.assistant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Astloch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Astloch
  static TextStyle astloch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7a7c68cac2873d07058859ca8ea09c343c2d86b4856fc4228d747cc66738e71',
        49252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5d9efacd4b695ad23eea17dc7c59305ddc3ce9db72cb9508be52cb932ea6de0',
        50852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Astloch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Astloch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Astloch
  static TextTheme astlochTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.astloch(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.astloch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.astloch(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.astloch(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.astloch(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.astloch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.astloch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.astloch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.astloch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.astloch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.astloch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.astloch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.astloch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.astloch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.astloch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Asul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asul
  static TextStyle asul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4feba4db5d8e0b1cf68e5b07dc1722f0167acd191ffb56e0ea11dea93b12dbcd',
        31008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f94c10cb7b5ea59055ef4efe754a091874f873c8b7a82dfe3d577cdcb4939c22',
        30988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asul
  static TextTheme asulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.asul(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.asul(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.asul(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.asul(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.asul(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.asul(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.asul(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.asul(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.asul(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.asul(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.asul(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.asul(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.asul(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.asul(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.asul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Athiti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Athiti
  static TextStyle athiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '696cbfd50124dc9018b35cd34f14c2087a57e8a1a4f5b85412930f5a8b0d927d',
        96028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc712088d5e10d28733039df5b64a70792596852e2b3476d106d3ab0eb764c98',
        94860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2616631b1611fdb8b7ce24b5a7ca2fcc9ed30c586f57109005e4dae361cfae1c',
        95952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a3112766cdc5e82e50149f5422d4e7ac6d90ba554076d429c00c361725c6c1c',
        96036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd486640632fcfc522d9013c7ae37991f4da6fd251dfc845736f1534208999d89',
        95560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '389e4c7f43470ba0f7a9fb90fcb73eb264aae54974e0befa5bdc6258c4fc16c9',
        96436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Athiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Athiti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Athiti
  static TextTheme athitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.athiti(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.athiti(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.athiti(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.athiti(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.athiti(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.athiti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.athiti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.athiti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.athiti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.athiti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.athiti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.athiti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.athiti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.athiti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.athiti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Atkinson Hyperlegible font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atkinson+Hyperlegible
  static TextStyle atkinsonHyperlegible({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34cbbb160a161e76615409702bd11d517714be485035c724a5b4823609e128f3',
        35240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de702b1afd3d264aaff860cd5aa76e5a28a9d5d4194616f8ab58461aa732ac2e',
        35640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1d77f8ab92ba17799673d4b74349ec47450a40ec2e275ccfb1521e4b411808b',
        35432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ae3af7b85ce5c0e45767b9ba419340fe3f91c78c181b9f09c5ebca7eb6505d0',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AtkinsonHyperlegible',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atkinson Hyperlegible font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atkinson+Hyperlegible
  static TextTheme atkinsonHyperlegibleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Atma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atma
  static TextStyle atma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f580b765fbc4d048fe2c3a1985ac963dedfbe786e43311d74b25cf7d6fc502e',
        189740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eabee54d2b8466839ed36b765c7de139ee67027a27efa29a9b9e37602fb66270',
        191388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c76b5c9f816441315dfcb82de5ad22bb9673cd83d318032501458a5b45cc52f',
        190840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdcd004557ebdfffd517781fded8dc560759f5ece7d1febdad29d7ba83a108cd',
        189940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69c7cc1dd98eb4623cb9a51d7b7ed548bb5366508856497b089a1be242e4641b',
        186912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Atma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atma
  static TextTheme atmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.atma(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.atma(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.atma(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.atma(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.atma(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.atma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.atma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.atma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.atma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.atma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.atma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.atma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.atma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.atma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.atma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Atomic Age font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atomic+Age
  static TextStyle atomicAge({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9f2142938d6ee0e74907390e66d9ea05265c756dc4b93fa8e81a160ca449ab1',
        40672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AtomicAge',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atomic Age font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atomic+Age
  static TextTheme atomicAgeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.atomicAge(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.atomicAge(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.atomicAge(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.atomicAge(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.atomicAge(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.atomicAge(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.atomicAge(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.atomicAge(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.atomicAge(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.atomicAge(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.atomicAge(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.atomicAge(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.atomicAge(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.atomicAge(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.atomicAge(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Aubrey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aubrey
  static TextStyle aubrey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ca62b5d441c31bf4bb2af48b336acbd0c109ead24d4b7dcc734c428d66b7f1a',
        32668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aubrey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aubrey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aubrey
  static TextTheme aubreyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.aubrey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.aubrey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.aubrey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.aubrey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.aubrey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.aubrey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.aubrey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.aubrey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.aubrey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.aubrey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.aubrey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.aubrey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.aubrey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.aubrey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.aubrey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Audiowide font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Audiowide
  static TextStyle audiowide({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e9ec109a765df96029af9e206207a6c0bc739bbd1476dd01f15eb6de459b07b',
        46484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Audiowide',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Audiowide font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Audiowide
  static TextTheme audiowideTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.audiowide(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.audiowide(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.audiowide(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.audiowide(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.audiowide(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.audiowide(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.audiowide(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.audiowide(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.audiowide(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.audiowide(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.audiowide(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.audiowide(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.audiowide(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.audiowide(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.audiowide(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Autour One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Autour+One
  static TextStyle autourOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835e4cf3882094e87b1cc6738455d27c58666e50595b7304fe641bb9d371bddf',
        56644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AutourOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Autour One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Autour+One
  static TextTheme autourOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.autourOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.autourOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.autourOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.autourOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.autourOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.autourOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.autourOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.autourOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.autourOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.autourOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.autourOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.autourOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.autourOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.autourOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.autourOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Average font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average
  static TextStyle average({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22aaa82479b458375c6ae410aa74bb669225d52d9782cb3f301ac70db520b723',
        51556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Average',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Average font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average
  static TextTheme averageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.average(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.average(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.average(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.average(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.average(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.average(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.average(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.average(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.average(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.average(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.average(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.average(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.average(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.average(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.average(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Average Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average+Sans
  static TextStyle averageSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db7e01f028c635aef313afbb32495c914fa586be304b27ef0f93996e1d861d76',
        40392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AverageSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Average Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average+Sans
  static TextTheme averageSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.averageSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averageSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.averageSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averageSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averageSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averageSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averageSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.averageSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averageSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averageSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averageSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averageSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averageSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.averageSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averageSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Gruesa Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Gruesa+Libre
  static TextStyle averiaGruesaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879c55ff64c5c857842f76d67c79f6a96ed3e5a90b4dc3bee62a508b87ce77da',
        110136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaGruesaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Gruesa Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Gruesa+Libre
  static TextTheme averiaGruesaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.averiaGruesaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Libre
  static TextStyle averiaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e7822881be83db88a6a6674b8ef18760d8fb01b44cc07898b1b686204f22c24',
        106720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '478d586176da94e754eda5ef0481c71000c7a82be20445a3f04dbf2ecf276ba5',
        132056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5dbc6d83b9f1a68d3be7cc777ec96e097a2a02ae5ca2a3f18f39e720f6e379b',
        107020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c592b4893f6fa2059fdbf44bf1a29bf18ef204851d4775bf3ec3878283c54d4e',
        127372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41216d0ca8e7db003bdafb5f53bd3425def86c7321217f68da77baf0feac4769',
        110832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20f2ca7436a510cc1acc4be8a1340bb9a981f734e07ae1049d66c576d3112871',
        134260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Libre
  static TextTheme averiaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.averiaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.averiaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averiaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.averiaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averiaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averiaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averiaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.averiaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averiaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Sans Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Sans+Libre
  static TextStyle averiaSansLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f43b980899fbc0ad129c49237f36a2076ad9eb2c44ed5d2a23716fd4f46fb09a',
        106264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '813ba1a2a72ae8743892a407d7e08722e3b6bf741fb4aaff118dbbf899d00d6e',
        132696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c2df70769b1c1296c22f0f3662b1ab6e2ddfd965c362367520152b6b7d8d491',
        106888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '34fe21ecb0fd3fd41b365d43957d002f9a55e235dbf6e498de79f1991fcab2a3',
        127404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd21143e34828cbea15e0e25b4d60a1d5d54497462a6bfc593c81f47f113bb09d',
        111544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '21d1bb981da69b3f53a010c0400d9da53258f3ee566789ced34dd4aa405462e0',
        134372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaSansLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Sans Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Sans+Libre
  static TextTheme averiaSansLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averiaSansLibre(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averiaSansLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averiaSansLibre(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.averiaSansLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averiaSansLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Averia Serif Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Serif+Libre
  static TextStyle averiaSerifLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3a467f0e37820449e1475e6383de9c38241c60381309645688c3ba3557b502a',
        108484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45c314aaa2c85ba19ad5a3f9ac64410a7db1b583780387869df22b1c3e387777',
        134468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4488ef076b0b60a6ed348d12a5ee756214a3cc9e37832056a75f719ea90cb7e',
        108508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c70379414feb6e1da3ea3d5f3d93bcc16459abc62ae2954246a5e9437aadd4e9',
        129480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62f7ac807e87023da6b428ceb6c9fbbf59117d77ae1805975a74e6d904953d0a',
        112472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99c96dec4d9ce146602048e4c0c532937c6b75678d8317e6221f510a78cec9a0',
        136700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaSerifLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Serif Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Serif+Libre
  static TextTheme averiaSerifLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.averiaSerifLibre(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.averiaSerifLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.averiaSerifLibre(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.averiaSerifLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.averiaSerifLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Azeret Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Azeret+Mono
  static TextStyle azeretMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '703cb058181c8c9a8faed6d48220ad23d4397770fbba0a4760d315e2c22b7724',
        36332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f99fecddd4a696f7db112487b00fad0aa5c8860894d2d864ea03935fc3b558b4',
        36372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733b76bff6cf9711b517ba9431606a8d2ef43fc6a080d8475b150dbecac78748',
        36288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3647d524bee76175f8de017adf6e10f22ae7674857732ded452d03aae8439d5c',
        36248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8d9653fb1b27a7745fc5d65b1310542f31eedfcab8c03a67d220bfa412cdcbf',
        36312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e80577804dc8e469429f43c327c2e2364a982770cdd11417b5356d028fb60c5d',
        36188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebd3b12cc26381ba588b99b94fef5cc48ffb53a4234eb25b39518cc24f503efd',
        36100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63e913034e46608fe421501d5dfd0c3f91a107947a5da1edba57dc5933c52ed4',
        36272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84372c6ff8acc2d839e19fcc7210ce979e1de3a1cd11550acce26e81e2957d43',
        36320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7762aa0bca8d8cdb9581e99d3c97ddb2ac627764b5fc400920ac834b40e161e9',
        37464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9fc52b65d36febbfb5d9c56ecdfa1b3021761ab42872376da449d5fb65be4a0d',
        37556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97f843dbcdb41f279c7bc7b10c7d69261cd36143d490e394efd018157c670be2',
        37448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f7a5c44665662f84d44aad5e3fc4ab08e379831ac40809f60bce11389174b6a5',
        37344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '399c7a0992a70569c805e8c78058679fd9ba742b7f24faed1a0d099731f4de18',
        37496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcac0ad14683e2f33ed6e1031aae157483ae5a61d25e32ad3bde264ca61176b9',
        37464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b43ea109af9b1c3126805bbeedc4d91d2ca6ea7d5a396de4f63eb7c5e411129b',
        37236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ef801ccc0941f880378b9472ebc2db66d902fd1d7a48f8503782a4ca3cecb13',
        37412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5535c30e690cd49493353241288b5e2e9f6a0b00abe65cc9f9fca6a216b9041a',
        37468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AzeretMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Azeret Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Azeret+Mono
  static TextTheme azeretMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.azeretMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.azeretMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.azeretMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.azeretMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.azeretMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.azeretMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.azeretMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.azeretMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.azeretMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.azeretMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.azeretMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.azeretMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.azeretMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.azeretMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.azeretMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the B612 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612
  static TextStyle b612({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d0347457a725a93a2de2b562174a4b53958bc94347bce5dadf7c220d4d18742',
        89040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aec7755bb68cd9fe7939fe6a51bb5a19fb8328a23038e03476d09e62c1acc917',
        92724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2585f7be03fe5213564bf53b9cafc085be0080aead7fc2c19224098f7b595309',
        88692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '23dc0ce0dd72a74b7beda1106ffd47f011134d17ef56a5009c64005c7d81c90d',
        91732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'B612',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the B612 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612
  static TextTheme b612TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.b612(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.b612(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.b612(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.b612(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.b612(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.b612(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.b612(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.b612(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.b612(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.b612(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.b612(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.b612(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.b612(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.b612(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.b612(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the B612 Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612+Mono
  static TextStyle b612Mono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '935a9de8c5697c8c22fc2e56c14db9d801f38264e677aa95a9b8c89698f60db7',
        86192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c02e7bb121c758ae4fe699a54db9ef5f1ae2cd310f0d838f307961db5205c15',
        88680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f338ed1e45a339fab8ddcd7d8a593d155a270679757aa775d906b77d0331dd56',
        85168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b405e3bda420eb48b4b1eb6570ee6c69bf93e31fa6089c9d6a6561fbedb662d9',
        87484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'B612Mono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the B612 Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612+Mono
  static TextTheme b612MonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.b612Mono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.b612Mono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.b612Mono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.b612Mono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.b612Mono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.b612Mono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.b612Mono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.b612Mono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.b612Mono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.b612Mono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.b612Mono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.b612Mono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.b612Mono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.b612Mono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.b612Mono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDGothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDGothic
  static TextStyle bizUDGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9619205f7a7fa8848a5c769d39222e5ef654391bc761150d6b9ce5b699776601',
        3462768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37d30d0ec1fcc8e9e9dade0253e11e626d2017fb26f9b94d08d2f22752671859',
        3447448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDGothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDGothic
  static TextTheme bizUDGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDMincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDMincho
  static TextStyle bizUDMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8964a9224be769ca982624964af95ccd6e455dd035a617ab5a76af6f9cf1c89b',
        4846684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDMincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDMincho
  static TextTheme bizUDMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDPGothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPGothic
  static TextStyle bizUDPGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d4ac8161f736263431a9a187dd9078d6d8cc547301e2cf6d7454c360000c1a1',
        3508476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '821defa0d2a3b3d9dd880be887457844f326eb182d32d146a6a71a796253b9cb',
        3492692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDPGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDPGothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPGothic
  static TextTheme bizUDPGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDPGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDPGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDPGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDPGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDPGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDPGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BIZ UDPMincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPMincho
  static TextStyle bizUDPMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26e31c6cbe0bc1198c0474938a8795b99e00c97d9ad2bbb08d4c137fe9ffdef7',
        4919460,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BIZUDPMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BIZ UDPMincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BIZ+UDPMincho
  static TextTheme bizUDPMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bizUDPMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bizUDPMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bizUDPMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bizUDPMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bizUDPMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bizUDPMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Babylonica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Babylonica
  static TextStyle babylonica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75ec9d48dc4312873b400a3a00a1d2ec7c06f917423ecff9d08400ad7197df19',
        333852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Babylonica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Babylonica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Babylonica
  static TextTheme babylonicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.babylonica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.babylonica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.babylonica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.babylonica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.babylonica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.babylonica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.babylonica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.babylonica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.babylonica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.babylonica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.babylonica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.babylonica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.babylonica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.babylonica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.babylonica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bad Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bad+Script
  static TextStyle badScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62d8477f536f5e0939e0a67dae8aab90bcc8d72c5fc36642a8cc668250c761b',
        50028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BadScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bad Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bad+Script
  static TextTheme badScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.badScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.badScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.badScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.badScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.badScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.badScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.badScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.badScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.badScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.badScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.badScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.badScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.badScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.badScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.badScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bahiana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahiana
  static TextStyle bahiana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c5521386859d5ed8cd450a36fc6a896f8c2e9f86f48f4f0635d0423a2f2c1ff',
        46648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bahiana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bahiana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahiana
  static TextTheme bahianaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bahiana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bahiana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bahiana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bahiana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bahiana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bahiana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bahiana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bahiana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bahiana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bahiana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bahiana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bahiana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bahiana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bahiana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bahiana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bahianita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahianita
  static TextStyle bahianita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7346dfe8cd43d5469022e346b0246d41b98dc2298755cb9405aaa417aee8817c',
        92132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bahianita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bahianita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahianita
  static TextTheme bahianitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bahianita(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bahianita(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bahianita(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bahianita(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bahianita(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bahianita(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bahianita(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bahianita(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bahianita(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bahianita(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bahianita(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bahianita(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bahianita(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bahianita(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bahianita(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bai Jamjuree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bai+Jamjuree
  static TextStyle baiJamjuree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45ef472a0bd6f81b528804dc98f3ba4b56e789d55d793ab3b6a88a638646b28c',
        78044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17f2cce743e3276c95ff6383c235328f5e97b8889c4d1e93a2073edcad336f82',
        83600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '134cfc83d825085fb79694e5b4a0791a44d50367d6bfbaa0aff3cd3ea735330e',
        78384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e459a85b71ea5fe1a2a7779a731cb5f137f710ee70d565935001f6fbcee666a',
        83780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '477ceaa5c1f1bbdfc31023cad25ab089ed1689737e4078f64b88141dde2874dc',
        78416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcc54ca860ceb502e5a24cf34c84d1f4ed451c3a60c56206115af44be3998af0',
        83856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d1630b17316408ccb87e59aa817256f20270197833d9fce7dc84f8fdaffe519',
        78428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '254fc13896c665383d6192c9a5cb1efe824a2d28b0511698edb6f2befad1df31',
        83944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c0fd790fb689c4ce76399c8f4edda636d9ecf05aafe376bdb33923444917cdd',
        78412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fbdadddca86a1635e36cc7bce48f51f4fbbd72c5d0c1b8e425ad2322cc14614',
        83776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '949fc9581d9010403dfffcd8e1f13ff58ddf3a32eb5390b060081045fc31059a',
        78104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8709e86b66d84a0be9bcb6b71d5512d832c861ba549b3678f2dca36d699d9e22',
        83360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BaiJamjuree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bai Jamjuree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bai+Jamjuree
  static TextTheme baiJamjureeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.baiJamjuree(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baiJamjuree(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.baiJamjuree(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.baiJamjuree(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.baiJamjuree(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baiJamjuree(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baiJamjuree(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baiJamjuree(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baiJamjuree(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baiJamjuree(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baiJamjuree(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baiJamjuree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bakbak One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bakbak+One
  static TextStyle bakbakOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3330722dc74dbd09aed21bf32ff32064bd34bdc07730b30d71793060af24fe23',
        146444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BakbakOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bakbak One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bakbak+One
  static TextTheme bakbakOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bakbakOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bakbakOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bakbakOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bakbakOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bakbakOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bakbakOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bakbakOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bakbakOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bakbakOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bakbakOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bakbakOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bakbakOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bakbakOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bakbakOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bakbakOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ballet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ballet
  static TextStyle ballet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd70547d4eac1842e06b040bc89ed5700fd023243577fcb88b7d8706acc9c0206',
        74396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ballet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ballet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ballet
  static TextTheme balletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ballet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ballet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ballet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ballet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ballet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ballet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ballet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ballet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ballet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ballet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ballet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ballet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ballet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ballet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ballet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+2
  static TextStyle baloo2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dd9aa2ae3fcfca39b719419895ed061e4b83fad335026b19163713febbf64e7',
        418624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30d0ef827a145ec1b4e759bb351d70e347a09fbceb574764d8bb088cbfc69205',
        418932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b29c9d9297ccbbb6c10ace915f149e7efc4e98d361bf3a57db884bfd9108a5ba',
        418840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6947207f2b071dd6c6c1a9b039a1199f04133b82bec9699e2737ad7829b0cb20',
        418712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e90dda6c0117ce701312a925f3101f38e9a12ab33ec7d5aa216bd848c71d6e1d',
        418320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baloo2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+2
  static TextTheme baloo2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baloo2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.baloo2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baloo2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.baloo2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.baloo2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.baloo2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baloo2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baloo2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baloo2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baloo2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baloo2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baloo2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baloo2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baloo2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baloo2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Bhai 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai+2
  static TextStyle balooBhai2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff7fde285709bc871d31327aaf23d9f5055659dde12800a072b17a6f9a5c46db',
        419788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd35a29fc74b7d4c2ad5ff0fd1e80816767b2905b3b41dec0393ca104fcd569',
        419908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10786af8ac7d690dda33d80e73b2cb9407dbd27853881dfcb13ed20bfc342f81',
        420140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a39e59e1c15ed873a85b0356f796159b0262a588cc6f4ab3d66fbb4f1169910',
        420012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e834836a96128005965195e1bb2d0378db0b9bc807ee9018eeb9db62972567d4',
        419532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhai2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhai 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai+2
  static TextTheme balooBhai2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooBhai2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.balooBhai2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooBhai2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.balooBhai2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooBhai2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.balooBhai2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooBhai2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooBhai2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooBhai2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooBhai2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooBhai2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooBhai2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooBhai2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooBhai2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooBhai2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Bhaijaan 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan+2
  static TextStyle balooBhaijaan2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ae0282bcb031523a8ffbc1382bb5023a8b93a35b453a6db617efa4a43a63dbe',
        174200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0de12c99840870a28b4f32fc8741066fee5638bc651079b854717b920f157bda',
        174444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35855dc31beb3539e000ee6a7a2ff5c43ba35a3b3d292ae5003e1195ed309091',
        174464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8998c845b57831e31b41c66c64d0baba9725acd534947defbc2343d6cb166bc',
        174452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c56937f9461885a0969649c880746fc59936f684e3add10a35e3ea31670b3982',
        174288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaijaan2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaijaan 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan+2
  static TextTheme balooBhaijaan2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooBhaijaan2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooBhaijaan2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooBhaijaan2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooBhaijaan2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooBhaijaan2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooBhaijaan2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooBhaijaan2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Bhaina 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina+2
  static TextStyle balooBhaina2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0832fa87455d3cca29878393351ffbcea86b011e177bc647d7ba3e2b17bcfe8a',
        273820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caafbdfdc0153490136a0233f1a9d7d446c570d3c8ebe6fc32e5edd3efb27d1a',
        274868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6eaead4a981b2103bddc8d32d0d7b24d37ebd4c846d528ff8f05b9c909022032',
        274900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a305e0ee2a4e4f81a89095d283c42a2c97b0f3b63fad5d4e60b15aae0499651',
        274736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa1b7700931356d571db1748306911563caf81b0b443e70f573d35dcf3ec8907',
        273220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaina2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaina 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina+2
  static TextTheme balooBhaina2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooBhaina2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooBhaina2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooBhaina2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooBhaina2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooBhaina2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooBhaina2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooBhaina2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooBhaina2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooBhaina2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooBhaina2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooBhaina2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooBhaina2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Chettan 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan+2
  static TextStyle balooChettan2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63d7edfbecbbd855477e15e57ed40e1275c42a8c993fdea082f9c412d1a6c184',
        191080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70758135fc9506e60b6ef3d26a9e1c470b2ac34a0a10908fa15f0576b12ea19b',
        191676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76ccc4f28e6e8c8caef3181d5de5a11b17133c53d40fe4b38244576d81875f17',
        191668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1561186e908560ba2f923bdaf8d1ead4b19ba0d2a8234fa89de8aa5d088c8d83',
        191576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3861f755bdff31e18353b324332cdf299d14f9c71d280560929a892845f71413',
        191428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooChettan2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Chettan 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan+2
  static TextTheme balooChettan2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.balooChettan2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooChettan2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.balooChettan2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooChettan2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooChettan2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooChettan2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooChettan2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooChettan2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooChettan2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooChettan2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooChettan2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooChettan2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooChettan2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooChettan2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooChettan2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Da 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da+2
  static TextStyle balooDa2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd99b4ce7a4d5db5b79cdf395093c293a7c5778906f23ccbe3a2a18ee11b53d8d',
        269952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6074691258d95ac1cad540ae8e35e9f52ff60310b5e4de13e4f48415ca7e7de5',
        270480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45f01920d69257e7a1810d57f7932acce5cc3e39a259a0c948a6c2813e1bd819',
        270608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6ac905f660abdc3e6e86ffff4c16ab8fe8e12fb39aa2c5c6df2bf7b17cba526',
        270288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f63570af93264ab485b9c5c34ef4caf869c0cd31915a115081314eb3585c1817',
        269412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooDa2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Da 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da+2
  static TextTheme balooDa2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooDa2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.balooDa2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooDa2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.balooDa2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.balooDa2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.balooDa2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooDa2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooDa2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooDa2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooDa2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooDa2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooDa2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooDa2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooDa2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooDa2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Paaji 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji+2
  static TextStyle balooPaaji2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaae37523569f50a6fe4dfa43c43a71723f5cf0e2b87c02a7178ce64a252a501',
        148084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97e048fd66ab39a38ae3ab8ec04b743cb1dcbb6c18942fa871140c189da47d04',
        148324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '553648157df28ad69648bf6c25f25f7f1d8876ce5f77087dcad4d41729236948',
        148316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e559b2bbdb2dbc76089601e43d0c5c19b235125cee4e1979dd8531d2e6219fc8',
        148188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0c3d89e57c9444cd06b330332e54fdd9da085bb3d5347af0e5686122e08f4b2',
        148120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooPaaji2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Paaji 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji+2
  static TextTheme balooPaaji2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooPaaji2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooPaaji2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooPaaji2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooPaaji2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooPaaji2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooPaaji2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooPaaji2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooPaaji2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooPaaji2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooPaaji2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooPaaji2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooPaaji2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Tamma 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma+2
  static TextStyle balooTamma2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee798ec75bd29dfb630f261d0be047f2b5ce534eaa972ca7df3cd5c7102dbca1',
        280440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d43e2b14baa4f6de103fcf6a0cce91e499d339a9f5040c536a7271a7fbf446b',
        281528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea17ef097230c9cc324ee2eb48132c2ca0bfc13c86a46a3bb3742c14eade8f8b',
        281668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08ebf4e63a43e38d23dfea89c2e53dd6463cd8bf5a3e62cfb4ec52adc49676be',
        281592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7563dd47595aedc323115d2edd2d23f00e9488415eb8162e26b7c0ce40c23a3f',
        280984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTamma2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tamma 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma+2
  static TextTheme balooTamma2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooTamma2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooTamma2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooTamma2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooTamma2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooTamma2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooTamma2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooTamma2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooTamma2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooTamma2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooTamma2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooTamma2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooTamma2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooTamma2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooTamma2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooTamma2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Tammudu 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu+2
  static TextStyle balooTammudu2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c965d3fe4a4d20b3a4cd7a2bf39b2f5da28bd7b5ba93db98eba3080bc84a0ab1',
        388492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e33396233747427377d7308f9a79c20f938331752ff55c36b3e5d2f9c1e0acf',
        389948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'adb9d226339277032390cd85f55c800e681dd1be581b84f20fe56ffdce33104a',
        389924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5740e6464a843338e21e025724aecca4f5ece97fbd6c08c754392e1dff97daaa',
        389872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e20bfe440241f8dd1892bd23c001714fc230041a7479186e6c0c9fa5ce90e15d',
        388168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTammudu2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tammudu 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu+2
  static TextTheme balooTammudu2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.balooTammudu2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooTammudu2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.balooTammudu2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooTammudu2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooTammudu2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooTammudu2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooTammudu2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooTammudu2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooTammudu2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooTammudu2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooTammudu2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooTammudu2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooTammudu2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooTammudu2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooTammudu2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baloo Thambi 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi+2
  static TextStyle balooThambi2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b56be718b642e4f4206319ae0983f2de7185f30ae039982964970c268472a03',
        171208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfb4085ce3b5092f75285353b4833756361601368f7a365bc3bbb8408981f615',
        171444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c9f776cdb7bf2546eda5722442ce3e7d4ca75f23c937dd6eb28a15854eb0977',
        171516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '563581af2b9c9bd768c8aec1090427569104c701ed781a1cd784c64b2f57384b',
        171152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '526eb5574ec01d7d252881e0b17f386b8ec15176199b7cd41aa146dd4a8da423',
        171152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooThambi2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Thambi 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi+2
  static TextTheme balooThambi2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balooThambi2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balooThambi2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balooThambi2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balooThambi2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balooThambi2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balooThambi2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balooThambi2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balooThambi2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balooThambi2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balooThambi2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balooThambi2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balooThambi2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balooThambi2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balooThambi2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balooThambi2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Balsamiq Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balsamiq+Sans
  static TextStyle balsamiqSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '335ab432a04191cc3cf74a6a03948c15b190d5483bf9d50b3b400daa48487484',
        303080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5970b503a539284714c51a6fd6089976e0471dd9632d68153b05c944ef186726',
        283784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ad89d2e2fbc24c8bc73c8af4275fe81a95862af760cacd96164de767aad449b',
        275828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1d5c0b734c866a07a45922cf6b393e1d6966172648c37169a21d7362e6de3cd',
        257136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalsamiqSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Balsamiq Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balsamiq+Sans
  static TextTheme balsamiqSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.balsamiqSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balsamiqSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.balsamiqSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balsamiqSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.balsamiqSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balsamiqSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balsamiqSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balsamiqSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balsamiqSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balsamiqSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balsamiqSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balsamiqSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Balthazar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balthazar
  static TextStyle balthazar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cd0347fd14d420937d59e562bbaf7728e58f405b7ab633dc27d3d0df5abc46a',
        26212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Balthazar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Balthazar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balthazar
  static TextTheme balthazarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.balthazar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.balthazar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.balthazar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.balthazar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.balthazar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.balthazar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.balthazar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.balthazar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.balthazar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.balthazar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.balthazar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.balthazar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.balthazar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.balthazar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.balthazar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bangers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bangers
  static TextStyle bangers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '689209f1743b437304e2c5ce9d0581a432da1c476d1212af9a38349af7ea10e6',
        69780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bangers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bangers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bangers
  static TextTheme bangersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bangers(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bangers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bangers(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bangers(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bangers(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bangers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bangers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bangers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bangers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bangers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bangers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bangers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bangers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bangers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bangers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barlow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow
  static TextStyle barlow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bbc16834974bcc4e4f9db973c37e0cf4fc0f6ddac524fe984b7ad06cfd71a72',
        60968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14ce45a1495d15909f8bb25df6cdc1138abe3e164503c344d9f980c2cbece06b',
        65044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0b7f7aa2d67a8c0202bf067a5bd032555506852f3417ca94aadc16700e64e20',
        61172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d2e410b5be890aa411650d1887b2b3cf4ad9f64ce2a75d88084aa9009f1f349',
        65156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '881e00245da07ebe51751aa48d551d8c06322b0b9e3f27d81d4274c414b9c397',
        61108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d31c8922e328b7a504216718a2657373a0b560b6a3695d5c567500fe162813a',
        65384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfd8787b4714f9c02f53da1b24bf172f95c01a9d0c685ad57ed129c3fcdae407',
        61220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd10c46da72515f099bcd89f43f335141ffa754c6022509fbc5c247b139862841',
        65404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72a094cf0a618a5dfdef5e4577be76a733457eae3ab4bebab26cfa72d56d6061',
        61192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0233802dc86c8576f52854ee4c856a709d9a72578aad65b1832bfdc817337f4a',
        65236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73a13e2e61ce8da6ecb02864f6a560ce358ed01067e64872d318d71d51e23979',
        63624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '09d36dbb4ca7e1fba56fa9317aa27b899dbc9ab19eb81e414a332096345164b9',
        66716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5333515554675f6137f66c245fa199a4e917d03178b7605b8f54a87010b5c18',
        63432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '478ee598ade213bd6dffcfeb5063f62ae2bdb7ae5cac8640301396b78ca93785',
        66428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc5d3129f605f97c96b56a641f50a40ed4b595e315131b462391b0b38f4b8638',
        63352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2fe8d712bf086745e5263df81b7800701aa1d50c8d41fb62263acc12d6b94d6',
        66300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '136bfaeda32a19ef87e4fcfa5b9abe08ff61e2d6caf241d1bc0f0c596acf4b55',
        62648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6e8ccc4cc688b301539e9fbc1b245a4e8adac7e27457312667b4cf30eaec1f89',
        65820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barlow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow
  static TextTheme barlowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.barlow(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.barlow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.barlow(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.barlow(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.barlow(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.barlow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barlow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.barlow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barlow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barlow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barlow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barlow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barlow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.barlow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barlow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barlow Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Condensed
  static TextStyle barlowCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dee1e0b2a0e92f8c159c64be477d5ce921ab414875dd2b27fddbd3225145e59',
        59116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d8a3427ca351ad43d44ebf56065be6dff6c6b8ca07e84f23fa6530382bdaf5a',
        64192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '653ee54fee2f8f7bb3767619199f793bb1535213047ec3f9692d9ede7a32b29f',
        59404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58c71ddcda8a2e87b56af7f0330cc38ed1fbcd2ad44e046e5e06fe0bc14fe38c',
        64148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b32c0a732bbc6b8548600c07f0613cbd907fc9e5a612172b769773a0f9a105f3',
        59368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '727434e82ca27aa74575ac071aa22dee19e53ef5fb9989d33afd8da08daea5b3',
        64076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55945685c8354c029c443b9cb6ecede593e2b1d39b06af4252d539c4086153ea',
        59388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ddfaa73e1fa79e3ca93f652e782cd76ef2258c173e9c9ce4b00866846ef99629',
        64216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50f9954bab84f7ccea0afe7cf13823533027b5efd0417a1387141e977b4efbe0',
        59296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c6f759c51923225d37d188e0cfc338654bfea90558ebeb414a0902243db59f6',
        63936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad2be76c190d3802305d220324830b70a75f10048dc13ec3586aabfc2a3fe9e7',
        61748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '818f7627df56558c6af408c51cc3006542b5b3345d95bd68b00165106cdf57cc',
        65044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b49c74d0e2ab43e60c2d626f3d773b479503b5b3ecc93dd53214ccef6fb96d8',
        61656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9dab89ddf5e643d6ddeabbb4cee0529dd18d3765df25598494f0600b8bfd38a',
        64824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '541bda3b787018f37ad1188cb6a3ce1dec84e698b16b5e42f558ba31b684bacb',
        61744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87a22408de0b27c113ae7d6b5e5df3e32d15ba1a3144ad54825b602df6c6edfd',
        64692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8c8ee9c3537ef2e0630589f34fb63c05ca0709941d83c65ca3a9afe765017d0',
        60364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0011fea9ffaffb7d88568511ebfcb6fe446dbafd0b0461289db897e01fa5b5fc',
        63364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BarlowCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Condensed
  static TextTheme barlowCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.barlowCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.barlowCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.barlowCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.barlowCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barlowCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barlowCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barlowCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barlowCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barlowCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barlowCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.barlowCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barlowCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barlow Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Semi+Condensed
  static TextStyle barlowSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89818a86f326cb1fa15b2706043de6f2c999ed16e70e72ba25d3e690ee4c4d33',
        61528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '19ed019b658c781ec627f351b00eeb535ea908d1ede6f2b7c3ac6e50ce19fbcb',
        66004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9d0c8ff49d5e765dce34246ecd4a3156391db071cda5ab2c047509c2408b571',
        61716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80ebfc9722b4b6b42b2285d7e46a7edd903b81c011d9121de8544804246a1119',
        66012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b690571a0704facf69aa1b54078acc0343ced70027a6480413969da16e992a',
        61812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '395b671ebf4a7b7198fb4416508b3fdfd6d288dffdb8b82bffea7a40e4507bf9',
        65936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd6c806ca535d0ce1180ba8c0f0d07d51597be4f148af673c7c3b39e6614d391',
        61888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0763857ec6ff64573e7d61797c40e519f7b76a0e2b739a95dd9738dc75465af5',
        65864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfd63bc5e79e3a04ba6ddbefb2ce1d9f62a955ad41e3119cdb4cbf5eaceb994',
        61784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60ac397706683f7bc0ee75a2f75236b42a87ed2c4d8b3c67b76d5c24520a0926',
        65760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '244e8a9cd7d8a5fe1e0ce2a19d07bce2028c2c92ca8eff380977827b8738b648',
        64216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0aa25b8c8d300f88fecf503e1d1b8cadd69254330d89690084bba4a08c4d0b9f',
        67292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03322f9a9edf8031532ed962b7172f14dba9d318ae0c90a9bb5f718c92c232a1',
        64196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8b0bb8a92f7123de02f2c7cf49621754789843775cb8c318848502b934ab8f4',
        67032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce5e171b6822bb2b7b7f1d017d94791a71443deadc32e49cfb6bb4415edb4db',
        64224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcbde2ed7553bd05e71b64af8d8b87f6e0098879781604da0269c2394817f246',
        67024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8578b062ec4b7e229bef1eab8834e2458b2536bc776306a7ed6327493b587a52',
        63252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'baeb5ff8b88a49d4dd171bdee7541101b805e263699ddcdfd9738c760c44107c',
        66268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BarlowSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Semi+Condensed
  static TextTheme barlowSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barriecito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barriecito
  static TextStyle barriecito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a5f70fd22056cbcd57b1d4921971a147653d249e82c95012bb6546692bc1b35',
        168228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barriecito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barriecito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barriecito
  static TextTheme barriecitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.barriecito(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.barriecito(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.barriecito(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.barriecito(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.barriecito(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.barriecito(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barriecito(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.barriecito(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barriecito(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barriecito(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barriecito(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barriecito(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barriecito(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.barriecito(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barriecito(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Barrio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barrio
  static TextStyle barrio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6e639586ec1a9532c089c61020e3d092aeefbf3c496b2c1104acb3904f5ec2e',
        141000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barrio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barrio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barrio
  static TextTheme barrioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.barrio(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.barrio(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.barrio(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.barrio(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.barrio(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.barrio(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.barrio(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.barrio(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.barrio(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.barrio(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.barrio(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.barrio(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.barrio(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.barrio(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.barrio(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Basic
  static TextStyle basic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3b02abd4d2201f0462807909df410bb7ce384e02bb619853d0397f687ed2777',
        42096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Basic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Basic
  static TextTheme basicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.basic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.basic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.basic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.basic(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.basic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.basic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.basic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.basic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.basic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.basic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.basic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.basic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.basic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.basic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.basic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baskervville font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baskervville
  static TextStyle baskervville({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83ba1043f0c567dc37866c0e8c7b2895e54aed1fa3d88774d4b3d466fcaf66a3',
        51596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87ff6b605b4a5621a1b22ed0f4792023269d6af51e16ce5dd68726296603cc58',
        53684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baskervville',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baskervville font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baskervville
  static TextTheme baskervvilleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baskervville(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.baskervville(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baskervville(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.baskervville(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.baskervville(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.baskervville(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baskervville(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baskervville(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baskervville(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baskervville(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baskervville(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baskervville(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baskervville(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baskervville(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baskervville(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Battambang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Battambang
  static TextStyle battambang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dfb3df55c4d870b04583a168df47ae7877c0ea2f9c336d21066033c88bed45d',
        59292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ca7aeb911833408ae168a627d3083c87bdc38868b0b8ba1320696006e40f59b',
        58724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e05fe4fcc6f87bf09c6db7eda1420c9d92af3e9f0e6f09e0364dfd2ac00b77ae',
        63732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a0d66e43fea8fb305efcd3afec4f9f08664026126669b5ac3dade4439653f66',
        62124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '404868ce8f69e04f2fb5cc302059c4910d9e4bf2576f1c41c450a54c92d46ff2',
        59948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Battambang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Battambang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Battambang
  static TextTheme battambangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.battambang(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.battambang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.battambang(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.battambang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.battambang(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.battambang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.battambang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.battambang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.battambang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.battambang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.battambang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.battambang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.battambang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.battambang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.battambang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Baumans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baumans
  static TextStyle baumans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1de2ab6656da7508c9eff19007f47390e9eb2f1472851910525141f81fb42aad',
        16352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baumans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baumans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baumans
  static TextTheme baumansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.baumans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.baumans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.baumans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.baumans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.baumans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.baumans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.baumans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.baumans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.baumans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.baumans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.baumans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.baumans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.baumans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.baumans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.baumans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bayon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bayon
  static TextStyle bayon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f7455ccf43a80750000f199a2206c47cf20d70033b42e1618fe81bd3e2cb19f',
        31820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bayon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bayon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bayon
  static TextTheme bayonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bayon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bayon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bayon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bayon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bayon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bayon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bayon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bayon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bayon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bayon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bayon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bayon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bayon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bayon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bayon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Be Vietnam Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam+Pro
  static TextStyle beVietnamPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '031b377b332f95da1996500fb97fca5a8cd5f95522e852083d196c0bcefca6b2',
        72348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '623f374adea67c8f650c9c6e5d90b30602e7e5eccfb92bdbd59f607381e3d685',
        73916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6d33c91e88361e46ef97084811ce5943e715f130e6c5eb655c509cb61e56cd6',
        72252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'beca4da968f8fd5d2ff57f072c08b3ef5b719a6177c0cdaf5af411352ccac3ee',
        74416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '640424e70dcdaa495bf299facdf0bd803ea0492bd99642ff227a3f7a57b8ebdd',
        72484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c5a100db64d132fccebb61d4bd41cdbe878baba40f6d4969a091b3e9c5835fab',
        74252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bec39a3895ccc7eec7131ac011754fa70315afed0061ec49d08dd587215174b',
        72288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efcd7cebb01e08925565bf7304c7721c3846ab9ad36fe89f9dc79c49cdd4379a',
        74040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb68c949987e445999e4f0474fb0224289c6bc8fb00e56d7d9dfcc3006114598',
        72424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '377d647aa2a9f0f0220ca01557c18d98375005eb4e971aef8bee1a048bf2c90c',
        73976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2966316c8748b3e3167941ae9b48ee38c4af7e5c110202875d7cc0567a0169e9',
        72268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f243bdb9ef0545663215bfdfa72ddc42fa004725b443b4670fb52adb61480284',
        73448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6b7608799789c3f8e5c896afc5f11d07402482092f341a4224e4d362f58b68',
        72172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a18cf3c2a37908a0d2bfbfd37376f4029e5709763df1e4df858ec281407afe8c',
        73308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77e480c26df369171a0dcddf6eef76082774637010ae0bacefbae59159e34224',
        71864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ffebfacff73e9d3225844e5efde238061ea50ac72c7eed5536f0334c1efae2b',
        73248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '632cec316b2bd7f440c0c647b9d1e95ef6e55338d4cc8c1979d642f0178ce981',
        70768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd41536742311aacb3cada2492ea78f67ff700057c9af14f8fcb2cb05b45c37e',
        72052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BeVietnamPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Be Vietnam Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam+Pro
  static TextTheme beVietnamProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.beVietnamPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.beVietnamPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.beVietnamPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.beVietnamPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.beVietnamPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.beVietnamPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.beVietnamPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.beVietnamPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.beVietnamPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.beVietnamPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.beVietnamPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.beVietnamPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Beau Rivage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beau+Rivage
  static TextStyle beauRivage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddd83eb0bdacceb749d27c2e8b767cc38b522153db450931f1ca8b682c8b423e',
        110720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BeauRivage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Beau Rivage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beau+Rivage
  static TextTheme beauRivageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.beauRivage(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.beauRivage(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.beauRivage(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.beauRivage(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.beauRivage(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.beauRivage(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.beauRivage(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.beauRivage(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.beauRivage(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.beauRivage(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.beauRivage(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.beauRivage(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.beauRivage(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.beauRivage(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.beauRivage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bebas Neue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bebas+Neue
  static TextStyle bebasNeue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5499c3bed4e43463a663689f06f5026ea12c96997495b857ca0d3ea94d69978',
        38180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BebasNeue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bebas Neue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bebas+Neue
  static TextTheme bebasNeueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bebasNeue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bebasNeue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bebasNeue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bebasNeue(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bebasNeue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bebasNeue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bebasNeue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bebasNeue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bebasNeue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bebasNeue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bebasNeue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bebasNeue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bebasNeue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bebasNeue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bebasNeue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Belgrano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belgrano
  static TextStyle belgrano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '041815a440e3d2b468ffa830185903956b5925796cfa68c5b61fa3c3b3f0f2cb',
        26620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Belgrano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Belgrano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belgrano
  static TextTheme belgranoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.belgrano(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.belgrano(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.belgrano(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.belgrano(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.belgrano(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.belgrano(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.belgrano(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.belgrano(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.belgrano(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.belgrano(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.belgrano(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.belgrano(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.belgrano(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.belgrano(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.belgrano(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bellefair font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellefair
  static TextStyle bellefair({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60d4678f2a36e34ae045ea7aead21892c2ec638cc5a5177d5323befdbd8ee4d4',
        43872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bellefair',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellefair font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellefair
  static TextTheme bellefairTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bellefair(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bellefair(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bellefair(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bellefair(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bellefair(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bellefair(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bellefair(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bellefair(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bellefair(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bellefair(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bellefair(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bellefair(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bellefair(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bellefair(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bellefair(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Belleza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belleza
  static TextStyle belleza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b519014842ccfe63ad433f59de94c84cf99651595304625bf9db4d4f8a435a',
        36584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Belleza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Belleza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belleza
  static TextTheme bellezaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.belleza(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.belleza(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.belleza(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.belleza(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.belleza(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.belleza(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.belleza(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.belleza(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.belleza(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.belleza(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.belleza(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.belleza(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.belleza(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.belleza(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.belleza(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bellota font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota
  static TextStyle bellota({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f7a6cbf9af154f216b945d1ec258fb7eb1bdf1e00d778f0099bb1ea6786c2e0',
        87240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5c833f7fcb9a2cba29e00cdbdafd29119591093254b59a86c799af6abb966a8',
        90100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f824b2ca133fa906c1450368789a3588ec9bab058ccbe4f76c8448a7d12e3236',
        86912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac652d8c98a501302c1872a404e8f7f1d793005ccd41994a7c3e5b68facb7c85',
        89752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94282dcf76c3c3db14eeed279164c722a17043095768956c2b08d13b159ddfb8',
        87136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5f4ade05bfb3150be2cb3791738df00ce698dbf6c883cd2a2a67998081b5c8ec',
        89968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bellota',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellota font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota
  static TextTheme bellotaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bellota(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bellota(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bellota(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bellota(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bellota(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bellota(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bellota(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bellota(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bellota(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bellota(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bellota(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bellota(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bellota(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bellota(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bellota(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bellota Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota+Text
  static TextStyle bellotaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf0bcc318432914f99a92516b9d725b4f5e70989691d03a39085e2d22ea96e48',
        85396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05792399873861d4fbb6f373bc828d3397e36270ba0a5aca9761cdc899dca643',
        88396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe2110fd2761c598f3f839b1903718ab5fd09f216235b2c871c6c22590718b87',
        85276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db1408f9b3af622c28fcef93569e5988a6aea9d082b1fa2827ac36d0c9f6f632',
        88112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138b64db8901a807f366e04b3196f9609cc49ec57c2ea5d78100c876aac7ce08',
        85352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3303b1143952ec355dfcd4cd8ea1ab92c3176ededf3dec3bdc05b21bf121d589',
        88192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BellotaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellota Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota+Text
  static TextTheme bellotaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bellotaText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bellotaText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bellotaText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bellotaText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bellotaText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bellotaText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bellotaText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bellotaText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bellotaText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bellotaText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bellotaText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bellotaText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bellotaText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bellotaText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bellotaText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BenchNine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BenchNine
  static TextStyle benchNine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbf92d32cea16a7289556b36b99b6cc8b19b1b64e32604ee79b563e8eb17791a',
        36144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbad55cfa6a05a2521130d836d2b0f7f4009bbe0ec3c41feb99f246fce39ed47',
        36912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb209270d0bd7f1f9655cacccb53fc569a44b807f89c4a4d6db282d8a70e5969',
        36888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BenchNine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BenchNine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BenchNine
  static TextTheme benchNineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.benchNine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.benchNine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.benchNine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.benchNine(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.benchNine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.benchNine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.benchNine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.benchNine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.benchNine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.benchNine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.benchNine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.benchNine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.benchNine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.benchNine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.benchNine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Benne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Benne
  static TextStyle benne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65574b4e0c539d996fd10054ca151357f17e7351b0a255ac2c2daad620577842',
        208536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Benne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Benne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Benne
  static TextTheme benneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.benne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.benne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.benne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.benne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.benne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.benne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.benne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.benne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.benne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.benne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.benne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.benne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.benne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.benne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.benne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bentham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bentham
  static TextStyle bentham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b68a3b96cd2207a360ccce762bd77b9494035ddd3643b1bb3b260aea85063ff5',
        25772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bentham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bentham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bentham
  static TextTheme benthamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bentham(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bentham(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bentham(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bentham(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bentham(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bentham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bentham(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bentham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bentham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bentham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bentham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bentham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bentham(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bentham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bentham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Berkshire Swash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Berkshire+Swash
  static TextStyle berkshireSwash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aa7634aa39372daa01225389c598308ac180e48f1802577efe622cbaa48e458',
        51832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BerkshireSwash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Berkshire Swash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Berkshire+Swash
  static TextTheme berkshireSwashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.berkshireSwash(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.berkshireSwash(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.berkshireSwash(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.berkshireSwash(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.berkshireSwash(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.berkshireSwash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.berkshireSwash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.berkshireSwash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.berkshireSwash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.berkshireSwash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.berkshireSwash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.berkshireSwash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.berkshireSwash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.berkshireSwash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.berkshireSwash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Besley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Besley
  static TextStyle besley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91b52a139568fe3541a9bf7d8059432d8506c641b1c964376c3e7f4fe217e4cb',
        55960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc043eec2fe3e349ba5508d11db7858e9875fd10b90a6e2dec36c6f9531ac5a1',
        56036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83af457228c5f57dc6a6abb11ad7017d3cd3ce61e9579dbd9906c36f30b9d553',
        56044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea6b38755ab547caff11028be74f6cf4b8df1755086880c7098c259f2b0ab433',
        55988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8269ec25504ca667a8df318fe2f59aaae01dfb141910e6cef564b7ddd606818',
        56048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d7f560dbe26880331fd41582419d79c739bfafbcb3b46ad565bc4a3eea906f8',
        56008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03fdbc24dae13add795886390fc2054e79a13a15f958efd5aa45e9f2b19ce720',
        56532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9cc5f2e5a94828f75749c9a44fa9aa4935aedb0c0ce767db68917aa6207eb3a',
        56728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db3b35925be8d8c1a6e8e7b6906a1fdfc3038399e96a121dc997e0efd183d29e',
        56764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa060b49250e1149269a2c13de406a87b0e7c830bccadad4b2fd59ffc68175e4',
        56684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1edd504b3dd3e70617d2d6972bd03659872feeca996229b25263d84ea99d3650',
        56784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b499c10f801038b83d9dd6ffbf9f82b8f67c2f937bf818e639380d8e3cfc3ce5',
        56728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Besley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Besley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Besley
  static TextTheme besleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.besley(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.besley(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.besley(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.besley(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.besley(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.besley(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.besley(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.besley(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.besley(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.besley(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.besley(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.besley(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.besley(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.besley(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.besley(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Beth Ellen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beth+Ellen
  static TextStyle bethEllen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7fc599d346e76d81bc166bc148f072f40705635a6e2ce02731f1e5646da55d9',
        115600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BethEllen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Beth Ellen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beth+Ellen
  static TextTheme bethEllenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bethEllen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bethEllen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bethEllen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bethEllen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bethEllen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bethEllen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bethEllen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bethEllen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bethEllen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bethEllen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bethEllen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bethEllen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bethEllen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bethEllen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bethEllen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bevan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bevan
  static TextStyle bevan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aba5d9d2efd1ef26c925e88adcb1fa2ccc1dd8777c4f2ae4dd63db06b222aeb0',
        69996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd46344f30e511e194fa8ae32aa1b8c9fd205ca76dcacbc92a3f089e4e6d00a2d',
        71192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bevan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bevan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bevan
  static TextTheme bevanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bevan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bevan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bevan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bevan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bevan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bevan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bevan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bevan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bevan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bevan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bevan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bevan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bevan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bevan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bevan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BhuTuka Expanded One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BhuTuka+Expanded+One
  static TextStyle bhuTukaExpandedOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '477762dd13466bb3fa88661e2b031ad6b56844bd78311b7e412eee1ff413f850',
        63844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BhuTukaExpandedOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BhuTuka Expanded One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BhuTuka+Expanded+One
  static TextTheme bhuTukaExpandedOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bhuTukaExpandedOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Display
  static TextStyle bigShouldersDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfb2fc516fde67daed51f82033a3153abb0aaaf6c9be11632298e026cc812f2f',
        67936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efbc4b1c8490e82776930c4da3ed291e63f4b9931d531d2e806fb7d51609a0de',
        68296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94365c84bc2fb2737240ae4155724b2e634c5f9a3bba4d0ac6c7b2b32a452ee6',
        68340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb8fbb5f24df49eb9fab849737ba62ceccbdb291b64872c364e1298dc8f05204',
        68452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6911f7dc09c9aead0043554727517c3e21291227b112acc050933e38cee303da',
        68568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '755c04dfd77578e712f084af0633773cd6a9e5e1e428bb9d9fc90f3e0b67b206',
        68548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b96b8356cbac58a2dd9ff93e3a0920161db0d6130a3712b479cd3f37e45aaa46',
        68428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dac110213c3ee7b9cc44522f3bddfedba267795a3f903efa96533efdef58413c',
        68604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4757e2483ceafc6cc30d1b28ab91010fc8c2159c6f65e66a3c0c178c5722ba23',
        68696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Display
  static TextTheme bigShouldersDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Inline Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Display
  static TextStyle bigShouldersInlineDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8fd549023f10f6d908931b20ea348bcd7c07d07b9225535512cf3af13809e85',
        117212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54712baf88a393f906c6c2f355e76b6a994ae0c0d0cab0b83a621fddd517e99c',
        117564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed87af42de6586a7f4013beeb6fd3b984b7560f6e76863d079493e2669c264d5',
        117560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2160da230f2584c9c59bf8d83f6fbd6b5c74e001e3cf8246b5edb2909d26bdc',
        118084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb12c1d46ab422a24d628e0ba582c6144416164c1ce854d45087af555261d7d8',
        118492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '821e3447dc21d06c1aad2ea20cbe3a11a4f4377ef6facd8849e0a489288e5897',
        118868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9373aa37b01bc3750a7d26e6bc050431c437e7bff44091931cae53925bb2a8f0',
        119508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6366c5b153ba3981be9f08a1b2debfa0f21152c6f58954a9a40bdfb42de3259',
        120300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7aa7787857d93a45267d046b30ace11c7dda7a6ddef3907057f78e05a3e8f332',
        120340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersInlineDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Inline Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Display
  static TextTheme bigShouldersInlineDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigShouldersInlineDisplay(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Inline Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Text
  static TextStyle bigShouldersInlineText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20186c0e1a866431e195c644f295802c319f61c972b6b01bce9ff0a7c8f068a3',
        117628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c09421070c7abeb862c6b859fad73b6532dee6899fc3cc3fcbddcbab7f52c072',
        117984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f15a4ad800a6cb78dd0f6422013ab7bf860f9ed4edebf05dce46e5aa549c3e5f',
        118380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dbbe07979d6a39e132ae60febaa414d95b991df2f868c20cbc0040ee0a6d3f5',
        119152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd6d0aee60e0b685ce57b862e00bd0f6e7f210ffb15d9d74982feaae311a8012',
        119408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb815508f41757353d0a17a6298a7a05d73c12367a573cbf05c0b1bd936a9004',
        119736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1916bd036dd598c9f85d5a97afa0a9df8caa8a6054c2d27f148f2c88e80b93d1',
        120172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa7d9587056653a1f96fd530848062c3624a33f63d27f900e54a8e0cbff431d2',
        120908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ca4edd7075be5ae5e6dbef58ce6127ee00760e277c078e6635bd6c92262739a',
        120660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersInlineText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Inline Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Text
  static TextTheme bigShouldersInlineTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersInlineText(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Stencil Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Display
  static TextStyle bigShouldersStencilDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8af015b9f05c7daf164666b1b152cf0867ad47a34f3d37586e1058ec5921a869',
        69944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93b2bc48404b8e5426e32de87eeaca9f09ce976153faa127273118a961b6ae22',
        70508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e4fd725a24e7658e9de5ebba178d2ab41f7a0b5a97cb76eb553dcca5f07e048',
        70660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d7da5f7add0cbd6e5df40a63ea66b4c2a2f835c733a28e8cfe0380a67cbbf06',
        70752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '332bfb4b982434e26deb88990a4168e314454b227ec4805bd9e2dfe86137d8bf',
        70852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0ef457513116277260cef61e91c20a0e1a005d93def72dad4b84a9212913740',
        70876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4116eaf9e377a1819597656afd6b23cc9caf02e937a76648301b1a96db5a7d81',
        70804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '717bfa94d0af9a0b7b000947551dac1b62cfe34df2031e6af4231109860376f6',
        70988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4156fffcf0d1b10afd319332799a06f9a636735f7f41425a2ed5b0c865f03ba4',
        71172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersStencilDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Stencil Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Display
  static TextTheme bigShouldersStencilDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Stencil Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Text
  static TextStyle bigShouldersStencilText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b631899112865156a9b850eba8be53d651902a064ed45eb0f053abd3c3cfdf24',
        70580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c04d9787b537c02d584cea66e6e2d25f570c7ca384d0e893c8ff28bd369fbcbb',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0646441107fc7c18cae5ce7129daec4338eaac36271643bd8d762ae605cb1ec4',
        70916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e51a0660b24e8fa5460e8484c6e6911228438e4e45596c2f48628991548bede',
        70872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b8df13ea15316d46ec7ef0b5caa72fcc6aa6a971c6e37faaa6916910cc044b3',
        70964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7690661ba8eff43a29f57f8e0347c34c27af3aaf1d939665b4070473fa0ec3fe',
        70976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfad169530bd9f47d32015551718e2564c6d6b50d05170ed829639cc44c3eb85',
        70920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3eaa06537b72f0f6521d3a9ca886cd0b9aa0507b5f68e5d627a8621a81a51f09',
        71216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc3a94a55262fcbece5a372547fc60f5e30f1b0599d98cfb6663698aef53a464',
        71016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersStencilText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Stencil Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Text
  static TextTheme bigShouldersStencilTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigShouldersStencilText(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Big Shoulders Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Text
  static TextStyle bigShouldersText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e03ec7a9c4554efee02b9144b002229546d09a9167162886c52fb2487d7fd12',
        68232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5d73e77f46697ce3be30b1f3a8f3ea6e30e07d9568fb96c46eb8d276dab93c6',
        68552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf60253aa112baa99a46b5d925cb38a5e57b2bd01e5c276504c4b66438d54509',
        68608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e5185f1df6ed69c83745a3eb93dd787c04b7cb2d7053ec6bf5627a513bf1de6',
        68648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '442240d0ea918ecfd066e7d8a7a8f0c3aec4802bbbd21bbc8dbc2fd85b55796d',
        68648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca53b9c2d36a2fc2c1485abfa8f29c9e1c6e271119c7045b61d9bce69f55b560',
        68656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d5dd9aaab6ab09d6aa9d9ecab4fe25195f0558e5604346359e6afe51c72ed70',
        68492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9df76babac3312c048e0386d35508e5edf5561cf9238f8ca8c0887d54e0564c',
        68788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f870a447c611a057d8abab21f63a00945f79b5945a8e089f51641dfbc5ceb92e',
        68552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Text
  static TextTheme bigShouldersTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bigShouldersText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bigShouldersText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bigShouldersText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bigShouldersText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigShouldersText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigShouldersText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigShouldersText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigShouldersText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigShouldersText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigShouldersText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bigShouldersText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigShouldersText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bigelow Rules font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigelow+Rules
  static TextStyle bigelowRules({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efbeb0c4e0e9e760c7987d0aa8270448e9f24652c2f7d3a1d0952dbfb5a37cf1',
        56636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigelowRules',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bigelow Rules font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigelow+Rules
  static TextTheme bigelowRulesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigelowRules(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bigelowRules(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigelowRules(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bigelowRules(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigelowRules(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bigelowRules(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigelowRules(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigelowRules(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigelowRules(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigelowRules(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigelowRules(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigelowRules(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigelowRules(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigelowRules(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigelowRules(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bigshot One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigshot+One
  static TextStyle bigshotOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f081174a9d1b0590b7b76774254bfe66401bff9a429270827357701c6d5dc735',
        34916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigshotOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bigshot One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigshot+One
  static TextTheme bigshotOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bigshotOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bigshotOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bigshotOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bigshotOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bigshotOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bigshotOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bigshotOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bigshotOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bigshotOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bigshotOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bigshotOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bigshotOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bigshotOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bigshotOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bigshotOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bilbo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo
  static TextStyle bilbo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0174301b7104430b8e205fe4a1d0a4b2986563fccb28c8f9720ffd796e1504b7',
        61336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bilbo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bilbo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo
  static TextTheme bilboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bilbo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bilbo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bilbo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bilbo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bilbo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bilbo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bilbo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bilbo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bilbo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bilbo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bilbo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bilbo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bilbo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bilbo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bilbo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bilbo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo+Swash+Caps
  static TextStyle bilboSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '827a279b346b5d528b5720ab1c184e7234eb24ae26c68624704db247f3c2ad05',
        56284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BilboSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bilbo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo+Swash+Caps
  static TextTheme bilboSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bilboSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bilboSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bilboSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bilboSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bilboSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bilboSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bilboSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BioRhyme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme
  static TextStyle bioRhyme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e1d22f6c2b8fd3f4030e8cd1d3d6c0d20ef77bef1783c572e85df017cfa95d6',
        52400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ba145799e5d9355743edd28edb631c3529417c409a22c057076c719ba5eebb',
        54012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac9cec6779aa06a1dd58d81b1cbb3fd36964db6d5aa9910338c1dbb80e0ddb8f',
        53532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ba09a328383d8719ba6fb290081759ed43283ac6b344c67828a561579c96a76',
        53420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5217cd95a2137f0a25a00eccfe99dd21f5749ae15c78075ba64b1ea2a36b1f45',
        51668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BioRhyme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BioRhyme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme
  static TextTheme bioRhymeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bioRhyme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bioRhyme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bioRhyme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bioRhyme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bioRhyme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bioRhyme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bioRhyme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bioRhyme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bioRhyme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bioRhyme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bioRhyme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bioRhyme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bioRhyme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bioRhyme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bioRhyme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the BioRhyme Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme+Expanded
  static TextStyle bioRhymeExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '881a92128652817d4d4d82e1ab0118b68f229f6d5d846be2dcde00387180b327',
        52336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e1a724ab0bcca5fdcdcff044cf548f96346cf5e968db03cff3afdc332b2bf7',
        54192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26f20b17b099ab193d86802d065e2447d8a0a6625f6db52af3b79c160ae5962c',
        53724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ed9fa721120ce4e679f0824b6ecfc042e4eead68b1a4fb78ab3a807e361d5ce',
        53704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da158566950535c86f49930e7faaca68722adaf0f67c7f20048c76f45f004484',
        53064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BioRhymeExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BioRhyme Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme+Expanded
  static TextTheme bioRhymeExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.bioRhymeExpanded(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Birthstone font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone
  static TextStyle birthstone({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3d248062a495d35e1234712de6d4e67724c5ebe2436f5597a457129950a850c',
        97112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Birthstone',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Birthstone font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone
  static TextTheme birthstoneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.birthstone(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.birthstone(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.birthstone(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.birthstone(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.birthstone(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.birthstone(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.birthstone(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.birthstone(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.birthstone(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.birthstone(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.birthstone(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.birthstone(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.birthstone(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.birthstone(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.birthstone(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Birthstone Bounce font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone+Bounce
  static TextStyle birthstoneBounce({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db4a20734f94b167a8b7b97639a8c07289d1f25c41afec846ea4d0fa0863fcf0',
        131944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87c3ba7dc30ec3cc8a7538a0a49d8a2b382dadbee3bd9b366843510f7a6f6357',
        129296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BirthstoneBounce',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Birthstone Bounce font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone+Bounce
  static TextTheme birthstoneBounceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.birthstoneBounce(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.birthstoneBounce(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.birthstoneBounce(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.birthstoneBounce(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.birthstoneBounce(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Biryani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Biryani
  static TextStyle biryani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e7dcec71c8253473d19a2c3d1de421262308136b9214f475718d265bd9ffc1a',
        116780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e57ece68a386e84e678522598d31f5a19d88072f68a6692998097cbea121afbb',
        117180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c55ac2d7c724034dc3579a4eeeb05d782e0eefe97cf34cdb97290ed1f10e4b6b',
        116488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37d035dd717b7dbd22491fbbda7503213a8e1ccc2133a8acdda1606fa97a58fe',
        116460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f245fc809af34283afedd64b5598a9cd97ef9ca446c6cdd76794d738c67a23da',
        116280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '540e82650fb8d83eaeaf29f6c5130af4191caefbdac343eb7961a3410d4143b9',
        116244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bf8aab125d9bb490cb552060c2a7cae508ba90769a9071e34c1f4396319ec0e',
        115348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Biryani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Biryani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Biryani
  static TextTheme biryaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.biryani(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.biryani(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.biryani(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.biryani(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.biryani(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.biryani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.biryani(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.biryani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.biryani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.biryani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.biryani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.biryani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.biryani(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.biryani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.biryani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bitter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bitter
  static TextStyle bitter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bc91953c8ec4193159c0e3a2c39cb1c44ca62e25888c6bc07c01167cf92c4e7',
        141592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '995ac35be4ea4e8524ea8358b56eb3be5944f06b950b0d860770035bea0871e5',
        142900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcb289785ee3b5a7e45c14edb9d26654a6f183c59ed9b9eb81a029e274414425',
        142968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1b972c3f8af893acd21ca0122cb78920ba4a26d9bbc845f6b7a2319c1cbd8f7',
        143048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b333bb450612489ca1b975fcf8a9d0227e2a0cd2411d3674bbe10461bc7addb4',
        143176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf514f58d1e2a4def6db25575e39a4e5ef00c41dd74ef2c39905fde47d03914d',
        143224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '596a00045ea229d9c66cb558f525ba23ec9cc47768e07d2ca7a0e1b07799d16d',
        143148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c59e65546beba80602974c6d8afe252ff3c2c56d4e08f2bb75af9a499cd95506',
        143320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '952008d1bad4a896e4f14a09e26beec388778b1291760a752a2e1c3fbdf77444',
        142940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '59d02a53284605bd6557ab8c998b4d902e9abaf63e8e90f92b172987ce028405',
        139172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66115c793b2825bdfe72992c7deee55d50fc06005f608e2b65fa7ff235d916e5',
        139992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b99eeba0b887e19a000b397d97c0a3f7d4d2401f4436467aa0af0b0d20ac167',
        139992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03d06376318171cfd4d555fc808feb6269e817d6aecfd0a7a591392b275a117d',
        140012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2a23f9ea3c8278dbe81320bb22babf2374faa56c2c72cb891da79c136c8cb27',
        140112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c7bafea4ecdcb8b4e75925423e0a85967ac13ddc315a11f467b80496739d4f4',
        140028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02102264ccf24e4f1b8ced1f36582ecf39f839e754e93c5a39ae572f1a97f56c',
        139932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f0f6ff678a8889e57f27a4f0242fbeb57359b9b3377e5c4fcc6ce05f377245f4',
        140080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd0c5b3a3070b9f11a0e9810eb59e60725e80d3ead314375457d691684d46f782',
        139904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bitter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bitter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bitter
  static TextTheme bitterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bitter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bitter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bitter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bitter(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bitter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bitter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bitter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bitter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bitter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bitter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bitter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bitter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bitter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bitter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bitter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Black And White Picture font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+And+White+Picture
  static TextStyle blackAndWhitePicture({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd07457649aa55560e0447e1a1e68f9fdb4fb18e354e8d59e114de7822c9095be',
        9586668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackAndWhitePicture',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black And White Picture font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+And+White+Picture
  static TextTheme blackAndWhitePictureTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Black Han Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Han+Sans
  static TextStyle blackHanSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcf48b16536fac5d24f2f07525984fadf5906f9488c7228f6af3d9b75cb9401',
        382948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackHanSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black Han Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Han+Sans
  static TextTheme blackHanSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blackHanSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blackHanSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blackHanSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blackHanSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blackHanSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blackHanSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blackHanSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blackHanSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blackHanSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blackHanSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blackHanSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blackHanSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blackHanSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blackHanSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blackHanSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Black Ops One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Ops+One
  static TextStyle blackOpsOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd97a30390c4621a6185451bc74c97956f7fc43a0f1dea09251d8ade7d5304640',
        131076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackOpsOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black Ops One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Ops+One
  static TextTheme blackOpsOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blackOpsOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blackOpsOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blackOpsOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blackOpsOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blackOpsOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blackOpsOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blackOpsOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blackOpsOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blackOpsOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blackOpsOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blackOpsOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blackOpsOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blaka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka
  static TextStyle blaka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a36c4eb880eedc1ebf2d76c7ffa5d65b4629e2d5495a15903ba96ce22ea8bdb5',
        41012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Blaka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blaka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka
  static TextTheme blakaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blaka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.blaka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blaka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.blaka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.blaka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.blaka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blaka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blaka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blaka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blaka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blaka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blaka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blaka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blaka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blaka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blaka Hollow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Hollow
  static TextStyle blakaHollow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af4e2c88d773cd58d5dccbf26ee8ac54866340c718e7c6cb22b80ee8d7497291',
        52428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlakaHollow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blaka Hollow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Hollow
  static TextTheme blakaHollowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blakaHollow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.blakaHollow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blakaHollow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.blakaHollow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.blakaHollow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.blakaHollow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blakaHollow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blakaHollow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blakaHollow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blakaHollow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blakaHollow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blakaHollow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blakaHollow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blakaHollow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blakaHollow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blaka Ink font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Ink
  static TextStyle blakaInk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4580fc56364b677b0b344662878014e319da2890f12fee5ca1e1167d35f20d9a',
        358136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlakaInk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blaka Ink font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blaka+Ink
  static TextTheme blakaInkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blakaInk(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.blakaInk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blakaInk(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.blakaInk(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.blakaInk(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.blakaInk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blakaInk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blakaInk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blakaInk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blakaInk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blakaInk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blakaInk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blakaInk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blakaInk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blakaInk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Blinker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blinker
  static TextStyle blinker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51b809278a949f05dafcc101824deeab10c80e0221d1734f654a51d0bf796fbc',
        48360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61a63131a99d2435ed7299527f3885301138703e44a7cfbb6dffba6c9ceb01df',
        49784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6723b02106db85856f4bb2ba1eebc1ae56f1dabe226edc46309904991f7da479',
        49632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a5d55082962f20a84279ed71094bc130144f2ac5b3079ada3baa1d1af1c1ba7',
        48848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384f2be475e8c439c77d203a5f3140cc1d375b5ad598b8bb329f61b4b034661b',
        54592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '425f71e0903f9bc13229300987926eed3c8fee62bbf604257da452af7e4ec780',
        50068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92853879e3b9211cb569cb80cf217a294e2206fc11b9117b6b8b06298d7889af',
        54240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8633fde2851097965b5c3c95cb937ecbf2f8104a73887b7194ef35d52cb8f4a5',
        53496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Blinker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blinker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blinker
  static TextTheme blinkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.blinker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.blinker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.blinker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.blinker(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.blinker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.blinker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.blinker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.blinker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.blinker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.blinker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.blinker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.blinker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.blinker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.blinker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.blinker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bodoni Moda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bodoni+Moda
  static TextStyle bodoniModa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '098701b69ccb7fc4fe5758f3fcf8ac617d2b0ae0a29f29b37f63fb1da444a2a3',
        40240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec14cbeadae73f3a2e2e0adf2fb50c01ba078b5e044077031bf710ff6f419c11',
        40316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39cd864b8060d18fa5b7b23d1dc6dd4edcac22005539f5850860d9f4368ca1a6',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '587d48646690c8057370219600939d09b6acf90ab8a8f0bdd7f826664a7dd42a',
        40332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '968a87817e3ed0d2e09269a3b93827881f7e7dbd8854dd67f36953b368a480cb',
        40404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77c235469bce4b247a3a3881ac6f5c73644953398a847480576e1573a1f491af',
        40344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5ec9ac8f7a2c5c83f94bf4553e049bc9f75684fe8a301d967c41891532e2491',
        44120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b228b1df09616dff2b94f47291e450aa0348b8135e56adf5a0304071b8a0abeb',
        44260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65e97d4095eb8bd50619cdd9e27a8978f90d2f3079f87392ff1df605a1f5be5f',
        44320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '36053059fc98fcde48897c016246b09a9dd48e46e196e57111c4597bd2040669',
        44284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c7f91ea5aef3e19173861abb147ba6efe1534c3264c72a86d98c45a8a3930350',
        44416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d4324fe955a982eba8b4968effaeabc38b50cafe7f1a62af83852e5fd64f6e7',
        44384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BodoniModa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bodoni Moda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bodoni+Moda
  static TextTheme bodoniModaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bodoniModa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bodoniModa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bodoniModa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bodoniModa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bodoniModa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bodoniModa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bodoniModa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bodoniModa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bodoniModa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bodoniModa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bodoniModa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bodoniModa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bodoniModa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bodoniModa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bodoniModa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bokor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bokor
  static TextStyle bokor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48dc3bbb53942fe0f1dcda871b0b6600f23c80b68ea80345c182f17f10e36639',
        75392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bokor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bokor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bokor
  static TextTheme bokorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bokor(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bokor(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bokor(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bokor(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bokor(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bokor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bokor(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bokor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bokor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bokor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bokor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bokor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bokor(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bokor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bokor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bona Nova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bona+Nova
  static TextStyle bonaNova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '078d2bfcfc80d682132d953545812db70e0f9f0b98ae0cac142ea71b158d1318',
        198112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f09688cecf4b8ba9818a169e25b836f04679a229109cb520cc95adef6e6ad81d',
        215808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43adb619f6b73f11f25abeeb80e1afc75285c402742402228abf38595b558505',
        196232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BonaNova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bona Nova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bona+Nova
  static TextTheme bonaNovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bonaNova(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bonaNova(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bonaNova(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bonaNova(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bonaNova(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bonaNova(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bonaNova(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bonaNova(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bonaNova(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bonaNova(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bonaNova(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bonaNova(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bonaNova(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bonaNova(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bonaNova(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bonbon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonbon
  static TextStyle bonbon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c04cb293742f9b01b0a1ebcf45eef3904303d0777d8289f8ed5202731bcf9e2d',
        33764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bonbon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bonbon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonbon
  static TextTheme bonbonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bonbon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bonbon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bonbon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bonbon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bonbon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bonbon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bonbon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bonbon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bonbon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bonbon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bonbon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bonbon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bonbon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bonbon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bonbon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bonheur Royale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonheur+Royale
  static TextStyle bonheurRoyale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '962bd9c44fd65031a838196c18c0b1056fa2a0e51177c9bfa257707464c1cd34',
        87220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BonheurRoyale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bonheur Royale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonheur+Royale
  static TextTheme bonheurRoyaleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bonheurRoyale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bonheurRoyale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bonheurRoyale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bonheurRoyale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bonheurRoyale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bonheurRoyale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bonheurRoyale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Boogaloo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Boogaloo
  static TextStyle boogaloo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '486b374056bf3e62615ffa5d53c779645aac9675c237d6d509d390dc877590dc',
        31224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Boogaloo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Boogaloo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Boogaloo
  static TextTheme boogalooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.boogaloo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.boogaloo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.boogaloo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.boogaloo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.boogaloo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.boogaloo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.boogaloo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.boogaloo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.boogaloo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.boogaloo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.boogaloo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.boogaloo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.boogaloo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.boogaloo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.boogaloo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bowlby One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One
  static TextStyle bowlbyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1fd01bc4cbebc94ca1244ef3704cf4e2c15b1d6437a8b79c5ee7a7ab4bdb772',
        58032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BowlbyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bowlby One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One
  static TextTheme bowlbyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bowlbyOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bowlbyOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bowlbyOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bowlbyOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bowlbyOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bowlbyOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bowlbyOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bowlbyOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bowlby One SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One+SC
  static TextStyle bowlbyOneSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ba36536cd70dbef95603215ca6c79c9c8f711b0ed8e88f5fb1c2a2521cf5306',
        42508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BowlbyOneSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bowlby One SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One+SC
  static TextTheme bowlbyOneScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bowlbyOneSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bowlbyOneSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bowlbyOneSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bowlbyOneSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bowlbyOneSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Brawler font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brawler
  static TextStyle brawler({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1d99ea60caa66d62f590c76f585d98017a2ec6218ac780cadc9e70b1ed635ea',
        39088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46ec2bf8116aad4bac1627a1270e6313a630b72aa32acb27e5c8a8365ed4aa34',
        32472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Brawler',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Brawler font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brawler
  static TextTheme brawlerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.brawler(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.brawler(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.brawler(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.brawler(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.brawler(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.brawler(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.brawler(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.brawler(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.brawler(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.brawler(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.brawler(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.brawler(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.brawler(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.brawler(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.brawler(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bree Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bree+Serif
  static TextStyle breeSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5502b26521a10457b7069809f6b093a2f84697033833fc0d231c14fc3d98449f',
        42876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BreeSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bree Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bree+Serif
  static TextTheme breeSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.breeSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.breeSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.breeSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.breeSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.breeSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.breeSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.breeSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.breeSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.breeSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.breeSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.breeSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.breeSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.breeSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.breeSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.breeSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Brygada 1918 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brygada+1918
  static TextStyle brygada1918({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df9dd56537b13347b633229f4fc32702b702e85737ec9375b70f761fa60441d8',
        121484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b71a8f1a393bf49d458b47a68389411a76757809e2faab0d1f04c473d44b74fd',
        122024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df4d7888f9a08e336be889f44496897bc5e2ae78b4742cb5ae480ab0d17ab4fc',
        121992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae6721d28b3c72543268f6d2a0f22a371e20a7dffc3d0ef3b25f75eef1dc253a',
        121920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dda7894dd86489179981d7ca2c4145eee2cdf4feccde3cde646a240d0059a319',
        120804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcffaf0cc9ad85f0b094085508119d361671d6f2a5a9712deb3a8b02e41ff5bc',
        121000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '268538b7c6d7b6cd8e4781381666a0cfa6190ed717ad9ff966ce0a28708af929',
        121124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53443ddb65ec59d322ad405d76ec9158810d1076fc531fee67e911c17c7de17d',
        121028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Brygada1918',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Brygada 1918 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brygada+1918
  static TextTheme brygada1918TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.brygada1918(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.brygada1918(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.brygada1918(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.brygada1918(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.brygada1918(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.brygada1918(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.brygada1918(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.brygada1918(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.brygada1918(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.brygada1918(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.brygada1918(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.brygada1918(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.brygada1918(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.brygada1918(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.brygada1918(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bubblegum Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubblegum+Sans
  static TextStyle bubblegumSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92696a5b4ea36589da7abe61c35ed8a1c4f801c6ff3620dea990247dda3ed78e',
        36660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BubblegumSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bubblegum Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubblegum+Sans
  static TextTheme bubblegumSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bubblegumSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bubblegumSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bubblegumSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bubblegumSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bubblegumSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bubblegumSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bubblegumSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bubblegumSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bubblegumSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bubblegumSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bubblegumSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bubblegumSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bubblegumSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bubblegumSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bubblegumSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bubbler One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubbler+One
  static TextStyle bubblerOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc352921d088df991317e810a93f04557ee49583ae17895e9fd7970bf30f6b52',
        29220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BubblerOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bubbler One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubbler+One
  static TextTheme bubblerOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bubblerOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bubblerOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bubblerOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bubblerOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bubblerOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bubblerOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bubblerOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bubblerOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bubblerOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bubblerOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bubblerOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bubblerOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bubblerOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bubblerOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bubblerOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Buda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buda
  static TextStyle buda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddf9a00ad35f40985a1676848fc4fab5a143849227030354f494772914814d3f',
        33320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Buda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Buda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buda
  static TextTheme budaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.buda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.buda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.buda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.buda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.buda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.buda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.buda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.buda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.buda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.buda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.buda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.buda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.buda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.buda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.buda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Buenard font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buenard
  static TextStyle buenard({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6530a057f44e97cf7b5124e45286942b0dd5cb652533e320357df9c3a712d26',
        56568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3098b97edeca864f79b6d2b8433c04363b80a8219f40e2f05b5fa2481e2e38e7',
        55608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Buenard',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Buenard font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buenard
  static TextTheme buenardTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.buenard(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.buenard(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.buenard(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.buenard(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.buenard(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.buenard(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.buenard(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.buenard(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.buenard(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.buenard(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.buenard(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.buenard(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.buenard(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.buenard(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.buenard(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee
  static TextStyle bungee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2569977dab0311f3a357de2a9c5abeb40eb1d7951efb106f1e67571d140236a',
        105464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bungee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee
  static TextTheme bungeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.bungee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.bungee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.bungee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.bungee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Hairline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Hairline
  static TextStyle bungeeHairline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '115ae14e03cd0ce05ffef17d611ec60bbc1a0136ef36096f7f0fdf7ca8d2c0b0',
        86124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeHairline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Hairline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Hairline
  static TextTheme bungeeHairlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bungeeHairline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeHairline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bungeeHairline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeHairline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeHairline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeHairline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeHairline(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeHairline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeHairline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeHairline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeHairline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeHairline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeHairline(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeHairline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeHairline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Inline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Inline
  static TextStyle bungeeInline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ed32d345a9b6d5d529836f293c9f2a16822f7134f459840824200da44ce2a8c',
        136280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeInline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Inline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Inline
  static TextTheme bungeeInlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungeeInline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeInline(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungeeInline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeInline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeInline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeInline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeInline(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeInline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeInline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeInline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeInline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeInline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeInline(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeInline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeInline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Outline
  static TextStyle bungeeOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09a3971e578125a8179bb13ee7156b0b3f1500ad59a574b9c30645fd6b534e75',
        188572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Outline
  static TextTheme bungeeOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.bungeeOutline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeOutline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.bungeeOutline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeOutline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeOutline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeOutline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeOutline(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeOutline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeOutline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeOutline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeOutline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeOutline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeOutline(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeOutline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeOutline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Shade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Shade
  static TextStyle bungeeShade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61b279c3dedd9d40cc0351dc8847c2529f7b04f578cc7ecb0cb290aaf7f7ca41',
        322132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeShade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Shade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Shade
  static TextTheme bungeeShadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungeeShade(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeShade(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungeeShade(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeShade(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeShade(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeShade(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeShade(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeShade(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeShade(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeShade(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeShade(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeShade(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeShade(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeShade(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeShade(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Bungee Spice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Spice
  static TextStyle bungeeSpice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c10b81a9343866afa5d5cd3f8b589ac30bccd4e08812d1724fe82b0a94d723d2',
        498988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeSpice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Spice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Spice
  static TextTheme bungeeSpiceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.bungeeSpice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.bungeeSpice(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.bungeeSpice(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.bungeeSpice(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.bungeeSpice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.bungeeSpice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.bungeeSpice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.bungeeSpice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.bungeeSpice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.bungeeSpice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.bungeeSpice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.bungeeSpice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Butcherman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butcherman
  static TextStyle butcherman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60fbc7f29a31d0500a432d0723b8770f65ea6319fdd801b6c45c1ad83b505c04',
        63296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Butcherman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Butcherman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butcherman
  static TextTheme butchermanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.butcherman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.butcherman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.butcherman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.butcherman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.butcherman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.butcherman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.butcherman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.butcherman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.butcherman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.butcherman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.butcherman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.butcherman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.butcherman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.butcherman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.butcherman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Butterfly Kids font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butterfly+Kids
  static TextStyle butterflyKids({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b60f81c67fe1ad20fc13cb44ab4f48fc51a94b066e9b7d9b47e0c32ebeb4a9',
        200392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ButterflyKids',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Butterfly Kids font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butterfly+Kids
  static TextTheme butterflyKidsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.butterflyKids(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.butterflyKids(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.butterflyKids(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.butterflyKids(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.butterflyKids(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.butterflyKids(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.butterflyKids(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.butterflyKids(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.butterflyKids(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.butterflyKids(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.butterflyKids(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.butterflyKids(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.butterflyKids(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.butterflyKids(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.butterflyKids(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cabin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin
  static TextStyle cabin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2f75b250e6482e520f737769e836fa49147d76b9f84e94fdf10074769ece53c',
        74532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e221e122ba8586405a3ef1a30d571ed58fae137cc8c82a911944db7097c1599',
        74612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02f3fb5bd6c19cff1a794be693813d2d7147a623d1d9da78d338289cdc36a868',
        74624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1457b3b8652d9391cb6a734b51989dbb2f70253a47813cf08ccccb290b285222',
        74312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38f7ec530827b40bd85beb8b18abcd72e81b1896be244722005d2e43bcf83d65',
        64624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '863671d7d9d1481f46a130038b7744151b5d3274ee8c059b12746d1ce468c2aa',
        64848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d13a5661cd05dc321676cfdfb7fc8afb2da20fc6f22c7dbbd32dfccf5a610af',
        64896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7bdd6ecee246f2e856d692698ef469781ee541b11629dc0aaa123a2ae4f919b',
        64480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cabin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin
  static TextTheme cabinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cabin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cabin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cabin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cabin(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cabin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cabin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cabin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cabin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cabin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cabin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cabin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cabin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cabin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cabin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cabin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cabin Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Condensed
  static TextStyle cabinCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7b1fe0fb3be326f98c9054e2071a08d58a6a5b81ab59b67060f66d752a440c3',
        67168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcee43bf621fd803a278926895c6ab619871af4a2808562255e8eca58b62227',
        66768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b967310e5c94787ae27a63f52593db860f28be18497886fcd5c550d6dc70841',
        66760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f1bd3239cc7437ba9b197545412080d7325a7ae460c779f0aa8033b642ab178',
        66768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CabinCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Condensed
  static TextTheme cabinCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cabinCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cabinCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cabinCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cabinCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cabinCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cabinCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cabinCondensed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cabinCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cabinCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cabinCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cabinCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cabinCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cabinCondensed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cabinCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cabinCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cabin Sketch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Sketch
  static TextStyle cabinSketch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a821d6a98e37151c44a6d1226a34ebfaf705a7414b049dff06dda2517e238c2',
        152760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5a372191df6c57b4e514bc8e3dae0fcc2e0a64359c8253e70dca96533ed11d5',
        267556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CabinSketch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin Sketch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Sketch
  static TextTheme cabinSketchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cabinSketch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cabinSketch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cabinSketch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cabinSketch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cabinSketch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cabinSketch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cabinSketch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cabinSketch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cabinSketch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cabinSketch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cabinSketch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cabinSketch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cabinSketch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cabinSketch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cabinSketch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caesar Dressing font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caesar+Dressing
  static TextStyle caesarDressing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b849458b688259ce15c907f0722ddc2c4dd6b45dd71a0f287191ce0e4db40e',
        87520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CaesarDressing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caesar Dressing font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caesar+Dressing
  static TextTheme caesarDressingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.caesarDressing(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.caesarDressing(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.caesarDressing(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.caesarDressing(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.caesarDressing(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.caesarDressing(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caesarDressing(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caesarDressing(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caesarDressing(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caesarDressing(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caesarDressing(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caesarDressing(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caesarDressing(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caesarDressing(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caesarDressing(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cagliostro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cagliostro
  static TextStyle cagliostro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ece09548add33daa4de57fc47a300709075535ebb0c8dcefa275e36a6eec55e',
        34876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cagliostro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cagliostro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cagliostro
  static TextTheme cagliostroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cagliostro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cagliostro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cagliostro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cagliostro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cagliostro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cagliostro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cagliostro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cagliostro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cagliostro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cagliostro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cagliostro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cagliostro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cagliostro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cagliostro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cagliostro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cairo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo
  static TextStyle cairo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b5f2a46e40961d03f8e981d37d42e43aa67653ce4dc8e88e7f8e1cf46463034',
        93824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ca778e698d277e71962f46859770669316d5798b4b357c1fdee86535610fa77',
        93872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b11e795d4ad8cd5df4d5a6499fd802f226d4f2005612e8963e1a39053d18d1b',
        93856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3d37369ef6468651f579859edf81b7c8952a26e4e4bd20ae685b86714396b77',
        94044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b16088a549cf542a3e12718ec366a54883588accd7bfa7e459d5aebbb48ef10',
        94088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ba65ef98b11bcd9889f0df67db2cd6ed86c891f2b5f07bf1403aeae0b9e696c',
        93972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fff26e861d913b086e16b8034d51cb249856f427f50d4ef3c48b5c6c3990e2f',
        94060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2428aa73c09001109676032ca75680479fb217a746962d2beb1dd0afdb6b5960',
        94036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cairo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cairo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo
  static TextTheme cairoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cairo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cairo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cairo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cairo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cairo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cairo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cairo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cairo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cairo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cairo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cairo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cairo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cairo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cairo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cairo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cairo Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo+Play
  static TextStyle cairoPlay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1ae7d10b11839bb5ec92ae204f813e84fa34e83ad2909de022588dfeae7f957',
        351492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '159e88d832f509279d0b3c6a62d47a892dacb2578e0b9e61e144e50357d5b39e',
        351532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e4c4994c5be214bd343a59d8d229bd667fa1d709e741e08b1c8d37af80557f3',
        351500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5f932a3817010886f8adedfa5c6a9cda8a4a6fc4d316f1506e2f300dd880586',
        351716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cec1c37df21bb262504bc590cc8df184cddb30b153be18fce9740c80da92f43',
        351760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db68c60e56636d0024fc08d73763fcfa33efe4ce0a8ef17d72dbd332c106bd09',
        351608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cf0ab6ce568f97cd5a62bbe62cb6e37b1505fbdcfeca173332aa6f6ee32afcc',
        351708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af135fa7a639a94e7bc124f23f9a503b4d8d1389397ebe30bce68b8748b57ca4',
        351676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CairoPlay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cairo Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo+Play
  static TextTheme cairoPlayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cairoPlay(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cairoPlay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cairoPlay(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cairoPlay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cairoPlay(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cairoPlay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cairoPlay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cairoPlay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cairoPlay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cairoPlay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cairoPlay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cairoPlay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cairoPlay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cairoPlay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cairoPlay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caladea font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caladea
  static TextStyle caladea({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4c002a10d755da4ccaa3ebc0cdbdea21a315a95a327a41471ba4a04e0b8001d',
        52664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1711d83d00881cbfd246656598ac8a659f41e61b337e8631118e37f415f8da49',
        52160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16b835559468154283080ca19d8634a28fa0f0edf71cef558a2739e7484d6cb2',
        53724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd107506a3253ab8d36e5ac5c8a09979da3d17fccaa1addea2b31d5db7696caa5',
        52288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caladea',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caladea font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caladea
  static TextTheme caladeaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caladea(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caladea(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caladea(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caladea(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caladea(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caladea(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caladea(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caladea(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caladea(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caladea(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caladea(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caladea(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caladea(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caladea(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caladea(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Calistoga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calistoga
  static TextStyle calistoga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '060d7a5a8892c7bae4d2e568e5154dc941220b56eab554bab647e0995e903d4a',
        78992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Calistoga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Calistoga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calistoga
  static TextTheme calistogaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.calistoga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.calistoga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.calistoga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.calistoga(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.calistoga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.calistoga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.calistoga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.calistoga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.calistoga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.calistoga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.calistoga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.calistoga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.calistoga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.calistoga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.calistoga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Calligraffitti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calligraffitti
  static TextStyle calligraffitti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03f3f28aba9473b7488aba63f600070b40a9d8ad73c679250b5aa2eb8cd5ab36',
        45580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Calligraffitti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Calligraffitti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calligraffitti
  static TextTheme calligraffittiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.calligraffitti(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.calligraffitti(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.calligraffitti(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.calligraffitti(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.calligraffitti(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.calligraffitti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.calligraffitti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.calligraffitti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.calligraffitti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.calligraffitti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.calligraffitti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.calligraffitti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.calligraffitti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.calligraffitti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.calligraffitti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cambay font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambay
  static TextStyle cambay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cb782bada62515a174b78ca681b30681cc8466212e769e01cf54b31ee3c779d',
        136424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7767eea34f2a90cb411f48363e42d684f425c451c00bb71bfc6a432a64a44f1d',
        152112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7916fc2456f74f87dcafbcb796f751c53dda9565b29156f280d07f17681a045a',
        136044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8709ac37ebf71b74486d26d90f89cdf7d5c4a2c5c7732520258af964f87693c',
        147412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cambay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cambay font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambay
  static TextTheme cambayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cambay(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cambay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cambay(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cambay(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cambay(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cambay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cambay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cambay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cambay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cambay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cambay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cambay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cambay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cambay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cambay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cambo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambo
  static TextStyle cambo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22fb8f1d769aae196632c166b782c40892aa85481b0e74bb931731c6dfa9104e',
        26564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cambo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cambo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambo
  static TextTheme camboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cambo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cambo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cambo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cambo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cambo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cambo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cambo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cambo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cambo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cambo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cambo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cambo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cambo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cambo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cambo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Candal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Candal
  static TextStyle candal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fb20c6aeb13ec31b04077e0ff5ad4257b090fb656d3528ead0c1362df8172d2',
        30428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Candal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Candal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Candal
  static TextTheme candalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.candal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.candal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.candal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.candal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.candal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.candal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.candal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.candal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.candal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.candal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.candal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.candal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.candal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.candal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.candal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cantarell font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantarell
  static TextStyle cantarell({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e008caccc9dfa0af6ee00bf6c70fa1ee25c5383a32276af466df45d975a9a92c',
        42120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '344311f5bd9673791671d5cba193a1dfe527babd8d7cafcd85895a4a0d8f7f4e',
        44692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dec79ccc481701ab0ee9be43b663968eb3f3ce4bec369cef66d4f3283a4a2c1f',
        43904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42e5b2e078c4a332a1370e74eb17b809f905c40c47a3a42bfa86e61b538668f0',
        46812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cantarell',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantarell font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantarell
  static TextTheme cantarellTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cantarell(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cantarell(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cantarell(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cantarell(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cantarell(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cantarell(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cantarell(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cantarell(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cantarell(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cantarell(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cantarell(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cantarell(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cantarell(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cantarell(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cantarell(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cantata One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantata+One
  static TextStyle cantataOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa58eb9b16658fa12cf9c191d8c985c5f18a6cb95b8a007e674d0a1fccd1f53e',
        53244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CantataOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantata One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantata+One
  static TextTheme cantataOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cantataOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cantataOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cantataOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cantataOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cantataOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cantataOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cantataOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cantataOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cantataOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cantataOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cantataOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cantataOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cantataOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cantataOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cantataOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cantora One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantora+One
  static TextStyle cantoraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ca92fd52125d6e7de7eb197c46bb384f7f13ba44f7375e9d6d6ca5121d1d59c',
        89764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CantoraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantora One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantora+One
  static TextTheme cantoraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cantoraOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cantoraOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cantoraOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cantoraOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cantoraOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cantoraOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cantoraOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cantoraOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cantoraOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cantoraOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cantoraOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cantoraOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cantoraOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cantoraOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cantoraOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Capriola font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Capriola
  static TextStyle capriola({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5218e72847a9f73f64d3e1ff4784222d816bbedf85bbf565a838dba35a953755',
        71856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Capriola',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Capriola font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Capriola
  static TextTheme capriolaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.capriola(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.capriola(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.capriola(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.capriola(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.capriola(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.capriola(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.capriola(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.capriola(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.capriola(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.capriola(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.capriola(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.capriola(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.capriola(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.capriola(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.capriola(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caramel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caramel
  static TextStyle caramel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a80d114cb9fa5025551733589efa28c9b6f18d17fa1d0a64a019760e66369bac',
        77520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caramel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caramel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caramel
  static TextTheme caramelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caramel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caramel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caramel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caramel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caramel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caramel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caramel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caramel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caramel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caramel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caramel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caramel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caramel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caramel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caramel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carattere font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carattere
  static TextStyle carattere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ac879fd9028443388930525ff30f4a8a05587cdc1c63f8cfac7b8efd056b6a4',
        78436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carattere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carattere font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carattere
  static TextTheme carattereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carattere(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carattere(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carattere(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carattere(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carattere(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carattere(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carattere(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carattere(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carattere(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carattere(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carattere(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carattere(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carattere(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carattere(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carattere(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cardo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cardo
  static TextStyle cardo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc6ef8fe261a8b48e725125d5673ae951876ee5e7201f21a1c1ad75ca5e49607',
        384996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f290bf8d443df7d3b6bda6fd0e1df1edb5b042f122d70f2a806150b52199e1cb',
        251700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e90fd34285f1c772b99206fd182263640fd662891bf164375d970c067a9fd47',
        338888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cardo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cardo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cardo
  static TextTheme cardoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cardo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cardo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cardo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cardo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cardo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cardo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cardo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cardo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cardo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cardo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cardo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cardo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cardo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cardo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cardo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carme
  static TextStyle carme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f54bc7b22645f71b78877750d4d353c6df9787e57372418d3191e2c25e2cee4b',
        58480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carme
  static TextTheme carmeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carme(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carme(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carme(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carme(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.carme(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carme(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carme(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carme(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carme(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carme(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carme(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carme(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carme(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carme(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carme(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carrois Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic
  static TextStyle carroisGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d40b94aade1023aa8a411cb13cedfb3131d357258037965cb12a12a5befdf2e',
        24276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarroisGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carrois Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic
  static TextTheme carroisGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.carroisGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.carroisGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.carroisGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.carroisGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carroisGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.carroisGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carroisGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carroisGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carroisGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carroisGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carroisGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carroisGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carroisGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carroisGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carroisGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carrois Gothic SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic+SC
  static TextStyle carroisGothicSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ba9a160762fbdb1773b7b56388b3286627b81a2f28e4c95ac162c990a682a1d',
        24256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarroisGothicSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carrois Gothic SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic+SC
  static TextTheme carroisGothicScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carroisGothicSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carroisGothicSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carroisGothicSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.carroisGothicSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carroisGothicSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Carter One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carter+One
  static TextStyle carterOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8371c635d426c368aeddb6f990fde22ad23e7fbfa72bb36a557bfcf1169e451a',
        61972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarterOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carter One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carter+One
  static TextTheme carterOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.carterOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.carterOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.carterOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.carterOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.carterOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.carterOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.carterOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.carterOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.carterOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.carterOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.carterOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.carterOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.carterOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.carterOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.carterOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Castoro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro
  static TextStyle castoro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d0a6f408b244c0cdb13531ababab94942ca7eaf19af4be8168aab00a6310701',
        70376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4425a606b2bb2a72f3bf1442304366f9d847e76e769a9be5e8383935af45e9e1',
        71636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Castoro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Castoro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro
  static TextTheme castoroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.castoro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.castoro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.castoro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.castoro(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.castoro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.castoro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.castoro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.castoro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.castoro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.castoro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.castoro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.castoro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.castoro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.castoro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.castoro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Catamaran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Catamaran
  static TextStyle catamaran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9895cebbb13461a7521e250642f02f89513bdabcaaebf87cda8851d004cc1aa2',
        51644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c80968abe46f2a3db1f55ecd4ebff704e9c5cf0428960b3e06129acfe3f91f2d',
        51732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f678b29d9734d53894b5cd19c414b00fbd08f2b5203c4dec0e3bca91ee2c9a1',
        51696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c203d30f7a5732b640a1808f181347747f6bdf3e968f8d43ecd3d54e0f9ba9b2',
        51644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cc2035bade644fad0eb562d8c4f0f113e24015b5a1353d262a48f278b8d0976',
        51636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efea36a0b2afb0daf4adbfe2ec5a95c3c266c962187b641ef43d29bd0f3d30dc',
        51672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '199ac2dd21ead57071181709745ff2fe297012d4eb0c3afb16671d86bb366b2f',
        51584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e50d0e7c18e43c8d3030bd9b447a216acf2a3d4424faeb6cdc5f855bd41bf36',
        51656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c29a011e1633fd009bb89c598c15c9a5ed5780a9d93b017449a3b3b5b5c975f5',
        51560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Catamaran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Catamaran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Catamaran
  static TextTheme catamaranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.catamaran(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.catamaran(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.catamaran(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.catamaran(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.catamaran(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.catamaran(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.catamaran(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.catamaran(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.catamaran(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.catamaran(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.catamaran(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.catamaran(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.catamaran(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.catamaran(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.catamaran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caudex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caudex
  static TextStyle caudex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a747bc68d2ef368d8f7463a26012363a355325d0802219cb8cd936067f27f55',
        436948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48545172cc6db651516702327a548a630817c3230aa0939293c0b0ab016d9922',
        529236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ca75766c5506c0ef779284e2f59188eacc6c243c0a7423658ef694c26434873',
        441876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eed5b09e58e15830d99009bb8597016ff45036e5952299e1a1a74bd60b1c632b',
        527200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caudex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caudex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caudex
  static TextTheme caudexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caudex(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caudex(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caudex(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caudex(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caudex(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caudex(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caudex(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caudex(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caudex(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caudex(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caudex(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caudex(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caudex(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caudex(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caudex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caveat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat
  static TextStyle caveat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f5aa34e6172b5609d47fba72bf4efc191f6494b2b00d13830741fd303819f86',
        251328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67582a9bdbaf05dc0ff450a0e7c3b9198bbf6ab08c16438a60c4de934f1c81bc',
        252056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a920fa1a31dbde17b0d57c96862f3f296eaaef97b9f61e3f326fa29e647281c',
        252120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4e9005262ba6294be7e58d59c70f29630b5a31442f864e44e771623d8239bd',
        251560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caveat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caveat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat
  static TextTheme caveatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caveat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.caveat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caveat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.caveat(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.caveat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.caveat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caveat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caveat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caveat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caveat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caveat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caveat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caveat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caveat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caveat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Caveat Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat+Brush
  static TextStyle caveatBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '687ec4aa4cd4be8da9ec7275b814cca79c388e4d764c30a81aeb2fb3a49316bd',
        231988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CaveatBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caveat Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat+Brush
  static TextTheme caveatBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.caveatBrush(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.caveatBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.caveatBrush(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.caveatBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.caveatBrush(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.caveatBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.caveatBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.caveatBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.caveatBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.caveatBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.caveatBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.caveatBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.caveatBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.caveatBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.caveatBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cedarville Cursive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cedarville+Cursive
  static TextStyle cedarvilleCursive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7495077aeecf1d33f42a63820bb2eff51da90b80b492c11ef5318815dcb367a8',
        54272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CedarvilleCursive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cedarville Cursive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cedarville+Cursive
  static TextTheme cedarvilleCursiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.cedarvilleCursive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ceviche One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ceviche+One
  static TextStyle cevicheOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47af259894f8dea4c4fd6ebd1158110b7c7a8fdf859b4981abac42678d121ee0',
        34992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CevicheOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ceviche One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ceviche+One
  static TextTheme cevicheOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cevicheOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cevicheOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cevicheOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cevicheOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cevicheOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cevicheOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cevicheOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cevicheOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cevicheOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cevicheOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cevicheOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cevicheOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cevicheOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cevicheOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cevicheOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chakra Petch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chakra+Petch
  static TextStyle chakraPetch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efa7fa81183841974e463f736ad50013e6e0657d2d47d3a4e1d5e5f0219dbcf1',
        70452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ea99f032f986dd5989332fa44d1ee2bd2ff5f20fd59ca4aaa912281e69ba887',
        72720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5ed27182ae5f428466e52f5997decc78f140bc10c5ed0af8341fd105bb4a16c',
        70160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d0ce0fcc905ab6f0ef64a5df1228338e804b2399c9dfbbdc187dc3fccd26d36',
        72412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04051d632226513298037d9312cae0fde62cb39f267e344ed99489d2524834a2',
        70152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de63f37a0f70eeddce853c1c016b1a611d37ce9b029078474273ddcf45e6517f',
        72504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ded9bb036fd68d0b57038b168e35c86d290643460d899426ea6b0368e513fa20',
        70164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'baf97f04273a96ee40595b8444bf1d648c54505b551285700ce3d651d42dc0d5',
        72524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99c21801fb0a1d83d2155bb00990f81eb4553fa5d3b0531851b344dfec8415dd',
        70068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9b2212034fb3cee0905201fcd875ab06282ab30d46be474b37d1f76ad01da21',
        72408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChakraPetch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chakra Petch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chakra+Petch
  static TextTheme chakraPetchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chakraPetch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.chakraPetch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chakraPetch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.chakraPetch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chakraPetch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.chakraPetch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chakraPetch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chakraPetch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chakraPetch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chakraPetch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chakraPetch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chakraPetch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chakraPetch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chakraPetch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chakraPetch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Changa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa
  static TextStyle changa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f063a2bbe2c3736f47df8c5ba84d80f8c8e0518ac836421a77ffe2f59b44296e',
        65012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9179b1041d3f1323aabacb64a44f1cb3c3ac97fe094dc5aa9dfc0fd897396579',
        64920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2707536deda9f2c36e5baea4c69da5100404f4a99634eabffa5a377757ab4f0b',
        64584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5073baa06ad2e3a42eca6a02460f26d529c8c92d58667c3b58ed999b77c173d6',
        64876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bfd715f10b1b14e2fc655bba2f34569e5529f545959bbecdf03c55048d2a0b6',
        64928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11c9088db3de9695fe55971a3001020883b89cacd07723cfbc4f81d5512af4a1',
        64852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42750b4c23e5ea95b5b1fa1e112b08197a1486c8daba88b33a54369bd493f6ba',
        64636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Changa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Changa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa
  static TextTheme changaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.changa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.changa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.changa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.changa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.changa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.changa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.changa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.changa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.changa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.changa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.changa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.changa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.changa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.changa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.changa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Changa One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa+One
  static TextStyle changaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'deb27c0af5a5f5ed59da015a6377494fae2ade355ae2ae4bcbb158a58a0fdb5e',
        20660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76a6b1a5d3ced936eafe54088de87436a0b69c2e28d31bfc87b52a8079bea8a1',
        24172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChangaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Changa One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa+One
  static TextTheme changaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.changaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.changaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.changaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.changaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.changaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.changaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.changaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.changaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.changaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.changaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.changaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.changaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.changaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.changaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.changaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chango font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chango
  static TextStyle chango({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a6211d6992bd1b371eb1b988a1da485cfd7f762549abeecbc08ed4d2910321a',
        38420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chango',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chango font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chango
  static TextTheme changoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chango(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chango(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chango(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chango(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chango(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chango(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chango(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chango(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chango(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chango(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chango(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chango(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chango(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chango(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chango(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Charis SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charis+SIL
  static TextStyle charisSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95a206b056e0b341b04d761006a6fabf349e87bde9ebe4cf93321aaaef3886ca',
        345724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f7665d41a08ab3fbb6c4f62aea1733f7b9a885cbc4c9fd4071eeda3f1803d82c',
        363600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2814511c986db4c1bcfa672ef56042a335fba4229ff2cd5e90be9e12538388ef',
        349608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef349d739d6dbe62765d844dbdc0c598a2b22ef160481340d3414b848c8994d7',
        368396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CharisSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charis SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charis+SIL
  static TextTheme charisSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.charisSil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.charisSil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.charisSil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.charisSil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.charisSil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.charisSil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.charisSil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.charisSil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.charisSil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.charisSil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.charisSil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.charisSil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.charisSil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.charisSil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.charisSil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Charm font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charm
  static TextStyle charm({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3071dea5c30071c2a36303231172fa98cd44d84a7ec5f899013b0feb6404966d',
        121276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa6ea0195cb62ed4ff41178b57939f308fc2ba78bf40a54454c878c650beb82f',
        122112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Charm',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charm font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charm
  static TextTheme charmTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.charm(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.charm(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.charm(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.charm(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.charm(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.charm(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.charm(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.charm(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.charm(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.charm(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.charm(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.charm(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.charm(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.charm(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.charm(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Charmonman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charmonman
  static TextStyle charmonman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cace9adc5cdf0b50767152def4366dde8f2eedd0e760eebcfe3f79ae8ce98b20',
        100884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb0b2218f55f4afedacf2f9cdf80c1c0812d5ac3a9a28623b424551ea8a53eea',
        100612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Charmonman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charmonman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charmonman
  static TextTheme charmonmanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.charmonman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.charmonman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.charmonman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.charmonman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.charmonman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.charmonman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.charmonman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.charmonman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.charmonman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.charmonman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.charmonman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.charmonman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.charmonman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.charmonman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.charmonman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chathura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chathura
  static TextStyle chathura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '761566c2ec9db08c8714be062e0a4159c2a5b2cd10cc348b7c36f5325502c306',
        335472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '323ada8ee1ce9cfe969a0c01f4ddcf5d733e4c6c30c3145391ca4a132c3c4c21',
        330852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e960a0159863620b44612d2fdb579765a0b6c8bfacdbdb48015486c6e96f9de0',
        321032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '074bd4f9326bfca07e1df5bb76eb09b43e19a8bdd99c993254cd7b33ef57a305',
        319868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080195bf5c0e9f2c03af7509e41735b077fe670c1cce4f958bc4c22a86638d02',
        318944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chathura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chathura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chathura
  static TextTheme chathuraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chathura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chathura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chathura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chathura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chathura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chathura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chathura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chathura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chathura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chathura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chathura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chathura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chathura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chathura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chathura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chau Philomene One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chau+Philomene+One
  static TextStyle chauPhilomeneOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f57384929b7402892f4734f3823e08e2e9847a2360beca7df150af4d2c412fc',
        28812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc28daf86fb15f79f195b6a24a5d5359395f76fbc8a230e8c505dc8be400764b',
        31984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChauPhilomeneOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chau Philomene One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chau+Philomene+One
  static TextTheme chauPhilomeneOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.chauPhilomeneOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chela One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chela+One
  static TextStyle chelaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9c41263a8bdc80d6607b92559af104413718aa948696f3c303e7730026164d0',
        33920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChelaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chela One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chela+One
  static TextTheme chelaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chelaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chelaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chelaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chelaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chelaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chelaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chelaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chelaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chelaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chelaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chelaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chelaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chelaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chelaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chelaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chelsea Market font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chelsea+Market
  static TextStyle chelseaMarket({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '574b40802d96f41124c64aa69563c5869ab61caf7684aa9defab409442b3a6f1',
        170452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChelseaMarket',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chelsea Market font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chelsea+Market
  static TextTheme chelseaMarketTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.chelseaMarket(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.chelseaMarket(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.chelseaMarket(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.chelseaMarket(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.chelseaMarket(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.chelseaMarket(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chelseaMarket(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chelseaMarket(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chelseaMarket(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chelseaMarket(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chelseaMarket(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chelseaMarket(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chelseaMarket(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chelseaMarket(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chelseaMarket(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chenla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chenla
  static TextStyle chenla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e74e2c467a8f646a0f699cead2325f0a206c4d4d5431b862cba8e61d97618e72',
        175020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chenla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chenla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chenla
  static TextTheme chenlaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chenla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chenla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chenla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chenla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chenla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chenla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chenla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chenla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chenla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chenla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chenla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chenla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chenla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chenla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chenla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cherish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherish
  static TextStyle cherish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c27293defe6805cbe5d44a9ef638bc71b43a7df0ed9e38511d64c4f2c0be74d',
        195668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cherish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherish
  static TextTheme cherishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cherish(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cherish(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cherish(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cherish(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cherish(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cherish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cherish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cherish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cherish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cherish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cherish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cherish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cherish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cherish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cherish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cherry Cream Soda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Cream+Soda
  static TextStyle cherryCreamSoda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c37f74cecb039a0e3b1c4fe9e353f9529616965ac05df4efbbd5efddc5cab65',
        38940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CherryCreamSoda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherry Cream Soda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Cream+Soda
  static TextTheme cherryCreamSodaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cherryCreamSoda(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cherryCreamSoda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cherryCreamSoda(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cherryCreamSoda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cherryCreamSoda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cherry Swash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Swash
  static TextStyle cherrySwash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0e07d83063a2265792e5f4e2d5de5eefd17dc2344738cd1fbf1d15d06237f1c',
        28448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59e0bd05f065dbc59e04ba44d93567153767d441c9aa6d62f626a22d57fdf6a4',
        27936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CherrySwash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherry Swash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Swash
  static TextTheme cherrySwashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cherrySwash(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cherrySwash(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cherrySwash(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cherrySwash(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cherrySwash(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cherrySwash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cherrySwash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cherrySwash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cherrySwash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cherrySwash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cherrySwash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cherrySwash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cherrySwash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cherrySwash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cherrySwash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chewy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chewy
  static TextStyle chewy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '396a57dee26f8e1c4ac065b3ee59cc5cae206e677f4e65d246079f00c3b6562c',
        34696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chewy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chewy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chewy
  static TextTheme chewyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chewy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chewy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chewy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chewy(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chewy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chewy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chewy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chewy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chewy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chewy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chewy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chewy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chewy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chewy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chewy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chicle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chicle
  static TextStyle chicle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e8c91fe9693c9c14f0a69ad4c50fde4d9ab11e429efe18953899dcf869bdcc7',
        38888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chicle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chicle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chicle
  static TextTheme chicleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chicle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chicle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chicle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chicle(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chicle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chicle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chicle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chicle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chicle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chicle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chicle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chicle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chicle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chicle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chicle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chilanka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chilanka
  static TextStyle chilanka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52332679f599f1ef624fb8a273b2b1b60f9b90a7a6ada74304f761592b173a70',
        338888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chilanka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chilanka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chilanka
  static TextTheme chilankaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chilanka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chilanka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chilanka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chilanka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chilanka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chilanka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chilanka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chilanka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chilanka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chilanka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chilanka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chilanka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chilanka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chilanka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chilanka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo
  static TextStyle chivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50dfd25be7b2df247de7d34067e9dd814baebcddb86cfc5cabf7f30ccbcb27cf',
        78632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc4198eb7b92681fff3acacbca3e9a10d90bc47de598dc4b0477a3f3d89d720',
        78864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de291a255e063446befe03669cddc0ea43014b7f9274bd5e2a5fce89d82aebd2',
        78796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01348158f8b92545574f33066285baeddb2055f0deeea0d88e3464477da6d60d',
        78876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f298847980a412bd73d0c5d7526b794a9f636bdb57780918146d8670530cf4e0',
        78920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a2e09e8a82153295b614ea6c4c0d9eb91be22b532e44674ecc637db6abc9754',
        78836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f1579ffd22da9ded57257a0bffe3476d017c9e4093761f794c4c92bd0ad67f9',
        78756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8953807509d0bf86de452153c563a93bb91152698909734be7d5df24652a436e',
        78772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71b7e4eacb5debc26e17d4f7d5731c92a93efde6442043bdaacacc01552dd1e9',
        78684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbfba480f56cee5593d231d8b1fa95537869fc3a8319047e1a6f8385f0b412de',
        88008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df52936d268917475b28f965d764944022eb3ea64f873c63b94e0e1fc3c991d4',
        88112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '161b445c2f4b96f704e1691d58de15e1547cf3059a4a41ebca832966edadd78e',
        88092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e71dd432df016eea9f899db2d6f568e6d257b777beca493d4b3c40a1fc9a825',
        87956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32ec4f82f27bc37294928fd9c3ed50cc25e6e0360d9e879ebff05f9e7f957600',
        87856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b130d800df362c09e4a16947463cbac7d8b891ad5e93ec534a5fb734e2deb7f',
        87940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b29e3dff73bfc719927339f32156ec4797c3e5523116b424e520b373b9c1a07',
        87868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd3618a1534aa17ce4f860c60f1498632cc652bd2e82c719f1f536749f9abc61c',
        87944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26d52e764519ea4a6631c58725393396f9c32df17ad2c6ec2c567b8e04044d7b',
        87808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo
  static TextTheme chivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chivo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chivo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chivo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chivo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chivo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chivo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chivo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chivo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chivo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chivo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chivo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chivo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chivo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chivo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chivo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Chonburi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chonburi
  static TextStyle chonburi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3423a935900b1467f49d1e5ddca089c3e21211b31f28d1c0628cd015d6cd5eed',
        108448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chonburi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chonburi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chonburi
  static TextTheme chonburiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.chonburi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.chonburi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.chonburi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.chonburi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.chonburi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.chonburi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.chonburi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.chonburi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.chonburi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.chonburi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.chonburi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.chonburi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.chonburi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.chonburi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.chonburi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cinzel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel
  static TextStyle cinzel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0bdecd294a7e3e88bffa3e896dc61ee57823ddc5c35914c257d0b76a094307',
        45848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36a708f7fd343ad693c4ccb7ca8f6b40437a6e1613aa77d7996aba3b3dda3fa0',
        46008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa0f4a034cd56dc4524ff6f212f6d5ebd869c8ab4bc041520bfb7b2ed04c2a9e',
        46076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd13ba48f8c49aa0a93a3b0397f9408c66a116197010b3e9237713fb5ae947d41',
        46076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9fff3c848f6d64ede94522672d3094daef411cafeed36349c1d6000afb2d00f',
        46156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '458197fbcfe1d76021bf7c1cf96dff44be57bf92aea23f3b286315cbe1784ccd',
        46144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cinzel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cinzel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel
  static TextTheme cinzelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cinzel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cinzel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cinzel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cinzel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cinzel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cinzel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cinzel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cinzel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cinzel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cinzel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cinzel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cinzel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cinzel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cinzel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cinzel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cinzel Decorative font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel+Decorative
  static TextStyle cinzelDecorative({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f23a8549fcab4e650a20283e3c567a376d7ab1077929bd7b0eb0105e77f679d4',
        58416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1efe514c4bfaf57d5757d3cd521707673ee579fc3e122f76985cb7beff79c4d0',
        60288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ad7d1911f39a6bb18492e3768f42ddbffe6a52575cab8cfbc1deecb7b7832dc',
        60640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CinzelDecorative',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cinzel Decorative font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel+Decorative
  static TextTheme cinzelDecorativeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cinzelDecorative(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cinzelDecorative(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cinzelDecorative(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cinzelDecorative(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cinzelDecorative(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Clicker Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Clicker+Script
  static TextStyle clickerScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bb0ba8f751ea7ea410fe7e804b0db38ff9deda3d6f96f861342de2997584981',
        59708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ClickerScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Clicker Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Clicker+Script
  static TextTheme clickerScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.clickerScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.clickerScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.clickerScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.clickerScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.clickerScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.clickerScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.clickerScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.clickerScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.clickerScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.clickerScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.clickerScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.clickerScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.clickerScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.clickerScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.clickerScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda
  static TextStyle coda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40c10b6985cde3a0c3370ac7ec0a6b9f7290701e80eedc5546d2fd4a8dd99b69',
        31864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '048e6821ba4fafabce9b98e5897169d7660a83903953f95cdbfb5136d291d3f7',
        30084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda
  static TextTheme codaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.coda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.coda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.coda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.coda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.coda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.coda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.coda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.coda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.coda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.coda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.coda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.coda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.coda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coda Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda+Caption
  static TextStyle codaCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eccd38dcadda0cc06460a48c910ba02a2567e11da752c428330ef6043f5122c4',
        57608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CodaCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coda Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda+Caption
  static TextTheme codaCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.codaCaption(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.codaCaption(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.codaCaption(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.codaCaption(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.codaCaption(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.codaCaption(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.codaCaption(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.codaCaption(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.codaCaption(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.codaCaption(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.codaCaption(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.codaCaption(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.codaCaption(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.codaCaption(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.codaCaption(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Codystar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Codystar
  static TextStyle codystar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fb2544985fa87598927529fd3b28477c50cbc5bdd23931940c881fc0e5917c5',
        99236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d266b5af65972b559c7f58d081597fdd3f7d44b9a03d01c6cb1cef66be53033',
        104248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Codystar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Codystar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Codystar
  static TextTheme codystarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.codystar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.codystar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.codystar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.codystar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.codystar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.codystar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.codystar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.codystar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.codystar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.codystar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.codystar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.codystar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.codystar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.codystar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.codystar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coiny font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coiny
  static TextStyle coiny({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b4adcdf9cac494ca0f4f41edb816d145afb70e86653ea707ed1c6e78b9b3f54',
        136380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coiny',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coiny font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coiny
  static TextTheme coinyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.coiny(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.coiny(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.coiny(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.coiny(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.coiny(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.coiny(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.coiny(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.coiny(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.coiny(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coiny(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.coiny(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coiny(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.coiny(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.coiny(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.coiny(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Combo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Combo
  static TextStyle combo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd9f4e61bb6ac742cf9540ffab1b0a526d845f85dc484aefd5dcf3196a9aa10b',
        34412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Combo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Combo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Combo
  static TextTheme comboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.combo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.combo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.combo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.combo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.combo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.combo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.combo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.combo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.combo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.combo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.combo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.combo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.combo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.combo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.combo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comfortaa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comfortaa
  static TextStyle comfortaa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3e8d8daca9ae14048e3609d7e206f59773f5d02003444d2562e47de8b57d205',
        110216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3ca0b23f75c5ac10b602c1c220d08c00c0e58b038da2c364a5f968be38fb023',
        110228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b83fa909ea2538175a0aa20e56a3b9c5059d08e58aeb2a74f0715d94bc47d3',
        110272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e7a90e73e1047c6c420abdddcca7f28909d41baf7f1b3d3ed0785a1c5762ed2',
        110356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9d9ca32d5652f24f43c427653784ba612b1a99b937dfd22c08520e419a35750',
        110124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comfortaa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comfortaa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comfortaa
  static TextTheme comfortaaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comfortaa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comfortaa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comfortaa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comfortaa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comfortaa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comfortaa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comfortaa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comfortaa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comfortaa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comfortaa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comfortaa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comfortaa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comfortaa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comfortaa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comfortaa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comforter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter
  static TextStyle comforter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a872bb0333d058d54cd22ba0be216837040a1c83f4bee5adcd89d6327f51f9ba',
        149600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comforter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comforter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter
  static TextTheme comforterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comforter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comforter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comforter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comforter(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comforter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comforter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comforter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comforter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comforter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comforter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comforter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comforter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comforter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comforter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comforter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comforter Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter+Brush
  static TextStyle comforterBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc374f3f2bd680b2ca6cbfb08753f8ec83378606e3b8d0f0e01a13656c2fe80',
        600784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComforterBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comforter Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter+Brush
  static TextTheme comforterBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.comforterBrush(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.comforterBrush(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.comforterBrush(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.comforterBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comforterBrush(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.comforterBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comforterBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comforterBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comforterBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comforterBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comforterBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comforterBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comforterBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comforterBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comforterBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Comic Neue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comic+Neue
  static TextStyle comicNeue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e2e5e461095c081ec32b310f8200148b2a4a0d50108d37142d6e56e0fad00f4',
        36488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '06ad0bb01d1f920986cba05c6406f425b46cb28fb57e781537d0aafe47b67f2d',
        35420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb4aae1cf65bf0d6def1ed30c448426eb6a519cc83ad7025daad59a42d3d9e56',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1efa7aedc664bd1482383415abb0805404dd0d0ec50536b72b74070745289ca1',
        35484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66cf854f90d0a98abcac63c91880adb78f524539f6906107d6cd7d336c4ecef8',
        35256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a2b3694e39659e0706799aa6f71e284cce7147778b4ffb3e6f8bad6ab18f7a8',
        35480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComicNeue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comic Neue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comic+Neue
  static TextTheme comicNeueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comicNeue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comicNeue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comicNeue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comicNeue(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comicNeue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comicNeue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comicNeue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comicNeue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comicNeue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comicNeue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comicNeue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comicNeue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comicNeue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comicNeue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comicNeue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coming Soon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coming+Soon
  static TextStyle comingSoon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7279de67d07517099250cd92a099ef99110c1327e63ac82bb1dfe138f72bb219',
        46320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComingSoon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coming Soon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coming+Soon
  static TextTheme comingSoonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.comingSoon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.comingSoon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.comingSoon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.comingSoon(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.comingSoon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.comingSoon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.comingSoon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.comingSoon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.comingSoon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.comingSoon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.comingSoon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.comingSoon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.comingSoon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.comingSoon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.comingSoon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Commissioner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Commissioner
  static TextStyle commissioner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c628050727e5e7d33e625bd055456bfea6bda70ace4236613f20e2c319cd6f9b',
        364652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3180b858d41d4acded5c7c91a54dc749413cd0fd8474fce5e4643470f624d56',
        371948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f590177396858ae7ccdadf1a61c43cbec83b10c6cca8705fd8dafe0d1d590851',
        377004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1eaee736bb1770445046709daed815ddcc91d787fbea75e31e3af108592961',
        383760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0e61be644dcedc279a37e93063992e61a822099f8ec6e5c7a97a352c5af4559',
        384788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ec180f04166efb76dce80fd3fd64e9b5d7cd553510dbfe42ede244c0148a205',
        387788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '857dbc3a21d12929e77fb2d7a17d48f198c37211f2823ab9225c3b2e572b32ca',
        388916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d88a7a0f33a2f294a453c793258ea472a588dfc664c6171d548a016768da9c3',
        387748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d863c5f73286456089b17002091215131bee96b55b1d044efa5d532e77fda7c',
        381204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Commissioner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Commissioner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Commissioner
  static TextTheme commissionerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.commissioner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.commissioner(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.commissioner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.commissioner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.commissioner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.commissioner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.commissioner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.commissioner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.commissioner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.commissioner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.commissioner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.commissioner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.commissioner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.commissioner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.commissioner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Concert One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Concert+One
  static TextStyle concertOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd38d42d2ef1dd203b2075661eaaba8d085cf901efdc1f15f7568056764a63eb',
        43400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ConcertOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Concert One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Concert+One
  static TextTheme concertOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.concertOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.concertOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.concertOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.concertOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.concertOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.concertOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.concertOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.concertOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.concertOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.concertOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.concertOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.concertOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.concertOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.concertOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.concertOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Condiment font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Condiment
  static TextStyle condiment({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f25113d229011630d8cd964746dd2b857abd7a0dfdd7d792fab499120e7a3b',
        41128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Condiment',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Condiment font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Condiment
  static TextTheme condimentTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.condiment(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.condiment(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.condiment(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.condiment(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.condiment(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.condiment(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.condiment(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.condiment(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.condiment(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.condiment(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.condiment(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.condiment(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.condiment(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.condiment(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.condiment(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Content font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Content
  static TextStyle content({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d8ce85750912e1aed8e23bf58017510e1739dc094a695068bc296e5e54e755',
        193252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e1068f6ed444701151b2b6d714e2094a5b9ef9d7ed4e2a17fa3accce33717f5',
        186640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Content',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Content font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Content
  static TextTheme contentTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.content(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.content(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.content(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.content(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.content(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.content(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.content(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.content(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.content(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.content(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.content(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.content(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.content(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.content(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.content(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Contrail One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Contrail+One
  static TextStyle contrailOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d422fa68e3267a4af3d34ddb094ace21b1aef908bfae46f9ec2f6542417329b',
        28680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ContrailOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Contrail One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Contrail+One
  static TextTheme contrailOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.contrailOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.contrailOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.contrailOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.contrailOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.contrailOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.contrailOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.contrailOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.contrailOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.contrailOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.contrailOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.contrailOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.contrailOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.contrailOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.contrailOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.contrailOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Convergence font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Convergence
  static TextStyle convergence({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '749c0f95f2d86a65358045987defdda7a8ba5af45b411fad63c2077b501bdd64',
        25296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Convergence',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Convergence font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Convergence
  static TextTheme convergenceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.convergence(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.convergence(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.convergence(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.convergence(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.convergence(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.convergence(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.convergence(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.convergence(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.convergence(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.convergence(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.convergence(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.convergence(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.convergence(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.convergence(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.convergence(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cookie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cookie
  static TextStyle cookie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77c85281556d4aa76d7a48c60158f6c64dc848ac9215f153a8759840cf05e94e',
        41596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cookie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cookie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cookie
  static TextTheme cookieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cookie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cookie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cookie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cookie(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cookie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cookie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cookie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cookie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cookie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cookie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cookie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cookie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cookie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cookie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cookie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Copse font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Copse
  static TextStyle copse({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10db98db9ca313344771e25ebea87ffb24ab2d4300a196ebc72541df4ef7180e',
        49732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Copse',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Copse font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Copse
  static TextTheme copseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.copse(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.copse(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.copse(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.copse(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.copse(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.copse(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.copse(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.copse(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.copse(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.copse(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.copse(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.copse(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.copse(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.copse(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.copse(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Corben font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corben
  static TextStyle corben({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '275a2448fcdfb99d20a90a047ce6e81b0a05b2befbc3e96025ab67ef16b17823',
        33868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7feed34c135b320684a77b188f80b0a22a0d38a77837632fbcec3659b54c590c',
        70052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Corben',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Corben font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corben
  static TextTheme corbenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.corben(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.corben(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.corben(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.corben(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.corben(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.corben(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.corben(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.corben(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.corben(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.corben(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.corben(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.corben(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.corben(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.corben(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.corben(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Corinthia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corinthia
  static TextStyle corinthia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48312e4cc29a5ad3b7b9a476239ca436889df20bf27cb0c8d5fd39ce770ae1ac',
        111160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ede762f904f5793b7957d1600bbb92dc091acb515afe54b6358e8730ae53baf8',
        107260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Corinthia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Corinthia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corinthia
  static TextTheme corinthiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.corinthia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.corinthia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.corinthia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.corinthia(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.corinthia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.corinthia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.corinthia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.corinthia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.corinthia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.corinthia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.corinthia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.corinthia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.corinthia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.corinthia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.corinthia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant
  static TextStyle cormorant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1142a05c4094ef76d2cdaf89849fe432cc06d0433b65ec99221cc714563b2f6f',
        176612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82b996a3a157f23d50621f342e20ce67f285d3c6c3d5c8dd6907b36929a3be1f',
        177140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '570e7105bd8e4cb05a3809266a17d871692c054c0291bcac304c5d7d37c9eedc',
        177300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94ed9111aac73d045ce3b5a87b097b24baeb9246210bb9947d5cd826682c337a',
        177288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54358e62726d288c4b6e89e402fc6c9d50698a36d492dd41892d7ede27c00386',
        177104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd92566053bfc687f51667611f8ba3d62a7596e709ef8601e2b70131586d71bd',
        175556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f81c3be6cbfcaa083a162774e9833de84c5d903095ce3bebd55336729f96ad7c',
        175744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c4a005bb401ea64d33f5d5836b5a5cbe49c568ea8f2cc6acbc8552fb817e9f91',
        175872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e6382d099df9606a4b0645f1900d5c7f42f1b8b3e9b781aea13c070f0bbc4e9',
        176008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6d07034e57fa03ca9c22aaa5c4fa82e1fb8d31f0f3efe40655fd71c20c9995d',
        175672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cormorant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant
  static TextTheme cormorantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cormorant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cormorant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cormorant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cormorant(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cormorant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cormorant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cormorant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Garamond font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Garamond
  static TextStyle cormorantGaramond({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a68bb17633c90d4a61a6400d4f70c0f1186ddf633dcddc99c01e70cdf697d8e6',
        302244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1bf73172661ab2e85e99881c6c2fc03afdfbc882e2bddffe447d6b60e09ae8bf',
        305892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9113a1c202f34095f3fc77946f898788155df39375bf5bdf9796073520705d62',
        301772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d13eb312e4c8419f018a0a22cb1e55978b26734daa2fbb785ed1d4706eadfb3',
        304504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bb682a52f49d07358ddc73a4e991d5542f19b1830bf17c8249a391e93b22bed',
        300492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f917f34804546e0b7ff3625ed0c5b35d3680d797d94e498ceae291afae007550',
        304452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a926d60b204bba11573b39cff206b85a33f4b66aefe5abbbe4c55ccd2a59338e',
        300208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '726dca0a4974231bb9c08f2e753abe886499f76632954fc62406be6f578c8e1e',
        304640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93d4398e39eaad183f478fc6d9ec7c22cd2d6eba2f5d0a13de6f50c10bcaae2a',
        300872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '901aeaa15ef782d1428db894defc92ba23373703549c6619b6f79de6bbad697c',
        305028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantGaramond',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Garamond font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Garamond
  static TextTheme cormorantGaramondTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantGaramond(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantGaramond(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.cormorantGaramond(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Infant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Infant
  static TextStyle cormorantInfant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a23360d9f3b94415f8e6c9a80df270d5da682b06038fc2816fcb98ec6375b88b',
        276608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0935990f4b333826edad9f01252298b942bf0ca48c9b529f4a4fcbb03ddbeabc',
        311840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13c09b57dcd6062e329f427dc674262001d6112a45b00bd8279451478b9c2f66',
        276304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba5a5e9249067cced40f15b010c087f369a991c16c8479480efbaacc6bbcf0a2',
        310796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37e37d21132be2b3c2f5ff4640d83079fc634e4d3fb90c1e886b827f824ffa94',
        275056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcff2c189dc51658e3506eb4af2fc9ea3b09643778d7b1ff945bac12c1ed5818',
        310524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cce6210d62f0c29b7221f893ef90b11c0aeadcd2744b7e6a5a62b3d075802433',
        274764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5f40efb08626daeb0d7241cc46994d09fe9cba82b5931f57e55597433080eac',
        310632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60221fc858125b0751cd912f39b190bf266b8ba3aeb210fd08ece61db557f286',
        275120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55539cb008d290ab49c51e188fceb1ce1a47b514c1d125e9d03a5d9a80d2896c',
        311196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantInfant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Infant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Infant
  static TextTheme cormorantInfantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantInfant(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantInfant(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantInfant(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantInfant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantInfant(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantInfant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantInfant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantInfant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantInfant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantInfant(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantInfant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantInfant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+SC
  static TextStyle cormorantSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34fee8b7b1a02086937d6a8e25ead8f9dbba8c5b32515c9dfbdf9ccae018e1cc',
        290724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58af4631cef1b8fca92a5d9187e5783e5431b8372c8bc57c7b9bad49500a1ba8',
        290340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22a9e7a1d447dceb26697b3346eaf4a0300b3d218ef0398514d39f6dbb5e3cf0',
        290352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87fa7fbb2a1caeb1b96b38b4cdfeb7d24aaeb4ff2729c91796fdde2fadfafef9',
        290364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9249ba5feff978435d173d314f1e1d21b545a98724442694a7926116e034fbfe',
        290868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+SC
  static TextTheme cormorantScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cormorantSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cormorantSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cormorantSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cormorantSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Unicase
  static TextStyle cormorantUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '858ae41b679e49bf39cad26281aabd0e86e2c0877c66c4e658d01770b8ce02ca',
        291576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '164b2c2c5cc6978086ae03910d54e7658d7617b7eeff0d58effc4807bfd895ea',
        291168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78eda3c33c0a435505510e5b7ca05a95fe0ad7090775b05bbad4d22c0e371ea7',
        290876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caf40b3fe0b2b63c017a9c88bc54c9f0e9e8817772efee838a248370b56f73de',
        290796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd916f52905377a93760e1f69c6a41a41df048a7094b9af0a22cf9509df9363c',
        291300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Unicase
  static TextTheme cormorantUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantUnicase(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantUnicase(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantUnicase(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantUnicase(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantUnicase(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cormorant Upright font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Upright
  static TextStyle cormorantUpright({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b589bc3e9e4ddc0e2e21f4ff3f1688e08e8d444c535240064c3d727d9248d24',
        111264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54cd1bef24c5270e7d56f311b48c977dc6fbc006a6b42383e81a0aab1c806618',
        110980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9878dcf498bc05422d20abe3b48f74256f6e19c0687d94b8951ccfb038ad4341',
        111080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54041f3ef183d9c97e3d5d446ebd671ff804ccb038cbd64636ae462fd6004b94',
        111132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6289fbf18ce1e4d0de940f86fcaca19d79675f253fc70dc1eed1ee35029bb48',
        111556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantUpright',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Upright font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Upright
  static TextTheme cormorantUprightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.cormorantUpright(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.cormorantUpright(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.cormorantUpright(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.cormorantUpright(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cormorantUpright(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cormorantUpright(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cormorantUpright(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cormorantUpright(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cormorantUpright(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cormorantUpright(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.cormorantUpright(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cormorantUpright(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Courgette font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courgette
  static TextStyle courgette({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d0e48c3d3c9de3b939f7a371e2e81231c4d20a23a6748d9287af4ad1b3b33d',
        89392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Courgette',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Courgette font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courgette
  static TextTheme courgetteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.courgette(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.courgette(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.courgette(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.courgette(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.courgette(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.courgette(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.courgette(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.courgette(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.courgette(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.courgette(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.courgette(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.courgette(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.courgette(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.courgette(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.courgette(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Courier Prime font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courier+Prime
  static TextStyle courierPrime({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c663b4bd4408632c16df88cb5becf645bd23aa7563c1b659812ff2a7180bdd',
        40588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2b616914b945028bd5b6ccac335cb9c22e1f47e6794b522f950fa96be561cb3',
        46896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3582ee7eb6218b41b0138232611b1d9226c050c3cf710c34b46419a42c7fde3a',
        42136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c3d69c3695a34188082a2d745a3d63f899dcf0e94ac9a5e0beafa479cc6fae8',
        47340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CourierPrime',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Courier Prime font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courier+Prime
  static TextTheme courierPrimeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.courierPrime(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.courierPrime(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.courierPrime(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.courierPrime(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.courierPrime(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.courierPrime(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.courierPrime(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.courierPrime(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.courierPrime(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.courierPrime(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.courierPrime(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.courierPrime(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.courierPrime(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.courierPrime(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.courierPrime(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cousine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cousine
  static TextStyle cousine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b143da71b1fdfbefe381ecc3cfc5714bd0541cf3edfbd8d86c3621cbf7f4a8f',
        184164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ba17f9422c7348009c4623259cab2978148f56050d74be16cca3f964c926d73',
        192900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03da23bf9caa8a4876cca1839693b94559fbb03b4d69c259b6b5fbb5e3c8fa88',
        183872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02be09465bec5f224c87625b2edac2c398f194ebf3361eda360f1d37aa9098fd',
        191964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cousine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cousine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cousine
  static TextTheme cousineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cousine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cousine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cousine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cousine(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cousine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cousine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cousine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cousine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cousine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cousine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cousine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cousine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cousine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cousine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cousine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Coustard font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coustard
  static TextStyle coustard({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '718b11e5836f805b0b4aaf2deddfd5ef8df7cd81855f8beb15c3c654efd3277f',
        38344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b91d766b1e97201a8aa83355b5d75de1de793568ec772b204ce8ade197b064f',
        40932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coustard',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coustard font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coustard
  static TextTheme coustardTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.coustard(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.coustard(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.coustard(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.coustard(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.coustard(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.coustard(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.coustard(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.coustard(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.coustard(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coustard(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.coustard(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coustard(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.coustard(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.coustard(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.coustard(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Covered By Your Grace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Covered+By+Your+Grace
  static TextStyle coveredByYourGrace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e97b421a3661d31c57a3a2281f63741b3d30944a5094ac86369a12014850e2ee',
        39356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CoveredByYourGrace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Covered By Your Grace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Covered+By+Your+Grace
  static TextTheme coveredByYourGraceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.coveredByYourGrace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crafty Girls font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crafty+Girls
  static TextStyle craftyGirls({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d11cfb5cb4048cd1d628c1abb25273443443348f154c2e58b1969395366076a',
        60096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CraftyGirls',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crafty Girls font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crafty+Girls
  static TextTheme craftyGirlsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.craftyGirls(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.craftyGirls(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.craftyGirls(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.craftyGirls(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.craftyGirls(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.craftyGirls(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.craftyGirls(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.craftyGirls(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.craftyGirls(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.craftyGirls(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.craftyGirls(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.craftyGirls(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.craftyGirls(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.craftyGirls(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.craftyGirls(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Creepster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Creepster
  static TextStyle creepster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4c59544eb7330e9331c480843fe735f153ee32ad4f630e293d882c81294744c',
        60620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Creepster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Creepster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Creepster
  static TextTheme creepsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.creepster(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.creepster(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.creepster(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.creepster(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.creepster(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.creepster(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.creepster(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.creepster(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.creepster(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.creepster(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.creepster(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.creepster(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.creepster(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.creepster(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.creepster(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crete Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crete+Round
  static TextStyle creteRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbc41e1b280c0a6540d428aa8cd5ea13cffe84191c790d303a0507ed31a458d1',
        55160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07b6cc05a4db88b09d577f6e7f9fe6f4df382f2ee735c0960bc60ab1dbe3025e',
        63024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CreteRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crete Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crete+Round
  static TextTheme creteRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.creteRound(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.creteRound(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.creteRound(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.creteRound(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.creteRound(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.creteRound(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.creteRound(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.creteRound(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.creteRound(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.creteRound(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.creteRound(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.creteRound(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.creteRound(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.creteRound(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.creteRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crimson Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Pro
  static TextStyle crimsonPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b63ed2be6f10d5fe6b0f133b6787a5d3517c9d2a58a56ec5baf18d37ae59589e',
        98492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55844fdd3a33d5043bf4500fe69209aef4acd0c041d63fa758fdf06cab8700b0',
        98560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13d24c495b01abc96e76410f363677cb5b6edafa4345e4fdb9be48dddd4cd772',
        98500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ced236c5dc28441be0ef0acb9ed211805d39d053930b92b3dff1db07e592d132',
        98608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f89dcdbae3b49bd1f184359704139bdc060e3be12af631818edc760bb5821110',
        98660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed7688a0c6554dd9884b99980a5a168eefeb7cbdb17624846031ef69eb3d28d',
        98540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3300cdf4d066d9bc5dbdc26f694115043ce0425f34ccddd632c04e2987788c51',
        98644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b6859a98d294baa2ad68f864296512eec10eb923a96dafe1ece04655443cfb3',
        98644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2faf99f72226c6ae0a03555cac955701543f2881669669e4c3923666adf1b86d',
        100556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e4f0ddc148074d2e83733b8c2982dd4c5af68fcb4d8f545c6b900a1a6f78ac1',
        100524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '28fe4ab36b7e8839e9367039a988c4b4bb4cf159b99a411ddfa865240fc63cc6',
        100328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd517344517bb771dd24511c143bcd0b96174787189d00ce26ac916890a3c0280',
        100400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8d1fbeecd3cc05c68b3bb736158841495bcf4132181c99e7dc338210a9923d0',
        100372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c8be73539e8b039cf0443b81133752cfee8e7bd612adc51f3185b0d4a1f2052',
        100316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30f52b031f800a181e44723c9adad123e917263b463fd2fe12b57295f876cef1',
        100524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '169d7998db86d42e4922fc221f521846ba588e08737222c917e2488a7d159cc2',
        100552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CrimsonPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crimson Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Pro
  static TextTheme crimsonProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.crimsonPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.crimsonPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.crimsonPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.crimsonPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.crimsonPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.crimsonPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.crimsonPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.crimsonPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.crimsonPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.crimsonPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.crimsonPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.crimsonPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.crimsonPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.crimsonPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.crimsonPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crimson Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Text
  static TextStyle crimsonText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72cb26f7c1b23386474070900c55abd2018f9ea59dde059487189c0925a08253',
        73596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '205b67f39e5a57f53bece9bb67bf649cced8bda2cad53fe992edbefeca8b6606',
        73992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1050dd76cf0efc5d56f724d78a3b9a4c8a7c5c697d6137013eedb2112c726fd6',
        73616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dc40486da6eb53a12c1917030b0bb3a4912dc188499eb5989818f11141f8ac5',
        71944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13ce1fca3c0d0c2bf81f0907c0cc62032ba5cfb6f73f571515f3de2e75c1e853',
        72944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '41fb55252a43c03a78dfd2ea10bb953c9827870eead6927e0fedeeb745ebcb56',
        74276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CrimsonText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crimson Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Text
  static TextTheme crimsonTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.crimsonText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.crimsonText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.crimsonText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.crimsonText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.crimsonText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.crimsonText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.crimsonText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.crimsonText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.crimsonText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.crimsonText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.crimsonText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.crimsonText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.crimsonText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.crimsonText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.crimsonText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Croissant One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Croissant+One
  static TextStyle croissantOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b4ea03ab0a75360f5878c7d5097cbfaaf33b19ed69a8f9877074283e107c1d3',
        49048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CroissantOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Croissant One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Croissant+One
  static TextTheme croissantOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.croissantOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.croissantOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.croissantOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.croissantOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.croissantOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.croissantOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.croissantOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.croissantOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.croissantOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.croissantOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.croissantOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.croissantOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.croissantOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.croissantOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.croissantOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Crushed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crushed
  static TextStyle crushed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b62623cf925f80cb7e40759a83ee345032cbf0b8a031271fdf675deb2daf995d',
        42256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Crushed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crushed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crushed
  static TextTheme crushedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.crushed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.crushed(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.crushed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.crushed(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.crushed(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.crushed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.crushed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.crushed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.crushed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.crushed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.crushed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.crushed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.crushed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.crushed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.crushed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cuprum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cuprum
  static TextStyle cuprum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf53e1136ba9b14993ba8e4281c9d944608238e29e7a7488527f75b55caa1a5f',
        55172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a74e4170819294c141df4154ddec4477d2055dea7d7cd491fc229145a7f86f6e',
        55300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f1302764226590cf3d66b0e492f27907d7cb2467c19c690ac61887172ea5c81',
        55300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec1de5ea144972f705763edec39ef6b4fd86be35ce4e2635704e04ce28118fc7',
        55092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80c1baf5577bc179acdc27deea8df3b3d1758d5f99c3fbdc434f280cf2d965c2',
        55400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67e10c81af73c0a4f98f5bc125d988406d4edf10595eaa833f22ec73e9b766c1',
        55584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a89392d5c01d206833302fa1e88a7a34a2fb275cacc8c73d5062a036dd10c6d9',
        55572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f919d59f4b00bae780fef63ed81b157bc4b80ab05940e49b63563847dfe8b46d',
        55388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cuprum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cuprum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cuprum
  static TextTheme cuprumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cuprum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cuprum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cuprum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cuprum(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cuprum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cuprum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cuprum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cuprum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cuprum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cuprum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cuprum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cuprum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cuprum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cuprum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cuprum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cute Font font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cute+Font
  static TextStyle cuteFont({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '326b2715a7a31d46f77e4718da0160184644ddbe94010f691e855bb5af665d10',
        598520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CuteFont',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cute Font font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cute+Font
  static TextTheme cuteFontTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cuteFont(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cuteFont(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cuteFont(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cuteFont(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cuteFont(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cuteFont(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cuteFont(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cuteFont(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cuteFont(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cuteFont(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cuteFont(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cuteFont(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cuteFont(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cuteFont(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cuteFont(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cutive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive
  static TextStyle cutive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5248c31c00f8649b044a30d21c83791259bf2e1c6bf7224099ff1dec4a48870',
        39420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cutive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cutive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive
  static TextTheme cutiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cutive(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cutive(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cutive(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cutive(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.cutive(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cutive(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cutive(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cutive(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cutive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cutive(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cutive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cutive(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cutive(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cutive(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cutive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Cutive Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive+Mono
  static TextStyle cutiveMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3392c83ef54cf9c7ef81f92dfe05599b0bd13d6d0e586adbe3d3a9d4b90510',
        45272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CutiveMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cutive Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive+Mono
  static TextTheme cutiveMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.cutiveMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.cutiveMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.cutiveMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.cutiveMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.cutiveMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.cutiveMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.cutiveMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.cutiveMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.cutiveMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.cutiveMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.cutiveMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.cutiveMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.cutiveMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.cutiveMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.cutiveMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextStyle dmMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ae1dcd3e30b487c5b9221705013dff38c3c94370c07956d09f2faa67db3c4fa',
        27896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f1c8469435a21c7ae326b8b61a32f1c7c46cc84e473c2bec4ad2af3baad1c70',
        29060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fe81b2f4e0e8f87698074e93b8a90c8cf3fe17fbc127ae7afbd4134959dfef1',
        27932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a86b7a0e471f80e1f49a6948fe5a7c06973b91b8af2017ace3fe17d67f54dc83',
        29072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1be6f881f78f56189085cfd7ce67d7a245e300a7b88125f0ad9d9346cc7947bf',
        27776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30a08f2a3d89313af69fdb4fbe14b50abaab82ce549d39772068bf340ad411ca',
        29096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextTheme dmMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dmMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dmMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dmMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dmMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dmMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dmMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextStyle dmSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea3fd780db622f06615984cd688b2d14c0234e15b41bee8c0ac27e33cac1dfe1',
        44044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9975f59c66d0c81b7716f9dfe947cf32054779734fe7f7eca6aae959cd74090',
        45136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65de9b8be43567592244a60aa4c520cc067dbf93baa9b6a7bd441613df8d2ee6',
        43836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d0eacd2fd27d882a7dd669efca810ebea9c827c7d03f1255e8e611b10611a51',
        44996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733aea02d16ad4148545e2c0c75be17b5bf810400482f7f958e2fa7690c15622',
        43760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '128de4fb106cfb5faf93f202681c0256d96c415f8ae75ec2894b24251e4427ca',
        44932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextTheme dmSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dmSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dmSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dmSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dmSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dmSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dmSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextStyle dmSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0590327af223c25d31ee96d2b1b41fa509f165f3e96232d98756dbbe9628331',
        52616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c9df598f6b9da3713f611de3f522fb41770ff4b80ea03a11439836157ed66c87',
        50568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextTheme dmSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dmSerifDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmSerifDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmSerifDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmSerifDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmSerifDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmSerifDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmSerifDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextStyle dmSerifText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e11cc107419850f5a46e79d618531de1ec3ebe1fc3e2f6767e17b3d3c81bf5ba',
        52664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b62c28d4804e998c3d6dcb7832d3c87a55a47fe16e8dd833db1261bef00a8f17',
        50372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextTheme dmSerifTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dmSerifText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dmSerifText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dmSerifText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dmSerifText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dmSerifText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dmSerifText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dmSerifText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dmSerifText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dmSerifText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dmSerifText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dmSerifText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dmSerifText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dmSerifText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dmSerifText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dmSerifText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Damion font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextStyle damion({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d625c14324a2a339caf3816f5e3ce355702b16814eb59349eeb0e9058975479',
        35916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Damion',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Damion font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextTheme damionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.damion(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.damion(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.damion(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.damion(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.damion(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.damion(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.damion(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.damion(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.damion(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.damion(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.damion(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.damion(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.damion(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.damion(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.damion(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextStyle dancingScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27e93f8e8adcc5d22686950b80006cb51bba52c04c1fe8d557897f9a52021b13',
        76316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3add8f13167436c263ca0f4c25e772e5470a2fc1a37ccafeee63d81956647894',
        76648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fbe7ef035be86813577ae0035cc84ddc2d67cb0f1c3aebaa0dd0d54da29f4c6',
        76640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35fa1edc074227f29e36b91546fde7efd9e51005da8b6ed383f403ea4c5a5efe',
        76568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DancingScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextTheme dancingScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.dancingScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dancingScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.dancingScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dancingScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dancingScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dancingScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dancingScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dancingScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dancingScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dancingScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dancingScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dancingScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dancingScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dancingScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dancingScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dangrek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dangrek
  static TextStyle dangrek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d8649a4f694afb937d30c0c8e5854361aa7ea71c89b7326994d57f9ff36fc4f',
        38952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dangrek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dangrek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dangrek
  static TextTheme dangrekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dangrek(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dangrek(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dangrek(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dangrek(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dangrek(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dangrek(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dangrek(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dangrek(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dangrek(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dangrek(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dangrek(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dangrek(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dangrek(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dangrek(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dangrek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextStyle darkerGrotesque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b77be34dcbe44e74db98e340ef8caf0189d20f735519b794683a197ffd1f3cea',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8e748d9075557b75f20df2fe666e5b928f97a3b74dc0357af5d3b1657b1f130',
        42704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1955078f8fe1df50dcc44abd377812b8791d3efa969646b7f508672f32ebd793',
        42568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9cadbe222526117fc2747b9628ac625ee58c345a4c9ae2285b54884f964826e8',
        42552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd096966fd82b2cecb37d84639126c67d7adaffc7ebb063a3ecbed467c2548575',
        42600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a355011940681fa0ee27eb21be7cc6bea530cb999d971d8226bdd7dbaa10a289',
        42632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea395ac409487f4029a97e026dfffb5b7f57d58dd0ed945c9224216974e87f5b',
        42032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DarkerGrotesque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextTheme darkerGrotesqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.darkerGrotesque(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.darkerGrotesque(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.darkerGrotesque(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.darkerGrotesque(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.darkerGrotesque(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the David Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextStyle davidLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a7d9942837dd1f89fe9b7dd51390a88590e8c74c930548703286c11e788eba4',
        85096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd171dce8d2f35bd090eeb5ea608bf98b9dcdd704b104fecbdb92b6594b1a879f',
        85472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c3765b830f5a2cec3a7597a4bafbff60e34c365939d15ff17b8e69b2b9037ff',
        86428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DavidLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the David Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextTheme davidLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.davidLibre(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.davidLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.davidLibre(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.davidLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.davidLibre(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.davidLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.davidLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.davidLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.davidLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.davidLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.davidLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.davidLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.davidLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.davidLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.davidLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextStyle dawningOfANewDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db188b33d83036a8b4aba5312fb49f7e6e7e0e4d053cdd4c3a693a8df962791a',
        50148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DawningofaNewDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextTheme dawningOfANewDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dawningOfANewDay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dawningOfANewDay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dawningOfANewDay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.dawningOfANewDay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dawningOfANewDay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Days One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextStyle daysOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5de557d3d318c030d2f860d11801169344e04990a38a409b0329cea03be26984',
        62680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DaysOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Days One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextTheme daysOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.daysOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.daysOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.daysOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.daysOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.daysOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.daysOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.daysOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.daysOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.daysOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.daysOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.daysOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.daysOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.daysOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.daysOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.daysOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dekko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextStyle dekko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dd7e8769ff375e9ffe10f5e46001511a988171bcbc0fa9c46a6f96ce9e4b137',
        204816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dekko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dekko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextTheme dekkoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dekko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dekko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dekko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dekko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dekko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dekko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dekko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dekko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dekko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dekko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dekko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dekko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dekko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dekko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dekko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextStyle delaGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7927335a56f8fd3b616713d4e06ee226ad7fecfd8668381a2c136887d3d69b91',
        2477252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DelaGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextTheme delaGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.delaGothicOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.delaGothicOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.delaGothicOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.delaGothicOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.delaGothicOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.delaGothicOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.delaGothicOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.delaGothicOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.delaGothicOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.delaGothicOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.delaGothicOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.delaGothicOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.delaGothicOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.delaGothicOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.delaGothicOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextStyle delius({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '833636b4bfb740ea6d20bb13c01931ebe7da28b4898ad288ddf4c194cd46d30c',
        58232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Delius',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextTheme deliusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.delius(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.delius(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.delius(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.delius(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.delius(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.delius(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.delius(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.delius(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.delius(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.delius(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.delius(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.delius(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.delius(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.delius(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.delius(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextStyle deliusSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30ef563e0298b997ac35ffce41de618cdbd0bc9f6b1ba191ede7054ef7f5af60',
        60024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextTheme deliusSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.deliusSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.deliusSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.deliusSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.deliusSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.deliusSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextStyle deliusUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00cd6d90b4a74bbb116fddb53571bf25f06676ed66d1a38cd4c0c5fba99f7f6b',
        31020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cba1afde6fa5d11731f11e07f2f12e1ec035a73f529ad2691dbf2d70018b53ae',
        34376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextTheme deliusUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.deliusUnicase(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.deliusUnicase(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.deliusUnicase(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.deliusUnicase(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.deliusUnicase(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.deliusUnicase(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.deliusUnicase(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.deliusUnicase(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.deliusUnicase(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.deliusUnicase(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.deliusUnicase(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.deliusUnicase(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.deliusUnicase(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.deliusUnicase(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.deliusUnicase(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Della Respira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextStyle dellaRespira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00d7e4d30cad47dce8c7f95a871334aff01cec71e66531f353292917c9d6a198',
        48160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DellaRespira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Della Respira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextTheme dellaRespiraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dellaRespira(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dellaRespira(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dellaRespira(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dellaRespira(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dellaRespira(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dellaRespira(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dellaRespira(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dellaRespira(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dellaRespira(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dellaRespira(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dellaRespira(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dellaRespira(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dellaRespira(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dellaRespira(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dellaRespira(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Denk One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextStyle denkOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '608b6fc73c5343df9e8723726371121dfeb1e0be01a7e1fc32ea06393d0fc515',
        33244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DenkOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Denk One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextTheme denkOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.denkOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.denkOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.denkOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.denkOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.denkOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.denkOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.denkOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.denkOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.denkOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.denkOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.denkOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.denkOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.denkOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.denkOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.denkOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Devonshire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextStyle devonshire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fbf7bbf6fd4e825df02fa0cd37bd37d98933a92b45f92ff3c3b1213a6eeee9e',
        64116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Devonshire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Devonshire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextTheme devonshireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.devonshire(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.devonshire(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.devonshire(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.devonshire(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.devonshire(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.devonshire(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.devonshire(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.devonshire(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.devonshire(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.devonshire(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.devonshire(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.devonshire(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.devonshire(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.devonshire(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.devonshire(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextStyle dhurjati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e06b9c1c36e73d9d4d5cb7c7d2eb51c8b029d00facc23005f4717beaac614ef',
        534564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dhurjati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextTheme dhurjatiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dhurjati(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dhurjati(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dhurjati(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dhurjati(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dhurjati(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dhurjati(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dhurjati(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dhurjati(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dhurjati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dhurjati(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dhurjati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dhurjati(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dhurjati(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dhurjati(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dhurjati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextStyle didactGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9694ffb16aef2c04301a88258e411c95f54a78eb137b3e7ad29d860418cd1fc',
        117724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DidactGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextTheme didactGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.didactGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.didactGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.didactGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.didactGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.didactGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.didactGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.didactGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.didactGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.didactGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.didactGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.didactGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.didactGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.didactGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.didactGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.didactGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Diplomata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextStyle diplomata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a75c37c46e38f4b38698a67e7f5482372ce6dfe3e4305e5ab698b1d2b21b1580',
        40776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Diplomata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextTheme diplomataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.diplomata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.diplomata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.diplomata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.diplomata(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.diplomata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.diplomata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.diplomata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.diplomata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.diplomata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.diplomata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.diplomata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.diplomata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.diplomata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.diplomata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.diplomata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextStyle diplomataSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dfe7b4cb98880885fec13061bc1ea1b843cf805711832b4d739523f47e56a1c',
        39876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DiplomataSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextTheme diplomataScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.diplomataSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.diplomataSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.diplomataSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.diplomataSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.diplomataSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.diplomataSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.diplomataSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.diplomataSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.diplomataSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.diplomataSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.diplomataSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.diplomataSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.diplomataSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.diplomataSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.diplomataSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextStyle doHyeon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26bf1c3b4d19228a42f6df99401f14e5ee705f55c4336075b3d8d706967f141b',
        408348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoHyeon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextTheme doHyeonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.doHyeon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.doHyeon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.doHyeon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.doHyeon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.doHyeon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.doHyeon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.doHyeon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.doHyeon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.doHyeon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.doHyeon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.doHyeon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.doHyeon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.doHyeon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.doHyeon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.doHyeon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextStyle dokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b826664b7ebec5b83d786d3aa47c345158ef861e1e6b2fe91d250bcb6bdc9b5',
        1385692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextTheme dokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dokdo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dokdo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dokdo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dokdo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dokdo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dokdo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dokdo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dokdo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dokdo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dokdo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dokdo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dokdo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dokdo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dokdo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dokdo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Domine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextStyle domine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46d7874196f766f51948f261916e3eca65ccd98c5427a84c678b2099d3bab5e0',
        64464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6f826c4056482add6da48619d00eeaa72929570251084f62fab6f71fe67e610',
        64636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e051d0c2bbb43e2b920bdf71c560e7dfa1dff2b50f590e33182b03b3219ecd6',
        64604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c18819376337ea3042faccd64f85ef1a687e49535fede7ccc8c84ed421c6ed0',
        64548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Domine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Domine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextTheme domineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.domine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.domine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.domine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.domine(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.domine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.domine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.domine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.domine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.domine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.domine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.domine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.domine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.domine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.domine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.domine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Donegal One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextStyle donegalOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fb7eda6511d531b65ad80e28a9a6a94466a32d537a02c809764edb53dbde469',
        41324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DonegalOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Donegal One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextTheme donegalOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.donegalOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.donegalOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.donegalOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.donegalOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.donegalOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.donegalOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.donegalOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.donegalOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.donegalOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.donegalOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.donegalOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.donegalOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.donegalOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.donegalOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.donegalOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dongle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextStyle dongle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00cf800a1961d54767175112d3fc5714a35af62105ea002d0013af47e6a5ed45',
        4386532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22511e15c764953ca20404f9799b77345c9e1087ebd7110a6863b812f1d912c2',
        4456124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aab04b03581d5f427450ebdf2bc4412ba797d22a00d3399417aff167053ce079',
        4474064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dongle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dongle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextTheme dongleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dongle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dongle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dongle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dongle(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dongle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dongle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dongle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dongle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dongle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dongle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dongle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dongle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dongle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dongle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dongle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Doppio One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextStyle doppioOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2eb94a5087c2e3c58fb5ece423e485a52abbc036bb14d81515e2402ba4bc36ee',
        33196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoppioOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Doppio One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextTheme doppioOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.doppioOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.doppioOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.doppioOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.doppioOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.doppioOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.doppioOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.doppioOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.doppioOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.doppioOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.doppioOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.doppioOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.doppioOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.doppioOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.doppioOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.doppioOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dorsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextStyle dorsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a472c28962bd1dda53e24cffef93e5dcac5fc01470e9907e5d2b263a36170b73',
        19104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dorsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dorsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextTheme dorsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dorsa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dorsa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dorsa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dorsa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dorsa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dorsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dorsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dorsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dorsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dorsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dorsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dorsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dorsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dorsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dorsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dosis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextStyle dosis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a2cb17cabd7cfc2009496afc21bc96331b93a5fc4d8b12de460222b6df4c2db',
        69040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26fffd331a655af19126888f6c2f4f57f1aab851cb9b1809d2ab6385851ac9a3',
        69196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9da858c28792a40846fb95ef228d39dc35862f3edfb2bd0f7cb2d772760d0c68',
        69296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20511c732f7539b0f5adb9536636b25e172858e79473b4df10cb60468e0d6a45',
        69212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee096e8f9bceff30e737fe8084a45267ba175ec57719abb6575be7adc69b42cf',
        69236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db417531455190f73d7e9324544442fdf7e53393dcbcb378a3226d9e6cc7a2e0',
        69140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c69f9044b39ff7a2a138ac059f9d64cf0efd8fe135977efeb487c7875d1c95',
        69132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dosis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dosis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextTheme dosisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dosis(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dosis(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dosis(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dosis(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dosis(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dosis(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dosis(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dosis(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dosis(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dosis(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dosis(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dosis(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dosis(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dosis(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dosis(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextStyle dotGothic16({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40377466cb907fabce0e94191ddeba5fa81a3dc0cd7620446c5781c965bfb4a1',
        1903464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DotGothic16',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextTheme dotGothic16TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dotGothic16(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.dotGothic16(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dotGothic16(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.dotGothic16(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dotGothic16(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.dotGothic16(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dotGothic16(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dotGothic16(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dotGothic16(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dotGothic16(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dotGothic16(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dotGothic16(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dotGothic16(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dotGothic16(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dotGothic16(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextStyle drSugiyama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cde035c1193b6baa89e0510b2ce029fed1de03c2063b35771482ff33af25c37',
        38004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DrSugiyama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextTheme drSugiyamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.drSugiyama(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.drSugiyama(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.drSugiyama(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.drSugiyama(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.drSugiyama(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.drSugiyama(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.drSugiyama(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.drSugiyama(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.drSugiyama(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.drSugiyama(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.drSugiyama(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.drSugiyama(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.drSugiyama(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.drSugiyama(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.drSugiyama(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextStyle duruSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07304c7df47fd6bda223cb6ea13bce9c55a57e0845aec6fb497d294b30219fe3',
        47188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DuruSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextTheme duruSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.duruSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.duruSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.duruSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.duruSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.duruSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.duruSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.duruSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.duruSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.duruSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.duruSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.duruSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.duruSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.duruSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.duruSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.duruSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the DynaPuff font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DynaPuff
  static TextStyle dynaPuff({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa36f9d064587796be9a48d1a70d2d5382922c3728680a0021512d123e04ce2d',
        87836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53f3e088e504285cc1886c59ed08a9fd83d49bc76c3e40fc7770210d722f5c78',
        87908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ecb165a809d131a4725e3aeefa30f036cf9c1e74a947fc09883741f75bd89a8',
        87916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43759fa924b6295419708b17abe290e5a09a66cae2ee1d438fe59a42f2a6d1bb',
        87784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DynaPuff',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DynaPuff font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DynaPuff
  static TextTheme dynaPuffTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dynaPuff(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dynaPuff(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dynaPuff(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dynaPuff(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.dynaPuff(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dynaPuff(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dynaPuff(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dynaPuff(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dynaPuff(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dynaPuff(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dynaPuff(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dynaPuff(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dynaPuff(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dynaPuff(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dynaPuff(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Dynalight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextStyle dynalight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d656427840124a6f17324cd1c01727ebaca1e150440feaa0ee0f293f449c2f0',
        49684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dynalight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dynalight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextTheme dynalightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.dynalight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.dynalight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.dynalight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.dynalight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.dynalight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.dynalight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.dynalight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.dynalight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.dynalight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.dynalight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.dynalight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.dynalight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.dynalight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.dynalight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.dynalight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the EB Garamond font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/EB+Garamond
  static TextStyle ebGaramond({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38709eb2e20559e79ddf16c7d8049255c5455d96c6cd4df4d56e7dd60596b657',
        448404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bfd34bfc2e768d7b94fa071c5ef2f5e442e577139d476c97de78cab07624ff1',
        450680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '536f367a36b43104614898d326ea1254f1aefc143335eb61f7ad795807236ba8',
        450940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '098c3f89784e0eca209de32b500eb727c2f1b0138ecb1ea7f337c97372e94bac',
        450624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0124f17935e46d2468775f5054c37b866d7add5d8dd23c2c8f020f7be561da2c',
        450280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b0d3a369e0b9ecd200d8f805e49f1d5d70a657b51c8db4db4623da67d4387c1',
        378292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7565fc4e334957ac56001fdef4d6ddbe0457ee4fc605d458392e14e177722d',
        380704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0dc81ef874ae360e559b0dc6eaec7e6e0d6fe20a061923c15eb115eb3bd2cd7d',
        381316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85016114ec5942e07f68e9d4e13d26cbfee1baa0fcdbf3b9efe39735e75fa94e',
        381124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '545027890489756327577ea6df3f71e8799bf1cf9469481752f99b80c5d66f22',
        380412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EBGaramond',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the EB Garamond font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/EB+Garamond
  static TextTheme ebGaramondTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ebGaramond(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ebGaramond(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ebGaramond(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ebGaramond(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ebGaramond(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ebGaramond(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ebGaramond(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ebGaramond(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ebGaramond(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ebGaramond(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ebGaramond(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ebGaramond(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ebGaramond(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ebGaramond(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ebGaramond(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Eagle Lake font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eagle+Lake
  static TextStyle eagleLake({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37657bc8d6ad807d09dc3f266aa43d0bfe2a6b66a7d999ce6cc7c63ded098237',
        75464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EagleLake',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eagle Lake font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eagle+Lake
  static TextTheme eagleLakeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eagleLake(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.eagleLake(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eagleLake(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.eagleLake(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eagleLake(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.eagleLake(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eagleLake(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eagleLake(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eagleLake(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eagleLake(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eagleLake(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eagleLake(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eagleLake(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eagleLake(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eagleLake(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the East Sea Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/East+Sea+Dokdo
  static TextStyle eastSeaDokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375d61621231b76bff40a1a2d7b33ea0123b05a852ec74352c29d9260e9a4f1d',
        3175636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EastSeaDokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the East Sea Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/East+Sea+Dokdo
  static TextTheme eastSeaDokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eastSeaDokdo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eastSeaDokdo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eastSeaDokdo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eastSeaDokdo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eastSeaDokdo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Eater font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eater
  static TextStyle eater({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e88bc1a538816fd0868fefe3d494210349747ed13bffb7b9f134a6eac24f44b5',
        82148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Eater',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eater font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eater
  static TextTheme eaterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eater(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.eater(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eater(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.eater(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.eater(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.eater(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eater(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eater(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eater(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eater(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eater(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eater(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eater(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eater(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eater(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Economica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Economica
  static TextStyle economica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8edd55d9d83f0b37b790137bcca4ac8b2eac0feeba4b3a181f56b4ad1a50f913',
        24796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63ee0d5cc96379aaa21d0371565eae90ec5ecb5dac6449fd580eff85b4e519d3',
        25752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '590aad532be8aee5a8172c0adb99977419aae3fac3983ebad4aba2a7d254d4a2',
        25232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43a7f8fd7302e1efde0aab289183eb919aa4cc8c2297ea9a0afe6e52e5f02f84',
        25040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Economica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Economica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Economica
  static TextTheme economicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.economica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.economica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.economica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.economica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.economica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.economica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.economica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.economica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.economica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.economica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.economica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.economica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.economica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.economica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.economica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Eczar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eczar
  static TextStyle eczar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf4735adfd749e2a0354cb2ffa47141278d82cec23cfe265fea456ea7b8c0dc2',
        253120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fae0ec8f7897993d1e9518193cdaf08c1a9ebed26b6e24fc568b19d206f9f1fb',
        253796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5589ad9160e7db1ef6d8a8dd0d62bef9137d3345472aeb8d13fed0d2e2fb82d5',
        253828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07d6d21e17a509a247fff3e548c6d58c001903b1c6d1779bc339db506a9e953c',
        254092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46ddb4295dccf91e568ccdd3a0f9a565f7aac25c968bdeb304b0380828751f22',
        253956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Eczar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eczar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eczar
  static TextTheme eczarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.eczar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.eczar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.eczar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.eczar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.eczar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.eczar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eczar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eczar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eczar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eczar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eczar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eczar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eczar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eczar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eczar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu NSW ACT Foundation font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+NSW+ACT+Foundation
  static TextStyle eduNswActFoundation({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12419c2e84c7f2625f31c9e53ae5804c6e7a0cf7e4d00955442aeeeb27c2c4d8',
        21208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68f712d02407b882932967928f32e4e18e4061b7ceb976dc75827045ce145ca1',
        21432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d7d38c1a9bf42850252ba714f721db20cb1af4117266234a4132468d143b502',
        21464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6d5a1e91ba065a11ea96e99e73d2700a9c53c072b4921b72245aef624d38f6',
        21384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduNSWACTFoundation',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu NSW ACT Foundation font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+NSW+ACT+Foundation
  static TextTheme eduNswActFoundationTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.eduNswActFoundation(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu QLD Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+QLD+Beginner
  static TextStyle eduQldBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '193505c8e289967f7aa630f7f305478aa89a8e4fe98d642ba1ca8f5374d6e3db',
        21300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2859ab860ad2f1388f3cd2545b500522157eb2dfd7b81eea8c0df3348390e7d0',
        21424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5aa983e4dd8526b17be781a43380887268b58c4f06d6fca9d46027be3b4ad9e',
        21428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd99a1d3e28a5595633d1cf9aa2f603b6ab84f2c016122e0726a4c7c582616e',
        21256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduQLDBeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu QLD Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+QLD+Beginner
  static TextTheme eduQldBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduQldBeginner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eduQldBeginner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eduQldBeginner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eduQldBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduQldBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eduQldBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduQldBeginner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eduQldBeginner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eduQldBeginner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eduQldBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu SA Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+SA+Beginner
  static TextStyle eduSaBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75e8d86ba869ed8ec9815fec08206a497f7df947771c1bb36b02d813dc7565fd',
        19820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7975b847ec03a75840e665c2b816995e72da1b8b1bba37e03afc35d6a9445c1',
        19852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e435e7c5da40aa65f899db5eb0b90e7ae761a1860b2a693b7925f948d1bf91ac',
        19860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e42f7d998c58043ddf1be7867dceedb3e730bf8871eabcd34e8be4c9b6ab1b6',
        19780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduSABeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu SA Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+SA+Beginner
  static TextTheme eduSaBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduSaBeginner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eduSaBeginner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eduSaBeginner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eduSaBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduSaBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eduSaBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduSaBeginner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eduSaBeginner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eduSaBeginner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eduSaBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu TAS Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+TAS+Beginner
  static TextStyle eduTasBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e15853d5b9e2f2f7616376da83d38356effa22e9d133eea57299531ab7b59602',
        20116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db0bee4124db89b9fbc1cbb6248ecd28186adef0d662193379bde3932ee755ec',
        20140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f27e3cc25bdd3743918974fb8ff42fc1fbf1c63c85e33c8977340671a237f18',
        20144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ea32241d69dab481e09ea3197fe9681a72929c3ea8d4ae5bfa05131bd7cdafa',
        20056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduTASBeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu TAS Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+TAS+Beginner
  static TextTheme eduTasBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduTasBeginner(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.eduTasBeginner(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.eduTasBeginner(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.eduTasBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduTasBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.eduTasBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduTasBeginner(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.eduTasBeginner(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.eduTasBeginner(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.eduTasBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Edu VIC WA NT Beginner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+VIC+WA+NT+Beginner
  static TextStyle eduVicWaNtBeginner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '593346f7bd175b7023d430ff1b2ca6948ca5bc62873524c0bcc2f115f60207f3',
        20196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da1dc79f8555f3a951997b8bcc18d508115c94fc92949eb03535b7d546529449',
        20272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6e728ff28e6501a20af7807d5e1a8a8677867fa611db26bb27ed044f9c540b8',
        20272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9728071bb7fdbf4c848d566d85ad02a1920f46034d4b3ded08fafccc74a1620f',
        20156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EduVICWANTBeginner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Edu VIC WA NT Beginner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Edu+VIC+WA+NT+Beginner
  static TextTheme eduVicWaNtBeginnerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.eduVicWaNtBeginner(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the El Messiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/El+Messiri
  static TextStyle elMessiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95d48243dec95fb9d7cd543e847934742c8782a4859537b408f3073290f56775',
        83700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eac380cd58e47fd2e81127e62710d976cc8922e6739def409c6d69e74c9c161a',
        84116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c991a033f9d58577412c146a433ff71f3f13547fe7da99b380971ad79b5c5e25',
        84236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b98f8a2438cdebed082f419d1b213f552b9f14a972002cf5cf2f13bfd256afb0',
        83844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ElMessiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the El Messiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/El+Messiri
  static TextTheme elMessiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.elMessiri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.elMessiri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.elMessiri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.elMessiri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.elMessiri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.elMessiri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.elMessiri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.elMessiri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.elMessiri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.elMessiri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.elMessiri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.elMessiri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.elMessiri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.elMessiri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.elMessiri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Electrolize font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Electrolize
  static TextStyle electrolize({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffe64b1d5b55f5d92c86387deb30e7fcc1f2d747f132f838ed936b273f96792f',
        23176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Electrolize',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Electrolize font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Electrolize
  static TextTheme electrolizeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.electrolize(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.electrolize(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.electrolize(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.electrolize(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.electrolize(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.electrolize(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.electrolize(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.electrolize(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.electrolize(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.electrolize(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.electrolize(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.electrolize(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.electrolize(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.electrolize(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.electrolize(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Elsie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie
  static TextStyle elsie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d2c82879c12561dcfbc3ffe78a260c5c20250d8efc683da060f57bcd7b0167b',
        34260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d82b06d98d8bc8a5b0f87ca8e9d4ffc0cc75fb5d2b2789b7fe56633b21d9a6f',
        35008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Elsie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Elsie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie
  static TextTheme elsieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.elsie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.elsie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.elsie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.elsie(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.elsie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.elsie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.elsie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.elsie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.elsie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.elsie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.elsie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.elsie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.elsie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.elsie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.elsie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Elsie Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie+Swash+Caps
  static TextStyle elsieSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f9a0c20430e82517e2e43b260a2b9ae34e412859fc5db0d5ee139cf529d5b50',
        35636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3091ecf76fd6f2a37f0a040c77188cf92e5d53b3f5f86e0fb44ea11d5df5d431',
        36248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ElsieSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Elsie Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie+Swash+Caps
  static TextTheme elsieSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.elsieSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.elsieSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.elsieSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.elsieSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.elsieSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.elsieSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.elsieSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Emblema One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emblema+One
  static TextStyle emblemaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d31f4b48de9ab1b609f7b65cbd09b91d66eb8c1650df95299970243afaf747d',
        56192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EmblemaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Emblema One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emblema+One
  static TextTheme emblemaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.emblemaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.emblemaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.emblemaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.emblemaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.emblemaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.emblemaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.emblemaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.emblemaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.emblemaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.emblemaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.emblemaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.emblemaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.emblemaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.emblemaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.emblemaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Emilys Candy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emilys+Candy
  static TextStyle emilysCandy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5094f90751063414b6ef2e92bb3c3c6775b25f85f3180efe17f1b2b0cc8be007',
        234800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EmilysCandy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Emilys Candy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emilys+Candy
  static TextTheme emilysCandyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.emilysCandy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.emilysCandy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.emilysCandy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.emilysCandy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.emilysCandy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.emilysCandy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.emilysCandy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.emilysCandy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.emilysCandy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.emilysCandy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.emilysCandy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.emilysCandy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.emilysCandy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.emilysCandy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.emilysCandy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans
  static TextStyle encodeSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66fbd9cd38e62f66436104619e5673ce128fc22d865f858bd22fc408c55cf109',
        79344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce043203a55b2476d8637803eba537c9728c79e305083676f630bc21f6ff2457',
        79760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbf3241b62d3d4d2abb5d04cf538fca4d0ff7628ec7f2fee2ab7ee1fd6a205f6',
        79864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54748ddc5f3abcc7f8106468c511cffcacb7bcd45286bb3464a6890d3a5c0431',
        79888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '315f1bef3a1389876c7ac2666c529c82b2889bd3670f327266247459feb452df',
        79960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36b31cb3da1c524949a9088b1ed96659bf646c20bf01d4471dd3030c283bea85',
        80068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '229ebe550f069fce430886ad01b5d01d34618f65861d57368f858d534f29527b',
        80316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec69280c6256e283fde49242ff61b7f77edab04f2170c2ee20652febf18a6ee6',
        80564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68e63b0ca520c5c5c7085791b2b584fc1ac57c8203fcd79d4f0b83670dd08857',
        80236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans
  static TextTheme encodeSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.encodeSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.encodeSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.encodeSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.encodeSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.encodeSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.encodeSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.encodeSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.encodeSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.encodeSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.encodeSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.encodeSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.encodeSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.encodeSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.encodeSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Condensed
  static TextStyle encodeSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32a4d643beae836e02495e4359ca73851bc62d3b2c6627c061971ed2ccedd512',
        80192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4707b802a294e2869f197f4872c380c450e87e19ff5733f4a8c84ebd8365faa6',
        81696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98a097efa087c6a845bfb8dd8118f055ea3d07fd29902eb41861f5fecd0f1cdc',
        81404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf2e49c42240256e5299657666aba1e2e68698c55dab2578bc2f135c0c792b72',
        81360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab89dab84826394290148ec707d5e265ecc2d5c8dd4222fe294d0334611d8d2',
        81280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '704fe1038026f8b9d49ade91acfb1d1f202652cb27681c4bef74e81372755690',
        81088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba516c62a09769502a8c80635ffb54126b1d44b1a5af06942609c0e57748e253',
        81492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ce8a15df6961e1d3a5be8b76b195c5454a59a1b262cba772cf80ec2c2234e88',
        81976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '959dbf80c7f97a9b3bedfc3b3eefe14ffc1b49de2e54bc36dde5be7665aef9db',
        81064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Condensed
  static TextTheme encodeSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Expanded
  static TextStyle encodeSansExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3167c0972395baee92aede3b1f9ff7c41768d92132ce650e8d2b5ac67865f7bc',
        80520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76b4c679c36680a29a304d9d3be38ea108f9d7dde793334e0b3524277f081679',
        81552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '393853b7750153821b84eb8e5a00674fc382b507cf362e3d530b44b5d48e020e',
        81448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1ab763f7aa1d4ee4486a538fa590f6f43447c3dd4c27e3b616daf3cad12e22a',
        81428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5ee0cd555e630f1791d365acd73827424898dca6b457e6e085e01c6500feed9',
        81476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c55ccc220aec42f27c676b7b9d3d5ce20010a3322e5aae8d3242dcfa6c462afd',
        81576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c78a8901681de4d3cbca7734c6b676ea5a19fb70f71c4e4455d55a59aae2b0b',
        81856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7ec3ea72590b5b97698de613aa4fb9150721a76e2bed9217c50d37f812e4a87',
        82056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79eb9cb36d91e7070d2979961365f39c0c471a38f47cd865d219207ab4e8b82d',
        81328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Expanded
  static TextTheme encodeSansExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+SC
  static TextStyle encodeSansSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3430a2f3702781ea216c14d865642e103efa2cf987996ddd5f56aae30b6b6f8',
        69004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa5503146093559c7fe9d6282898aecb3f92a2dc4e8d7ebcdcfb597e0a1507ee',
        69244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eefe70d06647f254380f6eb4e41e74cd684b6c8ba916d2d8ad8e5ceacbf37993',
        69400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375b351973eb04b385c377d67d1a6be9cf9600ef9ef42c3d8f4ebbe602832c42',
        69452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc160b97be579fc6f632cf91a36ab162b88392f17725ce6b79a88aa1dcbe0ffa',
        69512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8bcd464dafdd88997481c2daba069e9eff0712f5809cb95ddba215615e21df3',
        69632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dcfae0425f96a5f2d9c384667d83e2ef72376218805ccfa5cbe4d089554ae96',
        69856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1f72f04bd09bfa24405304c67db08071117aec10e737e4d9a75d89d4e4b4cfe',
        70004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d2ea1773dd9f7fce6559d2d0229979eed2ef64220f12d2eef58ac6a53593d0e',
        69676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+SC
  static TextTheme encodeSansScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.encodeSansSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.encodeSansSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.encodeSansSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.encodeSansSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.encodeSansSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.encodeSansSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.encodeSansSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.encodeSansSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.encodeSansSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.encodeSansSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.encodeSansSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.encodeSansSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Condensed
  static TextStyle encodeSansSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '632d6a8a3a3b6070ecc562fd0a3756e3b38f57733591df51477e5282451c19aa',
        80156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1865faabd988f44ada35843f28cf05194e69fddd65497550670da5266b14f2c',
        81832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177da5b781e416c9084fd7c4d21b2299cca65987d8f2913f1850c0bf3deb56ab',
        81624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a0ba17a56bd6ed75176b03b6572bc41ed7fb01bed84936af108d1afe3d5c9ea',
        81636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b39b05f83be1bc32339f483bf98b6d222e1c7e4eebb41e156f565f3885b375a9',
        81276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f6c0f5b469cf3aeceb4301270c1e03a0b3d9f434fdeb8939f04c3d23c36c2cb',
        81452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9760fdfa30fd4e220c21577703c55c62cf6a304b9f456a7645e38a455c28066f',
        81816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3025eade51c77fd7410a14c586248db6ad12055f1c859c460541e71d3587ab72',
        82160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30feb8bd88c81e54fa9b51d0c4859400e8b74d93574608a397f43dc979111623',
        81440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Condensed
  static TextTheme encodeSansSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.encodeSansSemiCondensed(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Encode Sans Semi Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Expanded
  static TextStyle encodeSansSemiExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24cf5f96ebfab8974e9d22281b222ec0b53fd93a239f9c7678011413d65d178e',
        80288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd94b3681c6f145427679b00dd007c89e33f0645afae87cee56f02ff509e3182',
        81904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21fa95fec27006f0dd478162275fc7cb8d194018d6880741c1fc4450921c3ac6',
        81760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57d9c98c58e5acb342059f847b7e6fda31afc5a1e3fcd96159e1777d7611bdc2',
        81844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '884d05f8245e0d582416499f4dccc6f2232d6c78583a0f79d17bb6123a5231a2',
        81508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ebaacf4111bc020a52fb29ea96f5258da27806287800aaa287b1f76b15e4e23',
        81736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fc544d86c906e765d26f18446b10d056868d7f1e0da85f81f1824bef961b834',
        81996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '986ba3f6c742ae86cec8b92d009b1d0f5ccbb37f97cc3083844abf0bfdae5688',
        82260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '334b41368d45e746af2945a52cb48b412194d1db6d4feaef5024ae089f32eedb',
        81528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSemiExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Semi Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Expanded
  static TextTheme encodeSansSemiExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.encodeSansSemiExpanded(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Engagement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Engagement
  static TextStyle engagement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e6b92d1fc5a6c6e9f4e5bfade203d99a216d1619afa22bcf28788bc0f261384',
        72884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Engagement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Engagement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Engagement
  static TextTheme engagementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.engagement(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.engagement(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.engagement(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.engagement(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.engagement(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.engagement(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.engagement(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.engagement(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.engagement(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.engagement(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.engagement(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.engagement(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.engagement(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.engagement(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.engagement(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Englebert font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Englebert
  static TextStyle englebert({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56fc6bb793f61cfb0eb72ec406d54b9e64246c84bc3b98adfb91abe50c68c6d',
        50420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Englebert',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Englebert font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Englebert
  static TextTheme englebertTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.englebert(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.englebert(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.englebert(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.englebert(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.englebert(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.englebert(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.englebert(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.englebert(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.englebert(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.englebert(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.englebert(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.englebert(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.englebert(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.englebert(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.englebert(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Enriqueta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Enriqueta
  static TextStyle enriqueta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bed619011acf23aa113d8cd6205c475a65ab3e453ad0f848f5d00c0c350e744',
        44104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4332361196e395a1203fb88e5019b3363484f6730def88147134c5595a3224d',
        44652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc2a071ab83d68d9a9b1f49e54ed127971da30907c481228f32aca43c92f56d3',
        44276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5fd36b19da2c75f871507c105c18feff40afe9932eb5f8a13a0bf8cf8d128fd',
        44452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Enriqueta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Enriqueta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Enriqueta
  static TextTheme enriquetaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.enriqueta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.enriqueta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.enriqueta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.enriqueta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.enriqueta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.enriqueta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.enriqueta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.enriqueta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.enriqueta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.enriqueta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.enriqueta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.enriqueta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.enriqueta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.enriqueta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.enriqueta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ephesis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ephesis
  static TextStyle ephesis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7f4d946b77629ef8dba4b9364627dd33e5abfa9594c3644b93792427a4baeb0',
        89232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ephesis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ephesis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ephesis
  static TextTheme ephesisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ephesis(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ephesis(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ephesis(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ephesis(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ephesis(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ephesis(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ephesis(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ephesis(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ephesis(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ephesis(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ephesis(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ephesis(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ephesis(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ephesis(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ephesis(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Epilogue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Epilogue
  static TextStyle epilogue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '409808f60f0bc0fbf67c518ca36a247d1e567b66547ba853152f25bf6aaff339',
        69520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db9f9d04165bde251d33e5880237656ee492e973a6489445c5de37dc0a746f54',
        69644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca550936603fd856aa15f528b898993238c8c719072f89046d647cbf06f55edf',
        69648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54384223054fb0e117170496dda80fc9dcc642422707d06b3cffadc753a76f0a',
        69672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17123828ed4fc7853cdbe8b1934a7260a0f2dddda298d6eede8946c80e04bcb6',
        69772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9490fc7535818a2a5613527832bc9522bed46559abdfd5c5f4df0de0e286e232',
        69956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df98aa086b4c761ab76e1278610e63c96eb2ac95e5559b7f2d1dc262e9538b48',
        69872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b0dbb12bc4e913ab9fb2311396d1d5b1315679f9c766c39bcd44c1b0a801ee0',
        70052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37d2a1a1b87f5228d25368a6879879828209d54df62d04777caed271fcebe245',
        70052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '066adcb0e8f1eac77de6a664bde581f2ab2bcb585ca8e69c3edc08b6ec510fc5',
        69896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80fff5622e319c56b0c385182d1c8daec913ac53479c191896366a70d8e54ee6',
        70012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ce9239760087f17bc9fcd225d1d41ca1c2aa445a3c011827e436a5f2845a2bf',
        69940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da7ebe16a67df3bed2be726a0cb715873280d0bd0e44670b516463629b710afe',
        69808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0c2a28bdf11bef281265ca667521cb72f4de4ba3019a68badf6787d4291e5be',
        69996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01b6cc5685502e385afef9f84be90176d44e40bfbf298e5d10ea5f2a0638d2db',
        70064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0aa1ecc98411e9b2653b0afc3111e78ac9fc2e9a07e1a3e5a94d51d47b71fcd9',
        70096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b80ef9a183233590e0b7905a07f78358caa4b7195e320ffadbb27a385fcaf7b',
        70292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c12f93435de5ba87977a6e0370697ba00a41d94b16819b694bf9342563b83c5',
        70164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Epilogue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Epilogue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Epilogue
  static TextTheme epilogueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.epilogue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.epilogue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.epilogue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.epilogue(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.epilogue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.epilogue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.epilogue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.epilogue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.epilogue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.epilogue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.epilogue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.epilogue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.epilogue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.epilogue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.epilogue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Erica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Erica+One
  static TextStyle ericaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6588f288aac0a1fa9153828fc0557c0c991c228941f8db084049e170dc5b8655',
        24332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EricaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Erica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Erica+One
  static TextTheme ericaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ericaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ericaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ericaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ericaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ericaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ericaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ericaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ericaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ericaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ericaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ericaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ericaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ericaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ericaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ericaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Esteban font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Esteban
  static TextStyle esteban({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bb4a52ff9c7eeb8ffddd58ae8666fe714bec0143bb24ea2d2fdd7d32d92a0c8',
        41400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Esteban',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Esteban font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Esteban
  static TextTheme estebanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.esteban(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.esteban(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.esteban(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.esteban(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.esteban(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.esteban(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.esteban(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.esteban(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.esteban(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.esteban(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.esteban(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.esteban(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.esteban(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.esteban(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.esteban(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Estonia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Estonia
  static TextStyle estonia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '262f8005654c26e90a7ef55c8de11d8ebb8c7771404686ab6a42477fb06f6960',
        383736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Estonia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Estonia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Estonia
  static TextTheme estoniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.estonia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.estonia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.estonia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.estonia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.estonia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.estonia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.estonia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.estonia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.estonia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.estonia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.estonia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.estonia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.estonia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.estonia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.estonia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Euphoria Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Euphoria+Script
  static TextStyle euphoriaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da30f83975503f40df0deb7cddf113d4ec337ecd89403480cff71eeb8da9afa8',
        36448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EuphoriaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Euphoria Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Euphoria+Script
  static TextTheme euphoriaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.euphoriaScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.euphoriaScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.euphoriaScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.euphoriaScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.euphoriaScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.euphoriaScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.euphoriaScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.euphoriaScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.euphoriaScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.euphoriaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.euphoriaScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.euphoriaScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.euphoriaScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.euphoriaScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.euphoriaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ewert font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ewert
  static TextStyle ewert({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a433a97b689b283c0d76f97a17b0288ab8884848798aef7f53102802b3231be7',
        68836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ewert',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ewert font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ewert
  static TextTheme ewertTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ewert(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ewert(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ewert(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ewert(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ewert(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ewert(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ewert(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ewert(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ewert(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ewert(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ewert(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ewert(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ewert(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ewert(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ewert(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Exo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo
  static TextStyle exo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21d56c4d49817b3e90700cac3142ec26982b349ef1c2e8932efa005e9197f302',
        58348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '948f0b3a4bab5328198e77c12c0531968b33166dfb6260569d42f28205504b9e',
        58472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e10dcc6f24a188527917f442ed729e8a797c34070ca069da5f6cc7ef383172c6',
        58444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '161268be6c2e68ba078e3874b3af0a47070729592d789e615c479d56ff6c6f4d',
        58384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09b97c1885f29f5737118b963f3812d7f2aa7026f8ca6b0cefaf44ea533ad00c',
        58404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5198773805e8b249c4a663d92c396f580f76bd1d9ff863edd3fa07a9745bfaba',
        58412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea55ffe16c5e91601c80e22ff5479c97d167c186148f54338375ecb3d8211ddd',
        58288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72e9adbd9bdcf51dea75af991d0b49c58bad942191d1ed5b1c346279b530304e',
        58324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6beb1f0fd0c4cfc01ab5c33ae600983c61c53e103db72c3bde7ddb1164748ac',
        58176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0119a384951a89fab840621932ce2e2c2b2bbbb84b44d4bd1d1bdd0297a7fe0c',
        59676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aca1107e0174ff23227ec5888a05855d2b8b3e9cdd1408534b78670d5fbc40f9',
        59844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2593b69e890fefe4a0fc4aa442aacf6fb02b099c23a29eeb0b53ddbcd0a6022a',
        59800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '751df18ae4d7ee3aafa3760581a59379bca17344f148a4eeac813b37a3a23f5a',
        59684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12d65a8bee6a2d9b6d4cd3bb7b470079c4fe73eb9c06c0f77dd534d75eb33ad5',
        59760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a44442b4129fbb9465556ad42b961c91faebbe5ec76a6eb544e8f1ee0851b18b',
        59768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d0ff5dc69d6bd2e96a3d57f991c120fd80455c1b07a13a72290dcd520fba03e',
        59680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c3c44fde5f6daf63c0915940854ca3f8733a9b7bef6cde90fb7129ea22d9812',
        59720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd16e289052d2abe21e5ef248808eeda054f9972f7595bc11fddbffb6bb2ec4d',
        59544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Exo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Exo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo
  static TextTheme exoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.exo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.exo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.exo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.exo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.exo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.exo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.exo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.exo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.exo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.exo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.exo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.exo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.exo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.exo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.exo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Exo 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo+2
  static TextStyle exo2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bd69b3928bd1122b43f4394248570af2a60ccb3ee3bef72193b8f430438e5ba',
        126328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fe94874f22aa08225d11034b59522cc26abca35fc77c8c82c4553a0d68c886e',
        126576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd4b0e7dd2901a30853c81dd1c5ba099063662c98efb6beb593cbb735115a044',
        126608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '213b19a1598cb53ee88434865f04fa62be6e674a03023476677a5919bb6390a6',
        126600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47d9424d149e7496e1bae3eb034f62dbcc06e69025182910cf30e8f7a36dda80',
        126696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73ac59303d8a28183ffecfcee5a5e2020e93598d2e574ab9cdf23d8fd4769af1',
        126728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85fcd167f63837ebb1c310a8e83bf1d5039fbbd5a13ac4812691d52817631161',
        126780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ec073a48375b6b0462702753eea7be7a0e93ce5401331bf787c39e769ed8cb2',
        126864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4b6635c03e94461a065b153284f9aecacccc15b23105f51b941fc954e8c1a15',
        126724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53d9e5084f81f02ed867f67200271d52f330d02f5be889facb577b1305923f64',
        126132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5c2092c03e3f18dbff0aa8cb221ce70d1a1f5b73b97e50fcf1eac8546972dde',
        126424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b59d7eb01c4c710c37519c8ec4cd3ec8506ade2fe8ecb507325c8f615bdbc636',
        126448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9b6f1c55318f4ce15b3addb5e3a05f7b152e15593a4494c6b62eaea21126a07',
        126324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6dc30d80925ac6ae73b0174e5e585c171220e72c17ef1add9b016260f12f39a7',
        126464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad64200d4933cb65a54960cfee7dca5eff13592ff68ed20070d7ddb3b3a4d22c',
        126536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '04139976713c23e823c56c67e14067b1037bf7aac68bcc630e0aaa5c46d312a2',
        126528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ea63ed4c8a38a5ed502183472f262a1e3ff954b89de383e4218fe292c9706e15',
        126600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f02ff3fbca9fcd2fa379c82ff33ca746e6254f4c5cf44c89d7b682e5c242afd8',
        126496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Exo2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Exo 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo+2
  static TextTheme exo2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.exo2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.exo2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.exo2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.exo2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.exo2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.exo2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.exo2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.exo2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.exo2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.exo2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.exo2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.exo2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.exo2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.exo2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.exo2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Expletus Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Expletus+Sans
  static TextStyle expletusSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20d4a0188fc67dd43ffec75f0a44d71ee9c2b2c6ab31f788671084d85276f706',
        23420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '615d95e5f9b955098111c072a62ace0d0d1ab59c60d7fbe40093295223130e9e',
        23456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28ccef6c4ee57d86a597993c4597186c931fb270e7cf404cf35704e0a11db247',
        23532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02d4240b3b5762f945d695d66aafbaf5088420d9aab4d10f1bada08431285121',
        23416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97d60e78f01aca83350e8f233d1266e65021b0790d396f0d034be12d4257a178',
        24220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9157578e2b8803f9132a460e9fdf5273b368673835c8e286fa38bf405a6a39f8',
        24400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9392e326ee0636fb9bcc1285d84c7ee895c3045921184138c381d5d696d52cc6',
        24428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f131ba3ca1fe4c6dcb094e0f268f23cb9e0743446eaab83c92596794ce047358',
        24276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ExpletusSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Expletus Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Expletus+Sans
  static TextTheme expletusSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.expletusSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.expletusSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.expletusSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.expletusSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.expletusSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.expletusSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.expletusSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.expletusSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.expletusSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.expletusSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.expletusSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.expletusSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.expletusSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.expletusSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.expletusSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Explora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Explora
  static TextStyle explora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e876028e0071bc2704bbf53f9f77444d4b5251a12b4c3f785a9dce7ef6b04738',
        124340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Explora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Explora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Explora
  static TextTheme exploraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.explora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.explora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.explora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.explora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.explora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.explora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.explora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.explora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.explora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.explora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.explora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.explora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.explora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.explora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.explora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fahkwang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fahkwang
  static TextStyle fahkwang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cb8fd061f024de62b282a85795b56b1b88e2a298b384d00c0da6e1b82952702',
        79476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '264ec7a8227b83f6b3909bcc96015f61ae98b339958fd414cf1630944b64b91f',
        82060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad984fc7acc2a3b0f217cab459bc76ae77a4c91bf912130f20b537da0445e057',
        79520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42bcb606e75b04d975540e954cd96b583e4e496150a5bac4e3f89dd0757a3db7',
        82128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '472d87bc12ee548390dfcfa8d71af03c5d41077a357ba2cf9e14d906e1ffdab1',
        79356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba6e001317e8a3f0044776a08bb748f38e592df0acc5551dfb032e5bdf2ac50f',
        82044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1eb3160395f61ae21bf0b369ab17a42fd82ffd509822f48ec66ff5225da678a',
        79100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd0c733c9c41386a8e357d7954a1ef6ff3c4b9b444b7eac7ffe311532bfa920f2',
        82064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab6190f47708fab574d1c4b55c29483f22b2113e4f6d4a516ccbf888673ce02',
        79136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f380eb48e3b5d0916182203845c5f181ef71b024c97cae157685b2966ab0311f',
        82048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c11cf7f035234d25ab7f689109c8028b1f4f5e57392166b930e081ee7b60aae',
        78988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15c8800ebdd3426fe179cc54afc50ee748abb21ae22330d5b2d4c6f06978940a',
        81940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fahkwang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fahkwang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fahkwang
  static TextTheme fahkwangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fahkwang(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fahkwang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fahkwang(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fahkwang(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fahkwang(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fahkwang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fahkwang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fahkwang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fahkwang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fahkwang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fahkwang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fahkwang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fahkwang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fahkwang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fahkwang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Familjen Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Familjen+Grotesk
  static TextStyle familjenGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71194cc0feb68468ebc0f7ee5c20da6eed5c0b53097bd94df1884af90d10b362',
        56272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04339361e77625324a6d7b05c006333247385eaceab21a6aad602617221ee524',
        56456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99f326f7cb8f32d9c4a9d9fb427388650f94a2bb6f231113155263fa86b0c975',
        56500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0981fcf91f75d0d0d87a1897619df0a1423784c1ca8ea2ffc6080a68b295817a',
        56228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '40f2639d18d9b4f252f4c4b16030a0afaecdf08ba0ca2349fe16c011e1b1d3dc',
        58344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4beb37ea19a0128c0e1b1fb415052e1266af2e42268b5cccf4d9c1b11eac7b4',
        58668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8844542de0fb52df03636591fef467b95fc9515b1e4dd2c9eed36084da590f4',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8843020ee8587baa5cc94882308e942e4281717f3e87c854c4f90f60edc7bf4',
        58420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FamiljenGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Familjen Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Familjen+Grotesk
  static TextTheme familjenGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.familjenGrotesk(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.familjenGrotesk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.familjenGrotesk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.familjenGrotesk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.familjenGrotesk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.familjenGrotesk(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.familjenGrotesk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.familjenGrotesk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fanwood Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fanwood+Text
  static TextStyle fanwoodText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aafd3294f9a09da2b894a790ca6bacc4f7f4fe0ba95f476c0740ef015e719d6f',
        78540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e1314a398cc06f258cdc39571392c94f722070a96bf360fb189240d36496576',
        86116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FanwoodText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fanwood Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fanwood+Text
  static TextTheme fanwoodTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fanwoodText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fanwoodText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fanwoodText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fanwoodText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fanwoodText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fanwoodText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fanwoodText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fanwoodText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fanwoodText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fanwoodText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fanwoodText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fanwoodText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fanwoodText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fanwoodText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fanwoodText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Farro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farro
  static TextStyle farro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b1744cf5aa0a196e398c550490a2d253be12dc44c4414ee877c8899460296d7',
        39988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c28286e2ca113cc6e81b591003493aadeb26ce0d365b5f94ab9de4ec9cca48cc',
        39848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a621e533c3477021bd85c4f7327f15f62f76cee551243167078dcdccdcede2c',
        39896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7061421e99be871b4d46f64408076a0c5f1c9db9858402b20ac6bbafd98e52e',
        39308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Farro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Farro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farro
  static TextTheme farroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.farro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.farro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.farro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.farro(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.farro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.farro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.farro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.farro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.farro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.farro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.farro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.farro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.farro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.farro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.farro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Farsan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farsan
  static TextStyle farsan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c192ef07c54cd3362a2fdbcda53bcec73d952d12075132692e4a1039c8445756',
        241320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Farsan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Farsan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farsan
  static TextTheme farsanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.farsan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.farsan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.farsan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.farsan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.farsan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.farsan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.farsan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.farsan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.farsan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.farsan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.farsan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.farsan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.farsan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.farsan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.farsan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fascinate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate
  static TextStyle fascinate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '413110c729e64ab9bb2e2b3d75f4503a81a9c244a20f18f48e0fb0307950532e',
        48032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fascinate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fascinate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate
  static TextTheme fascinateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fascinate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fascinate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fascinate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fascinate(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fascinate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fascinate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fascinate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fascinate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fascinate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fascinate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fascinate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fascinate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fascinate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fascinate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fascinate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fascinate Inline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate+Inline
  static TextStyle fascinateInline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2d55a8008b8cae16f166c5583cecd8aee312c58ab127b9883969a3f0c6c41c1',
        55516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FascinateInline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fascinate Inline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate+Inline
  static TextTheme fascinateInlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.fascinateInline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.fascinateInline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fascinateInline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fascinateInline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fascinateInline(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fascinateInline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fascinateInline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fascinateInline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fascinateInline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fascinateInline(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.fascinateInline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fascinateInline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Faster One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faster+One
  static TextStyle fasterOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a24f4b1ed4fc6446720469843b9fae20ab75a4f8432b9cd578f2460a4f0b797e',
        42632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FasterOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Faster One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faster+One
  static TextTheme fasterOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fasterOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fasterOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fasterOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fasterOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fasterOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fasterOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fasterOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fasterOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fasterOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fasterOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fasterOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fasterOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fasterOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fasterOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fasterOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fasthand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fasthand
  static TextStyle fasthand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dabe79998f70fca2b118dd4f36d504a985c69ad14517e2dda87c64a7c422319',
        169020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fasthand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fasthand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fasthand
  static TextTheme fasthandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fasthand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fasthand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fasthand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fasthand(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fasthand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fasthand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fasthand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fasthand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fasthand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fasthand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fasthand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fasthand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fasthand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fasthand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fasthand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fauna One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fauna+One
  static TextStyle faunaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c6b905dc90df3c2463e72770c81d409e072553707de38f4e881e14df7596a53',
        25852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FaunaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fauna One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fauna+One
  static TextTheme faunaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.faunaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.faunaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.faunaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.faunaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.faunaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.faunaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.faunaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.faunaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.faunaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.faunaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.faunaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.faunaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.faunaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.faunaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.faunaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Faustina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faustina
  static TextStyle faustina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bd53e1c7e1a74de59f56bf60ed507a1ea8ffc5c8b5b29f9cecf1a13a581bac5',
        69308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c5ce8c98e75defa8fcafdd5d441bda59458a4a81fbd9288372a89e5dd76be89',
        69460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3602aa602f558369f1b312266387007c0050c5c9686b00c436457785b718a45b',
        69556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61873ccdabce52c08a7271df0b3327b6c4ac19db45c0a2cf8299c8c94852e66b',
        69492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27128ce86d143aca729110cff22d0083787a6e3794bd40d5d38570a5cd94557b',
        69312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a40e1216bc30ca61a4feca2485d67bd17c8bd976b52cad8209d478725191e2a8',
        69472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e5d1db1d93c240574a8ce95ee0c33a2a53e94b87ada0fbfa02fdc1e332e5d96',
        70980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b179b58fdf3c0d0df82e2f3179bdd060c4b1bdd283d5d68fdf4ffa1bf7c3647',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4953b2cb26e3488835237573227d5f2285251041c1115748218b8f0791a5f2cd',
        70988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bf4a0cd052e2b314be43a8faabbd4a6999c5d4d4f386a231188506dab490a631',
        70948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93013c1ceb8c22bb2dccf67b73072c9d4e435830e764217081972606951223e8',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01703803b36486040f6eb5dd5ab9ebbf35bab7c994f3b50fe2e34b9375ee8103',
        70920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Faustina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Faustina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faustina
  static TextTheme faustinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.faustina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.faustina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.faustina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.faustina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.faustina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.faustina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.faustina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.faustina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.faustina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.faustina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.faustina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.faustina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.faustina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.faustina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.faustina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Federant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federant
  static TextStyle federant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12585ea14baefdf42ade0e5af0eb3ee6886d6283f86a0bb1e7c09fb4abb26073',
        29860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Federant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Federant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federant
  static TextTheme federantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.federant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.federant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.federant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.federant(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.federant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.federant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.federant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.federant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.federant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.federant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.federant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.federant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.federant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.federant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.federant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Federo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federo
  static TextStyle federo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35a22539fea972ddd3a96d78981681adbdf58d50fac0b8dc95ca6e64224b1605',
        32456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Federo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Federo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federo
  static TextTheme federoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.federo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.federo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.federo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.federo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.federo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.federo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.federo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.federo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.federo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.federo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.federo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.federo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.federo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.federo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.federo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Felipa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Felipa
  static TextStyle felipa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f7e8eb30f642b31f1cc5c52d1248fdc097e7e276c420fa86f936129651b8f1c',
        37508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Felipa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Felipa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Felipa
  static TextTheme felipaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.felipa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.felipa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.felipa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.felipa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.felipa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.felipa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.felipa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.felipa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.felipa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.felipa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.felipa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.felipa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.felipa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.felipa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.felipa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fenix font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fenix
  static TextStyle fenix({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae1e4a9a9e8d0d701e76261ffa6691a42e0fc5800027d4c4a2dfc501703f7a77',
        40672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fenix',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fenix font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fenix
  static TextTheme fenixTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fenix(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fenix(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fenix(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fenix(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fenix(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fenix(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fenix(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fenix(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fenix(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fenix(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fenix(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fenix(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fenix(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fenix(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fenix(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Festive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Festive
  static TextStyle festive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '190f5a0125f78fa8f745e983d4a6a871a152f76427227fb2a1db940eafce9d2e',
        422864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Festive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Festive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Festive
  static TextTheme festiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.festive(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.festive(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.festive(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.festive(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.festive(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.festive(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.festive(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.festive(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.festive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.festive(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.festive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.festive(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.festive(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.festive(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.festive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Figtree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Figtree
  static TextStyle figtree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b374320309cdff58c8a0d59e08f639381d1ddac1f635c636974bf9cef368ef',
        36600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca6bd0c56ce1ea48c973336632f12d35c1b11e3dc2a157301ac32473b8a9ae94',
        36744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53735016078317d2f8529b4e6b43c1e08dc22a4ed639087e5aae81782f96729b',
        36756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4e67c26dd82001c03557855d6df59ea2cc626e0c6e534ae817b2ff5a8e15e39',
        36820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24451ab6373d3a6288a56f27132cca24704a3e3c6606339bdd86bf4e3e4ffff6',
        36764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dd79d0a51996f1c043ca5ce65409110d4a3e03b452bd67ea7548721026359d5',
        36852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99c382356e8450f0e2ea2a6dfca228682694ba5fa124e5efcb2fe6bde7af5bc7',
        36812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '767bf11e311a460cfb59f3238e647fe8201db35776c567e41b2bce97b5f093e3',
        36628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53a6dc19970d2157987c871d5ffdec8fd756b168d8d6c8be00edbec1143d6fd5',
        36644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '516a74649610af4a81c40f28a68fd3dc398955dee62e1c506aa2f5534e6508c9',
        36752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '64c2c9d6252c014c654946a8a7d2974b3ee6b8520998a0d5aabbff3bf62d3a3c',
        36832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8cafb98f1f81054195448ab7ca15b347ffc462f7d9b5ce5280ea70fbf72a2819',
        36756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c2cc08436cc9eea7f55271941931c679240f0efd8e82238d4d13c2aa47d55c45',
        36832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07b28272fa8bb37be8d85b7416b86464a5f28149c2876f4548f0e5646d208226',
        36740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Figtree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Figtree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Figtree
  static TextTheme figtreeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.figtree(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.figtree(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.figtree(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.figtree(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.figtree(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.figtree(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.figtree(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.figtree(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.figtree(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.figtree(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.figtree(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.figtree(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.figtree(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.figtree(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.figtree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Finger Paint font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finger+Paint
  static TextStyle fingerPaint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5522a19075441f8c781786af1abee1ff0b7468623a0cecb34e1a43f9c8212145',
        99580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FingerPaint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Finger Paint font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finger+Paint
  static TextTheme fingerPaintTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fingerPaint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fingerPaint(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fingerPaint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fingerPaint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fingerPaint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fingerPaint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fingerPaint(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fingerPaint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fingerPaint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fingerPaint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fingerPaint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fingerPaint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fingerPaint(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fingerPaint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fingerPaint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Finlandica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finlandica
  static TextStyle finlandica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '473a67824468981d76f532484a0091d913c43732e210d5cf3141e7260c147dac',
        81184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18799b49970f77770a611671af782ab324d51c7d48df1c354df4ccaae6764c4f',
        81308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dfe74c4c865990ced6b49d64fde0b60aa9e467e62dec70d75a3e937f6c80679',
        81192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b943d5f9931185fd2e18cb10bc67988341f31db35e9542e551c9bd159cabf665',
        80924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a2075b14ff6d8b717585b1a1fe48de350c6749f8eb1ac08e1297af6fb0c98fb',
        85660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12c83d9635b848f28004ad0ec75c8b50ee87a0bfc54bd4fc48e1b27a1e6e8aeb',
        85908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2e811bac29988344bb40048ad06588adc1c52275742e28b8cd3a8543ad714d1',
        85940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cbf9a211bb68155e678db7ca015a81adf3e3e3ef721b4506205986ff2ba6c119',
        85592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Finlandica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Finlandica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finlandica
  static TextTheme finlandicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.finlandica(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.finlandica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.finlandica(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.finlandica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.finlandica(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.finlandica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.finlandica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.finlandica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.finlandica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.finlandica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.finlandica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.finlandica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.finlandica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.finlandica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.finlandica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Code
  static TextStyle firaCode({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59ae3f902919a8fc253572fcd979f416c27b85cc6c72c64d23a69efd30346dcf',
        179004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c885308226a16fcd522832b15a724535b3901f301283d2a73dc474fb3de43b7',
        178804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a6068095d3fa1a26a3ffd2cdd52f9fd069206558715a63a2687258f72f62950',
        178796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cb39eeef3e606eb5431d41a86b66266fcf59c091bcadc69b50cb025d1beadbb',
        179152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63b8b21b584f9545be49196c5294408380118100b347967a51d5120a0c29f3bf',
        179424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraCode',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Code
  static TextTheme firaCodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.firaCode(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaCode(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.firaCode(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaCode(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaCode(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaCode(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.firaCode(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.firaCode(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.firaCode(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaCode(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.firaCode(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaCode(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.firaCode(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.firaCode(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.firaCode(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Mono
  static TextStyle firaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08ea808f1d45f38b37e0b7b58e69057c9679694990903b85291d1b15db14d660',
        121444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '008de620468faa52a4c3b90908a473813571a0bb7305806725a022cc731f91d8',
        121056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d750308a3d94ea50c65c29acc574c75481e25ef51ac2c206a73cceb7f9d6148',
        121116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Mono
  static TextTheme firaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.firaMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.firaMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.firaMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.firaMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.firaMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.firaMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.firaMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.firaMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.firaMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans
  static TextStyle firaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9e6d0e7031414cc02a8f489a4ef20a97bbeb4bcece4628f486c26fc66bbaf34',
        233184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ebee8fa26cf644731b51d7345ff0655f072761bc1dd4ec72af77702f12c7151',
        244752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0faffd159a124b7a78be16d6fabf18bcc92cf66acc8fb383964420629d6318b9',
        235812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76df9d6bb42a3a3ad4f9a09245dcce9baaa6fdffb4ac46d53cc4d4fc5702aebc',
        247172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59f9845a0de308c8c8c903efe9aa61436b92ca8c785953155ecc38352c66a7e4',
        235532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dde23f63b0bc2c46afc4dced5309772f2a0974112ab448a875bb88bf525843c2',
        246484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dd03654251e007123ceef832aa3d637d1b5f96b9da17bff57994045c8d66636',
        235128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac9ef8f1b75a8d216a876b8ca33eabaa1f32e329fa2bb828415f8aaa573b0a38',
        246032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7238925f4b0dfd82e1adf74fee2846daef75ceb357407a04a1263ce00b6a998',
        235572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5293447fb413e9475aa5dbd026f393582cf5f1efd9183cbefd883913a3596cbb',
        246436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ddd0dfd83e24bccd399998ffa2946effe0d54a845a738c541a9ef71dfd6667a',
        235484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f422e1190e96238b9e43baf1a0526dfb994035c1141044e9443a1fc2f5d09aa1',
        246652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da3db7d16fabc6ba08aa199158b1e786bdb30814404b1550d60ccfd47facc85b',
        235544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d352a9a23f3a77b563eb6204fffcdac4553733ea8ae25960dbb1023cfc0b047',
        246368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b6c4a27a5d0a92117245f8eadfa166d13f0b0fc3e52b5886b662a72d19564a3',
        235368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20aecf1d0ad920fdcab8bf2eae2d564194126de84a6f1add0c31f40cc5f9e578',
        245976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62413fc882afeda70aee38dc5007d9706629b3eefaabbcb3e335fd63b9b520a2',
        235104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43afba8b5f430c8ac534b02947fd64491b28629f0b7e5fe7c5f95c7b0175df64',
        246160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans
  static TextTheme firaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.firaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.firaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.firaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.firaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.firaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.firaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.firaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.firaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.firaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Condensed
  static TextStyle firaSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ba697ab8e3c5b75e99ebcc4bc829e4a6285f264a7562f55a5c3cc2d00c1ac28',
        232648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '574894781807ceea4adcbb149af68eb8952a2562893a897d0ee4f71c63512c75',
        244300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64c320e0eee9997d6b1974c69d8ea8752a8b278bf53c7d48169a97b061504e78',
        235160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42f420b20d8a468617d0b180a61ec0337bc245313aa53ec9f7db22ab3f17ec0a',
        246588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b81707bdf21ef8dadfc143b07eb836cef61f43635bb068ba7fabd1b711c942a',
        235192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bc9760361df604c665a709dfb23227aad25cfcca7a5d8ae554b774a9d0b146f',
        246176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6c7cad7c52655003099f4c011786eb91c100ea7a34ca29876a9be81d8d795d9',
        234880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b952f77a82e315a404f702a9e9363cc49d2b4b0bdaa0ba288bb4e88c527dbf7d',
        245352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05dd5f07887f3932facd2ea01093cdbc942c384bc84ba09f83de3595f95f302d',
        235080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4790aa9264985273ade79a33eac09b3d7f4f25535243a01e92cb952a40648cd3',
        246220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb77ae62ab1ef041d827ef61be8354d4f6fa010c5f6385d6b55df34b52837041',
        234780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3673cb51e9cc9bf28d2f9e890da00da25f431de229fef439faf3b8acd3624e69',
        245940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b79671f3fd5d200a6c31cece939b69256de361e7e4f4cb04a5fc3b37d769db4',
        235280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8ed8a133423a9550a1cf8c1a36adc4179574b1f6d3477dc71cda4160a829f31',
        245952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6935e2694b53e53f29bca67c5fea0f79895c725c363c849588c758a0c6d63b0',
        235436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dde2ca3bf1b4af123cd117cfb2503e8d92fdcaac7dabca664fc0cea08f344ae2',
        245968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a87bae50a9ffaac7e64a793751790b5ca43a7ffe7888dca20bb44bb79094b89',
        235012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07af82b3d03ae8f68070f77a311c6c8b1bfc37d3e6ab45248806bb51f306e461',
        245828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Condensed
  static TextTheme firaSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.firaSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.firaSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.firaSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fira Sans Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Extra+Condensed
  static TextStyle firaSansExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53606f36d0e17c9d4fc873a26e96ec92cf959c501a5b0242936a3d5ced588230',
        231744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f0eac1d7e3b7f8a14f515e2b52cc0dc7e43bf2873c9bf7243c0084f88e49907',
        243792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '656df7e5c063f4dd826045845546c539416bbefc98a6bc1703466ad78a3d8fe1',
        234108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcd4323faccae55c194d2784d07e8c589c25b9628642e9ecea50ac120369a6bf',
        246268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe0090ce2ffea99f71885678491a8e7aa82933aca5b93f6d9108e69646bbcb70',
        233632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7f57a7576e5c58cf7bcd79371919ed84e777f428fdae28a0d42934e36410e229',
        245768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cec65774f3fe1b1314a30d94172c8cac12b03fbf773d6552e2ed4c2caa7353d',
        234108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8aa5bbe371725aa3d7e5737eb855c6a069b5273501ea6e528fa71428efc82f1',
        245412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4b21198654280b5ba1c4789a87d71d393ea4c7c06b8fa7000da6e94073b08da',
        234848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14730d588bf5b1852dab586ebe84a4806e92b41a0f736e36810d1cfc4fb6c438',
        246008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a37abfec0f19412c3c80177560594951b9bc5171f4d387f809dfcc112680b4a7',
        234720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b328c24fc8682f15a3582a08d6da35cfc18056625bafeadf86cef4b17eea6f29',
        245824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04f71f02152fce30db4ad4cbc1a46b55931bd440fac30e8c78dccc584b179342',
        234736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1fec06931388f4c6b56dfb0f04392a9a1fcf98a86794c56371eb4098a33008c',
        245884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '082c933d2056c9961e55631e4e594f5885499cd0d4200658015a5da4f40d3f80',
        234744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '25a7c761fb9d62b22cbd0f1c557f1a1da307bcc8edaaf89de20a24f15cc4c354',
        246184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39b4b03c5da675546f368ec119ed78118e7be5b465d55108962903b0c2b330c1',
        235032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fac7a28b443c9836c57b0f46a1f10e0c2686fbe270c12d5fb59450c22592e60b',
        247440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSansExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Extra+Condensed
  static TextTheme firaSansExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.firaSansExtraCondensed(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fjalla One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjalla+One
  static TextStyle fjallaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '782c0f2c69149cf595df2e903b76851932c7156a10e6e0dcb1c29ad0da61addc',
        23496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FjallaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fjalla One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjalla+One
  static TextTheme fjallaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fjallaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fjallaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fjallaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fjallaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fjallaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fjallaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fjallaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fjallaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fjallaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fjallaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fjallaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fjallaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fjallaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fjallaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fjallaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fjord One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjord+One
  static TextStyle fjordOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47129679f42e28f9a8d6efd369a1307e2d62b816e0084a5ec74c2cf87ba8668b',
        48724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FjordOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fjord One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjord+One
  static TextTheme fjordOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fjordOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fjordOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fjordOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fjordOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fjordOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fjordOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fjordOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fjordOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fjordOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fjordOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fjordOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fjordOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fjordOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fjordOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fjordOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flamenco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flamenco
  static TextStyle flamenco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65876609e536c172694b648f2b3ce895d7ae0008681644e89b20fbb57ed8751c',
        32828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4500269c0e0f0d9c7888b28c22c7eebf10afa68927231c44a6c6c2c39851d551',
        34848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Flamenco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flamenco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flamenco
  static TextTheme flamencoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flamenco(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.flamenco(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flamenco(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.flamenco(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.flamenco(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.flamenco(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flamenco(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flamenco(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flamenco(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flamenco(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flamenco(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flamenco(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flamenco(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flamenco(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flamenco(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flavors font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flavors
  static TextStyle flavors({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de8ddf7e1eb90351404cc259a73565b562d967ec41e87a5d819d8930b11ad81a',
        184368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Flavors',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flavors font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flavors
  static TextTheme flavorsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flavors(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.flavors(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flavors(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.flavors(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.flavors(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.flavors(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flavors(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flavors(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flavors(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flavors(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flavors(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flavors(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flavors(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flavors(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flavors(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fleur De Leah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fleur+De+Leah
  static TextStyle fleurDeLeah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71a604d85f19f4cdf0c0601783495f73d98364d296a62fc1eb66ac988262e88c',
        133660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FleurDeLeah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fleur De Leah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fleur+De+Leah
  static TextTheme fleurDeLeahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fleurDeLeah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fleurDeLeah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fleurDeLeah(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fleurDeLeah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fleurDeLeah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flow Block font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Block
  static TextStyle flowBlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2dd7c6f5d52262ec055dd1c615643de234893a3cb156a39f5698c2beb314d5cc',
        29860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowBlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Block font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Block
  static TextTheme flowBlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flowBlock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.flowBlock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flowBlock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.flowBlock(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.flowBlock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.flowBlock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flowBlock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flowBlock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flowBlock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flowBlock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flowBlock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flowBlock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flowBlock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flowBlock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flowBlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flow Circular font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Circular
  static TextStyle flowCircular({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43a465675fd8f374a494796926d482dfeae7b4c2a87b578ccdd96b6cfa745dc7',
        36392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowCircular',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Circular font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Circular
  static TextTheme flowCircularTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flowCircular(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.flowCircular(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flowCircular(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.flowCircular(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.flowCircular(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.flowCircular(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flowCircular(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flowCircular(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flowCircular(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flowCircular(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flowCircular(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flowCircular(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flowCircular(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flowCircular(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flowCircular(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Flow Rounded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Rounded
  static TextStyle flowRounded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc0b2df00c25ac057a51bee6fe4d0c490f3b0cd0a7b75237c826f4f1aeb6ecf6',
        34380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowRounded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Rounded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Rounded
  static TextTheme flowRoundedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.flowRounded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.flowRounded(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.flowRounded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.flowRounded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.flowRounded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.flowRounded(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.flowRounded(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.flowRounded(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.flowRounded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.flowRounded(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.flowRounded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.flowRounded(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.flowRounded(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.flowRounded(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.flowRounded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fondamento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fondamento
  static TextStyle fondamento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5e49883cd3f6eba89510e2c657a7534f08067aee01ca11b96682186dcfb0031',
        82972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c2b313f993835b78652b98791e832d723a17773dcb7a887aaf118316ad2a196',
        63480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fondamento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fondamento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fondamento
  static TextTheme fondamentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fondamento(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fondamento(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fondamento(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fondamento(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fondamento(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fondamento(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fondamento(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fondamento(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fondamento(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fondamento(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fondamento(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fondamento(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fondamento(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fondamento(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fondamento(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fontdiner Swanky font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fontdiner+Swanky
  static TextStyle fontdinerSwanky({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5698574b77112b002158933405052fcb1a4dda44d191fa8a30d3b2f73f1292b9',
        43740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FontdinerSwanky',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fontdiner Swanky font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fontdiner+Swanky
  static TextTheme fontdinerSwankyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fontdinerSwanky(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fontdinerSwanky(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fontdinerSwanky(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.fontdinerSwanky(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fontdinerSwanky(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Forum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Forum
  static TextStyle forum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a108468b4aa759c840d18380075c892ef01c17a4fcf51d2c0df145816b8fdc7b',
        126504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Forum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Forum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Forum
  static TextTheme forumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.forum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.forum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.forum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.forum(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.forum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.forum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.forum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.forum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.forum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.forum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.forum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.forum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.forum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.forum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.forum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fragment Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fragment+Mono
  static TextStyle fragmentMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbb00293f165bdac9eb695c2d75eaf6f3532f865253b25f97143ae73dada2e55',
        66932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aafb5576134c0886cf88e5e1dc02d00309c0dc4ebaf08ae02036b2678ff00ae',
        68732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FragmentMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fragment Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fragment+Mono
  static TextTheme fragmentMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fragmentMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fragmentMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fragmentMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fragmentMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fragmentMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fragmentMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fragmentMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fragmentMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fragmentMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fragmentMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fragmentMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fragmentMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fragmentMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fragmentMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fragmentMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Francois One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Francois+One
  static TextStyle francoisOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a25b64c96ebd8e12e49787c18726d081d40cdc5c5746013b3efd31464c86711d',
        52344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrancoisOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Francois One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Francois+One
  static TextTheme francoisOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.francoisOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.francoisOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.francoisOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.francoisOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.francoisOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.francoisOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.francoisOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.francoisOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.francoisOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.francoisOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.francoisOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.francoisOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.francoisOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.francoisOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.francoisOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Frank Ruhl Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frank+Ruhl+Libre
  static TextStyle frankRuhlLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '186868604feefff1ffff82c73ceeadc868e71547d19be78280d40ef406e64423',
        56760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '268c64f66f2050e34c58f172f70dda192eb7ff92e44cbe3ad4c25e0cb2b3d762',
        57972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee74a61bfe182349dc972db4fd2109ade671ee47720a407d59b695398b538270',
        57512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6a81d83235aac6567b2f97de93dda94a4ff617cbf2bafb4502ecfa8c279e821',
        57832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b71d0b7be403c2dd67b8758c709bf6b505c767d334af0d5a53d56ab9f6c4dda0',
        57772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrankRuhlLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Frank Ruhl Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frank+Ruhl+Libre
  static TextTheme frankRuhlLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.frankRuhlLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.frankRuhlLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.frankRuhlLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.frankRuhlLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.frankRuhlLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.frankRuhlLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.frankRuhlLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fraunces font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fraunces
  static TextStyle fraunces({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45c6f246d2849912745a76ab85eef51e78dad263b1ff8ab07474e3e671f73b8a',
        71212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7799506595b56f2c0f471dc186341993463053ed6762e50cd7df289ff6570130',
        71468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3040cb3d5bbaaf9894bae8d050abf78d8ab08b69233339ea4e2d1e72b19aacb',
        71532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ffaa1b4b9cb46c09abb484ddf0c75ad5ecddba9227e82f91a03cdcf6d36551',
        71556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df47e4790af507e5e7876daafd5060768a596e404c7f4c3b95015b97095817ef',
        71572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c357a587e95e17d181bebaee7e2bc688d88e0b40a7d78266db6951056c012810',
        71608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a2e82842f9d780dd8c3b3d0f96935fc4984a444af6581bc3ce0d8efe9c8c348',
        71568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5033fd3849c46e249134b0e0439f50b3f383513eb722121509ab14661354d565',
        71624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d10f3b2fef8f25a5d0ec30f151f4d6a3095d31a37b34a9958a354ee66d572a5',
        71664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbc734d4ba8d2e8aeb20a8b26b37732c9c2714f38373bd2102248c1de19ca2a0',
        84816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ccfaa90ddbb9bdffd7912f7bb738904fe1bd5eb90d97624ffd33d9f5c0888a8',
        84996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85447463f2daf6e19b58b5a05c4b7418b8fa0340a9b735e7811160b8beddef24',
        85052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd35786bde5935bd4e731b967a549ee7d8af8443d7f9c2cbcf8d5489e08eb7adf',
        85000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e150e74ba2aa3a68849065c795f91892c99ebd9e41ec44d24836549f544cae9',
        85084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8d3184fd5fde8d0d3787bc97b20a936f39bf38d4aeb400ba62d08dc657f8f4e',
        85156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c52d9cdb290a99cfd79c3366e16af6f6d19cefe61f04f517c54ca7e29ad6352',
        85056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '175835eedfdc6fcd5b2609ba1d803f350fa7951de57501976ff307df55f0c9a5',
        85088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '391fbfb8cd22f7fc5d06b4cc6a4bedb5ac4910e7fe706e53a90e9124ff5b197b',
        85040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fraunces',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fraunces font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fraunces
  static TextTheme frauncesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fraunces(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fraunces(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fraunces(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fraunces(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fraunces(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fraunces(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fraunces(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fraunces(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fraunces(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fraunces(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fraunces(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fraunces(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fraunces(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fraunces(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fraunces(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Freckle Face font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freckle+Face
  static TextStyle freckleFace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15f1bf2ab46e7a2d1d910b02e864c077041f2898f8b2cb9c9706886907378cbf',
        105972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FreckleFace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Freckle Face font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freckle+Face
  static TextTheme freckleFaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.freckleFace(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.freckleFace(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.freckleFace(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.freckleFace(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.freckleFace(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.freckleFace(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.freckleFace(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.freckleFace(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.freckleFace(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.freckleFace(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.freckleFace(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.freckleFace(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.freckleFace(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.freckleFace(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.freckleFace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fredericka the Great font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredericka+the+Great
  static TextStyle frederickaTheGreat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '186b9a2207bf8838107c7278981844fa0f5b7c85c3cdf692db80f7fc67782687',
        483844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrederickatheGreat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredericka the Great font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredericka+the+Great
  static TextTheme frederickaTheGreatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.frederickaTheGreat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fredoka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka
  static TextStyle fredoka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dff7f0208114eb1124bf761ad974fb1276f14df952ebfc495fbe43a5b155db18',
        48716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcee1bcbcf34131bd47ec281cdc05954e4a341e0b71d26dbda53b83d43bdc669',
        48816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dfc3880e85b62ee4d6b164afc3d456ad472a5e0d668073f200bb5742ca34bc7',
        48744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e38f722472b674cda5fcbc0dee6f17f36ec888325bc47c334c43f7651c47a9af',
        48716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3905d93d000f1780b8c95575c55fa028f2896a4aa9f05d7b91cc8fc81d353d8',
        48532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fredoka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredoka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka
  static TextTheme fredokaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fredoka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fredoka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fredoka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fredoka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fredoka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fredoka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fredoka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fredoka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fredoka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fredoka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fredoka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fredoka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fredoka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fredoka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fredoka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fredoka One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka+One
  static TextStyle fredokaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d55e4f2c3f88818e097e02287ad5f083b545f63ca1b56e05e51b10599be3016',
        42044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FredokaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredoka One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka+One
  static TextTheme fredokaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fredokaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fredokaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fredokaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fredokaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fredokaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fredokaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fredokaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fredokaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fredokaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fredokaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fredokaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fredokaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fredokaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fredokaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fredokaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Freehand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freehand
  static TextStyle freehand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fae5eb71fc208e3e393db87200e415cdbae5cc5fd21ff210d7a0190bd3132c7',
        176864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Freehand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Freehand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freehand
  static TextTheme freehandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.freehand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.freehand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.freehand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.freehand(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.freehand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.freehand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.freehand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.freehand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.freehand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.freehand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.freehand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.freehand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.freehand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.freehand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.freehand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fresca font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fresca
  static TextStyle fresca({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f55d11615ed2042519f6a3545567958f33c11d7c3b4548a82febfdc0f5b668df',
        26184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fresca',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fresca font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fresca
  static TextTheme frescaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fresca(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fresca(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fresca(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fresca(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fresca(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fresca(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fresca(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fresca(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fresca(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fresca(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fresca(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fresca(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fresca(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fresca(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fresca(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Frijole font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frijole
  static TextStyle frijole({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35cfe99cb2ca170eeae6f6b1842b5cfec0731addb5734a4c09950fc68e106b69',
        225572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Frijole',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Frijole font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frijole
  static TextTheme frijoleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.frijole(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.frijole(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.frijole(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.frijole(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.frijole(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.frijole(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.frijole(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.frijole(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.frijole(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.frijole(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.frijole(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.frijole(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.frijole(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.frijole(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.frijole(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fruktur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fruktur
  static TextStyle fruktur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b624b5fc6690301db6e4bb82d72ca23a64cbce8e3c039bbd6eaf8e479b0ef240',
        182204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37ebd3048196a68d2b239b9868bc2bd743e08d4b1554bfa83014fe650f3a0713',
        182640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fruktur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fruktur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fruktur
  static TextTheme frukturTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fruktur(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fruktur(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fruktur(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fruktur(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fruktur(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fruktur(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fruktur(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fruktur(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fruktur(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fruktur(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fruktur(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fruktur(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fruktur(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fruktur(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fruktur(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fugaz One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fugaz+One
  static TextStyle fugazOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '485bc61ab2e90bf5a952e096a31324ad1b2c762755cfe5d0b45f690deb5f37d0',
        25392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FugazOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fugaz One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fugaz+One
  static TextTheme fugazOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fugazOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fugazOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fugazOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fugazOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fugazOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fugazOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fugazOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fugazOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fugazOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fugazOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fugazOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fugazOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fugazOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fugazOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fugazOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fuggles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuggles
  static TextStyle fuggles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd70b09da0c5a6cc0cb0dde2e6ab837577a4e37016c51b3dfaa2505325621d12',
        99576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fuggles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fuggles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuggles
  static TextTheme fugglesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fuggles(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.fuggles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fuggles(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.fuggles(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.fuggles(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.fuggles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fuggles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fuggles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fuggles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fuggles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fuggles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fuggles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fuggles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fuggles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fuggles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Fuzzy Bubbles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuzzy+Bubbles
  static TextStyle fuzzyBubbles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37aef7e943493423dabc0d7c483cf7d180ea32cd9da04cc106c375bbab4ca527',
        95880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0710f9ccddb21e1cd7a2f739585e017ad3329afc86f346fc7adb4862fda147e',
        88976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FuzzyBubbles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fuzzy Bubbles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuzzy+Bubbles
  static TextTheme fuzzyBubblesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.fuzzyBubbles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.fuzzyBubbles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.fuzzyBubbles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.fuzzyBubbles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.fuzzyBubbles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the GFS Didot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Didot
  static TextStyle gfsDidot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b47eb2b73fbe3df01dca2e5cedfa35362dca34ec2493f8c4564d0ce856df53b',
        163848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GFSDidot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the GFS Didot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Didot
  static TextTheme gfsDidotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gfsDidot(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gfsDidot(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gfsDidot(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gfsDidot(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gfsDidot(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gfsDidot(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gfsDidot(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gfsDidot(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gfsDidot(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gfsDidot(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gfsDidot(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gfsDidot(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gfsDidot(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gfsDidot(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gfsDidot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the GFS Neohellenic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Neohellenic
  static TextStyle gfsNeohellenic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51ef8ebba4615300a1344d2e6eb9d03e72cd59657ec5dd2ad2a7a3ff9692d85f',
        176532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d37ecc8bde6698ada5a81c147976a733f697d7e9bcd8de55affd556fd3515c7',
        157096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '656044652163515deaced16a281d1bef468d9f8e50f108306d4d7607c08f1b92',
        142840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd025396d1711c7d766978f03b4daf801357e42f723ed3cd645496a82024a302',
        156680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GFSNeohellenic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the GFS Neohellenic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Neohellenic
  static TextTheme gfsNeohellenicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gfsNeohellenic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gfsNeohellenic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gfsNeohellenic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gfsNeohellenic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gfsNeohellenic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gfsNeohellenic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gfsNeohellenic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gabriela font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gabriela
  static TextStyle gabriela({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df1ec9727e3b4b4d5c7600db58a40665df8e654b214ca3cecd5158907dea9756',
        55644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gabriela',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gabriela font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gabriela
  static TextTheme gabrielaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gabriela(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gabriela(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gabriela(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gabriela(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gabriela(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gabriela(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gabriela(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gabriela(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gabriela(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gabriela(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gabriela(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gabriela(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gabriela(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gabriela(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gabriela(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gaegu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gaegu
  static TextStyle gaegu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fcea9ec02a357c73b58ef71c0bb179518c3b2d9bb18043bd27e0821819f35c8',
        1665516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2bfca7d4619b12570a866c4e40a3dbdd17fa2f1ffa10d7a44ede7b60cc3c483',
        1687664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b88e20eee77a57d9c49b426bb22da4a750000d76ab16f63255af562121572db',
        1588556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gaegu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gaegu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gaegu
  static TextTheme gaeguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gaegu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gaegu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gaegu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gaegu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gaegu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gaegu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gaegu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gaegu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gaegu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gaegu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gaegu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gaegu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gaegu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gaegu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gaegu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gafata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gafata
  static TextStyle gafata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd161bcc017634b82a8d988d299e55ec2fb1a6126883525172cdaeb0d02b11208',
        35284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gafata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gafata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gafata
  static TextTheme gafataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gafata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gafata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gafata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gafata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gafata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gafata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gafata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gafata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gafata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gafata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gafata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gafata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gafata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gafata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gafata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Galada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galada
  static TextStyle galada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e263a5e847f459b2d06c253f4311330e004679bff4d28dc492e815793c1277b',
        149068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galada
  static TextTheme galadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.galada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.galada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.galada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.galada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.galada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.galada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.galada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.galada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.galada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.galada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.galada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.galada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.galada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.galada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.galada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Galdeano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galdeano
  static TextStyle galdeano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '169c5f2ad71dfff02ee7bb190ea1a2dce2ae2c0439d9f0d5ac96bc3806f80ad2',
        22900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galdeano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galdeano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galdeano
  static TextTheme galdeanoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.galdeano(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.galdeano(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.galdeano(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.galdeano(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.galdeano(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.galdeano(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.galdeano(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.galdeano(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.galdeano(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.galdeano(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.galdeano(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.galdeano(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.galdeano(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.galdeano(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.galdeano(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Galindo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galindo
  static TextStyle galindo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c69ab440698b1684793985a80f8fe9576a8714e6d9fe654724bc3802f3d140f',
        55568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galindo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galindo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galindo
  static TextTheme galindoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.galindo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.galindo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.galindo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.galindo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.galindo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.galindo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.galindo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.galindo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.galindo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.galindo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.galindo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.galindo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.galindo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.galindo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.galindo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gamja Flower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gamja+Flower
  static TextStyle gamjaFlower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cee61d1bfcac16776cfe60b3cec57eae2944cd63a5724e85cc6a606ed7225cd4',
        6240100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GamjaFlower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gamja Flower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gamja+Flower
  static TextTheme gamjaFlowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gamjaFlower(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gamjaFlower(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gamjaFlower(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gamjaFlower(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gamjaFlower(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gamjaFlower(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gamjaFlower(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gamjaFlower(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gamjaFlower(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gamjaFlower(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gamjaFlower(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gamjaFlower(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gantari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gantari
  static TextStyle gantari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a29bfb090f79bf09421b953eeb94b8c61aa65376dfe7b2fed2eb83be927c7624',
        38192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcff9241715699b4d7c6fb63b8520791abdca3b2605bedb3e6f5fdb3916ad12c',
        38208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db8cfe86ac2c1a33c04c3e079735138799266123f0613a014952a8714d51f8d8',
        38108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95cfa960cf311af295254e180de9ae70bb380fc1064a244d52e04c15f44533b',
        38108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d143537c088372155e5633e1b1119ac23240e7972d0652c3541fb1f8c232776',
        38144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2b1f2938a4a32d58a3a1605f94b9427adb6ec1751b77f0e6ed8ee4e7f05ddb7',
        38100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c78fa010422173b924b21c4e13d042fe6e9c9bcc4874e5ffd18470372b6182d',
        37972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07f103849bd0d4aa2989b3cff7ad0b641695947f8b92cf8a34ae646969614ae2',
        38044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b2ecbcb0f1662df6c43312f05bd9774c516f249639c953dea9d0e5ac3c7db05',
        37904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '310d279864b4d619163027fe709f135c7a7c03b7a0e2f7d840302f747bfe9779',
        38848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b8e0b9fb28bbe1788cfd0219b84bfd6c9a69867541e2ab16879ab73be89b9e9',
        38904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b621369f18b88db96b94de89ba698e1037f9da7a82a0e4de23d7d218a4933a15',
        38844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5470847ef5b183bd72be18fed0659fcbaea97dc5cf472cc2d88461f0d5ac2c16',
        38720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9f0b97b7dbde764780b4bce0190969701aac81d858c315b7a25479b29af445d',
        38800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '781a62c179b5f30ad3459913aba958fd2c1e2cb7db44be18a77d533c5e90ca13',
        38824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '015f127c15b2643359d7ab9b22eca5ea70794dfa617991dd4b0057123312beba',
        38696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '708167c698ac6901a1494faba6aba135e3ccc1885237be4b29f0d767c551e6d7',
        38756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f0be3ed1977e7176119608b2d6deeb2926dfe9326e6e234a2782b6edc4d5f13d',
        38592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gantari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gantari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gantari
  static TextTheme gantariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gantari(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gantari(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gantari(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gantari(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gantari(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gantari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gantari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gantari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gantari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gantari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gantari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gantari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gantari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gantari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gantari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gayathri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gayathri
  static TextStyle gayathri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e6d3691b7243690a5ade979eec8a8d0f20743c0d19aa3deaae83e600157ff14',
        149780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '273e5e6ca63f013b8bdb1b902ec16164333b7e7f41926834e8e62d6f6a705cb3',
        148700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aafe70294699f3dbf561c8c8fdf82c4b9c8a1d3b16563a24bf4b0414f0b2d54',
        149624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gayathri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gayathri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gayathri
  static TextTheme gayathriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gayathri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gayathri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gayathri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gayathri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gayathri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gayathri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gayathri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gayathri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gayathri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gayathri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gayathri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gayathri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gayathri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gayathri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gayathri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gelasio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gelasio
  static TextStyle gelasio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '109d4a0e494a7c955d4f773d8bad9438b82e578a9cde12046a05afeb6bed8f4c',
        81540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f19288bf1d6f77abe8da9558137934ade867905876468f70cc3749a74c417813',
        83248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1282874efdcaa034b8a27a03f31f812053d4faadba90c156cc6b720871027772',
        81744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4813676131328725583e82e636cdee27d33e21be1d5fc2c7fc39208866331a7e',
        83412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b5dfb38f61c13078fddcf67f066a23f4765d15202471aa427d3a161499a98e0',
        81732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ab7371394c9a81ea4e3f11e92a426b65c2b19feb29eb2bd72b9b672db27ad55',
        83412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '360f7d68af1a9ea65eb128eb7ad16c23f91d44aca12dab3d127e2422558e9788',
        81604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a123c12071b78644b01b2ca0470c7ef7318e3395d4f532d7c5f743c2a909e7a',
        83396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gelasio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gelasio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gelasio
  static TextTheme gelasioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gelasio(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gelasio(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gelasio(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gelasio(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gelasio(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gelasio(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gelasio(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gelasio(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gelasio(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gelasio(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gelasio(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gelasio(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gelasio(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gelasio(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gelasio(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gemunu Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gemunu+Libre
  static TextStyle gemunuLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f0e2a8ddd6677a0f8bf513a0974be4a13672bb8fc5f38040ff725d37b13b81c',
        145064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '232731f4866a426f634d182e0ad45df119b3b6846668c78f776b93e906a7a62b',
        145056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eed3d9d54427e30ae95f10373f6ac89303b5c76f0cc8acf632298fda947506ba',
        145052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f32f2bef68497f23994712efd05ca8d62f4fbcbbdda5f46e458f2a5bdf469a3',
        144916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '460ee7fc7b3c3340146d222541c6ea702ca8a289a0ba624f59104634e7fb04d2',
        144900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ee13dda031c90c77722330d1108d5f88a39f1f6e47da0870c11d3987e0589c9',
        144788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cc0e46abb186af2dadf93645369e674f07cf11cdd4361fba7493f2681824138',
        144540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GemunuLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gemunu Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gemunu+Libre
  static TextTheme gemunuLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gemunuLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gemunuLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gemunuLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gemunuLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gemunuLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gemunuLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gemunuLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gemunuLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gemunuLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gemunuLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gemunuLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gemunuLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Genos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Genos
  static TextStyle genos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9141149d8e235a8030b04ca4704e57c1adafc89bc5406c0de83c6e956c2aacb',
        74608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '905157392bf17aeddf9d9e82a3989d217fe6216c840fe6f2872e41c1eb42243b',
        74780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edc818c74e3c1dace11955179bd8bc0d125334b1f8dfe056ce0c03e9de560a78',
        74740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8d54fe7e9c9274c5c7881203ba146ab9ea1cd3a190da418f8c3fb81eb47d235',
        74776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f04eafc155814fce81098e676b64906cb16c4df88e725c7f8926e5a1e08c15bb',
        74704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '264ce3c7a7fd862227bb9e547ea0b45abb25f6fc24176c1ac0b20bdbfa320367',
        74724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bb424b66d95c514e4593593d603ce7295420361823f8f8d000036f2f51ec898',
        74784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ace9d7db4c6ed838578b9e0ca8019ebee0b3258bcde5596aaf632e553442e05',
        74808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f94a43670de8d9f7571d392e184b7d56ea7be5cd65b010e568f417f7a51638',
        74432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c72cd09ed6e6c68ba497f6bf714be8720552ce3ad4e790945d4a1376dc7d4015',
        80668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5fbe58cf9195a58be9464ab76625ad22bd25d1375ec8844085622ec4cdbd5137',
        80796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'af6e7c52f0fec96eb9da6acc18f842ce211943df016497f07d86fb6b39fc0f5a',
        80808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '871899d5b755b6313f2733443cfe8707671f6e1f78e71de973afdbc18552c1ac',
        80716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79d366a64cd66d1bf4fea6334eec4503a7ec6216796449fc59d1916d0b2ec329',
        80892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87c67f9312f6f45c2902a2b319ce98b34cb1e9cb0d5b4c2a9f107bbfb65f8800',
        80916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'faf8c2baa7c2277ca87ac1215feb590b1428f9841107b1c97fbd029d42a2f984',
        80864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '441b317efe1b42bbe1c8976d935d3479eb21d06b022181fde1d718192cb36777',
        80824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e01ee18d845788c0383d7f8394cf05e8c7b2a20c881b3c5dbab9179f338318a5',
        80612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Genos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Genos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Genos
  static TextTheme genosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.genos(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.genos(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.genos(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.genos(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.genos(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.genos(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.genos(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.genos(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.genos(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.genos(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.genos(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.genos(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.genos(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.genos(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.genos(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gentium Book Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Basic
  static TextStyle gentiumBookBasic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69144c8a495c34902876afe6cebbb887e38589a7baefa4c7a2705d7e0f1e1594',
        83008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e9ed04d48b22d452b69f7a04df18b13edb4aae8872bd562789eac5bc6c3518cb',
        88892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04f8a51be9b2f44114c744f6770db0521e28384a933e7e5e556d5c4a134080bb',
        84052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '562a3432cc233a6b2261da9a6e1b3ff092bccb576717d6af304be2c0be891f24',
        90216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumBookBasic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Book Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Basic
  static TextTheme gentiumBookBasicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gentiumBookBasic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gentiumBookBasic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gentiumBookBasic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gentiumBookBasic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gentiumBookBasic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gentiumBookBasic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.gentiumBookBasic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gentiumBookBasic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gentium Book Plus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Plus
  static TextStyle gentiumBookPlus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf47e63699ba03f44205881dd862e9127eec1d348c8907f2c15d877015af7ea6',
        422484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17f2786f409895c81d67081ef9450c26f29009c1b784812f894e50295192cd48',
        453480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99aefcb41ae939044e6eed546579a017f0d8e49c3597b0d2c8f1d3c3518f9622',
        425744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0d2139194cf21bfa5f0a7956f871206df60a33165e52007e6263afdf1e5896c',
        457732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumBookPlus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Book Plus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Plus
  static TextTheme gentiumBookPlusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gentiumBookPlus(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gentiumBookPlus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gentiumBookPlus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gentiumBookPlus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gentiumBookPlus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gentiumBookPlus(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.gentiumBookPlus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gentiumBookPlus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gentium Plus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Plus
  static TextStyle gentiumPlus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bf700732ca5d6c4fefde9ef3c52d62b60645e9cb41ffd522c11ce4fe22cfd7c',
        419868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c70623964cb9a8a0c931fe91e35ecadbd99e435af0016e949366d8a98909e574',
        450952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23b1836fe8d543c6492e77ffebd8197b15b33f7e5da6841cc4dbcf5c0a70f427',
        424128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6d37bd22cf651a484b1d75f64e2776f1cb5a22a889a803344b4c713b9e3178cb',
        455596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumPlus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Plus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Plus
  static TextTheme gentiumPlusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gentiumPlus(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gentiumPlus(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gentiumPlus(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gentiumPlus(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gentiumPlus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gentiumPlus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gentiumPlus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gentiumPlus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gentiumPlus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gentiumPlus(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gentiumPlus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gentiumPlus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Geo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geo
  static TextStyle geo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4f75ea7a6f7cd65cb961a8d39d3f9a1f6822ed37ed7fbb2f97ab2f7eb598f13',
        12944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '28aea72289f9222e94e2c01b332b75d4eb055f213293e1283378ecfdb89a24a1',
        13868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Geo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geo
  static TextTheme geoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.geo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.geo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.geo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.geo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.geo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.geo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.geo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.geo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.geo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.geo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.geo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.geo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.geo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.geo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.geo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Georama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Georama
  static TextStyle georama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '167abbe3e1be31d27151dd3929b2d16aa088a4dbef5da1a808f566b14e6d1480',
        90144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '105b91c16c4d78d20b2cd63c2ffa2b748800c535d50f1cccc7465b9067bec39b',
        91696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74e18355285c5733cba76dcf8e2d72129961a3141bebfdd1622df0c8a5e02fdf',
        91688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ff1e9b260f187db4d76acb50da7baa6a92d120f32030b0617733b3840a5e99a',
        91668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '315a9a7e069c027c10e0eda07984222f2d7ecc4b4dd4aaee0ad65086d2604564',
        91640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66606ec8d7fce4843d2b11a35c0dea1767291af290fdee5f32e0ea6db3f71c8f',
        91676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff6a1b20e237986a4bca02bb93fe712beb3edc3dd8f4c7e7298f833ac36e6f4',
        91564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01c29094bf3cd87dcb134c65daa2802e0a2e6a67d892114fc15899e7e9731a11',
        91584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4119648ec193c63e7ebf9737006639f6ed99c64e45b04265a99ccdb5902ab191',
        91500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f668a429a333dad8badcf9518032600518d4e9e9b9b534569d09659667c7ecd2',
        91908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ced4f55f9615b725c39b94bfa1b998f613c406d42b919bae17b5754055793865',
        92804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa64b6047662a0bad70f084730019b33b5f8274e367ac09f51df34a42f74b4f4',
        92744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12a70a3f70d01202dc5a9e47a5b51648de6c8ac797b922e256f0b859eb8ef999',
        92628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0aa8b827f96e0e9b5ac97f9b8b549e730f791b044753f4c801c1abb45cc932c',
        92748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ec880579ef6ac6fc1bd1e1bac63771239002187af5b347c8be66cec134f60ee',
        92752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bf352a8383a79fc844a0d1bdd94f26e7888949c23c114355d5dba2ff1bf6e72c',
        92628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e42cb5b3fe31c4e551d4ddb956ab8cec6a218ac1fc18277cf2dfcf8175727b5d',
        92744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '131c3730858c6af063c6c18561621608c6ae0197b82acc4ab62c035ca4d55d83',
        92608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Georama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Georama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Georama
  static TextTheme georamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.georama(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.georama(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.georama(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.georama(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.georama(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.georama(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.georama(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.georama(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.georama(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.georama(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.georama(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.georama(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.georama(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.georama(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.georama(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Geostar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar
  static TextStyle geostar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58324632710199b6833f919c3729f0ac6130b9f1f9a2669364497fb25dd98030',
        38888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Geostar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geostar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar
  static TextTheme geostarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.geostar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.geostar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.geostar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.geostar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.geostar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.geostar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.geostar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.geostar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.geostar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.geostar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.geostar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.geostar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.geostar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.geostar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.geostar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Geostar Fill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar+Fill
  static TextStyle geostarFill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '516480715bd1b7bb21b29f2b28bf88b321176b945b8b74546695e7acb52ed749',
        36404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GeostarFill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geostar Fill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar+Fill
  static TextTheme geostarFillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.geostarFill(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.geostarFill(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.geostarFill(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.geostarFill(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.geostarFill(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.geostarFill(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.geostarFill(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.geostarFill(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.geostarFill(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.geostarFill(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.geostarFill(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.geostarFill(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.geostarFill(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.geostarFill(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.geostarFill(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Germania One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Germania+One
  static TextStyle germaniaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf0d6476aeeece05b4e2b37641700d8e9811bd9aacd158a3127a49da5c92414c',
        29864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GermaniaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Germania One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Germania+One
  static TextTheme germaniaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.germaniaOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.germaniaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.germaniaOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.germaniaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.germaniaOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.germaniaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.germaniaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.germaniaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.germaniaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.germaniaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.germaniaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.germaniaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.germaniaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.germaniaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.germaniaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gideon Roman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gideon+Roman
  static TextStyle gideonRoman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8bd4ce3c2e5a50c6fa4dd4b370727af90f8e71f13ba5d0d88681da9d5765e0a',
        95056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GideonRoman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gideon Roman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gideon+Roman
  static TextTheme gideonRomanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gideonRoman(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gideonRoman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gideonRoman(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gideonRoman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gideonRoman(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gideonRoman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gideonRoman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gideonRoman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gideonRoman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gideonRoman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gideonRoman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gideonRoman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gideonRoman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gideonRoman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gideonRoman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gidugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gidugu
  static TextStyle gidugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69a638baa0896ab551d95e9ca1f774f7c024504a79426dcc32e98cb08adee223',
        174176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gidugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gidugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gidugu
  static TextTheme giduguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gidugu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gidugu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gidugu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gidugu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gidugu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gidugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gidugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gidugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gidugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gidugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gidugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gidugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gidugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gidugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gidugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gilda Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gilda+Display
  static TextStyle gildaDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dcaa0b81249d1e43acecaab058cae07458edb03695834060377a13778969ad6',
        33008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GildaDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gilda Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gilda+Display
  static TextTheme gildaDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gildaDisplay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gildaDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gildaDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gildaDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gildaDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gildaDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gildaDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gildaDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gildaDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gildaDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gildaDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gildaDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Girassol font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Girassol
  static TextStyle girassol({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea218658faab043583667c0ed0f92a0e8ba877311374e21852bdc689e1d1e51d',
        31140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Girassol',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Girassol font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Girassol
  static TextTheme girassolTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.girassol(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.girassol(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.girassol(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.girassol(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.girassol(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.girassol(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.girassol(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.girassol(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.girassol(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.girassol(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.girassol(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.girassol(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.girassol(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.girassol(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.girassol(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Give You Glory font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Give+You+Glory
  static TextStyle giveYouGlory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da4d27e519ee851e9b034a7c494e78737f54418f6da2edcb78d98815d0199ada',
        39000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GiveYouGlory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Give You Glory font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Give+You+Glory
  static TextTheme giveYouGloryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.giveYouGlory(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.giveYouGlory(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.giveYouGlory(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.giveYouGlory(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.giveYouGlory(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.giveYouGlory(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.giveYouGlory(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.giveYouGlory(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.giveYouGlory(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.giveYouGlory(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.giveYouGlory(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.giveYouGlory(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Glass Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glass+Antiqua
  static TextStyle glassAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '439a5d2e855f78555960024c317d5ec835eca5e02279a963392232dcb2bad4de',
        60540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GlassAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glass Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glass+Antiqua
  static TextTheme glassAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.glassAntiqua(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.glassAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.glassAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.glassAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.glassAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.glassAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.glassAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.glassAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.glassAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.glassAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.glassAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.glassAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Glegoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glegoo
  static TextStyle glegoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd23c820836f158f570c35b5b59bf00d0854555c87dd7b5fcec82e47118ab0d58',
        111584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f71116b2b302654fa83973d4eb20d2d070ce6716a71b46f35e70262a3a0e6b7d',
        109420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Glegoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glegoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glegoo
  static TextTheme glegooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.glegoo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.glegoo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.glegoo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.glegoo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.glegoo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.glegoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.glegoo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.glegoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.glegoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.glegoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.glegoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.glegoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.glegoo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.glegoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.glegoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gloria Hallelujah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloria+Hallelujah
  static TextStyle gloriaHallelujah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be56dc4c15c5f35de9f2362a519d9b90c854275b2829d8221bfc6c0c0bdc357c',
        41924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GloriaHallelujah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gloria Hallelujah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloria+Hallelujah
  static TextTheme gloriaHallelujahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gloriaHallelujah(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gloriaHallelujah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gloriaHallelujah(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.gloriaHallelujah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gloriaHallelujah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Glory font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glory
  static TextStyle glory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6efd7e5fdf2d0b27b7fc9a60e805246b5e205cdeba39352ece2a7339fa1ddebf',
        52380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef99e82388520864359bbea5fd5d1504a02d2441d201ef223ed36947fda85769',
        52608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7807c51c464158773ad811555d66999c6e398da11e0c75e6e260a08237d2dc3',
        52636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66f1fc3a54ed6be6b266d1489212776dc48db5c5eb50d8adc6d621338db3716e',
        52660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1570bc26cf02cfa1cb44d9c131302243a193ae134ad1c2d5224eb9933a90192b',
        52724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c3b6aff730b6bf1e35bba081b9c4632d87ec3fd96c5e1c3b6859305a75457b1',
        52608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f503fac8c78dd7a6843df26987206167fd921a90e5e66509e6ec53c8fb63228d',
        52552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '697e92fdf7a2fe0d506eb23531437187c9a0e9da29378174c8fb2bb5d0d11f82',
        52580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '617245afe3c701074fee8ad8bd33e90316216dac44f12bb55b3df9a5122cc26b',
        53992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb853144c52e96defde0f89a2f2173cc53ffe33262321ccfe167a66f1ca4cf38',
        54264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '57b0df0b3d0727a1371df6e1ad18131406f66cb6c7c25a437ed3c0dc27a3bd9c',
        54300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcfaa32f5437975e7e7011f779ca1b6c9712b128fdddd4127a9281179962f644',
        54264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '10e02acdbdb122db54a36973d40f85928d3273fab8d592dd03ec1c250d5a44c4',
        54368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f2a5987ddb63cbc4d2f954f1b4b86dbb62e1fa61b46a61507f39062cc90a264',
        54488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2c1ec6d0665bc65a8ae9c4e3fa7625d47b311233a6afafa11749977dced84846',
        54392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b1d60ddca9a47c3d449b690efd5294a53bca72b5b4714f18e3d01684aacf131',
        54428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Glory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glory font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glory
  static TextTheme gloryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.glory(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.glory(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.glory(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.glory(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.glory(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.glory(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.glory(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.glory(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.glory(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.glory(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.glory(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.glory(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.glory(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.glory(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.glory(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gluten font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gluten
  static TextStyle gluten({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45aacf4f8c32e1cd563f6bc858d1856e95c932bf2c0e82a96eb443181e2bf074',
        85956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36c22409a11a1e91f539a6eea673c39de416053cd2e5c958aa0c3a458a5a145f',
        86528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08a5f5c1b79fa20f6ed3314fa134ce2d072f69583ab19b2cbe152b60836612a7',
        86592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '485a82cc5e757c17cba4347cc66276d351ab9e0cd71f6642c77314609dccb082',
        86656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '627e6fd7c46db1894363abbeb24dc0fd02303c9994e2e61687c0146024cc2a13',
        86716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c47973c405a56bafb216f8fa246d3a3648dbbc9081a0bb0a82b04d61d7c02544',
        86760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f74a15e7b61d57c308cec9a8a70bc531ee2a59d4a006f4dfa7f8c410418b4265',
        86744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0078c3f52598eba7686a915598ac713955067edfc1951a26cb992f0d77235e6',
        86812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85695175da09b9c85a90abafdce10e0c9a183b580bf24bac6b7a244d2c8cfecf',
        86696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gluten',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gluten font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gluten
  static TextTheme glutenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gluten(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gluten(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gluten(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gluten(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gluten(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gluten(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gluten(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gluten(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gluten(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gluten(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gluten(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gluten(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gluten(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gluten(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gluten(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Goblin One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goblin+One
  static TextStyle goblinOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b31214a2d109c252782ad4cab7e8a57bea0899e5e9b1e063a79e25aadd98b4f',
        32924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GoblinOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goblin One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goblin+One
  static TextTheme goblinOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.goblinOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.goblinOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.goblinOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.goblinOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.goblinOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.goblinOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.goblinOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.goblinOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.goblinOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.goblinOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.goblinOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.goblinOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.goblinOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.goblinOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.goblinOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gochi Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gochi+Hand
  static TextStyle gochiHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '910638a86493cf6ee9014c5c15d551737d06de1d154b8947f4290691472a5d0c',
        34928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GochiHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gochi Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gochi+Hand
  static TextTheme gochiHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gochiHand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gochiHand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gochiHand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gochiHand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gochiHand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gochiHand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gochiHand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gochiHand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gochiHand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gochiHand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gochiHand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gochiHand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gochiHand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gochiHand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gochiHand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Goldman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goldman
  static TextStyle goldman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f8706f29627f7d4bf1b1b8c73a4b776f71640a7c2ccb8e270852a92f539331e',
        53460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3e79f8378223deada73ed41ec20c365713aa36a9b7deb3ef189a0bac1b6356d',
        53248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Goldman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goldman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goldman
  static TextTheme goldmanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.goldman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.goldman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.goldman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.goldman(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.goldman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.goldman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.goldman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.goldman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.goldman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.goldman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.goldman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.goldman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.goldman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.goldman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.goldman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gorditas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gorditas
  static TextStyle gorditas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '785ed310d3b318c402f51dd10940ae3c2b6c5ba71084f22362c793bbbd29d954',
        56976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21a5666a05e84d767c0d0ecc79f38ed92c63469cc09bdafd6216bd5224cc4723',
        57968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gorditas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gorditas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gorditas
  static TextTheme gorditasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gorditas(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gorditas(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gorditas(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gorditas(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gorditas(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gorditas(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gorditas(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gorditas(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gorditas(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gorditas(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gorditas(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gorditas(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gorditas(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gorditas(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gorditas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gothic A1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gothic+A1
  static TextStyle gothicA1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2344d0dfaed41c6aa2ad2e4c3a7cc1e3542488d80cf185add2cb5f376c565fb5',
        1315212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab8ea5d842f6fe59c01e9bb6565c63bf79dfe4c5c6437b2189a2a8f645329464',
        1313544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0befdd647051b924421c0c5b5528cc6aaf80b66c7a7b0073c2f55e924d904bd',
        1314200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c8517146924481477fbd92182e32ab65f415725277a50ba76d5c6613d6c7d42',
        1311204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93c6927eb1ea8f245a17922720c161d22e2f6fbcd78a2195bba5f0004c05493f',
        1311796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd30143d7bfb5faf291c2d26eacf27594738cbc1604915b641fe51cd12cbcd5b0',
        1311188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2114ec6ba9f1da8def89f6ff990edcc3b669f4a8eb1e604869ccb6f6d4a1b203',
        1310928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e883524fbd806a6c3de3f735880528da71b72984c850a194318130085032a0af',
        1310756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf849a28c7ecce3f6eff2c28aab66403dd2f60dc1e51402f7700705f6b0a457',
        1312028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GothicA1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gothic A1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gothic+A1
  static TextTheme gothicA1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gothicA1(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gothicA1(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gothicA1(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gothicA1(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gothicA1(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gothicA1(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gothicA1(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gothicA1(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gothicA1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gothicA1(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gothicA1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gothicA1(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gothicA1(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gothicA1(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gothicA1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gotu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gotu
  static TextStyle gotu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '649515d1a527f45a8c70b1fa559b32fc768ed5563382009715dd9459bf38896b',
        518800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gotu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gotu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gotu
  static TextTheme gotuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gotu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gotu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gotu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gotu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gotu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gotu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gotu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gotu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gotu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gotu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gotu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gotu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gotu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gotu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gotu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Goudy Bookletter 1911 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goudy+Bookletter+1911
  static TextStyle goudyBookletter1911({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c6b03b898883e783f003fda7451394a14538dfb42205349c854fb5670dda953',
        36684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GoudyBookletter1911',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goudy Bookletter 1911 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goudy+Bookletter+1911
  static TextTheme goudyBookletter1911TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gowun Batang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Batang
  static TextStyle gowunBatang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1256292a2f7fb2f8f73d9e20030408aa2ff0c7e3fab8d1715dc094bb594fd5b0',
        8430916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c26cf829c92cef1c0d8cf6eeb6e99eacb9ea1021010b68922068062620e3314',
        8175220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GowunBatang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gowun Batang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Batang
  static TextTheme gowunBatangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gowunBatang(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gowunBatang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gowunBatang(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gowunBatang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gowunBatang(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gowunBatang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gowunBatang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gowunBatang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gowunBatang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gowunBatang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gowunBatang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gowunBatang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gowunBatang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gowunBatang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gowunBatang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gowun Dodum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Dodum
  static TextStyle gowunDodum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4f73f91c50079a3140edee56a09d818531340544221e32e70bcbc960a7969d7',
        7226720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GowunDodum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gowun Dodum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Dodum
  static TextTheme gowunDodumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gowunDodum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gowunDodum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gowunDodum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gowunDodum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gowunDodum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gowunDodum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gowunDodum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gowunDodum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gowunDodum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gowunDodum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gowunDodum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gowunDodum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gowunDodum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gowunDodum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gowunDodum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Graduate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Graduate
  static TextStyle graduate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed21b118a8dda3787721ba1ac982ab030ff1f4f085a0e2d56ced87cdf8d6ba8',
        20784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Graduate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Graduate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Graduate
  static TextTheme graduateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.graduate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.graduate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.graduate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.graduate(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.graduate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.graduate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.graduate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.graduate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.graduate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.graduate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.graduate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.graduate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.graduate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.graduate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.graduate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grand Hotel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grand+Hotel
  static TextStyle grandHotel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f601101bf39676590ca1fde8b1ddfb63113bedb9d324e59d2ef53477fe130fd',
        60540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrandHotel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grand Hotel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grand+Hotel
  static TextTheme grandHotelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grandHotel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.grandHotel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grandHotel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.grandHotel(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grandHotel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.grandHotel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grandHotel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grandHotel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grandHotel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grandHotel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grandHotel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grandHotel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grandHotel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grandHotel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grandHotel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grandstander font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grandstander
  static TextStyle grandstander({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4216dce1c4b83ac57d2a39927226ce4b43123e258ed35bc540cb71dacbf12040',
        83136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2781477302f7c52352d7566653a196b7931d90223c55d460d5a66714353ecdf6',
        83308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdfbaf1fbf0ce6b390b0122010412f097e813dbd499b724fb430f66faa211c44',
        83324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42de799d849cb53f1c8aacc5534b6ef6128e97404c5db316012e860c8f5866b9',
        83324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4af2ccbd0e579a4014067758aabdd18b1b22ab0a727ed3fb941602acef058a4f',
        83368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f0c4353ff450f5610f8b1866277865d841a1578ebdcf6d8f288b15fe2ac6de1',
        83408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fc8a7fc1adb67b167066810b79dda0ee9b7b2370ea13cf3156f1e39b22bec8c',
        83384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e174ed250dc1db49b16842e9b34d687baf6ef2650497f1b7e427097996b5da6d',
        83444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a21b88d63bc7602cafbfdf06874cf9cda22b88ca49c98e122db09484401479b6',
        83248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9cfefa298e8c923c1b0edd80829671664dfafd79f17fee4ff55b518df9b5078b',
        83796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9321c8db30b73ab480c4ed0652832b97054bac22732371e7beb4be78468296bf',
        83968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3401b9eef4863b6dcc72a90ce82fc25d81177a6969fed4115b80392e57837acf',
        83840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1dc4e4bb2333e207aa7075254c8f06e4fc5c675734dd93fc73456f85a04e503a',
        83704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2e73006f7e6f34c76ca0da52d6cd2cbd8cf3ceffd5b38604b16d592d790b1b81',
        83844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a30dfb7eb2c58092f5a87955dd563377b81ad4548fbc675cbc88f8525bf3f6ed',
        83840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3aab243fe94a763c60c8f744b24e84881af8eb80bff165c92ad6c6860b61d71b',
        83792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '964a84adb4f68cbb4ea5a9e3d30fd43e2070ef5590ef5552a25d1897a6110190',
        83900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3cab46d12fb0529fdf584a4f69cdb651b0421fd71352753aacdeb27bb9816757',
        83744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Grandstander',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grandstander font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grandstander
  static TextTheme grandstanderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grandstander(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.grandstander(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grandstander(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.grandstander(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grandstander(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.grandstander(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grandstander(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grandstander(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grandstander(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grandstander(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grandstander(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grandstander(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grandstander(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grandstander(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grandstander(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grape Nuts font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grape+Nuts
  static TextStyle grapeNuts({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '782f9c0b9fbea49dec676477ba186792e7df456a59522892f2fb81ba4fe815c2',
        84944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrapeNuts',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grape Nuts font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grape+Nuts
  static TextTheme grapeNutsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grapeNuts(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.grapeNuts(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grapeNuts(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.grapeNuts(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grapeNuts(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.grapeNuts(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grapeNuts(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grapeNuts(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grapeNuts(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grapeNuts(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grapeNuts(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grapeNuts(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grapeNuts(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grapeNuts(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grapeNuts(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gravitas One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gravitas+One
  static TextStyle gravitasOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8304f0f306c85f59f6ea4fdf352c32794fd5e6c471d2f52118b579970bd39893',
        37360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GravitasOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gravitas One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gravitas+One
  static TextTheme gravitasOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gravitasOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.gravitasOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gravitasOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.gravitasOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gravitasOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.gravitasOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gravitasOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gravitasOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gravitasOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gravitasOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gravitasOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gravitasOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gravitasOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gravitasOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gravitasOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Great Vibes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Great+Vibes
  static TextStyle greatVibes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e46081a30bb12c570d7a99fd48dc45604c6a11b4112c25b8025124bfaeb0332e',
        81568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GreatVibes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Great Vibes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Great+Vibes
  static TextTheme greatVibesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.greatVibes(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.greatVibes(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.greatVibes(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.greatVibes(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.greatVibes(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.greatVibes(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.greatVibes(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.greatVibes(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.greatVibes(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.greatVibes(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.greatVibes(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.greatVibes(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.greatVibes(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.greatVibes(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.greatVibes(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grechen Fuemen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grechen+Fuemen
  static TextStyle grechenFuemen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '016c04b70a0a153039c9cec6efe925ef6e85adae60ca926afbcbfc0720ce7ff4',
        90244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrechenFuemen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grechen Fuemen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grechen+Fuemen
  static TextTheme grechenFuemenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.grechenFuemen(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.grechenFuemen(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.grechenFuemen(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.grechenFuemen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grechenFuemen(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.grechenFuemen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grechenFuemen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grechenFuemen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grechenFuemen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grechenFuemen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grechenFuemen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grechenFuemen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grechenFuemen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grechenFuemen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grechenFuemen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grenze font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze
  static TextStyle grenze({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3917868be5116f8fc887ef4e2f4994f99304b0a0991e2f50f98275a8b476db9',
        64744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05bd3e439bc687158ee99b9d108728a5409ab729f4af77851e64101585dcf0c9',
        67244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c343a8a4b3db9ce5a40ddfc9379c03bee49e0cab990e48c6527096f949384e75',
        65044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6672c912e3e515d9c86eca13e8e55bec9866752c944aea64971c1de9a3fc35f',
        67432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecf13d96c14031ef6224048c11452e03f1508d402a52386482fc39cca36a3860',
        64868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c7d810909e0fc16f710902c0d1d5fa3b74d3aecaf4e0642e9a1f792e2ac6306',
        67392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18017922fcb728e977d97aaf887f1cf2ab9675f8ae8eba240cefc8af5a60906c',
        64808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ce73e589b0deeabcbe078dac4153e26ba7c331d2925c1bed7a0f509dd38d195',
        66840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08270f3dbd039bfbab6d6076a05451a4522d3f2c983a38ccfe1be16dffa96817',
        64788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2c96d59eaee80991466f50e495ee7ad084d87fdd694674573e48f05a84543a99',
        67424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ead8121cbe44b32cc431d116e2148565e4cc4cc7cf0d334ef42f1f4e522f1cf9',
        64648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a00aff6bf4e90d04e86ce6c40865e9bbac018b9ac5c8bf20c50b9b89303ea69',
        67268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d7a9b500ff2ad0ef8abe7726f05014a868a5ba91e5ea3159ee97c43ffa4968',
        64576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44af179a7f4b587ab5f222681605a543d6f1e3763f6d4b4bd58ff577f300ab5b',
        67212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a54892fc571753ebb8ddb0c0ed474c393c24714ae41d874c04f689f5db967913',
        64712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c4ddb1b9779ae89f7ceb75bfdf926bc745175ea431adf759b71b8a1741d5246',
        67132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab51abd1c38d0968bf9ea99b1a773d49d063e74720b2fed59d2e4065574c1bb0',
        64456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70e5b9d6aa250a3c51bd19e36d46e8f142b5404c26dbb574f449d987b4d6d913',
        67188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Grenze',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grenze font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze
  static TextTheme grenzeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.grenze(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.grenze(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.grenze(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.grenze(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.grenze(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.grenze(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grenze(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grenze(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grenze(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grenze(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grenze(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grenze(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grenze(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grenze(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grenze(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grenze Gotisch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze+Gotisch
  static TextStyle grenzeGotisch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7bd87f9736b886b419529487efe3f06e679474705866d3162f70034f101a4fb',
        70416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34cea52f273eb285cd257e5b30b896cb8e3c001c3f9e98f6e6fde54b1458dcc6',
        70576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9669407c51d1fdcf9df5e0707507042ee7d049be5e3c30b7ea8438a9199ee97',
        70612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e5fd82bbc5ca2fd7934295dcbb680ace61d1fd8ab9954eb7cbebd3db6e934d1',
        70452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c52c7b7638e4951874145945cf10d3cc8f6cf1283e1606ac7a2f62cd177f2d58',
        70572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9883c0c62eca600ee612aaa6c31a2fda18a60353665b1d90ff4598bffc05a258',
        70668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92a82b5fcc2eb60c223c4ee5a3f59b83c3cd109598aef58a502a3f3a62c2fa24',
        70612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76c28a0b7719f8697d772952e88a5b1423d7b7dc594a21cb8e08cf7a792074fd',
        70680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '742562477e10e699dc2f329646d3e9f519a21c74194ed7b5028f35b4e935565e',
        70652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrenzeGotisch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grenze Gotisch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze+Gotisch
  static TextTheme grenzeGotischTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.grenzeGotisch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.grenzeGotisch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.grenzeGotisch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.grenzeGotisch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.grenzeGotisch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.grenzeGotisch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.grenzeGotisch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Grey Qo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grey+Qo
  static TextStyle greyQo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92fb429683f1af40c5aae834f91ff48bda04d196e22004a3fe2d81137db9ac4e',
        110152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GreyQo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grey Qo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grey+Qo
  static TextTheme greyQoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.greyQo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.greyQo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.greyQo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.greyQo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.greyQo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.greyQo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.greyQo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.greyQo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.greyQo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.greyQo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.greyQo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.greyQo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.greyQo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.greyQo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.greyQo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Griffy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Griffy
  static TextStyle griffy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '476ab725d5c85bb42df0f1cc6cc498480340f8832b306f3d431ca7755e373b5c',
        206364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Griffy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Griffy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Griffy
  static TextTheme griffyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.griffy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.griffy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.griffy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.griffy(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.griffy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.griffy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.griffy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.griffy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.griffy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.griffy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.griffy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.griffy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.griffy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.griffy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.griffy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gruppo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gruppo
  static TextStyle gruppo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b5716df641d16c967336ef7af1e53465938b3314c28566bdcf00ed03652e588',
        55000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gruppo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gruppo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gruppo
  static TextTheme gruppoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gruppo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gruppo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gruppo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gruppo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gruppo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gruppo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gruppo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gruppo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gruppo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gruppo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gruppo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gruppo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gruppo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gruppo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gruppo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gudea font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gudea
  static TextStyle gudea({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a8eed0542579b267b417f670cb4943d646fffbf41ec5f2c94acc1d4c74e931e',
        20716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53bb2dabce35d41e8b3ff19d7a98dc53718955c57114b27c908fd07fb1e7a56f',
        25040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66655779275cb8cd0af6eae0c90c6288d5bf9758bdd276242bf18eced4823e28',
        20240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gudea',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gudea font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gudea
  static TextTheme gudeaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gudea(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gudea(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gudea(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gudea(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gudea(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gudea(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gudea(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gudea(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gudea(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gudea(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gudea(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gudea(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gudea(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gudea(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gudea(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gugi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gugi
  static TextStyle gugi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6534d52bf2ab3d1346afa5201bec77b81c236894c1307697e4b04d76435dea8',
        552880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gugi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gugi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gugi
  static TextTheme gugiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gugi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gugi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gugi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gugi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gugi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gugi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gugi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gugi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gugi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gugi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gugi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gugi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gugi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gugi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gugi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gulzar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gulzar
  static TextStyle gulzar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c7f70ff312f1180904aba70c14c4fd89e1457f831a50dd7d8d48d30378dbd58',
        869960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gulzar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gulzar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gulzar
  static TextTheme gulzarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gulzar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gulzar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gulzar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gulzar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gulzar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gulzar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gulzar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gulzar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gulzar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gulzar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gulzar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gulzar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gulzar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gulzar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gulzar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gupter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gupter
  static TextStyle gupter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6a47ccf2a001dfa3229fe2c41f0601577c8c19f096dcb18bca6b6ecf29e6345',
        33868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f9e33c8a6c5fd7dc40e42e0b77460bdcc241c0b33eb9a20e0c12f95eea4642c',
        33688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17592a69f88d14b17f25a93d731d9d94557c377b2ebe18aee987e77dce05faa8',
        33692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gupter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gupter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gupter
  static TextTheme gupterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gupter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gupter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gupter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gupter(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gupter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gupter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gupter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gupter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gupter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gupter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gupter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gupter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gupter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gupter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gupter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gurajada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gurajada
  static TextStyle gurajada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c38a7fba9851ffc52f6146a7a202ed587126f0b23b1649815d4094eb34db60e',
        226236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gurajada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gurajada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gurajada
  static TextTheme gurajadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gurajada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gurajada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gurajada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gurajada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.gurajada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gurajada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gurajada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gurajada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gurajada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gurajada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gurajada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gurajada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gurajada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gurajada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gurajada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Gwendolyn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gwendolyn
  static TextStyle gwendolyn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1b9fd6702ec71dbd7320574c728c3583e5677d25c3974e23dfcb844f85ac07d',
        105900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7ac7d62b7a952e8313a32e013d3f246f42844704ef04624036087df9ee0fc8',
        109060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gwendolyn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gwendolyn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gwendolyn
  static TextTheme gwendolynTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.gwendolyn(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.gwendolyn(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.gwendolyn(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.gwendolyn(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.gwendolyn(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.gwendolyn(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.gwendolyn(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.gwendolyn(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.gwendolyn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.gwendolyn(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.gwendolyn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.gwendolyn(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.gwendolyn(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.gwendolyn(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.gwendolyn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Habibi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Habibi
  static TextStyle habibi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ca195eed5fe19c0c1eb401140f8787c17d6a398fce69fa567cfa3e905608a3d',
        32608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Habibi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Habibi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Habibi
  static TextTheme habibiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.habibi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.habibi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.habibi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.habibi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.habibi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.habibi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.habibi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.habibi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.habibi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.habibi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.habibi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.habibi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.habibi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.habibi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.habibi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hachi Maru Pop font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hachi+Maru+Pop
  static TextStyle hachiMaruPop({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bd24d8b6d4eef3b41f62c3b1888117803fc7d153401696545c788bf88332d14',
        4374644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HachiMaruPop',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hachi Maru Pop font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hachi+Maru+Pop
  static TextTheme hachiMaruPopTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hachiMaruPop(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hachiMaruPop(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hachiMaruPop(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hachiMaruPop(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hachiMaruPop(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hahmlet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hahmlet
  static TextStyle hahmlet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c1602cfbf273aa514300ccf5d3e0805b1ed7c5fcef854226804dd5df0069783',
        1468436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c88cf417e003bfb023daec61d4d10627df1ef9d65fb45eede98110858f835e32',
        1476952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0da1ead094ed3fe9cf87e39282192a1257a26dfc2751fc27782629f69f8442',
        1480708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'beb700df8639109778224dc33796f3b0595fc847b6f1dbfc8878f937ccad7535',
        1483952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd923c645e99a799e667e01a04b517e7a0de41734803cb2ea087b071395e3d08',
        1486632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f979b48810b0ad5e18aaa65c60e23f6f9bd4d926a589f8880399c428e27a836d',
        1487152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9706b1c2813420d2e12aafec6fe970600f74e7c4811c4d10359e07c262a4ff32',
        1484400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58c5139f8f55a40d41fe786d59552837cf233e46310744885d1e1ac9b710a370',
        1482244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4285bd2ff446bc7e2363001150fbb854d7fb3b02adb500836801fd0527e2153b',
        1478312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hahmlet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hahmlet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hahmlet
  static TextTheme hahmletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hahmlet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hahmlet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hahmlet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hahmlet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hahmlet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hahmlet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hahmlet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hahmlet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hahmlet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hahmlet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hahmlet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hahmlet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hahmlet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hahmlet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hahmlet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Halant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Halant
  static TextStyle halant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '272065ff01619c1ae6428fe2f888e872f432fb0479796742db8ee6fcc74fb6bb',
        158884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a425be70a2b87e6e95c810ed2a4077bcb205d2b6b008a329452455c25c82511c',
        158696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc195b5bc5f9a7694af960a036a006edd864f94e0ec6c04886644deeea9fdd00',
        156496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3a0a0242775976a200faf0555e347f3916f63908a9f2a8ce85d22f8a5c46ce8',
        154528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdfa15d7355e8d034ca6f9945b640cd7b13f6871de60370ad74c01e483bd0920',
        153656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Halant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Halant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Halant
  static TextTheme halantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.halant(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.halant(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.halant(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.halant(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.halant(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.halant(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.halant(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.halant(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.halant(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.halant(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.halant(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.halant(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.halant(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.halant(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.halant(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hammersmith One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hammersmith+One
  static TextStyle hammersmithOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6d3a4ade0759a62ce64c22baba513e7e4e4f53f7db5646a1e01b70d487536bd',
        53680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HammersmithOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hammersmith One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hammersmith+One
  static TextTheme hammersmithOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.hammersmithOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hammersmithOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.hammersmithOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hammersmithOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hammersmithOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hammersmithOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hammersmithOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hammersmithOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hammersmithOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hammersmithOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hammersmithOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hammersmithOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hammersmithOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hammersmithOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hammersmithOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanalei font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei
  static TextStyle hanalei({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe5b4ba22786da8107703bf35cbe2320a5a2bbb50001bff3e86651b370772c8b',
        181760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hanalei',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanalei font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei
  static TextTheme hanaleiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hanalei(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hanalei(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hanalei(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hanalei(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hanalei(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hanalei(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hanalei(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hanalei(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hanalei(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hanalei(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hanalei(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hanalei(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hanalei(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hanalei(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hanalei(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanalei Fill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei+Fill
  static TextStyle hanaleiFill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9333d4437f37441e0ead43d542c9c49390cb0d1f9b9430bafc7f708095cb2e3',
        89764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HanaleiFill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanalei Fill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei+Fill
  static TextTheme hanaleiFillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hanaleiFill(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hanaleiFill(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hanaleiFill(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hanaleiFill(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hanaleiFill(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hanaleiFill(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hanaleiFill(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hanaleiFill(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hanaleiFill(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hanaleiFill(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hanaleiFill(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hanaleiFill(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Handlee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Handlee
  static TextStyle handlee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a44774e7b1f7e4ec43fcce9075e9f9b021e5ca365b337524506b687e0a4f48f',
        37208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Handlee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Handlee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Handlee
  static TextTheme handleeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.handlee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.handlee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.handlee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.handlee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.handlee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.handlee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.handlee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.handlee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.handlee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.handlee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.handlee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.handlee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.handlee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.handlee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.handlee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hanuman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanuman
  static TextStyle hanuman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1327d662a0f22641ef3c007ec379117e4c1d5bf5958fda16b15c5db537f3d92',
        59132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a238a0980e239b2c588547626be3e429bed2916a55eb2396af6619b52926fc',
        57700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02ce7dd70f68c79bc438d0b9d85dff02274c7107299403423bef3f18a13e3c79',
        63944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a6a6daf0a8e4c2466c8bb9ce44041edc7895ed9756339ea10836e2463bac229',
        57732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2231324f0ef8aa78b5578c12f7550e9cb997eaa4746fea1c312267bd5005edad',
        59124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hanuman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanuman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanuman
  static TextTheme hanumanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hanuman(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hanuman(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hanuman(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hanuman(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hanuman(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hanuman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hanuman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hanuman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hanuman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hanuman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hanuman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hanuman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hanuman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hanuman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hanuman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Happy Monkey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Happy+Monkey
  static TextStyle happyMonkey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e44e19c6fb5fc23883e8f89cab56115239b625243ab53cb51b84e7332dbdda7d',
        40080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HappyMonkey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Happy Monkey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Happy+Monkey
  static TextTheme happyMonkeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.happyMonkey(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.happyMonkey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.happyMonkey(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.happyMonkey(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.happyMonkey(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.happyMonkey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.happyMonkey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.happyMonkey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.happyMonkey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.happyMonkey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.happyMonkey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.happyMonkey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.happyMonkey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.happyMonkey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.happyMonkey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Harmattan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Harmattan
  static TextStyle harmattan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97ed1bae30c75f34b45fcaf4f93cee62e97900fc6f2de4deb55fbac191bd5b55',
        354412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9747aeee6bfb6e2994499fbbf51c7b678fcd04cbb4770d0e46ebc03f5d058493',
        341536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Harmattan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Harmattan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Harmattan
  static TextTheme harmattanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.harmattan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.harmattan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.harmattan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.harmattan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.harmattan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.harmattan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.harmattan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.harmattan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.harmattan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.harmattan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.harmattan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.harmattan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.harmattan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.harmattan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.harmattan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Headland One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Headland+One
  static TextStyle headlandOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcf75bfdda2597cd4a7a87e8fb3baca15cf20a9ef69dd01df9ecc2ce99ca5f26',
        69948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HeadlandOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Headland One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Headland+One
  static TextTheme headlandOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.headlandOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.headlandOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.headlandOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.headlandOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.headlandOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.headlandOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.headlandOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.headlandOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.headlandOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.headlandOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.headlandOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.headlandOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.headlandOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.headlandOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.headlandOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Heebo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Heebo
  static TextStyle heebo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14c16ef2a531fd606071618adc89b0783d67a3077fd626199e79b2d5686d3495',
        32484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ad0de1fc155c86a008eedef4021402fd664cdc8b9e892dd6e48d15384f3d77e',
        32616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ed100a1b69da7811552070916861a25ad50d02d7873ecf4b2aab888564e6f49',
        32588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830d047f7153ff26b83735bb3071d0142a1080deb11be7775e01b2f827841710',
        32540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23353049e9c6fb86635004a1e2317e9aa261cb4db472c9baeb4b3bfb31332799',
        32728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8fff5431bdb3adfb647f18915813901e649168f35318fc78f28242e65b419e2',
        32772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24859211dbfb53ecbad180ec02234da920d1d2e928035737f4589414112f72fa',
        32820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89fc303160f47bbcea0e7c4f05ba319b88d7b5b022e107a3333dda583da0e07d',
        32928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc3fb38c05fc3639f499a15b17e787fdd1ccb381fd4b77314df35a3be38e5e58',
        33032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Heebo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Heebo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Heebo
  static TextTheme heeboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.heebo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.heebo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.heebo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.heebo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.heebo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.heebo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.heebo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.heebo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.heebo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.heebo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.heebo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.heebo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.heebo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.heebo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.heebo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Henny Penny font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Henny+Penny
  static TextStyle hennyPenny({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e038f67b77f9975ccafcad8faa7daae1fd472b36b957bd54411e40abcd7f18ee',
        63588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HennyPenny',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Henny Penny font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Henny+Penny
  static TextTheme hennyPennyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hennyPenny(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hennyPenny(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hennyPenny(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hennyPenny(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hennyPenny(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hennyPenny(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hennyPenny(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hennyPenny(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hennyPenny(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hennyPenny(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hennyPenny(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hennyPenny(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hennyPenny(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hennyPenny(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hennyPenny(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hepta Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hepta+Slab
  static TextStyle heptaSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f27d39952444952542ad8674b50db71b3c7aa6307746e2f4d1bdbce15697a95',
        114936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ae0e4e98779347225d280e43e85ef5af2940fe8a6d79332e6bc524b8ee83470',
        114764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '348b545c2b2a9c1569e900424c5a9c39fdc9582de9a210541b0cf9c25a750569',
        115112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f384618a5f2d13235108ba762dbdf306e681afdbf4bd55bdb24d87619cae5d0',
        114928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bfb721db1097b533a9465172258885e84d818aeefa36ccf240801d4bcdc6c0e',
        114908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79bf88dd6f4a4753919afea9d353e518706472c525802317c73663a000937f97',
        115240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb4c45cc247625a52dcd95d08de441a18ef407a835e18b11687bf2b76a320c09',
        115904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44fa43fdab43f6f06a214f0cbbe6295e567b397220b4ace7bbfaad19856e6a31',
        116480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a7958fea121110caf4d71a14d14f68b438d7f8e66dd460af2885834029e707c',
        116328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HeptaSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hepta Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hepta+Slab
  static TextTheme heptaSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.heptaSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.heptaSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.heptaSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.heptaSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.heptaSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.heptaSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.heptaSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.heptaSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.heptaSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.heptaSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.heptaSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.heptaSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.heptaSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.heptaSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.heptaSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Herr Von Muellerhoff font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Herr+Von+Muellerhoff
  static TextStyle herrVonMuellerhoff({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8671c02060ca0cfdf4e4d37dace9449a5b6b1ad6fda59be2c4cca4d9f52c70d1',
        44664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HerrVonMuellerhoff',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Herr Von Muellerhoff font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Herr+Von+Muellerhoff
  static TextTheme herrVonMuellerhoffTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hi Melody font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hi+Melody
  static TextStyle hiMelody({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26b8d67b241afa0867bde9f68f919afad263949a96c1b0cd3bf2892fdbd264e8',
        6090828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HiMelody',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hi Melody font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hi+Melody
  static TextTheme hiMelodyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hiMelody(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hiMelody(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hiMelody(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hiMelody(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hiMelody(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hiMelody(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hiMelody(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hiMelody(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hiMelody(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hiMelody(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hiMelody(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hiMelody(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hiMelody(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hiMelody(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hiMelody(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hina Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hina+Mincho
  static TextStyle hinaMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '202b4965a9e4d598a00844becc9141db0e16ca5611258dc4ff65430fb4b757de',
        6420156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HinaMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hina Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hina+Mincho
  static TextTheme hinaMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hinaMincho(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hinaMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hinaMincho(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hinaMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hinaMincho(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hinaMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hinaMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hinaMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hinaMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hinaMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hinaMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hinaMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hinaMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hinaMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hinaMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind
  static TextStyle hind({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad2ef8c5fee0930d2c41b1346b95b1281751dcf213774e1e73eca7adea7e508f',
        147696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5be3910338bc3a5bb056114aadca147194e2957f954a644e8af675b9f05c8784',
        147420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab8ab1f1a4b50e1557807565b876b9d7031c33cf209ab721e2d12ccadf791b20',
        146972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c42820eeeb9de4dc30e714c3ba7812343d39427de4c784c642166cfc08f5e5c',
        146712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9a71515b4079e1e59f1d00f608bc1f26e2b4f184526f302d843c2f590d363a9',
        145036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hind',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind
  static TextTheme hindTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hind(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hind(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hind(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hind(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hind(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hind(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hind(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hind(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hind(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hind(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hind(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hind(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hind(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hind(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hind(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Guntur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Guntur
  static TextStyle hindGuntur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e95ddac13eeda0894f7986322a4cd3d154c7aa432883ea4aea5756c5b4cdd7c',
        171180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b7c4594d1cc591c3230bb743030afca5f66479f028383a2bbc3d6bc06c80866',
        170304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4eaf264647797ce1d64195b07427771d79bcf0f60d52e9ace39c6826492ebc69',
        169188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e4090306b7d88abdea21e0a2d80a45507039b118291cae21d7c0ab2052c847c',
        167984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00fd79c8530e201d99f14503a199d5831f18dcea3951a09ffe420d956858d027',
        167744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindGuntur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Guntur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Guntur
  static TextTheme hindGunturTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindGuntur(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hindGuntur(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindGuntur(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hindGuntur(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindGuntur(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hindGuntur(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindGuntur(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindGuntur(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindGuntur(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindGuntur(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindGuntur(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindGuntur(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindGuntur(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindGuntur(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindGuntur(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Madurai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Madurai
  static TextStyle hindMadurai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e81161f110686c182299db92912c5765d21517c78bb2e4d885f5394815b4b92a',
        66304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f9cd63d39f0472812f1d17ff8f0f486ee1a597dcdbfb734089baea8b71800af',
        65768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '633ba879b3f5ca770ad1afa7b3beb2790c342d75c9ca39b24c257d15660dab2d',
        66032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d1db271dd035c0a36c1f7f9c5c7bbd704c1a4d85042504988eddd3221dd3633',
        66012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14113b561bd4e81e8394ae023786bde3dc67fc8f5486e8845a3b3b6a24aed3ac',
        65076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindMadurai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Madurai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Madurai
  static TextTheme hindMaduraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindMadurai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hindMadurai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindMadurai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hindMadurai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindMadurai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hindMadurai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindMadurai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindMadurai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindMadurai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindMadurai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindMadurai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindMadurai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindMadurai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindMadurai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindMadurai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Siliguri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Siliguri
  static TextStyle hindSiliguri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2af2fd8e32fd091bc8f2e3cf0113aeea8a72cc54354915f356eb8025507fb2',
        133748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '012db6e7ad96f71aa3a1cdce8a758e3ca62bd3a237f0f760a0b902ddc1a088b2',
        133156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '729addf0cd65de0129d36f3c9edbede23ccee489c418e824670bb3bd03400bf0',
        132748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c4c9930cb4a900a0540d17dd4729fe788ce13bedaf76915a7fba7c5843b5527',
        132772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835e69d751f326ed78a192441fa6a0ed9a6e1e880339669fbeef36a10f59d974',
        131216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindSiliguri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Siliguri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Siliguri
  static TextTheme hindSiliguriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hindSiliguri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindSiliguri(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hindSiliguri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindSiliguri(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hindSiliguri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindSiliguri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindSiliguri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindSiliguri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindSiliguri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindSiliguri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindSiliguri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindSiliguri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hind Vadodara font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Vadodara
  static TextStyle hindVadodara({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e621017fa7a43afa2e47f66ad127f4cf866bc9c4890da082dfe3bb640f1108c1',
        129084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '836ece38ae3d98f0ad124c03d762db867c48f6feb375a9f9327d253b067e0346',
        128784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c808f2753f7c921e7b43c7e5237dc8c070b07e10aefa517b7841a6066f1c6283',
        128576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ab1e175053aac81821c7fbde8660c1e6daab8bc75ac686ce3ba3e8401a087e1',
        128044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd6b1bae735600a823bcd10f99f99cefd7c3d6cfd6b4d58e7060a9947dfc2345',
        126752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindVadodara',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Vadodara font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Vadodara
  static TextTheme hindVadodaraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hindVadodara(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.hindVadodara(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hindVadodara(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.hindVadodara(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hindVadodara(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.hindVadodara(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hindVadodara(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hindVadodara(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hindVadodara(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hindVadodara(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hindVadodara(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hindVadodara(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hindVadodara(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hindVadodara(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hindVadodara(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Holtwood One SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Holtwood+One+SC
  static TextStyle holtwoodOneSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9229d26a43c2a733086377e05f35dc7301db4e52e5baed996313763c3d6979ff',
        34884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HoltwoodOneSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Holtwood One SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Holtwood+One+SC
  static TextTheme holtwoodOneScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.holtwoodOneSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.holtwoodOneSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.holtwoodOneSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.holtwoodOneSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.holtwoodOneSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.holtwoodOneSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.holtwoodOneSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Homemade Apple font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homemade+Apple
  static TextStyle homemadeApple({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a85ac81efc3a564097e91c9156af91c780a80075a299b93891a6282ae798e1ce',
        108284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HomemadeApple',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Homemade Apple font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homemade+Apple
  static TextTheme homemadeAppleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.homemadeApple(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.homemadeApple(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.homemadeApple(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.homemadeApple(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.homemadeApple(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.homemadeApple(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.homemadeApple(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.homemadeApple(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.homemadeApple(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.homemadeApple(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.homemadeApple(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.homemadeApple(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.homemadeApple(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.homemadeApple(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.homemadeApple(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Homenaje font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homenaje
  static TextStyle homenaje({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a7433ce6a50e6e031f0078cb4e0600ebc89918875c3c667906335c4c7e5b261',
        19356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Homenaje',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Homenaje font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homenaje
  static TextTheme homenajeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.homenaje(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.homenaje(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.homenaje(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.homenaje(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.homenaje(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.homenaje(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.homenaje(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.homenaje(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.homenaje(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.homenaje(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.homenaje(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.homenaje(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.homenaje(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.homenaje(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.homenaje(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hubballi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hubballi
  static TextStyle hubballi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a78cea124e3aa93dda612a80613704a86ebe72a9c90cf69e7983b541a40a131d',
        133616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hubballi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hubballi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hubballi
  static TextTheme hubballiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hubballi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hubballi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hubballi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hubballi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.hubballi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hubballi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hubballi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hubballi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hubballi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hubballi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hubballi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hubballi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hubballi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hubballi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hubballi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Hurricane font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hurricane
  static TextStyle hurricane({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '841bc5c7ef1192aa28ff9a52dbbd34e93fa30eaf584f8b00fd3ac3e303365c05',
        123080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hurricane',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hurricane font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hurricane
  static TextTheme hurricaneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.hurricane(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.hurricane(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.hurricane(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.hurricane(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.hurricane(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.hurricane(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.hurricane(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.hurricane(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.hurricane(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.hurricane(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.hurricane(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.hurricane(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.hurricane(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.hurricane(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.hurricane(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Mono
  static TextStyle ibmPlexMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8a02e209ebe63f14ad492eab9cbcb1fd237b8a5609ca54b39fd672da34358b9',
        62228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c73d7f652da8ea80a231933da2a0022150569938c4741125d53f3e4752605adf',
        68732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fb0773f2759907eee709e88aaa1a553a97c9e5208a354c107250004e3b992b6',
        61852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0636ae1c8b26a7239caa965f96d4ae2e93ca09e705278a12b963f3a5addda916',
        68696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0c367b80ccbe3dc095c9ada84e57cf408b2aad2542f196a05d743544b1807cd',
        61600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2edb6e6dd5710db61cbbf8465c257cc60eaaf6763f4d4e029614376be733aaff',
        68300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54c2e14fed076babcdedbd87affbeefa1c4a824ee8ab24c6a1125f2a5a9187dc',
        62212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73b835016b8e2ade83e7631834b92aa6256d559e66ebb2d61ffb21f8c6d41f85',
        69108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76f8623cba0e77da46488cf2a612bed776a1dbf19c0824882e1b18a74cc1c570',
        61752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5348703f032242c80f74b89dbe59473d303416d0695bf432c0f506c5f88cdbfb',
        68348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a56c9f337926937a5df99880451b3e6064b8aa2d6b808e21088eb1afdcc422e',
        61712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '84ec22bc0db81eef0294fbb07c43fa36d8414629f66ee9c0536a96c36c05ba0d',
        68024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ba78dfc4b82f21c16fe208e5f5b91b5fad9215580e3c1df2e7b211955199467',
        61748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a9626225f48ddbd3a37c9a73ad5e08821dd51a787df4ac15b0fb537db242154',
        68408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Mono
  static TextTheme ibmPlexMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans
  static TextStyle ibmPlexSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ca403e532290cdbd84cdb89c5f11588fe0457e6bd24bf14ad2a50986eba8657',
        118600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38f92da1c087acea4544253757e1ac0acf7ff813e48a9e4e01a65ab74612a2cd',
        128168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '170e854abf2b38ab1a1a718aea3465a84c0c749b5802781c4c5d95e2886f7cdb',
        121544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16d313753ee3b6fc30a0245773c36acf6399a179ec28a15bc9cd4e15808b0b70',
        130820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64cd24953effa939c2b86e16e9ea366221c449031ad71e5ed7ac2e110bb75c19',
        121444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df113918b5c1197a598ae7283e5052eb08e67dd53b74d1eee25d0b917da56727',
        130380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba2706366b97fffdc6b21fa6925a1c5d4dbc53016358b4500d3a4cb518ac6357',
        119864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a3008026998bf82d9d91b69aa9fbbd3158ba9cdbffdd0637c08667ab2078520',
        127992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15185290450717a027ddee491fe3417c49e4e330a683e6fb5e20faedba2a17bd',
        121464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d7308746ad0a644069e70d9b7ad4ff2867fb6507f199c414cfe83b8eb99f472',
        130104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5bbec1309cfb782a5573115d669a8399d6f884d4f42a641b205e55896f16fdf',
        121260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '04831c960926ad94c1651e3cd51b12ba8e0d578a346d855bb186d5b6d5ec43d3',
        130200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92e444f99e9d151c23f75ed6ea01e1d97f4af74dcd11395ad34969ca1fe91ae3',
        119672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d95895d491efbe28a5d65728c363c73a52baa9456b155e801f1f37ed36b2620',
        128316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans
  static TextTheme ibmPlexSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Arabic
  static TextStyle ibmPlexSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63d61866ed0914c2828e5c61093d3b890e52963ca4eaea61f7148355c3cbfb7f',
        159384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '483a3e276be01f16c715df2cd15c079164d4beb68266a30ad5dfcc48aac6fefe',
        160532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2e4bb9aa896ff1d1306f67e9870fe641954cd4f85381091808b00e684ae632a',
        160468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55abe30e56d5776ec6b3c09c6ea6ec4c640ee83a4a235bf26fc442d9e11d0953',
        158856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e468fc6a226df9105a7568d2fcd96bdfa2f0c7b762821483fac189a3254b892b',
        163668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4cd8296a65505980451d55bd3ba0656e86cc83c940c21587e8ea8fd27994c87',
        163836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b18fa1174e5f95dd549b181faec50fff050ef1cdfefcbcfced302b9b74011fef',
        162652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Arabic
  static TextTheme ibmPlexSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Condensed
  static TextStyle ibmPlexSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab88cae17ef3535542ef82b797d326a6cd80375a266316b8ab2c7eb5e80b020d',
        67176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c20ea096070248d294d68b4d2adc575684bcbaeced2839ce915794d59bcbdc7',
        72024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89e3b09f006588f5f37d93559d67d4ab97566d46fdaa4d999ee235f1b4c385e8',
        67700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a0a4908f4529a3c5c953025cb3ee5ab740ede7b72903dc931066ea0973fecf7',
        72484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2476a7ca5e81c7f0156b3fffcb6584f29ae63d918be2ae224f89252e68da7bb2',
        67168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b1e9a353d99e74f168f3c0cef048a008506ffdf00ff7b3ef6d32c3395d3be1a1',
        71764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81677bfa28a39843fddab182322f178f341dc4414b318fb517bf096624aee049',
        66900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0175a68e6f0f6e45f80f5363306b85f518b04cdb803967165ebf4d682a19e718',
        71920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78fa29872fa88907e72974cbf5bf9281faea408410de3c88aa120733d7c28edf',
        66672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53a461aac68896f64ac39d16d575d058ce7184c4e40d0d5ef911cf0c7f386d31',
        71140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9498efed20c64e50b1406de5df979225977f1ebf9be3784affb420b31ea5b82b',
        66740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db1b0fe88dbcfed932c85d84d3c675c1f798dc960c3c8ff118bad0ffd4b7b3ad',
        71304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94ab2ea7241ac7fc5690ae882bbd41870abadf4573ecfc9d2d6b879bdb2bd72d',
        66404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1e299862ad0193d514af9e64612ff252c5fd2fce90dc6f56afc023f31ff71f8',
        71828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Condensed
  static TextTheme ibmPlexSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Devanagari
  static TextStyle ibmPlexSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7798a3ee523bbe845f86fa7863fae2421c3767506c243915de093d3cf4610500',
        227092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73e7df206cd6b3c8a952d7b05dafe0133c00089198384199422c03c122e3eec1',
        226176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f450798ce25cc310232f0c1076864a49e507554808b7574be064760d669c9ce6',
        223832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5b8480ad5d31af39c71b33b6f1677f217fc544d6b9705ae9b40d1754c244613',
        216720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0f071613c832756e9a25722208e518616f477dd292b299ad3ba844fa83c5624',
        216144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c34c9cee851745e633000e95e70c75bdf562fbfecdbbf18801d54e1fa0392ca',
        215672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd891ea2d71f3ec9643b821a0a6c9ba5daecb2740aaed7abac920e6456a61fdee',
        207328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Devanagari
  static TextTheme ibmPlexSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ibmPlexSansDevanagari(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Hebrew
  static TextStyle ibmPlexSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bc32e0702040a9a4b9f595de977505e364d4f7c1e68a76b32fb631f1e5a8d46',
        59316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f612af657788292566b19fda0282e15e03e618e49d2be418de9b467b2cd3b676',
        59704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb89dd202e92ef15d98c751726068064488a4825037e40ffd5d9264591cb476b',
        59412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6128403352aeceb4b47d1b84c01042a9dc1541e9dbfa2dfdcc850fd35037f97',
        58320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef1729d91585d28c5d3c1729a2a1effa5b199f96876be977ab4514f20fb73898',
        59020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1132a61747a26ba7b6775d74b9e6f0a9a865049ed90fe78909b6b535907a3ae',
        58880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '926aade155b0180efc85d09fe7be34cbdb428da60821ba01e325fbd3dc3c6ce5',
        58824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Hebrew
  static TextTheme ibmPlexSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans JP font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+JP
  static TextStyle ibmPlexSansJp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e5ee690778bac4a042c2e54d4a74c35d2eb70bfb9720d5dc143757a67263391',
        2189016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd446b310a52558411cda088f56715ee3466568a26b7d6cfb419ba0bfeff621ae',
        2184072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce9cb2b40398d89ec8192b84d268bfc7c8aa2c1b9ecdd56c615cd719ab9d4b6c',
        2177180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef6b5ea046294fe8b87daa1c008d34af334d3a6095b3a9d372c4190189ca31ca',
        2168316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a22e8c03122f1eeac49197c40a7e9788ff3fef66302505513baaca4ef393615b',
        2161896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03af37fcee3ad84ff52da1c8b1c242b7ce6c9d0725ba5a5aec8cbbdbb427477f',
        2161420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2ba1a6fb0c3a4641e7a723375b20e674a871da9cfcccb7f5559975225f8b8ad',
        2163308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansJP',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans JP font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+JP
  static TextTheme ibmPlexSansJpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansJp(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSansJp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans KR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+KR
  static TextStyle ibmPlexSansKr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02f87e238d7bffa620972a12850ffdd7b449efe89c71f15ded170f2880c7dba6',
        2508648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f5ab62910a6916c4de40bf8120f1fcd07ab5e0523b22f99a30af80795724b5b',
        2466112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd887433d1318e86b9b1841f3c11f0bef380ad4c07e850f35dbc78e60fbaf1048',
        2443504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a53e169d73d25180ceea9d348a1e488d5587a7bddd0e31aa2e2d69b3aff660d2',
        2430632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1be691e60e8feffe0a38f53404e1825f346970a1c3c2d3433c0abfba4c2a978',
        2414528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f619977087e96dedb06641c275e7c228829e587eeef5d91e17d91e3201c26f95',
        2406700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5fb8194be4cf74d42982ab17f3c8b3cb80c0393e39818fd230dd2fcfa44781b',
        2402612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansKR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans KR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+KR
  static TextTheme ibmPlexSansKrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai
  static TextStyle ibmPlexSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '211373f9dfcac4efe4dbff0ca1511b87a57c8e3805db192046079cf9eed605be',
        67296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3f0fafd7f2bf2c1a0a919fd9a7e556d1286701c805976a2def3f9668c3b840c',
        67380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f08e51bc9e9ac48c0afd5c8998cc988f892664889937a9d036f221a185bb578',
        67104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc88a40c66095346c4598a71c7c1e998cc8fd3d0b6e676a2e3ecb929820dc179',
        66480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec11d5aea72e210db7e11dc79fff528fb2b469f284cf71c6a6cb0aac4b0d58f7',
        66624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c617e4494f1b335cb11f62542d29195c0253bd444eb030ad4a361ceec8126744',
        66516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18f9b95d75427554ed81296b1f42ca6c6c0acc223706bb160277fde2452e9a21',
        66572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai
  static TextTheme ibmPlexSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansThai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai+Looped
  static TextStyle ibmPlexSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf3a1432260a7775ea4144edd6c0ba0590595815a6c18977995b131e1afef734',
        73916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1a59197f440919b96782aa8d0c6bc7e6aa6673065c16ba2b157b27f549ae2e5',
        73896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0bdf2dac00460ee725bf5a623aa56673d02aaa2c05a1a16bafdcadd51af692f',
        73364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06facf933e2da4fc85f7426b3e0dc60080126641ccc3616e972baedaa6ffb4a9',
        72656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4edf2918b1e65f195833a1efcd877e95c811abd4e005025e1dbd7a1cdf2d1783',
        72540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85e389fbddfa35be5a1572655da46a08a3e772dd37045b3288f06b8c466c997e',
        72300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70013e17a6c3540eb1fbd16e7c546987f22bf68376d1545df89627637e546d8e',
        72236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai+Looped
  static TextTheme ibmPlexSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ibmPlexSansThaiLooped(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IBM Plex Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Serif
  static TextStyle ibmPlexSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5aa4b2165b92fcaa06d80609bc3c16805135bd969b23afbed65ce60ad4558036',
        105696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '950b43c249597e17e1e3fc194d303d907a9b5395fe7f883ea435b2c8b3228f1a',
        115304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd0a00b3a4c5474d5c5a5daea0de266b34fc6da3c3a0ecb4811babcb91ffb01c',
        108384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6a5ca6127129b7a6293985631c61ff44c96d6b268a0270dba939fa359b9cfe5',
        119328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd97f921d3eba84d627c516c183075b72674478d67a524d4cfae98bee05d4e5f',
        108348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37c9cf85d4c22db5c7ee4e4cd475b84a05d69c92f3ffa9f2f38d16766c2d8b67',
        119024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc1e7665af7d46895658ff64c28756ec47467fd228d5b977564e48da9de6c6b2',
        108088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b5de2fe431d9359952029d9e61b821666ff312c25571c73d604c170ba544d2e',
        119068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32b562ef8b50a315e290f899f27de76b2f80ab80ef754d4f6ef08caf47f168d8',
        108788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd010fb94315aefc3e1af5522fd6b44f7d589d4eae98fa9e9d0b9120ca4055637',
        119060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12ba72c563a89c37bcc87c3aa18f4633d1667b495abb4d1f374b262731b746bc',
        108692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '693815bac793482c0e8b4724383d492642d1630a58b98534bf54322e6dff7563',
        119172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66723266d45803076759fe83e54324a8cc8e9ea41a172e220658a10a1cf830d4',
        107296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6b5ef936754f915e130c8ed16ac73d79d8f4c0c08e96fe3d79b7ed8d3e9cd4a',
        118044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Serif
  static TextTheme ibmPlexSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibmPlexSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibmPlexSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibmPlexSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibmPlexSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibmPlexSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell DW Pica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica
  static TextStyle imFellDwPica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9459af8e5add9e53e1987687ba7b01d4ff12a705be7880f7b82ebe2690a496ed',
        211184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec84e5dd06394d3d71cbb9f538eba396d80e6b852e947e21ecbf22ad16b9bd22',
        238596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDWPica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell DW Pica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica
  static TextTheme imFellDwPicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDwPica(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.imFellDwPica(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDwPica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDwPica(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDwPica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imFellDwPica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellDwPica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellDwPica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDwPica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellDwPica(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imFellDwPica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellDwPica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell DW Pica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica+SC
  static TextStyle imFellDwPicaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b42029cd8d085bda39149c65bee3c543027c09b57d91fff0f599214f8ac736da',
        192592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDWPicaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell DW Pica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica+SC
  static TextTheme imFellDwPicaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Double Pica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica
  static TextStyle imFellDoublePica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24def9ccd9a7f48cae0a5c65904e793384586acd5ca5626d6df5445f95464761',
        205192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b51629cdc58e927d88b04f67541e2a217d9938695be6446346a3bda587169c7',
        249120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDoublePica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Double Pica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica
  static TextTheme imFellDoublePicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellDoublePica(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellDoublePica(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellDoublePica(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellDoublePica(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellDoublePica(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Double Pica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica+SC
  static TextStyle imFellDoublePicaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32f5223943f05df18b728db045334bd10f22c3e732251ee4add3e535c480870e',
        191624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDoublePicaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Double Pica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica+SC
  static TextTheme imFellDoublePicaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell English font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English
  static TextStyle imFellEnglish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6f6962a9871041173c353a1465bf991162134e91a8ebc1c0f73295766176932',
        189680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a88c22cd52b1985e7d3a77ad3683feccc9dd2a8cdf2935bedb3fce32b333c779',
        197028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellEnglish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell English font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English
  static TextTheme imFellEnglishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellEnglish(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellEnglish(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellEnglish(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellEnglish(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellEnglish(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellEnglish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellEnglish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imFellEnglish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellEnglish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellEnglish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellEnglish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellEnglish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellEnglish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imFellEnglish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellEnglish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell English SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English+SC
  static TextStyle imFellEnglishSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '895adc2b5463f96c9d617d63ed7cb703b00efa1f2039767aa24d97a12f137d36',
        179108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellEnglishSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell English SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English+SC
  static TextTheme imFellEnglishScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imFellEnglishSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imFellEnglishSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imFellEnglishSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellEnglishSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imFellEnglishSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell French Canon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon
  static TextStyle imFellFrenchCanon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0628eb90b4ea261f205fcb44d0ba858917f4ab4bccead4e82d0ad216b60eca5a',
        140704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '469413b568988dd75baf5cd92c8d8e7488e3f3b3e4f6a320adec03a44796fb3b',
        152844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellFrenchCanon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell French Canon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon
  static TextTheme imFellFrenchCanonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellFrenchCanon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell French Canon SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon+SC
  static TextStyle imFellFrenchCanonSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe40ddc3bef548913ec825335e48fca70dfcc5883b7d4d1d7e974ee5b9a9851d',
        104900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellFrenchCanonSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell French Canon SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon+SC
  static TextTheme imFellFrenchCanonScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Great Primer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer
  static TextStyle imFellGreatPrimer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '370ece4793dbcaf0eee325718a3d90055b03dab7fb30cf4e28209d1923421e8f',
        210524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05fa578ead197e918f537cd79fb0d944884b6364bc9c47c52a5838e1838d02c3',
        243096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellGreatPrimer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Great Primer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer
  static TextTheme imFellGreatPrimerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellGreatPrimer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the IM Fell Great Primer SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer+SC
  static TextStyle imFellGreatPrimerSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e08827d0ff29ee91c0e4e486b583ffefafb018e6193eb83f130c1832b4379878',
        198108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellGreatPrimerSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Great Primer SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer+SC
  static TextTheme imFellGreatPrimerScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ibarra Real Nova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ibarra+Real+Nova
  static TextStyle ibarraRealNova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1b4498d4315f67c6c1ce4deee780817b4c4798682b0b3fa0090ced8f109e198',
        54900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b0c954614401d77bee67d08af300c16512773d2db53cf00ceb17f126de2f587',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '611e3347c0ec9c1e296bc6899a968fa3e9309e625bcb11452c5a7926a1803dac',
        54952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b15d02ab72c70d6225a1068c79359dbad826aca70796128c9b423efc0aeccc9',
        54848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87df9d68c30175911acfd1796c44fe501ab4c4d86b1ad037376d3a6f074dd8b9',
        59332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f4139b3b1637d1f3c98bf1a9056ded1ee1932151a456ae8bd5ff83e88b8b9b1',
        59456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d01b0976bac19f741aa4745f4a3fc4043e5308923dcaae39e04eaed833cca9b',
        59516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d1dec12d6c98c8a460243fd22cd3e2d195952dd952506ffaf20167bc1680fca',
        59372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IbarraRealNova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ibarra Real Nova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ibarra+Real+Nova
  static TextTheme ibarraRealNovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ibarraRealNova(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ibarraRealNova(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ibarraRealNova(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ibarraRealNova(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ibarraRealNova(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ibarraRealNova(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ibarraRealNova(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Iceberg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceberg
  static TextStyle iceberg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51f97d63715b0a943393b738e263c9e0d1d4cde0061940961986a3b0e2c29ca5',
        13108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Iceberg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Iceberg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceberg
  static TextTheme icebergTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.iceberg(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.iceberg(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.iceberg(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.iceberg(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.iceberg(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.iceberg(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.iceberg(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.iceberg(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.iceberg(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.iceberg(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.iceberg(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.iceberg(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.iceberg(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.iceberg(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.iceberg(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Iceland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceland
  static TextStyle iceland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14f42d1746d769ce6cb2d8a79c7e48f9704c62efbc656cc4844b6d8566559132',
        14252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Iceland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Iceland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceland
  static TextTheme icelandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.iceland(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.iceland(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.iceland(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.iceland(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.iceland(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.iceland(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.iceland(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.iceland(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.iceland(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.iceland(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.iceland(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.iceland(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.iceland(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.iceland(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.iceland(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Imbue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imbue
  static TextStyle imbue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19622ca4058d4b9c4df5a6e293209ce3f3e3e6404e3d6fd07f3c20aae9f3a0a6',
        65224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ec367d6dcd9ab39429fe555aba7ea660156343a06468b75acfe2fb6fcc98c76',
        65500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bec46df7e9a73cfd9323ab567e9f45e0ff2a493142c34321d69b054b7836bd6',
        65468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48cef604365597836b74be56722d74919143f563dd6fddd70960c5561e600673',
        65548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98604a54ac6c8e293395b6529108adce9bb02fe84bcd865aab2165de542a016a',
        65564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98c27d085817775cd8929b974dbbaf03145d89722c6c4b348665ddedc1fe2a23',
        65652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6691b82a062e5309f16313882915aefd96ee3a43c6fc6d95b07f5950dda63063',
        65640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '357769a361bb390bdc1641d4ab50fcf7687a751e8fc22da10933a2b41202d86a',
        65756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fbc2b8fad9ebfb003d5426b689f8767d6a96b25c065fef939917601113a51b1',
        65672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Imbue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imbue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imbue
  static TextTheme imbueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.imbue(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.imbue(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.imbue(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.imbue(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.imbue(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.imbue(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imbue(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imbue(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imbue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imbue(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imbue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imbue(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imbue(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imbue(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imbue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Imperial Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imperial+Script
  static TextStyle imperialScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd842b2474d102967fc0ae2bf65cb548a885912314575630624bc6700f02347a3',
        98188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ImperialScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imperial Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imperial+Script
  static TextTheme imperialScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.imperialScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.imperialScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.imperialScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.imperialScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.imperialScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.imperialScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imperialScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imperialScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imperialScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imperialScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imperialScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imperialScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imperialScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imperialScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imperialScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Imprima font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imprima
  static TextStyle imprima({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf4d6b97d2b514a6d6e9ab8f7f62d8d6b4c2340bd4f29eb018433c3131099ee6',
        22688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Imprima',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imprima font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imprima
  static TextTheme imprimaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.imprima(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.imprima(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.imprima(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.imprima(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.imprima(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.imprima(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.imprima(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.imprima(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.imprima(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.imprima(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.imprima(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.imprima(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.imprima(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.imprima(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.imprima(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inconsolata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inconsolata
  static TextStyle inconsolata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50ee28595bad3c9cbe5bd5d9625d1dfe6dd4d2c43d857e10f16795c72e07ca55',
        73192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9c41f51810912cc9525cf454228b7cd04e426b45a2aa2a54e013818c172d6e0',
        73032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bab98628bbc37470331410c691c15f8e0c3d14f636ee2015830874bc463aced',
        72952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2c75e718460dc0a01e31cc1b2c7ba8c76e5efc74bbf218f5288b96f6be334eb',
        73388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5704d150140acec93614a83edc7b6e805aab68367dfd81f6294f96ff1cd31ef1',
        73464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd4081226472e6dc231ed9e249a2e30d0efe4bba3b15e610c4dd4a4529eec941',
        73336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfa7037a4640ecaf7b0f6128ea75a79edb815b074cd548dd1d228012710017b1',
        73328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf97dd4404c001bd8baf3793c42cacfec1564f8460383b3af74ca1126b05e512',
        73120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inconsolata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inconsolata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inconsolata
  static TextTheme inconsolataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inconsolata(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.inconsolata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inconsolata(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.inconsolata(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inconsolata(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.inconsolata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inconsolata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inconsolata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inconsolata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inconsolata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inconsolata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inconsolata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inconsolata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inconsolata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inconsolata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inder font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inder
  static TextStyle inder({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e991130356878de98d6707a19fbded1555b30eefb700440a445c57aabbf790d2',
        28000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inder',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inder font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inder
  static TextTheme inderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inder(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inder(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inder(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inder(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.inder(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inder(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inder(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inder(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inder(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inder(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inder(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inder(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inder(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inder(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inder(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Indie Flower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Indie+Flower
  static TextStyle indieFlower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f45086b3dce82c08988dfc3917d4c46b0ab2158c75bb4e23776de29602fcff2',
        45564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IndieFlower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Indie Flower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Indie+Flower
  static TextTheme indieFlowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.indieFlower(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.indieFlower(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.indieFlower(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.indieFlower(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.indieFlower(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.indieFlower(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.indieFlower(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.indieFlower(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.indieFlower(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.indieFlower(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.indieFlower(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.indieFlower(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.indieFlower(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.indieFlower(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.indieFlower(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ingrid Darling font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ingrid+Darling
  static TextStyle ingridDarling({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c781bc726fbf1b6e1fb0f7f59df5ac1c5911c0c4348fc9b330ae834af29e4e9',
        101052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IngridDarling',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ingrid Darling font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ingrid+Darling
  static TextTheme ingridDarlingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ingridDarling(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ingridDarling(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ingridDarling(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ingridDarling(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ingridDarling(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ingridDarling(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ingridDarling(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ingridDarling(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ingridDarling(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ingridDarling(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ingridDarling(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ingridDarling(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ingridDarling(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ingridDarling(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ingridDarling(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inika
  static TextStyle inika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71c44dfecd32bbaa791b856c26e1f513fb4d5c925712f7d144b692b82dac75a2',
        37800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bedbee7e0198c60b09744b028a4407a44fd728f6cd3079e5634a4f7b30380ea3',
        36420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inika
  static TextTheme inikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.inika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inknut Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inknut+Antiqua
  static TextStyle inknutAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebbb17d0741a22f37a01f533d6231db00970f848658f0f2ce93ddc151c5f5b3c',
        229548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2deb09e19dbbfc34f5ea7a1df67dd819d7138d6f6a120e555289fba2746bfeda',
        226832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c21de761a5e8ee0e07f9c6d2faafe85878a8b5965856de5739255948e21ac96',
        227704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dba2c3e8a36d3230ac472f6671e90fd91bb77defefcc06327739186aded9320',
        227144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9614587bbc947d5e83b76dc2c94bb6473dfc46dfc6a4ae089d00235138048eff',
        224768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18256a9ed0e7ece18e69d6e7586ff3e0e12e372165d247fdaaf362785268df90',
        223676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb0902f2cebc26f885f99fed7cd05d4148cdea23dedddddeb311718a74d98584',
        218780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InknutAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inknut Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inknut+Antiqua
  static TextTheme inknutAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.inknutAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inknutAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inknutAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inknutAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inknutAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inknutAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inknutAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inria Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Sans
  static TextStyle inriaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cde1f8ad95bce7e280a8181962a591b19eae25aa112a49941fb742b35d6a63eb',
        45920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '635f6c99b5b9ec837159116b1ae4622f058c5ac802f574cc66a722b3cfda4314',
        47260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad4dff80b3c9aa3ddcec56999ff333ed78bb655e19e27c7fb0c12dd523aa0925',
        46132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '09545336cb17a99dd7f0803abfcfe216ed29d40467c5fa0c35a11ba4e6983c20',
        47484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd89af4341528ca47d9794ba55d2a627e2e8074c770e6177ff8f47d706f16b81a',
        45488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a69eda1c24b46ea6394e18c9e2af9b726f4382ca481cceced0f480eefe86d183',
        47144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InriaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inria Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Sans
  static TextTheme inriaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inriaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inriaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inriaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inriaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inriaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inriaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inriaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inriaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inriaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inriaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inriaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inriaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inriaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inriaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inriaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inria Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Serif
  static TextStyle inriaSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f1a719414cf9add765595f7a5d2177a2f5f8d9352be7201a464683994cb5caf',
        55928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33e79a36e0fb782f939e6347ad1e39aea81fd6bd9e3f706568a02311260b57ea',
        55660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d7528eca61a6dbf95915b85f0679743d12369ccddd4314bdc994fedfb6e877f',
        56152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f37bbe99d50a149e7ba4cdc58f6448f24e9cbc4690b1bfed83accb41b719c13',
        55816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d855c657c565df1c9a43d7716162d42bd1c53ff06ab12683ce607af0a75835c',
        55972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7196f80a26037d5c3a1787741571cdadce129ab81b27234bc0ad544b5470bda',
        55744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InriaSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inria Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Serif
  static TextTheme inriaSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inriaSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inriaSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inriaSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inriaSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inriaSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inriaSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inriaSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inriaSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inriaSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inriaSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inriaSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inriaSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inriaSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inriaSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inriaSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inspiration font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inspiration
  static TextStyle inspiration({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95708ec98915bd210ddadf951cc8d327b7326cdf6baf801a05eff5f85c8f56e5',
        104964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inspiration',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inspiration font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inspiration
  static TextTheme inspirationTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inspiration(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.inspiration(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inspiration(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.inspiration(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.inspiration(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.inspiration(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inspiration(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inspiration(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inspiration(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inspiration(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inspiration(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inspiration(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inspiration(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inspiration(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inspiration(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter
  static TextStyle inter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc3019406d104e4124d1f73ef777e3e15b0df2d3797dc4f05f838b88448bbdbc',
        304160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b5d0190df6e45a23ab724a0a4784a10deb7d4cd89776de99c63acf88d3d4257',
        304448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4becfca034a14218f9779e6ff5bc1ca5b1514577c3cab76e386ff9642c67633',
        304068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fba6fe30d0e768cf6ec5468e843b4834a29bf71133ca031a80e45d464472beb',
        303480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4079cf2d8fcdce1bfa9692f2a1a1788188d7dadce807079bb6a623371ef9ff1c',
        308368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '824565ea1e33c84958432becc24dc30ae3df9ba9a9304b47bf1f330f460ca706',
        309408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ebefe6637b51f54e953af5beed98d607237c3bdcadbc39cefe3edcbec529ef7',
        309748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1adf80c80c93bbc514bb2899b3f84e2ff256004e9ad48bc405b568dc46fbcf3',
        310360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8678ab8cc7cb3fba2789643c5eecdbecdfea1e96656f7f8ab5377835773a7b09',
        310016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter
  static TextTheme interTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.inter(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.inter(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.inter(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.inter(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.inter(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.inter(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.inter(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.inter(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.inter(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.inter(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.inter(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.inter(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.inter(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.inter(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.inter(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Inter Tight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter+Tight
  static TextStyle interTight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8f254b7146e91d8f69c5afc8dea412e66169d2df117707c37d567f9a8b10d75',
        298796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d649df7c0e86ca8032d863821e2be6ec9df709080a31d363480dceca54d2be5',
        299152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8abb589943cf4059f840ee5d04c4f4d32e9540c1abea84fe38e0b237ecc9f0b3',
        298872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe7e12b7f5850c0163d7948ab5b3d9658bba660d353fc947b87c5d687d248509',
        298420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ea5064feb4f8d71a70bb4ca751880b7eef071a1c985f85786508a286d7d95d5',
        301564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f4cc3c92ada3b35e19a8f695e26d0eefda460c53d178ed11301ce666decb27',
        302256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f7ca05ecb7263ea3599c80278694a0e483bcc35d3af2496b39edc63cde2e864',
        302864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95202ae8aba5211084d344d4d47533b47e01c553f3b52523be9c2ffae46c1611',
        303916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2cf26582ceeea2de558e81af6b152755e8468512a816cabbf63c7865cb61ab7',
        303836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '824ae6bc272644e3a1478ab70013865b54ff4c740bf8311cccc4e6e64fbe21c4',
        305196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a571cd3aae9f89a7feec2f5ce34cf317b7a48c49f5b71f3868efc253065440a1',
        305696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '29be3f8939faee1214c4e246c833aef9bcdbab9450c7ad5c1f4c3ad8aa28329c',
        305472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4700e38377db2c01acabff1679c412704cd190a54db551a1a5bbb084133b7658',
        304984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31b63316c6823bf08216578f963638006af224e9b7ad18d4defbb08dc7301a72',
        308212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '650446a74b62c901d6b7593ac4794a9b8f14ed4c34f883a91ca5ef60c4a72ab2',
        308928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9417fc1ceef00fd12a2362672a9ed60b3fd4db28db414dc11c44ac81f741ebd6',
        309408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2fd280e0b944803cae533112e45af704dddd514c91d9b3c80bca495beb41c10d',
        310300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ef396813f3f86a74edfdb1129b51d0998c736002f216962fedffba65d46832e',
        310276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InterTight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inter Tight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter+Tight
  static TextTheme interTightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.interTight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.interTight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.interTight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.interTight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.interTight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.interTight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.interTight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.interTight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.interTight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.interTight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.interTight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.interTight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.interTight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.interTight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.interTight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Irish Grover font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Irish+Grover
  static TextStyle irishGrover({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45cde9746bdc3f9c99497d67a5cc07d017351d00e1f1435fce5d56a92011667',
        50660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IrishGrover',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Irish Grover font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Irish+Grover
  static TextTheme irishGroverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.irishGrover(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.irishGrover(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.irishGrover(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.irishGrover(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.irishGrover(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.irishGrover(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.irishGrover(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.irishGrover(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.irishGrover(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.irishGrover(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.irishGrover(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.irishGrover(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.irishGrover(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.irishGrover(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.irishGrover(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Island Moments font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Island+Moments
  static TextStyle islandMoments({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd44f70da8b36fb2bab845a091387f6bacb6630b114c0d0c35e5df5b6837ab354',
        369664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IslandMoments',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Island Moments font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Island+Moments
  static TextTheme islandMomentsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.islandMoments(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.islandMoments(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.islandMoments(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.islandMoments(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.islandMoments(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.islandMoments(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.islandMoments(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.islandMoments(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.islandMoments(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.islandMoments(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.islandMoments(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.islandMoments(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.islandMoments(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.islandMoments(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.islandMoments(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Istok Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Istok+Web
  static TextStyle istokWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a94d7dda7b9a29ad0ca4e9bc0878f195b144dbb96923dd0d5edac831c8ae3e04',
        131812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1dd793d48db29ad35210e4c76d0a13f88f3376df91ff8ead5523567fe573486d',
        85804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0800a60c8f7f1dbfdcd7f3a085c2e1b2ebc05b52f005cd828ec8c292481d9003',
        90164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '598ccccb0cbc4c68ad20f4230329c68ef828226e28686bcde7105d7bfc6ee102',
        85832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IstokWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Istok Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Istok+Web
  static TextTheme istokWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.istokWeb(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.istokWeb(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.istokWeb(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.istokWeb(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.istokWeb(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.istokWeb(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.istokWeb(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.istokWeb(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.istokWeb(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.istokWeb(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.istokWeb(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.istokWeb(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.istokWeb(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.istokWeb(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.istokWeb(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Italiana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italiana
  static TextStyle italiana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9b56e2ce617cab0d7fd12e45d791d08b21899d1af9f20800a25d60a6506a1e5',
        26660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Italiana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Italiana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italiana
  static TextTheme italianaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.italiana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.italiana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.italiana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.italiana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.italiana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.italiana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.italiana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.italiana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.italiana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.italiana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.italiana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.italiana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.italiana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.italiana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.italiana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Italianno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italianno
  static TextStyle italianno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66c33eab43aef7c6dd97460a6e31787e48f7a087d4655dd3a22a941e22080c74',
        92144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Italianno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Italianno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italianno
  static TextTheme italiannoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.italianno(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.italianno(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.italianno(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.italianno(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.italianno(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.italianno(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.italianno(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.italianno(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.italianno(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.italianno(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.italianno(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.italianno(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.italianno(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.italianno(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.italianno(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Itim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Itim
  static TextStyle itim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd643bc9fab78386277fce28b8be2e428fcc3a33dd06c01e828db2e379c79241d',
        234800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Itim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Itim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Itim
  static TextTheme itimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.itim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.itim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.itim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.itim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.itim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.itim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.itim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.itim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.itim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.itim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.itim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.itim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.itim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.itim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.itim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jacques Francois font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois
  static TextStyle jacquesFrancois({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18b7e88a3612dc11e7796d904176b840be3e882b32d6a268c677a5cde900bf0c',
        28380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JacquesFrancois',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jacques Francois font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois
  static TextTheme jacquesFrancoisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jacquesFrancois(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jacquesFrancois(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jacquesFrancois(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.jacquesFrancois(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jacquesFrancois(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jacques Francois Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois+Shadow
  static TextStyle jacquesFrancoisShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e38697e1d9e2e90b07a7bb51f860b5bf053cb82802bf0d14346bef27c136a5d',
        40580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JacquesFrancoisShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jacques Francois Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois+Shadow
  static TextTheme jacquesFrancoisShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jacquesFrancoisShadow(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jaldi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jaldi
  static TextStyle jaldi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df17fb998fe2226b6157cada4cd08a99522324966fcb0c78d34f758515fc30f4',
        253920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c44838ee49f172bc5936d871a3e9e3631d76743a9720f3ae3c07f98d0b9fe62',
        253608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jaldi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jaldi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jaldi
  static TextTheme jaldiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jaldi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jaldi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jaldi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jaldi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jaldi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jaldi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jaldi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jaldi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jaldi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jaldi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jaldi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jaldi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jaldi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jaldi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jaldi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the JetBrains Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/JetBrains+Mono
  static TextStyle jetBrainsMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7c1f1398c921777d4230a8f6eac3170e9b486a713626574404ebfa45013bb5a',
        112252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '984a71eac1b150c1370105ba6db667b52ba1de7f5dabbef2b44b4296ec2500ca',
        112340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82e67a7cffcd9bb7e4dc8ba981e73d53446d58d1d1bf852add5497e8669954a4',
        112276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '361fac94a0812ed53198d01f2a1278aa47c6de82ba0e6b4ef87844ba97a72c2f',
        112148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94ffba68177781765b2e8be0604136249b8de53f12b27c54a42186ba81bbcdf4',
        112180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e368916188fd807817411c42bdda25f5dadf86d8a249dab8ce2cd223b2fb63bd',
        112136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02143dbef16d04c8e4954eeacf285766b9e4d7596dc1b7f81174be0f14e22cda',
        112068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52302ea9dfe2dd75d4ed6a53666b44afdd9b69c31c779c597bcaa3785a143130',
        112064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '64e26c50414ece752e3f63b22231a8ec681f234d68707927a4720d6a36ddd4ae',
        115164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b5a7eab2e07f7ec2484c7808e9468ec36ad00e6e6596b2057bce07b9ffea8ec',
        115260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b1a493b9d1d02191ca6fe1720d3274d699d013946c3cb6504c4815d271ff40c',
        115136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd3e784acd559721a5d51a29e922c8bb416a27deedb1740ed98670c9317e5243c',
        114936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f558efc51fe477d61aa8b953ec10be925706cd40b9e9185952b7fe2bc2ee2b4',
        115060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3f1ff45b1912348b20d9549fc55bbac5a58245695d98b4d7090376861bef0b1',
        115004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7f731c016d2e7a13b087610d7aafe22a5ac3bfb88a1b67a9d619229f8b8815fe',
        114932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27660df17ffdfc932cc70dd89a968ae1e88c0a12422a27bade4ad6db62fd3bcf',
        114984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JetBrainsMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the JetBrains Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/JetBrains+Mono
  static TextTheme jetBrainsMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jetBrainsMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jetBrainsMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jetBrainsMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jetBrainsMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jetBrainsMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jetBrainsMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jetBrainsMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jim Nightshade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jim+Nightshade
  static TextStyle jimNightshade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4fc7922c851bddbda9c50b6c6f1940d2e0e30a420c3fa24989294bd78533a0',
        151072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JimNightshade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jim Nightshade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jim+Nightshade
  static TextTheme jimNightshadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.jimNightshade(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jimNightshade(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.jimNightshade(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jimNightshade(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jimNightshade(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jimNightshade(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jimNightshade(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jimNightshade(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jimNightshade(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jimNightshade(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jimNightshade(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jimNightshade(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jimNightshade(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jimNightshade(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jimNightshade(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Joan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joan
  static TextStyle joan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d4579bfc520b588aec920820571dfc2003aabf88476c0191e2cbb3ec48a444',
        151416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Joan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Joan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joan
  static TextTheme joanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.joan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.joan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.joan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.joan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.joan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.joan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.joan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.joan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.joan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.joan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.joan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.joan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.joan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.joan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.joan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jockey One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jockey+One
  static TextStyle jockeyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5cc929800f3295b1ac7bbf0d766e9a324f509a2e7eb39e88e6111834e770c5a',
        41136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JockeyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jockey One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jockey+One
  static TextTheme jockeyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jockeyOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jockeyOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jockeyOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jockeyOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jockeyOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jockeyOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jockeyOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jockeyOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jockeyOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jockeyOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jockeyOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jockeyOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jockeyOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jockeyOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jockeyOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jolly Lodger font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jolly+Lodger
  static TextStyle jollyLodger({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '026f40b02b8851fd29e43776b8b2215645b10d0fe0614412b56e8d66d1e2a33c',
        37708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JollyLodger',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jolly Lodger font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jolly+Lodger
  static TextTheme jollyLodgerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jollyLodger(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.jollyLodger(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jollyLodger(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.jollyLodger(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jollyLodger(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.jollyLodger(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jollyLodger(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jollyLodger(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jollyLodger(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jollyLodger(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jollyLodger(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jollyLodger(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jollyLodger(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jollyLodger(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jollyLodger(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jomhuria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomhuria
  static TextStyle jomhuria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830b6f79f123646b4fb6536fd09dfa0d86a0a208ab02c2d9613d64568fae0a34',
        159244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jomhuria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jomhuria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomhuria
  static TextTheme jomhuriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jomhuria(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jomhuria(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jomhuria(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jomhuria(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jomhuria(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jomhuria(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jomhuria(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jomhuria(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jomhuria(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jomhuria(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jomhuria(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jomhuria(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jomhuria(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jomhuria(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jomhuria(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jomolhari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomolhari
  static TextStyle jomolhari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '257a7f5f272c0820731fd89370c5be863b113587e4a78c3ee58d4508a8a85a9e',
        1002644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jomolhari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jomolhari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomolhari
  static TextTheme jomolhariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jomolhari(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jomolhari(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jomolhari(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jomolhari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.jomolhari(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jomolhari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jomolhari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jomolhari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jomolhari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jomolhari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jomolhari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jomolhari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jomolhari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jomolhari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jomolhari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Josefin Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Sans
  static TextStyle josefinSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8585f7df27f3070829904cca9e3ca9385ad2f3eb09c6a841d07d3ee5cae3dcd2',
        57624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53076c2cb9682ba1d93b2f8037b51bf9fd336d12e873179f0e471646963bbee7',
        57792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed26136aaedeff8417b41c295bcf8f89bbc97cdebe59509054f1a9ec3f4b7bf0',
        57812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbb2b6f5b3d02f53d35136562c2525d3b37a15d9a44604c1da8d88fe24145381',
        57792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3407229f00e95f5c308f72b74d65c2e0898cda6c95ab1ccde51f139e3a39e1',
        57832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df5cc0fd5c0f17db19b4ecd72c7ab5cec928fd62f82b00dec129a921adc0d567',
        57828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6391f056fa30b3323216e8ad7c4b51ce496104eea9319ec47ccd4e143b5a9c41',
        57660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd3443ef74bc3e0ee947edf2f75cb0fd2599a418a4cc1ba6c4b0a42e7433b0e3',
        61840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c15aac0d61fb07883666d02c52df4ed0ac7b4d40597c4cf6c117a60002df9a5',
        62092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1faa2aae41e5dda452add52b778b5bda0df8c5a9ed33bb8de31010aa656abd2b',
        62052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'be9d30c8bde578b47d649a9281eb9f3aebdc6115227ea9887e5a5fa598038f5d',
        62052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '528867dd731de3d93329f4fd3085e831b9b8462603de80e36d738f87f6ba2914',
        62204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'af3bd3fbeee45653e3c320ee86a95401e01a2830119661936491844d850a9ed5',
        62216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '527721b4061ab16313038cde296bf4376908d3bfea71ed5c777f3ef21a72c1b2',
        61964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JosefinSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Josefin Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Sans
  static TextTheme josefinSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.josefinSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.josefinSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.josefinSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.josefinSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.josefinSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.josefinSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.josefinSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.josefinSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.josefinSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.josefinSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.josefinSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.josefinSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.josefinSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.josefinSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.josefinSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Josefin Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Slab
  static TextStyle josefinSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7471493883afd961ff0caedb86724252f1779c2964827df4f3a1ba0ee8d971ed',
        21768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4178bc011fdcb68ca153bfab4fa5939df22b4c5e507b9400411ebcefeb92a35',
        21816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24203d92d17bd6aed8883188552859e2a0ee3109bae34df40027b20a67e1970b',
        21812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d14118b635931ff8c7b49188dfc1c0c5295a03bb98bcd5cc5945ca68ac586c3',
        21784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e60d8d808bfd049dbaf915ee1231afafd051ecadaf66b725a40f5dec18d1b91',
        21788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5908468d9983ce1791e4af893d33ed67ed0663293ef974e79a8bc7ba1a543af6',
        21816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30aece6438e289d68c9f1a44c3daa89ef46f98dc5344a0bdf5d47f13e508305b',
        21684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80a955eb3a91f9085ccce4b8f9b2432c535d818d19e34f06458e4c4d0552c9f2',
        23560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6a546406865ccea3764a3e0f9aeb0feb6567ff5682a63b298a7671e3445498e0',
        23612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32f30019b0d0032af9ea81d8c436172415e77a291022fb2177b57c08fc35464d',
        23612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9df713a05c0c60ac5ffc9732034b6f9e2fa97feff2bca627e0795e1ab161a1eb',
        23504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3b105a003e345ad18b2fc48b56fba411d2cd699c614b5085a01f056d0f62fdd',
        23568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55bbba181d6e75e4625ced21795ad152a096580f7f042c5c67798b6c3a6bd196',
        23608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0b417ba3d5b433acfe355cdca58f352ee80c6795027db7e8542be3a787f7674d',
        23448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JosefinSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Josefin Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Slab
  static TextTheme josefinSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.josefinSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.josefinSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.josefinSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.josefinSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.josefinSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.josefinSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.josefinSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.josefinSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.josefinSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.josefinSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.josefinSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.josefinSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.josefinSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.josefinSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.josefinSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jost font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jost
  static TextStyle jost({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cbd7b66531619d8ca0ca56dcd17f8d3a9308a1088792364cfa77ae6940ca252',
        58840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2041a7a9b6f6f89b0499039b9559d77eb78bfc5208355719a0a90595b69874d5',
        58956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74de451daa3e5664c04d3f532f7cdf7f1544fc37a4b04a3c77e5ce6b1dfb4a28',
        58880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86de69cdcb32a94d783369ed37ed9fcd9abc0cf2e92bbcbc78fd171309462c83',
        58772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12051cd8b4d0f864e6af6c373eef5e9979347b6b244a4ed928a926e0a73d4a0a',
        58908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7052849b1f708c221d1dbe333121af75f65845d366a825af5c927fc2102c7966',
        58908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ec4a2efba9c4b756ebfdc73acdf4940da777e73ff52c05d9c6e11ff44675f5b',
        58852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '450b17a89b6f52487c4d9ccdc338609d5d0d08f3309e807184650cb189217755',
        58972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebcfea681b827060b29978461af726bd349443f1db8a8907071987817d73d53b',
        58944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff29842e46cdb43fdb0664c8a21b2b0db9ea586f723d4c9a1ef29968a3536b17',
        62244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f64772085c40025ccc1edc6fd3822ad51f9e4dc8a83c52d7a3962befef4608a',
        62460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b971c93d70bcedfbd38535f9e6da7e2fa22dc08039ab66288bb9d2bf6e1aed2d',
        62608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '90c12b277946b514062c038331eed91b63db94e69b6e2286eb47cdb91edc9c94',
        62556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51b2684a0165d6087a922211eabdccb93e02a2ecb304c9f235e4117ef3a80b50',
        62676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3ddfb12fc30b1401baac040ba85bf56a4ec263af15429f43e0b9ba4e0c07ed5',
        62668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7ea0c57edfcbc266cf25a4d8b243d99e8ada3376295e8cc662dfe8e585a9274',
        62524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08ce15ffcb26f521ac295a9ddc20f9b86842a6196f1af4c13bf31df5ea50ffad',
        62636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4dd3403c67213d09f949a87283a1ec9e90e06c39576431150a41c594e75fa8f5',
        62616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jost',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jost font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jost
  static TextTheme jostTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jost(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jost(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jost(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jost(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jost(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jost(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jost(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jost(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jost(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jost(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jost(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jost(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jost(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jost(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jost(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Joti One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joti+One
  static TextStyle jotiOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15388690cf527c345d2be313db1a3c268b83c51ea575c6fe98abe3def9f9163d',
        42016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JotiOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Joti One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joti+One
  static TextTheme jotiOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jotiOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jotiOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jotiOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jotiOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jotiOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jotiOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jotiOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jotiOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jotiOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jotiOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jotiOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jotiOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jotiOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jotiOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jotiOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jua
  static TextStyle jua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e55b2aaad4acdd93642873925d35a2cc127f1fcc9f44ddd50954b22646f515a',
        1366208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jua
  static TextTheme juaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jua(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jua(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jua(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jua(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jua(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Judson font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Judson
  static TextStyle judson({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dfdf40c577d874ac09888e604dff4ded29cd12716ac2ddaa1338bd616d0f3d9',
        117792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e93e96ae7f9353aa7c9c9330de4ce1fa591a1be4acd9a4f6dfc066eaeb74b19',
        109628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dface7d691f298136a3a9f55e68bc943c2259afc1dcfb4793c5655542a1eb661',
        105244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Judson',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Judson font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Judson
  static TextTheme judsonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.judson(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.judson(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.judson(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.judson(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.judson(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.judson(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.judson(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.judson(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.judson(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.judson(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.judson(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.judson(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.judson(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.judson(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.judson(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Julee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julee
  static TextStyle julee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26fb3910f439e0343471e1bb503ccfda4ec0ab874ffa462fa497cfbbabffcf09',
        28336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Julee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Julee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julee
  static TextTheme juleeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.julee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.julee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.julee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.julee(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.julee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.julee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.julee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.julee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.julee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.julee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.julee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.julee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.julee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.julee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.julee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Julius Sans One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julius+Sans+One
  static TextStyle juliusSansOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '388045284676e92cc62b8f8b649f36c6b8e2308f1b7b25f3add0b94264659a5c',
        26852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JuliusSansOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Julius Sans One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julius+Sans+One
  static TextTheme juliusSansOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.juliusSansOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.juliusSansOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.juliusSansOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.juliusSansOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.juliusSansOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.juliusSansOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.juliusSansOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.juliusSansOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.juliusSansOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.juliusSansOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.juliusSansOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.juliusSansOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.juliusSansOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.juliusSansOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.juliusSansOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Junge font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Junge
  static TextStyle junge({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7a48eaf1fb323d849a9d358e914880f12551a78e1c24f3bad9e76eea8452e27',
        24004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Junge',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Junge font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Junge
  static TextTheme jungeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.junge(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.junge(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.junge(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.junge(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.junge(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.junge(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.junge(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.junge(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.junge(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.junge(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.junge(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.junge(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.junge(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.junge(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.junge(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Jura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jura
  static TextStyle jura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b759f3d8f29644fd1ebbd20212fc9bba3f022d51ad003513ac2dc84b29f62b9',
        151000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47db5a41de026d4c9152f17fffb3717f88d06e035b6a6dba64ecc2de5d066b19',
        151264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71561fd2462af449a3d9b5592e1dc0f1819730eff5a50daf4146afe0f0b71905',
        151176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aa0e31b76500f4e0882288c8e425c21f243f4dbd2f76794bc1e4e377c4125f3',
        151188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68b25b4701a003e39d85ad3a762e29cc8bf2cb4eb88a5e0395cf165af81ee81c',
        150876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jura
  static TextTheme juraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.jura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.jura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.jura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.jura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.jura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.jura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.jura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.jura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.jura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.jura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.jura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.jura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.jura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.jura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.jura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Just Another Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Another+Hand
  static TextStyle justAnotherHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13aedb770331ef1aba792d3f944450c9613954b9602faea54193cab835179902',
        75428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JustAnotherHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Just Another Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Another+Hand
  static TextTheme justAnotherHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.justAnotherHand(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.justAnotherHand(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.justAnotherHand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.justAnotherHand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.justAnotherHand(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.justAnotherHand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.justAnotherHand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.justAnotherHand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.justAnotherHand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.justAnotherHand(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.justAnotherHand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.justAnotherHand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Just Me Again Down Here font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Me+Again+Down+Here
  static TextStyle justMeAgainDownHere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a8937ed95ef3f61a33aafb5c6f97c83af09ede10360cf9a4bee545257089439',
        50340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JustMeAgainDownHere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Just Me Again Down Here font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Me+Again+Down+Here
  static TextTheme justMeAgainDownHereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the K2D font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/K2D
  static TextStyle k2d({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3feeef22df3aa25d211a79fb1b886a2b850ee133cdd563420b234f95592e8d9',
        90864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c68be444fb83fbe462c9d3cf49e324fa0bb3c82a5280754377f93304c9d43fc2',
        94760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71198cb12976979fb9ce0ab42e5b6113e85a9a9369334c676343a998db2579a7',
        90688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '222d20b60bf5b09b9de37379e5c00c7b3457f409095495463435165f470dfa88',
        94820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d8fed4c95e12c5a12a3cca3e9a618c0451a169cea16d31b5b4bf0ab2489ea3d',
        90728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d8fa039a163d6eb70365ff27b15a5b86af96efa7da3f6067786d5bb3ea04f82',
        94808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6ad4e81d0f72f6825177620309937e71ca6cfa9e00a6bcb1c5b1d5b9b21669a',
        90976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab22474bc9931b174440dcbacc196dbd47c206be5a93e916f7b45e8489524eef',
        95068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e15ec7a279a3520f129d2acf396079d9cd36edea7fb8b3ace89f00614fa4e730',
        91356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '258e6e38f16cc4f837846f3bf1e965e8bd9f687a5c9a7fa2bf0b04a7387d809d',
        95456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bae195bea158d45183260bd3c560fd4140dbcd1dbd72dad4fc4349901eca6c6a',
        91488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b70bda904337f52ff80fda13701a449fae3eaead1ad7e97882cda3588f4bb06',
        95596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04c5c6fac3af5533d4f5aa6ec422da7a1759ccee4087a4ffe976df28e1064d99',
        91500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '20eaf0c8b8fc420ef496850949e3f6852d633c196fc08855d954e89bfba33e59',
        95704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a32273d889f7e8d98cd9ee1a23902f9c18273caa9e7af39fdc20dad46dd84711',
        91496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '87b86d27326593b40539e3645cb684c416ee80453ccf8819682a8252f33a1b65',
        95800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'K2D',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the K2D font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/K2D
  static TextTheme k2dTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.k2d(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.k2d(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.k2d(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.k2d(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.k2d(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.k2d(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.k2d(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.k2d(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.k2d(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.k2d(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.k2d(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.k2d(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.k2d(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.k2d(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.k2d(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kadwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kadwa
  static TextStyle kadwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2c763ec1e0c4882c631072fe5ac032dd107fb4e180e2dd705811dc31323e8aa',
        148896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07d8d7119e2ee9657f081ab3a42cbe55676c7deebf4a34b332917fb60e686ae0',
        141008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kadwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kadwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kadwa
  static TextTheme kadwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kadwa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kadwa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kadwa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kadwa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kadwa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kadwa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kadwa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kadwa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kadwa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kadwa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kadwa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kadwa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kadwa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kadwa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kadwa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei Decol font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Decol
  static TextStyle kaiseiDecol({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae8676268347f3f666e023fce2288b1becca0acaec604c754503c3ddabf502e8',
        4162272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32091b8f3d69899426f26c7ba9a7379e44fcffc1a3657ade6e5da268b7cf0f9d',
        3965292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ad73d25293ba4387b4df23d6c1e9d360c35b5dda236c9bd2d4f9923fc402968',
        3954772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiDecol',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Decol font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Decol
  static TextTheme kaiseiDecolTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaiseiDecol(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaiseiDecol(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiDecol(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaiseiDecol(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiDecol(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei HarunoUmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+HarunoUmi
  static TextStyle kaiseiHarunoUmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8a6fa5812f88f851ff77aba5f29fb010c38edd23b3af21d28e5dff037465ecc',
        4208568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c1437ad15cc9376a947e61e4e0db54e13daa3790150461fd267bbde64f5909',
        4009888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1aa7ea08df69d80950ea9f5214a797a06c1ea66e180dd7f26c2c9b4111f80cad',
        4000392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiHarunoUmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei HarunoUmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+HarunoUmi
  static TextTheme kaiseiHarunoUmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei Opti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Opti
  static TextStyle kaiseiOpti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47395621672a90047f82385473ab4cb145432ab40cd597ae4928f9e71c4c3aa7',
        4162144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e82b9f62169233a376c7c5d36eced32168859574142e70065137381adb06ce18',
        3965476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '551de8f3873b1b4b0924d176fd10ccdd229febaf4496c03356176813dfa28812',
        3955376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiOpti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Opti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Opti
  static TextTheme kaiseiOptiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiOpti(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiOpti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaiseiOpti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiOpti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaisei Tokumin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Tokumin
  static TextStyle kaiseiTokumin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '790ce97811960a925ea4c0b5a0ed84e08a6a4f9cef5d49f18f71d3d3e7bb8360',
        4215052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d1259427a9099137280a32061bb0fb25d991904acffd82b81fb6dcef41bd289',
        4009556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3767bd60bc3b37cc8358a63734d1ee6691dad4cb8ef5835cd19f9baf1854f4',
        4010064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e375908fdfe08cce90ba3e1cbf6f79df7ece586c0127a7bc971228da33d91992',
        4192728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiTokumin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Tokumin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Tokumin
  static TextTheme kaiseiTokuminTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaiseiTokumin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaiseiTokumin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaiseiTokumin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaiseiTokumin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaiseiTokumin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaiseiTokumin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaiseiTokumin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kalam
  static TextStyle kalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98f38ed0ef0b7668d21ed9406906b6eb81450ab5212678e0b80243cbaea29db4',
        219580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a37213f7be6a7e2f00eb6fae84583c0c0a9ff0c5bb397d63d7a6b6dac21ab8c4',
        219924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92cacefeee21ccdcb89245c9ab7e5ea7edd569703d5e493403d62a54e5c7534e',
        222188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kalam
  static TextTheme kalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kalam(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kalam(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kalam(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kalam(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kalam(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kalam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kalam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kalam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kalam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kalam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kalam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kalam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kameron font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kameron
  static TextStyle kameron({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '550d825f4927bf3a7229c5995c87315949fb5dd963f0a3c50bbb96250a536828',
        37688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de1f3cf4aec0adfacce021e661708efddbc0db2ee79c359d13bfc1f7456294b7',
        38588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kameron',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kameron font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kameron
  static TextTheme kameronTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kameron(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kameron(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kameron(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kameron(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kameron(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kameron(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kameron(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kameron(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kameron(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kameron(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kameron(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kameron(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kameron(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kameron(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kameron(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kanit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kanit
  static TextStyle kanit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecb70809ddf8d383ce0eb17b5875b3aff0d80084491bd7ad28385dd429f8f531',
        89304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '899838533ecfa040cf494455da4088fdc537c5532981b481b567d5d2ba386ac2',
        93928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9dd63eaa1439073d5e9fcaf1cef251e137c76a9c0aa3c4eaa442859c67423f4',
        88592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b03adc32a30e13c85425958018fb98510b59bbdb2a460556c10821eca9a70d2d',
        93544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f51ccef7b503457d1aed5446634c82bb56058231a5abdeb8a280a596a57179c',
        88744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62c9a9f61f65065d4deb835855beb7a68fa51d9993b28912659f3c1b8dbaf7c0',
        93564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95337e35175f79fcad3ea6f8cc76a58333983735249fa98fd20892640a37d4bd',
        88056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c041216ea979f3598ac1133392b1b799598071de5201d923043af847b2b972f6',
        93008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0284311339f571c132f0445d22b928b77b22116b7ae289b6129607f091eb2176',
        87548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f49017f139254e99a14c79a450588a94a0a95b89a1a288b19291bd5d2c9fe0bd',
        92712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dc5a22e25e9aa453721b0c423ad4eb5fdb38b335429783f8ba1f25161740ed1',
        87732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72293cdca95777391bfdc19e9b5183a8d068b240d0d60b1d1733bfe2c5a0b947',
        92928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23845269857bd5c16b931dbe118ba8eb5daca885effc103d1aa7fa2fd4cb74d2',
        87448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8577689bca6842634b9317944145ba206e0af7a5967deb76aff1a2df83ccc354',
        98732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68117b377ac646442ec1cb2ab0449b943b62c2fa6b7b318bf2c05e8c8f0a20cd',
        87604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fb969822ef983c9804fc7950be154e13f46d6da3a7511f1f18ac30c7b0ba6f6',
        98916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '943f15ab4ae7e0f4bc78f2827af961b842ea62a2bda4c9d8f86c6a4fb77025cc',
        87400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f92396b87ca2d2b0a70753a6705498cc2be644e1f7caa0ddf95cdc14cdc0b5e5',
        98380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kanit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kanit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kanit
  static TextTheme kanitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kanit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kanit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kanit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kanit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kanit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kanit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kanit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kanit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kanit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kanit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kanit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kanit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kanit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kanit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kanit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kantumruy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy
  static TextStyle kantumruy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd88e22a13392e6dcc2e30253043eb8343b65955a77062e18f128514f45ba8eb',
        32192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ef48b5a0bf09d4daf34c6b2a440ed1694b7d6317e48473282be0abc35596dc3',
        31304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '912898a997ddf8304243287ef2750109bb3fc2d6285b8a8bbcf3cfb20b07f807',
        30732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kantumruy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kantumruy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy
  static TextTheme kantumruyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kantumruy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kantumruy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kantumruy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kantumruy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kantumruy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kantumruy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kantumruy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kantumruy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kantumruy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kantumruy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kantumruy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kantumruy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kantumruy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kantumruy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kantumruy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kantumruy Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy+Pro
  static TextStyle kantumruyPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f697055aaff4b9f6fc268458444e21dc1ff7ba2ac2c065a2c87ea02352641b31',
        91720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7ebb2474d6b5e2efb20ab52d364bf686f03bee18e36d9690dab4151dccb6b7a',
        92008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76dc0898b594a2c4ebc0a2804ab80f349e8323bb82cb6ed23e4ebe267a67a6f0',
        91972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b412102df67e02427929b464c0e7f272f99208971f79acedb6ce4111a10223b',
        91728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a1c1600144674fad4601eb39ef0ec3a190f69e55b0c8b431e39bb20f71262dd',
        91800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3f3f5317b06a8990cc7e0fe9be748b08d1980ac092fb63551ac8c212ae15b55',
        91852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2afa74461f3ffd9010a1bfcc0554265d87d6684912c024b70aa29c4d2c1e2989',
        91564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '57f26641e7608dc5f119be43fe34bafc06f7f3b5f53e16716a8facc76106982a',
        100436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd60b81d4d0bcdbb26fdb7cf8a2e21a56ae06483417289da3c4e7e964a2f2b83',
        100680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e56bda7e8ca2d62449576236e83bf3e3260f13dc0a2b7f93d1bc8ea6ec04254b',
        100540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7be65cff59f0d5f9adeb047fd76b07896c2da6ee2ef88a2c2126173b7a064cea',
        100252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '963865d1eb3abb626d37e96cac3fb23ead0fa68ed94451c188e915ded6d58587',
        100432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5743e8fcac875fb9c885a413ee88651a220dd9b616c56db103499d633ceeb546',
        100460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7cdcbc95025d4451da10c35805bcd961e50abb49210186e989ecc546e24bf7f7',
        100156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KantumruyPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kantumruy Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy+Pro
  static TextTheme kantumruyProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kantumruyPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kantumruyPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kantumruyPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kantumruyPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kantumruyPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kantumruyPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kantumruyPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kantumruyPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kantumruyPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kantumruyPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kantumruyPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kantumruyPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Karantina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karantina
  static TextStyle karantina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a2ce17238047c9964df1863ddd90832959eaad256b36a297a61eabd0cfa1ef6',
        34184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2375b1a0b5b75fbe05d9015edc9fcd67315c8b2c444b0c18d2e71c8b9efedfca',
        33360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '100bfec07d150200573f5b94e85af38ab6b9a91d7232e5d3f6e8a0af6c742c2a',
        29964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karantina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karantina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karantina
  static TextTheme karantinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.karantina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.karantina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.karantina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.karantina(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.karantina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.karantina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.karantina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.karantina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.karantina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.karantina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.karantina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.karantina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.karantina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.karantina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.karantina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Karla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karla
  static TextStyle karla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19354965b6db5c4782c4d87a5a143e49a8c04a68fc63fe90d7a9e4c622c3659d',
        37220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '188bb7c2cee695c5579f94c89fa300139c756decbd7d9ecc102c103b5c789726',
        37192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b18be9811702070ce18cf88d7fff5c594cf57b07303d338f6155310b3a5390fa',
        37108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d58f83fecfb5a7bd640240773facf822669e4da91eb42fbc1473dd27c4e7cbe',
        37156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18bbe2be67f95436b1de10259e30b6e56b0ad3431d353d3136a58f1032910626',
        37148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41162797de05511825c7553451c7ee86851b66af8fc8078fd0c1eae92a1b4ab7',
        37168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c6e86e4948c94b268e4c0b46f05b49cb5d42b035d5e769b23f9b21a3ee0f6b',
        37484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88c3cc07cb53ea21519e7174707dc855567d88f47ba8d0fede694879f1a2ac3a',
        36704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c2eda3fd3f9cfb3e328580fd3c7d65ee141f7c2030b9a41e4662438a8d3cdb9',
        36640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6696ebb6161e46b4045b2c94a82670c2e34c7bbeaa87e7a3bf7dd1cf1f3d3a88',
        36516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58ee6bd508a47ea370e49b9471be8ee6bbee4ccc6780cf69c46bd17235347c4d',
        36628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ee78075ea010d51dc22f4c9da9e2c78591e529504810c7fa4b52990b2fe73858',
        36600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9b8a452da68b24ac5cf44504a66807ecc8422ef2f1952fd7b1a7e4d1df8cd76',
        36524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e5aa878cfbb98bd810c74b7ff25344c834a1e9b8ac2a9b0ff362da0a11cf5e55',
        36896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karla
  static TextTheme karlaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.karla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.karla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.karla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.karla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.karla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.karla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.karla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.karla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.karla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.karla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.karla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.karla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.karla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.karla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.karla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Karma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karma
  static TextStyle karma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '344164aebe4f1ed23545de9d615aecda387c6216d5e056ba687875387b087fce',
        196104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dee431fbbb1fd0a05c527b683771e37db53f426ea405a5effa61ad24f0839d3e',
        196176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd82009628e6e241bf62bfecac5e636220686e8c1758e6ca6269f11372f302f0e',
        195092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23cbb1312f4c9a9f9b23e9b43628a09e46c72a96ca6ce8e6424ea37d6aee0bdf',
        196008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080acbea749b811f412e88a59438d51825433cb70fb2c2d42daae10bfba0f851',
        196568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karma
  static TextTheme karmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.karma(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.karma(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.karma(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.karma(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.karma(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.karma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.karma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.karma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.karma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.karma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.karma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.karma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.karma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.karma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.karma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Katibeh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Katibeh
  static TextStyle katibeh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4928dda52d282e16f2d64d18cdeb5ba4fe71ef303ead6f87a0166cc4b2407d2b',
        160044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Katibeh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Katibeh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Katibeh
  static TextTheme katibehTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.katibeh(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.katibeh(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.katibeh(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.katibeh(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.katibeh(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.katibeh(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.katibeh(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.katibeh(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.katibeh(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.katibeh(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.katibeh(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.katibeh(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.katibeh(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.katibeh(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.katibeh(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kaushan Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaushan+Script
  static TextStyle kaushanScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa9a0cb0a084135b7d74da4babae77943fa62177e975496b0371ff84ca23437d',
        108288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaushanScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaushan Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaushan+Script
  static TextTheme kaushanScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kaushanScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kaushanScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kaushanScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kaushanScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kaushanScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kaushanScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kaushanScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kaushanScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kaushanScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kaushanScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kaushanScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kaushanScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kaushanScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kaushanScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kaushanScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kavivanar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavivanar
  static TextStyle kavivanar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d16964f973d5d6f4f17678b6ff7fc3a0f96170214d6ad028fac7f62578b467d',
        64672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kavivanar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kavivanar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavivanar
  static TextTheme kavivanarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kavivanar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kavivanar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kavivanar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kavivanar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kavivanar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kavivanar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kavivanar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kavivanar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kavivanar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kavivanar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kavivanar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kavivanar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kavivanar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kavivanar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kavivanar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kavoon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavoon
  static TextStyle kavoon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '480d531b0a32d6d0d1ae9e09212399a28fd0859a612d3d7b618c0475b2d8e56f',
        48948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kavoon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kavoon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavoon
  static TextTheme kavoonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kavoon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kavoon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kavoon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kavoon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kavoon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kavoon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kavoon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kavoon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kavoon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kavoon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kavoon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kavoon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kavoon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kavoon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kavoon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kdam Thmor Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kdam+Thmor+Pro
  static TextStyle kdamThmorPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4df27ae598bbb995274307df6ec7d0b0d542405391356579cc4e233a6efb6ccc',
        51332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KdamThmorPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kdam Thmor Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kdam+Thmor+Pro
  static TextTheme kdamThmorProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kdamThmorPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kdamThmorPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kdamThmorPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kdamThmorPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kdamThmorPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kdamThmorPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Keania One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Keania+One
  static TextStyle keaniaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a22ca9c66a302c83aab824f2c9823799b9ad0662115b5243572efd086aad006f',
        35804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KeaniaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Keania One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Keania+One
  static TextTheme keaniaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.keaniaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.keaniaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.keaniaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.keaniaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.keaniaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.keaniaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.keaniaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.keaniaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.keaniaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.keaniaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.keaniaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.keaniaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.keaniaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.keaniaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.keaniaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kelly Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kelly+Slab
  static TextStyle kellySlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '285bbdcf91fb68c8497664ac8a7679b7df529daa0d921500d33ff3a0a124c874',
        75408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KellySlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kelly Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kelly+Slab
  static TextTheme kellySlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kellySlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kellySlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kellySlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kellySlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kellySlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kellySlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kellySlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kellySlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kellySlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kellySlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kellySlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kellySlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kellySlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kellySlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kellySlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kenia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kenia
  static TextStyle kenia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05320a266451f091a9223d56b2be1d660b00bfafbe3027c94587ef1834735745',
        35048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kenia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kenia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kenia
  static TextTheme keniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kenia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kenia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kenia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kenia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kenia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kenia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kenia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kenia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kenia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kenia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kenia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kenia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kenia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kenia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kenia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Khand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khand
  static TextStyle khand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7ae19f32b86bac90966ffd0ae67046fc62544eb742e4998dd98022b0e25c977',
        158836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a6646377c9cfcefb1d770beaace0438a7c838e5eb5476bb96d3571e1ac2bf08',
        159036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '422fe7348d1d8cfddaa6ae106ba8b9658119d4d3b3ba3cb72de9a195c040563c',
        158416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '355f4130fbd28f2b738d717eae1b450ab464385abc76bc53529c90cbf15ac846',
        158652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fdab235cad3e4d88393a0b59f506a9830445e74e7c71eaacc2c17330f8c978a',
        158180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khand
  static TextTheme khandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.khand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.khand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.khand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.khand(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.khand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.khand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.khand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.khand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.khand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.khand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.khand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.khand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.khand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.khand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.khand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khmer
  static TextStyle khmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0e2742f36177a46b4cc1b21eda9fcff6dadd1488246eb473f8077b5e35c9ddc',
        57876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khmer
  static TextTheme khmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.khmer(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.khmer(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.khmer(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.khmer(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.khmer(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.khmer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.khmer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.khmer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.khmer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.khmer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.khmer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.khmer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.khmer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.khmer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.khmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Khula font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khula
  static TextStyle khula({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7131a5b8a11c092417a02236d6c3456b7bdc31339747aa5e8c12a56b368d323',
        98400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f87a8f1d35ec22b66d2b3d6ad93e8c2045429e01dc9f2dc4df29fdb3355c55c',
        96640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8c6f6c1f32156e2e300a740b793d254b91c7976cf565c3776321cb0e6ab8f6d',
        96524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4c3d7045d8dfedf2a529510d1a62710f938486b8b5f4123f4a6244421950ea',
        96956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f09091305f7583a00c809c0281eeb7371602f06278b403bba96edf90d442ca76',
        97932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khula',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khula font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khula
  static TextTheme khulaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.khula(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.khula(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.khula(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.khula(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.khula(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.khula(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.khula(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.khula(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.khula(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.khula(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.khula(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.khula(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.khula(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.khula(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.khula(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kings font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kings
  static TextStyle kings({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9083dcaebaa49d9237d56f7eec56d166925457c935d8736e15e2788d3a1dbbed',
        115552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kings',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kings font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kings
  static TextTheme kingsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kings(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kings(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kings(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kings(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kings(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kings(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kings(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kings(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kings(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kings(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kings(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kings(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kings(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kings(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kings(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kirang Haerang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kirang+Haerang
  static TextStyle kirangHaerang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01d4902ffdf55ab04c3f70fbe0cfe76c33d7d9afad4054c22b83f6a22dd4ce10',
        3554600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KirangHaerang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kirang Haerang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kirang+Haerang
  static TextTheme kirangHaerangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kirangHaerang(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kirangHaerang(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kirangHaerang(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kirangHaerang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kirangHaerang(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kirangHaerang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kirangHaerang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kirangHaerang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kirangHaerang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kirangHaerang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kirangHaerang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kirangHaerang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kirangHaerang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kirangHaerang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kirangHaerang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kite One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kite+One
  static TextStyle kiteOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ac07ee3e6bceaf9a821cf0e3af6a792e82f2349ebe1a463f747e5149fd43842',
        33620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KiteOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kite One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kite+One
  static TextTheme kiteOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kiteOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kiteOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kiteOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kiteOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kiteOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kiteOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kiteOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kiteOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kiteOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kiteOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kiteOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kiteOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kiteOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kiteOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kiteOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kiwi Maru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kiwi+Maru
  static TextStyle kiwiMaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9c9c3046fc810f9faddaf1b1c96685d40d2572e9769ab05aa05a9c0b58301a6',
        4630528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4548a439adfba60c426ceaab63f6adb8b02e3f4624370b59d30ac8a691d750d2',
        4708932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a7dfa489c8b1e3869dd15c1260b2956f89e8c290f78d7bc63bef5d380eb2978',
        4765088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KiwiMaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kiwi Maru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kiwi+Maru
  static TextTheme kiwiMaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kiwiMaru(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kiwiMaru(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kiwiMaru(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kiwiMaru(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kiwiMaru(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kiwiMaru(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kiwiMaru(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Klee One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Klee+One
  static TextStyle kleeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c307a4574ab7ef8cf7a859d7ea760d7e70644f72577dcd8e762ca364cd104b2',
        6649824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c0c75277d4d6e298dfc4b0910a4bba5b6f0b228887531a34855427250d4f284',
        6798992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KleeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Klee One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Klee+One
  static TextTheme kleeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kleeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kleeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kleeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kleeOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kleeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kleeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kleeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kleeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kleeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kleeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kleeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kleeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kleeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kleeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kleeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Knewave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Knewave
  static TextStyle knewave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7a5d36996861440a7323bce635cba068a2abe33e203bc805bca465a7719c663',
        30828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Knewave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Knewave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Knewave
  static TextTheme knewaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.knewave(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.knewave(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.knewave(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.knewave(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.knewave(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.knewave(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.knewave(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.knewave(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.knewave(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.knewave(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.knewave(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.knewave(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.knewave(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.knewave(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.knewave(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the KoHo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/KoHo
  static TextStyle koHo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3af7e48182d135d3bb3e694d1bd1e756c0dd23789f6ec5bc4f190532f1f4ab0',
        86716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03a317cdb0a6d89bcf5915b807d68a83916da8944091be1f2fab50b3afa9e9b4',
        90908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb924b0326b4c7311dd7331997e56735defa6b8fea8a1cd66f468ee2b063d37d',
        86412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '371abb61eba423b208a21f317aa7ab8e0c6c35adaf47aad7b34b8a573301d0cd',
        90612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12e86a898aa933872b903c05385001479bc487ae9ca49766bd087bd240f5e8f5',
        86204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c4abc652d2044eb37097b3095e92a154f5f5a1d048993e4dc1091c1c64b3960',
        90532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '262f653a554a905e20a4164cc571d9dad94f7028709bb75eaf0c7b118ee55483',
        85892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f61caf1f627e11ae12e26fb522e3487756c27e76a259444449da492b43ec1dc6',
        90208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e340654b3773ca71ef3c3c702534b94b484762e690b3e00d561e1b1d22634f5',
        85700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b001656996bca2587f64d6e6cde03c4e46e182f95ab1006b3e9b0138c1e1d3e',
        89800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60866577b16bc41cff442f77847cca4dda2e06692c998c33f2cd6cc8052e1cf6',
        85128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '40289fb01fd35c9113cc32a856b1c7108a05e4a5c9fa22588690da6d49d7c180',
        88844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KoHo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the KoHo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/KoHo
  static TextTheme koHoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.koHo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.koHo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.koHo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.koHo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.koHo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.koHo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.koHo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.koHo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.koHo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.koHo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.koHo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.koHo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.koHo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.koHo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.koHo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kodchasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kodchasan
  static TextStyle kodchasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30f0fad0e022df33c63d0259c82458743fcc323e7ea43e05f1b04e863e589ede',
        95536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e1413a7b25741c19346be97bd31a24f49bcd08647e1ace3c734e499d71f3aa3',
        99884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3a7d5625bea76c10068ea5effa7617077cc433b199ef75dfc1f0d22cdf83830',
        96716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7715cad4026e2cc0f0e1acf38ebb62e087dd8ee2669102911bd2bb8818fdbe2c',
        100924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '683586bae49caa482d378c72927b319821383439f10554e3830dec3f8769eaeb',
        96988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '084d50734dfa4f4c091a79b705340f96f86c8b23ba99fad0821637edb1eac989',
        101700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbcbdbecfaaed79cc42236d2d9c061b52b1975305dad4652e69c36c77393b63a',
        97288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd5d2bc726e78e93d303007d80a35b3efb33b0768f5ad4ed685c23def77b7d015',
        102088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03837751df660f779f0f7ad6c5c8aa5ffd6c12941ba741eead579b1cda324bda',
        97376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '52ade8291a7aeecaa6346a70079a239dcd5bd4b6fd368d4efd97beac8f4cec71',
        102560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ae4ea372d6290762e17de851aef2f51b94913647cf64e7ca6a379e7a8fbdfc3',
        97212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e9a7003e1b7a0e336a6ad9a71e2e4a10c1cf4184dfeb3972b7f54041629c676',
        102668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kodchasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kodchasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kodchasan
  static TextTheme kodchasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kodchasan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kodchasan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kodchasan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kodchasan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kodchasan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kodchasan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kodchasan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kodchasan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kodchasan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kodchasan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kodchasan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kodchasan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kodchasan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kodchasan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kodchasan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Koh Santepheap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koh+Santepheap
  static TextStyle kohSantepheap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d291580d0f06b8cb81f681171e8c5cf0dde6ab4a42924dbb75aa4876a8fadf3',
        96060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c612a7458b0d35f7f1f1d889334598706cc13adab8b323411498438d63e186b',
        89816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a90b8c16824b639cf0061d97ba9c8e93158026ce40373dc7bdbe20e5c55cf5',
        85232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f96c06c3d102fe6a0a3b31b7917cadfca68e06472200f86ca81abcd29e99e28c',
        81884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b9c67710fd4ce4f8917159d2f85a31f925025b59c68f0ee4225d950cacc6453',
        74536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KohSantepheap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Koh Santepheap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koh+Santepheap
  static TextTheme kohSantepheapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kohSantepheap(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kohSantepheap(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kohSantepheap(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kohSantepheap(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kohSantepheap(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kohSantepheap(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kohSantepheap(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kohSantepheap(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kohSantepheap(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kohSantepheap(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kohSantepheap(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kohSantepheap(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kohSantepheap(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kohSantepheap(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kohSantepheap(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kolker Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kolker+Brush
  static TextStyle kolkerBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b961a615d42db7757b9c44faa7341e4be6710ca161cd71816634db85b7b7f447',
        180008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KolkerBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kolker Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kolker+Brush
  static TextTheme kolkerBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kolkerBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kolkerBrush(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kolkerBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kolkerBrush(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kolkerBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kolkerBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kolkerBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kolkerBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kolkerBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kolkerBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kolkerBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kolkerBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kosugi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi
  static TextStyle kosugi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49df133b94e2da56a5b3c48d45d54dce7d8db8b34baad63bf5f6e0159d93beb6',
        2286760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kosugi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kosugi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi
  static TextTheme kosugiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kosugi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kosugi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kosugi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kosugi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kosugi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kosugi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kosugi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kosugi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kosugi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kosugi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kosugi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kosugi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kosugi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kosugi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kosugi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kosugi Maru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi+Maru
  static TextStyle kosugiMaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a90c857da87ed71b82528569fe9da02b7743228a973168640a523000aadcc6f',
        3563628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KosugiMaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kosugi Maru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi+Maru
  static TextTheme kosugiMaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kosugiMaru(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kosugiMaru(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kosugiMaru(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kosugiMaru(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kosugiMaru(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kosugiMaru(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kosugiMaru(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kosugiMaru(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kotta One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kotta+One
  static TextStyle kottaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0638d63efe7ee7b3e6ab4b96cc75576600f89898b5e35b7ae7ebb758b41a769a',
        34152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KottaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kotta One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kotta+One
  static TextTheme kottaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kottaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kottaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kottaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kottaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kottaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kottaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kottaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kottaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kottaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kottaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kottaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kottaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kottaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kottaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kottaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Koulen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koulen
  static TextStyle koulen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce05b33cf65dd5ce1c121aa864e2608fbd6f2572e135e1aa2161e1a5432b8311',
        31796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Koulen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Koulen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koulen
  static TextTheme koulenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.koulen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.koulen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.koulen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.koulen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.koulen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.koulen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.koulen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.koulen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.koulen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.koulen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.koulen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.koulen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.koulen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.koulen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.koulen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kranky font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kranky
  static TextStyle kranky({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad5c52c448d67b1b86122d6892649f7a92179c17161a737a8acd61d8af3dfdab',
        197308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kranky',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kranky font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kranky
  static TextTheme krankyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kranky(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kranky(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kranky(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kranky(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kranky(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kranky(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kranky(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kranky(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kranky(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kranky(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kranky(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kranky(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kranky(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kranky(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kranky(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kreon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kreon
  static TextStyle kreon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '346b37953960d58fac59044486ff8fc4531ed2fc0346d066fca154846700483e',
        45264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5db78ccdbd776ca2e35f2fae92f4f0b22d135cfa003ef5a35f62f782fa7e1061',
        45460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d515154b43304b741c0099596b14161ae9431428ec2903b486d60a0f79d5206',
        45472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3e0aaab431aff8f10835846d38b420f3af646f85a9270eb360c3c1153604655',
        45496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47cf0bd927e0937fc67170ea90f87cded329cbd029ab3cf870d841d3d1f44c6b',
        45396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kreon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kreon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kreon
  static TextTheme kreonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kreon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kreon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kreon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kreon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kreon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kreon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kreon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kreon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kreon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kreon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kreon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kreon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kreon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kreon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kreon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kristi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kristi
  static TextStyle kristi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3783785d888bec7656c3cf6d3c9eb48c0b048106448a3a77a9b5230c15bce9b',
        25676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kristi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kristi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kristi
  static TextTheme kristiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kristi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kristi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kristi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kristi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kristi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kristi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kristi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kristi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kristi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kristi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kristi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kristi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kristi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kristi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kristi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Krona One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krona+One
  static TextStyle kronaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a857bdedcd04808287e0f61434a166015905516d9b18b4588a2e56e92f93376',
        30616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KronaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Krona One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krona+One
  static TextTheme kronaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kronaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kronaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kronaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kronaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kronaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kronaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kronaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kronaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kronaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kronaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kronaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kronaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kronaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kronaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kronaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Krub font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krub
  static TextStyle krub({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e064bab32a21fa30c610295c91695432f7864991a4d00c1217a5b36e403cd96',
        81664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51506d322a16c0c02ce2cacd9fac549519d9e5258e2d1a2b4e90c5cfafdb4c2c',
        84648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a216e70293e43f9afee4e88c83a71529e7e6a7bbb86835d8a730f9906cfeb28',
        81100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66d36cdd71ff9956005efe651b7bb1757929f7ade3ef702e3c4231a134f92cf6',
        83988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ab135ae3874fde80d4de737db0926c9904c8ccc5dc82af2b94a9857cb59a526',
        80988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c10304de75799db5bb814f1aa2598c3ac1433e7888a7090ec3d33bccb7f83775',
        84040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d578102b79ffd00517dd5dab4bf39d1815020b4056f059dd0501f93e288d66f',
        80900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8a82e2bbf17bf8e5fc073264a2bb66567de6773557f21703fbc15711b67a068f',
        83856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93a6c45b34dd34dec10d6e093f4c45194b75f491b0215001c6a2045f0803c98f',
        80800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '59450b19c8b120bd1c990983b8fe2aef06236e0ac250080980bb4e49b0e47eb1',
        83792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8def7bdcdabc64634f660f7a9090f16a2630225d33537da2827586e2c1a5a21',
        80756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b30bf9c77979d77ca14816cbcb00e474b724e5d61320f0f412cb65b2b7bd62d',
        83796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Krub',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Krub font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krub
  static TextTheme krubTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.krub(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.krub(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.krub(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.krub(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.krub(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.krub(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.krub(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.krub(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.krub(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.krub(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.krub(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.krub(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.krub(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.krub(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.krub(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kufam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kufam
  static TextStyle kufam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9918879c1cd365f491bf66b9f09250201f752f0200a80afb975f75f6e879d17',
        159836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19eb36af4d159d91d26a6ace4bab8e9d95254a240c92b4b85f175d755986a1a6',
        160148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8141b0ee95b3ea3c965e9c57ea1c945949d2ea6f95d54f308b38f7ee94968324',
        160252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad35cac3c2b89758c515f363096a5db28707c9deb72764411bcd365a7bdff18a',
        160320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e04e53ccf0f8905856334b068f1026e85f8d22ca66af93c622db608f21deba3',
        160244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5bd9b5be517f4d2eb0658126437461d71d72e3228779338740a3882f0d39b3a',
        159756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce627f354e23833a957c9b59d08a7f1022bbbfd62093c97fe558ce3ae9b50d2d',
        163424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '10df402f416fc5014d0f5a878d3e83f1ae1de1331b49db5ce4dbcdf519d68ecf',
        163932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e60c96e5b2ae4310c83b13c4afd1de589e9a057663e3091918bc718ee1f82ad',
        163940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33c16ad77a4db652452494e66ae0358b5fc23317d8942d2b500b93e75d3bcdea',
        163916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c845b3a97f93d4e6de2e382bc6a708e26d9acccf17bbd63400175929edc7b22',
        163884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcffe90ad7b76939057c1d996687a31a62e5355e0396762c10cdc3f03b07c8ac',
        163352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kufam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kufam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kufam
  static TextTheme kufamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kufam(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kufam(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kufam(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kufam(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kufam(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kufam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kufam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kufam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kufam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kufam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kufam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kufam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kufam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kufam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kufam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kulim Park font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kulim+Park
  static TextStyle kulimPark({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '411dd1c2a745dffc3a7ec3e3b08b5a0a7e4b64b9665af04992ab11a4088c35c5',
        43256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e42aa6fe8dbce9ec161e7a43f425312f70e9d0ae889b9b87d61eb49e6e53dd9b',
        45316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7b666671732126b9fdcc9d0b6af69224c77410099aa68e77fd252155868ac96',
        44404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53c9090cffc2eb26795863357277af6e10ea7b10bccce7bc06c00f2299872695',
        46220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6eb5e7ad93fe4846f2695b81674b437592f8d139eae1740df2bdb94cc1cb789',
        44392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65fa35863efa80888c2b40da6783a797a3708179e27d9e74f378de68f4bf34d7',
        46036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97d007e0de718e70539306c4d4d4070e14c09ed649be04de7400a230cb9d1223',
        44296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '144f19f1eb5cc929255d504b6b4f8d8746ef5d4e4af83dfefdf00914d7dc6ff1',
        46032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eee087645cb4966df66021eb07852d61e969eb4fb1bae148d6992b8d0633abb7',
        43860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ff9f4f4b4f227cf493be24aebef50836aff650e47b889e0dcac77978498031b',
        45840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KulimPark',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kulim Park font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kulim+Park
  static TextTheme kulimParkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kulimPark(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kulimPark(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kulimPark(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kulimPark(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kulimPark(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kulimPark(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kulimPark(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kulimPark(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kulimPark(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kulimPark(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kulimPark(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kulimPark(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kulimPark(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kulimPark(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kulimPark(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kumar One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One
  static TextStyle kumarOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1d33f1679a7eca0139d875d28475a10a10d73525d4471492e511e2c44c82bfa',
        87336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumarOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumar One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One
  static TextTheme kumarOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kumarOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kumarOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kumarOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kumarOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kumarOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kumarOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kumarOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kumarOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kumarOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kumarOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kumarOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kumarOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kumarOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kumarOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kumarOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kumar One Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One+Outline
  static TextStyle kumarOneOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7611e5acc94e77b80e007061709cb79b567dac87facd97283bd7fe8184d97988',
        119368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumarOneOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumar One Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One+Outline
  static TextTheme kumarOneOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kumarOneOutline(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kumarOneOutline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kumarOneOutline(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.kumarOneOutline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kumarOneOutline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kumbh Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumbh+Sans
  static TextStyle kumbhSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88e23172bdb2580cd89a757a5eadfb39039d879564ec560887a410fef8efaa82',
        51388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5ae7b2e2bd5a8958a4fc3c8a46ca875ed352ac345254fe9bcc01118ba662564',
        51336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c04d9282d0cb000187a15581f0573694136055378d3b27fa83b9eb23c4251c11',
        51216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '796742610633cfc0c565999c1a4689893afe9e79dda944872be2c0f49020075c',
        51116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce136875791aeae36de8e2647927c004f65d25363df2c2f70231afb9f530b1a2',
        51076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f768ea713b19666b19e9e56ee8c02331d895eac5f1941b486a4f2eecaad28c8f',
        51264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65f25ca5c0829111b9189af4625471c348e4fb2471dfb658d1d150a4741a15e7',
        51512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ebaaa84321698172545918d6132ae64fd0d0056aa57b660183f9fb036c1b288',
        51736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '491d9358ae7926f80e7a6f35cbfc209ecf4312a0d988d6e5166608446c32e975',
        51828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumbhSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumbh Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumbh+Sans
  static TextTheme kumbhSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kumbhSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kumbhSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kumbhSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kumbhSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.kumbhSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kumbhSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kumbhSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kumbhSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kumbhSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kumbhSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kumbhSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kumbhSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kumbhSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kumbhSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kumbhSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Kurale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kurale
  static TextStyle kurale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7096016c2619f5795fdc65abea4d7d40d59794d08aaaafc6efc0bfc389a14c1c',
        136988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kurale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kurale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kurale
  static TextTheme kuraleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.kurale(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.kurale(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.kurale(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.kurale(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.kurale(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.kurale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.kurale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.kurale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.kurale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.kurale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.kurale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.kurale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.kurale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.kurale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.kurale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the La Belle Aurore font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/La+Belle+Aurore
  static TextStyle laBelleAurore({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ae657f140b03c7e54a80636b2a1620bc4ea1274c5003deb941ae45a833d892',
        44080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LaBelleAurore',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the La Belle Aurore font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/La+Belle+Aurore
  static TextTheme laBelleAuroreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.laBelleAurore(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.laBelleAurore(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.laBelleAurore(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.laBelleAurore(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.laBelleAurore(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.laBelleAurore(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.laBelleAurore(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.laBelleAurore(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.laBelleAurore(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.laBelleAurore(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.laBelleAurore(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.laBelleAurore(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.laBelleAurore(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.laBelleAurore(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.laBelleAurore(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lacquer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lacquer
  static TextStyle lacquer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbdfb039f1c10cff70fd5b04bfe8f0fc8baa2226c1774b2f7d168c27254b69c8',
        203048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lacquer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lacquer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lacquer
  static TextTheme lacquerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lacquer(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lacquer(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lacquer(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lacquer(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lacquer(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lacquer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lacquer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lacquer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lacquer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lacquer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lacquer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lacquer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lacquer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lacquer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lacquer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Laila font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Laila
  static TextStyle laila({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be4c1aaca63a49bfbfce14c17a2a33bef4c8a3c667f7da372a2394a8a54fca06',
        198232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dea8f75e5f22891ca7573043c6e54bcc2cbaa25d332c9e5a3db53b24fba44be',
        199212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c75a1ba4dc21f22f3a0f6d8eb7814d1f973b61ad8b97d56a4d967ecb13f9404f',
        197344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13014ae3d49b59e2ed1763d78201ee312bc5e517b55096a3247aa4923cb2e535',
        197216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f143e9464dfad328f37d25cb36b2bce973f82410c6db354ba7342c2c8fbf3dca',
        196084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Laila',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Laila font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Laila
  static TextTheme lailaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.laila(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.laila(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.laila(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.laila(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.laila(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.laila(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.laila(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.laila(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.laila(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.laila(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.laila(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.laila(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.laila(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.laila(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.laila(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lakki Reddy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lakki+Reddy
  static TextStyle lakkiReddy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3fc44b1571bd5925f9f8ccd56cc5fe43b6aaf2de41b0ae4e18f576f1187549f',
        354844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LakkiReddy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lakki Reddy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lakki+Reddy
  static TextTheme lakkiReddyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lakkiReddy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lakkiReddy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lakkiReddy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lakkiReddy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lakkiReddy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lakkiReddy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lakkiReddy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lakkiReddy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lalezar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lalezar
  static TextStyle lalezar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1788a04c896f11a4421af62ffa29d5f2894e71f732ddd22ddfaa27a2b26a0efe',
        177672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lalezar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lalezar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lalezar
  static TextTheme lalezarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lalezar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lalezar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lalezar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lalezar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lalezar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lalezar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lalezar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lalezar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lalezar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lalezar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lalezar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lalezar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lalezar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lalezar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lalezar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lancelot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lancelot
  static TextStyle lancelot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39c40ae42195601dbd826c341889d03476d15cd209c42a3c18447c73a70aab6f',
        24412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lancelot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lancelot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lancelot
  static TextTheme lancelotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lancelot(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lancelot(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lancelot(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lancelot(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lancelot(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lancelot(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lancelot(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lancelot(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lancelot(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lancelot(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lancelot(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lancelot(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lancelot(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lancelot(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lancelot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Langar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Langar
  static TextStyle langar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5ad4911b51bd966933a896a746c03f5d70957feaeb1015db79fbfe9b64088ce',
        137468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Langar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Langar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Langar
  static TextTheme langarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.langar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.langar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.langar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.langar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.langar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.langar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.langar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.langar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.langar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.langar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.langar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.langar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.langar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.langar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.langar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lateef font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lateef
  static TextStyle lateef({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6823e3b11aa30cd5f844b07695d48130b0bfc209f2edaf943e6d337e32bbc183',
        147004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6423bc63dcffd6728e73a8fc54c98fdc4d2d09f2006aa95fc0d1d7ab2ab17c86',
        146580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd94232684709bf17a93bf7c6023cd891aac720a539acfb1a7bfd9fff9a258052',
        146900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a23cba5ebd2cb356875d6b5499b1d5abaad2b29ccd8889abff368fdb4a5ebce6',
        147808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28b5662813d8367626422fd843e1e342b72bcab1a959d25fd6c3cba1e196ce55',
        147956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be491cc64453189127a0be953f1ef9fd40419e9d1961d60cbb2501efb87b4bbd',
        148524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76d938835df01b4e2a173b5cebdcf41c93910088f47c6d886b2c8463d9caaad1',
        148728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lateef',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lateef font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lateef
  static TextTheme lateefTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lateef(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lateef(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lateef(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lateef(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lateef(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lateef(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lateef(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lateef(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lateef(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lateef(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lateef(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lateef(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lateef(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lateef(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lateef(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lato font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lato
  static TextStyle lato({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '028f34b37c98716737f40db937fa396ae605fb0539ebc0d05358527e11438015',
        35360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '34086c9ade13d6bdf0503bf290e721b37055fd1d19f2f5f69254e19f0ab58ee9',
        33944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '366ffb94efd90f2f929571f175b108b2fa32b4da9c11c7a287a0c09bbda28063',
        33272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f38a5e5a641302ae825c48a3f5af81152706375523950547ce388a5c2cd88555',
        34456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e6ed20d655bef45270197c043b98acc546b2455874705cd35adda969c35c2c3',
        33392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad8aadaf0bec1773e29dab41b179c6ceb14e361adf12c12d20d6008e45febda2',
        34544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a09be1c00848f33ba405104a37b0d79d9a9a9ae543accd0e6009532fc5b3d4e0',
        33980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2fde57ac0caab23292ac2d7cb7200f8b5c1f06ec4f287fa03dff0ecff2df28d1',
        34688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70ce9314ea497eea1f0e3488c504e032a4788a165281c5cdc61134234fcc021a',
        33756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a872aafe009a817d351ee6899957a9374253872967db3befd5f92f159ac57e4',
        34604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lato',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lato font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lato
  static TextTheme latoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lato(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lato(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lato(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lato(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lato(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lato(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lato(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lato(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lato(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lato(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lato(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lato(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lato(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lato(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lato(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lavishly Yours font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lavishly+Yours
  static TextStyle lavishlyYours({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0179f7b5cc029f6991676322d4d3aaaa87d04de1beba5dd6f9e803192173c97',
        96144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LavishlyYours',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lavishly Yours font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lavishly+Yours
  static TextTheme lavishlyYoursTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.lavishlyYours(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lavishlyYours(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.lavishlyYours(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lavishlyYours(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lavishlyYours(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lavishlyYours(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lavishlyYours(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lavishlyYours(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lavishlyYours(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lavishlyYours(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lavishlyYours(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lavishlyYours(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lavishlyYours(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lavishlyYours(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lavishlyYours(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the League Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Gothic
  static TextStyle leagueGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15dae0b4b89014503d1ee98beb92b4313cfed23ea47d798c7b1f017447ee3ad8',
        37340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Gothic
  static TextTheme leagueGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.leagueGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leagueGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.leagueGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leagueGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leagueGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leagueGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leagueGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leagueGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leagueGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leagueGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leagueGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leagueGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leagueGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leagueGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leagueGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the League Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Script
  static TextStyle leagueScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d81b4c09c948028f42af39a5e9a9aa2ac1d63eaee75f31325b3c63d825ac499',
        37976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Script
  static TextTheme leagueScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.leagueScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leagueScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.leagueScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leagueScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leagueScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leagueScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leagueScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leagueScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leagueScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leagueScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leagueScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leagueScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leagueScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leagueScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leagueScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the League Spartan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Spartan
  static TextStyle leagueSpartan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fed793da8670cc194436959fb9906c57433defbb5838a99e759e5e08f0d1790',
        52832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2818c9f48fc08ce65478082794acfdb0b1ec1a2b3afaeffcbf1794a17668e71',
        52884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1af4a6e770dc24cd418219653fb9bbc345c9f6bd1c77597bfc89d0b0774aa42',
        52840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30a061b73cda09360bf6a759714c211982c9c4ab38cf70659eb6c0532477ec90',
        52828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fddc961fbf01a99995548dac75b4bb0233285744123c6987d4d698e6ae4b7c15',
        52836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eaef2947a55b4af617f148fc328e20fc1e4cff9f49b9bbcb273694a00c4946e7',
        52912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20c4d0b1ae78b71e29efd33c62938965a0b6574348554aab4b7769e84a97daac',
        52944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d3237fb3866ad084c51a5af5f55e1b0a107881065b9899673d171e681a49bf',
        53164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8dcdd662fbb097087c39af7e432b3792198bb484a99eb6c4979b0fab51d438b3',
        53032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueSpartan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Spartan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Spartan
  static TextTheme leagueSpartanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.leagueSpartan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leagueSpartan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.leagueSpartan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leagueSpartan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leagueSpartan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leagueSpartan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leagueSpartan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leagueSpartan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leagueSpartan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leagueSpartan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leagueSpartan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leagueSpartan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leagueSpartan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leagueSpartan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leagueSpartan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Leckerli One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Leckerli+One
  static TextStyle leckerliOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dd7be2207a9ea2b1b628ebcf4e9ff34bc8d4c612c4bf8dab4ccdda782932c5e',
        41024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeckerliOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Leckerli One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Leckerli+One
  static TextTheme leckerliOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.leckerliOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.leckerliOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.leckerliOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.leckerliOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.leckerliOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.leckerliOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.leckerliOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.leckerliOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.leckerliOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.leckerliOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.leckerliOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.leckerliOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.leckerliOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.leckerliOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.leckerliOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ledger font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ledger
  static TextStyle ledger({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de543530ee8b98ff99ef035f72dccc07c968e9b50b730ec74f244be7a41d7f25',
        60016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ledger',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ledger font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ledger
  static TextTheme ledgerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ledger(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ledger(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ledger(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ledger(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ledger(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ledger(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ledger(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ledger(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ledger(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ledger(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ledger(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ledger(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ledger(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ledger(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ledger(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lekton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lekton
  static TextStyle lekton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a3fb462a967e44088d64703e6c4bce48dbf8d2896edc064c48953c3591a491f',
        36732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fa708fe39ee0d046d91e8f871bdd90ff2a884bb1b7c55d6dcc1e86eda2c23dd',
        17920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c68d3c141d7077dea89c9a5b09b6d95afea5d4602b75bb8daef7b0d9983ec76',
        36552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lekton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lekton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lekton
  static TextTheme lektonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lekton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lekton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lekton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lekton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lekton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lekton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lekton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lekton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lekton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lekton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lekton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lekton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lekton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lekton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lekton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lemon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemon
  static TextStyle lemon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fea421ea8e24d5a5862c908e170a2f28a8c2970cfabbbb20c52a7596d2dda79e',
        32340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lemon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lemon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemon
  static TextTheme lemonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lemon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lemon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lemon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lemon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lemon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lemon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lemon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lemon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lemon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lemon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lemon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lemon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lemon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lemon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lemon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lemonada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemonada
  static TextStyle lemonada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a690e49ad1ae23d9a63913cb8a970bb4f59f7630a269873fd773b8b2ed7c134d',
        89360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fed8a0681a3b55409add08373fd2de50422172ad10feef0fde2cd78abc5c9e7',
        89616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd636bb4502978f968dc56f0cfaacd235800e0f447e37cccf292f070f91971e34',
        89700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80a7bfb88c62f44f213c37635445bdaba96028cec003fd05d88773417d7be09e',
        89692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca9413288a7b630603b5b1c0b611544a4bdcd5a5958b3edc198bf36dce4a7388',
        89496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lemonada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lemonada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemonada
  static TextTheme lemonadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lemonada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lemonada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lemonada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lemonada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lemonada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lemonada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lemonada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lemonada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lemonada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lemonada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lemonada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lemonada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lemonada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lemonada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lemonada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend
  static TextStyle lexend({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9693037513edcad70ff85ab9b5d995917ac199105d7010d8c5e08fb56f8f0a45',
        70676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45fc4827bd02dee6143c5c2296e490dd89c3c4c46abb16b97a54a14aab77268d',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '953f3be9feb79ba85cb9502dc48b9f65b24e0590ea9e251c42241355ee4041c5',
        70952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3763eee0d9cc013146a1eef434eb00f23838f96dbcd21711b1805ac7c4fe6340',
        70644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25564698f21bac967d82399b325a8bafbd18ffb849b7c57c37ee7585d9113981',
        70952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64fe11ed1da42cc5887a6d6a578e93ca4cc9798b3bf772ad734c0194e830b4d5',
        71000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec467c2a916fb77aadd49264bcbf346e71cb978614ac97de98cc7584437460ca',
        70868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '029d757f8d07d6425e1431f9dc0fc2b525cd2aaeaed21d0a5f6c12dd24ea6cb9',
        70980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f2175a32ad5c31f068d6f02c2b6e7e7b6998c192a1155e71d6961c2ed79e8bd',
        70768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lexend',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend
  static TextTheme lexendTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexend(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexend(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexend(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexend(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lexend(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexend(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexend(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexend(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexend(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexend(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexend(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexend(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexend(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexend(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexend(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Deca font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Deca
  static TextStyle lexendDeca({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8db0bbeda69bc744a433cf8b0ce857d44bb894c770edc01b2588a65a0de0b62',
        70712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c744d50e8fe93e5b81833153488cfaebe654dd058a376b96cb1f2910d1ab968',
        70836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f27f049d6c2e6e36be4afac55467200b67196d51f5877d100227f7199562bf66',
        70988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f37915360df8a46da2bf066c2f3dfbb4c5e0c739aac56958963849a13e732f3',
        70680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e55a6f3582d6ed6883b8ebb1b96c3d33b67192bb1d8a068e8727572ac6e8f5b',
        70988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b65185a080d31688f29578fdd2133b346297284275492d1baade7fc5b6aac631',
        71036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '908483a8a1010c158a7058fc1cfe8b07fa6c77bb65d9fa84f3824c4dbe9fd1b7',
        70904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '414f82a18f1fa8ae15333b75ffed8bbdac0ba4fec4daf7fc3d060f774fe339e7',
        71016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8668e4a506a22658e1c6c0a725aaf5d44467118628d2ec982b57b1be3cc20103',
        70804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendDeca',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Deca font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Deca
  static TextTheme lexendDecaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendDeca(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendDeca(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendDeca(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendDeca(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendDeca(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendDeca(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendDeca(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendDeca(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendDeca(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendDeca(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendDeca(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendDeca(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendDeca(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendDeca(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendDeca(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Exa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Exa
  static TextStyle lexendExa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c50c3d0d09e09bbf2b31da7c65d9db37d1d611a305a5dd7ee2702c26881c880',
        70996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2398fc8455d2bef3e6f7193d189b7dcb82dd243200bcedf25daf4f1a68281fa5',
        71320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cd33cb696240fdeab32937cb6c5b9e441e325b636beed20c17938e2e15b79f9',
        71324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9432dae594fa62ad8a5569ca5cbddebae1621edc8b5c4f265460b48ae04dc5f',
        71204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dca716cd8219634ab2717934d0b4c4ecea4e6addd28a270e099160b6259d31f7',
        71596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c01d4c6f718df044cacc802daa8f12e92e84db9451ba45d78de24b31ce41bf03',
        71576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0be037212bef630e23865b590959197459dc4e3d70a70f509896d2a276ce78cf',
        71508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4e0f5a050f9c98178c56ec4fdd51e3b9175f1a7ffcfe34e8e474b32892b9c3e',
        71548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f06b3d5fc6d0f2404462c1efbbfb092caa84fe69277ee6d94a09513f54960ff1',
        71388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendExa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Exa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Exa
  static TextTheme lexendExaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendExa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendExa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendExa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendExa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendExa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendExa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendExa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendExa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendExa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendExa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendExa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendExa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendExa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendExa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendExa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Giga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Giga
  static TextStyle lexendGiga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '030a231db66b7f81e39ba9b5272669c04985f5405de39a36cbc7651a6eaa0f3d',
        71348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fe1358ea594c380bbfd86392f30ee64412c77dc0f0e0b9dacc458995d590e7b',
        71648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e3fa6e848860e11fcc1e1c657b8b73538d62d3c9c96a135d6ae6ecf93f7967c',
        71652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f987b0138822f7b905e6f288c97e32b770e27cb135baf275ed0aa5c9d011450',
        71460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2696597b5c65b1d8973c87ac4c5dfbff4b831b959286f08dde9d95122009d21d',
        71744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c07959904de19b9c776a7e572c75c130f00825fea3ce277c41e50ff6a14e4f94',
        71832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '301bad03039ddbdb612786ebc0a782235edb6479fb1c37b47d899a1155e38cec',
        71704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5133daf8f0bb6454e7d5907d646664a332657773eb7d874ae91472f037fd7881',
        71648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '091a30064c2307ff61e10201c75afb87461b9d1fdbb8256955f6d5acc2455c7b',
        71608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendGiga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Giga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Giga
  static TextTheme lexendGigaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendGiga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendGiga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendGiga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendGiga(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendGiga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendGiga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendGiga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendGiga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendGiga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendGiga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendGiga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendGiga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendGiga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendGiga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendGiga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Mega font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Mega
  static TextStyle lexendMega({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db6e66a919835b64eb299f9e2c947802b7571ee2702f806068ad865ecc428c1',
        71492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8950dedb4fc6de1f6cdfe6098b2f5c723d26cc98b588aa5750fe5d4ce6451e57',
        71676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b98a61d2d6bae7abef8c164f92a929f4ef1120844cc417e900ba201e80fae441',
        71656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '544576fd00c8933b2ac61f5367ccda2270e82a1f994a059ba371d472aa42f55b',
        71444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ec6a339e6c7af204468a6f0e337d5ce086cf17a4369c26d14280ea62ba2685f',
        71768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42df74aa7a3c2d24cc94dc1e367346f14e8f4b8dbffac56e5e7497a2a6485635',
        71864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08fc3b7c8c0e0fe6dd15c8d994129d0317cad662241b72adf9d9206cb97b5b93',
        71760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c4c2e08312dffe0c992f2f43733b6215a0bd3472fb537a30e4963ad3d983569',
        71700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82cc0b2dc500d1f0062664f9fe5575f0a0c22c6865fef3b709104ae87fcf30cc',
        71672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendMega',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Mega font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Mega
  static TextTheme lexendMegaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendMega(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendMega(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendMega(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendMega(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendMega(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendMega(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendMega(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendMega(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendMega(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendMega(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendMega(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendMega(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendMega(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendMega(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendMega(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Peta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Peta
  static TextStyle lexendPeta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '167a4e5102ab99e151ae0d0e4a74fa9c9d95ab1d5803701794f54dc2fcf01323',
        71520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d2cff31e2c8bb0dbb16c8479f2293ad0a341172db04a5727b56a5440af7236e',
        71720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec1ce08a2b93ff5b47f192e8f86dfabf6b5ba5afb58a9928d425bca13034a106',
        71684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '643f46b92383f6653e588ec4157b791a7493fda1040cc67dbfd2f4742cb4adef',
        71432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c0bc8203f401bd24efd45e25329456e1b025348a42e7af74327dd75c3dd01e8',
        71804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a3c34c64434c1f2d54a6c2e8ec0c0b4e50cf55451ee9e1c0ccb27a153c4348b',
        71836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5da2450d8735278e980329f2cfcf639b3fd257917e1df5705a9b418b70280c0f',
        71792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e769ab7d7111cd0feaf31cde0d938363640aef9575ddcef386d3a8d978eb40b4',
        71756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c752eefc072df171c7fe286d103b69db4bc88dfa16ccf7403b64fb59209ba0d0',
        71632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendPeta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Peta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Peta
  static TextTheme lexendPetaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendPeta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendPeta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendPeta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendPeta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendPeta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendPeta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendPeta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendPeta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendPeta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendPeta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendPeta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendPeta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendPeta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendPeta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendPeta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Tera font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Tera
  static TextStyle lexendTera({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c99e68c0672d66d4c8acda18ef93640828120f3db83c571f1988cf9d016405e',
        71472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '668eeb366c334e341a65fd587bbeebf0d7cf0b4455a02dc4dd3c35981792c45f',
        71712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '412c6b7797787a20e14391553d2693b1c63360f9457d5b4827629bef3257f7ec',
        71696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab7bae6ac42a5b7f9f3ee5006e71993ea75dbce8ff3f0640313b40ff4aeb7186',
        71516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27d6613cecea6f939129f6d4f4c94c9ff6ffd6eadabd7634c31942e6549e02a1',
        71856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3354279348f0eb86ab70147ee0c6290fb08ed94da33745fbeea4df23196d6504',
        71920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3855efbd37266bf1d57024e0ff70264552cb8009cf3b57fa9e1176834c7c66ca',
        71828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f9afa40be7cfddae16944fbbc2bc5674b9fda72347b2607848829b85066a0b1',
        71768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ac1dc5c84344ecc66b427f6cac74bd4880ce8ca6baf63eb3a0efebd52f55024',
        71600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendTera',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Tera font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Tera
  static TextTheme lexendTeraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendTera(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lexendTera(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendTera(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lexendTera(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendTera(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lexendTera(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendTera(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendTera(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendTera(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendTera(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendTera(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendTera(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendTera(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendTera(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendTera(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lexend Zetta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Zetta
  static TextStyle lexendZetta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8cf7961158c9cca867209228f94ae6867240ba31a40f5bc6d0d7d76d23c89c2',
        71452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c1b78e0efe007a8aa89be8c41f5b95728637f38b9b8666b9309c8eeb1d2c61b',
        71812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d9b13e6df9887216c9db14267a188f80eecaac5219d90dc0740413637bdec90',
        71872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35207d533be6d61943cd92acf14c5c2aa20fd14cd0693e6cc6df86dcc0d66ab5',
        71488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7e37604cfbbe7cdb62e44579201548b0892859a4f8cf3469c0298b9f2ab7f4a',
        71840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5f1cebc8aeda39260afb908e39643b035871740f7124c1a28bd57cee6de3131',
        71876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86a4596b193402ae073795fb549cffe95050503685c614bdcce8de0c2dc0cba5',
        71824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6e21fbb93786632809ac51868f848e79c050b60146f95d749f324f7247b1be9',
        71800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc425ca4758a20d3301bd10b05565c9197b67620146a830ac08e61709a55db1a',
        71680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendZetta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Zetta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Zetta
  static TextTheme lexendZettaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lexendZetta(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lexendZetta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lexendZetta(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lexendZetta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lexendZetta(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lexendZetta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lexendZetta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lexendZetta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lexendZetta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lexendZetta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lexendZetta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lexendZetta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lexendZetta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lexendZetta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lexendZetta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 128 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128
  static TextStyle libreBarcode128({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6aa862f551e03ec38c58bc758aba6839c334b8de3f2a767e9fa419dc3bed839',
        12936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode128',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 128 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128
  static TextTheme libreBarcode128TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode128(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode128(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode128(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode128(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBarcode128(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBarcode128(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode128(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBarcode128(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode128(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBarcode128(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode128(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBarcode128(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 128 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128+Text
  static TextStyle libreBarcode128Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb2620aa522189370329f43d3233017e6cc37e059b44a316e6dca443c881884a',
        29996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode128Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 128 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128+Text
  static TextTheme libreBarcode128TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39
  static TextStyle libreBarcode39({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b73e1415ffe00461bb942db8217b4c112f15ea72f99bc3b22b4449316b0281d2',
        7628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39
  static TextTheme libreBarcode39TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode39(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode39(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode39(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode39(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode39(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode39(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBarcode39(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreBarcode39(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBarcode39(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode39(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBarcode39(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode39(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBarcode39(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreBarcode39(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBarcode39(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 Extended font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended
  static TextStyle libreBarcode39Extended({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '234c4bdd5ea3f081fa8508431b1dd0ba8da1edcab35b0ea1bf8e7957a73af307',
        10092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39Extended',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Extended font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended
  static TextTheme libreBarcode39ExtendedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.libreBarcode39Extended(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 Extended Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended+Text
  static TextStyle libreBarcode39ExtendedText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3708728cfefe80bfa6b558d551d58b1eb760c6eed56e78d771240f11d8625248',
        21332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39ExtendedText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Extended Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended+Text
  static TextTheme libreBarcode39ExtendedTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode 39 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Text
  static TextStyle libreBarcode39Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd52742ef26fa29afa8a30108c34404a5405ef25a2b080c7268c9c8d84285f14d',
        12776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Text
  static TextTheme libreBarcode39TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcode39Text(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Barcode EAN13 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+EAN13+Text
  static TextStyle libreBarcodeEan13Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f19b9a70f1f51dbbe2532800b9793bf33c8621ef4bc30fdb4b20f3bfe89240e',
        55112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcodeEAN13Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode EAN13 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+EAN13+Text
  static TextTheme libreBarcodeEan13TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.libreBarcodeEan13Text(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreBarcodeEan13Text(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Baskerville font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Baskerville
  static TextStyle libreBaskerville({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da3c66f8c68b65d31611ad23cc7699924b3525ad8cc0e29cd36e3da5be1c7b23',
        93896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9968638d0769bbcfa14c179f011f7c79b162f9a63405c2bf79376367538ceeae',
        112008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86914ab6f48f701c8f0eeb2665404b36d9a9f4f5123d18779efa529a98c511c3',
        94076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBaskerville',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Baskerville font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Baskerville
  static TextTheme libreBaskervilleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreBaskerville(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreBaskerville(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBaskerville(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBaskerville(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBaskerville(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBaskerville(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBaskerville(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBaskerville(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBaskerville(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBaskerville(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreBaskerville(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBaskerville(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Bodoni font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Bodoni
  static TextStyle libreBodoni({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68b58f43f5737c74e08c2075184abd974c80453b1ece0c47d4b979bcd41f338c',
        67436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bc062eb479094580cb2d8f845c90633434d86783566b1cbf25e4a7cc96f928e',
        67736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78659c79fe8d7f4dce7fccba65182f3d98c8ca546a88a40b216ed3ac8647af9e',
        67648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ff751ff8ef85e0ab5b399d53aa38a0051b5efb77bcec8c5520dddd188d6bbec',
        67672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e17f5c2bffe2361ee7c16f6f8bc6652d1e87d99c2d65668e5762f1b35899f609',
        67056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b71b6d3cf951ad80c1fc41dc04654c9770c28aa4c14c305d8eef6fe7723f619c',
        67300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd5200e15151a0db0cfe901a1ee268e458397d680c4473d624e038582b373999a',
        67296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33fffee72b35740935095e0ded7788975eca14bbb9e5a3445575c548f01ad3b9',
        67212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBodoni',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Bodoni font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Bodoni
  static TextTheme libreBodoniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.libreBodoni(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreBodoni(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.libreBodoni(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreBodoni(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreBodoni(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreBodoni(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreBodoni(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreBodoni(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreBodoni(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreBodoni(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreBodoni(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreBodoni(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreBodoni(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreBodoni(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreBodoni(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Caslon Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Display
  static TextStyle libreCaslonDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b70d5da8744c8be85e6c1c82eddd83567ff3ce7accd783af1a99d364255080eb',
        63388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreCaslonDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Caslon Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Display
  static TextTheme libreCaslonDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.libreCaslonDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Caslon Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Text
  static TextStyle libreCaslonText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c99e05d082c5c0cb1b9b3a1a6ba21292a912c37cedd8940b0fe8784092de05c9',
        63084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cf00f3392b10a41ee5930407871d7a0ca495318452df7cffc3d81ed2f45d7f21',
        68624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89922d1f5d01049d766d3a929bd02aa7ff904d7759ceb0ad392d7a318d49a2f9',
        62680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreCaslonText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Caslon Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Text
  static TextTheme libreCaslonTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreCaslonText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreCaslonText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreCaslonText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreCaslonText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreCaslonText(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreCaslonText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreCaslonText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreCaslonText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreCaslonText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreCaslonText(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.libreCaslonText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreCaslonText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Libre Franklin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Franklin
  static TextStyle libreFranklin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48c4bdbae909a7b05a2adb9d0ae285d69e507a6d7ea1a2a1de93a557e43e9890',
        61496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24fe3952e13e5cacf0684cf65c3e38bacf17d1ae5f75164e42e01f0609b561f9',
        61620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b2a73c896d783b6ecde7ac09c493481cb7f43656ce6ecb89720b30b83bd42bf',
        61636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e34b6d112b52c16176871dc1aa8dc490bd7e66e3d0d18b0ce3fb5d19e28de8f',
        61644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f086cebd30533ea43d0adaf71d5788b762f72caec897105eb3528481d4ae26ac',
        61664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e055845db23bd5a19c6d3881637bd8f60c07a624f1ac0bbf2750a4bdea5f3b30',
        61680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6135d5f7a0984d505bff44ab1f54829326eddb2766397aa8a19f70a921939b0',
        61564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f674067269c44a2fd521cc039b58b52356bc20308faecf5d8e905df4238b7a9',
        61608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dca2f59a5abba87a93f7e13d5ffd0db7a0841118e526f4764434696cc16aeee',
        61540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '82e524eb3dc316bc6d1c53624f1fd5d2c7c304476aa3cd61e96e1d48c8cf8838',
        66340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9760e387def5b421a8653a4d8523d4e3e2fda93a1dd4a3e5390c10f1bf0a9247',
        66492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c6c0884add5a760f732850b40dd0628847a4c4a140eb8ff135a30b9b5999a03',
        66448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5139f8a3ac7eb00e80b26f2d643db9de4728913128c4674da2cd9682883a580a',
        66396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8467801b2a3c283a14908da87f3662bc538ecbf5053b146c3800abda94f83d81',
        66552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b894a4667971666a121ea5ef78c0a955013f481b1fa287b9ecc48041a29c464d',
        66548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae0ab7de8514935b8b64a3a6aef569778fedf75c5a033b4735074ae1168d64d0',
        66352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8700bde3fef5c44bdde7c3662130021ae051838c0b480d7ff8c9e86efd8b1b7f',
        66500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab4662791d8d63b7cc0b282d223db2e64031ef8ab3464882831efc968f20ae13',
        66432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreFranklin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Franklin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Franklin
  static TextTheme libreFranklinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.libreFranklin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.libreFranklin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.libreFranklin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.libreFranklin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.libreFranklin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.libreFranklin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.libreFranklin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.libreFranklin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.libreFranklin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.libreFranklin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.libreFranklin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.libreFranklin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.libreFranklin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.libreFranklin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.libreFranklin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Licorice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Licorice
  static TextStyle licorice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34d3d95d615385ff88feefe17ef638fbf35784db2d22f9a4534eb2ad3ad385b7',
        106472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Licorice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Licorice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Licorice
  static TextTheme licoriceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.licorice(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.licorice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.licorice(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.licorice(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.licorice(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.licorice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.licorice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.licorice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.licorice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.licorice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.licorice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.licorice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.licorice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.licorice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.licorice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Life Savers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Life+Savers
  static TextStyle lifeSavers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '258db56692f2cf8483cd745e11103557afc1a1e78f2a2ad94eab62788c23b0be',
        123184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '821e75fce966f12e6857a605e7cf485724349f496708099e6b34954f5f0437ae',
        96272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9361690b6d489337326f6862b533ff7c22dc1089def62da704c3292515c0457',
        126732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LifeSavers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Life Savers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Life+Savers
  static TextTheme lifeSaversTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lifeSavers(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lifeSavers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lifeSavers(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lifeSavers(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lifeSavers(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lifeSavers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lifeSavers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lifeSavers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lifeSavers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lifeSavers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lifeSavers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lifeSavers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lifeSavers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lifeSavers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lifeSavers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lilita One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lilita+One
  static TextStyle lilitaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acc112381f39a09ec0dd316fab6f8eff0bc601957e7c6ed9f50c15f278383139',
        26308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LilitaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lilita One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lilita+One
  static TextTheme lilitaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lilitaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lilitaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lilitaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lilitaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lilitaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lilitaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lilitaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lilitaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lilitaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lilitaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lilitaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lilitaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lilitaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lilitaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lilitaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lily Script One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lily+Script+One
  static TextStyle lilyScriptOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '415fbc61420e7e62d72a64ec3f134f047c52b2d478e1eaf6b7bbc2a928280742',
        34992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LilyScriptOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lily Script One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lily+Script+One
  static TextTheme lilyScriptOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lilyScriptOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lilyScriptOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lilyScriptOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lilyScriptOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lilyScriptOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lilyScriptOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lilyScriptOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Limelight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Limelight
  static TextStyle limelight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1841bd304edd2a509af01b2f9647f0889006fdc36e568f065e181511b21c692',
        59948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Limelight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Limelight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Limelight
  static TextTheme limelightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.limelight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.limelight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.limelight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.limelight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.limelight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.limelight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.limelight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.limelight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.limelight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.limelight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.limelight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.limelight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.limelight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.limelight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.limelight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Linden Hill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Linden+Hill
  static TextStyle lindenHill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '591dcc54eadf307cd23c7decfae9eb1f76c35d7df04d40e17aacca476a39ee41',
        87372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbc33dce6397804fd0e06c4683d7c6a819f28209f634ecf80077f09d7e2b5965',
        72412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LindenHill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Linden Hill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Linden+Hill
  static TextTheme lindenHillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lindenHill(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lindenHill(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lindenHill(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lindenHill(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lindenHill(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lindenHill(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lindenHill(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lindenHill(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lindenHill(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lindenHill(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lindenHill(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lindenHill(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lindenHill(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lindenHill(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lindenHill(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Literata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Literata
  static TextStyle literata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75565831fd71c72bb2432bd2960ee6dd2ba2f05a88dcad236e8e40d820a767fc',
        163136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e98bb07c59c7c800bbff9d7ed28c5c4ce53068903584b274bc13bf8c6db37959',
        163956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5aa999c75a605e5c65c24e4ffbd8c1ad98c76bfd60c833d2152be38f97c26f99',
        163868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ff9fe5600967ef6e4c4fdc13fea5c5f0a18bddad8e222214fd946714c314303',
        164036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1f3fcc2ef34ac879dc9cdd5909edf9942d92940f68f0db35a0843636270e455',
        164108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '057ea9351c0f9ecd2e068c93a1085b14db7b37dec86ad3c538a8dd7d5a668df4',
        164252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df479e793656d12a5b05ad9acae1fee943a09ec1e4484e95f5b02340a85bb53f',
        164268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f3456d9b9523af35d4166186afff98d6f6381e16a0c3f08b6799d94909f1875',
        163876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9f1ed1bae9616bbd5617402017bc7b394f1c1090747be6d84d8b79bfe6b7942',
        158688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '78a685cc26a76aff7de6f7dd75540876ce065b3677a4c8eb388fe0c3fc1736fb',
        158684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '04b77391dfa8fcbba7c856a0b70a17b4afd9b651010cac8ad7807f6095bc7e4f',
        158424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '441775f35f33670fc2eb190b8871f4b1b1b7ae0ea97f1ffe6f954cf462b8af0a',
        158780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aa6cb7b242a165bf152074a0012795b1a33e91ed15330aba5746b79661a64137',
        158776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '78ecb3a56f44be730582f26ac68a9c15d876dc857069707058455f898df66fff',
        158832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '083ec8df0b10a54079bd06071af951de0e9f2175b2683e47593b19f6b7f644d8',
        158948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ce216f0da0e713820e4b97e5c06a263dac8e7495df7db24001b7109274544ac',
        158836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Literata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Literata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Literata
  static TextTheme literataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.literata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.literata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.literata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.literata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.literata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.literata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.literata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.literata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.literata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.literata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.literata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.literata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.literata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.literata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.literata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Liu Jian Mao Cao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Liu+Jian+Mao+Cao
  static TextStyle liuJianMaoCao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7743f770ac5923e4285eb52fb8ce117c25268c595396e4bdc3023aaa57b80e1',
        4939444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LiuJianMaoCao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Liu Jian Mao Cao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Liu+Jian+Mao+Cao
  static TextTheme liuJianMaoCaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.liuJianMaoCao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.liuJianMaoCao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.liuJianMaoCao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.liuJianMaoCao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.liuJianMaoCao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.liuJianMaoCao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.liuJianMaoCao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Livvic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Livvic
  static TextStyle livvic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87bc3b3201a64e970ce5655ed0f3f5207fa6a9947e9057e30b87c5a178d7c1b6',
        78964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a1a6172a8b000c846a866ae8a302d15f875fbfa305d08108995e1c53e6cab20',
        80280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18ff9b2cee45d77d66da852311d42fa3676da5a44a84cf2c0fd4f83646182dcc',
        79172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e15d8650bee39891e27ce041b57f72822144318b1aad6ce6619eb087c885beb4',
        80564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f69ff3448895d4d757ba56169805c652847b78adf4dd69257becb618a9e9bda',
        79084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce12afd7329c11c70430f0035fbe801fac6d55db63f2c4600b4a47a6e6fb5659',
        80588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e240c07c14c68753b850914074c4a771cd278c000c78f4ac302cda85c1dee804',
        78940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '074f60d3be9b4f5c54f476af3dbb80a546047c105cd2c654a55fa434a603054a',
        80508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d3b8c5133a81879653340c30ff18b4b5acbc4d1d1aeaf0c89b6e3a750662df1',
        79192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc6e6860cfe3fdccac9f50291078fc8e47f87844ef584e381c3cf9cdfaf3d4a8',
        80628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9dd27e843b5a6aebc4c9e492f6c677f17f9a25a485f118903ecf38a07188255',
        79340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d4f6e1365c6383889e23b7deab8e1d49c0101bb09d21a3e3ab1c35e603190a8',
        80532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a894ae8df952b718bfada29fe7b0080bb5aadac18ea675a4e4f9b18fbf579d76',
        79392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e7e7e748bc730bfe173ad43252d64273083b7b7f293b29996299b3c50ad2399',
        80492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0d00b11dbccebe9d5fef5a36e30b6c7a4f74c07b704f278e2d7fc1b2dbdf6d7',
        79524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44b2cc3007e0aea69f3330f4dd80947ed86a6b4ba486e6100a4af47397a66564',
        80600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Livvic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Livvic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Livvic
  static TextTheme livvicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.livvic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.livvic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.livvic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.livvic(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.livvic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.livvic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.livvic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.livvic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.livvic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.livvic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.livvic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.livvic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.livvic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.livvic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.livvic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lobster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster
  static TextStyle lobster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0ec601fb081166435ed4b96cb08878a3bf423bbedbc844956d6839e8f4538ba',
        201400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lobster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lobster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster
  static TextTheme lobsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lobster(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lobster(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lobster(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lobster(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lobster(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lobster(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lobster(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lobster(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lobster(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lobster(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lobster(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lobster(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lobster(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lobster(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lobster(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lobster Two font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster+Two
  static TextStyle lobsterTwo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17be7708caf72a704aa829bb39a46756f1eaef2e8010919946cacb403050da73',
        86192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f261de84f02f246bc3bc8290d31c9fca4bdef9e352dc40e32789b3e18c61fd27',
        87900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6830ebb0cb1ec3bd1b38f84fbf1d7f0deda486b4d89ef1e226bb62472371baf4',
        85088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '050773bd1a3939c93b8cccf37ec981ea2713c46166bb334a95bd25035b64652c',
        87816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LobsterTwo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lobster Two font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster+Two
  static TextTheme lobsterTwoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lobsterTwo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lobsterTwo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lobsterTwo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lobsterTwo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lobsterTwo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lobsterTwo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lobsterTwo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lobsterTwo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Outline
  static TextStyle londrinaOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9de7553bd69fbf78af922465314f593fa67a2c8705fdf675808c3895477f5386',
        97436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Outline
  static TextTheme londrinaOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaOutline(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaOutline(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaOutline(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaOutline(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaOutline(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaOutline(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaOutline(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaOutline(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaOutline(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaOutline(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.londrinaOutline(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaOutline(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Shadow
  static TextStyle londrinaShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c1bfe5f56a45baf63e29e8f83b451d80a02500f252bea3d568a407b07080e89',
        97348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Shadow
  static TextTheme londrinaShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaShadow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaShadow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaShadow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaShadow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaShadow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaShadow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaShadow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.londrinaShadow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaShadow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaShadow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaShadow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaShadow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaShadow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.londrinaShadow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaShadow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Sketch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Sketch
  static TextStyle londrinaSketch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4672e7d63f5f2874de074ad7901cbc60626b3eeb54f8bed1152cbb6d47026617',
        222572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaSketch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Sketch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Sketch
  static TextTheme londrinaSketchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaSketch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaSketch(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaSketch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaSketch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaSketch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaSketch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaSketch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.londrinaSketch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaSketch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaSketch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaSketch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaSketch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaSketch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.londrinaSketch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaSketch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Londrina Solid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Solid
  static TextStyle londrinaSolid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ffffbc5e6c46f0f9a96c9a693ddbc9d69a72a1e35cb14809198903b01ac991b',
        55656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53bbbb6d5406188f1d483b483c7723aa8a5edf30f504135e1585c404bb6a2709',
        57252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe9eaf09c3d1194f32e29498e8128c6013fa6b1672f3baf3dbcd17bb47862249',
        61240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '916e4879174e38a239d001bdc6b86d98bc7af3391521fb15078894bf801647b2',
        57996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaSolid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Solid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Solid
  static TextTheme londrinaSolidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.londrinaSolid(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.londrinaSolid(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.londrinaSolid(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.londrinaSolid(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.londrinaSolid(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.londrinaSolid(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.londrinaSolid(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.londrinaSolid(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.londrinaSolid(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.londrinaSolid(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.londrinaSolid(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.londrinaSolid(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.londrinaSolid(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.londrinaSolid(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.londrinaSolid(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Long Cang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Long+Cang
  static TextStyle longCang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f626a05f45d156332017025fc68902a92f57f51ac57bb4a79097ee7bb1a97352',
        5150448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LongCang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Long Cang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Long+Cang
  static TextTheme longCangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.longCang(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.longCang(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.longCang(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.longCang(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.longCang(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.longCang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.longCang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.longCang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.longCang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.longCang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.longCang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.longCang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.longCang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.longCang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.longCang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lora
  static TextStyle lora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0faa6733d81fb6262fff00ac981e38b6e7bc40eca691de33647374c567437ced',
        133204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa570dd435d9ba9deca18566b6c316c20c119a5f4443ea3ec42c596fa4785f5d',
        133184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7427472bcd7cfe2eca7fcd883d55a1e756761122e5b7d03126f2503dbf41fe15',
        133292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbc4f78ba5d8844994e5d26f21b80eba752e042e20cd415ee06361abb200e954',
        132812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7cf8a967eff2aafb9ac18515c282122b43b886d70546cc0f5b2b1c54c7e2a526',
        138648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '547f430c80ffda751fe447846d24c6b39c0c1cf41f3569808bc457af3fb8acd7',
        139516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2dc65a1109123ad7bec676629c1e065a9e7b46170a071cfe5f2e19460549d39f',
        139540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c75fb23841cfdabad188118c4935aa77f0b55cbd49c6471a9c33ce6222e6995',
        139224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lora
  static TextTheme loraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Love Light font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Light
  static TextStyle loveLight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26a687a3961ae9006c1e05ce9a6c4c4d7884d61d938dc802a9de592fcfe9f60a',
        102732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoveLight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Love Light font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Light
  static TextTheme loveLightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.loveLight(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.loveLight(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.loveLight(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.loveLight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.loveLight(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.loveLight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.loveLight(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.loveLight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.loveLight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.loveLight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.loveLight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.loveLight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.loveLight(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.loveLight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.loveLight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Love Ya Like A Sister font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Ya+Like+A+Sister
  static TextStyle loveYaLikeASister({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2a2e2a171fb01b8dfff3c3d99e31b8483e0a4f3c9101432824db22582fa20f1',
        269084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoveYaLikeASister',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Love Ya Like A Sister font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Ya+Like+A+Sister
  static TextTheme loveYaLikeASisterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.loveYaLikeASister(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Loved by the King font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Loved+by+the+King
  static TextStyle lovedByTheKing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '376bce037392fa04a64dff3e8259581c07825a858ce67237292b4317401c2b95',
        24548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LovedbytheKing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Loved by the King font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Loved+by+the+King
  static TextTheme lovedByTheKingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.lovedByTheKing(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lovedByTheKing(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lovedByTheKing(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lovedByTheKing(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lovedByTheKing(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lovedByTheKing(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lovedByTheKing(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lovers Quarrel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lovers+Quarrel
  static TextStyle loversQuarrel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20cd5c9e766a73e8352e2bd560a18405123b2670928a4aa5cab504bb655e4b95',
        67256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoversQuarrel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lovers Quarrel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lovers+Quarrel
  static TextTheme loversQuarrelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.loversQuarrel(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.loversQuarrel(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.loversQuarrel(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.loversQuarrel(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.loversQuarrel(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.loversQuarrel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.loversQuarrel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.loversQuarrel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.loversQuarrel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.loversQuarrel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.loversQuarrel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.loversQuarrel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.loversQuarrel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.loversQuarrel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.loversQuarrel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Luckiest Guy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luckiest+Guy
  static TextStyle luckiestGuy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc7e7f3a109a34d37d7f2ff3d3896d42e4db9a956cbee008c00be84942f61d0',
        57344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuckiestGuy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luckiest Guy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luckiest+Guy
  static TextTheme luckiestGuyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.luckiestGuy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.luckiestGuy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.luckiestGuy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.luckiestGuy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.luckiestGuy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.luckiestGuy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.luckiestGuy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.luckiestGuy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.luckiestGuy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.luckiestGuy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.luckiestGuy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.luckiestGuy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lusitana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lusitana
  static TextStyle lusitana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d742aebeb4080d00c1887529c6b59532097e23d50ac1df7d36f330d76acabb5',
        28212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '194712af67a359068c1a5210e9ad6baf482eeab01bd7235a88328c4c37e12f94',
        27348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lusitana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lusitana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lusitana
  static TextTheme lusitanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lusitana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lusitana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lusitana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lusitana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lusitana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lusitana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lusitana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lusitana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lusitana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lusitana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lusitana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lusitana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lusitana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lusitana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lusitana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Lustria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lustria
  static TextStyle lustria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '422e0ad50d1c98831279589bb3ae18eed2118b61e53ef63a41bb0ebf8ad7c951',
        34776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lustria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lustria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lustria
  static TextTheme lustriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.lustria(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.lustria(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.lustria(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.lustria(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.lustria(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.lustria(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.lustria(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.lustria(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.lustria(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.lustria(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.lustria(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.lustria(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.lustria(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.lustria(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.lustria(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Luxurious Roman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Roman
  static TextStyle luxuriousRoman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09324faacea49b828afb51b813c7583da3dff164b70e29256697303a665c15d8',
        95196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuxuriousRoman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luxurious Roman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Roman
  static TextTheme luxuriousRomanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.luxuriousRoman(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.luxuriousRoman(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.luxuriousRoman(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.luxuriousRoman(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.luxuriousRoman(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.luxuriousRoman(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.luxuriousRoman(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.luxuriousRoman(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.luxuriousRoman(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.luxuriousRoman(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Luxurious Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Script
  static TextStyle luxuriousScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '308f774dab9371c6ee799c901add408af99eb176b24569dd3c9ea19c420a018e',
        129488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuxuriousScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luxurious Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Script
  static TextTheme luxuriousScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.luxuriousScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.luxuriousScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.luxuriousScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.luxuriousScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.luxuriousScript(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.luxuriousScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.luxuriousScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.luxuriousScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.luxuriousScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.luxuriousScript(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.luxuriousScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.luxuriousScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextStyle mPlus1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf6a0acf051a8afb32ff7f35372de6165e092b54e3e93d5b7631b4a8864e4bfe',
        1746144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d6e900ffd3a9d6e5aebaee9bcc7771840a4f9af3fed8879ca7a0e2523d5625',
        1746828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '455852548e3e20547cbde354a56fda8d68481bd7a79d8d0d348bc4084c5041a8',
        1744380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83b156dbfe314bb5d60a0932339e45319b53edf1eb46bf77620d2cd7446caf1f',
        1740868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d7aad49961ad1262e9924ef7e4189352c429173e35e95233dbfee9f70dd815d',
        1736256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55ee758a0f615ca9446a799d170cb8d2b3f57894feec2804f3373cdb7c41c292',
        1735400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c817525804c6e96834601d6d39279c92a4ccafea4d5ee16f81e26e7249c8e4c',
        1733776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cbeab8aa1c2586e54700d439b011c7dd35e7a196011f895c2caacabba1a1f5d',
        1730724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7a855514897e684adab8722c95897ce0582f0c12177c2e9a0ea386738084cb0',
        1724376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextTheme mPlus1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus1(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus1(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus1(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus1(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mPlus1(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus1(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus1(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus1(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus1(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus1(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus1(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus1(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextStyle mPlus1Code({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba5036e46587cdbe9ff2f8448a60474d86f19c9e012ff983764cc6ea0c6f0b',
        1715408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '449a12f1a68f418040d5fd2f5a2daddd2a8332ff0968f39452f98ab75958d881',
        1715132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b910153e34b564ca68ba62a292551c852a4ce3453a6fe781b7a98142c902bd83',
        1712716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16eb98346ff24abd2dc4e6184be2124c5ebbe141c0410c69c9f8797680e03a25',
        1708908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a3602ce69675f0b2f6f0d604cef2695426e5364126158a53dfb13a3a71eeb0c',
        1706016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6961fb79f6cf5634bef94015a5ccbde109bea21f515efe75fe59d88b90fcb41',
        1704264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df2d4971953a8f4041885896a77d034261ab163210b899d9418ac5985c3896d',
        1702216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1Code',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextTheme mPlus1CodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus1Code(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mPlus1Code(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus1Code(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus1Code(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus1Code(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus1Code(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus1Code(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus1Code(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextStyle mPlus1p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d30e98e3b3454ef64f48b959e0c46d21759115b59b3a3a42c5db0543037c42e',
        1766568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f6ea50adcd93a74f88deb7396c833df089dea1ceefcec3c77daa24d1ba87799',
        1762092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'daa0197afe1c522181b76130997549ffbf0d1a73815da25110f92c1a6cbc7880',
        1753660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2ca974ca50dce67c04e13809860f5077763eb29a2fc49eec1084df3bddeeea8',
        1753776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84caeebbb41d66c64c14633d02bc98f84bc5b7670e82a2ea0da75b002d7142f8',
        1761476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8024f473ef6ff9be43079ca4dd38f045d25731cfee04df48d27f1d031bb47c07',
        1768708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f458856a71e0ac39171819624bfd74a9cfcde43fb6886975b2a9473b758b7d00',
        1769104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1p',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextTheme mPlus1pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus1p(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus1p(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus1p(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus1p(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mPlus1p(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus1p(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus1p(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus1p(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus1p(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus1p(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus1p(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus1p(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus1p(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus1p(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus1p(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextStyle mPlus2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0113ac731e2d30138b864468d1175704e8c2f0f29e93381ca32cf4220e245850',
        1748452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '077d897988853d21a469ddee85ca01767dfa9dbb9441d6397295b94d40f27036',
        1749132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9133e2f19f39e44703e3ac336f7e34b46228567df6f2fbb497db65c09d170156',
        1746688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ce9645f415ebbbc6397e4c087989a09cd5c54579527a892b7705f3ac66672d',
        1743140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f59f2f40911eade1f13b718f1226835d41c09cdbd71f21572f3d7c67b15be85',
        1738568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d40eaf481b75ab17c1f25f9cf272ad394645990b153b5cf284925b8ced9580c',
        1737700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94bf5e3c038ea112fa93b2e1029ca4a655795f841df9f844e1d4ac81d6db8e46',
        1736056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1344850afe293dbcbfb1c2af079f8ac6501db4bf2dec7a175fdc0cefe5bc12e9',
        1733036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de91af7eaaf31355276d8ea750b0c007ca2c955fc567283d94ad113fa7414e4e',
        1726688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextTheme mPlus2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mPlus2(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mPlus2(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mPlus2(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mPlus2(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mPlus2(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mPlus2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlus2(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlus2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlus2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlus2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlus2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlus2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlus2(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlus2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlus2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextStyle mPlusCodeLatin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '205cf35c7f74c9a3e0a1480a42cbade2ce99dd810618ecb0354cadc5f3f9c657',
        46740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f508866363cad56e3ea7954ddc1316d83c8e8deddbaac61c3c8a774a60444d79',
        47124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3f97dcfcf142c6aeee50087fae16a5ffb510d8480804eec7338b5ed35adc007',
        47084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e609ec24abd06329d9bc9fecfa804b116fb2b918e81589ec13aab4240c30d0f',
        47044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a20aae44639a89bd71a12c72c181445dfeab6848becf30d0f27f8b3ee72bf79',
        47088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaa01ae7df09f15dff683ed168df4b36af126520cd685d24c516b963bfe23707',
        47104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7300d895873291c0bc3e69e7c67e5b0896452f473c20589018d710e2a1f9a7b5',
        46932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSCodeLatin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextTheme mPlusCodeLatinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextStyle mPlusRounded1c({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e077690563917ec1f5b937a2674ebe43b44707df00dbc2df99da7fc6bbf1f9db',
        2899200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfdc1a721f186bcd57e50f1bc228a5d93cede477a9cff430b194de5c85477799',
        3284736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e30fa1b6bfbb0a32efa620039763ecf4155c425078e5946aabab3e869776b5c3',
        3379736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a1d8fc54e3d396c30c265597945feb97bf3a2b90c6ff8c6bda98e433cd54825',
        3422384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '329a8ed11bfe4054de884fcf8692759a19bde914a47d470a0b93fc4ed45d2d1c',
        3532232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dc19977e1ea631f1492200fcf63e450fb93ae2c93ad54f8d5b26a1052940767',
        3617848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdaee2302dacdb2017f355a3383f92093b9da749d13c2eeb2706fa8a15dd447f',
        3624724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSRounded1c',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextTheme mPlusRounded1cTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mPlusRounded1c(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mPlusRounded1c(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mPlusRounded1c(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mPlusRounded1c(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mPlusRounded1c(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mPlusRounded1c(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mPlusRounded1c(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextStyle maShanZheng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18689b524ea22916a760249127fd63dba37af537b071668c06b7fc7357e98b9b',
        5855516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaShanZheng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextTheme maShanZhengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.maShanZheng(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.maShanZheng(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.maShanZheng(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.maShanZheng(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.maShanZheng(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.maShanZheng(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.maShanZheng(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.maShanZheng(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.maShanZheng(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.maShanZheng(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.maShanZheng(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.maShanZheng(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.maShanZheng(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.maShanZheng(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.maShanZheng(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Macondo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextStyle macondo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce73038dc611d6b3f9bbbb7d63152e31b79219eee9e1e9e47d70c1d10577a2d',
        46408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Macondo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextTheme macondoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.macondo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.macondo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.macondo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.macondo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.macondo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.macondo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.macondo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.macondo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.macondo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.macondo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.macondo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.macondo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.macondo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.macondo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.macondo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextStyle macondoSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a919bf1373aa1d3f6ebb6e72f7e54bb9cdf3f28e0d11b0b6d417de678f7642c7',
        31040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MacondoSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextTheme macondoSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.macondoSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.macondoSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.macondoSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.macondoSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.macondoSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextStyle mada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '979239f0e38ca041f3bd3b888048f7aab5f38b34169ed4fd363c5639631dde3b',
        39560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab5daf238e580caeddbedf2ae74c53aa4e1abc1104aaf093d3434a5c2d4be62b',
        39388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73e5bb709e9f5c36d5cb5b166f10a00167f194912e7865aea4cbcbaa280dba29',
        39388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '193dce9d18307f933cd0d25e2372328c23b2feb2219fce311e2dd4fab18c8297',
        39168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8eef8d3e39813246584b17348c4826e79461d2511c6a6a59436fc8ae432f681e',
        39024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f9bdc363f752682e3be97e2f02a22b5754aaa358d15015a327201e2932977ca',
        39008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45e1e90c8eddf695da0c65a6ec414dbceb0332925cea25559120d691208aae2',
        39072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextTheme madaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Magra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextStyle magra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14a31502baa6bc3d1d533ffcb22ed85a1432cccae9de9aaceab7f9613d5a42e6',
        40800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c9a0a85f1365e79e0be3858bfa5565709d6b041fbe2c94fdc07078addb09e0d',
        39872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Magra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Magra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextTheme magraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.magra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.magra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.magra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.magra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.magra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.magra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.magra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.magra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.magra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.magra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.magra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.magra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.magra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.magra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.magra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextStyle maidenOrange({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f11302e6132c1403ee758336fc5c7521e50bdbd4e7633f4cac486e0bf63f5810',
        45596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaidenOrange',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextTheme maidenOrangeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.maidenOrange(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.maidenOrange(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.maidenOrange(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.maidenOrange(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.maidenOrange(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.maidenOrange(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.maidenOrange(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.maidenOrange(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.maidenOrange(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.maidenOrange(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.maidenOrange(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.maidenOrange(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.maidenOrange(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.maidenOrange(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.maidenOrange(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maitree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextStyle maitree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5c26dcf50490bad8ece46b251341b794626dbcc2b447d6462719adb0a30a669',
        119800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a860e0d712863c7d1f48caa196c01d06c07440ba997240dc35222116b887315',
        117100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7e182c9f3ff383aecf89007408c82c2fe421c7bd1c0d26a2c589d650858c242',
        118484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c443b9e40e75884e57ea3274551ea6e929e48c5f606f0e493de21535255416ea',
        119964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1ae61877eb99327c96f0881800d7ff67ed333496734a176a044f61aecd50785',
        121252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b68c27287653802a934b53c52097b15931a570dd2b1252cfc6716301f7c79c48',
        123064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Maitree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maitree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextTheme maitreeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.maitree(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.maitree(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.maitree(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.maitree(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.maitree(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.maitree(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.maitree(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.maitree(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.maitree(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.maitree(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.maitree(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.maitree(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.maitree(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.maitree(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.maitree(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextStyle majorMonoDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07c1e10683d2fcaf0239acac2e59cd6e3ed2d5bb12767b77a7572ce4f1841962',
        73612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MajorMonoDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextTheme majorMonoDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.majorMonoDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.majorMonoDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.majorMonoDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.majorMonoDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.majorMonoDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mako font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextStyle mako({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eacfb1dc8669a590c0628162182e6e92c96387c243ee93d399a2434e8ca71b9',
        62552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mako',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mako font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextTheme makoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mako(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mako(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mako(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mako(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mako(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mako(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mako(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mako(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mako(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mako(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mako(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mako(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mako(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mako(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mako(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextStyle mali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bedbfcc202065277de49d7efbd8a84eed7f96c20084c992f778e83509a6c9d72',
        104192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8dd35a5ba290c6bca14bb2d04e626f026fba20561573955191443a5613eba1aa',
        107084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03aaba5c5f1f215faa8258ffec12bf073eb01c8b8b4119f74cfcb50ba0689331',
        104400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9652644d6288a6a487c2c41d2f4f1967238aae023f8174346d04bcde380a7d76',
        107256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21e70043ab31d25d3cd6f0112daa7fd00db071903ae0db8a07e276c1587eb590',
        104480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7153e37c758c823b0cacf5648fe5e95137793b918d16d7b992293da9b4c24514',
        107544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdbd279586296c3b06f041fad03b24b1afa7e5465b76d5b0ce1512b2c29d8b51',
        104528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd5b8a0ce976096e633e415df3649f5a3ecb6a31aec07aec39435ba29fe4bba2d',
        107536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc0ffc5283af7d2097740a7a4f968e905094691bc933cd420c81451911991592',
        104580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7eb149d36cbc0ef8ca76f884007b9902c07a514fe92570eca131d6455d950289',
        107532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a6f0045ad6dcf1007f07aac860b9bc943da4873857e74260ec62b048efa43e1',
        103972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62a4d799291c645f202a9f5a807f6a3919a65b6952223a9fe1134c05b6adef56',
        107396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextTheme maliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mali(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mali(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mali(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mali(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mali(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mali(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mali(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mallanna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextStyle mallanna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efd16b618025816beb489e3062ab30452f052d0d5bbb03710f42eceb0f999c37',
        350548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mallanna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mallanna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextTheme mallannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mallanna(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mallanna(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mallanna(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mallanna(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mallanna(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mallanna(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mallanna(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mallanna(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mallanna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mallanna(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mallanna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mallanna(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mallanna(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mallanna(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mallanna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mandali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextStyle mandali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4c9245286adc2ac57082a6709f35231b209b74be5f5d90e55f83e4f943bc196',
        360000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mandali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mandali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextTheme mandaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mandali(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mandali(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mandali(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mandali(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mandali(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mandali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mandali(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mandali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mandali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mandali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mandali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mandali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mandali(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mandali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mandali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manjari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextStyle manjari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ec7ec6563929a9fdac2b63de1a0788ce01986463bbc154ed1d7247224eaf6e',
        150024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '462b76fc14c3f0019a58120fdfb3f68c44185ce085e1b50c02075f09d8cfb695',
        148744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3000b3d2f648184a01135d1abe042fc6689d994f30d949e5f8e63e54346acb24',
        148388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manjari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manjari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextTheme manjariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.manjari(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.manjari(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.manjari(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.manjari(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.manjari(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.manjari(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.manjari(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.manjari(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.manjari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.manjari(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.manjari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.manjari(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.manjari(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.manjari(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.manjari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manrope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextStyle manrope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e0d85c2e7a1fff232b97428f296df3092d9a7bd2f6582cc3476087298232c06',
        94848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5bf259c2e4a2a9d357cd218192d9c8caf806361cb58a3cca1695f6178f7d0ac',
        94852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2dee52f6fb2b23c6e7b457a7a0c014745f1c635629b80339d0fc1ffbf76c9c95',
        94948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dd2c5035f1e6209e34d8c767482724196cd1e575a2b2d324c5e84d3c2829588',
        95032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '400f03ee4656256e5bc0ee867e379827ea847fac12a4839e24772917a0f66352',
        95072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf342c9662445e5ed0820acfe9412151440cfcfc239ef76cb5f47f33cb53c476',
        94900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddd8066c892c386b7b7d0fb71daf04ccd1abc369a8585397af5d41b9b9b03cc1',
        95660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manrope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manrope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextTheme manropeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.manrope(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.manrope(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.manrope(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.manrope(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.manrope(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.manrope(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.manrope(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.manrope(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.manrope(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.manrope(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.manrope(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.manrope(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.manrope(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.manrope(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.manrope(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mansalva font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextStyle mansalva({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ac43c6257c0a4adf2cc4bd612f12fde136317dde9904d45dd03e73f007c0a27',
        252920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mansalva',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mansalva font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextTheme mansalvaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mansalva(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mansalva(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mansalva(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mansalva(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mansalva(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mansalva(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mansalva(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mansalva(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mansalva(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mansalva(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mansalva(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mansalva(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mansalva(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mansalva(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mansalva(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Manuale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextStyle manuale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f1e47f61b8f0e7c3191a647b466e3c28d60f34624725100448a7cf690ba580d',
        75328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ec6584056673141c7754ce72a90233d54bcc1096cdeea35b99cac1a2c475520',
        75156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '360c46a409472290d6df177b1b1059da822bdbf042f7e0eef80dfab179051cef',
        75412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bc0de226a7bcbfa64212e5d442d2c97de77d1561f9e4561a64af903a145cad3',
        75468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecd9165a3311a7a4023dd58a653b41e3d9110ddebadcffeda0442af4136912bf',
        75292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd40f1e222cc19dc1cc1af7787c6c25c7bee36810cb4eae87d372804751904047',
        75376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76b8b424248d33a9472c9844a7fca971aa4fc146c3df6aeb7450e3713921efa9',
        81660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2461cfa7236e8c4901b7eae83f69c44097eb24918446449e7b2ee68339f53798',
        81400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f20c1c9f86e005471d11d507eaeb50bed896772c2458eefdedf63d2cd765b5b',
        81628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd37385f7454df174ec7ed26bab41cf3c7e4d8adbf093465ad477d120643d34d',
        81584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9511d49cd9b37468cc5efc07bf5476525dd2b7376a186043d9b6bd500c8ae173',
        81452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a85cc3b4ea6e1a4fb96d7478f0a766e7f170a89f179e52d2122e20fa5467e05',
        81908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manuale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manuale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextTheme manualeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.manuale(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.manuale(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.manuale(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.manuale(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.manuale(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.manuale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.manuale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.manuale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.manuale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.manuale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.manuale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.manuale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.manuale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.manuale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.manuale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marcellus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextStyle marcellus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f05260db1b8d311fbfd6c413618fe64261ff8d19d00b6415bf01cb211363f9',
        42760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marcellus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextTheme marcellusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marcellus(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marcellus(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marcellus(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marcellus(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.marcellus(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marcellus(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marcellus(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marcellus(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marcellus(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marcellus(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marcellus(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marcellus(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marcellus(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marcellus(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marcellus(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextStyle marcellusSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b9db8e80985afac4ce5a8a218672d0e819465ec4bea036f50c65f0400f32d32',
        43936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarcellusSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextTheme marcellusScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marcellusSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.marcellusSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marcellusSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.marcellusSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.marcellusSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.marcellusSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marcellusSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marcellusSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marcellusSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marcellusSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marcellusSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marcellusSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marcellusSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marcellusSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marcellusSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marck Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextStyle marckScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7a19b023ca49faa08dd9b1e42df428a3d9325026b29be89aea6b88177c3c5d5',
        81184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarckScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marck Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextTheme marckScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marckScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.marckScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marckScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.marckScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.marckScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.marckScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marckScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marckScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marckScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marckScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marckScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marckScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marckScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marckScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marckScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Margarine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextStyle margarine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04faffe79143f8b91ea5fbb9e9e8dd1c6a28f67346ad78d00d846939d38a933c',
        146276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Margarine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Margarine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextTheme margarineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.margarine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.margarine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.margarine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.margarine(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.margarine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.margarine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.margarine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.margarine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.margarine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.margarine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.margarine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.margarine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.margarine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.margarine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.margarine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marhey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marhey
  static TextStyle marhey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3692cc331fee1d4ec837ec85ab116427851da81548c3091088524200107556e0',
        87732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92b398a75f8a2cfe297cb7277d2364ecf2ef1157c02e2e0a624a2969a9680f00',
        87988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b40949239decce074722a2f3c49ec33a540d3822da0eba7b4e7b964c2247be28',
        88024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c87704993d6fe62c51207d718ba8a7dcf74adfae1e1ff0bca9057e4505b52f5',
        87992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16cf191220b3e7953fb97b720778384e0e235ada95bfe64d1bc43fe8423b1739',
        87564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marhey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marhey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marhey
  static TextTheme marheyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marhey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marhey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marhey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marhey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.marhey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marhey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marhey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marhey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marhey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marhey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marhey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marhey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marhey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marhey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marhey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextStyle markaziText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd09a8c7c2bae924fbd390c3ddc7d56320b285ed211ab26e76d86619950bf98c',
        181652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f01044c06d33bc0da3fa40187c40f7cf47df910978514b8998517fbcf07932c7',
        182228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1129e5edbb390d09046daccf90d0284ad282254f574cfbae853b286378b06ce8',
        182384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e91776c38ed4516824e7f6e214f118dc17f9320545c95983a5957a483719956f',
        181892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkaziText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextTheme markaziTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.markaziText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.markaziText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.markaziText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.markaziText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.markaziText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.markaziText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.markaziText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.markaziText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.markaziText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.markaziText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.markaziText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.markaziText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.markaziText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.markaziText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.markaziText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextStyle markoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30e5982f5ec8083bdd653f3c459c492742f14b97e7f03e24f44aa63637695e88',
        31396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextTheme markoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.markoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.markoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.markoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.markoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.markoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.markoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.markoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.markoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.markoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.markoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.markoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.markoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.markoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.markoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.markoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marmelad font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextStyle marmelad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33f451f820afcdea16d6a652ce3a155e6ce319f47a370a557e1d02c03cb9c8eb',
        41940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marmelad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marmelad font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextTheme marmeladTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marmelad(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marmelad(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marmelad(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marmelad(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.marmelad(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marmelad(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marmelad(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marmelad(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marmelad(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marmelad(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marmelad(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marmelad(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marmelad(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marmelad(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marmelad(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextStyle martel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ee44d0d4893d54a1cdc577b763f43a56a3cc41bb5a16569214afd4e99f432f9',
        116348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f01376b7fdfcd7e143d42ef7de46b048ebce6112082da9828b16135ad3eba43',
        117716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12702ce43a0e0d4569dd9280751658fde77aacddf053f262491e03d2ddd3a8dd',
        117388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91f155cd5e60d1b1ddf47eb94c633905404dc913ac6b5fca67f1b43e154aa06f',
        116792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34b0a43712bff324f47dd9e72665b0e575cdd986f4631025f6ef7ca14c15044e',
        117084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5a6f886bbe3ee8d7d7a4357ed5ea5d5c3964dea884200904b8c41d033eda207',
        117668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed9eaa5300e6fbaed75362821ed8c718b2c6accd7c0860cf86063a4d2c1f994d',
        111108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Martel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextTheme martelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.martel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.martel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.martel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.martel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.martel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.martel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.martel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.martel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.martel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.martel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.martel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.martel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.martel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.martel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.martel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextStyle martelSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e94b3386004ab870546eeda9ed5b5e4ac30937656139d17832dc75083aa456f',
        103364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34adb2c35e44fb48087e3ff92e3d8b0ca521daffa44e49d2fa827f1a113e9e51',
        103164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cc347978707d341149b2714ee7ac9a56862bdceeee0d0cd78b49051895352ed',
        103204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '532ceb7947bcc2af5c0bd6dd898b3149f96fc7154f6d6f5f43e1901e11aec356',
        102412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '408fb2a6bd2b8febcbcd0f36b448bea25c95a95682b8180f072b270317ca99ce',
        102480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e9cad9a7439e58232072ee1ae67b8cbe63c0a9b81f4df4905a787f897ba8741',
        102276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b18f2498080548788be265f2d48af87ba37135a2df98a20de4d8cbff7f6c428c',
        101916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MartelSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextTheme martelSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.martelSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.martelSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.martelSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.martelSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.martelSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.martelSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.martelSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.martelSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.martelSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.martelSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.martelSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.martelSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.martelSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.martelSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.martelSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Marvel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextStyle marvel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '434993f2ea848e2148f479a2a4b7f77a8d304cf6e699f6ff5ce15dd29e922b0e',
        36432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed9c07b783613779c3c9569fbd28a164ff94e6f015020a825eca9370a92346ef',
        38864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8acdc8b4db21642923af59378dd206a766b72bc253e2682f77d9ebeae48bb1f',
        35184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '584836e81a8e6ce67e50024b8dda2edb6e91e8fd014c29ae935904f0881b2b4c',
        38252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marvel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marvel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextTheme marvelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.marvel(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.marvel(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.marvel(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.marvel(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.marvel(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.marvel(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.marvel(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.marvel(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.marvel(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.marvel(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.marvel(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.marvel(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.marvel(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.marvel(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.marvel(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextStyle mate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f14db8eb9a99dae8c46ea524818411a956e02254113481b367c7eb7e16aee6a0',
        25500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26b6c36a9bc2049534fb5db21df777158c48b18ced568a9e43e4979130ebe3ce',
        25036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextTheme mateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mate(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mate SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextStyle mateSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '846688824d788b1223203eea2b50286cb7e426ff7888b48be06d73f7b6d83449',
        27192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MateSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextTheme mateScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mateSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mateSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mateSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mateSc(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mateSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mateSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mateSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mateSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mateSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mateSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mateSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mateSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mateSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mateSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mateSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextStyle mavenPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cb3d351c2911eefef82dbe3e3f106a05c21f1ff2e07784e1cfb36640347711e',
        55108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ffcb091ad6e15155a23861108058084a559ca95c069e8acf82936d8872bdc66',
        55368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8151f48f9c8983360023fff1ca435184a8c8505b5477566c59d6f39a901913a8',
        55524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '759e8364414a231fe8a96087771731005c0294087633491b77972fc97aca240d',
        55408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e40184b4334d61ab14c56ea0d2b3e5b8ead9738cd3132682df5430ea6d2a405',
        55508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba6a8453a14dcaf0b9013b8734e296d22975beca97dc064675f473c9e492faf',
        55420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MavenPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextTheme mavenProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mavenPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mavenPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mavenPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mavenPro(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mavenPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mavenPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mavenPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mavenPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mavenPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mavenPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mavenPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mavenPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mavenPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mavenPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mavenPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the McLaren font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextStyle mcLaren({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fa68402281f241052355b17fcac0d31255701f9f0e2c226d293fdf391816190',
        52020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'McLaren',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the McLaren font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextTheme mcLarenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mcLaren(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mcLaren(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mcLaren(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mcLaren(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mcLaren(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mcLaren(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mcLaren(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mcLaren(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mcLaren(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mcLaren(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mcLaren(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mcLaren(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mcLaren(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mcLaren(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mcLaren(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mea Culpa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mea+Culpa
  static TextStyle meaCulpa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e96faeb4d850c5e366aa0a2f43b5cd252a1274b6b494614af01c6211057b877',
        108404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeaCulpa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mea Culpa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mea+Culpa
  static TextTheme meaCulpaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meaCulpa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meaCulpa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meaCulpa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meaCulpa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.meaCulpa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meaCulpa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meaCulpa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meaCulpa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meaCulpa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meaCulpa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meaCulpa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meaCulpa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meaCulpa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meaCulpa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meaCulpa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meddon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextStyle meddon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54abae3d58d982b229851cc4d848bcffd67e29644fa8335db695e1d27c0012f2',
        63032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Meddon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meddon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextTheme meddonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meddon(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meddon(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meddon(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meddon(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.meddon(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meddon(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meddon(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meddon(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meddon(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meddon(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meddon(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meddon(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meddon(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meddon(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meddon(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextStyle medievalSharp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d2dd58bc945b10409aa21e24d98eec3ef37993b2376e3531851fbf92d21dd4f',
        48228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedievalSharp',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextTheme medievalSharpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.medievalSharp(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.medievalSharp(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.medievalSharp(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.medievalSharp(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.medievalSharp(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.medievalSharp(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.medievalSharp(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.medievalSharp(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.medievalSharp(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.medievalSharp(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.medievalSharp(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.medievalSharp(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.medievalSharp(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.medievalSharp(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.medievalSharp(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Medula One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextStyle medulaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c14d4658cacf3a579c80cfc423df8e6941dd1eca33fe74d9004b9bd9b2cb34a',
        31792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedulaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Medula One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextTheme medulaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.medulaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.medulaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.medulaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.medulaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.medulaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.medulaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.medulaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.medulaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.medulaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.medulaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.medulaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.medulaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.medulaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.medulaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.medulaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextStyle meeraInimai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a06b1e0bf3b4a399c40716a6dd04acc5d0d5d416f6310ec45c3b8efa4d8352',
        70828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeeraInimai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextTheme meeraInimaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meeraInimai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.meeraInimai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meeraInimai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.meeraInimai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meeraInimai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.meeraInimai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meeraInimai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meeraInimai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meeraInimai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meeraInimai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meeraInimai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meeraInimai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meeraInimai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meeraInimai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meeraInimai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Megrim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextStyle megrim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1329617d0583eddd45a722377ffbe312d6ac084943ddfd923025eea820980c1c',
        30136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Megrim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Megrim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextTheme megrimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.megrim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.megrim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.megrim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.megrim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.megrim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.megrim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.megrim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.megrim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.megrim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.megrim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.megrim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.megrim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.megrim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.megrim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.megrim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meie Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextStyle meieScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f475b7a7297bda996a975870f9696e21f31d4c1048ac19d6b456c901867769e',
        52328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeieScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meie Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextTheme meieScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meieScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meieScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meieScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meieScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meieScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meieScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meieScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meieScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meieScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meieScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meieScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meieScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meieScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meieScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meieScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Meow Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextStyle meowScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1efb4e3f7d02119a4e3ae8a858cedb1187379d54d09c2944e9010796a913f129',
        101276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeowScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meow Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextTheme meowScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meowScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.meowScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meowScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.meowScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meowScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.meowScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meowScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meowScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meowScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meowScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meowScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meowScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meowScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meowScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meowScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merienda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextStyle merienda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '515f81feb4b92bc267e8b5d76f3c4636537b9bcd6d1a8a066df09dacb8ff5692',
        87972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd47f97bbd8bf74cfbdde61ea3c18e210be71893d772079bb9d1f8ef064f45194',
        87912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f06f19ffa2754239cf0d4715be4b741ce57d8df73db8b000ce3b4857d135e0b',
        87948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '797b08e92faac5f8938f1b9c0eb560115cb4537927c73be79ac9a86d5d7b261b',
        87952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '342dbb5dce15f19e8e4b917fd84cb45df311c5774d5f09b351f77c5dca0d82fb',
        88024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15680b4348bcb3a009f896da59f952dd123798aa6e5f79bf1b53450d36e0d528',
        88244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba612e3ac066840d366636031dc54036c0d5715469d8e967ae3c0f3c748642e4',
        88000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merienda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merienda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextTheme meriendaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.merienda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.merienda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.merienda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.merienda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.merienda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.merienda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.merienda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.merienda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.merienda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.merienda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.merienda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.merienda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.merienda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.merienda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.merienda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merienda One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda+One
  static TextStyle meriendaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd885dd21050cf9aef79ae96fbe859e2c8e1f309dfc691d639102f7de7f9ab354',
        28564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeriendaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merienda One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda+One
  static TextTheme meriendaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.meriendaOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.meriendaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.meriendaOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.meriendaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.meriendaOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.meriendaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.meriendaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.meriendaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.meriendaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.meriendaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.meriendaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.meriendaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.meriendaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.meriendaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.meriendaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merriweather font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextStyle merriweather({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1391d9ac253f0609fc463ed7cf7c7f8ac16ac148535eab73f9e6ed568be7ed6c',
        94096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f7010dc410bfdc0e5a335d9a26304fe2445f5b6540b1018c852de17816b07ac',
        96632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17eea3c23dedc67e39cc162b4f95c5927f415be23f01181d6441a821401f2e40',
        94360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a01ca4baf4746b17b8c5c2e403ac0943ad6e2af8451c1651ea770f16cf8c06e0',
        96368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ffd149f337f5b52c2f4fcc0de5d543697fceac78b416e230def6b7c02c81ea9',
        94016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ba796e3f7bbbf053447975f5e4e72ae4a8c01a0c109a688bc7d80836c6270344',
        96204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c0a81948fc4e537d93d6b935abe73b2a89ec9cfd6d9c48bf9787c8627aaf16c',
        94052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ddc6eda15dc3b4c34cf815954a5ee4af26282332b5baf09c8a938143d7ae956b',
        95804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merriweather',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextTheme merriweatherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.merriweather(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.merriweather(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.merriweather(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.merriweather(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.merriweather(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.merriweather(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.merriweather(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.merriweather(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.merriweather(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.merriweather(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.merriweather(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.merriweather(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.merriweather(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.merriweather(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.merriweather(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextStyle merriweatherSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df62bd56d4bc21cea678f108ebba002589a454f877c40d86bced6b834a1d649',
        90820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad9e017f6dbbb3955132af7030b79a63d98788c4057b5a97507a00afeb8f7495',
        90976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f6a30f8323e0ef77502be5ec937f875ea397dc29476e949f686172bd4ed8381',
        90972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92f3964ed17e8d9d93aa3590e2bf2628148342b3bfb0c7bacdab8298e33fbca3',
        91136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cbb191cfb0ebb0c1135989213eb68e445c1b88b13ef85af1962396c6ea606b9',
        91064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe8ac9729e817985a282b719f68717b92207ad82120eaf1177bcfc2ba4c8b2b5',
        91028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df97c48c836cae9636fcd136fdde8561388749dd8356681a93cccf33c474906a',
        79852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a85898ee37338f4a46d50aedc46215b1ca0560ede675ce48f403e4808f24ff92',
        79768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ccc5343f0fafb5be7a05a944acff4a9c2463a411e9c0588b5a9453d104a49d6e',
        79900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3e37da967cfc7e6d0d562c60ffec9b1be5eafeb232038b75131c00a69065893b',
        79968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b93f401cfaf662d24be6e4d08eefe633ebc25166cbe114281e69f018c219e463',
        79956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e24409c555b5af4058f248f947367eb0d42d5a6912bc9b14535714253eb5bae',
        80064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MerriweatherSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextTheme merriweatherSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.merriweatherSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.merriweatherSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.merriweatherSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.merriweatherSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.merriweatherSans(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.merriweatherSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.merriweatherSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.merriweatherSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.merriweatherSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.merriweatherSans(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.merriweatherSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.merriweatherSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal
  static TextStyle metal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb5cdc18da62e5d2a13bf65bef1a2ccb9f66dc10c4e3d7910f3f97f1cb1b2f5',
        97360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal
  static TextTheme metalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.metal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.metal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.metal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.metal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextStyle metalMania({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d4503a6087a6180b1d58db0994d6883a20a70cbfd00db57454ce722c23167d6',
        207960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MetalMania',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextTheme metalManiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metalMania(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.metalMania(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metalMania(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.metalMania(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.metalMania(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.metalMania(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metalMania(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metalMania(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metalMania(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metalMania(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metalMania(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metalMania(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metalMania(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metalMania(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metalMania(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextStyle metamorphous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61cbe950ebcde5689d1c57a37177f5533f78247cadafdf4a4c82008bba7c8974',
        63740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metamorphous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextTheme metamorphousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metamorphous(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.metamorphous(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metamorphous(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.metamorphous(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.metamorphous(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.metamorphous(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metamorphous(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metamorphous(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metamorphous(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metamorphous(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metamorphous(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metamorphous(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metamorphous(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metamorphous(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metamorphous(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextStyle metrophobic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd78e1d75ac8862ff403dccc8c417ba470f7540e0170afe4187584d1d4826d92',
        59420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metrophobic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextTheme metrophobicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.metrophobic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.metrophobic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.metrophobic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.metrophobic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.metrophobic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.metrophobic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.metrophobic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.metrophobic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.metrophobic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.metrophobic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.metrophobic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.metrophobic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.metrophobic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.metrophobic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.metrophobic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Michroma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextStyle michroma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08d35f52e77af7341432a44ec1cd721f5602580513376379f9630ada46f737e5',
        31660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Michroma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Michroma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextTheme michromaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.michroma(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.michroma(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.michroma(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.michroma(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.michroma(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.michroma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.michroma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.michroma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.michroma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.michroma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.michroma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.michroma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.michroma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.michroma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.michroma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Milonga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextStyle milonga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfc044fa128794d72c8337c0f2d672ba34686248b1d44ec94fdccba2e60e1987',
        120176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Milonga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Milonga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextTheme milongaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.milonga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.milonga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.milonga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.milonga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.milonga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.milonga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.milonga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.milonga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.milonga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.milonga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.milonga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.milonga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.milonga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.milonga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.milonga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miltonian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextStyle miltonian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e66e2c40908d9f6a49aca5d7c792ca6a5b97e2e0242affd23f8983fb8a300f5',
        90836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miltonian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextTheme miltonianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.miltonian(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.miltonian(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.miltonian(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.miltonian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.miltonian(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.miltonian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miltonian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.miltonian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miltonian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miltonian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miltonian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miltonian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miltonian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.miltonian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miltonian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextStyle miltonianTattoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e618ab9270bcaa0f167636c24170e3148c3a1d4897edf97af3ce1141d337f7c6',
        68524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiltonianTattoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextTheme miltonianTattooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miltonianTattoo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miltonianTattoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miltonianTattoo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.miltonianTattoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miltonianTattoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextStyle mina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '308655f148986df4abc69e3d2ed7b9dc68a2da9a2775b23ed5b770001c17d52d',
        147136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b36a41caeb6d32dd48fb88879056a737b272ab418000ab399b5dfb12696d62b',
        148492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextTheme minaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mingzat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mingzat
  static TextStyle mingzat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bd308156ec3355b1fc0d3630c2472fd2ecaa8cb9efdaf604b6c0cca490d9331',
        155524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mingzat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mingzat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mingzat
  static TextTheme mingzatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mingzat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mingzat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mingzat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mingzat(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mingzat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mingzat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mingzat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mingzat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mingzat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mingzat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mingzat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mingzat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mingzat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mingzat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mingzat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miniver font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextStyle miniver({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26d6c3699c8c5018d64009cb6e6e8f50c0871535ea925acbd5d9dc96b0237884',
        43764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miniver',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miniver font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextTheme miniverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.miniver(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.miniver(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.miniver(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.miniver(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.miniver(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.miniver(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miniver(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.miniver(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miniver(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miniver(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miniver(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miniver(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miniver(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.miniver(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miniver(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextStyle miriamLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14162aa91c63fee5eb550193ca5fc121f9f257d8dcb685a7f24fbe4e9617cbe2',
        67044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdd5e9d24540a2e984204171e1a94cb4efddf41e9712dadbfe23fc1d0978b51a',
        64468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiriamLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextTheme miriamLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.miriamLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.miriamLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.miriamLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.miriamLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.miriamLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.miriamLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.miriamLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.miriamLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.miriamLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.miriamLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.miriamLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.miriamLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.miriamLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.miriamLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.miriamLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mirza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextStyle mirza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65a183bfdbc18e102852adaa4adb72573f33f3c5cfb851432c09a209acb8e71e',
        153264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dca4c8d1291531d989cd9a2e6bfedc5695fe0f4f7a5c61d480d378fbc175681',
        152660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab1e8d78115374ca7dc03dd28299ed0d1f0d5f5b42058c77c5580067b84162b',
        152604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a1bd6f33531eb1e76213d35b6ccb117a30a0173a4d772514677c41ead7ad56',
        152580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mirza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mirza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextTheme mirzaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mirza(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mirza(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mirza(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mirza(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mirza(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mirza(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mirza(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mirza(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mirza(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mirza(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mirza(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mirza(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mirza(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mirza(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mirza(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextStyle missFajardose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a443fa63baa6db77fd9443bb2e2f84e00fb587b7426ccbfa6d6f21c18f739cb0',
        56960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MissFajardose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextTheme missFajardoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.missFajardose(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.missFajardose(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.missFajardose(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.missFajardose(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.missFajardose(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.missFajardose(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.missFajardose(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.missFajardose(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.missFajardose(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.missFajardose(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.missFajardose(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.missFajardose(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.missFajardose(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.missFajardose(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.missFajardose(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mitr font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextStyle mitr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3e51272f85885d89720e6be6248fe926d8e56fcc75d9e0d2f5abb6ead1a069f',
        136672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a087f2046c85d59cc4dab8d23cbb70924839fea7e0f7c13e5be48c9257ab37d6',
        142208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fb9bdc5d1b4552c91499f31580f422a7e13c6c2f160e34173455b7aaa3391a3',
        144096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aad7c67032d0ab210555ee83b104b760f291514f625fa4911979acbafcda0359',
        144076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9147e12fdb9ec1ea4d1981a343e92386c4e39fd77f16781187bdbde63bebea9',
        143588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6b0c518c8a9dc001751fc9c6ea3126832e28513061b5bf9c24f730a9ae3d0e6',
        144164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mitr',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mitr font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextTheme mitrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mitr(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mitr(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mitr(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mitr(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mitr(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mitr(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mitr(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mitr(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mitr(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mitr(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mitr(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mitr(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mitr(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mitr(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mitr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextStyle mochiyPopOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb344386a811c67bdb3884a56a6abc44c1556024d68833039b968a1f15f7a27',
        4607440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextTheme mochiyPopOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mochiyPopOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mochiyPopOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mochiyPopOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mochiyPopOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mochiyPopOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextStyle mochiyPopPOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfbdc87a9c549aa86033713ca7edd8a7f2f9ba4cbe9b8d2d067a848ee1c9e5c8',
        4608112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopPOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextTheme mochiyPopPOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mochiyPopPOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mochiyPopPOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mochiyPopPOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mochiyPopPOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mochiyPopPOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mochiyPopPOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mochiyPopPOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Modak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextStyle modak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e0f471287dec95da2ab0508270c51a4d89b5956f8395ed46026e3e8cdeaeb03',
        358468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Modak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextTheme modakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.modak(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.modak(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.modak(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.modak(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.modak(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.modak(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.modak(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.modak(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.modak(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.modak(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.modak(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.modak(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.modak(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.modak(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.modak(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextStyle modernAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a80f5084d998fa19f869afe478a06bb9053b2340ba1ab17796a408b0171f1a94',
        67772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ModernAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextTheme modernAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.modernAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.modernAntiqua(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.modernAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.modernAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.modernAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.modernAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.modernAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.modernAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.modernAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.modernAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.modernAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.modernAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.modernAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.modernAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.modernAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextStyle mogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68ef6f3c83efa3823e9cd4fd64392022ef1df04760a65d5592a93e800fe39a01',
        227352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextTheme mograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mogra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mogra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mogra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mogra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mogra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mogra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mogra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mogra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mogra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mogra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mogra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mogra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mogra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mogra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mogra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mohave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextStyle mohave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64ea3cbb25684d63f7664ef5190387b9de436ec2adcb8f0a6544c91c03201a31',
        36972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7d5e7be7889463c1318bf7e1cc51d24b2984031bd834736b7e152a59a6dbf6b',
        36932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32fe4693ec089f881e4c24bd6833fb5c25e29b999d10b7e911afe11107c905ed',
        36920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4c53fabf7a0ee19b4e193388620d19d06176941677fe918709fc91e036298bb',
        36944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e6816dfeb4c37034b09c1fc84507ff6f2b54e230301aadfb2c7d989f07abc26',
        37048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '329f95632fc3c05a88edf868461faa5affc69f4ade9dae86e1a13a8e9b24615b',
        38768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fc96d370deff554d847f2659c345add58ee4af15c358092a4aa356bebe57f07',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b9c91c207a56dff2f6f40d8616e6967ad2cd05f754d6c19271adaabb003ab1b',
        38728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '593bf7abbe1fb04ed741ea754ca35c2696df24b12d26641f1f653de14d4aa4bf',
        38756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70922a2bdc4c265612d255f05c2ee00a8ae4d44b1ecb6a2d1b1b292f23ed1eb4',
        38816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mohave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mohave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextTheme mohaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mohave(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mohave(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mohave(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mohave(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mohave(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mohave(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mohave(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mohave(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mohave(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mohave(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mohave(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mohave(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mohave(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mohave(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mohave(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Molengo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextStyle molengo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '944e1051ca81381376eb8e67e8ebe10e8ea1fd3fe9f1c032c0dddcc12a403ea8',
        32528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molengo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molengo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextTheme molengoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.molengo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.molengo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.molengo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.molengo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.molengo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.molengo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.molengo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.molengo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.molengo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.molengo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.molengo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.molengo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.molengo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.molengo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.molengo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Molle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextStyle molle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68340bc72e66403322824f55e34dab23abc770f835ab6f2065eb04adaab1c671',
        33600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextTheme molleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.molle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.molle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.molle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.molle(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.molle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.molle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.molle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.molle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.molle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.molle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.molle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.molle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.molle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.molle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.molle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextStyle monda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe05c5b3ab9c76bec018d18bc3c6c475a2a2dadebd2258f9611718e3c3fa2a7d',
        87412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57989ae9eeb0094c3fc9c4d326db303a56bf1003eb828a38d6812fc5c17653b8',
        87368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextTheme mondaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.monda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monofett font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextStyle monofett({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd058e27048b901b185b6d024794e6695f6b89bb840d1cb81a1b35ad3f469a4f1',
        43172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monofett',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monofett font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextTheme monofettTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monofett(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monofett(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monofett(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monofett(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.monofett(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monofett(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monofett(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monofett(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monofett(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monofett(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monofett(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monofett(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monofett(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monofett(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monofett(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monoton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextStyle monoton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c74d5fd8043fed2afabd306f3e56598ac3c554a4d4b01848ba82d0236c4767af',
        49736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monoton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monoton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextTheme monotonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monoton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monoton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monoton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monoton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.monoton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monoton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monoton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monoton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monoton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monoton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monoton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monoton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monoton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monoton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monoton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextStyle monsieurLaDoulaise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b88bba84c7402a40ec494afabedce10a6095f46cba5352408c3c9e1203d2025',
        52308,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonsieurLaDoulaise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextTheme monsieurLaDoulaiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montaga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextStyle montaga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4805f79b3926b5f56e9bf99a0b83f937b3f44b850e82acbc9dd40d73ae5f49bf',
        31744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montaga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montaga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextTheme montagaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montaga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.montaga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montaga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.montaga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.montaga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.montaga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montaga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montaga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montaga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montaga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montaga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montaga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montaga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montaga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montaga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextStyle montaguSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a73b62cc0a3dba78f397c53eaaaf8b57c2746ce8475e749c6749c9a38a75b137',
        132460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '556744f8aef8095bd50932cc30a7bbfb3cf655bf1ebbd5723c2a86ed69a79fea',
        133188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3b2617a7e7ff4269ee114e2ab10bc7ecd632173cc95613755c5da53030ae23',
        133336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '375814086aa330e311dd37513909a39dcdcd03a116bc24c3b1b769b6b1f75cd7',
        133340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ee1d346a2418f8f2129c44c77f1900bea22b94cc495008bc14bce6aeb9baa3c',
        133240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5d6edf403eb99e53f96e5704df5a973a571521835290f35361232a26d8da69a',
        133312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879411eb6c1e32e77d3f2e09eed6a5e9bf76acb8813c3d14876e8364c9e4d54f',
        133284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontaguSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextTheme montaguSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montaguSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.montaguSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montaguSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.montaguSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montaguSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.montaguSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montaguSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montaguSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montaguSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montaguSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montaguSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montaguSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montaguSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montaguSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montaguSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextStyle monteCarlo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd137afd5ac7ba670f755a8d38f6582e61d222f0dd8ce71c430be549c7c293457',
        270596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonteCarlo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextTheme monteCarloTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.monteCarlo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.monteCarlo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.monteCarlo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.monteCarlo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.monteCarlo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.monteCarlo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.monteCarlo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.monteCarlo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.monteCarlo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.monteCarlo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.monteCarlo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.monteCarlo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.monteCarlo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.monteCarlo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.monteCarlo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextStyle montez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ef3aab9179b9eecc4ae0d5f38cbd96ccdcab954723e065a122fc0d9f055edb3',
        60796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextTheme montezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montez(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.montez(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montez(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.montez(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.montez(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.montez(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montez(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montez(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montez(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montez(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montez(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montez(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montez(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montez(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montez(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextStyle montserrat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f2f8054b39ce34eacee995c711cf2a6d868db21ed64b00b8b170e6ba46de094',
        109348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c387e57886bb8079abcfb9af4a1222d255842437ff2492e9f17ef3060aec8266',
        109612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2da1f24cd3300139663bd8b828809c25700943a88fa1330c2ec60b93d13d32a',
        109752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd42a8d7a6620300fce90875721b9bbdd1a2ef59505c72eca9d53334f3dd09f3e',
        109684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f894170668ecb484d96897f2cd4a60d34d0e66b5237461b3cc454557dcc23c64',
        109760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6054fb3d10f2d6b06d5dbe122f21731b6656b66991d3dea8ddbfe9ed25fcd6',
        109884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b159a633bed62311b1ce6dcc2d3b65307f15a6a3d402d3bbcf330fcd463ec447',
        109756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e7536831a6c96b54b92b67ad360dadbf5dc556632cb580852018b0e518214ea',
        109808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89ac7766f5214f3f2b8898f11601e10f5d36c2324c71c824a58a056698473b3f',
        109616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '171e42b06d74b2e746dc2a48fb392ba2c8b215461c959fac6a96bd4fadb0462a',
        110148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cc1fd31b7b3a7ddf994bd4dded991be752daf35f88350436ee69b303d9d6efd',
        110508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c0e7496216499b4bb04161962d5a089ba72eca19522ffd53a687079d7ea7f47',
        110524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a5b43f33169ff28bb25e516461884612d44b7e6cdcc0f4f31f75aef9079c87b',
        110464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0998892d0921e4bb8a93ab87d290c0faf88e65d74e2ee355b9d0d7f54cea8c17',
        110584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '529ad5c20c31b11d5cdad302424c1d2970d718f5442d219aed5fc1467a70d75e',
        110672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a73851499151b53eecf9b115fa820230de1ef9fe6f779171c121267d29781d85',
        110604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f298f069ad79c3982bd0fd7615cc12cbac56d2e3924052f210c3304500443db4',
        110580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a000e7e6460dd3e9bb781507139706a31703b1023f2498dae37e9090db379687',
        110464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montserrat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextTheme montserratTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.montserrat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.montserrat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.montserrat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.montserrat(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montserrat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.montserrat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.montserrat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.montserrat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.montserrat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.montserrat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.montserrat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.montserrat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.montserrat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.montserrat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.montserrat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextStyle montserratAlternates({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d7a5df2f9a2cd1f31e412e5ce15022025bc9554edd38d598c80922739d83c28',
        117000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6f86268c0464a107b9bdcaa373889d7d241102993fd3b8daf1189920b7445b0',
        118780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '915c276f838dff1c7a10b2466686586f6fc6ab606f4d50e65a5d140a1eb2d188',
        118480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc7a9d8ca5a1f7385088f3465ed82ea6e7a5deee6b456ee6e70a063bead570bf',
        120212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '134d8da4906a6638829a22a421d9d7a4698e14cfadf42ae695d6a84e91cea7fd',
        118364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fbed38ef00c725f05e1db3a52afd3fe4ded80e5b8d3c2543aa36609fb404666',
        120188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0191e70fccf382d5f2baae22fac7516a4addedd92f1badea57ac43a6e549053c',
        118320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99f2905b3610f3be886719d9528a6afa0becde610933e6a2e79eff60144d61eb',
        119984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '922b398949897f1364e4d3996e400387febd63dd3c5311ab4b30c70569b45a1a',
        118064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26447bb414605a3e7be79f9df697ef4f656eeb199dc2e5be581ca4aef5f5292f',
        119800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3861279f8ac6ccf52e5874c97c35d6dfc55221e7f0d1b4dd269637b63645f38',
        117640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8e69508eeab8d357ae04515ca19a0731fdcaf4ee5525e8779079f23b20b06948',
        119476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a268672df8af1cf4762f05c4f294af1a1b41341ba4bb979e031b6d57ca59e64d',
        117292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c9e7c31631e7f5295b5ac166a81a2e0eb6fbf217725c916a98ff925af433766',
        119176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d14c3f1bd4fb94a986cbd90280d1f02dea18244e24a6dfeba17309ce3861a4c',
        116976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81957ea032fbd2241c5b9bbce9b88ff101d09556a3878e26ce17f327ec986348',
        118788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f6dcec9e7992a2029a6a8a3f9bcfb24fc0e66e1db34ebfc77058c6b00f53df8',
        114528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '931456a594815d5e2b1c4b00561970721fbcf9f272d54651e57f35cd3403549f',
        116576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratAlternates',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextTheme montserratAlternatesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.montserratAlternates(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.montserratAlternates(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.montserratAlternates(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextStyle montserratSubrayada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6dc739d675fae5a40888864f693fb3e2808151e81c5f020b75de09bc40f5ff',
        22512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27764d288b2b7f92c2a414f3947538ba18a45d90cb41fc8c69cdcb170613bbbd',
        22548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratSubrayada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextTheme montserratSubrayadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moo Lah Lah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moo+Lah+Lah
  static TextStyle mooLahLah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7cff5ac52fe11e63c90288d38f2eae62526e1578f0d048847db11f70a45934',
        178720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MooLahLah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moo Lah Lah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moo+Lah+Lah
  static TextTheme mooLahLahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mooLahLah(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mooLahLah(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mooLahLah(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mooLahLah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mooLahLah(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mooLahLah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mooLahLah(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mooLahLah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mooLahLah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mooLahLah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mooLahLah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mooLahLah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mooLahLah(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mooLahLah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mooLahLah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moon Dance font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moon+Dance
  static TextStyle moonDance({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8782cda801d39e0cbc9be2cd3e07615d69a99583c7c7cafb4bdfa3c35bb9bf7a',
        128564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MoonDance',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moon Dance font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moon+Dance
  static TextTheme moonDanceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.moonDance(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.moonDance(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.moonDance(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.moonDance(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.moonDance(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.moonDance(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.moonDance(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.moonDance(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.moonDance(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.moonDance(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.moonDance(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.moonDance(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.moonDance(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.moonDance(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.moonDance(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moul
  static TextStyle moul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f54d786e1e1baccc427038302748adb49b11759e104a08285a0c3b3aa86b42e',
        84212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Moul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moul
  static TextTheme moulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.moul(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.moul(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.moul(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.moul(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.moul(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.moul(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.moul(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.moul(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.moul(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.moul(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.moul(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.moul(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.moul(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.moul(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.moul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Moulpali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moulpali
  static TextStyle moulpali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62f55d11a003ca650b9b2e98eddce1fd55a535dd90aea243d21e85c1a0043d2',
        66348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Moulpali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Moulpali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Moulpali
  static TextTheme moulpaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.moulpali(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.moulpali(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.moulpali(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.moulpali(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.moulpali(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.moulpali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.moulpali(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.moulpali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.moulpali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.moulpali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.moulpali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.moulpali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.moulpali(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.moulpali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.moulpali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextStyle mountainsOfChristmas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '441772ebf48a49ef588e257fd0fcdea2238f013f190344ca084d6951198fc5ab',
        120212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9954663cef37ccac2c95f1f7d3599bce3c606f61c36d5ae887f819e545c85f4',
        121008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MountainsofChristmas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextTheme mountainsOfChristmasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextStyle mouseMemoirs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cb270df00a6cee3e7a8687f62b8a8785833fb97c059e7f8667f7e0af2d07cec',
        53288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MouseMemoirs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextTheme mouseMemoirsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mouseMemoirs(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mouseMemoirs(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mouseMemoirs(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mouseMemoirs(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mouseMemoirs(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextStyle mrBedfort({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2699540af9279bcb3a3c1d6d1d756750b47ac7ec7baf9d4490ee5cdbbc751f93',
        35520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrBedfort',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextTheme mrBedfortTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrBedfort(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mrBedfort(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrBedfort(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mrBedfort(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrBedfort(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mrBedfort(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrBedfort(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrBedfort(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrBedfort(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrBedfort(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrBedfort(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrBedfort(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrBedfort(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrBedfort(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrBedfort(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextStyle mrDafoe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc607a2d1d302d517fdfe880ffbcafee12d51324aa21d588170ec9d975cc1a8',
        46076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDafoe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextTheme mrDafoeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrDafoe(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mrDafoe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrDafoe(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mrDafoe(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mrDafoe(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mrDafoe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrDafoe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrDafoe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrDafoe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrDafoe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrDafoe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrDafoe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrDafoe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrDafoe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrDafoe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextStyle mrDeHaviland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1baafc9c65c5e9ff4da63ad3257a06d8579fba605b0d6bf7e541d59c1f7f5ab',
        42704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDeHaviland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextTheme mrDeHavilandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mrDeHaviland(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrDeHaviland(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrDeHaviland(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrDeHaviland(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrDeHaviland(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextStyle mrsSaintDelafield({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c9be601ffc496d996d3497e3aaaf914f4de814322a0bc88ea62b391d59ee3d4',
        47368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSaintDelafield',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextTheme mrsSaintDelafieldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.mrsSaintDelafield(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextStyle mrsSheppards({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c2946cff5975b064a7a0f411e188ec5e92466e17aa4e58b555e72cc8dd5ab21',
        40396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSheppards',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextTheme mrsSheppardsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mrsSheppards(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mrsSheppards(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mrsSheppards(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mrsSheppards(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mrsSheppards(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mrsSheppards(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mrsSheppards(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mrsSheppards(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mrsSheppards(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mrsSheppards(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mrsSheppards(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mrsSheppards(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ms Madi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ms+Madi
  static TextStyle msMadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c15d79c8f570fc41ba1007b1976bde2828e53614e3ed642b0af06c4eb070a893',
        95452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MsMadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ms Madi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ms+Madi
  static TextTheme msMadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.msMadi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.msMadi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.msMadi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.msMadi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.msMadi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.msMadi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.msMadi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.msMadi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.msMadi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.msMadi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.msMadi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.msMadi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.msMadi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.msMadi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.msMadi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextStyle mukta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd054431206c9866bfdfa083aaab8ab02589516b9a8780cfebff5bcb695c92176',
        292048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19bfbe0d8521cc237bcc2ca59e105bb5221fad9ba0eeb7d7c332a315abb59878',
        288812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb9386c8bb8b1fdd738dfc634390e28f415d2a51f5db08a4d4466d11c5eb81ca',
        292960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1292fcd0ff25630d9a0d4c344ad4313524bd27ead1c08ebd9c4ed5a13359558',
        286752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58487998f9b73bdd83d93018f14d65790b13fef8c22e96a68fb7f5cb36b38040',
        282580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42e3d20c366d1cae833abc4ffa884e2167e4846690e8f0725ffb9b04b0a82fb1',
        284164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2db69b5f3aa97d5a166f1aba06428400c5dc2983de91e72665f64d931a72014',
        283888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mukta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextTheme muktaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mukta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mukta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mukta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mukta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mukta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mukta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mukta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mukta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mukta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mukta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mukta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mukta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mukta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mukta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mukta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextStyle muktaMahee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0871c29b49fde1e4cb88d32e00b1889fc0cdcaf44cdde1effe75ef61a6ff538',
        118692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22cf56c7c7a7117b435aac46e4d7188561c32dba80006a41384174781bf17979',
        117756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb2f13dbb66926acf753e68f3293650d770a2699060e39a6a0d294792936d617',
        120008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5dbe3c8fa43132522a4100f2a13fb9ba2e1ec1dfeb73eb98362723f30210edf',
        116448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24040d912fbaf28b762e873fbe3a51285680d47702efa825881fd8cc2f017bc9',
        116180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7276b31c4e8cb9fce9add92adb33b59d1fcea5b04349b362085520424990bb9',
        116520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b40a166bbab438a30467e3f354a71047ab69bf57696cd6fb9bdc719cd84f095a',
        116288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMahee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextTheme muktaMaheeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.muktaMahee(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.muktaMahee(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.muktaMahee(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.muktaMahee(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.muktaMahee(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.muktaMahee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.muktaMahee(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.muktaMahee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.muktaMahee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.muktaMahee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.muktaMahee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.muktaMahee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.muktaMahee(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.muktaMahee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.muktaMahee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextStyle muktaMalar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8d6692feb9aaced43e8e1e84f7bb519244a3a8df677498efebec0f317a67726',
        135256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed32ffc4383d437cacae095cf7caa5a2dcb165000962c61983da0b4e787e5ade',
        134292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a56b4621b82c1482e38a72403cb4399545aa59653042b01e34df08a380542e97',
        136540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b776252fc2124e27580cbe3afd4c3d3376a7e0f21dbc152a3a12f0cc15fc95a',
        132828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bcb8006796590dafafde68ab3a6a81532ae2c439bcbc27b871a1da4050ec71e',
        132844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16ebf60380b9fec07b7898fff10b017d3ef53dd8a9f314ca1e9f6a184618d1e0',
        133168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbb2945a1ec58b2c09a366d43855970662bf2e029171e8a36842e42aef2838e6',
        133520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMalar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextTheme muktaMalarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.muktaMalar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.muktaMalar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.muktaMalar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.muktaMalar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.muktaMalar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.muktaMalar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.muktaMalar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.muktaMalar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.muktaMalar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.muktaMalar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.muktaMalar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.muktaMalar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.muktaMalar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.muktaMalar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.muktaMalar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextStyle muktaVaani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eb1523a117624d4dd42a592f2233691bcbf88ed94ff3cddde0e97981dc0d907',
        319568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd7363eca7da62f426163fe8a1ee26b859156b50dc38e8bdbc6824155fede72c',
        323308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '135cd622088ee6ab3d9c86da49aa70bc01957c180e491db27780a3de335a5bb7',
        316912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b94ac054cddf4fbf34b2f6f1bb58cd17754fcc17236884b11a29358ea1c11446',
        322084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a9961793b69f1d949b4d2afb84a6c85e9c862af8a6eaff6ec5edcd60d126d9e',
        320284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6767c2e83821b1add71c9761808480c87bd0816275d156ffeb23f930626fdb3e',
        320380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4232bbe2ce6dc4e4dc08e433e47b0fe6ab5eea9f6772d573619375c79f32da41',
        317952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaVaani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextTheme muktaVaaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.muktaVaani(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.muktaVaani(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.muktaVaani(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.muktaVaani(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.muktaVaani(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.muktaVaani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.muktaVaani(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.muktaVaani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.muktaVaani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.muktaVaani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.muktaVaani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.muktaVaani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.muktaVaani(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.muktaVaani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.muktaVaani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mulish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextStyle mulish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44eb4d0466862801a21b5aca0dafdc392984b502d22a1669054ae1181ec7d2e3',
        103212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ef153c520961facc82d7883e29c160cc0f315e6680040a7477ec2b66146ab7b',
        103392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f3dea5d5759e3fc66fff53cede51b0d239fe7e0ce782620f0cf35b8021cdfa',
        103340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f80657fdc1d7e2327ca1efd5d33dae56c5360787d35d90507f639a4e8996071e',
        103392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6505f7f93d8822cbe29b396d004f686af4352742e3192a1af1621e7c41f2576a',
        103336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a853a5ecb18a92a26e14a0b94d06dc1e3839bd2b36fb85aaec682d2c7861bf',
        103380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dc16f3b5e8cb8c203737172bfdf13828b1d6a503c29fc62ef0885cc15e3a15d',
        103368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36d428cd9363476483a8a4d10289e77954fdfe1d178ca00758cfc234d464fb89',
        103400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77bbe89e1cc4b17dd3aabe98eed507e759b8385c48f3ec70a7e4ac80a1f0bb15',
        106456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f432f2f66bd79eb682f26b1a5a0e44713d3c3975d626d225fe56a708f2dfe48',
        106628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd9c3e7c210faaf50943d9a330362a767602d687c7d34e169a6224c39d59fd106',
        106480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53354a5c5cd5357eef06dd8f5ddb78c83fc8e4742854aa56ddb914dc61e19248',
        106604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88196a06374a30602c18aaff2964f6fe42e35e6717b625e0f493b9992eae6816',
        106572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '127040422d0cd79ab7b9ee4446ff703cb6f67e68d9c457f8f46e34bee1f18166',
        106696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f36c352466dca8834367d7f8522b8700b007da07e406cae92a0248e0356d4613',
        106716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e381df4bf20312cb7fe001dc8d87c8c0067f7b371d286239cf787396517e66e',
        106644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mulish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mulish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextTheme mulishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mulish(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mulish(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mulish(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mulish(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mulish(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mulish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mulish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mulish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mulish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mulish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mulish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mulish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mulish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mulish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mulish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Murecho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextStyle murecho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99fce001ad99a3fd3fe6eb501d0d13d4238b864a46ba618d2bdc2b15c367c999',
        884284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '667bf46d901fa5bd26e7a30cee467ca1884373f0426a0065efd3c923fb7e6d9a',
        885008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59133ddf647631bdf68b57b0cc35dc023ffbd645b3bcf47d987fe36e9f87037c',
        884696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c38582f9b1f991e8198c4e1aaf4ceecb19b9ef54c4f74480d22af51a398b284',
        884372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5661f53b0441ec0b26c5def11e6fa502ae08c185a2cff064d57bcb886a5ed054',
        883616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa8ca0b566d334ad51015e31404cc8decff4a4ac0123ee8a8a797c98ac5db7bd',
        883312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50119fc9cf6fbdc5f070307cfd34ea539ed2360f6272a7d6887068654373d634',
        882832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0257c58ada90f6047975f1a0029f4cd08fdfc33cae74b3da1a4a23e714dc2b9d',
        882532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '959adbc6dc1ee63a9ce1a6a43471bd8839df223b8d5fba8f79d4f818752cb1e5',
        882096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Murecho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Murecho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextTheme murechoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.murecho(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.murecho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.murecho(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.murecho(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.murecho(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.murecho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.murecho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.murecho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.murecho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.murecho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.murecho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.murecho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.murecho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.murecho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.murecho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextStyle museoModerno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfc26444870dc50455d55bf0bc035c901f71823a0e13b223e68f56c20fdd73dd',
        54984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7783795416198cd6b061a1cd6006cf487ff1ca76e6cb1d29854ec2747aa89467',
        54992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbc9175af1b28c60834c144251539103c82e692dcaab7a96169c5ddea9bfc5d8',
        54948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f7bb754782416f17d94cbf4cc0fb9f50be8fa23a5a0521b80cae62940c04e09',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fcba001ba46f6529c38d41bc82bfc0e18d15b3f0cbdc9a3c8e7aabdfce7f8af',
        54892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95eef099c2027ba04002593e404cf48b6ed20e171538f4862dbff816234bd870',
        54904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20543c9c60c22c07f781c46e66eb9448771213b4d1df14efb3b5462d8851a008',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a102367a7bcc15711a59e6d4d9b5c3964e164723e87e50aae0d874209f3986c7',
        54900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f4c190e64197310794e675e0fa155b77f971c7f9169c9079fa9c94b36184767',
        54844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15a3f5b2c6c3583ae335511defb1f557c8c5a9f33d095f86cd6f9dc19464f242',
        64524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a925472a113107c4ba9a80b88e8341dbf29df364159180beb54799b0bcc0aee3',
        64728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0d18f8f5f718e99ac8c3d6e0db33d768aa14befb2b9afe46d683d864d1dbaa3',
        64744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '257f51c72c434ea2e81d403f22186107cf7b3b8ebad1e056a1fbcb3f2fe16686',
        64588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ec5584506c37ada7c6fc6ea2f1bbffd715307cbe40feccc9eca0dcabc16c340',
        64732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8fc896339f99468f07b841c3d8c9ac6580ad63aa7cedc21b52d066c34a17542',
        64712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '98f7a36b06e35519919b5b81f1e70f2e9bb517c2bb2c6d99a3123b4a3ef4895b',
        64700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12932c7849514cc4f9b6c95005335bddb30a7f1b0244eca76ffab9fe38ab20ce',
        64700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f456b3d6b9f833df1210385a04bb78572af3f2a6b85ded07d30eb1be09c5c6ec',
        64596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuseoModerno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextTheme museoModernoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.museoModerno(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.museoModerno(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.museoModerno(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.museoModerno(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.museoModerno(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.museoModerno(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.museoModerno(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.museoModerno(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.museoModerno(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.museoModerno(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.museoModerno(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.museoModerno(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.museoModerno(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.museoModerno(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.museoModerno(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the My Soul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/My+Soul
  static TextStyle mySoul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6f6c5890808796329739d5922f54659c6b0062445139d637acfad75d20f4785',
        100612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MySoul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the My Soul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/My+Soul
  static TextTheme mySoulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mySoul(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.mySoul(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mySoul(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.mySoul(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.mySoul(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.mySoul(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mySoul(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mySoul(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mySoul(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mySoul(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mySoul(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mySoul(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mySoul(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mySoul(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mySoul(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextStyle mysteryQuest({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edb020d290543d608a6f8c488e694b9b5ada227c5c78b7036676f7645d6687b9',
        39812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MysteryQuest',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextTheme mysteryQuestTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.mysteryQuest(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.mysteryQuest(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.mysteryQuest(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.mysteryQuest(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.mysteryQuest(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.mysteryQuest(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.mysteryQuest(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.mysteryQuest(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.mysteryQuest(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.mysteryQuest(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.mysteryQuest(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.mysteryQuest(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the NTR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextStyle ntr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75efad0d100ac06d38185bcc4a942c9b9f5dd219227e3486c0967a67eec5bdf3',
        195260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NTR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the NTR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextTheme ntrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ntr(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ntr(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ntr(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ntr(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ntr(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ntr(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ntr(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ntr(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ntr(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ntr(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ntr(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ntr(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ntr(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ntr(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ntr(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nabla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nabla
  static TextStyle nabla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f49b5299d84dd6c2191a00fda701356a4bd0b15e01390badbf64bf8b1a271d0d',
        1441836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nabla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nabla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nabla
  static TextTheme nablaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nabla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nabla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nabla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nabla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nabla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nabla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nabla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nabla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nabla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nabla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nabla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nabla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nabla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nabla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nabla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextStyle nanumBrushScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8203290cda33de2f64480b695006a1132a04d55dd94cf421e0fc4e8b45dcdfd4',
        2740064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumBrushScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextTheme nanumBrushScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumBrushScript(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumBrushScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumBrushScript(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.nanumBrushScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumBrushScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextStyle nanumGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384554f92bd4d754bd8750f8885c456c5264d6814731376178dd0727fcf2d98c',
        2879864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66257cb7dbb7d38dd5d9b0c7a1f9df7ae828f4a2a79a37070603405220e9f32b',
        2891140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '560717e4c667f1bdf58f6426ef133e74637eb3c1868feff814bb8a5b707e6880',
        2951544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextTheme nanumGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nanumGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumGothic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nanumGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nanumGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nanumGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextStyle nanumGothicCoding({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138988e0fd6fd8f224071be2ae8819dccbac2c5cc864a10738e3729add92bff7',
        1432596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e508c880cc5777002ada1fb069e7263c37351353018bd91b9159796f4b07ea61',
        1458728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothicCoding',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextTheme nanumGothicCodingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.nanumGothicCoding(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextStyle nanumMyeongjo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49692dfdd96d14451d2d587fe44d08d2eb6a322bd051b968778e8e827294c377',
        2167668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4bb4ddf8c1633217f5cf7548dd4488d0a3ebcd539ef562e2c61d1903282de9c',
        2241272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74e88e02ceb7e7bd1bc2c12f2baa96b423bb98482abbc6185495d8ab6962a352',
        2293712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumMyeongjo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextTheme nanumMyeongjoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumMyeongjo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumMyeongjo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nanumMyeongjo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumMyeongjo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumMyeongjo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nanumMyeongjo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumMyeongjo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextStyle nanumPenScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f149a311829ac3edfd81a802effced9cb8a9cad047ef1cc7d57a29ac7f7491a1',
        2533592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumPenScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextTheme nanumPenScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nanumPenScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nanumPenScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nanumPenScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nanumPenScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nanumPenScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nanumPenScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nanumPenScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nanumPenScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nanumPenScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nanumPenScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nanumPenScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nanumPenScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nanumPenScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nanumPenScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nanumPenScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neonderthaw font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neonderthaw
  static TextStyle neonderthaw({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f677c5d5a558cea02360fa74dfeb92f2deaf067d6c8f6e2fb2caf6a47a0708bf',
        168352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neonderthaw',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neonderthaw font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neonderthaw
  static TextTheme neonderthawTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.neonderthaw(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.neonderthaw(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.neonderthaw(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.neonderthaw(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.neonderthaw(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.neonderthaw(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.neonderthaw(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.neonderthaw(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.neonderthaw(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.neonderthaw(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.neonderthaw(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.neonderthaw(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.neonderthaw(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.neonderthaw(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.neonderthaw(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nerko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextStyle nerkoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d9663676c7096ef74fcbb5bf975fd754369179500f796d982f63d81ded96319',
        102004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NerkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nerko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextTheme nerkoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nerkoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nerkoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nerkoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nerkoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nerkoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nerkoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nerkoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nerkoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nerkoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nerkoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nerkoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nerkoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nerkoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nerkoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nerkoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neucha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextStyle neucha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56c99d50e2731deb4c26c6f90f6d491c3fb40e911aab1f378a75bc9776501f5',
        40164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neucha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neucha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextTheme neuchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.neucha(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.neucha(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.neucha(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.neucha(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.neucha(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.neucha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.neucha(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.neucha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.neucha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.neucha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.neucha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.neucha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.neucha(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.neucha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.neucha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Neuton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextStyle neuton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfb2dd654021b74c926f17bdea3363b03b0dd74fb8c564a3032ebc80c51a42f4',
        22492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '318dd8368b289cb5b1cab6ce28f85d2b96b9a35a2e1fa135a292c22fac2bd9ff',
        22340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f448080f5fc5b4e0ef83815c00b16175a72dccdd41149368eca0fe1317382792',
        27636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc288e2748d77d6336e4edb86b16d1ee35f6d90d9b8a35784e09eb84562b0c71',
        24156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0625a01c79a223d1c46e031aef31f818ad9f460681dd4f168454723b50fc53e6',
        23784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e5e9f06305d0903322b78e95fb13291fd5049e834658113cf94cdb33516e47c',
        23444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neuton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neuton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextTheme neutonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.neuton(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.neuton(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.neuton(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.neuton(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.neuton(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.neuton(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.neuton(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.neuton(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.neuton(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.neuton(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.neuton(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.neuton(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.neuton(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.neuton(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.neuton(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the New Rocker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextStyle newRocker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '584fbb6ddc084a3cf8c7dde9a333e11adf3da865f332d48991655a950738f46e',
        121920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewRocker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Rocker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextTheme newRockerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newRocker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newRocker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newRocker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newRocker(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newRocker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newRocker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newRocker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newRocker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newRocker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newRocker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newRocker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newRocker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newRocker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newRocker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newRocker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextStyle newTegomin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d635a4defed40130ae791c1a060aa0c612ead29d6d89e74dd96c7ddce590bc2',
        7447024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewTegomin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextTheme newTegominTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newTegomin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newTegomin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newTegomin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newTegomin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newTegomin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newTegomin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newTegomin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newTegomin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newTegomin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newTegomin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newTegomin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newTegomin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newTegomin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newTegomin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newTegomin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the News Cycle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextStyle newsCycle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c8a6299935a4a23b802f1aa5202546cd1d2fc257e319edf06c5e3da18fe92e8',
        177388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca7cecca2c65ce4c6bf46c78d20e8c1c1542024d5b100b04bdc00fc171a882eb',
        59488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewsCycle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the News Cycle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextTheme newsCycleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newsCycle(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newsCycle(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newsCycle(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newsCycle(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newsCycle(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newsCycle(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newsCycle(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newsCycle(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newsCycle(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newsCycle(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newsCycle(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newsCycle(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newsCycle(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newsCycle(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newsCycle(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Newsreader font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Newsreader
  static TextStyle newsreader({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8010516b35deae6b38dd2e00465da5ef812d4e6ee1a57e4c8fe8ae632df4fc00',
        110640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0b62a2a60d23804faeb08938fcdc32c502d59b5e7bc8dbecac809956d2920f6',
        110924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb1d20827484e0f138ad94da483464d6b174c38fe9c7e737d778d1a86bfd7068',
        110996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd95da69ed1c99245977ad62c3c5a51d058935f64e236f74817aa565164e56956',
        111536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65d3c1d0915b2ab3d14e625025001553a4e72db8f8373d5c8577c27c0483de86',
        111576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9060d309c94b9a4e0dda8671e96e810dc8cb1437853694ff58409c3f291edaac',
        111492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f024c1fd12a938f0abe289a1fefd45403a68594a15bd247c027988a9147397c',
        111488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5969620008a54d3eb6dc897be221e9f0c007c41979938397cdea2a215df2028f',
        121976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4169ef9d78482376f62e46f6c7aa010603fc4800d9bfa6a747e239c566a7e8d7',
        122104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a0bbdb1ea905c6c2998a81071d44568df6a40c810cf7a7a645d73c6b341fec61',
        121580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f97cb18a0f2a25436ac6ddc801537a8babe4466fa5bda3a2aa85afdba8929ab0',
        121908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'caecb02499dc36f7bff48a8bab0aafa82fbc5cefab9db625a320cc534f196bcf',
        122092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c91edfbcc749f5e035065be9729aba165564f8e0eb8abfcdc220fe1064744db',
        122092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58b9728cab89ad93c876dbda9f94e1564c89ed52f7b79664bf2d8e77f3c95a9d',
        121992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Newsreader',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Newsreader font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Newsreader
  static TextTheme newsreaderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.newsreader(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.newsreader(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.newsreader(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.newsreader(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.newsreader(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.newsreader(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.newsreader(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.newsreader(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.newsreader(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.newsreader(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.newsreader(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.newsreader(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.newsreader(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.newsreader(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.newsreader(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Niconne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextStyle niconne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e7ae6eb882a3a1b8f79978f6abdc7fd8efac27f8924182bd55cfd68365033e4',
        41456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niconne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niconne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextTheme niconneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.niconne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.niconne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.niconne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.niconne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.niconne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.niconne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.niconne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.niconne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.niconne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.niconne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.niconne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.niconne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.niconne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.niconne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.niconne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Niramit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextStyle niramit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed63ac26196d5c264153fcc115294828419e899e5fcfc0614dfee3b63bb0ee69',
        89528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a26007da3aa227e6ea58d3bdf7a396afb437888debe403de97af653b5a1a4679',
        92352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3134966cfc0cb894d6e7f1a12e1daf1827bd184a3f3f66859b5047c7c2cbddbe',
        89344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4f5b469110ed6775f9e44bd6c7cef029e0a1e2e5b312b80fc031c66e3c8cfe5',
        91988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a268e1da7107a4e0eef31f952b1aaf133e17adb5139156ec906a10e95b406c33',
        89224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7236a14adbca28d36e947beac5acc3cd7371010bafb12e55202773367fb691',
        91860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd31739ad592cfad2dee165e5fdd9bcbdd73f80eb0a445dc6a3c1d4e33dded9ab',
        89172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66f87031bb39a217a51a60cbfb72b98f06c118434ed71ec8d812ed8d720efe92',
        91624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '830dec96589fbb4b1cddbbcaf3b253fd9bd87d0d6698605766706c90846130c3',
        89112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2deebb9c6f8b1bc453f199de39c0e207f9bc2d30e844c5dec5edb1215767f934',
        91760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b30ec8f79dd957f2f830869b8b0f0a6ca66569834b5750ec757ef82f4cbe9ad',
        89328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a03dab539bdf1521767d51c32b68f396d2a5b5e845e2c2b7fb8deeb39c496cc',
        91772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niramit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niramit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextTheme niramitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.niramit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.niramit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.niramit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.niramit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.niramit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.niramit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.niramit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.niramit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.niramit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.niramit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.niramit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.niramit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.niramit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.niramit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.niramit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nixie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextStyle nixieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b46ee55f5dd908d16f21e63433c6d3553618c88c3797688d2a9558575973d66f',
        50900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NixieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nixie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextTheme nixieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nixieOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nixieOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nixieOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nixieOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nixieOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nixieOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nixieOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nixieOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nixieOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nixieOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nixieOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nixieOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nixieOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nixieOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nixieOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nobile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextStyle nobile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2227947da6f488c1ef4fcabc8a556eb807d44b28b03fbdc42c4e87e19cda808',
        32420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8e5358281a233e3cf74c81c46a90b87a345818a99796b85d89d28c6ddb1ba1d',
        41368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '756ae5cf536c15ca97917892086bf8ebe5051830712e0036ab6cf7b708366f6f',
        36196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4bef821520c7f13d5112ecf986c0c33bf6f7829c90bae221c3631357cec726e7',
        41312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '090770c00ff48f8a7240e284a62690a2995f884d2d0ef7d939753fa7919c5234',
        31652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '628371d0bf26e91d0d5872980907ce7b420a69c87049400ce4fc36eea55a0105',
        41448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nobile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nobile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextTheme nobileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nobile(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nobile(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nobile(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nobile(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nobile(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nobile(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nobile(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nobile(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nobile(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nobile(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nobile(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nobile(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nobile(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nobile(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nobile(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nokora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nokora
  static TextStyle nokora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73fc01c7c59d0cf17efc538be65ae11bbb3bc07788d3317571c152bf76f713c3',
        33084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66081a8b50dfe136b6b60c8dbbc062ea33121bdc6d9af2e1e86a14145b277374',
        32028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2006cbb942776b3eed98b61fb710bc740daa4e2fb8893e522f5f05373bf205a2',
        33604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '962d86d3e4a1b24f27db28d0030fed3de2655de7f1f595610e43560662c1f032',
        32948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '706fc9970bcb8f83a837092142f056d7c58dbae61b4c33420e9055a89da980b7',
        33004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nokora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nokora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nokora
  static TextTheme nokoraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nokora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nokora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nokora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nokora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nokora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nokora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nokora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nokora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nokora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nokora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nokora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nokora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nokora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nokora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nokora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Norican font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextStyle norican({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dff2380d6bb89e82464656d44616895736da33e6f9c5c5c5af0d2d56754fee2',
        43456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Norican',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Norican font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextTheme noricanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.norican(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.norican(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.norican(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.norican(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.norican(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.norican(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.norican(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.norican(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.norican(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.norican(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.norican(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.norican(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.norican(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.norican(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.norican(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nosifer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextStyle nosifer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51f2ff64324f9bfb46f8b6a33e7d14e4b653d11acbbb343a168aedf016b5f846',
        41152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nosifer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nosifer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextTheme nosiferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nosifer(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nosifer(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nosifer(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nosifer(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nosifer(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nosifer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nosifer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nosifer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nosifer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nosifer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nosifer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nosifer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nosifer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nosifer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nosifer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Notable font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextStyle notable({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fa7af35d5805dd738d17de5e17895d6868f7b4320ee55fa7ee5de02e49c0a51',
        24588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Notable',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Notable font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextTheme notableTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notable(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notable(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notable(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notable(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notable(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notable(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notable(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notable(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notable(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notable(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notable(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notable(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notable(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notable(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notable(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextStyle nothingYouCouldDo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a41f6c0adff3f36a5b115b837a4565bd55f338ef9f7b864672066d063d05aa6',
        31648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NothingYouCouldDo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextTheme nothingYouCouldDoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.nothingYouCouldDo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextStyle noticiaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a6b0624004ff6f56f2f1113f003ed60720ca8b68025b6bafed6eed114440d9b',
        61616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a46a8d57965e4563a06bd3819575df42a02f47b861ccfb0aa66ad05d67e28194',
        62980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dc31f473cda60b764d6f694778479b4dbcb97ad540b8e5dc12ed01c1c04833b',
        60756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a50238388b7e42bd69c9bc67fb426e8e35afeb5fce0f35bf8875b9b9c230ff05',
        61952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NoticiaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextTheme noticiaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.noticiaText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.noticiaText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.noticiaText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.noticiaText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.noticiaText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.noticiaText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.noticiaText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.noticiaText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.noticiaText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.noticiaText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.noticiaText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.noticiaText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.noticiaText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.noticiaText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.noticiaText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Color Emoji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji
  static TextStyle notoColorEmoji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c93f34c9bae6966eb1c7cf84556eba3cbc12f33085f594901c4fa1b08283da0',
        23745556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoColorEmoji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Color Emoji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji
  static TextTheme notoColorEmojiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoColorEmoji(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoColorEmoji(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoColorEmoji(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoColorEmoji(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoColorEmoji(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoColorEmoji(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoColorEmoji(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoColorEmoji(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoColorEmoji(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoColorEmoji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Emoji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Emoji
  static TextStyle notoEmoji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b388501bc5b0c19b2223fb7b2b370eef3921725d2d2836d113a003bc0cc8bb43',
        877996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6e453ddadd71cd2c582a708716c550eb005e0701646da18ec8396c613a2a1e8',
        877988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9af7560b10d77bc4fb61df8fc926ab9b83ea002a352b6d68c329298c3b721ab3',
        878172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c1973531a6820240b1db4eaf5b2fb12048b59a8a14bc02469056de551d65fcb',
        878024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10abb263012a258b6e59e40179245937c0017f611ef1fafde6f58946b521f56d',
        876524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoEmoji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Emoji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Emoji
  static TextTheme notoEmojiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoEmoji(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoEmoji(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoEmoji(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoEmoji(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoEmoji(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoEmoji(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoEmoji(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoEmoji(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoEmoji(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoEmoji(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoEmoji(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoEmoji(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoEmoji(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoEmoji(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoEmoji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextStyle notoKufiArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc28cfe6811b1e2ef7db2ff7441d3f62aa97b3dac56db60486affd35482a4736',
        119028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a8980326a2c257af05cb1d6c433c6bcc277220d94b59bebba2d7f56f97329c1',
        119596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04ec3c831d4bb771d458bafdea1d01cc4466bf38939b850e9588e0adf926f5ba',
        119508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ecae1c3b24982df44d0adbae035a6c3b1dadfbecfc76c538da52adbb1c94a6e',
        118252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98cef88bb0e97544aa86507502fd45e80d3fb21e9e2486e8174c3144424da041',
        119052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e88c01f7d6cc52740fc046ccd3f48f338187b2c459f89a12983a232e25957cf',
        119144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7837e96bd145605717f6e2de683f2b98e2d7310792dd58a79f911fb0f024eb1e',
        118328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '792e50d2ccb0a3d16b58b898702494dd0ad64a3fdbaad10bd75f4b5e04f9870a',
        119904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9488042c77f01ba45d0dfbd1bb02a6c9c45442016803dd57cfe2436f58c1965f',
        119764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoKufiArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextTheme notoKufiArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoKufiArabic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoKufiArabic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoKufiArabic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoKufiArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoKufiArabic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoKufiArabic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoKufiArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Music font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextStyle notoMusic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0c3c9a24908f253e35735b00f5892d999d6cda80c6dcef86a7b128eb5e12e1a',
        113672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoMusic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Music font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextTheme notoMusicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoMusic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoMusic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoMusic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoMusic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoMusic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoMusic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoMusic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoMusic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoMusic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoMusic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoMusic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoMusic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoMusic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoMusic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoMusic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextStyle notoNaskhArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7087a4fc459f24c24feee09aca412e5562d68fb0a4b6a419860587f5583a5a7',
        128180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cec2ddf187b0a1185f06e9641acdae61d4b37d60bbc04c1e89acaa683ec66fea',
        128740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc49bd4fc3913004f9d31d9cb19529e0f22b37deb76e1141044b0dda73bde686',
        128696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c321e6a5d0bd6ac6e90fd7782e88434e2afd882be487cb944ccc75b319cdd72f',
        128376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNaskhArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextTheme notoNaskhArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoNaskhArabic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoNaskhArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoNaskhArabic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoNaskhArabic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoNaskhArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextStyle notoNastaliqUrdu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14fb20eda3ed4681fdbeb5cdd60bd13e5715e3ab7a8f2537ef53fe1c93e036d3',
        528128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '578533e0ba56a0f3272798116d1af2eb4081ccd24a29e3e20360e39dd177d396',
        530056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '333c1ac77d987ef06872831e5b7f66dbedaf5d8e24da55658d362ce500b0be60',
        529964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a91f754c6c759fed51db30039007530e6fda80a33a454d8201c6987c38bbb91',
        528988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNastaliqUrdu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextTheme notoNastaliqUrduTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextStyle notoRashiHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47f37d55a4bca6c15e7c46472f790efdac427221ab2c5cdd42eccdb21dbac62b',
        47460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6b6a68a0f713f701949899fcc691c932f4ccd9fcf2781c6859dd5ffca764869',
        47520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fabd8380ecd53ecf429fbb3104355237203fd73643ba001db4a77e8e280f0deb',
        47500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0b7f60df6a081cb1f420f6ed2646446370fe11de72ee9274f63f01f31b6ad07',
        47492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6f8626de67c214e70f30b84c79d7321a5cae2f3c44a1f30e569ef6fe9f0534',
        47512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96008cf552800a34dec121a3e71f8fbaa88db281a32ceeee130454a623301dea',
        47552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a022aa9d785fd19b529a06106e7c33e78677ddfd1916701c76f356e23234bee',
        47516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6adce9076554d364ce3fb5c48a19da480d08ecb5cd385d6786e57377d9c2d309',
        47596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1de8386872e37f0430244fd49abfc5565a6739c2219a929dfbad521b1ad0eba8',
        47496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoRashiHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextTheme notoRashiHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoRashiHebrew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoRashiHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoRashiHebrew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoRashiHebrew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoRashiHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextStyle notoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11003808709f190eb026564f43f00a1cc6b10735f271cb10c770b9a8b9f9d459',
        498864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '982692716d94dc95171233e1a919f59858b11f72d30a9f2fc6aaaee637a6e61e',
        348744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8aa4e24a8e98829ca02198cea79199710f3725b48914c0798d5f66fc43db9b0e',
        496580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6788c95f256cf1b5b9cd2e2c6bb4d8e7e601f7a09b595ff981827b05b90a3b5',
        346996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c78a7dfc15e83c8fd2791f4e78363488d9c3b003fa1f49eb9d69f3bca08b0a4e',
        492416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ae63aa88fdc6d6adeafd848ab763454276a86383cfad58d8285aff73a484aac',
        345012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c1661f6a9a227f31867ac2e3d3c5bede223077c546d2cd03fb342629e2eebef',
        493756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'af265964aae91b01190a8267843cbf56c256aa85fde7bd343951850070418e6c',
        343720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf1c1e2a090af5cfceab46767e6ad1f6f9c535148edb48947f178667f4b46eec',
        492856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a3edc44a0e5873dcd0a958d8abb3ce68ae215d56d763880fff33c34cac660f9f',
        342656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e77d947ccdc4e1f77f4e71345dae58a6912371acf4537d8a39501c442162b5c',
        494364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6d65ed37f13d7a92b9e110c6be2f3788afaff2262d2514a8cec66930d75bd584',
        341316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b50c4673878c2b86ac991a1d4aaac461712b0b1e1495b77efba503675bfc6df7',
        494836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cbe64e59514aa5e599fe72e681a485f9a428fbc2bd51e5a71cf94ebb7c2c8d64',
        341620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3b73c4eb995d0b66a9b7c478cda097dbdcd6682a9cc36a3dddba2df6909be23',
        494568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e188c5806e21963a705632e4933f35a661f79a5286f7e2f1a1ba37a209ee2d8b',
        341540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21f55a692b80d4eeff46a9b04b08a8c34c56e33ebd33b5f08d6dba866003cf61',
        494104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8cbd2edf7ed6591f66d1c5cff2dfbe4e853ea2fcac983aa767ad3a776abf27a',
        342916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextTheme notoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextStyle notoSansAdlam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed453bc243b34031c3a2461c31db01f87974f70601bdc5715f5ad1cd100bd6da',
        85004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcf323dc364cee67277541a620af0e2e56f39b21e3631d3cb982181b1c9feb5f',
        85052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aedf24019a3a23bc084be283f875e50896a01f2e8f681037cc18f2691fd8cdc',
        85064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fe27d153a8b9b466b3d13418d8254b07d178d8468d933595fab1f482fd302fd',
        84948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextTheme notoSansAdlamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansAdlam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansAdlam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansAdlam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansAdlam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansAdlam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansAdlam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansAdlam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextStyle notoSansAdlamUnjoined({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91809b621d0d1b10b0b8028935096c4880cea8009354ed0f1af4f913ef5984ec',
        48340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ed363dd1b26cb014c0b1fc5ec23167c4ceb343a17c95368896b80d8a73f2ed3',
        48388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84dfb443cd5ab2e3a4800072dde2d0774b9a3ca34eb53de2b973e0054b901066',
        48404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e8f0b6b11b05bc94486dcca9bae8bb4462f7119edc3a84b84bd142ac9ba9085',
        48304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlamUnjoined',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextTheme notoSansAdlamUnjoinedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansAdlamUnjoined(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextStyle notoSansAnatolianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b7fec31fcf1999c0ed4806c3a1ba64c7301926c597bd38181f8d744a7fe8a7e',
        227240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAnatolianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextTheme notoSansAnatolianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextStyle notoSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cf2614bfc2885011fd9d47b2bcc7e5a576b3e35d379d4301d8247683a680245',
        162152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cecf509869241973813ea04cf6c437ff1e571722fcd54e329880185baf750b19',
        162412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5219bd6425340861eb21a05d40d54da31875cb534dd128d5799b6b83674b9d1',
        162324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c2bf5bc8222800e2d8887c3af985f61d5803177bd92b355cb8bffa09c48862',
        161592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47f226b1505792703ac273600be1dbce8c3cc83cd1981b3db5ef15e0f09bdd8a',
        162156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '332c2d597ed4d1f4d1ed84ed493a341cf81515f5e4d392789a4764e084ff4f1f',
        162512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9235e0a73b449ef9a790df7bf5933644ede59c06099f7e96d8cda26c999641cd',
        162268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3614725eeafdb55d8eeabb81fb6fb294a807327fa01c2230b4e074f56922d0b5',
        162896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdbb85b809be063fb065f55b7226dc5161f4804795be56e007d7d3ce70208446',
        162668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextTheme notoSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansArabic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansArabic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansArabic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansArabic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansArabic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansArabic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansArabic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansArabic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansArabic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansArabic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansArabic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansArabic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansArabic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansArabic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansArabic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextStyle notoSansArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'deb510144ae85033edde6ff0d90df108331be18d41c3addf25ed697a378f821e',
        48684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d9a529a6b37d614a5a4f497989ffe5ee3f31da3976b035375f90f07b208516e',
        48740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a9d3f5fa3e8023b1f0a7e5c899c408959bc6c06565914d0a6bc400eb0b23970',
        48680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5059136932756522bb64196cde9b89f7e557ad4baf10a63a6a55b27790c53639',
        48648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72f0a1fcfe5f6e53339d0aef70cd5fd73fe3a4c6173d8bbcd96f510ae97fdc6a',
        48688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '645afd967e976540eab79d9dcc0a6ff41802141404a209d183013c281d25a488',
        48688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb3bf9d66799e42fdf020cf7620bb6859adc47ef9445d7dbf644c8b8a6a6e6d2',
        48608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c179cc2479bbc47f3dddfcfdead83c54a0661ff96150dc2ee7909ebc4f833cc4',
        48656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf273b2e6dc83784e64534bc0b8f2e695dc340e84c6464b6258af9fca468c80',
        48604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextTheme notoSansArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansArmenian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansArmenian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansArmenian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansArmenian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansArmenian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextStyle notoSansAvestan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab36efbf522c70d21897cb74db94e054d649962012d6972509fcb357bc0a027',
        40860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAvestan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextTheme notoSansAvestanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansAvestan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansAvestan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansAvestan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansAvestan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansAvestan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextStyle notoSansBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54b2b7c9aafb5f36f9685c0eb9b1aa6a18e1a24a4ae1574572c0ad783c798fb0',
        121876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9322c372b029b4ecb4ed581999db1cc0c9fbe0d5ca7883e204b266032eeeab7',
        122024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '306186ea8c214fb51ca766d82cde14b78faf10262cebaf5103970ea46ad8a5ae',
        122052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1afbd80b931b967942ce25a8578c75e4ee7bb8888ea6ae4e92f45df4811465d',
        121860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextTheme notoSansBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBalinese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBalinese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBalinese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBalinese(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBalinese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextStyle notoSansBamum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '872bdb35e8073b568d6ccb41647eda0b65c201af4338d7444735b80f316c5086',
        179836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab640ec58310d4b76a983120db6e0446a08f1616d01df08a85dafe1281497ca',
        179840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2978eac489bcf4a1937179eaabc9b747b1089d79d2b6bb5b6c2ea04f88d9aea',
        179880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '533dde8b1fa42831c0f8e53dfcdc3e58727f2d5ed99561f95918ff72423fef88',
        179840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBamum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextTheme notoSansBamumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBamum(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBamum(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBamum(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBamum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBamum(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBamum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBamum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBamum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBamum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBamum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBamum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBamum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBamum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBamum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBamum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextStyle notoSansBassaVah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f9e562c3e86e11eeb7176930bfae4799df88667028bed4e1e69d02e1ce9ef69',
        39520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '383e7b57d7bc5f4005b409269e58461dbde05e809707f7704a589ce540d133be',
        39564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2d586d228c63817965b39e54225217966b079c34b3945a1afb2fdd55f22f5c',
        39568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe49bb4acd437be8876059db3c0de64b9f0b95c9741c2afea6f8e1c201c0fb34',
        39472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBassaVah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextTheme notoSansBassaVahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBassaVah(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBassaVah(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBassaVah(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBassaVah(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBassaVah(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextStyle notoSansBatak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '991967bb6bb52a6fa8f7f86dd62741d8d6750116db42786e1f6b5960fa6a0f08',
        49860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBatak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextTheme notoSansBatakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBatak(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBatak(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBatak(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBatak(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBatak(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBatak(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBatak(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBatak(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBatak(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBatak(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBatak(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBatak(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBatak(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBatak(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBatak(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextStyle notoSansBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2ddda5349f79c00e75045a96ad9c4fbbd48c37c953a58de151ce2feace96db',
        166560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b58df7ab4fa7bffd0a2e94e0828abf0d8154ea4deb4ecb1ad53896af34bfe506',
        166784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '076702a4afeff1b6a7ef465887bfa9a92c8385a24f0be50bc786f4202d5e78ef',
        166812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3dc6b3e4b19e7f42df44e0f70c8ab3274294f3b409c90ef12a67ed8e965a0aa',
        166544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14be02597af57bd3506d510f7352c9873dbac03f9f44c9c3aec6973d920b651e',
        166856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36eea003bd6914f7db6cc6fbfc1d41986fec5fc6b1db0cf32a21086304ca148a',
        166960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdc459ab686d4a03d3ac6c028afb1ba565ec5300210ddf75eb312a81bc9aff5a',
        166716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba286dec7ae14fbb8b05a02ba50b50ff5633ed4c4792d9221d6ac1d338b7edf',
        166940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00e435b491d401949e5f44c406dc354069d34da6031528ce2f098bf93c66f880',
        166872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextTheme notoSansBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBengali(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBengali(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBengali(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBengali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBengali(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBengali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBengali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBengali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBengali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBengali(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBengali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBengali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextStyle notoSansBhaiksuki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c50262a44c9cccdb6dfd6c4a569f0ab1250449d4d3ec28ae629aa6f1c9588f3',
        246156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBhaiksuki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextTheme notoSansBhaiksukiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextStyle notoSansBrahmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac833cf856e3f461dacd1f9f4dbd05cfac3270402d1907c2b0a241ac68b44231',
        40808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBrahmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextTheme notoSansBrahmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBrahmi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBrahmi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBrahmi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBrahmi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBrahmi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBrahmi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBrahmi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextStyle notoSansBuginese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c214ce5da43002f5485055e84fa7252c33548041e666578a659907b442c61bf',
        35296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuginese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextTheme notoSansBugineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBuginese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBuginese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBuginese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansBuginese(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBuginese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextStyle notoSansBuhid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb96d0ba7d70370cf957dfbb8c05cd0ad0a2d77e106ec896b5953eb8c7d3894b',
        29928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuhid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextTheme notoSansBuhidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansBuhid(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansBuhid(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansBuhid(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansBuhid(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansBuhid(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansBuhid(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansBuhid(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextStyle notoSansCanadianAboriginal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43f517feff85a58521d2b425991508871657199a7321de6f721f9639b3b1ba17',
        97236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c5e86d277527876e00b8600a038f29d494d07bb596a19c33e6eee9bf1210ada',
        97264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f89d46ad494cd21569c02f991a4ad29f4d841cb7e4a766dd2ac8a44114c06dd',
        97228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '061fa995adf32e5bdff476124d211b59bfa6f6de8f2882cfb9ff5d3dca9f4337',
        97144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'adc409d3458e2e20a399c74c30f2fe996fa23d0d0e96cc7e8f59d9e77772f4c8',
        97160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0e7442600fe41bfb94c99ae53f14a69b86344811d88022d6440f75e77b375a6',
        97104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56be60a55fd6c02705ff94b149b99052e02019292a0440b39ff585b103cd34f',
        97024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bda0a5fb866823a969b8b95631f02e7737a2ebc5fdadeecfc379ada203ae803',
        97108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac04209f3456c95c0c2038488933197ca89eefa32346279ae2336d2aafcf03af',
        97000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCanadianAboriginal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextTheme notoSansCanadianAboriginalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextStyle notoSansCarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f91a0a8cd4ae5f183baf7ce214e9c21c01155a56c0ff62946d7e3920c8a663f3',
        5684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextTheme notoSansCarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCarian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCarian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCarian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCarian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCarian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCarian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCarian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCarian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCarian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCarian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCarian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCarian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCarian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCarian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCarian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextStyle notoSansCaucasianAlbanian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e24578e93314ce131d4096ee16b09535c2f948ef0847f72f05053fde8c7638ec',
        25676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCaucasianAlbanian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextTheme notoSansCaucasianAlbanianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCaucasianAlbanian(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextStyle notoSansChakma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c13048601ef3a9c97db76d25e8e7c5a6401757cf6414c41337ea18c2913891d',
        84772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansChakma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextTheme notoSansChakmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansChakma(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansChakma(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansChakma(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansChakma(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansChakma(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansChakma(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansChakma(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansChakma(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansChakma(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansChakma(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansChakma(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansChakma(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansChakma(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansChakma(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansChakma(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextStyle notoSansCham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61e5dd9ea5a4733ab061d9d51af0c3fd1864a93bc7f1c01c78255e5011a97f95',
        60172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a22baab4b4c3ebb3034c27ab7039a3a29c72da6db3680544bf654f5893fbda',
        60524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f75b632a57d08be3648d0f82f1cea66039f4c43cd7d96cbf1e457f0cd1c23bf8',
        60468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d781d5631ee8b80400e543b350687cdfa87e24be58bada36aa23bfe76fa13ec',
        60264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ad85f8e4cd72ca53ec081d2d2069166d25c6856c88ce83d52435dbe44200f01',
        60648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df3bc7a84b54706938c9a924476cf708e17089cad34b008a524cc8b0fba923c0',
        60680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c65a37943c7aaa34a8780dfbb7bc9cec257c4fefb2bab4ab4a9ad392fbc88c78',
        60572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e7e33177301f6aefd86dcf295ee96485078efe0d6b22b22b82899dbc03d3995',
        60676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '709d0a6b48abe45af4f576578468297c923e95f9f5e60b338a7dcc241f7ccb84',
        60504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextTheme notoSansChamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansCham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCham(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansCham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCham(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCham(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextStyle notoSansCherokee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab30c8088336ad5741040551cfb74dc1c1e7020fb111f3cc1b041c802579f73',
        85384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d4ccd0e65afa08197af86cd38fa739a7ae3ab576bd4790623194d611033900b',
        85656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eede6e6c4266610312744262f94a0b0948da86e5d387c2e19d7533cc9cbfa800',
        85636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d8a9b95bf4d06cde28f75e65d4f6d9c87aa1b257cd77c2683d3b2b1a90624b4',
        85012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a5b5fc8dfe2f689b923310ed0269c6a5d5e4946f65509205b2b47d5a1010551',
        85168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd048f2c755807d3f30d416ab367a843e28226d6614fca7b18f455b38bd4dc8',
        85296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6102875c6899c6cac531c2fd094951860e7920b4e567e21df17141f0c1847d04',
        85152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7291e6305fc22f3f3c87fb11840973d2d4b46fe904a3812d137ea87e7b27179e',
        85236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77539de09e783da64feb2abb0998fb0eb62854bf2203251971ea6ed35fc1a6d8',
        84924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCherokee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextTheme notoSansCherokeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCherokee(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCherokee(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCherokee(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansCherokee(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCherokee(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextStyle notoSansCoptic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '854895e2145e6e68ec717dd6694a067677156507de28e983a38659aaecce2de7',
        62464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCoptic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextTheme notoSansCopticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCoptic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCoptic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansCoptic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCoptic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCoptic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansCoptic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCoptic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextStyle notoSansCuneiform({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f2b2a0acebd7dfd14f13fe15e3f6a07aa5ce8171003a37235ff682b8668d15c',
        819140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCuneiform',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextTheme notoSansCuneiformTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansCuneiform(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextStyle notoSansCypriot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64224a8da42c7dbb5a28bf1fbff3531acb044d8bf5bc5e71bd69b706503d732c',
        7328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCypriot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextTheme notoSansCypriotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansCypriot(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansCypriot(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansCypriot(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansCypriot(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansCypriot(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextStyle notoSansDeseret({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd5d317ff72297736ce5816df14ca4ac568df2a12fe56cafff20c78c341be9eb',
        10088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDeseret',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextTheme notoSansDeseretTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansDeseret(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansDeseret(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansDeseret(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDeseret(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansDeseret(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextStyle notoSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1918d75fabb5ac4791adfc1eae0c772985eadba60ed70cb5b642bec2d91206f',
        189996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23cd03d48d8288b81b208fbecc6cd6f7e650d7a86923721caa15ce0825273ed5',
        190180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11cde8572e369c2f52fef5eeec02f6cef6ce61610a00357c3f97a0c36c18732c',
        190196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '810f32f71c2af417dad3593ebb124f26fd042916919072db28f3946250dcb1f5',
        190044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b91a3ecb569c275917fea4c9774a77d132a40dc90ee9e098dc506450229143f',
        190236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '735d61caa04107b9d116490d0317e814afcb71d9135edfd5b3eccf8d0fe5ea9d',
        190276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fd00ba2d312d835092ae26b7b6810460e7a9c5f60ce40f7d88b3d19262f86d2',
        190240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9202f69eb7822d73a9ad094fa58a14d7f05d7d5d581332a2910934085e9d1726',
        190416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5586cbe9c60f3f74115772374385ed62207bcd66c4af4b4f9b5bfb491af79f1a',
        190268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextTheme notoSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextStyle notoSansDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7b5c341fe5771dcf9e682598c78cae7475c5b955a479aa921e45fbcfd7bb871',
        328296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1134bdfe54f78b39841bc3f68e7c93e17e94c2a04c241e6aca932c7b86214361',
        328644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a3a4c60525f76f6fba6fbd341aa8db9829fa892da22521818ab01d655168b23',
        328592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626c1c90d949045c73a2d5cc5579a5a2debc98df486c002fcae5dcbdbaf435eb',
        327984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2730db348743fd4a86cf4a1d33f5c86f1fcb0bddd36564620255da24feefe088',
        328452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30aacdd857dcfd16cbd69c56d7c735466ebbf7edaccee8df315fe807b6c16190',
        328548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f42e50ebc8fe182d19b8920a0a69e4b2f2a72a7bd7beba186951797159c222a5',
        328248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c31f4316263d13fdb25780cae9d89c64cedfa38b57d632c2b246c42ba0e58b5',
        328724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f84e133aa6d57401b0b7c65d6ca4b60fe69e5e63bd44b8d7f97eec61ea253599',
        328764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9fdc2dfde4bdb8ea9c6d61f2110520c23323643cb9e8b11e06bfecab6380aa16',
        350752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8743d7dd1b692b1763c4b759cc73276ae4123950f54bc203b725235408f0517',
        351224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '983ff9bc8a5c5bbad88fa6baac6014b534b34a854c7a6a336d9106f4f9b396e4',
        350816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '830195c90e484ee9dc8844e183ae238e9b3b7ede173b4eb1167c6654ebd06f7d',
        349532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb227c09ad0591b6492f6a7644b25580c92f692bda50e16452f45934cdd86d3e',
        349996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0a0d1cb7b9a8fa8e768b472ee391878dbf9232bdc734c8b3fe60bcaffec35d62',
        350104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b95ec211de9e560348430eaf28145f128f59010fed1df2e1fa0e51a99a605be',
        349660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8de2f7361e257950636625a421fb6c4d446d1b5b942348bd7f853314a5805eff',
        350328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63a96cd6529aa23dbecb27e8266886658fd77b74a28be02ad5f9f7d183316636',
        350188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextTheme notoSansDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextStyle notoSansDuployan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d65e0c35583d311f2fdef5c30714968e9d4a8323255cd4465cf5b89bd73439b',
        17464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDuployan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextTheme notoSansDuployanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansDuployan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansDuployan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansDuployan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansDuployan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansDuployan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextStyle notoSansEgyptianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d8b24a7afab8914c32ed38152796f169fda238a2e0ae6e3275adf99c516b44',
        584220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEgyptianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextTheme notoSansEgyptianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextStyle notoSansElbasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db1829d7d68f7956f38788a63610b7fe34d4f5427bab75d6904ea9f4e8bc085',
        10260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElbasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextTheme notoSansElbasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansElbasan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansElbasan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansElbasan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansElbasan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansElbasan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextStyle notoSansElymaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2d50f9ce658090f90b8fa495cafda62832ac8ceadf0e68dc7eb792ae17e36f9',
        4720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElymaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextTheme notoSansElymaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansElymaic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansElymaic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansElymaic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansElymaic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansElymaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ethiopic
  static TextStyle notoSansEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b0fbaadf1677512de119470328895ae8cf52b5e5e3ac01b8eafb86a5abdf9fa',
        312628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf6c1b31f50cdfc69f57443abeb5e8794502c2fb11721ce8ced1a7fc17a78472',
        312728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e76f535b3abbff9c17d17a82c144375ac569501c83e941b86a9449a74197166',
        312732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '266b4064235c9b68fe203d362f608adc51bcb4bce28643d76e2cd2f1f485ef22',
        312708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11705d5f6498f79e979ba67610e4bbfb30cfc1ea4b423a5fb7ca0bfd1d295a34',
        312832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8aecfa159a988a907a22e2f307616164c96602b784e16dffe5dcb3f55575489',
        312720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e99da657dfa2aa794ebbcd3e8efb1522913903ad5d1652383cdcdea1f30d7479',
        312616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f81c7c55d8bfc748c50543d342bbb3654b6f0894061a4b066a7fe0b63ab3d4ea',
        312568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '281d49e803700576dbc3f0379827b87c6acb2cd26731ce00a83785dbda2197e3',
        312636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ethiopic
  static TextTheme notoSansEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansEthiopic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansEthiopic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansEthiopic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansEthiopic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansEthiopic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansEthiopic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansEthiopic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansEthiopic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextStyle notoSansGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c9809128ef0cc0041e235acae0658a3650ae93d38ed2c4efac9ac80333435b4',
        65500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50870d6bdef105ccac218deb8838d261d5b1f4d43186db5690001d86db412c58',
        65564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b393ca50cb913a47e2bfed98c5d82fe2cef631f50c56e818c59198118500ae3e',
        65528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'abd9d9a804d04d1dedffa509314cde76072e5ab2160099b675d689d22ff6013b',
        65488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3a95f047c531fdd46f46c8ec8a3c29de79f53cc8a927f7ac32230a204f41e1a',
        65512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a337218b8f13b0489f672365c0cc2bc0f8990a20fbac3610cc80d4ea72888857',
        65520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ce8b7fbb0e0eaac3f37a535abc4e13cd6946ce66ea6329da4a29e4d0a537f21',
        65432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31f23bc83c046a2d7216817f2b005046838ff9be3f2b023691534c8e4533cd35',
        65452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3137cb9aa1ed0dbdac79241412415fa4e57120344cf77e72de3843f7c0781c2c',
        65400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextTheme notoSansGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGeorgian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGeorgian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGeorgian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGeorgian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGeorgian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextStyle notoSansGlagolitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a59c25a4ad15509971a871bb55fa977b00a705cb5d709e75ec4ce1807b9971',
        22288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGlagolitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextTheme notoSansGlagoliticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansGlagolitic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextStyle notoSansGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33e4a647c2f0d107e063a33cde8d7b165cc640527a11f421bf2b2a95c0d42e3e',
        5140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextTheme notoSansGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextStyle notoSansGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dde4e46d993cb275de61ec4ccd8df9fa8a1b6e6372be0685ca06acee3abff62',
        291396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextTheme notoSansGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGrantha(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGrantha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGrantha(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGrantha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGrantha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextStyle notoSansGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47785d92c448741f82b7ab0772875e136051c136cdb709a08f13f17378b081ef',
        169336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '517c2c9989cb7d8cc524dbb8eeefbf9840c8dd094accd78ef74087f72d423198',
        169504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4967603e7d3df48ac8a1c4fd30481316c1b5a7d5415502c87b21aa6b8f8b429b',
        169556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '369293289b89baee726b1f6626f6e718132820edb96d8aeb78c4191d502a7960',
        169412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cab90757f454646fa3452a7bc1fe921ef3cc956ea70809c92386a7d79c5fa940',
        169632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b187ce9ea5b735398821389abe57fa05cc619affc9755f4ece92aca2cc08257f',
        169628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8736d42b001c774a7a17901f770b2728d0a440bc413009e363e3bbc391e370c',
        169508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba9e9ea64010e46fa3fe069041aad407cb850f4d3e68c3a1d031283f08f67c9b',
        169748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '619c8da3ab41e59b0bdd00958140de51fbef3a9559b8afdbeadf1f72e9abdc7e',
        169576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextTheme notoSansGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGujarati(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGujarati(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGujarati(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextStyle notoSansGunjalaGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3ae7923704e2060fcdcc69a151f360f8c6b7db71e8086550115b7981aea77a4',
        61064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGunjalaGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextTheme notoSansGunjalaGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextStyle notoSansGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4847823453cf5c51b57f31c5ae6953cc86ae073ed2b5f71292d0991abda2df42',
        57336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e9e1f939f6a18eccd3e4fba132261b4ba9c283c5b86d3167736dea3c92bdd3c',
        57384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c623434886e3619fe33d54a321b66a44634f69740a1ef372d9dc26e1e427400',
        57312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84d590475cad644299fefa2ecda4d36ff109ee5c97d708621eec8f0cb561708a',
        57224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5328a59b77488d149f2b0df04560dcb042dbdcef90b4dcfa0aba2b5196fedddf',
        57268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fe57bcec0f69e4d34672ca057a01be8b75ae7885684ae2a36aff2753573cd87',
        57312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '647611ab346273f2eb5b23775c466ef87ab9f08d5ed2ef14d1091eb750167d7b',
        57184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9e83000f02ed84ffcaaeac3a4dfbcc09463ef32db29b6f9fd638c6058b6dee4',
        57280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4396bf25f4bad0e2053a90621800f28dd3810b857f4e01f1e485bc471e58df5',
        57228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextTheme notoSansGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextStyle notoSansHanifiRohingya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '367128fa1fd5d5f630d55890175bcd6fc5923e88d9217320f49e8b8c959be251',
        18788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '925361fffce77a7578f00524d7762d661153700f37eab17080229d3d7d1b4043',
        18856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f858749f5936b3386b4e85a02495342ebf967da5fece22c8f990bd706ab9fe49',
        18896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '577921f7ad38d2167919702cd6cec5bffb2064f5a08d9618c0271f1e07dd3d43',
        18844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanifiRohingya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextTheme notoSansHanifiRohingyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansHanifiRohingya(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextStyle notoSansHanunoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2178b2c6e787beedf2ef2566b22a83628ffb17e06b9a9835f9ca215d7e0ef9cb',
        34880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanunoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextTheme notoSansHanunooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansHanunoo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansHanunoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansHanunoo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansHanunoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansHanunoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextStyle notoSansHatran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a34cac0fc3e9de2739b68efdcf44d7d372e844e161c47b51da98dbb015544515',
        3936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHatran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextTheme notoSansHatranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHatran(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansHatran(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHatran(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansHatran(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansHatran(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansHatran(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansHatran(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansHatran(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansHatran(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansHatran(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansHatran(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansHatran(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansHatran(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansHatran(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansHatran(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextStyle notoSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63b28d8e303989c9a12808a89df1b917570d4f6b902dddcb6db5abfbaeef3af7',
        41320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de42db58bb1482d653de57a583eecf321d3c1d674561de06a7595cdd8a07c73f',
        41404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3b191bb0f8bf0931393f14ad7d05705117539c67cc56e62aeed124eddb19b5b',
        41320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5a6b09f5607a23c0b5751819ee885b0ee4cf6bdc99e421567f7224be2a03f5c',
        41296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad05f0b469c3b95077eba6c5b09fa7cc141d06262288b08e02cfb5023c37eb23',
        41328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74293142771d9b3887a41330431b2d2cb7f9d2768f13ca3068066b679d397014',
        41352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e979d96788d2bcb2ca148c42586f84ad7c0426c225dd664ff185e680f46c3ab',
        41208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb5ee8f759698d103398da93e7435f289bdd10635ab64a1613a57ba8652e677f',
        41272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '616e8798f47a081ce9119fd9ec143ff65b185c4154fd6ce2fe6486bfbeedf709',
        41200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextTheme notoSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansHebrew(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansHebrew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansHebrew(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansHebrew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextStyle notoSansImperialAramaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71d68e7f88e810673aa7152a814623ed781b2c484ed5ba0612fa4ffdddb51e47',
        5260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansImperialAramaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextTheme notoSansImperialAramaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansImperialAramaic(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextStyle notoSansIndicSiyaqNumbers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8778de4424790282d0ddb573efe2cc256ddd84cd262e5c955ef7fb6ac758803',
        21412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansIndicSiyaqNumbers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextTheme notoSansIndicSiyaqNumbersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansIndicSiyaqNumbers(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextStyle notoSansInscriptionalPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf5b6f1a8b597f7b8ab231369438a1c672d54982ffe35cf7795a5973a5ccee9',
        4804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextTheme notoSansInscriptionalPahlaviTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextStyle notoSansInscriptionalParthian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd697800a8f12c4eca32a89e51df6461b2581a979c420e02d9fbe40b72108fd',
        6564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalParthian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextTheme notoSansInscriptionalParthianTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextStyle notoSansJavanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24296b6dcb9a1b11eafdafe351c6a9197b4dbc1924bc034bfe5a9c2163dcb7ae',
        151008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '678d4018afa34664950e4bc6025876014c069073b3e1f09d1d5f3bc0b5f32dba',
        151352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5788f4fc55f0ca9a5c300731efd9cff1fcc2577605e5289fad8b77edc4b72ab',
        151260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '044ae3aa1144c50fd55c11a3ff91ab99c69dcce3cd3ced205fd845bb4ecf7d84',
        150560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansJavanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextTheme notoSansJavaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansJavanese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansJavanese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansJavanese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansJavanese(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansJavanese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextStyle notoSansKaithi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf66bb4e97c9896f9ee4a5e143bbcd2f844d52858a988470fe2f5c99ec715b4a',
        41908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKaithi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextTheme notoSansKaithiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKaithi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKaithi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansKaithi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKaithi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKaithi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansKaithi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKaithi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextStyle notoSansKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1d351b6aa3484aec78c66395ded4580be3d414a3b162d2c0ce02220f0382af1',
        140600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5728c09b1c8912111c4abea135e9293dad27ed6bc44e91010c119b114b40b5aa',
        140772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80d3b6519bbfe1102ef05e4fe3a2aac3ae9b52e93672522c0325ea78dd52d2f3',
        140672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74574c7bf17fa03a40b853df02f49114762e4c259d7e208d3d498bff07f225a2',
        140476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0494f76e64ac263c9aa1fab0be59020e5db354d1f0d66f394539d3c9f4f452f0',
        140580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '577d953a13cf1c6e04832197ae6be1a513c18820c1b12021fbadf550ab2cb5e8',
        140676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebb393dc1ae3e4f088dc44ce96297035ac666e5d0422bdb79a216715378d1e32',
        140580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8df89e9605ef06e327b6bd9066957f099a221f610bf3047a20d5e9cc6cd6bf14',
        140704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad19f0cf07ab1a779d004adf4dfe8fc2f0a67a6f3ea93252b1d621b29290593a',
        140732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextTheme notoSansKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKannada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKannada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextStyle notoSansKayahLi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8b8b0cd6fe342c4a7fc93c24d626f829a5ee853e71ae0a817d097f4a71f53ed',
        33128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4b9ca4456599b24750f4284b4b6fcc9a5e71c1a4f9a147043374a6b6ad089dd',
        33208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d0538b217ebd0f8cad58bba4e9cf4aa4c4279e68e55a336dc55516678c66c15',
        33248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '905b5068c0c4f8572276e6a29352c4899fd898b68646069bd89472e23636b84a',
        33152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKayahLi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextTheme notoSansKayahLiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKayahLi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKayahLi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKayahLi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKayahLi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKayahLi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextStyle notoSansKharoshthi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b0fc06c8ae69cc2e3a29938b5866d1b8d5bfd6e70905f646c33f5b1c11caa0d',
        32924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKharoshthi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextTheme notoSansKharoshthiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansKharoshthi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextStyle notoSansKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd538ea501bfaec529a6144707a494d97a9da816926e8744c09846e1c1ed684bf',
        100776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee805126ce022da615dc1050c9d723c99b06ec237c043cd5d4b1bf20fbe06f6e',
        100796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cd6c3abebc8ea4e60048c07a2ec1b0e5f688b75481aea7a5f0b11c5dc157293',
        100708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26d505dd4d06a33f6e6de777110fa22c1b5b8f776955deeb5e50b3bbabf78434',
        100088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '401e24fc9dd084fe0b66edf1ac05e41f5e4624efcb87303fa4c5fe0af15a3ab7',
        100616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d51a4ea090f7ae1569add5aff8b2e8a4a169f4739f261649d4ffc9ebdd826d9',
        100628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '097fc7d002059ada8c09cca1277a1434111172a7033f79f5cf03efbc2ccc984a',
        100564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b176d7cbd72a3846b13d94298be130704cfdf2bbd9701725f01724767f3be040',
        100668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4346217319feeb3da18bb1e8026545872e34fc12adf87c29b7d09fb27d6d7f51',
        100556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextTheme notoSansKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKhmer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKhmer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansKhmer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKhmer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKhmer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansKhmer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKhmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextStyle notoSansKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5461ff34f0a13a0784f43e72cf4fb37e9a335f72465523ca61d3855fd3fded0d',
        73592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextTheme notoSansKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKhojki(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansKhojki(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansKhojki(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansKhojki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansKhojki(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansKhojki(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansKhojki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextStyle notoSansKhudawadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd20aafa8d8070841fab37a855f0be7e10ff9e45c734ea4134d377176b09e27c4',
        17804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhudawadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextTheme notoSansKhudawadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansKhudawadi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextStyle notoSansLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bee4f66693bafa21fe7a845aac97b3a7ea9feba0cc806140095ff34df903711',
        43604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92d28eef402f22169bbf98b6ab0822614555c967ea1e95daf915231e67b13097',
        43696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3069c5551c30ac92c6ec19ddfa6749a8a1d87ff9949b50b43c0dd6089f0fff70',
        43628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dff2b0d48ef2ae6808826716ac5a566380f09c8d0f33c552998805817281cb7',
        43480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5a09c2196e6bb57603106df0ca8a9053d20a6ecd8a222db3adc4b1e2ff028b8',
        43600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b3062a466e3fc0e0f7f59edcc198a89a11f215d432706cb1332955ceb5d5bbe',
        43600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fa1fedad4ee381ce5b672731ac22c84b5ab2d39738f3213a59b7901208f7d04',
        43524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5443186d3bc519745df45cd36fa35d8df1d3f4a93260547c6b89299eb5245a86',
        43596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc86600240a3d227777d2f5d1c85841e49f1002812676d9137c21c31a8852387',
        43496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextTheme notoSansLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansLao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLao(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansLao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lao Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao+Looped
  static TextStyle notoSansLaoLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8b94be98b99a00938f6042c45f4763f04fcd0c782b813c45d75f23382f62a26',
        60836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ffe60a08518b674e979f1af703272d88ccb9cb3c80d5313d24dedd467aefbec',
        60996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9628a3801fa9990aca00a28acda9ca11e381d488fba219ce53ca2fbb579ac57f',
        60964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cbb5e0ddb8c313d36a17ce7638f2c9d4351637c5ed6ad4f9b97c2643a836b23',
        60864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb47d78695c559a9349a9490b10c495b2689de8fa9358a61040c4857cc3cca27',
        60944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4edb531af2427c8a19182aa1196870ed7f858f50f19f830c5377cf343f72dbac',
        60940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd64edeed6e3f9a7a5e356f32a14b63e1c7aa56da0699dde2883c6ed91fa41932',
        60868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22f4d73c34759e47557c91cf50e0d95008eeaefbbb95e93e50f6ab5ce8b53db0',
        60960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61672c1f0501ffd127f58a6eba54f17918e8847035ddbe62a0f183cae4ad4b00',
        60880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLaoLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao+Looped
  static TextTheme notoSansLaoLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLaoLooped(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLaoLooped(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansLaoLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextStyle notoSansLepcha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '327502fcadf4a82f646fe750a416020ccca75e36097f1965956a9feae2d6c444',
        52356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLepcha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextTheme notoSansLepchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLepcha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLepcha(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLepcha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLepcha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLepcha(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLepcha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLepcha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextStyle notoSansLimbu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c627924fe0ab05ac75287e4dd2c3c84b9faa5d74dadc024d49236dc1b5560142',
        40984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLimbu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextTheme notoSansLimbuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLimbu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLimbu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLimbu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLimbu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLimbu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLimbu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLimbu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextStyle notoSansLinearA({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1227f2e8ebf7d0e3fdc1fae2a3ae9d2f98b2d147c2947377683f565f8ec2f64f',
        57060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearA',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextTheme notoSansLinearATextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLinearA(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLinearA(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLinearA(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansLinearA(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLinearA(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextStyle notoSansLinearB({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7957267e2b3c2710bfeee8f4fa0aa2ab588b29491462ef69ef35cc073556b474',
        61784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearB',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextTheme notoSansLinearBTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLinearB(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLinearB(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLinearB(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansLinearB(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLinearB(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextStyle notoSansLisu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01fb5bc4dd14b13f93b7a98f25f3148f480fcf235bd894a09207bd0451f35111',
        37180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86e0ffe400ceedd558db24a16a9a4576946b6be8a01aeb800985e7d714005cbc',
        37260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '865d72066ffa70c80c7b62a727ea002833839c956bc67569b725015975b44365',
        37212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '107071dc8452236a360531ef5e25cab48257ce13c538f4c2ba5bfd2dfc295932',
        37172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLisu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextTheme notoSansLisuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLisu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansLisu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLisu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLisu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLisu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLisu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLisu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLisu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLisu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLisu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLisu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLisu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextStyle notoSansLycian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df20c1793b03cf4d6caf915fad42333ef28a6a736083b45463ce7263e01329cf',
        3380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLycian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextTheme notoSansLycianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLycian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLycian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLycian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLycian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLycian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLycian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLycian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLycian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLycian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLycian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLycian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLycian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLycian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLycian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLycian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextStyle notoSansLydian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be20f86effa0edfe9e44af4bece86273f01401de2474475d3638020522375ab9',
        3416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLydian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextTheme notoSansLydianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansLydian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansLydian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansLydian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansLydian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansLydian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansLydian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansLydian(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansLydian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansLydian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansLydian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansLydian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansLydian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansLydian(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansLydian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansLydian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextStyle notoSansMahajani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05fda04889edb50e9156b3e8cd76e1a18ae80cf358b080e27550506ee78df877',
        13188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMahajani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextTheme notoSansMahajaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMahajani(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMahajani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMahajani(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMahajani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMahajani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextStyle notoSansMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab6f6a08ec4659420b8f412c97732712efe3c42fbdb99fd95a90c32cb972c3ff',
        101312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c48b214dfceecb281b1fd60bb5ba20af230cac899beecf13284333d1d3f4e6f',
        101364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '714cfffe482885e01ca94c7fc2cc03fb6ded0da515148fe61c80225619932f6b',
        101360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55551c05d565579e80c02959cc77f230e3569137ae6f3be92f5a1cc1ff5c87ad',
        101348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16473308a2b1671b8a1dbf2d3964ef98640fb909785cf8770e4715ee1fac2887',
        101372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '853bb65e671fd307d041813dfba697d9492ea45c6432fd056b167ad834adb7d8',
        101368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1e5820752b9b7b29ff28ad0518d2780179ea4cd7cb7751862893bdfec752403',
        101228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b53f2fe8937ea1250b6014b9113ebf8977a510ed5bc05b29388a2d53e5724934',
        101316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ac91564b8a30bfb6ed46308fa449bc074c27c3007f3fe30990d3895aeb16a6b',
        101268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextTheme notoSansMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextStyle notoSansMandaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78fb7e8745af6b194703eabd0065aad9a2416b07929098e45d4d51dbdcb6255d',
        17580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMandaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextTheme notoSansMandaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMandaic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMandaic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMandaic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMandaic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMandaic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextStyle notoSansManichaean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a692a9908045f47cb605073ef7998afdfc6c08bc09411f94b36613a08253b0',
        30528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansManichaean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextTheme notoSansManichaeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansManichaean(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansManichaean(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansManichaean(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextStyle notoSansMarchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d31c71c74d9f12f7a49540daf0acaef930f175def7bb0745dcc7a7d3404c44b',
        130140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMarchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextTheme notoSansMarchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMarchen(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMarchen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMarchen(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMarchen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMarchen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextStyle notoSansMasaramGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd54b271adf9dc8d313a02c15bd49f5095d5fd616ae922d3ba3060ccd154118c1',
        57696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMasaramGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextTheme notoSansMasaramGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextStyle notoSansMath({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58483f7c774ee00196ecfc9f293caa468f4ee7777943d47bfe4c4a0c0cc7b8b9',
        372264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMath',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextTheme notoSansMathTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMath(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMath(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMath(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMath(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMath(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMath(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMath(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMath(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMath(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMath(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMath(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMath(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMath(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMath(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMath(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextStyle notoSansMayanNumerals({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07a0e7bdda2b80c6ce870eeb5239efa8389c65e4f51b02193cfc01a784bfba7',
        3608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMayanNumerals',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextTheme notoSansMayanNumeralsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansMayanNumerals(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextStyle notoSansMedefaidrin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4e5854a5b573cd5ad0fd1dda107bfd79c2f2fb400bda6518f14c0bb45c7f957',
        66120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57505397241014140c48159cf9fc501ae1f0181cf3e22e2f33a9446a5053ef67',
        66160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79cf683238e9760ce707d94a8af3a112b08b63965c86280957a626f735fd7e3d',
        66180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21da2f0bd6e27d86fb9da259e94d1b9d5fc36d6e2755b4401a1b2596226d8c7f',
        66092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMedefaidrin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextTheme notoSansMedefaidrinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextStyle notoSansMeeteiMayek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4a569b8421e68ca58a4869a57de0fb96af358dbeb45a003a1195ea37b6078df',
        45356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48568b87858b9868fc144798992692d0fd27bf7a2ea38dd86781bc6f632b328f',
        45444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94b186b406d91515a206900c950b50c7479accbff68a16e449cee66c4d197630',
        45420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18d3c23f38136b839994c55895a577234fca7af2075b9ef7f937cfc93d97ce85',
        45252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c82bfeeac03dc011e4c313c9bb78c272c2824787d6e6a27f14f0a5ef483094e4',
        45336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18f381f6e09e9632cd5c4a46405b8af3f6923e3adeef0ae2436ef00df40ebb8d',
        45312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba739b30a06706ae1ccaba7f84e85545fe3c5e46e7417588f406a6a0de25d556',
        45208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09db1ffcdc511f71d49a8d5758c65fb653c99b5ae083c85611f45a9db16c1f14',
        45352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14aac391106aa1e103e7818686fe78bcc03ebaaf2e06dc3566da10edf4506d57',
        45240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeeteiMayek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextTheme notoSansMeeteiMayekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mende Kikakui font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mende+Kikakui
  static TextStyle notoSansMendeKikakui({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8e004c8ca5a1ce2847843459f584f5f8f94ac26c66e6c96cdb5bd705581e2d5',
        62832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMendeKikakui',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mende Kikakui font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mende+Kikakui
  static TextTheme notoSansMendeKikakuiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMendeKikakui(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextStyle notoSansMeroitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e4b78790e277889349fc353d7649e5c3044d4819c84ada82f9b26fc9bb3b7bf',
        32356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeroitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextTheme notoSansMeroiticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMeroitic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMeroitic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMeroitic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMeroitic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMeroitic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextStyle notoSansMiao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9837d482b38755f7ef9a20d2b8988836c9bff601c6db41abfc207a479e197648',
        67504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMiao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextTheme notoSansMiaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMiao(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMiao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMiao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMiao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMiao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMiao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMiao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMiao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMiao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMiao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMiao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMiao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextStyle notoSansModi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8275cb9ad8e19b23924897d11706650f61e63dff308511598422a07bfd49bec5',
        76860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansModi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextTheme notoSansModiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansModi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansModi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansModi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansModi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansModi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansModi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansModi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansModi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansModi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansModi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansModi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansModi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansModi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansModi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansModi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextStyle notoSansMongolian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2777faa812809553a05342043cd5f972f737d4e135e9c3ec191883b793f7604b',
        214512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMongolian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextTheme notoSansMongolianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMongolian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMongolian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansMongolian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextStyle notoSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '544ba609c642dbc6544aff276cf72aa69323b76b00044f34e0965fd9092ee721',
        367828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a4ee7b4c943ca3963d1bf45acab149cbe0a850bb4eac525c3c0dbaaa503504',
        368276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5bf6849d5ab06ed6c0db5860d9c94614883e6c6e9b4db3ec8279ec148e04caf',
        368196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2992acde1be139622ae5a14a33f90075e17036ef976d3aaa38cce91eeafe1d87',
        367440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '516b707ce3e932b81e45b649bee0c4b72194279d4664e29209b14ebd0ba0eac1',
        367764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a89bb3597a3b849d549f32b814903d518192369d0894a6354677c8c1406c6ea6',
        367616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e22e98d232d77981db8277c41b5d8d3ed2654735fbe52ce3a343abedbc9b7302',
        367092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f097892bd7a458b9339ef1f27edd8c3c1cefdfc4d29c38a16503abe43101395',
        367356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83b52a87dbe418cda7274673b57c8a0405bc56924ee4162362f6569dc70da29e',
        366948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextTheme notoSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextStyle notoSansMro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2368bf2fe6e1744f065469532a1f16d573abb2a180348d8e46bff0f51ef44e17',
        5812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextTheme notoSansMroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansMro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansMro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansMro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansMro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextStyle notoSansMultani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c181c4209bcb48190187856c3f649b0abc6e8f3160877fa8e2188bec1ccced4b',
        39720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMultani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextTheme notoSansMultaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMultani(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMultani(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMultani(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMultani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMultani(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMultani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMultani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMultani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMultani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMultani(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMultani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMultani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextStyle notoSansMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f979ca37627e5212a79d2bf68419c85054e3310a5deeb5a1f7f34595f67b2a32',
        151988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c54a8217f763efd7148cefea05f798de6a49426516abec96d6a870ebabd883c8',
        150128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f9ef0623535f1522ec0af734d5b5e58696e2416e832a693ea927c903f850034',
        148240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c9d06b2ef6a27c0e3c893cc3dc749b36045d249dcfb4d8eb1a68fe9534aadd',
        146952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd0c67134ef7337f8c3de5c53c0672c44e9aae5a1eb120f214f79af21524755e',
        145836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c88e9603fb22b1377132e7f92cdc51ad336270e3726f7ecfa218d03d69f5288',
        145144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32aef232e66dde0e3267acfc4a25118e5a5c2c9d553038fea849acb7d5ef35f7',
        144628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee98aabb35c85d90e8784df4e8d25761da43eea2c5965e6e798f97d58d1d40e6',
        144580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70d87a8150edd32cc0b125045824f270b9406e6d30f9f8a69821655dc20be43d',
        146152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextTheme notoSansMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansMyanmar(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansMyanmar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansMyanmar(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansMyanmar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansMyanmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans N Ko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+N+Ko
  static TextStyle notoSansNKo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63f8a8a48ce590e90c14b5d0b15ef846ca5264b469bb8c9ddb7df426949154b3',
        22324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNKo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans N Ko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+N+Ko
  static TextTheme notoSansNKoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNKo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansNKo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNKo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNKo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNKo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansNKo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansNKo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansNKo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNKo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansNKo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansNKo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansNKo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextStyle notoSansNabataean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e8c3449feabfa772702ad83fc3dd0856914f08ceecd16b5f4c1a92276210d04',
        7220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNabataean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextTheme notoSansNabataeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNabataean(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNabataean(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansNabataean(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextStyle notoSansNewTaiLue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14fcad12c545fdc787789a5bd5dcce73006e6601da1e65d5ceadf75b57cee33e',
        46416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3e83ec7d8ed7cfd37cd1443c1c664576a5b039de1e0202eb506a45ef0a54cad',
        46464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dba87d7c2cfef745213595bc61f484008044fd17a57e08cf3fb09c62074c0ed',
        46436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a00983df0509a428f490dbefeec33c978f4a25197a6b87f98f3e5155a3300e2',
        46392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewTaiLue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextTheme notoSansNewTaiLueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextStyle notoSansNewa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7ef336ff8fffff798690cfdc96b3bf2cc2ab22bd39d074a678835fb3a550e24',
        185192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextTheme notoSansNewaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNewa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansNewa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNewa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNewa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNewa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansNewa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansNewa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansNewa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNewa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansNewa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansNewa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansNewa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextStyle notoSansNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39fdd38fc6b232f6c1066296d6a3e47256aa572875e08fb7814d9c686c35c62d',
        114052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextTheme notoSansNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansNushu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansNushu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansNushu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansNushu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansNushu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansNushu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansNushu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansNushu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansNushu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansNushu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansNushu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansNushu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansNushu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansNushu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansNushu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextStyle notoSansOgham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '294effb5be358f3c23b989a8494391ee075c64a16199eed47f2f68a0c3bf2cdd',
        3576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOgham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextTheme notoSansOghamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOgham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOgham(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOgham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOgham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOgham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOgham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOgham(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansOgham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOgham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOgham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOgham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOgham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOgham(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansOgham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOgham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextStyle notoSansOlChiki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0f6072db49df5d99e7ba99ff591785ef3a0d62760a55d162950195be53a793c',
        35788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9591b9c55056fe4a4dcd7d3682070ea76ae1e1348a42d93007362a99673cd95b',
        35836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c269b354f146e2c3f96bcff4eecb2be268a854cb6271a8161921f36f81387cc6',
        35828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c13099dd0db1cfacbbe626352287631ee810f4e09a8373518ee3fbe5ea1e012f',
        35760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOlChiki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextTheme notoSansOlChikiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOlChiki(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOlChiki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOlChiki(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOlChiki(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOlChiki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextStyle notoSansOldHungarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9bdbb5dadef6da77dab44efa6ee39f42b1f05e6c9ae248d564d4bc3eb304270',
        51516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldHungarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextTheme notoSansOldHungarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextStyle notoSansOldItalic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd972f97bde9d9beb1c5523f012d1a922b2404825cc97c7abca5ff3195a99fbe',
        6468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldItalic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextTheme notoSansOldItalicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldItalic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextStyle notoSansOldNorthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba4bfcba4ee5c7ebd24e3846976091dc9b8645dad791da43258929d7e17f8e',
        6052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldNorthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextTheme notoSansOldNorthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansOldNorthArabian(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextStyle notoSansOldPermic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56d277d03f0f1e1452a9a355a3e3cb48770eeac59a3a3bfa9d3069d3ea208f4e',
        8896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPermic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextTheme notoSansOldPermicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldPermic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextStyle notoSansOldPersian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '528ce03546fe77eb57753de610acf14ff09997fbb209f719ab59cc0071beadad',
        11600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPersian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextTheme notoSansOldPersianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldPersian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextStyle notoSansOldSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f119c713211e3d8bf6be1de794962b8ee716e107bb141f0deaca2c217ac9326e',
        10808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextTheme notoSansOldSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldSogdian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextStyle notoSansOldSouthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ee26c031ce58b213f95a4622e9cc71cafee3721cbc5bf950748660a755e6b34',
        4100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSouthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextTheme notoSansOldSouthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansOldSouthArabian(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextStyle notoSansOldTurkic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4df21a3b450dd95c0f4cac89e752c00575932aa0b504a0bc481b1e746e10bb6',
        7368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldTurkic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextTheme notoSansOldTurkicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansOldTurkic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextStyle notoSansOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd26fb110da44c00533c248f7e7c2bee448d4f8207f624a0d1ab19296d2c4ad2',
        134532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '346fd1791e94e0c70377fa66a9e5911637589b334a275f0789f1c6dd54cda5bd',
        135152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c75d341f6449cf0f182677adb86ab5aa13728ffb1273e6a0d8045672ef00ed7',
        135160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36afc5f57df1a61610404c247304de8ad03e1f585872a5124b6de6ae9e63363a',
        135012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de2dbbd3894380e25c373aca0a704cc48a7de5e8dc6ab1eb1be93e623795454c',
        135108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '356f55c8984875eb0149ac57533b0d258704975b3fd7f4176f8a116f75e02380',
        135140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bde1fc2e3d2fe219059b0ba2fe081d2e696647eff2cd70e93bdfaa21e308448d',
        135116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd364bc2a6937daad647ee7c512695d48609feb37368c8a90bf62ea04c73543b4',
        134792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95eedbd4c0e6a0c1c778ed5f0f0bfa89aab91c2fdfd67b8f67610620627afa03',
        134616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextTheme notoSansOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOriya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOriya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOriya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOriya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOriya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOriya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOriya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansOriya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOriya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOriya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOriya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOriya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOriya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansOriya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOriya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextStyle notoSansOsage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fe5c4030d622866e99d796f6a016019ce0bae06924e0c81d7aa89acca895d5f',
        40412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextTheme notoSansOsageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOsage(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOsage(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOsage(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOsage(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOsage(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOsage(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOsage(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansOsage(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOsage(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOsage(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOsage(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOsage(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOsage(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansOsage(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOsage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextStyle notoSansOsmanya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8025fe4ffd39f53709b44fc8c97b72575c6ee96b54452990bb23ec0625af4ddc',
        38124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsmanya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextTheme notoSansOsmanyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansOsmanya(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansOsmanya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansOsmanya(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansOsmanya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansOsmanya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextStyle notoSansPahawhHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fce156c25055a3cbc5a353053967173473b92b57783ea886f76816531f1e29d',
        49120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPahawhHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextTheme notoSansPahawhHmongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextStyle notoSansPalmyrene({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6baf5aae853c00199a1ca94a0984a6cb1e2a9117b6a04bd069167b1fff053b53',
        7644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPalmyrene',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextTheme notoSansPalmyreneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPalmyrene(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextStyle notoSansPauCinHau({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e587af37275d7cfa380f9d4fc76d0793d4b3639672ffdf9bfba2f930e0594a8',
        38848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPauCinHau',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextTheme notoSansPauCinHauTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPauCinHau(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextStyle notoSansPhagsPa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11c550113dacfd66111e57e09469834b626d011947d89275b23eb84ba35af1f7',
        38180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhagsPa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextTheme notoSansPhagsPaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPhagsPa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextStyle notoSansPhoenician({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bd17d1dbba92b5a391fced2df69da9531df480c6bcb5d9c081fc9b34db67c25',
        5084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhoenician',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextTheme notoSansPhoenicianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPhoenician(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextStyle notoSansPsalterPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eefea62df4bff86236cfd0645d22235acc2135a2a4661878c94c2444184307fb',
        20704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPsalterPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextTheme notoSansPsalterPahlaviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansPsalterPahlavi(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextStyle notoSansRejang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c154a691927c2e1317d721743da06e4a67865afe7036fca66c7408193749fce',
        37328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRejang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextTheme notoSansRejangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansRejang(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansRejang(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansRejang(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansRejang(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansRejang(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansRejang(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansRejang(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansRejang(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansRejang(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansRejang(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansRejang(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansRejang(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansRejang(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansRejang(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansRejang(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextStyle notoSansRunic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '566ee9e53d3557252c8c79fa2f468d026464006200b332c972006fa696095c33',
        7936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRunic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextTheme notoSansRunicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansRunic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansRunic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansRunic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansRunic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansRunic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansRunic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansRunic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansRunic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansRunic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansRunic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansRunic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansRunic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansRunic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansRunic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansRunic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextStyle notoSansSamaritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920a2c02a0e2c2fab6c34f318613b5ee6587a116e4158a955b55006c58a1f3b6',
        10012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSamaritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextTheme notoSansSamaritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSamaritan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextStyle notoSansSaurashtra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d5eaa8eb5fbb7de8b640341ac24e624faa924d0a39f21b7a0f37954e88bd516',
        48048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSaurashtra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextTheme notoSansSaurashtraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSaurashtra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextStyle notoSansSharada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '480540d514a7c1fbf019b379f09b7c2b192e5598d42f43418d614917d6a9cc86',
        85140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSharada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextTheme notoSansSharadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSharada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSharada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSharada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSharada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSharada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSharada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSharada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSharada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSharada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSharada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSharada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSharada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextStyle notoSansShavian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835fe7e7c393b0ca630d753a483e51e5c256f4e8535bb9e693376922a7470091',
        5724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansShavian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextTheme notoSansShavianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansShavian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansShavian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansShavian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansShavian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansShavian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansShavian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansShavian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansShavian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansShavian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansShavian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansShavian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansShavian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextStyle notoSansSiddham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '946791b0a0eabdf0915a38574ce33e52c1f35a2506ffc321a5569f2e99b01a23',
        149720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSiddham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextTheme notoSansSiddhamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSiddham(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSiddham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSiddham(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSiddham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSiddham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextStyle notoSansSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd79d0635bc28369441bfbc6287c18e275ff7d433497d682ab61e96be1b703d',
        235976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a41be88a59ddf1bf554c56a443164dac2942771aae9510b36e2d6722a0138e99',
        236000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e03d16330f7e8a8a0ae53dc01c0b016e732a23dd8f472d2c86cd740d903b5c3f',
        236068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0830738b7bf94cff7d13486a59a376e0f37dc3855412a01c45dca26795db140',
        235904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31a77ba663d918ad98f62c8e38dc9784a5b6d59c411c6d95021d9853cf95bc6a',
        235976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ae9aca8aa428f5c8d001059f55324f7b4a87c1e718dfeda03164d42b7e4d75d',
        235904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4684ab5e1fa2fe363b37a9140235836c38155cc2dfb54cc12853610a1ea92a4',
        235576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879d1e363d8c5cc52018eafb5e3746c8501c8e32ed4dd37c1a4be602b09d35c5',
        235612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0979722dabb0164244f681007c997588598f391089646b02cbe1178246659f93',
        235276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextTheme notoSansSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSinhala(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSinhala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSinhala(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSinhala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSinhala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextStyle notoSansSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '574fabb53f2fd5d310d2d6779bb40f17024a3f3dcc3e3d6a59a3f0f22c7320ed',
        63808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextTheme notoSansSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSogdian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSogdian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSogdian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSogdian(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSogdian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextStyle notoSansSoraSompeng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24db948f99f23c49b6afe9bc6472fe0bb925421eb51a407f4a8ad79a2a4e8da9',
        39220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0a7dbdf86203ab5b4eac7e2239ab04591ca3ff425db75de0d196c9a6d379f4d',
        39328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5755be878d807000898bf7844c60ad63e4c1c5022ab42e260a0ca4b4b711c07a',
        39272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '247b629777605b7cb5bc011f6e82e3c81b7a0fae7c65c2f21595162966502fb0',
        39224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoraSompeng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextTheme notoSansSoraSompengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextStyle notoSansSoyombo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f02d35b6efba6a045abf92f6f60e73ac11b35c6773ba5383fcb441ab028bafb',
        65788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoyombo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextTheme notoSansSoyomboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSoyombo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSoyombo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSoyombo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSoyombo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSoyombo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextStyle notoSansSundanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '250e793c90cca991bbd18c5903587cb368d0b1f8b6ff8522d55719563318f3bb',
        38620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99a600440cb7e26e5c0ffcb95b426744de0796da1bc10cbdfd91ca946e97eaef',
        38660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '450f7c08a4f714ecc69ced14849633522eeee7ee5392f5469db087f58a4a3784',
        38640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b901ae46d5600873b21b0e0b02f7d9cbc88155036245eb7301ed7ac20b7b848',
        38604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSundanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextTheme notoSansSundaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSundanese(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSundanese(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSundanese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextStyle notoSansSylotiNagri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67d1583c490e73682fb5462b073dc393dddf32c8772030ef201de1c416b301dc',
        45088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSylotiNagri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextTheme notoSansSylotiNagriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextStyle notoSansSymbols({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f3ff3a27340d361da5c5ce0df0256b99f71e94d9a953f6de64ce84db330cd61',
        202232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b85ba911f384bd564634db25d8a1dd8de508f13c5b51fb410b17ee15ed34bb4',
        202308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '058564bf8494c0ead40e55e640d6bad8a695e9e1d445f6869a493935b77355f2',
        202272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af0441e089f81ba8b0670a77f7a06c23000f8f57bda03336128e1bbaeac51505',
        202052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3c13052bca7821c58073c51295e48f5743a950b0d7cbcbb655dbd455597a077',
        202012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b7181a5a0a5f75372ed4718b5ebcca6cd8b100ef26e9b3993d5dcdb8a1ce95a',
        201936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d71dbc1f4c2f8eea62e07b1c1b1814bd82e65d0b619e5caf2683c13a220098',
        201672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e4df72c320203eab65b2be720c45b81cb8a4c29b85b0cdc528ceb3ebbd5dde0',
        201624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '190938f81f7a2b1204c9a395bfdb31ca8c8014e93cace0b44803416b552a84b7',
        201464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextTheme notoSansSymbolsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSymbols(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSymbols(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSymbols(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSymbols(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSymbols(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextStyle notoSansSymbols2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7312190525b0c56caf4465a78ffd45458b96f7a94f14183bb797197a7a77ba68',
        655736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextTheme notoSansSymbols2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSymbols2(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSymbols2(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSymbols2(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansSymbols2(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSymbols2(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextStyle notoSansSyriac({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '843b51d758cfb4eb7a1cdb283bc9305f2223b6750b6771037fb01ff633062ce4',
        177180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f103ddcb10c8322f8097c17d1a0920e8564e4b234b6a124d5e6eabdaf05007e',
        174204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e1c729cfbca80dcd1d07c28eaf72f4b7de2a10278910e17f26628bd4e73ce9b',
        178720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSyriac',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextTheme notoSansSyriacTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansSyriac(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansSyriac(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansSyriac(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansSyriac(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansSyriac(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansSyriac(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansSyriac(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextStyle notoSansTagalog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43986cbd71c7d91509ce27b973400b50635e967d99acf15da884b66d20b830f7',
        35732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagalog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextTheme notoSansTagalogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTagalog(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTagalog(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTagalog(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTagalog(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTagalog(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextStyle notoSansTagbanwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdca1c5e2d971ff8b6c7639804762cfc6b9bdbb8fbb02dab0262c6d7c327de75',
        29488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagbanwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextTheme notoSansTagbanwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTagbanwa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextStyle notoSansTaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32d017c911f472b42fc7e84338c8d7b2338340c4c908d0ce41bf1563d535ef1f',
        38484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextTheme notoSansTaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTaiLe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTaiLe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTaiLe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTaiLe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTaiLe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTaiLe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTaiLe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextStyle notoSansTaiTham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a45d2872639d0d08b871a3c829bd17ec2712761caccec84a13a7558bb1d611a1',
        117668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '857c486edb1ae795e0bed9b8880f24b3d156bc81e2933d08d36ea5b90821062d',
        117716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '589aca20e96093a275f60be03be4107191fc6043a9c3565917815eba36d682c1',
        117704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '511b9f7251c26a99cc0e43f36b6b62036fe81837ca1730df1f8651d32e19d938',
        117592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiTham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextTheme notoSansTaiThamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTaiTham(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTaiTham(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTaiTham(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTaiTham(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTaiTham(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextStyle notoSansTaiViet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c62e6bb9c35a3be91fa83abcb120f180104ac6e0b0a4e83b3849e7c81196be4',
        44956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiViet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextTheme notoSansTaiVietTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTaiViet(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTaiViet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTaiViet(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTaiViet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTaiViet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextStyle notoSansTakri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3c64d19a9331b7c42eb6d8a6a70656f61be4a2aadafcaf9b4f14d41bf26bb75',
        46492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTakri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextTheme notoSansTakriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTakri(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTakri(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTakri(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTakri(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTakri(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTakri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTakri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTakri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTakri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTakri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTakri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTakri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTakri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTakri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTakri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextStyle notoSansTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc19d326fa47bc849a3d23b67488ee85b5807733259b92f06c08adf3ee663abe',
        73632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03f5098a95493ecd5a7b3999a0928f7087428495b21fd25c34a89fe4c2c11b8d',
        73708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '763fe2516c462857a37dc7ed3b4062db56a3143a95a8c1759d3bcfe75b0c421b',
        73672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eed76554a80529511964671782344fc16a5f926b79cbe87863f0169e3b64cb9',
        73584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a031997803afeca4760df85cd5cde900a3ef446c4513e6270deacdc745312ef6',
        73704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc6c311c5b852e94978cf52915119d0a97ecae0b70c06f43c5fee9791a658045',
        73700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aec38108180fddd2a6c2c56f5457abb3a0f77888489a78a57f33efd1e02ef119',
        73552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cacc979a7f4a2430edc156961eeece31013d88b281c8d0de26c73deb33411bba',
        73636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58c36268ca6fb10ca11ba519babe36be665233aa0c6750ba4e30110ababb16f8',
        73592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextTheme notoSansTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTamil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTamil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTamil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTamil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextStyle notoSansTamilSupplement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f348d8c6df01afb3c86986e2e48509bf954f3a1c36cebc2cf14620e8875d64c',
        14812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamilSupplement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextTheme notoSansTamilSupplementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansTamilSupplement(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextStyle notoSansTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ee5cf660a82926df9baa44157be04967a3db9e9c92efd22b6f45da4c108ac4d',
        171628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a98b65bd5e62bbad52bc82857f71d041695f668ae696a91b313aefcd3f49d1fe',
        171824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6f8ea04526892a8bbd6e44d6b0e9707827a2364773d6556f8db1a13f5a69ef',
        171740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4da82f051a26a070da9964ac3d9caf5b610ce3036eea0ad00d2a37a39f700cea',
        171696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b832ff3211e07ce6d6bde9c3ccc86e54980300c2fa5ba73c90aff9e7ab8c8c31',
        171828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff9343b1405687b43a972bde40ba5f87a8e36b16c04da9cecf7b542e69cbb7e5',
        171884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc6f9ec0a6649de81a54163cf54210046d2d99dfb6b84abd84f0d02ddbe38774',
        171624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84325a4e5d1700c6790ed29ae91db6f0726ed971e7ec8df137b49f366d5277c4',
        171836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fddfb4d8a6b87a2249a306dc1053cef2c03b14762fc4204757f4482e80d9dbc8',
        171792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextTheme notoSansTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTelugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTelugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextStyle notoSansThaana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db503ac7bbe5bd03cda195ecd1643af9750c73f37bf64f9b954e7c83ff80d5ca',
        43104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6bba444863c7a6194040734fcb5d6639db00a25d60e29becde2b1cb495ab5e3',
        43152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c4044e15895973643d6f60c43448c6fd57e6925806385df9909693751d3ce9b',
        43116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08a40bc2c5414801b600fcd07784c31e6441f15413599610b9e549a110b34d8a',
        43060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bff90ede971d2f1f36aa4556826e8da844a3c4b34b3e72cbc185d90602c4daa',
        43112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16036a1ea5fae54d7306d8658e963672b9aada1bde613ac11e6d054a530e4436',
        43108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15ae23290c97f7b05b780fdec44d3a1b6e7bb250eac246c0c74b548ccb91c09d',
        43000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ea58e9cc60d13dd1f56e5289af2399b19013d5cf0a5126f7beef5ed1b83c31',
        43112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd83859f0080c1e6b9d0eceb56cd3c735ca9b3368fe67f1e90722ac3acde26cd5',
        43076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextTheme notoSansThaanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansThaana(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansThaana(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansThaana(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansThaana(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansThaana(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansThaana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansThaana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansThaana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansThaana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansThaana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansThaana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansThaana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansThaana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansThaana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansThaana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextStyle notoSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9bb95c7d2456d2e99dea00c6d86ec222d3672babe48e7bbf267f7884a64fb8f',
        46384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a85051089bb20b3db13a65d67f33047c1f54f9af07f92094de9b49b58eefae2f',
        46492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '317788877d5c5b8f8a8143d8e6b49ea5ae3b25323507cab1d9bcdb1008cd003a',
        46428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11264110486bd9ad9fa4acba4992309c66b02b4ae90949d5dd8e4b67d35af180',
        46356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0fb1da7190f0f997eabb541c82bf11c4381281e1293a79bb90f61d83e50cc2',
        46424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b87d990dcd629c0af9fe29b43212e0710d0752e8d130825539af968d1d6d4f00',
        46428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f43a775a0b7b76f8563995b98887cde34eb6d60e5e84b55222a3339c1553a044',
        46340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e594721b9039d062952697c5e95adf7cc14c8665c4e799bad49b2818246c6b6',
        46396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f216d5c4df511e35fab2ea3889c0d0591c6a8ef2c16329c3e90f77183fd56a5d',
        46280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextTheme notoSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansThai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansThai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansThai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansThai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansThai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansThai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansThai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansThai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansThai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansThai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansThai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansThai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansThai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansThai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextStyle notoSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8299a72bc8a7f2d3dfbae3da7953c8a8ad0942904c399ecf44734acc9bdbb260',
        35924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7571d3db9944807ef884a1ef3a9df329c28ef3bab9f24b157917673c72da57ad',
        35620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f9290e2adfb8228e3eb2653016ec9960d78c639ca8ff4ab982bda39233f3ad2',
        35264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05bcd4fa6c1daf849c9dd486ff279faa685d5fe25e4f7ab4e7148f1d8917ed09',
        34504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a732f3ff505fe07401eec194b5dd200d4936fdbb0e45857721fcc38621ee34d',
        33908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '347848e38c75b81c7907c81086cbab705c02b7dbf38d904804b764bb8f83dabc',
        34560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a10d07806119c818e0370cb657889696912a16eea697903d1747032958f85f6',
        34292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f33672a3b3a89a916bbc0ee94032bce5ad94de0e4ae07934b93d660a6b0fce5',
        34280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f07642074935e2074d0ae2debb954cf7efe1e81cb9fa4d5c28a71ee885063914',
        34324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextTheme notoSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansThaiLooped(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextStyle notoSansTifinagh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60c0bd8ab3ba91a65ff6f019391816e54168e6dec90eeb21775eec927d5b532b',
        26936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTifinagh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextTheme notoSansTifinaghTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTifinagh(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTifinagh(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTifinagh(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTifinagh(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTifinagh(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextStyle notoSansTirhuta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efa07c6b3f157b258dd2ac796311d3d0468e6c104d124c30186e8d10d29c1298',
        66912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTirhuta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextTheme notoSansTirhutaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansTirhuta(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansTirhuta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansTirhuta(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansTirhuta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansTirhuta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextStyle notoSansUgaritic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d9f37689815afee098c7697688ae1020a16706942a7110b8c6b3b0f6c6332fd',
        6192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansUgaritic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextTheme notoSansUgariticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansUgaritic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansUgaritic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansUgaritic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansUgaritic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansUgaritic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextStyle notoSansVai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '211b25836b74b707326a59ffacc949268826d58cb9a6df8a00c1a45903d5dfc7',
        81408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansVai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextTheme notoSansVaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansVai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansVai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansVai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansVai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansVai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansVai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansVai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansVai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansVai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansVai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansVai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansVai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansVai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansVai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansVai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextStyle notoSansWancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21c486de3f2e1cf29de43ada5752c1f262d97c53aeddedd8d381d18cf13a91ee',
        44632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextTheme notoSansWanchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansWancho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansWancho(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansWancho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansWancho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansWancho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansWancho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansWancho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansWancho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansWancho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansWancho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansWancho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansWancho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansWancho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansWancho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansWancho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextStyle notoSansWarangCiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4404b68cb22941176fbbd425a35ed3a042452b88a4a74e4c8fdfac723b1c5635',
        61444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWarangCiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextTheme notoSansWarangCitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansWarangCiti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextStyle notoSansYi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '957deafdb9e9147d6a3634e0f3375f57492a42ba079cc11e9589a88a974de3e7',
        210032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansYi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextTheme notoSansYiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansYi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansYi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansYi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansYi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSansYi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansYi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSansYi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSansYi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSansYi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSansYi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSansYi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSansYi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSansYi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSansYi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSansYi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextStyle notoSansZanabazarSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96f1f5efe4bf49b841bd90cf3eade3d6c2e003c45741d791d51f81934379b2c9',
        46328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansZanabazarSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextTheme notoSansZanabazarSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSansZanabazarSquare(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextStyle notoSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a5be5264ec79b04fbdf0cc7539b6f2b76bb688af4fb0a935b31114ca4f32197',
        245132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c77141ccb7e46b999b2ec567b0ffd15868f49f1e5206ff5c8a9e7386004b899e',
        247988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e4918ed0e89a5e49432cafc9f4b66350d24d7ea9c6d33fd9c8d7def64430f54',
        246032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01e0d5c835c58708f4b96199949783c81fd202953c056c3ca5fc6faab9e676f4',
        261112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextTheme notoSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextStyle notoSerifAhom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b1e659466ce1b9da1bbc4bc02bace6effc3fa84ec8ca367ece5d223dc7d7c27',
        51388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifAhom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextTheme notoSerifAhomTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifAhom(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifAhom(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifAhom(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifAhom(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifAhom(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifAhom(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifAhom(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextStyle notoSerifArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51b9e483c966bfd79e7be43745c088850eef8a0d2576c64463ae44453a75fe66',
        52932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ddf8dce8f786c47383be843dbdea7cac625552d37db2b4d83a38362fe7479f5',
        52996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f136d30a744ae9a1c64ddd64dc963a0e69394bff86eec5be642c10a951bfd17',
        52952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8220ecf72aba3890709135ebf4970684a2bc320dc95d6cdbedbf5ea7ca187dd',
        52916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f15f1c8aa5b9aaa123f16b8b5014ace2c62fcaf5add75c7f33c67cbbdba24b8d',
        52972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5001b8ae97b28565dfa5f192e3bfaf3b4a49e4bbb7d34ea0245f22b25fd0dadd',
        53012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dd41d5014579cb081742f0788fe64ba860d0693a78242f18c1c90787e613d41',
        52924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90c628c9d4bb94becee6f9b4e15d81d939c8ade404b232cfa3f550a126738f53',
        53052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f8eaa169fb2c750772ed1317aa969ee3a92083b4caf13e7befe5b5989e6542e',
        53016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextTheme notoSerifArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifArmenian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextStyle notoSerifBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c56a0791711966bbf1e0ca8be08b7f8a8068ccb5718972aac08ab977fead272c',
        80400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextTheme notoSerifBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifBalinese(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextStyle notoSerifBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1682690ca9054c175b7baebab19ff2c37d445ef5370b0dcdaa04279d1c47702',
        205168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75cbd95d5194218ec78c1f1c8eb4130243bc8416ca0280d233edf15164c80349',
        206208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b8905e7200fdac4e552a043b93fa813310ed6bb1dd9c451c24ff5f13881344f',
        206168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c614b3c3a31b66924754ce54af7d255ef83677c7fda8d92b0d54f35f0417049e',
        205588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c85a535780e513519a39977cfa04dd10adc133074275637bb832f4ed638574ff',
        206884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb452679317f6247c5e5f18fa28db00780d382aead10dd24d479b2c483a83553',
        207308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06181ed43a9557b9eb41a7a985aaa7941d8f719e10a6e1c0105aa58be15780ea',
        207484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb9e8f54bac76f3f05e7507d8a3b61df88e8d06e88a1d834dcd5376a56baa24b',
        207584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7c9fc677bf1aa3544fdc54cb8032902ada197ac0d4607409ba0c5714b8205b2',
        207168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextTheme notoSerifBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifBengali(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifBengali(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifBengali(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifBengali(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifBengali(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextStyle notoSerifDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22f229df5c09891bd38388814c9b4593ed5d09de3a5de8142145e5509a2d6c98',
        231184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aedb11f32f5dfee177a214eae75fb41448b89c9abb388287d452c34d4d0e8e67',
        231476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff9daae55bce480f3bf249cb9cb099a96cbf2127d1f3e7fe748a77a232b8732',
        231484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd27cc84f753531dcb29de930bd358428c2c3e359bed1e17498494603370ad19',
        231352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a4c7e784187db11a1bbac31974d505eb41258a99f9070c2509669c34826067e',
        231788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '919f50d6c861a7aee602c365e2c164743a88d117a4f877a88f6716265895cdb2',
        231868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3483023ab34df8652de3de4e51f26702f5d93239d8a0793064196c88f12045c',
        231784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bbabbeb920ef4ad96475c93e2185343aaec353022e109c6ac0085975b20ca15',
        231932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '179c1243f227249f43b480caa65af688f94fa46f7f0590ab93cd16eb1ee9d4f1',
        231848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextTheme notoSerifDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextStyle notoSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45647ed59cdd8b1fbde39de8a0fdca0b11cf6d2649854c62ac8b76fc486595f4',
        397676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '824bd16535bc61d3e75ad55ae7d94dc851af38999eb8e584f43e833005a1ab4b',
        398216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c24210e7c109d9fbe1f8221cb14f30888736b094cbad454cb994f8ade2332568',
        398376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35e92e948cffac6ff8a924a3cfda0dadb578fbc0d231cd3cdf9772107afa68f5',
        397444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9f807f54a5419bab719856efcd290ce8c1042e7261806f12fcfd88b5a586a19',
        398376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '145cac37544cac3f48c9ca22478b8bd902584331d199cc377aaa359e8e6edcc3',
        397992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8852fcb9cc3000261dfbde48bd00b21c6bb9f33d21a6ac4c7e7f7e95b74440d4',
        397532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1703079998c83ebd69fc74133f4fbce1cfdcac711cf0b0ba758ac0dec07cfa90',
        399028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd164336fe49375551a200ef4f57cb6b008ad2b689167540a8562137fc6d10959',
        399140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2e8d970c19c432528b8cbd87ea7b35318bd6a918204bff05396d6a390b2bdf3',
        417200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '885b45ba86f4cc8db519b3e0f07edfe877e26560c788b18cd5c42b3e5395de05',
        417796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c6da3ce8d2192cd065e18b1e3513f88f07466463e9d3c2f8e32b52dff130f8ad',
        417840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de3f69ec8367d7b57fff3187f9124fa4df68ddd0ca2033737aa203dc61693976',
        416604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bac6f9f83b07d6e98d7ac36de6e6c2f3f3775030b6af3e19c5df9ff4de5a285d',
        417508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f0bafd0da6288e0e373399ceb0650870aac667126b36153e09692597d72e857',
        417796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '583644d1096fd4e87919053d71dbc34249b27f15260c40017d307708bea8bb4d',
        417120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00f1e64d50e1447257b0d5fdf3b3ba051728f9fb68da9438207f32a2f296894d',
        418248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9fda99a22c93100b45702242330967f1f3dc77d02ab572af9f4c10f9bc3dcec7',
        418056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextTheme notoSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextStyle notoSerifDogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '861d3fa005d5e07807519d816a1cf6cbb6317e2c925c46e791b417f0a26b84b7',
        17188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextTheme notoSerifDograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifDogra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifDogra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifDogra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifDogra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifDogra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifDogra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifDogra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextStyle notoSerifEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62b4a6ebf13dd5be38b99f01ab2b8e6501676e5ddbe46f7ff8cee05ff6f13ea6',
        264664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16f7e0957690eb2a413a4ba3f4ab9e2009def4cd7625df23edada42abafe8e3e',
        264804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e4f99a899b83fb59fb978be5f2555219604a101006fd8c24a34cc317743f24c',
        265036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b65645fb309be96419410a01daf79195b8253ab635fcacbf80f7b25d6c88402d',
        265200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b51959ef0af2e73cd0282dc2afacb5debae220fd69eae8e56e0f490f7ce0df36',
        265348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bf73a5daeb8e2b9f44ddc53887c2b1cc567525521296bb248ecd6d4b889d077',
        265532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f776187e3777eb97304744975ac1892755d393dbf9f9ad0a7abe30c663f2bf68',
        265536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71420e7b6da06d3d7b7dbc1f0c9f6565847ed07471f47681e6a69d8afd163463',
        265512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '396296e55801a698c94627e92b915a2d0031acc0524d0cd57527abd5905f7f3e',
        265460,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextTheme notoSerifEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifEthiopic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextStyle notoSerifGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6142ef7316df919dcabccbec372438942c6d5bcf340f6351d7619221921d321d',
        79728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14bf4fe4e4219136560889e244d07d72394b54ad9576242dfc1a93b616baccff',
        79772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00057e918429eeadab32c6eb6d363e4299cd958e17c68c36f6ec9ec26a841adc',
        79704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e47a067cf999822fc3073eded5a5c73a7799dd3ae4e9da114174019c8d8747db',
        79656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78814dd787c78be808c35b2e1a6642cd30cd666095158fbf24ea3cc4b9cdd5e8',
        79728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bec9056e6b04044558098bb76d802436b24b9b9ed9b13582bee970c0a56ab3c',
        79744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9edcb3ad86f2a8dd2f7e97e683ce45926e947ebe3d9e4f1e6763fb86e64ecd6',
        79628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc19d24fc69aa82b8d7ac57abba2870b369c816d266400f956e343ba4cd42e3a',
        79748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c84493ca05c723f1a6d65fcb38ebfd873fe2bfaba4d06c8ae234842dcab93761',
        79728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextTheme notoSerifGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifGeorgian(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextStyle notoSerifGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35cd8486d3f431e8ccf5a3e75dd1d4b13dfae9d132ce06ebde9a297641467d41',
        317072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextTheme notoSerifGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifGrantha(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifGrantha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifGrantha(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGrantha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifGrantha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextStyle notoSerifGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bb137cc4a31eddff6f7573cb1cb83434a095f38a29f7975a079aea141282772',
        139172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcc95b151e9c4bd06fc7700fcecb0177658ee94a88f452439331b5434fde0f55',
        139460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '090a2211feffe464a926d12ed9b2e5bfe069e07ae07d1dd4a71f38a5cc811594',
        139404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd280a46f3dc9c69b3ca504b4715f9b7ef77c43a4834c48904db79e3f5bd703f5',
        139312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8214952a4e9dabcf64389229a156b7074b083c470b92033d30bf0c8690e6f19b',
        139444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '611138c21daae144b974494891ae3e5b49004fe696f957d1dbe0a24c2b676941',
        139540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '692c86412480f7503b311a379d3d925e91f35d5cde6eba060dbd761532b7f372',
        139340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d6ede3e8e63bfd8a8d547949b5c6c8017bc707c337f70cd1ad14d284cc687e8',
        139500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '795f34f13b2bef0fa404b086d730e9aedb91a50e79becc2820842098b190b166',
        139416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextTheme notoSerifGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifGujarati(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextStyle notoSerifGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '729226b7b91140ead1b2d876a20dd4f44925a9bbf74294141d068fc148414ac6',
        65228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee1a9faf98d0fa6e6c0cc5419219adf9debce4ad10a103ad54ffda005d0615a7',
        65408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c97c0e922b30730ea2b71f41a5494d328e4d65c578d349dae35e0ad9f65f7f5',
        65372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fc729a59d2e28c4c1a7fedbb766378366875f2bfceb2b64d8ec7fe57841f9b3',
        65344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ec01c6f61a83fe9caecd91787411d5288492aa664068579d209f0fe7a3ce36e',
        65376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59ac317c1a7c0589e533f91088679f0a8439cdc431cb48b77b4fd57d0fd0023c',
        65432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69f12e52a29173390c94e6516f55eb798fb658e710d6fb9c785f70111fdc3e79',
        65340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64c6760d3e09dff70fbe3ba89ba8ff0ae946b4dab162b74957ca0fb853399dac',
        65448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c7d56c099305033bbdb2429c149ff1b1b85482218acf2ec27a617e8539110db',
        65296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextTheme notoSerifGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif HK font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+HK
  static TextStyle notoSerifHk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa18f4ac32f8b96e3e9efe0c6c1c4b62579c84088aeb87b692d7232ab4221a2b',
        35063028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '187ce87ea920319caf9258772fa74a7055a873868fdff3db8123173b707cd76d',
        35075216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67c7cff06ce976bb3d387421b16fa4d3e3d5306d2c434fcad9f7adb437fbf754',
        35079044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ff88103c2d940bef81ef7e277cfabb54fcf8d61f16e5734b2e559c222bf1a5b',
        35089064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eabf90b6877bd7df0cb5665d3a82794b3100f4432b115ccdb0a0dc3679ffc46e',
        35087908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b59b37d42e4019dcecee79a8ef4cd7bf6777b9e88d7c043787d0616a6e243ea9',
        35086016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1db7655beb2e737128ec8dfaedb5a6f66d537c5352f41f62dda1a7260ba64ed9',
        35085416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c7584b0f73220baa28fa5435e083a89b9c58aaaea8f96fe9bc0b900c004ae7',
        35081100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHK',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif HK font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+HK
  static TextTheme notoSerifHkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifHk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerifHk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifHk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifHk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifHk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifHk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifHk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifHk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifHk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifHk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifHk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifHk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextStyle notoSerifHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bba67399afa0c856aea5874895207290445d2bb4cb068876f5821825ab5117d',
        50192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e3b6afee7ba6ddf2682c27ecca5b98d9f4100331ef5c693175901d6392dc2de',
        50268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8eb0dc7d6d9f097c9de032e9b801ee710d0064c7c9bd88cf5e08059d563aae73',
        50336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a52209c85096ff94a2a63913c3fb4e6b687be4633c058133b5fc724c0a2f1f8a',
        50220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08b7005303845592f974b13cccf0276ed0937d16095f54b7179b2434f5946c4c',
        50272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e0536d4c40c00b9f23efb42c88fd19f557cac4eff9fa650232d2aa976096c53',
        50276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd58d11ada989cace51ede272c4fff6b3bb5403134a90982916fafaa27e4cd91',
        50252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c5b8f92c76df446a01482e64462a5d4ef081378b9be0f414c13e7b5dcc0376b',
        50352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '978aff8b0b918ae6d77a83fe00b1385df5c3e16a1aae57f33f0b3cb51457642f',
        50260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextTheme notoSerifHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifHebrew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifHebrew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifHebrew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifHebrew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifHebrew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextStyle notoSerifKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98ba5ad5569644ea9adf0256f3188ea3dd03bb379b6238ac2d72bd4c92d3125e',
        169316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8970e42ef5e688e5c223da259d7772e750ecf6e6ffbf69105bdac383f20dc756',
        169648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db496264d908ed466288c7a6cf54032a96c872dba12b35380026e8c8c162ab81',
        169644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b63df910a1fe25c6e50416129d5085fa3fc831375e12e0bd999e370cb06ca854',
        169456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d487b3f56d6c06a876d94b4f34470b05c97093fbe7505a438fd48749e5f25ff',
        169768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c832de935b5e8fe92223fcf7160246a54736a0738a72fb59081ff64e689c65bf',
        169804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a49b04b782b8de1dce2291483d203911978957880b06e3bda9aaf1a5659e2b5',
        169608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a0dd76014a4a5784ec409b02032c470434d5d2c58305176c1fd05c11eb8d8cd',
        169972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19db9821483c675f53b186a9b3dd7e9527bf4192a4d19034b14a4eb753ee59b9',
        169648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextTheme notoSerifKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifKannada(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifKannada(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextStyle notoSerifKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b0d7b5871e9cf817e3782bc096edc90eea9c89b1d1f5f45d647ca28ffc9ce3b',
        135524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6355280edd5ea9b9a916be1978da057788c32112f660111acdad7c36af99fb5',
        135676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ae59b808ed7fa8a81b6e5836e8960444193aacf804c6b4134aff67734c23fb3',
        135676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e82bdb08460379c40d945b3eaee9ad7223f2bd4b5c74f8665cc37fb5b34011ea',
        135352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4e4211434a3fa7fa101efb0cc0e43e1a393a313623de19c16fe7489cbec98fd',
        135520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02658bedbc84c348075dd2e36d93abf9efe111945cdfcd1df5a13520a38d668f',
        135652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '064994383e9e4598d5bb51b1a86ab128134a67c547b0272afed82ea83fec3b50',
        135536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f4b3d62edda3a8535a9a6383df09f0095c212723f37edf2d1aa75e841d5c327',
        135596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9db840f4e75650a6e81f32da5e2949430c71f102a40bb91b2a5c45a7c8fe8a44',
        135444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextTheme notoSerifKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifKhmer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifKhmer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifKhmer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifKhmer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifKhmer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifKhmer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifKhmer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khojki
  static TextStyle notoSerifKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a1a14e2bbbec5e733a490d91a65bc1374c8e898ea4e491faa8118cffa95eb5e',
        139488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c267e09133b61d6b3e6a5fc32d2880021e10e3efd1165dea5a88b4b51b1c4214',
        139924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01bceca5ed1ba5deba9169fbebbe92fb70b5e5fa18a8cd1c570f652fe9cd0c77',
        139936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afca298bb91f5b8c1fb4eebef4d9a3b8739f0c6d1515013d0d40bc28ff865094',
        139692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khojki
  static TextTheme notoSerifKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifKhojki(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifKhojki(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifKhojki(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifKhojki(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifKhojki(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifKhojki(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifKhojki(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifKhojki(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextStyle notoSerifLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '636f85b441981f010fa4c7dac6a8330122d823d9ab98c84fac2b9cea2e346555',
        53996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2cb460f6691dc6226582cab0e7082f42688171d91ae85ac477b5d4dde65f820f',
        54068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e25bafd99b62073cd4262b95cce3d9e01f3886161ec5f1a32db0fd55dd7b827',
        54064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c59ac2690fbe21c945902232ae2646e999040eb41c8b4fe3f3643a2a4c24acd',
        53980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0876502dc6556ff880b3c3d665631ca1526ca56778d9d843bf81af4c977e86e',
        54100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96be38d9fb2f19873107b34d626417e6b68eac626e46d35297d9b3297ea5fcd7',
        54156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a07e226ddb918264bcad39442c2cbc2b548775a025c3f4fbfe218d3c49593c29',
        54080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dc45fbfdd6a697bb382349a152c8e17573fb724c5c9a8f51f2d7114b674fcd9',
        54160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b992b879192d3dcb08aaac734b91373408c075422778ca9a0084395fb2a08110',
        54056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextTheme notoSerifLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifLao(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerifLao(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifLao(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifLao(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifLao(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifLao(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifLao(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifLao(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifLao(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifLao(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifLao(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifLao(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextStyle notoSerifMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb78b8d7fba00abe9625ed15a1b2616ea317de9d834cb6b17bb34d10902ad2b2',
        98900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30e5d8de14e1e0ade8d5aca89592aa77eb18ff7827dede16c2382169a4a6971d',
        98992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54f923caac9a5682dd6108ef4220dcc9b4ac405861e3e0203a809be1326fdca7',
        98888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44b8061d9d6be8113cad04d06ed39dfb7c9bbcdaef85c20d882496c25372b04a',
        98924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb780b3afa0eefc6fdd39fedd42ec17bc8aaa33e4c1ec45943095ce612808752',
        98980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4bb957e3c03d3668f8bea30fd1c83b16af2975daf15b09667905e4c936db2c2',
        99012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14e995135a67b6a95cc19c68de7198e7cca1890f88e31cb68f744a20ad05fdd6',
        98988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff30ff1a2b0d1f710d6a1ec3a6e209a9c04a49415617d9be2a11a6272b71a732',
        99064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14570aa699b4946f8c210762f63478adc2be2924a4cac08a234e74fd98fa542e',
        99016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextTheme notoSerifMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoSerifMalayalam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextStyle notoSerifMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '438218d60c4be2c3a7d215f784fb7cd714e30f5ef18080ed7ab1478cee957c5c',
        185260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e2b5b12588f36092bc455f6e4d546e81faec9d2cca283d27919c666691081a8',
        184624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c91ef89e0f5d2c61287249037d0d20f00ce8856c5cdaa067812a6e4d45d637d4',
        192084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee046657538eeb83e39f8738059ee2580f8daab6fe65c436b304c79c6a2a6d4d',
        190336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a50f892970c9784f79c1f1e002935141b5d31fd2cea06ce0a9980fa3d3fb6f5',
        183092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe3a066a6f537609693b6e1fc626190d0844b9ceda1c43a279ef5e8725ef0dc7',
        183192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d97d67e018337923faa5b9cc681cb22a11a72503757587836a6057cdb7532c4',
        192236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '891c886c13564ec9edbbc0928d135cb4c8ff239a57131b64a2fe18013a56d369',
        184844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f07b66049bf83967df91919bcfa4ed222319ef1d691a07da30536671c4b6b67e',
        185012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextTheme notoSerifMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifMyanmar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Nyiakeng Puachue Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Nyiakeng+Puachue+Hmong
  static TextStyle notoSerifNyiakengPuachueHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c87b0534b42a8288d0311d1b285d24f8129d258ca4a00f6bd93ebf711e7590a7',
        14676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '851e0d108375057e2d9071b9324d0c71c6127ca33f2bade827ad0939d64c3f08',
        14704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03447d1d0e3a20efcdc91c67a53b1528ffc4efa9573f94427505bb7cec8c5e6e',
        14680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a397a42a2f2704feddb845c9cd38e329f28c8c9428c0c12feeda084ee761fe1',
        14620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifNyiakengPuachueHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Nyiakeng Puachue Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Nyiakeng+Puachue+Hmong
  static TextTheme notoSerifNyiakengPuachueHmongTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Oriya
  static TextStyle notoSerifOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60b94f27413ea1f477c5f29501949e68c80fc9bffe6a86f15fc9a4c8cb6fd5d8',
        146656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71990bedab0c3ed736766e69f2f2d625eb6139f7f622b21a830c506a432fcc6e',
        146964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd808c7455d037e801dbe5f08d2ac625e8a1afd133f52ffcce1b3220fd43b7096',
        146972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c56ec13e8f25457d036a116b87f99d91e23571998d2cb69f1ebf7600ec1d56b',
        146412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Oriya
  static TextTheme notoSerifOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifOriya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifOriya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifOriya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifOriya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifOriya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifOriya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifOriya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifOriya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifOriya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifOriya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextStyle notoSerifSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e850c6cebacab2a37bdf90f08f24bd36f42f4a58dbb43a3a5febc88b5df40061',
        237240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b18015896c723a68d87179e6a7e657b2902796b2507dfa72cb52497a47c12c2',
        237312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21c1e9c4fd80205461949d87e4256c35e163b2e8e6793e3a93f4f6cbdab3e813',
        237380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '474cb05e897eff3315fe113fce50cd75e0f66b384a7f0b1197b22e29a68cc0e3',
        237216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98d097c4be90522330aeb0278e185ed3c2aa86ab3bfe6ea88ad4ec4eb9dee2ed',
        237296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9138ee5219bdb88c76772d85d81bdca031d324e72f4a76f18dd7ca8b1fdf7b3',
        237352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c68f51e1b63327267ceaedc119bff4ce36b7d5b11f7b653418c9cf8974110c78',
        237308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '006dfce409829a4694256364de11b9523b32c5ced8edcefd0d3000aa3520de7d',
        237264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '023c292d327ae751ea52c550c432c8a253c555d1727b2ff51cb098d53d25342b',
        237220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextTheme notoSerifSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifSinhala(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifSinhala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifSinhala(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifSinhala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifSinhala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextStyle notoSerifTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd36c3532c336c9b27c0aa62580fbf97e36cf83f0772be82a23f8527e78f26f94',
        84668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '344b3b089dadfb2480ad481bee3caa5eccf255813bf38524419eee040e929e69',
        84812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46ccdf1c5fb1e010a6d3bab3f4f23c1abb7d9041d5de90866253f3858f8e53fb',
        84736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dcc6444ce7bead07e793513fae9292a90ca7ff3f53533a09cc44f22dbd084bf',
        84648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6217f7bc05a3ae6d0aca382e529a148bfd0233491447066eeac948ca8e7405ac',
        84748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cff11112f8d874b59bdb56d7ce966136b2c80a5246bbb3de4357118a5f5e5f3',
        84828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '220ca26ef5aae2b63ac77bb2ead071f62004276a3982401fbcd7c521d22b07cf',
        84692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23db205b8d60ec0bde0b332c50526d35c1769af62b0dd222198d6e3648ac9290',
        84928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e14aedad2d1d7e452820175f0066fc3878c9580947c84e8e0fde9d4f720de803',
        84928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8ade0bb24d3b5d99e8156113fb4c7024bea4ba24ee3171061c221b4046ba7d9',
        84800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e41c4226b4961422d042d8653461c8e1e66dad06f263d9d15cc71b5f5731e1d',
        84952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c4ba51d554ad5ddfb63f715bdfc14ef12ba01204f4caf583108e663b131bf7d5',
        84852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3125b04a3b1eb2a136ae10a9b911f4aae309d60d61d3a7cdcb176ee997cef57b',
        84764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8c0f9a7ab66954648f16c41a59a99a1cb2510f144c4da06e1c34507cfe018f1',
        84944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6f82774f11a6f57e019ea7501c4db74efad8a69e60c7b75f27ce17c1f17e295',
        84972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6803a541cf1298442a14c83a7d93ecd408758ee0cdb5bcb7d741a0dd08e6519b',
        84804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '715d710870d88e40ba3cbb59212f1c4af04a5abbcbb9a947ea27e30d43d99628',
        85072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5f53f52cf3f8011d7f8cacf67fe1d34569adc30ed091c04eee15615a9658de5e',
        85072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextTheme notoSerifTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextStyle notoSerifTangut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '024d9681f91ec8979de208aebd8b3ef0e5c42106cb1281d9fcb3eea68fb487f2',
        3417888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTangut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextTheme notoSerifTangutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTangut(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTangut(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTangut(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifTangut(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTangut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextStyle notoSerifTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f650351e006870c07655ce292ef0bc3c2d44acb88dbe6d57f7bd36d1e9ccbd08',
        236164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4c95cc942519c1b54521347e2b01d88191502051eed3b805623bdc42316f463',
        237152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '431108fdf6dea09a7cb959d60ededcd5c4cbd75de02a910ce8f39ae87eedfea3',
        237440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2db8f0dbdb4dcc38805f3d8bbaf1eb3c4c894f80d8a85936f1c31ac0cea97680',
        237348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ad089a1304e751b25db6233cf6a2a261235e7ad6bcb4c8ac3d3e2e6d3745e84',
        237600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc1e05589b6697e9302dae0e6f08a31d64e326e3887664e65d40fcff45dda0a5',
        237752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba49c4d001ace2a5c5574fd5a73c2c29a365c5a95b161aa1b0574f9a0b8ec253',
        237620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '059d5928b062de5cbac2de755339368352bb8162ce06ce0f8b0d1b3f2729603e',
        237816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf6d9b24ab69b747d21ca6f76228151414790bc3a9ca0bdee5808515d19d4c11',
        237752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextTheme notoSerifTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTelugu(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTelugu(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextStyle notoSerifThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd8262c877647aef83dbddf094af22601ec7965426848d4924ee4d4f0ac30db2',
        57992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '407e934bdd7da6544b8450ad2fcb40a558d366bc40dc2f059808004685ec0b73',
        58100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0baae4e42b8a854408b15747c0fe514423cdb95eeee85d7c9f1f2d1d92c0624b',
        58036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '370a68ba2b32793443a5751eea5e3762ac33c75913ba685919850e5c2490c33f',
        57904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b224a600967a12a18da35ff0cb10636ff5f82e7844aefeacd999b968633271f',
        58060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bfc8bcb227a20c6d9921b99891cabd78661c83989f63a88ee48eab00231fe70',
        58108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '845a440f9c4609f9ed18664edd48c28915c50ca436037547c0fa25725303ea8c',
        58068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ea10b820953b09ff17a68fbec51ad60fa0f3bcf418dd31a3fba2a690da79fa',
        58196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58a21266351ab13f1215f3720f0adfee2d9b498f7e2e4e48f3ff0130ca6b6d2c',
        58132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextTheme notoSerifThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifThai(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifThai(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifThai(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifThai(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifThai(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifThai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifThai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.notoSerifThai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifThai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifThai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifThai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifThai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifThai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.notoSerifThai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifThai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextStyle notoSerifTibetan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63ebf2f1aab4c3de0c8c9f200eb92dda3f015dea8a89acda8fd4b2202254311d',
        734808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '789016df83d81adaf8a9405eb074dcef11d10042527670c8f4beb09f986fa8fa',
        736352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a34f384327f4fe5c1178a1de460cfaa45131c62e55b9b269a831ac2ea0124dae',
        736144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29d92e7cae2b7fbe6c58dedae4aefa7ebe5f1422c30105b772da6968a1f08160',
        735220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cea5f34d3fc9c7b6de75a83f48a15acd926a9c5b69fb2511bd107f336a19dfe',
        737588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '270d662f84b546a114026dcc9f2e79d1d94a60e391ed4ba6ba1dfcc60235a4ac',
        738016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '078188783aab00da1fe3bddb06406cbb552b1dd0a7d7600fe31d19deb2aef177',
        737804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a87f7bc7694f6d2cd11737aa823628deed95082cbbb6d6c0283b08a9d42b9240',
        739332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bf5284e84b65a57ea94a902c3eb22e7097233b0e9cc5ce0035a05cee9732a7c',
        738908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTibetan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextTheme notoSerifTibetanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifTibetan(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifTibetan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifTibetan(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifTibetan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifTibetan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextStyle notoSerifYezidi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43e8f895b225bdbc5cafb32d375ee6c1518a30a377685a8c508c29a49705b538',
        9416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4601212af33ed4cccc6a83e8e1b3fa6be13d10fe6b36a976a7b05462c983d8b3',
        9452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '079d317d39cb00e3f0055da212df45025e6a7b2749847a1b69a3529eadc59388',
        9468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc7ab49672f45a2033d17998bfe3ce17fe37620aab8ff156195f8df0de3bd614',
        9400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifYezidi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextTheme notoSerifYezidiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.notoSerifYezidi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.notoSerifYezidi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.notoSerifYezidi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoSerifYezidi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.notoSerifYezidi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextStyle notoTraditionalNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fed09fc212bb50538e272bd8c2c4b76ef015f1bdf06f1570b7f16317810c88db',
        204860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoTraditionalNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextTheme notoTraditionalNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextStyle novaCut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c46a956de0d26486e7af31eeaa101b5a4f655c34ae4eea3df1ca508f23067d1',
        50548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaCut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextTheme novaCutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaCut(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaCut(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaCut(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaCut(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaCut(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaCut(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaCut(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaCut(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaCut(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaCut(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaCut(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaCut(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaCut(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaCut(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaCut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextStyle novaFlat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b33bd6915530aeb47f09774df48ac44bad12780f541ed15757afba9229168c7',
        51672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaFlat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextTheme novaFlatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaFlat(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaFlat(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaFlat(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaFlat(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaFlat(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaFlat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaFlat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaFlat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaFlat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaFlat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaFlat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaFlat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaFlat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaFlat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaFlat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextStyle novaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e02d031e7313ecfa888c02acf70261f9ced82988ca4a05bcd3450101d6f0d4b3',
        152484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextTheme novaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextStyle novaOval({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '915b1b00d17791228c7f4d6678d44ff2c3357d6dceba4409c710e37c6d3d0172',
        54196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaOval',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextTheme novaOvalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaOval(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaOval(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaOval(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaOval(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaOval(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaOval(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaOval(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaOval(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaOval(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaOval(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaOval(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaOval(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaOval(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaOval(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaOval(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextStyle novaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c636608b49ecb130609aeae53e7e3ad903a39ab8b7b367253f3b2b9799c3677',
        51408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextTheme novaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaRound(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaRound(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaRound(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaRound(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.novaRound(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaRound(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaRound(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaRound(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaRound(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaRound(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaRound(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaRound(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaRound(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaRound(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextStyle novaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8636ed31dd547b704d0607522db713452bf9e16b031a6f140632c56e1ba6d578',
        64716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextTheme novaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.novaScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextStyle novaSlim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a621948157ef912403e535debfc9f5fdabefd7cdd608f386145fb10a7f67749',
        51448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSlim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextTheme novaSlimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaSlim(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaSlim(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaSlim(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaSlim(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.novaSlim(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaSlim(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaSlim(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaSlim(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaSlim(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaSlim(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaSlim(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaSlim(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaSlim(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaSlim(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaSlim(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nova Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextStyle novaSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f12427d5a0a7c28ae2e285419ace837d6888bebbdd1354f3c93e4f710275420',
        46800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextTheme novaSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.novaSquare(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.novaSquare(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.novaSquare(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.novaSquare(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.novaSquare(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.novaSquare(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.novaSquare(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.novaSquare(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.novaSquare(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.novaSquare(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.novaSquare(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.novaSquare(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.novaSquare(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.novaSquare(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.novaSquare(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Numans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextStyle numans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76e8c6d6849d0932e39ea64ccefff66a0af4efbc39d45cddcb7a009aae32fb25',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Numans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Numans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextTheme numansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.numans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.numans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.numans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.numans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.numans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.numans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.numans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.numans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.numans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.numans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.numans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.numans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.numans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.numans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.numans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nunito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextStyle nunito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aba3aec5c1937c89e85737361694784fe94f7e6c453aa435fbda065b866ad51b',
        125376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97ee70c294e5e40d2528d45d91210eae074b7227785790c0a86b62f601051df2',
        125528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6461c35055a5c0f37ff2a046002ca747fc2120e9070ad00e352de94a94c642f5',
        125492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '393723bfbe6a0bda78a237d95a3979a689bdbfb3c0cd2bbcff83421e214456aa',
        125616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e86a54da6ece581b44c65e1a134878058c59ce26ca2d0f8d15f804379b989387',
        125500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbca84a0a6bf145e05dde1e02b140632b338f1e394bb1bead7c17610389f5750',
        125428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73d02c073d3f9e63a896342053c380815cd1d369542fb753ab51052858be65eb',
        125380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75089d4592c459a37eb64c043ebf867ec1c522f15ad97daf69045f09af8871f3',
        125340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a6e2941a47709575af5838c0a8e7ba83cbd28d4603f6b24ac4ad6e33b83d228',
        128236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cfd245dc3b871b3c7f8d002d749f72d7a3ec7b3f43e301b6f6be2660eb33a251',
        128496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9df0db8e7f195cb6199f01f3575aa0345959093a30bb1f112286107cb59be7ec',
        128364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66cdbfccf1033ed49a3c6343c2bf065379041975e7acd25b6a8255b7909263e2',
        128428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ee66e5933b159965a5faf2ce64b83c3d0e35eb6665a1841bfec0ed2a7dd484f0',
        128292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '74d3470bb1fc49b281b9bc655e587a099f179126cd2fdd66f99a2ca6f74f1d42',
        128232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b12b8b565c9d896b9f3ab5392f0392fc73df5df98485a8507061c06f1e97e6f3',
        128268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2bcfef6f39231b556f13dcfab5daeb84102745728810758e7dc6fb0dd0ab14c',
        128176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nunito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextTheme nunitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nunito(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nunito(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nunito(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nunito(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nunito(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nunito(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nunito(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nunito(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nunito(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nunito(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nunito(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nunito(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nunito(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nunito(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nunito(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextStyle nunitoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a31271d5a6531c3dabddda68cef0dd39464b7de3013824c2d2645dca9dae776',
        100112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5690d2e6adb77a783bce6ad5360cbc512ad990dcb9f169c939fbb82ff305e125',
        103148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4d89e7085f47015cb5eb7ae93c50b90c9f5f6d70cadf5c2b23ffad12b749054',
        101196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2c529d0dec75bb4dc88a1c56599043d50e19d26bc3f5f382c81e1c4adec12ff',
        104300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53f62034677e8ab37b68e0cedc4e7df6b4eb6933b5c34de5e4e981021a2836e5',
        101164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80dae5ccd40e498c9b6048515357686285c600da4428d4631e8b7e7214498877',
        104088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c43df4548bd0982cad405adede4641f9ca8d82a6c0499a5913be97331f50bbb8',
        101220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ecae4dea934865661d8e47a6846efb8184c4e1daa9af89fb855d455e7200d613',
        103944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c72c1707d05a86f02f11ed5bf638215b425e96cbcff240da06a019f5ffc94ec',
        100812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb9d85a584179cb75a9ba951f296390a735f9f5d8bb3145208f5ce126315ba47',
        103600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '152127b4b943ab590d9d7453955b44b7315d12e8b4e759c436f35a63163388b6',
        100896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bc4190d4d29a4e2d70cc779ef0a7e394c97ddaafa9f4494454b43154268c9e51',
        103620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46e543cff2f2a4a355978ef60844de4ed19983a66b4de60d505f48478f9df6c4',
        101028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '221e099046b46ab2e6d3224c0eb14d5a8f9beb33de268ddb81d2fa3c77bb0326',
        103620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NunitoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextTheme nunitoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nunitoSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nunitoSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nunitoSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nunitoSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.nunitoSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nunitoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nunitoSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nunitoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nunitoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nunitoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nunitoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nunitoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nunitoSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nunitoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nunitoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Nuosu SIL font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nuosu+SIL
  static TextStyle nuosuSil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a5c1af4593378dcfc747201171b6c40be34f6786755823ac3e123210a0b318a',
        251700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NuosuSIL',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nuosu SIL font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nuosu+SIL
  static TextTheme nuosuSilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.nuosuSil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.nuosuSil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.nuosuSil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.nuosuSil(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.nuosuSil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.nuosuSil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.nuosuSil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.nuosuSil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.nuosuSil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.nuosuSil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.nuosuSil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.nuosuSil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.nuosuSil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.nuosuSil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.nuosuSil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Odibee Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odibee+Sans
  static TextStyle odibeeSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd3427f8dd374436a3cde20e906aef4795b464a8179ba3e3dcc039ebf84e3bb0',
        28464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OdibeeSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Odibee Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odibee+Sans
  static TextTheme odibeeSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.odibeeSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.odibeeSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.odibeeSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.odibeeSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.odibeeSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.odibeeSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.odibeeSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.odibeeSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.odibeeSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.odibeeSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.odibeeSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.odibeeSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.odibeeSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.odibeeSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.odibeeSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Odor Mean Chey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odor+Mean+Chey
  static TextStyle odorMeanChey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69f4d00a1b39a1cb51ccabad07a1b2d07a383813db087ba7e4cba60253d82466',
        64128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OdorMeanChey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Odor Mean Chey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odor+Mean+Chey
  static TextTheme odorMeanCheyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.odorMeanChey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.odorMeanChey(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.odorMeanChey(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.odorMeanChey(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.odorMeanChey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.odorMeanChey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.odorMeanChey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.odorMeanChey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.odorMeanChey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.odorMeanChey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.odorMeanChey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.odorMeanChey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Offside font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Offside
  static TextStyle offside({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a64757b0b62c6cb19008a81d81e547ec9062ba59bdcc6a9249b9cf31f94bb2fc',
        28816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Offside',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Offside font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Offside
  static TextTheme offsideTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.offside(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.offside(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.offside(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.offside(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.offside(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.offside(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.offside(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.offside(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.offside(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.offside(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.offside(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.offside(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.offside(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.offside(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.offside(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oi
  static TextStyle oi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6df7b41ae41557a672c8d92dc9abe11c30e271814eafb10a442dbc097f224ccf',
        327048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oi
  static TextTheme oiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Old Standard TT font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Old+Standard+TT
  static TextStyle oldStandardTt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80753dc9b390c394442d3c19123ef78ddd1ffa0e08c53740244126b598aeceff',
        144196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a9abdc46f125d2993ee87d1a5980d24cdfc7fcfab7e3494eec2ff86534e961d',
        160252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91356ecc0d94564ea762fe912a681d9d9859d263637dccc42f01c44aca5f0461',
        143392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OldStandardTT',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Old Standard TT font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Old+Standard+TT
  static TextTheme oldStandardTtTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.oldStandardTt(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.oldStandardTt(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.oldStandardTt(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.oldStandardTt(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oldStandardTt(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.oldStandardTt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oldStandardTt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oldStandardTt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oldStandardTt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oldStandardTt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oldStandardTt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oldStandardTt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oldStandardTt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oldStandardTt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oldStandardTt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oldenburg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oldenburg
  static TextStyle oldenburg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47b9c8049d3693a9d920648f42ca55016bf908fcc346e7a01600075cfd37a413',
        42324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oldenburg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oldenburg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oldenburg
  static TextTheme oldenburgTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oldenburg(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oldenburg(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oldenburg(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oldenburg(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oldenburg(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oldenburg(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oldenburg(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oldenburg(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oldenburg(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oldenburg(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oldenburg(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oldenburg(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oldenburg(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oldenburg(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oldenburg(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ole font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ole
  static TextStyle ole({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '896ba4dca76eb29e1b70254dcfdd67e4471a2c321f69931b5cf85ae02a4251e3',
        104388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ole',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ole font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ole
  static TextTheme oleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ole(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ole(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ole(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ole(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ole(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ole(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ole(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ole(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ole(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ole(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ole(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ole(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ole(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ole(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ole(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oleo Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script
  static TextStyle oleoScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4319c5d4f56ab0df7d0fe203c8077e0369fc2cebdc6fc1f0e16f908126c1c4',
        32472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96a91a861461d5a30b52f49f8f1e260a2076fd68fcf9803c5ff7f6a2a77a0fcb',
        32108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OleoScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oleo Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script
  static TextTheme oleoScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oleoScript(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oleoScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oleoScript(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oleoScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oleoScript(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oleoScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oleoScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oleoScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oleoScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oleoScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oleoScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oleoScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oleoScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oleoScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oleoScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oleo Script Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script+Swash+Caps
  static TextStyle oleoScriptSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ce2c9a4990ae5d4406bde1a4564bc68d06f449c440ed620fc8f3512c7a73e12',
        37500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c02d2cb9f21d10bd74c598b8042f60c8e82d9a7c8eb45cc55b82a02229dcceee',
        37232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OleoScriptSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oleo Script Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script+Swash+Caps
  static TextTheme oleoScriptSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oooh Baby font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oooh+Baby
  static TextStyle ooohBaby({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00c5dfdd85667fa87e0792d4ac5e186ca91b3b05b9edc4cae032bbaeeb2c0246',
        88544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OoohBaby',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oooh Baby font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oooh+Baby
  static TextTheme ooohBabyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ooohBaby(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ooohBaby(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ooohBaby(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ooohBaby(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ooohBaby(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ooohBaby(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ooohBaby(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ooohBaby(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ooohBaby(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ooohBaby(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ooohBaby(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ooohBaby(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ooohBaby(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ooohBaby(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ooohBaby(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Open Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans
  static TextStyle openSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19b8f619954cd7a9fffc393a776a9668375d2d2382fe94ce6f5d1ba52be6bc4a',
        98488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1166b39014ea8c5662fb7048937fe8605c56ab1bd005ec6480250372b29ec41',
        98524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d4a8fa3523f77139a801e4348419b2fac9d054f42225cfc21139d6618f7d4fd',
        98668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0b97c2d3495788260f135f9f74a3e9e6b4009b0af6067a2b2bb24bc754122a6',
        98432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a233ded8257b5a21c8ae36660d2707051f20d309b4ada1359fccfb489f30b7ed',
        98508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d78aef7cc91d4b2b9b05b2140324c8d0334a059418864c4182596b05be787c3',
        98920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '13febaba722b10c77681ae98be0039214fd021b3f5d3afad4f563f116cf6df3a',
        104080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '632c8c48d2166ed600211b86744d3ab0b3c59a7bc103f1352e4a932e29a8e917',
        103804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bea24e3c5f44d1b6846ebab17433267f370ddeaa07d31ed9d03b176520b50552',
        103976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '435eb471ac53bbdb56031a53ad4119b8d4160a441f7271c79f92058eb087f873',
        103948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43ec1fc387b68c2375e6929e7391938166217d1d886b1e2933ba8a55b5e01399',
        103520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a86dfdf4b59594acd1a0e68aea7e10866c8f74a1caec8a8fc9c7093942f6f214',
        104084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OpenSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Open Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans
  static TextTheme openSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.openSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.openSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.openSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.openSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.openSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.openSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.openSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.openSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.openSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.openSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.openSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.openSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.openSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.openSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.openSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Open Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans+Condensed
  static TextStyle openSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '534179e03aadc7717b088745a09c21f98cd3947bad7f1ae5642eb554b0e99adf',
        62392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0a4c01cd5c43ec0ba40be8d2d99bba9b83697264185b95ea884b8dcb0eb13a66',
        66248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c81d3d6556ebd5e15a18aff55e53cc40e0de66a2109eb60d54866c6ffefadd0e',
        99144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OpenSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Open Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans+Condensed
  static TextTheme openSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.openSansCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.openSansCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.openSansCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.openSansCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.openSansCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oranienbaum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oranienbaum
  static TextStyle oranienbaum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc639ee95e1c8b5bbd81926863c3a9dab47ba3a7091c9988e55db5c4fdbd9c30',
        54820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oranienbaum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oranienbaum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oranienbaum
  static TextTheme oranienbaumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oranienbaum(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.oranienbaum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oranienbaum(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.oranienbaum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oranienbaum(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.oranienbaum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oranienbaum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oranienbaum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oranienbaum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oranienbaum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oranienbaum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oranienbaum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oranienbaum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oranienbaum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oranienbaum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Orbitron font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orbitron
  static TextStyle orbitron({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b19d87272f2d0bfd72c5bec6a53e99077a8a4add514fc7ea3485a1183c7bb98b',
        17732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87ebe4bcae85bce229bb17b1cd2bb06510cc7009bf9a8723375bb509e5bda0df',
        17780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dae874d294c13ad511b6f479b676f1c7ab3abf5f287ef407bfa2a862a7b0f3e',
        17776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4fe899cc6491547919999e313f3eca55b915eeb1d264f6db559c69a63c8ec2d',
        17688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7f67c829940b24c3d69ccc69f5d444eadedf73d5406e64f1b9002bd9e9c7cad',
        17748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecaee49857cac7cbeea5ebc3e23b8da1d62e75551864ad4bdd164a58a05b8bb2',
        16864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Orbitron',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orbitron font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orbitron
  static TextTheme orbitronTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.orbitron(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.orbitron(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.orbitron(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.orbitron(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.orbitron(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.orbitron(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.orbitron(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.orbitron(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.orbitron(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.orbitron(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.orbitron(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.orbitron(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.orbitron(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.orbitron(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.orbitron(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oregano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oregano
  static TextStyle oregano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fab8841a14ab715923369c8a11777fa64808a0c7d0ad3baa08419ef3c6f50f05',
        76892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2a433a9370f96c0f434e35691dfd0f470db252c6786ef269e256481bc9056b9',
        82768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oregano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oregano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oregano
  static TextTheme oreganoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oregano(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oregano(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oregano(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oregano(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oregano(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oregano(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oregano(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oregano(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oregano(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oregano(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oregano(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oregano(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oregano(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oregano(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oregano(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Orelega One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orelega+One
  static TextStyle orelegaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '406653318d6b94b9fbc35468348d32c88734b2a8faa28630b3222140f88af284',
        83504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OrelegaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orelega One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orelega+One
  static TextTheme orelegaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.orelegaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.orelegaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.orelegaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.orelegaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.orelegaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.orelegaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.orelegaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.orelegaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.orelegaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.orelegaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.orelegaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.orelegaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.orelegaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.orelegaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.orelegaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Orienta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orienta
  static TextStyle orienta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1023326ca8364030b4c8bd0136665c7e38af598bf02c43aea438aba68be72724',
        22272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Orienta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orienta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orienta
  static TextTheme orientaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.orienta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.orienta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.orienta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.orienta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.orienta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.orienta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.orienta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.orienta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.orienta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.orienta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.orienta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.orienta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.orienta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.orienta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.orienta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Original Surfer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Original+Surfer
  static TextStyle originalSurfer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3be3296dc8e03586adf7df74c6fc3d22867e827861a1edd5f580b7f7e6a7fc06',
        55188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OriginalSurfer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Original Surfer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Original+Surfer
  static TextTheme originalSurferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.originalSurfer(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.originalSurfer(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.originalSurfer(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.originalSurfer(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.originalSurfer(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.originalSurfer(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.originalSurfer(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.originalSurfer(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.originalSurfer(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.originalSurfer(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.originalSurfer(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.originalSurfer(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.originalSurfer(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.originalSurfer(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.originalSurfer(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oswald font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oswald
  static TextStyle oswald({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78690acbb4d13ed8ad93f3742700f8a712068d3fbf2c9dc38fcbd3bae9ef646a',
        62852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c76e59ab6aa90a601587cddb55b102e7c719b68d43c48a76336e1a5a59a2078',
        62984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b534d128c69fd3a3b95d1d4ecf759940066fcdb3784c29abb26b11cb23ff5b1e',
        62884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed7312bb7335c99866533ecf4353c8c69e4bf8e2055436e16ac9e99c818d847d',
        63164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51d959b30be720086e8c433c9dcc9482e8265bbd1f1f6fdda997a97da26465da',
        63200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24cd5785a13eadfccb0517905a8c1032222212785fc3470a82b81beedb4e05e7',
        63168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oswald',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oswald font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oswald
  static TextTheme oswaldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oswald(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oswald(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oswald(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oswald(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oswald(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oswald(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oswald(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oswald(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oswald(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oswald(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oswald(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oswald(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oswald(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oswald(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oswald(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Outfit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Outfit
  static TextStyle outfit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de0f989d4648129761e551324c02d7c72d11117283a4ad97cecd0a62bc54a34b',
        32276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52c4a9faae2077be2f80310eb9b86f8f4ec25ecfbd5c7e7e9ca60ed1ee38a347',
        32404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '484546f14d7507f11c74bc557fb46e4e723561c239b6e5d2054c5a7ee945755e',
        32380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3f4911001943041b7a885d15848fcda6549087f533bd679853e4ce1267c5214',
        32348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9405fdcdf99f274d949aa31ce2cc9987877c9af92c8525f9a6a556258615944',
        32324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9790f3cb8344007f1c11f3085a3bd88f4ca9032bebbebdf4026a8e335f3f91e9',
        32464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'abdeabeb5ce23ddcbb60e3e65f4fad321ea69978b17b4fd564e9f9cf007ba163',
        32352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5dd5bc941ccd471909ba2a62a7726e76cb79d6a3195f12a7f0b7b1d658494b6',
        32348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95b24c371ecb30fde0e8f1e6420daa4c21f0e2986606b3fe24aabd74637d91f5',
        32412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Outfit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Outfit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Outfit
  static TextTheme outfitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.outfit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.outfit(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.outfit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.outfit(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.outfit(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.outfit(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.outfit(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.outfit(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.outfit(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.outfit(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.outfit(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.outfit(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.outfit(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.outfit(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.outfit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Over the Rainbow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Over+the+Rainbow
  static TextStyle overTheRainbow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08ef5082fbd92c5d84efdac43b089099889d8f03b491a3f8f7ba0ff3ffdf0f19',
        43616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OvertheRainbow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Over the Rainbow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Over+the+Rainbow
  static TextTheme overTheRainbowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.overTheRainbow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.overTheRainbow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.overTheRainbow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.overTheRainbow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.overTheRainbow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.overTheRainbow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overTheRainbow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overTheRainbow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overTheRainbow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overTheRainbow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overTheRainbow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overTheRainbow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overTheRainbow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overTheRainbow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overTheRainbow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock
  static TextStyle overlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b8432e785954643f21b87a6e317318e30604a5d48f763df981ae359569f78fa',
        44008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3acbe21f0cb9eb5b3da2e08bc7d89edd4ca7a3a70b3692af62920d3554e5a66a',
        37456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dc805a7a72bb6159b18848811d9646f9d40388a295cedfc74a9783dafb7ae49',
        36948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '61d527dd5f588366f681091f58ec1a23695bc4c566d33b43bc6e85912d4136e4',
        39084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea4e7a0884f56d2196db881577da27112f70ba2347b24b48592268967e1d506',
        37672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fac4b7d550bf7b2234c43f634b09d9a27ff4f79cdc92622e761ba8aaf56834b2',
        37452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Overlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock
  static TextTheme overlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overlock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.overlock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overlock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.overlock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.overlock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.overlock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overlock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overlock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overlock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overlock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overlock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overlock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overlock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overlock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overlock SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock+SC
  static TextStyle overlockSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4aefe9a6d1d94da44f06300063a1c099d1a9f5e121d6935955d3502513a11b33',
        34584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OverlockSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overlock SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock+SC
  static TextTheme overlockScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overlockSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.overlockSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overlockSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.overlockSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.overlockSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.overlockSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overlockSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overlockSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overlockSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overlockSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overlockSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overlockSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overlockSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overlockSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overlockSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overpass font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass
  static TextStyle overpass({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd43d02088c3fe9dbbb3d8bb00b94beec2f03a6adf010419ff0754165b99068e4',
        163536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fdd2b7d9b8f444d71ada561c2aee318967f1a579b60b846dc866d39fcf1a94e',
        164300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee8102561bbd1f4106a646ab1bb9dd32466f516777a853967e67f6539efa01ae',
        164276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '441c94488ed963320f54765e04bf6a2e96b72e199971930f620453a433c63af8',
        164096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '538462d207ad7c113053cf080a32f5ad7c57dcd29b3c2f70945deeb95bf10cd7',
        164228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fadc641d5e232657605b702bb978701b5f854cba52fe33e0f17c0a28bb27273b',
        163916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83b70d07d479eb8c712a57e083875cd16b7b97060f2372e6f628c49d4f806e70',
        164204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dc437832bb0952c5a904f48b6656722170d18c0fb5710ed814d49847c62b969',
        163580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91f9cc13cb9ea7e50211e2daed8424c1aba219ad9d1dfcc1e66d81bda20c32e1',
        163508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c04c1e93ea4de294e5f178e459206e66c5676c25e8ac26bf2f786e2ffe34b2e7',
        148024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b868de065b91cff146f797c58cd378aaf2b7471d93e2a620618b9f82328f81f8',
        148148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0de4d69355e8f8164a53aaff68d3c594494f48837559e2570ac2b55723ce3ce5',
        148064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de437b4bc20e161cf57818927b97548f0c7e5fee4f1f7b52b2712fe65d16d15e',
        147796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97769880e33f78cf086e379cb8d2df70e0ab5db3a71f640dfbd7b644aee80860',
        147960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b8216528e38a5ce76a7fb5c1e422d44529784e4ebc720444e6186211860df36',
        148040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b788153cc6ee50ac9206d6dbfea6165358b57f65400839326a6f9c8850eb5e6c',
        148044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '662430aae8f37475aea669895feb96bbcea25bb0c98174a4901261c6ea05d927',
        148624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4444ae1b5f2ce642a0a70ceb04a97061ea296612e1d47736c37fc26a306254e7',
        148616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Overpass',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overpass font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass
  static TextTheme overpassTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overpass(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.overpass(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overpass(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.overpass(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.overpass(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.overpass(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overpass(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overpass(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overpass(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overpass(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overpass(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overpass(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overpass(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overpass(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overpass(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Overpass Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass+Mono
  static TextStyle overpassMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28284639a6cc49f56b8012e7527b520a6bc7bd87dd6baeffac746e7a74419323',
        173604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d7f740f2fd31eaf6cb9c1a3995a51e9613ec3580faeaf1c2c6aacde18a3c06',
        174328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f02d7e9f289cb7916dcbf6da2dd55170084426f8cb4fd89c15c5c34aa83924f',
        174328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5977661019a80fb791d4fc51296668b4ec70785307fcb28429507307f67d1748',
        174272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4758f2455ed59830a11b70e267ab3e0e7ee4ebf0a523739a9db941831cd493',
        174252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OverpassMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overpass Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass+Mono
  static TextTheme overpassMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.overpassMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.overpassMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.overpassMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.overpassMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.overpassMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.overpassMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.overpassMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.overpassMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.overpassMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.overpassMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.overpassMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.overpassMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.overpassMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.overpassMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.overpassMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ovo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ovo
  static TextStyle ovo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4772ff76175118698e1b8a1609662571ac66c152abfa0df326ebe51891f43024',
        46140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ovo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ovo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ovo
  static TextTheme ovoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ovo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ovo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ovo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ovo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ovo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ovo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ovo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ovo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ovo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ovo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ovo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ovo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ovo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ovo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ovo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oxanium font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxanium
  static TextStyle oxanium({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e5d347e8a9abd85591d13ab9c96d1f55aca1227c5f666589b37fdc52f9a9a44',
        24788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ac584d7511a8b9c48e723dbb3e251ca7a4fc052797b4d9e1177276a3d1bd091',
        24720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3154e3bae3e587ce3e81f9009a4a0c82af3e67b2026dbde37ce05c901ecb3052',
        24648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe88d5d08b20c174c8e62bc5d84b8329840174bbd81806c042ee92131b87ec48',
        24700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39763616af4524e2d0c7f87a488373b8a3ea42a29664c6be3e84ceac8a708cc7',
        24696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6edc66e78a235920754396944be49b5e8d56a8afd82415d25205eb4cf4fd328a',
        24608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b523cc52a4dd854951eb9581549d979beda096e738450d53fe907f5e9efa582',
        24672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oxanium',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxanium font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxanium
  static TextTheme oxaniumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oxanium(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oxanium(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oxanium(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oxanium(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oxanium(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oxanium(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oxanium(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oxanium(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oxanium(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oxanium(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oxanium(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oxanium(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oxanium(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oxanium(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oxanium(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oxygen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen
  static TextStyle oxygen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b245cc38abd24040a6e60edb56f333ef31497e3c1589e1de95633fd9811ce2b',
        25588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '018516876dd67d3188322375bd244200747d26c662efc13f53bc3c0d650e19c1',
        27320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85b6744c65824ca40e9bd4ec53dc540041328c8af66f65c1a5c41d09045bca47',
        28184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oxygen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxygen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen
  static TextTheme oxygenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oxygen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oxygen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oxygen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oxygen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.oxygen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oxygen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oxygen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oxygen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oxygen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oxygen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oxygen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oxygen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oxygen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oxygen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oxygen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Oxygen Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen+Mono
  static TextStyle oxygenMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fef79c7e3291828840c98b0b77bfaeca5a7ac4accd2188578656f93008a86d00',
        26340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OxygenMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxygen Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen+Mono
  static TextTheme oxygenMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.oxygenMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.oxygenMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.oxygenMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.oxygenMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.oxygenMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.oxygenMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.oxygenMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.oxygenMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.oxygenMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.oxygenMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.oxygenMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.oxygenMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.oxygenMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.oxygenMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.oxygenMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Mono
  static TextStyle ptMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61620675803f698131e86cf064952390b832f3a0f99f62c73ac81154c6750601',
        60420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Mono
  static TextTheme ptMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ptMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ptMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ptMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ptMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans
  static TextStyle ptSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a4f45115f0edfd41682c245df0a47b848b5481e2667157d678c2d90b6e1fd0c',
        66220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97c20c193a14afdb34dd049d23ae28d22d9ff16b5b4b4c1d1940c98dcea862cd',
        69168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c671689a4d5accf2d33e669688b409bad32c068681501dba0b363dce32c08db7',
        66504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7cdb63d16bfaabb01ddade50df20bababc0a4dc40933ab9bce7884ec9ab8ae6c',
        67072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans
  static TextTheme ptSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ptSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ptSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ptSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ptSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Sans Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Caption
  static TextStyle ptSansCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87b42c66e291439f0fa5b96b16b16c2f9badb9219c2a82aefa3a5c8a2abefdfd',
        68004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '362d1c6c942f08f830cc6c778527399fa1342d309d7014e73700a168f55732a2',
        68788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSansCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Caption
  static TextTheme ptSansCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ptSansCaption(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ptSansCaption(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ptSansCaption(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ptSansCaption(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ptSansCaption(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ptSansCaption(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSansCaption(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSansCaption(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSansCaption(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSansCaption(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSansCaption(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSansCaption(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSansCaption(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSansCaption(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSansCaption(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Sans Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Narrow
  static TextStyle ptSansNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bf9b5b3b069bc0e9048ac8474489705da7ef590cd6666259b680ef9284626ee',
        65696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5da0ffb3a2e92703e5d184c7fee85d6ce182f3a8519e6a7fdc94349d09587ae',
        63812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSansNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Narrow
  static TextTheme ptSansNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ptSansNarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSansNarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSansNarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSansNarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSansNarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif
  static TextStyle ptSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99fc24e6eaaa2d512b907b9a12b7b5ca8e16d8da723705ba3b6ef60dcf2290b2',
        78656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a42be8c4702dfbec16fa57ae3ad9f25395a15d5f2fc7eec9b8389ab2ea0b90e6',
        82516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b89df45ed027ffe9f1a446d2a9c060f2c90a42c8a038b14966b8f645a097f55b',
        80652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d2a2f00e843921c4721f06da8b243f577d271d751ff59967759cb84f2645d04',
        83704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif
  static TextTheme ptSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ptSerif(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ptSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ptSerif(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ptSerif(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ptSerif(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ptSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the PT Serif Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif+Caption
  static TextStyle ptSerifCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43148a651032c9c84a1d65382e00106356e8a26e79f9eec239ab1c0279e18199',
        69824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aac584531c39378baf684f2506643cad4e5ac1ee405cda09a9626a638ba6dcda',
        76520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSerifCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Serif Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif+Caption
  static TextTheme ptSerifCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ptSerifCaption(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ptSerifCaption(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ptSerifCaption(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ptSerifCaption(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ptSerifCaption(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ptSerifCaption(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ptSerifCaption(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pacifico font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pacifico
  static TextStyle pacifico({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd00add3a7d91f903eb33bcb08d397693c60d68bb5673410ba279a83490f8b054',
        170408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pacifico',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pacifico font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pacifico
  static TextTheme pacificoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pacifico(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pacifico(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pacifico(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pacifico(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pacifico(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pacifico(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pacifico(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pacifico(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pacifico(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pacifico(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pacifico(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pacifico(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pacifico(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pacifico(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pacifico(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Padauk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padauk
  static TextStyle padauk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb79c2d944e6bad1454af9c526f7b0f455ae9121b057b63fba13233563ecb20e',
        161264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87ab0343137d5b40f3f68001c44798e863129804436ee6f8e701faf3dee6d0aa',
        161684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Padauk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Padauk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padauk
  static TextTheme padaukTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.padauk(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.padauk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.padauk(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.padauk(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.padauk(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.padauk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.padauk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.padauk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.padauk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.padauk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.padauk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.padauk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.padauk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.padauk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.padauk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Palanquin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin
  static TextStyle palanquin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc78949640efd655010c39e69aaeda9530490c7e743461b068199dec2490ed51',
        266328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f92c8b2448b71e06c16c3aeebb5ad089b8283a712dabddd0fe77c3ea73e0d33e',
        267856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '422da9ad3c93a5266cb5c8a25bd62267dfde9feec5e474592953728ef84ae4cb',
        268072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d73cc743a5f5ff41cf04b3bf381ae685a22a04a9363076defa1ed4ca5ca2742',
        276056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3ba2aa43b9021b782440d1d83c839344117e146742ab8e92733a04666efbcb8',
        275212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2590e0e5b947eb96b17ddc6d28943c8b4e506ad23525f9f838c08374f4b55cee',
        275368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3ab51a4aa09c3d81b3bce84fc223bcf3d8d39b64a1de96327333eb9291be9c9',
        263920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Palanquin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palanquin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin
  static TextTheme palanquinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.palanquin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.palanquin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.palanquin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.palanquin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.palanquin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.palanquin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.palanquin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.palanquin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.palanquin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.palanquin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.palanquin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.palanquin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.palanquin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.palanquin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.palanquin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Palanquin Dark font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin+Dark
  static TextStyle palanquinDark({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '191fc8a1e3b4668bbb19cc9af2b229e4263c9c2648bcaa6facde50cdc59c4e22',
        258504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7c8fd936e57eebbdb1b4fda7f68de616916b9a59f59262c93231b1336688e19',
        265792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b32cb1d23c41e4b5986de84c7fdafcfd12a4ffc68d06b34e1969429277b033e',
        267276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '837b8e7dbc881fde1383e15f1eb2a13625f61f388ba02a8ad1f1567edfb59c4f',
        258052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PalanquinDark',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palanquin Dark font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin+Dark
  static TextTheme palanquinDarkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.palanquinDark(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.palanquinDark(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.palanquinDark(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.palanquinDark(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.palanquinDark(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.palanquinDark(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.palanquinDark(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.palanquinDark(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.palanquinDark(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.palanquinDark(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.palanquinDark(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.palanquinDark(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.palanquinDark(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.palanquinDark(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.palanquinDark(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pangolin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pangolin
  static TextStyle pangolin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c44a4167df6a652d60eff5592d747a10d1e25c136037d6d899864bc67b5d264',
        235316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pangolin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pangolin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pangolin
  static TextTheme pangolinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pangolin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pangolin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pangolin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pangolin(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pangolin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pangolin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pangolin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pangolin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pangolin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pangolin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pangolin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pangolin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pangolin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pangolin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pangolin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Paprika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paprika
  static TextStyle paprika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2f58eb822f72ee97f41d537a95e3a1d552530a57ba1e38751d57c48df19ee63',
        61404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Paprika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Paprika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paprika
  static TextTheme paprikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.paprika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.paprika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.paprika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.paprika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.paprika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.paprika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.paprika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.paprika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.paprika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.paprika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.paprika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.paprika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.paprika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.paprika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.paprika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Parisienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Parisienne
  static TextStyle parisienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2db2684e8935576e37c73e94f92c3dc60d4efbaddfad9c64afb4aaab4d21e4b',
        57136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Parisienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Parisienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Parisienne
  static TextTheme parisienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.parisienne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.parisienne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.parisienne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.parisienne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.parisienne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.parisienne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.parisienne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.parisienne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.parisienne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.parisienne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.parisienne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.parisienne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.parisienne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.parisienne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.parisienne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Passero One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passero+One
  static TextStyle passeroOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d6ddfbe03cb652eec90cbf4132a5d73459b20f305864f7ab40be49c77548b08',
        29796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PasseroOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passero One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passero+One
  static TextTheme passeroOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.passeroOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.passeroOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.passeroOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.passeroOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.passeroOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.passeroOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.passeroOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.passeroOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.passeroOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.passeroOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.passeroOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.passeroOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.passeroOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.passeroOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.passeroOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Passion One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passion+One
  static TextStyle passionOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ce584979ecc740ed4d94f123f0bc1612989ea03455e8dd26e85d26e218b8228',
        22532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f60994b94f3453708949987c5f4de2c6565de04b9cc9dee0b6e7994c00ea0c4',
        22332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a6387bd194071ae48a95dd6cb519324455a117ebe3d25ec46818cd809460fbc',
        21832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PassionOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passion One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passion+One
  static TextTheme passionOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.passionOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.passionOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.passionOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.passionOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.passionOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.passionOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.passionOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.passionOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.passionOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.passionOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.passionOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.passionOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.passionOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.passionOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.passionOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Passions Conflict font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passions+Conflict
  static TextStyle passionsConflict({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14d1d89ec564c9165e51cb0325c0ec56157d53ba4393e12c44ccd3d443cdee68',
        97492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PassionsConflict',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passions Conflict font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passions+Conflict
  static TextTheme passionsConflictTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.passionsConflict(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.passionsConflict(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.passionsConflict(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.passionsConflict(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.passionsConflict(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.passionsConflict(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.passionsConflict(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.passionsConflict(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.passionsConflict(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.passionsConflict(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.passionsConflict(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.passionsConflict(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pathway Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Gothic+One
  static TextStyle pathwayGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73c4eca4a2f0650cf6064d95eb5f3eec4f2caf26f52d13dc790ddf642b70f76b',
        22524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PathwayGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pathway Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Gothic+One
  static TextTheme pathwayGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pathwayGothicOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pathwayGothicOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pathwayGothicOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.pathwayGothicOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pathwayGothicOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Patrick Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand
  static TextStyle patrickHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59c645dc3e20bff7f55bed94d73aa1443b59edd2e54b8b8fe3599ccced7b3732',
        81712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatrickHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patrick Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand
  static TextTheme patrickHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.patrickHand(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.patrickHand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.patrickHand(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.patrickHand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.patrickHand(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.patrickHand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.patrickHand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.patrickHand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.patrickHand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.patrickHand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.patrickHand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.patrickHand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.patrickHand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.patrickHand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.patrickHand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Patrick Hand SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand+SC
  static TextStyle patrickHandSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82e5e1a07e448d4b75eeeac02f45e6c1aa44100fb8260c4feeb7a286b1bdadf9',
        80644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatrickHandSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patrick Hand SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand+SC
  static TextTheme patrickHandScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.patrickHandSc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.patrickHandSc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.patrickHandSc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.patrickHandSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.patrickHandSc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.patrickHandSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.patrickHandSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.patrickHandSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.patrickHandSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.patrickHandSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.patrickHandSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.patrickHandSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.patrickHandSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.patrickHandSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.patrickHandSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pattaya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pattaya
  static TextStyle pattaya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1cf98c320985f0d74810ea8748b477f6982784e51d760de9f17469c0759e4f0',
        204156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pattaya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pattaya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pattaya
  static TextTheme pattayaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pattaya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pattaya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pattaya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pattaya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pattaya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pattaya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pattaya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pattaya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pattaya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pattaya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pattaya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pattaya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pattaya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pattaya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pattaya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Patua One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patua+One
  static TextStyle patuaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4262d730d1f40976e5f2c67f582a81d98f6001c3dd47c1c79eec8501b04113c7',
        33312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatuaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patua One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patua+One
  static TextTheme patuaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.patuaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.patuaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.patuaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.patuaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.patuaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.patuaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.patuaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.patuaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.patuaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.patuaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.patuaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.patuaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.patuaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.patuaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.patuaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pavanam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pavanam
  static TextStyle pavanam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b810ebafb000c09b01ed598d6b0e1d9d0e464568738a970a8d9032e7f648eebd',
        46768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pavanam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pavanam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pavanam
  static TextTheme pavanamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pavanam(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pavanam(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pavanam(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pavanam(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pavanam(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pavanam(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pavanam(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pavanam(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pavanam(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pavanam(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pavanam(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pavanam(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pavanam(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pavanam(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pavanam(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Paytone One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paytone+One
  static TextStyle paytoneOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5bde3c641ddcdf37c1736d972d95496d26436aaf8fb62473e61f9e61ab78cdc',
        64176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PaytoneOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Paytone One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paytone+One
  static TextTheme paytoneOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.paytoneOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.paytoneOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.paytoneOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.paytoneOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.paytoneOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.paytoneOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.paytoneOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.paytoneOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.paytoneOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.paytoneOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.paytoneOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.paytoneOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.paytoneOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.paytoneOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.paytoneOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Peddana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peddana
  static TextStyle peddana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76a02cbd18995f08626f822b75ab64928d13930841a9e1bc101da523d0ddb3a7',
        439344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Peddana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Peddana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peddana
  static TextTheme peddanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.peddana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.peddana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.peddana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.peddana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.peddana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.peddana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.peddana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.peddana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.peddana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.peddana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.peddana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.peddana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.peddana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.peddana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.peddana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Peralta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peralta
  static TextStyle peralta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fbbce30d76ab765d0d2808216f873765b430cf1d770bdd73a3d501f80301795',
        56848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Peralta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Peralta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peralta
  static TextTheme peraltaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.peralta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.peralta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.peralta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.peralta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.peralta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.peralta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.peralta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.peralta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.peralta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.peralta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.peralta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.peralta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.peralta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.peralta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.peralta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Permanent Marker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Permanent+Marker
  static TextStyle permanentMarker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a96da3e1e3ae127eaecf81d137f7a017e14753955bf2449763b6b4118f98df12',
        72860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PermanentMarker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Permanent Marker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Permanent+Marker
  static TextTheme permanentMarkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.permanentMarker(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.permanentMarker(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.permanentMarker(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.permanentMarker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.permanentMarker(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.permanentMarker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.permanentMarker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.permanentMarker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.permanentMarker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.permanentMarker(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.permanentMarker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.permanentMarker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Petemoss font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petemoss
  static TextStyle petemoss({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5860d03b182eecb6784906194844f7cf4b4d377a91847ac0ca8409d519af5fbe',
        86036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Petemoss',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petemoss font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petemoss
  static TextTheme petemossTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.petemoss(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.petemoss(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.petemoss(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.petemoss(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.petemoss(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.petemoss(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.petemoss(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.petemoss(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.petemoss(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.petemoss(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.petemoss(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.petemoss(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.petemoss(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.petemoss(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.petemoss(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Petit Formal Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petit+Formal+Script
  static TextStyle petitFormalScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db4b6de9e9a3eab0f66ec21e1a2188cf66c3a6d20c7d77ee7fc15367d34660d',
        110204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PetitFormalScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petit Formal Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petit+Formal+Script
  static TextTheme petitFormalScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.petitFormalScript(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.petitFormalScript(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.petitFormalScript(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.petitFormalScript(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.petitFormalScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Petrona font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petrona
  static TextStyle petrona({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b143ecbdde410d3979c22ff94032d1d2114762b1a796de38d7e04526ad3854af',
        70620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b516c02f225e84b29f95621f4587fae6564cd28c774a7222f62e7611c35d1059',
        71088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '307ab8db36af008a0482064b0b2ec60b9411bf3423fccef7e3f90f536db0d4aa',
        71016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b94e130b5a442e6adb6209ab613d84af86b6af6c14546c15739a2d42e28e534f',
        70956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a742d8398f94227729305a25e32d8044051fa69752a818ddfac4fa2018098398',
        71012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '140703cbefa1b35b7e3f5b583bd5320bda1761e9b9aaf1bcf235878527a1eee6',
        71036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da375606f5339bb8f4c45b4a7b3cede1042e1743616f87943dd237bb9b88eac7',
        71028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d6c10058ea77fe9f67afd97152de5dc680491e4928d9abe61795ec8a9efcf6a',
        71056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0926384a2401982dac11ad69ce15579d265d1b120a4e47e9ef01b0bc81ccda09',
        70908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '96c7b5d97eba3910321a061428869bcc1183e90a59eb137e69b51ab2a21d117d',
        75100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f30fbfb7d35d672bd9656ea3cd95199549b453f2ee05a3ac01f6b6914cc34b56',
        75996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2ddba3aa777f320a6ca2a8a1f16124e4dfc336db3dafd7438feb7c40c0818a2',
        76020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9196563d2d91ea1f966429caec852db9f40f4703fdf4c3f2b83cc114ec89d6e7',
        76016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac1fe885b36a4a6f985e4998169df9c530568d53961d74b49ffb99d79967a713',
        76100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fcbaedbc0e2ad05b1a9069439cdbd52582bcaa10832443e772d342e17da20c97',
        76068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '485ba7b231a144ecea9eae21bb9baeab7a7a729ebd154406aadf687f8f746693',
        76008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49e3cebf9a7c87a341c030eecc24ee806ffd53cd50584574a93740bbcb2260df',
        76068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '22d947653985227c43da9f2889fa5e1a5f0b42912da95d3ee1e49e57dcb4f93e',
        75876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Petrona',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petrona font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petrona
  static TextTheme petronaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.petrona(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.petrona(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.petrona(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.petrona(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.petrona(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.petrona(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.petrona(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.petrona(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.petrona(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.petrona(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.petrona(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.petrona(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.petrona(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.petrona(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.petrona(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Philosopher font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Philosopher
  static TextStyle philosopher({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ddf1d3369b3c53fbdaf845334102a58e41432e789422d1189432a16d97032e9',
        67416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '913d6c4d14fc526db65bd55da0ea7d38f7ab96ddfc4b5aa2080a7774d5e21e2d',
        68932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a0eedb975dee1fe50f423f1968acb072cd9d03bf3614987ff0fe2a6b2bc9bcf',
        67192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '012b2a84223455e832e113f3b5001682f24809607b8dbfaab305722b3d07ecfc',
        69384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Philosopher',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Philosopher font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Philosopher
  static TextTheme philosopherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.philosopher(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.philosopher(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.philosopher(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.philosopher(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.philosopher(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.philosopher(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.philosopher(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.philosopher(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.philosopher(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.philosopher(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.philosopher(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.philosopher(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.philosopher(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.philosopher(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.philosopher(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Piazzolla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piazzolla
  static TextStyle piazzolla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79fc897122a55295f171ab2cbbf804ce2df0a2785595b27c33f87c28771055a2',
        137436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8670653c6d845765fdb0539a1c8edf208d872891b266d7f26a52033d3199f351',
        137512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70a4f949c5811b7980306e757dcaf369bc803843301ba4348c605b7c4a9d11e3',
        137580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'babac6b3788649cd122d725c0b0ab8595e234c1c0c587bf0e702adab1fe8da7f',
        137588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '960066b05709fb2abfe7084fc10b6f84f5f908a8e02c959298b8d178416dd56e',
        137688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e37caff33e2f542f4b9022819b94548099a8972193d39485ccb84ffe0f9f1ae',
        137788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce78ec5a0d69780e9bdf763c5011c71ca19085d17d0c0b50579724abc526041a',
        137904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e5c9daf084d4ab294bed39d30b4fe162baa44bb18cec460c063e73d4d80f2dd',
        138032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46dfb119a24f0dc5d42ea3e1eb2392b4a967145927998cf9b96630f33216fd50',
        138112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a911e2ebec795957300f70f3eb184f1a7c8a0c959a6b8185a9f7bec6f57235a0',
        138928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ede6c8c74f267c2bd654558555a14369f7c20343cdd1b962b27fb6388e7fdf8',
        139096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c1b771b01a5d725c0e3863e854cc3f21121f3c20ff425e2cd63d9d1214d74872',
        139104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '91f95c087fc76035af2a14d260a0bcd949ca01912e7b485434b51051a3cb1bd9',
        138932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '288d7b9959d77b98477564024c124c7eac0195ef9beffc85495fa917782fd2dc',
        139208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cba6d51e69f3356632f311860119b5bc18f04cf29486dc54ce949d19bb3fcdfc',
        139308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08be986796b29f35ad1a502ce2bc73acf325522fa902cc27a5175c1e360486d7',
        139272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '412183f3823b0a6c5b01f35c40b25977c8701793be170e2af8093368b6cf8c97',
        139392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55b26bfd806e13b3cf93abea77635258b3835da8aa32e939e400a2f37f29442e',
        139384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Piazzolla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Piazzolla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piazzolla
  static TextTheme piazzollaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.piazzolla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.piazzolla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.piazzolla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.piazzolla(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.piazzolla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.piazzolla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.piazzolla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.piazzolla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.piazzolla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.piazzolla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.piazzolla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.piazzolla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.piazzolla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.piazzolla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.piazzolla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Piedra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piedra
  static TextStyle piedra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecbb4d400f7d08341f042224ac71f0427d744255973df134301713b4fb5b5580',
        73968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Piedra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Piedra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piedra
  static TextTheme piedraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.piedra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.piedra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.piedra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.piedra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.piedra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.piedra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.piedra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.piedra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.piedra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.piedra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.piedra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.piedra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.piedra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.piedra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.piedra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pinyon Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pinyon+Script
  static TextStyle pinyonScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '629d81172c748992196a2db541c449d356f6c27f3b533f39a8677e1744219bfa',
        105284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PinyonScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pinyon Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pinyon+Script
  static TextTheme pinyonScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pinyonScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pinyonScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pinyonScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pinyonScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pinyonScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pinyonScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pinyonScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pinyonScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pinyonScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pinyonScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pinyonScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pinyonScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pinyonScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pinyonScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pinyonScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pirata One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pirata+One
  static TextStyle pirataOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3597113a9b547a2f2f1e38b48d5c8c0cfacf0819c4405635c8b79384a8c6c4d5',
        53648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PirataOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pirata One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pirata+One
  static TextTheme pirataOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pirataOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pirataOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pirataOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pirataOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pirataOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pirataOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pirataOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pirataOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pirataOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pirataOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pirataOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pirataOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pirataOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pirataOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pirataOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Plaster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plaster
  static TextStyle plaster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2bac54655d89ca927b46d12c6c011d2ace6eadd6705a2c5aeaf5c32c8d9b3d1',
        28044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Plaster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Plaster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plaster
  static TextTheme plasterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.plaster(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.plaster(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.plaster(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.plaster(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.plaster(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.plaster(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.plaster(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.plaster(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.plaster(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.plaster(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.plaster(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.plaster(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.plaster(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.plaster(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.plaster(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Play
  static TextStyle play({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87dc25938534fe3359f2320e115b81e55cb90512199be0fb296ce96fea0a4ce3',
        84876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e48dc9cd68c5304da355ba565b0b8c1b7e6058033acc06b844e46a6e7de5e36b',
        85856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Play',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Play
  static TextTheme playTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.play(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.play(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.play(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.play(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.play(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.play(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.play(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.play(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.play(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.play(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.play(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.play(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.play(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.play(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.play(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Playball font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playball
  static TextStyle playball({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8d1b8076505af3093e9392b3858b105679dc8a0363839d827ceefe66b95b978',
        142600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Playball',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playball font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playball
  static TextTheme playballTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.playball(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.playball(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.playball(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.playball(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.playball(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.playball(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.playball(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.playball(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.playball(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.playball(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.playball(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.playball(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.playball(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.playball(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.playball(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Playfair Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display
  static TextStyle playfairDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26252f66458d2b59d34781ad3edc302b6aba9a567198b3417999fd384aeeeeab',
        123176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c8900348a0d0bf852e9b7a1ba3e4b115c1a5a107d8507d719ecd46633ba506e',
        123540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5702f276eac5ce344af67c57df28e8e689ef982f068ae2efbb258bbf9b685143',
        123608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3a772adf3668d5394d2a8ca0b8430e09a69ee641744a6133e3054de07434e28',
        123468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35fa7d45959af1db8f5c9ffb162748b92a1442ab0bdf604b63d3271a57722b02',
        123540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '522d9c25ffe9606d2b231248cfafe55d714b1c9443c41553b5bee5425c11425f',
        123464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '240d7456846b9e76cae058d2c4c9d9766b766426ec32053d3659554a509a78af',
        110776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0da5f482e9936a888e71abaeb534d78b415a61ddfebcd731fb6b5fdd6017557d',
        111128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c05375a52355aabc27d0afdb64d33dac784826f1ed5eed84a83358f9dc47f843',
        111160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4059ae3f7982d96c8b574b12a7775fa83ca6a9ab392fe390622b6a31ed2e401',
        111064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '110b4a179ddae9effa90b7ec44d79bb83605ffaca825486e147d8cb3b4594195',
        111048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b37e77291c15edcb1556eeac3f110d24de5e73cf05063459dd717ff7fd0af81',
        110688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlayfairDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playfair Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display
  static TextTheme playfairDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.playfairDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.playfairDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.playfairDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.playfairDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.playfairDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.playfairDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.playfairDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.playfairDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.playfairDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.playfairDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.playfairDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.playfairDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Playfair Display SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display+SC
  static TextStyle playfairDisplaySc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f13bfd324c8d216d47bae4ea721f22eef366014fa840d3f1bac3fd48a73869d',
        94340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e18e0b16594ec807b46963ad7b21589cd8283f72f087ae288a43c8e80a7df63',
        91492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b28eb0402ac35154975914b6788e6ed1651f39cfcbb2cfe734dee369d9cbd2',
        97320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30f58569af160a4acfb1ea34af5a26f20eff5d1d5fffc236c1365fd79bce7415',
        94452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1a86f44058098e05949a322ebc45623e9c26f3031184d021604f59f1981d4f2',
        96100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8220fb7fdc9826905f9674a3448aa9dc121dec3fd3d69f0fdedc048ae43bbac',
        92760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlayfairDisplaySC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playfair Display SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display+SC
  static TextTheme playfairDisplayScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.playfairDisplaySc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Plus Jakarta Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plus+Jakarta+Sans
  static TextStyle plusJakartaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c821bdcfedba401402891744c8332c11f9f154497853ee3d524398251707ac9e',
        63156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9b0061c83b762a085aad4bcacd320cbc3d9f5feab4f125e210544c40b0e6f54',
        63128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1893dd8e31f1c9d7a724b1ccc0668fdb3f6f30257bf1c507050a651c4c9d019',
        63108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb010384423b4f31bb95829dbde2d9e173c344041529bb6c9e53dae6e5330424',
        63128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '24c0321aa8ea162089514bf6610606b9916ec95f0b77288d0fc64a79bf741ee5',
        63120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4432207fce793039677d1b6930118fb8d291394e644b18c6042bbf44994611e5',
        63040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5b3069eb55793f4d8b8674f2aa9b31aebaa9d16230addf46d66da42e1152daa',
        63048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4adbfb83fa9364815c9cac61b9c9e2139d0318f6c8512e00b9f705d1645cc8d',
        64888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66efea821adb5a9325b19fcbe7c67643256bb35bcd88ab5654d07b752eda4790',
        64856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f41c0935ef5e1e24509cfefd1c12c5d43dc3b86bed7bbdb54f98b94a546ea084',
        64624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97024baf4cfeefe2b2d0b1c83ff45051c1ae36045f49829da40439c4c8138052',
        64808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a882e9bdea3eacedd132fec6e60903f2bbd677d2d9bbe67174defb80d3042ee',
        64792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e66ad837d245ceea24f47727a160f668e20ed888b4c5a6666320b65a6a529997',
        64636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e0bfa0b23968003ed3e8c8a4e7fce127eba6c5e90648e5bf219b0e7381260e28',
        64696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlusJakartaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Plus Jakarta Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plus+Jakarta+Sans
  static TextTheme plusJakartaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.plusJakartaSans(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.plusJakartaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.plusJakartaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.plusJakartaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.plusJakartaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.plusJakartaSans(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.plusJakartaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.plusJakartaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Podkova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Podkova
  static TextStyle podkova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e73a38f29556dbeee2af20850e4b5e08f881a397d52186e36e8a5d68cb252043',
        98128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7de12f42b336fce6abe424926d8e64c940b25ea8639a39fc39143b970cc506ea',
        98264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c360c687241bd97933fe5d525a0e45408041b9f5ef5edbe5984f2bb7800975a',
        98228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97dcbdda1f932f3367875090ee5d041ba60f023c5465c977aad872499756ce0d',
        98144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d28ca984db4ee29fe787cbc1809a5850511313cd87761fde5ecaf92c893999e',
        97960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Podkova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Podkova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Podkova
  static TextTheme podkovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.podkova(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.podkova(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.podkova(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.podkova(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.podkova(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.podkova(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.podkova(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.podkova(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.podkova(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.podkova(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.podkova(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.podkova(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.podkova(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.podkova(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.podkova(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poiret One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poiret+One
  static TextStyle poiretOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb10a2b2fd12262b4cc477613596ada8beac64133a493ba6125ab5d17635a312',
        44704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoiretOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poiret One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poiret+One
  static TextTheme poiretOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poiretOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poiretOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poiretOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poiretOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.poiretOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poiretOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poiretOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poiretOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poiretOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poiretOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poiretOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poiretOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poiretOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poiretOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poiretOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poller One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poller+One
  static TextStyle pollerOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '801780d5def5239ba7fcd2e398eced436b9fe34dcf0a8e95ef2dbc5ec257fe30',
        28172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PollerOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poller One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poller+One
  static TextTheme pollerOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pollerOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pollerOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pollerOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pollerOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pollerOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pollerOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pollerOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pollerOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pollerOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pollerOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pollerOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pollerOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pollerOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pollerOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pollerOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poly font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poly
  static TextStyle poly({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff5048298cf73a00572ecfd2b1b5a01f0c95316d6c9572a9a5d447acf64b5eba',
        50944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a66df60d8b8e0a17998580926c00c9e76393f70bea4f1ece95fd971a331ec5a',
        65812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Poly',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poly font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poly
  static TextTheme polyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poly(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poly(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poly(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poly(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.poly(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poly(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poly(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poly(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poly(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poly(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poly(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poly(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poly(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poly(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poly(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pompiere font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pompiere
  static TextStyle pompiere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10d76856928ee3245d8c54871db74b5443bf21650a642d1ee82550402b207e73',
        33288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pompiere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pompiere font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pompiere
  static TextTheme pompiereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pompiere(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pompiere(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pompiere(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pompiere(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pompiere(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pompiere(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pompiere(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pompiere(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pompiere(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pompiere(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pompiere(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pompiere(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pompiere(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pompiere(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pompiere(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pontano Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pontano+Sans
  static TextStyle pontanoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc9b7108e001c320b4592d825fbecc3cc0bd11df0e23062026e8248f9416a7e9',
        25972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PontanoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pontano Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pontano+Sans
  static TextTheme pontanoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pontanoSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pontanoSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pontanoSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pontanoSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pontanoSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pontanoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pontanoSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pontanoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pontanoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pontanoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pontanoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pontanoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pontanoSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pontanoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pontanoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poor Story font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poor+Story
  static TextStyle poorStory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '737ca127bc1d4acf197e258b373c31f20148f17bffcc784b9028b25bf5883eac',
        1802964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoorStory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poor Story font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poor+Story
  static TextTheme poorStoryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poorStory(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poorStory(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poorStory(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poorStory(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.poorStory(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poorStory(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poorStory(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poorStory(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poorStory(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poorStory(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poorStory(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poorStory(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poorStory(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poorStory(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poorStory(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Poppins font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poppins
  static TextStyle poppins({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad9ae03d8549de3f511f393127a1d1b6b22bdaccdb12ed14be14099ec839221b',
        157864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93e1999eddc7ab5b50ba4b350b1cebf75ee119f1bd62f74bfca9933d8f7a2e05',
        183040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9f58caa28112f0c392f47e478df266027816bc8e05fa3f8a2153de7639f0742',
        157668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e420a773415c3d6eba38a52fa18270850a33df744c8c4b49996968f1e4b6807e',
        182180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb36435e8f368d57e2807b02653757e2f39311982461de642a31966a6c3956fc',
        156144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c6fcf2be5739f54cf2b72ce3257cf919694e3533a2059584ce08e376207be5d',
        180484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '705290b12f58c6d70aafcaaf461dbc3d2f7f19d0f4362af1843b107d95d4960a',
        154584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9944daf2dac6d1c49aef7e4d0e4de71a79d4d65efabcb43945498db8ae119005',
        178076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a05eb17c43309b14b916303c48995b19407a7cdcf47bc6d8085d464722627918',
        152824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5dff9130f23647877185ba17e2fe31d83c889f9ac0505b0831a671256ec87ef4',
        176472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a24a61e9a408f85504dcdcd11edc4995adceb4ab585c0011f39cfbe193248b71',
        151480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00e34c6ab7c020708797444bf9ed8e085cd48805ba92df15a1524e1b52d920ec',
        174592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ecfd020e9cc0b676025df8390c0dc8cc2062523540887dd04bec0ef4d5a449c',
        150252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db69b13e2e486582c4431f84cf547907b7fd4fa2858b1619777087bd96f65332',
        172684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87d223678cfaeac6f207cfd6f38e16a3dcaf6a1a04bd9d35be56321812672f43',
        149028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a916637aaa600bd00e94027737e027dfc6b585767a752677acd96489750b23a',
        169940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58bae164452a59c75685191f42f83865d0a9eb41a72af48fa7ddcd15379e7c8d',
        147656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df356ffaef0d9c67439829eceeadd432df5a0d0a33cc42ef28f16092226fc84e',
        167640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Poppins',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poppins font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poppins
  static TextTheme poppinsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.poppins(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.poppins(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.poppins(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.poppins(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.poppins(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.poppins(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.poppins(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.poppins(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.poppins(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.poppins(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.poppins(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.poppins(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.poppins(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.poppins(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.poppins(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Port Lligat Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Sans
  static TextStyle portLligatSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e606b04dc6d3beefa63fb8574c5c94ca599a657613dbef25e9d4ffcc516b2ce',
        31556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PortLligatSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Port Lligat Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Sans
  static TextTheme portLligatSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.portLligatSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.portLligatSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.portLligatSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.portLligatSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.portLligatSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.portLligatSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.portLligatSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.portLligatSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.portLligatSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.portLligatSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.portLligatSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.portLligatSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.portLligatSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.portLligatSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.portLligatSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Port Lligat Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Slab
  static TextStyle portLligatSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ffa3e00fe13d8c796425f086372e09ac506494bc8014cd46c8b979b469a3f36',
        35600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PortLligatSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Port Lligat Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Slab
  static TextTheme portLligatSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.portLligatSlab(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.portLligatSlab(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.portLligatSlab(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.portLligatSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.portLligatSlab(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.portLligatSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.portLligatSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.portLligatSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.portLligatSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.portLligatSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.portLligatSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.portLligatSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.portLligatSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.portLligatSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.portLligatSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Potta One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Potta+One
  static TextStyle pottaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7176e723ac59341e96f8f7fac382d27c5cbc9cf031361c08544cb9f3f7f22407',
        4911476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PottaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Potta One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Potta+One
  static TextTheme pottaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pottaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pottaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pottaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pottaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pottaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pottaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pottaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pottaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pottaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pottaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pottaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pottaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pottaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pottaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pottaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pragati Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pragati+Narrow
  static TextStyle pragatiNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99d6391c41374dd216836cee0f835497bebddfe9f592c78e4b248c213821174b',
        208808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6be56c0a508027043913912e42c3f32ba498ed449bf54e8e5a5969d99ae8e421',
        208068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PragatiNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pragati Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pragati+Narrow
  static TextTheme pragatiNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pragatiNarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pragatiNarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pragatiNarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pragatiNarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pragatiNarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pragatiNarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pragatiNarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Praise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Praise
  static TextStyle praise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44421bffc579c56106cf41ebfad49c48cfb88fb84eac0106ab72c26f0d88cfcb',
        97556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Praise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Praise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Praise
  static TextTheme praiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.praise(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.praise(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.praise(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.praise(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.praise(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.praise(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.praise(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.praise(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.praise(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.praise(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.praise(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.praise(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.praise(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.praise(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.praise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prata
  static TextStyle prata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd929a0daa6abfe6f274a1403b5cc9444e9a186990036134b3477fcbdc46d64d2',
        60248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prata
  static TextTheme prataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prata(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prata(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prata(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prata(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.prata(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prata(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prata(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prata(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prata(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prata(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prata(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prata(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prata(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prata(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prata(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Preahvihear font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Preahvihear
  static TextStyle preahvihear({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '534f5faa2ced868a712042f4c95f231b7c56a6bceafc6615d457a74f5a7f4f3d',
        51828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Preahvihear',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Preahvihear font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Preahvihear
  static TextTheme preahvihearTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.preahvihear(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.preahvihear(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.preahvihear(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.preahvihear(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.preahvihear(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.preahvihear(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.preahvihear(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.preahvihear(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.preahvihear(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.preahvihear(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.preahvihear(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.preahvihear(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.preahvihear(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.preahvihear(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.preahvihear(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Press Start 2P font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Press+Start+2P
  static TextStyle pressStart2p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '340e8bceb3e1d820a45d585073dee15ef5ed2c666dbe2affac0ce768a4bb63e2',
        55168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PressStart2P',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Press Start 2P font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Press+Start+2P
  static TextTheme pressStart2pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pressStart2p(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.pressStart2p(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pressStart2p(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.pressStart2p(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.pressStart2p(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.pressStart2p(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pressStart2p(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pressStart2p(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pressStart2p(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pressStart2p(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pressStart2p(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pressStart2p(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pressStart2p(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pressStart2p(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pressStart2p(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Pridi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pridi
  static TextStyle pridi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bdb75d17dcd2834ac7b42b5eae0c71b7a88c1091c84a5394b80d930e654900f',
        104492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aef01661b8a6cdb19ac36278a78ffaf6c67c28838b2599b5cc7f3848b3224ad5',
        106940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c84bef1541933cb762ae3f4032a89f606fd34ebcf7e27eb61430a359e4c0c11',
        108224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7520c73525fd73f1670ace1aa87b801fc26861b95369402742fc49869a97aa48',
        105508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '054fe054f8dcfa6e63ff29b33a7318bbc2ec682505c26b60e255be50773aaa41',
        102616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dff18712926b6289fa42d217619727144fb279b0216926ae4afd9b170ce8989',
        101764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pridi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pridi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pridi
  static TextTheme pridiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.pridi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.pridi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.pridi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.pridi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.pridi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.pridi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.pridi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.pridi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.pridi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.pridi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.pridi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.pridi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.pridi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.pridi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.pridi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Princess Sofia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Princess+Sofia
  static TextStyle princessSofia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e03e71ee660d7d21051a24e3bc4f672f4c7a52a218164f2b60c3cc55f7680d6e',
        270224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PrincessSofia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Princess Sofia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Princess+Sofia
  static TextTheme princessSofiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.princessSofia(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.princessSofia(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.princessSofia(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.princessSofia(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.princessSofia(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.princessSofia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.princessSofia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.princessSofia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.princessSofia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.princessSofia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.princessSofia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.princessSofia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.princessSofia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.princessSofia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.princessSofia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prociono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prociono
  static TextStyle prociono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb534d9dfc4a1db0f2035df13b1334824492f3e951f53ce6f47fce4dec43dc9e',
        28440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prociono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prociono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prociono
  static TextTheme procionoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prociono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prociono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prociono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prociono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.prociono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prociono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prociono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prociono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prociono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prociono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prociono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prociono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prociono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prociono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prociono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prompt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prompt
  static TextStyle prompt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a923972fc6a8f837b08ff28aa393ce8e25915480f9fde8697d9db4b2edcdb79e',
        90928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26544c427a79a6119bf94344e57763d9ee8ce3d6ea4aaaf8a84b629c50fad4f0',
        100536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d3a1c0cd528f46d2d75523cdb9d6bad276dc53abf9b3fbd9644ad2012f6f54d',
        90896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cae4dd896939dd04b4995679220aa164bb417edf97f79fa1e7478e50791dbb4',
        100552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d962242d54764061a52e839d1ccde13c8620ef2b9a2bdc9d83580e67565b30c',
        90300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '070ac0ef78a2a51821bfa8f5ea71bece4b888dc87d4fa5871db43b941f0aa802',
        99952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c80d481e346d71c2d400d1a7d76a30a38b08b0af0f84c8a3b21a249936da04df',
        90184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef8175f765e6c09d08768c173382c9894b2597475633f1635d8e29dd3008fafc',
        98976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a044b49afd543a590faf28ae6d9a0dcc6b16599caea46881a430f9bcc99158eb',
        90152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '936420f7119ac4fd8a32517f996411a5d932553b941a9b201f212247050eee55',
        98712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60b9ea916e82cfa321e507e359ad34d66325466f676f2519bd741d6b5ce4c1ea',
        88144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dfcd92f4dd89104220cbabccaf41678e59d3a80a52ccbd3ac2c52587ded7b510',
        98476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bce6d5e10c9f6e26959195929cdbc293a347eb5f02b41233c5667c8788cfff7',
        89704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '322d1b5cfb4160f6d8afc15e0dfe869ecece7a2878a4d47983ee3d8ee7b15931',
        98116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '499673d9643ba4a3cc8d6197deec7d8581c6b3e1bb70316cf751f76faed9a44e',
        89248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '877690c0ee29d9f70d35d529c58947286f05a4c1edd34c621799996a9b2f331f',
        97988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d8a1dad60319b81217377cee15370d9fdae20a5a3358ba2aab442a8a688d88f',
        88988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '626e81a57e26f28c8425e3b6303cdc58301f9feffb867fe8f705dad819aab5ee',
        111796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prompt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prompt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prompt
  static TextTheme promptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prompt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prompt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prompt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prompt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.prompt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prompt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prompt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prompt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prompt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prompt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prompt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prompt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prompt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prompt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prompt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Prosto One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prosto+One
  static TextStyle prostoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0d4c5c46d7882d98840549b88ff8d86d6ee75b3fecce6b7a365f8ddbd76a01a',
        41952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ProstoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prosto One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prosto+One
  static TextTheme prostoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prostoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prostoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prostoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prostoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.prostoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prostoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prostoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prostoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prostoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prostoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prostoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prostoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prostoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prostoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prostoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Proza Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Proza+Libre
  static TextStyle prozaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b794eb5e68c76f1be231c6abd83206310d36a11079fa39c789b7bcc310e66288',
        76196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '83bad983eca414b664a29ed143268ad65f1e0994116be3b7437531465af33166',
        76068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8736a3a1098c5523c6b05fb8b47a4f8ef005df6cd4c8d3cc29d95af6ce08e72c',
        76272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b168db04e9d0e28c9a73b994528dd61226db580191372bc9643a9b436d41fabe',
        76424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11121bf929802549ba247318f909f057b9bc81376e6671d815fdac994f3fcb34',
        76508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0510042f3e1ff0fa3ff2afa95271ec3e5adc7737ec70e8f1604a9f5e596e402b',
        76428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a86b73094aafa9de9ab868185799b92d6b67d32ab9cef91b2edff4c225d51d6',
        76084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec3614b2eee1833771c89e21c4c70eb3770b26b7290e2465e94f7ef7cc7ad065',
        76224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b04207f332a3a7c05f6aa3bbb6328ce2f4f5c6fff1c59097f45902f46507f52',
        89932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a7c3d16aee13a00d55b67bd114de9890ac30c30aa6fcbfc791e56c76e9d6297',
        89228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ProzaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Proza Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Proza+Libre
  static TextTheme prozaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.prozaLibre(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.prozaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.prozaLibre(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.prozaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.prozaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.prozaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.prozaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.prozaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.prozaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.prozaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.prozaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.prozaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.prozaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.prozaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.prozaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Public Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Public+Sans
  static TextStyle publicSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95425d8c31c56289224ea845c070a7fdb09e951a6c6af125e180241e825a3418',
        56000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '711dae8d1ea4ca1d9425cfe75e761ec52a590a9665023f835b3c551b97003309',
        56164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54c6a3f69c8d66dd2a93c0515110bc18266f0aec80442fce8d0568cbed8bd47f',
        56164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4a41453a5a6d8f1d1ffbb50a4ec8faa2e6102c46d52d8bbd8e3c91099d1c4c2',
        56128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3703872195fd1bffc0f518ad1e2b46d6454110de8a9910196b8a553fdc627a2',
        56116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835eed35c373048de033d5b62eaba4dd1281975011c93bedf63423b8ad4790d1',
        56196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f49bc2108813ec7bbff80901bd7e110ec7c632fb7bf9199164b517a29d6559e',
        56304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d320adbe78c159a32ad46693279e1701dd413b4d7d4b3b3966216f2d33a2a84',
        56468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e56896212ac49011ef1bb74c107724277e94eea950d211636ef935287708d381',
        56408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a10cfd6c83bf8ed9c425364181dbc6116926a6bb5fc61eea3db8c581e8b6ded',
        58248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0309a9a67a68c1471fceca43c8c787c89896ed9b5e8513e37111e92bef73275c',
        58464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd174f7374a0cbda5b027d51b0139507b2bbe3b0cfe391eaee912e1205f5eb584',
        58408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5b851ce56994eb1300246087fbd29288751e3f57b63f2ecc98324ad148dae0e1',
        58264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1b726e96efc6374fa67e24303547577b8459d751da051167eb6e2637b58bcac',
        58376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9f65c1b1c63028c1c2c08c2f954f92cd2971b209beb83b7f5fced5d34d5ee2d4',
        58500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c037e259b9334354a38b0fb647ae093461a5a4368bb8e4b3a1ea25bb1d8dceb3',
        58636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe6ba2144f9d290de0bfd9408549dc8c795d5639c4316ca4ea4bc4f531d02fd4',
        58844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe693c18393e59401e8ff7947d545975d60650a9e3e85021a65e42a6bbb2e755',
        58804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PublicSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Public Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Public+Sans
  static TextTheme publicSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.publicSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.publicSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.publicSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.publicSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.publicSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.publicSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.publicSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.publicSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.publicSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.publicSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.publicSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.publicSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.publicSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.publicSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.publicSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Puppies Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puppies+Play
  static TextStyle puppiesPlay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6030bb3c6caf0c8ed08c7c93d4dcfc1e742b64191458a2000446ec26bbed0545',
        103644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PuppiesPlay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Puppies Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puppies+Play
  static TextTheme puppiesPlayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.puppiesPlay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.puppiesPlay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.puppiesPlay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.puppiesPlay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.puppiesPlay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.puppiesPlay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.puppiesPlay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.puppiesPlay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.puppiesPlay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.puppiesPlay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.puppiesPlay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.puppiesPlay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Puritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puritan
  static TextStyle puritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cee34121e6f9605021e3451b4e9a301d0964bd717bb0c8ba82748a10cea8898',
        22596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6e6136370b0abeed8d4cb41b8ba67f8baa9009d78caf32c1c652f5c4d2c84495',
        23876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'badf78148b7dcfdcc97d42b082880e74f5561d25dc69dd7c8a33a60252d018d3',
        22364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '170e876845304805c7cce4dfe37478c67aa8a5a63f3d76fb66f766e348aac270',
        23760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Puritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Puritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puritan
  static TextTheme puritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.puritan(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.puritan(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.puritan(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.puritan(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.puritan(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.puritan(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.puritan(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.puritan(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.puritan(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.puritan(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.puritan(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.puritan(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.puritan(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.puritan(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.puritan(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Purple Purse font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Purple+Purse
  static TextStyle purplePurse({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f15afa5d9a544514805bcac196e73bde7bf592775059393db8fba3964f2f9e8c',
        59652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PurplePurse',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Purple Purse font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Purple+Purse
  static TextTheme purplePurseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.purplePurse(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.purplePurse(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.purplePurse(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.purplePurse(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.purplePurse(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.purplePurse(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.purplePurse(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.purplePurse(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.purplePurse(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.purplePurse(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.purplePurse(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.purplePurse(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.purplePurse(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.purplePurse(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.purplePurse(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Qahiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qahiri
  static TextStyle qahiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f66733e61d4cb2734ba69d9495034c0f98175bba5a7ef95d399e64d9349b70f',
        19704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Qahiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qahiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qahiri
  static TextTheme qahiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.qahiri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.qahiri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.qahiri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.qahiri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.qahiri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.qahiri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.qahiri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.qahiri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.qahiri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.qahiri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.qahiri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.qahiri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.qahiri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.qahiri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.qahiri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quando font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quando
  static TextStyle quando({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f04ebd5403a6a09df087e7ef59fc46d3aee84abd715b6e42db5166bd37fbf2d',
        46320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quando',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quando font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quando
  static TextTheme quandoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quando(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.quando(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quando(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.quando(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.quando(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.quando(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quando(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quando(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quando(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quando(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quando(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quando(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quando(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quando(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quando(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quantico font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quantico
  static TextStyle quantico({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a89424bbf5a0f0d453ce3c2514586ef874482c40bc8d1cabf8913b07da2f6742',
        18656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2da9865ad4d93a8cbd40c9ff24f950bd530b1f57c41b1bad0eb93ab78841977',
        19836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c0b2f01ce02dafe867853971f3d54a741ddffade9d90bb36f604efdc827ecd5',
        18616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff2c8171333a5953f440dfb3ce36d3c44aa748e849931fc1fe42bc91b1856bc8',
        18340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quantico',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quantico font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quantico
  static TextTheme quanticoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quantico(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.quantico(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quantico(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.quantico(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.quantico(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.quantico(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quantico(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quantico(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quantico(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quantico(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quantico(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quantico(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quantico(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quantico(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quantico(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quattrocento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento
  static TextStyle quattrocento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93bf2ef9e8dd1cc4d1906710e92f45b5b46e689d802c6776ee3631f2ba3bb473',
        65952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3427d0950adaa345505aa352c421b5fea3c73de56a0adf9b9ba61c40dc0ecc00',
        66664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quattrocento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quattrocento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento
  static TextTheme quattrocentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quattrocento(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.quattrocento(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quattrocento(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.quattrocento(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quattrocento(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.quattrocento(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quattrocento(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quattrocento(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quattrocento(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quattrocento(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quattrocento(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quattrocento(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quattrocento(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quattrocento(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quattrocento(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quattrocento Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento+Sans
  static TextStyle quattrocentoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bb731cc60b46f91bb52998bec01f9cdb4024f7f5d95311c17bffeee0062024a',
        38944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2dbd5b51296f7b89cabf7e1450033af585ca2aa009d50d2ffe1091472e685579',
        44116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65e121fdbdf2cde8fbebe307381dcfdf129c1fd68c5cd08b6b36c5e83062d6cf',
        38464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5873ed8a6a0482a27a63f010cdb0fc742c8f51debc2d7f2055141d4789440a2d',
        39552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'QuattrocentoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quattrocento Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento+Sans
  static TextTheme quattrocentoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quattrocentoSans(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quattrocentoSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quattrocentoSans(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.quattrocentoSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quattrocentoSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Questrial font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Questrial
  static TextStyle questrial({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a03a863ae8309aa6530c0d8df4e28b31603d236ae11b23b87af29c097e43963b',
        115384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Questrial',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Questrial font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Questrial
  static TextTheme questrialTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.questrial(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.questrial(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.questrial(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.questrial(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.questrial(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.questrial(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.questrial(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.questrial(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.questrial(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.questrial(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.questrial(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.questrial(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.questrial(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.questrial(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.questrial(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quicksand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quicksand
  static TextStyle quicksand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e794790f6e0d3994010c693345b1298e6e6f99913be9bca09e53d48e32dbc09',
        72940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38526ae67e7c9e3888081c9ab1c460d9638c99fa38f4c8c0536cff80c6c79d8f',
        73176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '305a7b2e83565b72417626e51a433a5554c76081d9764dd13de6e75c4b79bcd1',
        73152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a55e7e54fc30ad4e93af3a46bf18ad012fb1d86b187e370c81585c221bf8f03e',
        73060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d21add2a5ba9b9c1f61edd393037f38fabf5ae438a0b96b00ac3b01d92e871f',
        72812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quicksand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quicksand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quicksand
  static TextTheme quicksandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.quicksand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.quicksand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.quicksand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.quicksand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quicksand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.quicksand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quicksand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quicksand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quicksand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quicksand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quicksand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quicksand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quicksand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quicksand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quicksand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Quintessential font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quintessential
  static TextStyle quintessential({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99a6ee281084e78d6098407d7876932be32c04cd4038f8b3709f781c74206532',
        70704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quintessential',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quintessential font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quintessential
  static TextTheme quintessentialTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.quintessential(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.quintessential(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.quintessential(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.quintessential(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.quintessential(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.quintessential(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.quintessential(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.quintessential(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.quintessential(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.quintessential(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.quintessential(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.quintessential(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.quintessential(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.quintessential(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.quintessential(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Qwigley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwigley
  static TextStyle qwigley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd19a9b10607f6dc683be17e5bc50fe7067eb82c8a8213de86e273ebe96717a32',
        56936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Qwigley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qwigley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwigley
  static TextTheme qwigleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.qwigley(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.qwigley(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.qwigley(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.qwigley(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.qwigley(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.qwigley(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.qwigley(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.qwigley(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.qwigley(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.qwigley(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.qwigley(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.qwigley(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.qwigley(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.qwigley(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.qwigley(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Qwitcher Grypen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwitcher+Grypen
  static TextStyle qwitcherGrypen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '653ec917035edb6a20d810d09da3765735aff67feb83e81d1baa58c0f0497f4a',
        137312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '577800d5758db9b3b1ea93dcc41a3166aebab0da163bf7105330aad7e653500a',
        142944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'QwitcherGrypen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qwitcher Grypen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwitcher+Grypen
  static TextTheme qwitcherGrypenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.qwitcherGrypen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.qwitcherGrypen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.qwitcherGrypen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.qwitcherGrypen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.qwitcherGrypen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.qwitcherGrypen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.qwitcherGrypen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.qwitcherGrypen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.qwitcherGrypen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.qwitcherGrypen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Racing Sans One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Racing+Sans+One
  static TextStyle racingSansOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09ea6613eb3d049dba88c344b36676d8e39d4a314d64e09f43afaf616070849a',
        75196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RacingSansOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Racing Sans One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Racing+Sans+One
  static TextTheme racingSansOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.racingSansOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.racingSansOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.racingSansOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.racingSansOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.racingSansOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.racingSansOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.racingSansOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.racingSansOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.racingSansOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.racingSansOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.racingSansOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.racingSansOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.racingSansOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.racingSansOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.racingSansOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Radio Canada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radio+Canada
  static TextStyle radioCanada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df737588dad421e9d861a6a90cea305aaaa214f29e288eb5b46316e2f72d1289',
        70336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5d7a03134bd66104f66cd6bd4e45c6629e92094ce9c15ad50c24ca454939d9f',
        70412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca9a653e77d4ca4e0adfa3c0f392e43820bc67760e12835ef718a1c6aab2fa59',
        70616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f5859e92515f2f16e1ece7d715247ab6420481d727444bc830a9289433e76b2',
        70624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14021e5ef04d95e75cd760590d9c74353b03550cce6cf95a6a7e28951269ddbe',
        70428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '021788c7daf72fbd6a9f45d8951fc558ca0d2b8d4439c7bf756520bd7d7af91b',
        69668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '152a8ac8fd5d5a34a49349e57e1273f850eb2d2d2e9a1f8a246bc7dddbaa31a0',
        69604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b623dca210f401ccd9e2ac4daf99e646aad1a5d2d1ed6361d47a05bbd5631edc',
        69796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b6cf28d54602a54605eb842c2662fdfb1d839a88e62234ee2f82200e0d9bc7bd',
        69832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '24fcadf65bc496fcb161098f93adaeefecc440fae9b00f0d4a2767a38f5ef3da',
        69632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RadioCanada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Radio Canada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radio+Canada
  static TextTheme radioCanadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.radioCanada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.radioCanada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.radioCanada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.radioCanada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.radioCanada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.radioCanada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.radioCanada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.radioCanada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.radioCanada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.radioCanada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.radioCanada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.radioCanada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.radioCanada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.radioCanada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.radioCanada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Radley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radley
  static TextStyle radley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbb354e66f55792b8c93840f66d0a6198fb3d01578a6a7671253a690947e820d',
        52012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0bf4b788c56a30fc658999ba0e3da142c6bc96fee63eac52b5f0a386551cacb4',
        46536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Radley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Radley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radley
  static TextTheme radleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.radley(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.radley(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.radley(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.radley(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.radley(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.radley(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.radley(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.radley(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.radley(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.radley(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.radley(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.radley(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.radley(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.radley(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.radley(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rajdhani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rajdhani
  static TextStyle rajdhani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '192b606d14e81260b70011c0b0c5112d9a3e9c65afa4f26b77ad0c86b40d5898',
        217500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff6e72fe9cf36e9a1c242b9bfd96b5428d8fffa2f1e051aedb763e7541541cd1',
        216760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaaec9e0132fad7581bc52138b8093c83ba03a319a3c304e6c011afbbf789b6d',
        214792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28f91a9ceab5666fd1bce81d641f74b66cf748a3d4c71d3ff448c4e68d15a738',
        214296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9daa5a92fd35dd5dacf143f23fe31b929d06731e83fb82f5e2890ba9dd642111',
        216528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rajdhani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rajdhani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rajdhani
  static TextTheme rajdhaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rajdhani(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rajdhani(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rajdhani(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rajdhani(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rajdhani(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rajdhani(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rajdhani(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rajdhani(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rajdhani(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rajdhani(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rajdhani(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rajdhani(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rajdhani(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rajdhani(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rajdhani(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rakkas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rakkas
  static TextStyle rakkas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab4556585c087281473cd527076978711bd2c8f4f0910adb6530b5888b349bc9',
        92668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rakkas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rakkas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rakkas
  static TextTheme rakkasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rakkas(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rakkas(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rakkas(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rakkas(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rakkas(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rakkas(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rakkas(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rakkas(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rakkas(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rakkas(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rakkas(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rakkas(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rakkas(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rakkas(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rakkas(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Raleway font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway
  static TextStyle raleway({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '224ecf762c40f4aac88f48353d6b0ce62eeb5d90556e26b7704d024632195809',
        117352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1c11109ae4f18bfa1065ec0bdfe95ee1d85071b476cdcd7fb5bb7a02eeb79ff',
        117548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0479039177e871c2b2b4eef8fa0108c929b804f1cae8a0b8de30dd0e701b7112',
        117448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e549403e4a007249673d041c55e7205d754210d79b962001d95a8313191aa3c2',
        117388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc2640fc16a60883b8f9db92bd4ff12c5049d45d8b17bceed4fcb21827d76961',
        117392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dce4cd0ac8892078aa945c86610d15a0d3566a26a8ad62eb0ba48b51dc4a6a66',
        117404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc6ebfa9c6e8cb7de1831117fc3b905b63aafc63320665a4f4c722da65f0f76a',
        117312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8c6b02dc280974028f39e99d29505c52f275c1e935c741ae6319c94f6022fb1',
        117376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d6b10ef732abfb934319e7890bc547c62b0c2f55204eab80601435d045df3a0',
        117060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6b001e19ef8909bebaa35afb3823eefe97413a8f5fe209f9a27556355b16c45',
        115344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b9a92f6091065537a6fa412ec540204988693313176daacf991e71b0056b3c8',
        115444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a57af68d557365701e21f71034bdb64961e599768a02901851405b45f8f113d',
        115424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6597b943f258602aa9b409278ffc9bed9780c34675313453146044af80113f03',
        115232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c58b776ba9e08f651f83df1c6e3e7a09c95d29c0dd58d3ab607a72ccdb23a87',
        115300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a18b9a23bd09f74381cefe7b868bd094815c56a0bc711f97c6f6888e388491d8',
        115388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb540d416ec2fb8b6a2bd5de94c89576ab0059ea372e4f44adbe5dbdaee03d18',
        115252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '066aae67341d1789840a58b02741533b290f599fe2874e2d08c54592c4f34610',
        115396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '845342512e0567b18bc0db3fc6e29e6905ef4ea3b06f677081c1025149cd709c',
        115020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Raleway',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Raleway font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway
  static TextTheme ralewayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.raleway(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.raleway(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.raleway(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.raleway(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.raleway(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.raleway(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.raleway(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.raleway(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.raleway(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.raleway(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.raleway(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.raleway(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.raleway(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.raleway(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.raleway(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Raleway Dots font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway+Dots
  static TextStyle ralewayDots({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b86af8d779c05da8d754d41738fab2edce3ea547e19dc1aa1bbb8e20066541d',
        188896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RalewayDots',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Raleway Dots font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway+Dots
  static TextTheme ralewayDotsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ralewayDots(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ralewayDots(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ralewayDots(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ralewayDots(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ralewayDots(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ralewayDots(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ralewayDots(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ralewayDots(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ralewayDots(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ralewayDots(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ralewayDots(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ralewayDots(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ralewayDots(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ralewayDots(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ralewayDots(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ramabhadra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramabhadra
  static TextStyle ramabhadra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b475183d7a82e6754bbfebdeadda687af1ee9a3223b405314dfba9236a5acf3d',
        319564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ramabhadra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ramabhadra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramabhadra
  static TextTheme ramabhadraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ramabhadra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ramabhadra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ramabhadra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ramabhadra(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ramabhadra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ramabhadra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ramabhadra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ramabhadra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ramabhadra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ramabhadra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ramabhadra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ramabhadra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ramabhadra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ramabhadra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ramabhadra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ramaraja font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramaraja
  static TextStyle ramaraja({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17595caf1dbf5c3235c44859d0b4543d12923808268604b0967ecc4fa1e7dff8',
        440392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ramaraja',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ramaraja font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramaraja
  static TextTheme ramarajaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ramaraja(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ramaraja(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ramaraja(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ramaraja(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ramaraja(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ramaraja(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ramaraja(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ramaraja(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ramaraja(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ramaraja(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ramaraja(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ramaraja(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ramaraja(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ramaraja(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ramaraja(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rambla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rambla
  static TextStyle rambla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '445f78a8f5be7d9ef22efa54929a0e53c95c5212fd40e5323bc5ee27ff263adc',
        32208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8559dd68b1e4ec33ea8e82aef88e2ac65b5208e90aedcc3570b9e258dde3858',
        34992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2ab0095a5821055695a33234b3576af18a07613dcc2864526bb1c5c6e4fecbc',
        32248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4595e357da22bc7ae81a691962b115024e2cfc624fda09673d4785f4761d7f9b',
        34820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rambla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rambla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rambla
  static TextTheme ramblaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rambla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rambla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rambla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rambla(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rambla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rambla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rambla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rambla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rambla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rambla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rambla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rambla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rambla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rambla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rambla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rammetto One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rammetto+One
  static TextStyle rammettoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03e2edfd0580f52d6054f90e622bc06d39c1c2656c0f01bab23b12e36faba015',
        28112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RammettoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rammetto One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rammetto+One
  static TextTheme rammettoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rammettoOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rammettoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rammettoOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rammettoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rammettoOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rammettoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rammettoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rammettoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rammettoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rammettoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rammettoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rammettoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rammettoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rammettoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rammettoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rampart One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rampart+One
  static TextStyle rampartOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95de23f6169cd71a10becbefdfa6c86c56e87a293e285f16d3d31cfa2fd9415',
        3404536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RampartOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rampart One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rampart+One
  static TextTheme rampartOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rampartOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rampartOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rampartOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rampartOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rampartOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rampartOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rampartOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rampartOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rampartOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rampartOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rampartOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rampartOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rampartOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rampartOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rampartOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ranchers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranchers
  static TextStyle ranchers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '787c4f61f223f6a7386e7a07f1c00c2b05c3320ee8be8f01ca4ac334625f1f88',
        90044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ranchers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ranchers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranchers
  static TextTheme ranchersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ranchers(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ranchers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ranchers(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ranchers(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ranchers(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ranchers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ranchers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ranchers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ranchers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ranchers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ranchers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ranchers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ranchers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ranchers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ranchers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rancho
  static TextStyle rancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7715bbfd4b158ec0e719c5cd8bb62c31704949c78dbf7880cabaa0d2434fb083',
        43096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rancho
  static TextTheme ranchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rancho(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rancho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rancho(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rancho(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rancho(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rancho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rancho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rancho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rancho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rancho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rancho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rancho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rancho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rancho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rancho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ranga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranga
  static TextStyle ranga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfa6584caeb323098ffb94ffc9c22467c81bfab741025c9f280f6954ec7601c8',
        105756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dedfccda4fb1df2031131076d65be0723409b95846b01507c60061bf2b1ad37',
        113056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ranga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ranga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranga
  static TextTheme rangaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ranga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ranga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ranga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ranga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ranga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ranga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ranga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ranga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ranga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ranga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ranga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ranga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ranga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ranga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ranga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rasa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rasa
  static TextStyle rasa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fbb18bf27e8f9306e843d2ab309691957ad24ced85f43dd1dbc3937fcb9f649',
        245012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b099cc39cbf32ae662d3a1f59423b4ff74eab8793381ed62307d19afdbedc9d',
        245828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77a0a611276ff5defa1820f050551ca69b32541c1afe34df52682fbb324d6009',
        245832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81fb92ba3e62f38ba90ee13786e05f071a387508ace69b86edeabd1f770dd325',
        245948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65fee1d7d7f771f4325431b33f08878cfff74f524d8e106f546e8952bde80005',
        245112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f854df78a5b2df0972490b7eaac94e1095409980fedae27828d62e5ad88c4bcf',
        148548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b671798fa7a14ec6d9381ad105c58dcc98ae296e476b959ee7c806ecdcb7c5d',
        148476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c949d9bbe7994373ccf603f43ba923139a38aba5e3e480b2f1677746e603199b',
        148552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38b579948fc5f08524db54559cd6f1da6b921808eca012a192e2ea387339f02b',
        148676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b0f734315b31f0b4c109ff8247497e94fb32b06f4246602c6cec25938383981a',
        147804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rasa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rasa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rasa
  static TextTheme rasaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rasa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rasa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rasa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rasa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rasa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rasa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rasa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rasa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rasa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rasa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rasa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rasa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rasa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rasa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rasa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rationale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rationale
  static TextStyle rationale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '328c172212efc2fb93c1d145a48b9f43489f5f1688d678e66dff1a22b6c07058',
        24416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rationale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rationale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rationale
  static TextTheme rationaleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rationale(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rationale(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rationale(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rationale(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rationale(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rationale(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rationale(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rationale(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rationale(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rationale(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rationale(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rationale(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rationale(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rationale(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rationale(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ravi Prakash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ravi+Prakash
  static TextStyle raviPrakash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c5f4ae0672f4c453482ad920569bda880a2e8f64f9569606544cba6be6463a2',
        214764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RaviPrakash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ravi Prakash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ravi+Prakash
  static TextTheme raviPrakashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.raviPrakash(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.raviPrakash(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.raviPrakash(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.raviPrakash(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.raviPrakash(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.raviPrakash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.raviPrakash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.raviPrakash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.raviPrakash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.raviPrakash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.raviPrakash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.raviPrakash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.raviPrakash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.raviPrakash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.raviPrakash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Readex Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Readex+Pro
  static TextStyle readexPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15363d7fe38fb1383d58cb76207f2c6efe45caf2569834c094115d713796c1c2',
        93784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aec30eaacc199131a3c4f82774fd04f055790c112f1df76ca3650da2b842d75c',
        93920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9cd67a87d330797827a6738dc93a161a18e903af1d6d76953784399d065da64d',
        93472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12af07b57faaf677ab4bbf1043e165e01ad6af091ad94ed4bdf5045ace8570b7',
        93948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7feeba666ad1699ae7428a3c459a1a1a38303169f6e907f50b88ba731d4ecb49',
        94084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '423256b818de18c5b43c948f09e459b8ebe044c2b370be6d773bfbcb53480078',
        94048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReadexPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Readex Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Readex+Pro
  static TextTheme readexProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.readexPro(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.readexPro(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.readexPro(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.readexPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.readexPro(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.readexPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.readexPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.readexPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.readexPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.readexPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.readexPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.readexPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.readexPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.readexPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.readexPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Recursive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Recursive
  static TextStyle recursive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2dae1e50f0a082a766bc429b18b3687e8024417917beae0b75c27346a10afdfa',
        156192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2af9e6b68091045c4557413aa57d617c643f30652fe3d1e07d7a2a0252cf80f',
        156376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd10bd82676a5fc21eea91835227b010b2dc006a8689a5a70e333d0358267c1d3',
        156360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7282e87cfe5ad1e93c27774656d2ff0417b5d0d61f7055d581a35a1741681b88',
        156372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50af6f4f2133e283b710dbb46ddf9711c5b2fc7d1070f09561a2b3cbbd2474e0',
        156228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '539916908a2763c53f5f221dba2a40c68018d99240b9c5e30944ce0b20977d35',
        156160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0dda181cccdc6401239d6588e5037dae3c3720c369866668c4decc8d0416424',
        156368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Recursive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Recursive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Recursive
  static TextTheme recursiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.recursive(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.recursive(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.recursive(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.recursive(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.recursive(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.recursive(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.recursive(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.recursive(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.recursive(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.recursive(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.recursive(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.recursive(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.recursive(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.recursive(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.recursive(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Hat Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Display
  static TextStyle redHatDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99fd560acc3d191acf8d283ceb17245417c155535857d9e8f0ed89c6ca887f13',
        43332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf1f9221d04cf2daeb3a8fb9c406f84fa2e3b0d464db6857773d3f9d6626dc53',
        43280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01eaa03669d2115d7ef73b46f446f3154a6d914af6ea04773db6e8a82f1c1b52',
        43312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '090811ece935d038249b8d039587d9c4cc215e6e543284d24ce0c74377e3abbc',
        43328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47d614745b91e275194b9a717b00b2fbce4afb4224d2e6e9e06d2a855c3d6bac',
        43244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd13410d7907334f31023fef89abbbaa4e14e7dd75da5caa20d180a756c27e58',
        43320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd99775fb88117f4d975f50c9b61a87f8b55752af1725e17a6a22c8345e2ff728',
        43248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9812b556c4df21374d577d607f470ca7ae2a122328d8bbfab436e12d15e36ec5',
        44824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79621cdf1dff9e9e998eb481af1f86beed77b84b14ea01cbd48b8f3ad0905172',
        44672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54ffb52681bc27c420a135483e1f37a5e5c23f8c076679c25dd67258a3ea8096',
        44804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7684038f4f6f323553d30c5f51379a011b66b9738ab51166fd2d4d9a24fd2165',
        44828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '997430d664482f3c3fb6328cc0ecf65c75b8f27d79539764fe4563cb6bee562b',
        44696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16189a74aa96649ae4568b1a413ff2978f2411c3357353fbc2ffd8c9605b86f8',
        44820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cda2936d2e6358e9f702ef7f5cbd8ed5131f2401ea008d324b413284ae018ed7',
        44760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Display
  static TextTheme redHatDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.redHatDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.redHatDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.redHatDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.redHatDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redHatDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.redHatDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redHatDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redHatDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redHatDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redHatDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redHatDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redHatDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redHatDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redHatDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redHatDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Hat Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Mono
  static TextStyle redHatMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87b8dbca2925e68c75916924ce29fc63605b003bc73ce31a00d77dbb622f5b6a',
        29048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff08e544abd325e9c4bc4a640a7ca443b55751126c6a6f0f48c5b9a3ac3b9145',
        28996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57f2cc69860281dd3e6614f755d9afc941ab8cdc845e5d9cf1fc4dd46deb3f95',
        28972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fc5042dc502a91cc598290729e3a2ec2e6d2bc4960099876fd552b9ab437467',
        28988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ce2186525a945f3b28be88f165550d488c5996cfa68539c5921dae1120eab10',
        28888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7b9bd748ad3eb82ca370863a81967a42ca3800b51153485d289a8eab63fa1d',
        30564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb1fdbd2bb52dd09f6a58369e032b67bd9b0ddadba3e3b6a4ada834734e7e6ce',
        30388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1540971f844835d0fb7815bd63b7721281c242e81ffa6cc024df0f6ceebb5f46',
        30492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a8f2975226be63f738687110aa5017337cc2de88e06f51214abe54619d98b784',
        30516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fc2fce442aceb9864555ecc6ec28904d24928a3798c3525191934034abf5cf8',
        30412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Mono
  static TextTheme redHatMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redHatMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redHatMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redHatMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redHatMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redHatMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redHatMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redHatMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redHatMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redHatMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redHatMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redHatMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redHatMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redHatMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redHatMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redHatMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Hat Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Text
  static TextStyle redHatText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4752624ebdca6a69289a1b6536d83391fd908e8902a706bfa562c3d46d2cd394',
        43364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67a7cb611cb66b94ac1b6f742e6023747f439ad20e58c29a72898782804302ad',
        43352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0612d362d8b1863cff5a84136904c7ad349031c98313c482d723fe2e2c6c2f7f',
        43360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05870d5e585fce023a4b25c9bf0540c525262e7d15d23bc618752775ec1e422c',
        43376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01a4fa61be760893c16187b9f5ba88dbab66556f5bace0e7517de8775d8e4498',
        43272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c683ffb14040a3db383e89e2e13a842ce8c28c168f8e4fed0b138b4565834b0',
        45004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15ae777c644ce918afa4483879e350a980563e4449175443e7a509c24cd58bf2',
        44900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa21aebdf69a9af5bc9136bf70c317155a5c3b0c235fef575aebc07c2e028e5d',
        45040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '698c4f468b4279b88ab6bc760521fe62a9488dbb54789efcd56e468728ecefd8',
        45064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31f2de7ba05fc26b352b54e582b124a4cb95fca5f75b08d9cfdcc1af1ae5f69a',
        44932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Text
  static TextTheme redHatTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redHatText(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redHatText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redHatText(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redHatText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redHatText(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redHatText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redHatText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redHatText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redHatText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redHatText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redHatText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redHatText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redHatText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redHatText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redHatText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Red Rose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Rose
  static TextStyle redRose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a4f001949090c261dfb6e6502590476783477558e7b82f29800b06226ef30b3',
        62020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34bd3aa33f02d0b41df96c24324cebef30e85690f6bfbc3c828fcc0fad076144',
        62064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ab13069b5231f2498ab24914759b03feb18ebd52e4d81e9e5d80a3bd0592bb',
        62108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4f674fb0551ef9379b69ef17b529f72dd9072b818f71390137e04f87485ff53',
        62136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b951cf8c8fcf135afe5fb705aad5ab3b91aa2845e58c4f1f693a0b59814cc765',
        62056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedRose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Rose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Rose
  static TextTheme redRoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redRose(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redRose(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redRose(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redRose(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.redRose(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redRose(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redRose(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redRose(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redRose(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redRose(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redRose(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redRose(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redRose(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redRose(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redRose(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Redacted font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted
  static TextStyle redacted({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98855c0fe481273f4b5f5fcda64c44175fd16a637789fd95db79e7ced9e2619b',
        11404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Redacted',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redacted font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted
  static TextTheme redactedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redacted(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redacted(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redacted(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redacted(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.redacted(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redacted(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redacted(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redacted(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redacted(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redacted(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redacted(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redacted(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redacted(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redacted(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redacted(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Redacted Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted+Script
  static TextStyle redactedScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c79cec103a265aeea788cebf49bdc27262bffa750a6256c9d7182de5f893bbe8',
        70708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f83efb0ab58447599c0e2911f6f333e56522615257c62e1861daf9bd928c010a',
        70188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '055328444ad9d18a12efe5f4940da8298593db390320ab58b3c3b0a3610fe6e0',
        68168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedactedScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redacted Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted+Script
  static TextTheme redactedScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.redactedScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.redactedScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.redactedScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.redactedScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redactedScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.redactedScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redactedScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redactedScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redactedScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redactedScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redactedScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redactedScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redactedScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redactedScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redactedScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Redressed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redressed
  static TextStyle redressed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dab8ebfcebe403cee7e5b4fd1c947faa438a8ddcfa96776b1181185e46125c8',
        64368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Redressed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redressed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redressed
  static TextTheme redressedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.redressed(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.redressed(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.redressed(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.redressed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.redressed(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.redressed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.redressed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.redressed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.redressed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.redressed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.redressed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.redressed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.redressed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.redressed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.redressed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reem Kufi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi
  static TextStyle reemKufi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd761b8b3aba24f09ad4594be237296e3e9cb29e9f3a8e376f5a254405ecaa437',
        89892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f342de54d0f59a2d5b95ac02acd15928d3381960a20048b5227da89563c2703a',
        90016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '282cecdf0771200b48642fba718357c785b2f2cb357a112549f6190056052bdf',
        90044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f78d489fc63cc8a6d314048b2af08c46becc3e583afa856a44e975383a43e496',
        89776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi
  static TextTheme reemKufiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reemKufi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.reemKufi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reemKufi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.reemKufi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.reemKufi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.reemKufi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reemKufi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reemKufi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reemKufi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reemKufi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reemKufi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reemKufi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reemKufi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reemKufi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reemKufi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reem Kufi Fun font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Fun
  static TextStyle reemKufiFun({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c416bb81a5d268b6da20ce5bd6affdd668de0d35c9cbd283d85a432c4f742ca',
        93284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '085c0a91f7277d0abbd4fd9350ddebde5b26a471d489376c5ff99c2cfefa9a1e',
        93404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9e08604246965a48b4d4ad6a6030e2654b0f2d80f317e40346f051ba90c0d8f',
        93440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43d7c539928d01ef2d4e6161399a83771c1ed63c668a3cd4217802e72102d3dc',
        93176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufiFun',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi Fun font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Fun
  static TextTheme reemKufiFunTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.reemKufiFun(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reemKufiFun(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.reemKufiFun(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reemKufiFun(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.reemKufiFun(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reemKufiFun(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reemKufiFun(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reemKufiFun(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reemKufiFun(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reemKufiFun(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reemKufiFun(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reemKufiFun(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reem Kufi Ink font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Ink
  static TextStyle reemKufiInk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ace2dd0407d21965ab99cde2cd363abe561a19a1e5ed0f186c87dd2de30ba9c4',
        208184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufiInk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi Ink font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi+Ink
  static TextTheme reemKufiInkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.reemKufiInk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reemKufiInk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.reemKufiInk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reemKufiInk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.reemKufiInk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reemKufiInk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reemKufiInk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reemKufiInk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reemKufiInk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reemKufiInk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reemKufiInk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reemKufiInk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reenie Beanie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reenie+Beanie
  static TextStyle reenieBeanie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43ce9127ebe100797ba46c3b8f1c279ed38d51811a7338c73a5b52f3b1f1831f',
        74092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReenieBeanie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reenie Beanie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reenie+Beanie
  static TextTheme reenieBeanieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.reenieBeanie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reenieBeanie(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.reenieBeanie(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reenieBeanie(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.reenieBeanie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reenieBeanie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reenieBeanie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reenieBeanie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reenieBeanie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reenieBeanie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reenieBeanie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reenieBeanie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Reggae One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reggae+One
  static TextStyle reggaeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c41802b0379bdceaa9c83c8ec296e98e1d3e9cb85c68f2554a37e9fba2df2911',
        1967072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReggaeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reggae One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reggae+One
  static TextTheme reggaeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.reggaeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.reggaeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.reggaeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.reggaeOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.reggaeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.reggaeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.reggaeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.reggaeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.reggaeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.reggaeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.reggaeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.reggaeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.reggaeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.reggaeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.reggaeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Revalia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Revalia
  static TextStyle revalia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0f239ab0a13a87460077d722b4aa58527b96e0e757e38a882f54cd034dfdfed',
        32240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Revalia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Revalia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Revalia
  static TextTheme revaliaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.revalia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.revalia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.revalia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.revalia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.revalia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.revalia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.revalia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.revalia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.revalia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.revalia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.revalia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.revalia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.revalia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.revalia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.revalia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rhodium Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rhodium+Libre
  static TextStyle rhodiumLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f77eceac42c29138808b800318b58dd5437335c6904d55f73b5457f8d12b7dc8',
        141492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RhodiumLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rhodium Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rhodium+Libre
  static TextTheme rhodiumLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rhodiumLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rhodiumLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rhodiumLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rhodiumLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rhodiumLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ribeye font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye
  static TextStyle ribeye({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56315d1d35f203ad89c159a22e401ef8e9a55c37146ca6ff6bb4644e7a0007e7',
        75964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ribeye',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ribeye font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye
  static TextTheme ribeyeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ribeye(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ribeye(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ribeye(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ribeye(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ribeye(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ribeye(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ribeye(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ribeye(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ribeye(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ribeye(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ribeye(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ribeye(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ribeye(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ribeye(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ribeye(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ribeye Marrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye+Marrow
  static TextStyle ribeyeMarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47c18d0007ba02ffd1cf3915d1deca0532dc345b21775802a80ee91a39892d8f',
        73608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RibeyeMarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ribeye Marrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye+Marrow
  static TextTheme ribeyeMarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ribeyeMarrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ribeyeMarrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ribeyeMarrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ribeyeMarrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ribeyeMarrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Righteous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Righteous
  static TextStyle righteous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '773921871b8f37a780fafb3bbe67ddf82b4beb8a9aa4b84738fd1816b1491193',
        38828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Righteous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Righteous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Righteous
  static TextTheme righteousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.righteous(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.righteous(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.righteous(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.righteous(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.righteous(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.righteous(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.righteous(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.righteous(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.righteous(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.righteous(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.righteous(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.righteous(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.righteous(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.righteous(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.righteous(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Risque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Risque
  static TextStyle risque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a03d52e9202e42ac27fc8fe4725335040f959b51fc5113d0618daed561dcb766',
        56456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Risque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Risque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Risque
  static TextTheme risqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.risque(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.risque(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.risque(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.risque(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.risque(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.risque(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.risque(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.risque(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.risque(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.risque(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.risque(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.risque(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.risque(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.risque(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.risque(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Road Rage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Road+Rage
  static TextStyle roadRage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17d38a5696972af5f30f9766fb105a4dbe912315be435c71bc1663d494063af6',
        425896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RoadRage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Road Rage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Road+Rage
  static TextTheme roadRageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.roadRage(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.roadRage(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.roadRage(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.roadRage(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.roadRage(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.roadRage(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.roadRage(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.roadRage(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.roadRage(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.roadRage(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.roadRage(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.roadRage(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.roadRage(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.roadRage(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.roadRage(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto
  static TextStyle roboto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef133d43418a8f7f3ff94acf0d988529de27cb6cb23930482ea51a550df693c5',
        82272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2a7927713af0acbdc77ab152426a365a2eacd8d9c5af8037961cee2862e4719',
        87224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbec9513a9c2e908ad0daf806d486b5d81670e0cb6e048d90c526c39c7226986',
        81704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f351e28c00d79a9aeb2372efa5626827f4e6a1b7401321dc578fe9917ac40a83',
        86944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1d7c5f4500eeb1a09e051781906c3642015a3f6c9b69046b905c8bf34c6ad60',
        81044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02323a7160fcc356c056f7167dc9fdea07b9573ec2e8720914c6c2128be051f0',
        86224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec3a64e46e2ee5f546845582e1d5409107780cef55bc43b052ee962f9807aee6',
        82628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18b1d7709525b550b77288cfa86d25c90744384cb3158eeafb24e61211beee59',
        87948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05b2d0935046846efe2c8786ad1c5d909a11c3431787eea52f2fc70f2a8a6edf',
        82928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac35b475460fbf9d94b44ba54ee3d3e7e208c75705f4c6acb7781d0d94cdeb63',
        88076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1839e6182fe1be6a6f6ae74edaa1aa16d27b9787ff44aeef04baa0ba2404a9d',
        82956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d7232f96ac551205759111c413af725e706eacab3477e429b72b66c74ecdf0a',
        88160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Roboto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto
  static TextTheme robotoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.roboto(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.roboto(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.roboto(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.roboto(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.roboto(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.roboto(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.roboto(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.roboto(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.roboto(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.roboto(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.roboto(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.roboto(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.roboto(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.roboto(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.roboto(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Condensed
  static TextStyle robotoCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f94c0ff2d341c4c6533e828199343c80668cb5728c0936d2f32823d55540686b',
        80904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d3383a4476bc585ab3a2d122966fc3ac2156372f18f97749f5bf2caf55bf39f',
        86504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7580458a2610261a73df8676e738eb2640d45953d64b6ac206aa7fc591755538',
        80400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0cfb77c93d4ae6a534a1f4a50ea2be208c1821f62b53cf759febb79d0b0c7c56',
        85968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4828d8acdd8e41a0230d63f2359c5e243e9d2a3f36149c647f1e6aa3c9e64fe9',
        82280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6d54207482d2128d951b3ead9fcec3d75eeae3c7405952e364b41564a92d4832',
        87508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Condensed
  static TextTheme robotoCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.robotoCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.robotoCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.robotoCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.robotoCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.robotoCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Flex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Flex
  static TextStyle robotoFlex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a9c2a586b937d52f01ee47cb4d33c8d560a0807967a6e2b65ed7d03ec43782b',
        109836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoFlex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Flex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Flex
  static TextTheme robotoFlexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoFlex(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.robotoFlex(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoFlex(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.robotoFlex(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoFlex(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.robotoFlex(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoFlex(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoFlex(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoFlex(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoFlex(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoFlex(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoFlex(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoFlex(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoFlex(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoFlex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Mono
  static TextStyle robotoMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f047fa51322d92d4d9c9e48ef88451169c44080203b15a2465cc597d12cd55a4',
        79960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d3ad626fcc3d0231d74b70b54e5398f30e29545dc0af8b5e44ab6da5a9e9245',
        79876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d804343851f927a78e9af4007fca4a299988035b8cb9487a0bfc6c39cbd2728',
        79680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2542a94e3d0aad0964930b21a56f151752d3d54b6f1dfdc3cfa5f55032715d8',
        78972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '740b306cdb4b73cc1a4388c853c13ac72b44ac5c32a35c083685abc2eac5caed',
        78924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd25f50c005434a6c4f13993054a84f2837266938868b11aa652069b2025b4c4a',
        79164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60cdc9d3853d6c78cae6cad2bf9bbb8cdab3c335b0beeb9624ba4b83d7d3ec7e',
        79112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '643a7ae06ac509a905c6f462447774ee43701b2820776955228ced2154129bae',
        84892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7e7f80eaacc95d55f5462a6b67bdca6b5f017bbad5adc7e49244a7957f106ed0',
        85228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d74298ad48d333e5016b5309241fafc0b2585fae6cffa30f76f9c6a0ebe61f8',
        85560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'faabd0bf11fd9eeeb8adce842a6d1da8bd0ae9ecf70984b8758994543423ee48',
        85680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2dc402aa9fb74da8e0614789116fd7fab05cb2312b08aa51af02b5293937e68a',
        85732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32793be71a98bcabde639be6c87af8225aedea9dfa5b9e9c14c732e73c33abc8',
        85732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '463ceca2ced7fe3215fe9ce1451cbf92fd55a14aca660b33cd1fb1441a77d817',
        85908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Mono
  static TextTheme robotoMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.robotoMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.robotoMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.robotoMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Serif
  static TextStyle robotoSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9b2e6825ece9a2eaf42668410a21507a47dff67ef6b906ed04f7e0d6b8df9aa',
        151304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8652cd6d8bc90ef6602c552857729136136637ba9b473eea0e8f506798c299bd',
        151464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0df8c02002d3c7072b2f0146511c1dc26cf9f3111f390807afa8dbda7603ca27',
        151444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41ab8d17070682ffafc668164589262b0f4ebb7f5725d8ff3ac6048748b3ea2f',
        151460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25af510b4042b91069923e2e69e8b042810aadccc4f979883f0784a188e9a3d2',
        151744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f2738221e33f570082588fb15ada72caf327a1aadb90fb6393df2f4f6edeb23',
        151796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '151bfcb5d7ddf4fff862cb21804d045eb3690cf5770607e1842ff8fe5e019391',
        151752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9939771497b7f571013314faf4ad22d29c257126403e99d15ae75cbd75204ba',
        151864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '403c887c79f2722794b1f1ad6e6df14694e1f074548f05472df51ba59db1ba2d',
        151812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '40ebc32dd13e8846bca45eaf6af746ef8b356c75793eeb1524848d8924103c1a',
        173096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '560bf98b6bac64975f2543d1f1d1e9535e98797678e285a4fbba9a61eb88a9b4',
        174132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ca47d039f8d511ce812cd2032b9ec2f7fc3499dca0365f0dfd57c043c2bde954',
        174088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d705d42c52cb0f761523bf661e92e599d82e6563611124a90b781b4ae3415fa',
        174004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '46cce91d7ebbda373561c745667367a408af3ed9b1b47d817a2f22e077c5f971',
        174896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac8946fbe91693f108888042ca2a32d8c71094cf474a4de3545668b1dfb5718a',
        174996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3cb4279084e678c8439681cc8b9f5914607f384775c4b2d72ed218734cff68a0',
        174904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'be8da9681ec0cd601d4a0bea972b3471dc82bad5a66d0c4746401ebecaa36614',
        175108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '119667a07610524042dd8043262374135f4c05b8f2debac00ba7e05c6eeb6dc9',
        173148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Serif
  static TextTheme robotoSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoSerif(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.robotoSerif(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoSerif(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.robotoSerif(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoSerif(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.robotoSerif(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoSerif(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoSerif(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoSerif(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoSerif(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoSerif(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoSerif(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoSerif(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoSerif(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoSerif(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Roboto Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Slab
  static TextStyle robotoSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e93b536eff34c5e0a7f9d886c4f528f1d74c5cd570ab0b4f00fe85eaea1cceb0',
        100900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8d945497bfaffd0edc7b97c7afaf1d67ddd978fbefffd4179e6212716cf29b4',
        101908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '699773d88ca959367311fc0a37d5936a2cf0c683325059c453f893b2b011d891',
        101896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad643d42cc9aec0296481f3e090c096bf5d6bdae74c07e888af9acb238e00e15',
        101568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9093b5286d1dc07b0a6ab7f72f758909f499cdcf60eef052ad5a967bfc0922d2',
        102260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cc56108d092b5d226e7aa6af785f93cfd442be7dc1356fcb91106349607d0cd',
        102376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6e8a40873fd2be9953d22b7cdd756bf7fa3e7f0097bc6b6340861de695e7ae7',
        102228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0ce54335d7841e3a1733fd5de0efa636efc7a8d4f196de82db326f182099718',
        102416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2610871e0bae35c1f542b323897ff2da39209d75dbd5a2451bff8d21e937f25e',
        102428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Slab
  static TextTheme robotoSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.robotoSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.robotoSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.robotoSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.robotoSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.robotoSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.robotoSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.robotoSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.robotoSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.robotoSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.robotoSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.robotoSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.robotoSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.robotoSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.robotoSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.robotoSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rochester font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rochester
  static TextStyle rochester({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80de9faa8fed8ea0f25ca0505c1a2de521a903d515ccfb8b9b39b0d350f14ad9',
        35468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rochester',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rochester font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rochester
  static TextTheme rochesterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rochester(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rochester(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rochester(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rochester(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rochester(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rochester(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rochester(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rochester(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rochester(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rochester(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rochester(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rochester(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rochester(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rochester(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rochester(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rock Salt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+Salt
  static TextStyle rockSalt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbe7db1bfdb4d6eaa8664221be0395b8891ec63396c4f152a8fd6d58df0c5f52',
        103664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RockSalt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rock Salt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+Salt
  static TextTheme rockSaltTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rockSalt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rockSalt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rockSalt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rockSalt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rockSalt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rockSalt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rockSalt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rockSalt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rockSalt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rockSalt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rockSalt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rockSalt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rockSalt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rockSalt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rockSalt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the RocknRoll One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/RocknRoll+One
  static TextStyle rocknRollOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4438510a00a1b616f7fa3eb24c641378f59d70240ae08e2613a7537dec7199e7',
        2463076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RocknRollOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the RocknRoll One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/RocknRoll+One
  static TextTheme rocknRollOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rocknRollOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rocknRollOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rocknRollOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rocknRollOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rocknRollOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rocknRollOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rocknRollOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rocknRollOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rocknRollOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rocknRollOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rocknRollOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rocknRollOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rokkitt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rokkitt
  static TextStyle rokkitt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c631aa8033f5180374a7c1f10852b29de80d438760b466be69d124cb57835af',
        53328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd09997ea89f575d26f5bde2f2bbed0f906c085ba2da15315e291c0fc03c89c20',
        53548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5b446d76abde7e7635a7f18a2c137b1bd77f4b9bc9444efafa5702e62acef41',
        53540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f50f9039503bd4b939d12b4bc7a1954d677b6e503666c014306ad642a13a227',
        53560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b5f496c6a777320f89685fc9005fde0d0aa19b519bcf61a374995bebf138e6e',
        53624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db2464a1f5a8ff3d89f8ac03691b962f4b687bd20f15841e85b3bc05cde23eb1',
        53584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00246f061303cb85cd9fa904f6619135025c66c699dcf251de629cfe99302699',
        53548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4774328ce5e751a09e9ac4f2e317175df6e9cae747320cb043913e297c63f3b3',
        53684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55de1fa36ce66481f5ca27a4b242357df746fc76ea9a81dd0f3808b364000afb',
        53416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rokkitt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rokkitt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rokkitt
  static TextTheme rokkittTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rokkitt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rokkitt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rokkitt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rokkitt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rokkitt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rokkitt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rokkitt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rokkitt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rokkitt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rokkitt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rokkitt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rokkitt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rokkitt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rokkitt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rokkitt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Romanesco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Romanesco
  static TextStyle romanesco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51cf475bd5f0d3bca83e619f8d8b0a01713278046bc338656b09a991d21d85e5',
        49464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Romanesco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Romanesco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Romanesco
  static TextTheme romanescoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.romanesco(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.romanesco(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.romanesco(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.romanesco(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.romanesco(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.romanesco(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.romanesco(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.romanesco(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.romanesco(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.romanesco(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.romanesco(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.romanesco(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.romanesco(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.romanesco(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.romanesco(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ropa Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ropa+Sans
  static TextStyle ropaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7447bcf763f63367b00ad78056e47d4e249957010495be3af2c6b441d216f119',
        36216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f20e8ccf3c3940aa615a0e83d84e9fb8fa82ac6ab399be628da543281d61725b',
        39000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RopaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ropa Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ropa+Sans
  static TextTheme ropaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ropaSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ropaSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ropaSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ropaSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ropaSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ropaSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ropaSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ropaSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ropaSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ropaSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ropaSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ropaSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ropaSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ropaSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ropaSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rosario font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosario
  static TextStyle rosario({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8590cd8b3933a233bb8c8cc7a4598b4df1c774e01f03b42f2f2f459c6804f5ee',
        72908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd45061d0ed10c50d90378edf4bd6d6b7b14b5d4d53196480e15414a6c9d51d27',
        73144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c1594306d93896c0a8e29d620b1a0a7339778ba6c8cdced015f3faa7b4c0cd9',
        73220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01bdae0581784515ee7bb1d67ccb6a88bcad8bd78663ca50cecb729f645c48e7',
        73144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2331fc29417abc90ed1c4df86429c12ce50a9e8ce3c010ab783cf3ed784f0ecd',
        72716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '298480c579f2279e59e5a61e61f45449d3563c47ba74455ffbff2ba20d367b23',
        71472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5af0f52a0e65aeb852e247a4bb5d4b5b978514ea325b50585fd44f86faa10cc9',
        71336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '71742e1aa85b0a48a5314c956a69a129a4e0c9e71f39debc873a7e6f9047403b',
        71508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c6352b1fda5ddc469c74391f091f27669d201c497a7396cee3fb570c05aee96d',
        71544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f937e27c634e5adbdb965e25b15aefd9bcb61ab32d84ddbe4edcb210b3175025',
        71140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rosario',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rosario font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosario
  static TextTheme rosarioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rosario(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rosario(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rosario(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rosario(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rosario(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rosario(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rosario(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rosario(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rosario(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rosario(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rosario(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rosario(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rosario(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rosario(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rosario(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rosarivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosarivo
  static TextStyle rosarivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed45cb0937c5954824f4308f33330ce9fbea2367deb0bc20a9299355a2787ad6',
        39448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b3292077b859a763a2568971755099c3c2f2d440cc0b20ce31c0f9b872f9fb1',
        37444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rosarivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rosarivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosarivo
  static TextTheme rosarivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rosarivo(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rosarivo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rosarivo(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rosarivo(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rosarivo(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rosarivo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rosarivo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rosarivo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rosarivo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rosarivo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rosarivo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rosarivo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rosarivo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rosarivo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rosarivo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rouge Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rouge+Script
  static TextStyle rougeScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52fbcb94f61f04026a0e6ec1f30901bd30ab7c77a9b164a953d349a31ca449a0',
        45028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RougeScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rouge Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rouge+Script
  static TextTheme rougeScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rougeScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rougeScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rougeScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rougeScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rougeScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rougeScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rougeScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rougeScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rougeScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rougeScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rougeScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rougeScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rougeScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rougeScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rougeScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rowdies font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rowdies
  static TextStyle rowdies({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbb3b0b968beb0939d51b59f11b0a9e166b5ff6b0afafeaec547a53e2ffece44',
        50616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '126986fbb647b44e7f98270e41b5d4b7f943af33363a66e31169c975caaaf655',
        50336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bed82ff1662b45495eef821bf8c3ecfedbdaa949f7bc39425055ca4477e7e1ee',
        50268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rowdies',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rowdies font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rowdies
  static TextTheme rowdiesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rowdies(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rowdies(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rowdies(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rowdies(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rowdies(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rowdies(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rowdies(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rowdies(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rowdies(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rowdies(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rowdies(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rowdies(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rowdies(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rowdies(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rowdies(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rozha One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rozha+One
  static TextStyle rozhaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62a69523fc44eff81975e20074dac3f09d4e4eedbe80d99ece59cca0125ec91a',
        187760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RozhaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rozha One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rozha+One
  static TextTheme rozhaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rozhaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rozhaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rozhaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rozhaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rozhaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rozhaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rozhaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rozhaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rozhaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rozhaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rozhaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rozhaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rozhaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rozhaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rozhaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik
  static TextStyle rubik({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67a2e3942b43312e18e082a446cf2ad53b8b5f57bd57fc77b5ac9be0db09ed94',
        114468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e7cd5eb182ee7a7edaf5610e6ed068e022816fd818b264055b1896772988d3e',
        115200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12a3e4c0db93dde8032e4984af155a7840ab3f7aedde42283c69386af3c298f1',
        115136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6775712ac212b666b026a25d9f360ca3b088e4c3abae0dc78c1d634cfa6e6a13',
        115124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e84327f135c43262ebf3c68e506c952aa439572fa2c1e0aeaab07c64f07a35be',
        115048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd26b3c2ab4158834372c86d1d8e8a930cb789ebaf05fbc6f0e2e0a3f788ff1df',
        114912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d80d7258df0884b1fa66f824da6619cdb2635ae5a6d5330818efb987b59de3b',
        114668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8124e02f4938672f6e6124d6ac7628867daadf1a20c044a0bb061eec60d31b98',
        113172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd089b5e83f1f3695ad59a56c27aa1355e6e9ec0aa63bf6f8a8b4f7a7fa018c05',
        113492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9aedd56e2ddfbdec0737c829ee7dba93a9ccc60a6c8b0485d313d6e9d683da8a',
        113600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0592fd3e06f468a12b4c6f896b0e01a6152b3cf7875a3852e8aed949b60bd11a',
        113640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07f4e6b869ec295f1bf3125cc6565daa40a5a4ab3e83763a4c94dfd68e81413c',
        113516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f5f1dd06eeb2e10ce1abcaebbe6c5e118d4608128eb1d047a985cc02b991391',
        113612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bf7736ae8f30d851ec13c2a2037da8de5ce311a99cd979645f089c97ad8b1a6a',
        113372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rubik',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik
  static TextTheme rubikTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubik(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubik(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubik(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubik(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rubik(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubik(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubik(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubik(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubik(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubik(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubik(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubik(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubik(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubik(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubik(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Beastly font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Beastly
  static TextStyle rubikBeastly({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a72ae3f6cf91fe781a049aaa8a201fbf5e073a297b34776cbc3d3c210692b886',
        486848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBeastly',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Beastly font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Beastly
  static TextTheme rubikBeastlyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikBeastly(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikBeastly(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikBeastly(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikBeastly(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikBeastly(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikBeastly(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikBeastly(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikBeastly(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikBeastly(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikBeastly(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikBeastly(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikBeastly(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Bubbles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Bubbles
  static TextStyle rubikBubbles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f58768f64bed0fe350b1d786264fd3a52d9ea7292fb174dc35f8f39f77a1464',
        207396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBubbles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Bubbles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Bubbles
  static TextTheme rubikBubblesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikBubbles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikBubbles(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikBubbles(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikBubbles(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikBubbles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikBubbles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikBubbles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikBubbles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikBubbles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikBubbles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikBubbles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikBubbles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Burned font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Burned
  static TextStyle rubikBurned({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33d672af860a647803b8bc3f8ebd52e5e6e46b52d6a44df0811ed693ea34dc54',
        574084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBurned',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Burned font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Burned
  static TextTheme rubikBurnedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikBurned(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikBurned(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikBurned(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikBurned(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikBurned(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikBurned(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikBurned(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikBurned(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikBurned(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikBurned(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikBurned(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikBurned(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikBurned(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikBurned(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikBurned(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Dirt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Dirt
  static TextStyle rubikDirt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a403ab8e4eeb6480254f853bb690813d00a30681d93253cb614bf397d5fd26ea',
        1429136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikDirt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Dirt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Dirt
  static TextTheme rubikDirtTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikDirt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikDirt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikDirt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikDirt(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikDirt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikDirt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikDirt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikDirt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikDirt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikDirt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikDirt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikDirt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikDirt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikDirt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikDirt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Distressed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Distressed
  static TextStyle rubikDistressed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '281b14e112a7b7f9a304e10b3b18f0c823a6848327d96b41a37d2baf17fc31cc',
        851792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikDistressed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Distressed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Distressed
  static TextTheme rubikDistressedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikDistressed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikDistressed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikDistressed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikDistressed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikDistressed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikDistressed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikDistressed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikDistressed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikDistressed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikDistressed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.rubikDistressed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikDistressed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Glitch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Glitch
  static TextStyle rubikGlitch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f37e1d94da8a99f0c8789fd8a6183fa6de6bdfcbc171d094ffd25aedb614be73',
        384280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikGlitch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Glitch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Glitch
  static TextTheme rubikGlitchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikGlitch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikGlitch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikGlitch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikGlitch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikGlitch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikGlitch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikGlitch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikGlitch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikGlitch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikGlitch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikGlitch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikGlitch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Iso font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Iso
  static TextStyle rubikIso({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '283f32e32827de63ce45733d57e12340b33c919609b4a06a230b475bf93a01e9',
        124120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikIso',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Iso font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Iso
  static TextTheme rubikIsoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikIso(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikIso(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikIso(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikIso(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rubikIso(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikIso(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikIso(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikIso(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikIso(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikIso(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikIso(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikIso(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikIso(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikIso(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikIso(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Marker Hatch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Marker+Hatch
  static TextStyle rubikMarkerHatch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9f0e19305760e393ee283a6fbb507f336119a6b1b9e281bd65a4be0112f5129',
        344528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMarkerHatch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Marker Hatch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Marker+Hatch
  static TextTheme rubikMarkerHatchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.rubikMarkerHatch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMarkerHatch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Maze font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Maze
  static TextStyle rubikMaze({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1817c35f044e2052ff553f49d081b2330002e62abbb1e9d827ba96d9635b3621',
        437212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMaze',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Maze font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Maze
  static TextTheme rubikMazeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikMaze(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rubikMaze(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikMaze(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rubikMaze(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMaze(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rubikMaze(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMaze(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMaze(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMaze(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMaze(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMaze(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMaze(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMaze(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMaze(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMaze(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Microbe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Microbe
  static TextStyle rubikMicrobe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96fccd0700788940f07716f384a505025a90b9d91e1e8d1e610887b459d47a04',
        1379152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMicrobe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Microbe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Microbe
  static TextTheme rubikMicrobeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMicrobe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMicrobe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMicrobe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMicrobe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMicrobe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMicrobe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Mono One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Mono+One
  static TextStyle rubikMonoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '950db02e23f4960a4545700f0c7886942f8fa124993607e3d38d23008de4ad86',
        73488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMonoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Mono One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Mono+One
  static TextTheme rubikMonoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMonoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMonoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMonoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMonoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMonoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Moonrocks font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Moonrocks
  static TextStyle rubikMoonrocks({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e4533afbb8a4f73a90f6f1cf6d26af41c61c246480a8ae45a48199a5c9aa3d2',
        382604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMoonrocks',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Moonrocks font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Moonrocks
  static TextTheme rubikMoonrocksTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikMoonrocks(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikMoonrocks(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikMoonrocks(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikMoonrocks(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikMoonrocks(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikMoonrocks(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikMoonrocks(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikMoonrocks(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikMoonrocks(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikMoonrocks(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Puddles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Puddles
  static TextStyle rubikPuddles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df67a7b7f72916e11460cfc15bd08226f90bc05462d2040bfe75fef5c57c52da',
        383712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikPuddles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Puddles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Puddles
  static TextTheme rubikPuddlesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikPuddles(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rubikPuddles(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikPuddles(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikPuddles(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikPuddles(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikPuddles(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikPuddles(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikPuddles(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikPuddles(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikPuddles(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikPuddles(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikPuddles(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rubik Wet Paint font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Wet+Paint
  static TextStyle rubikWetPaint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '164e4e6c0d015fc8205770ed061ec3a44a72a50b0bbfcb4f6081c8e3de5a1451',
        418376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikWetPaint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Wet Paint font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Wet+Paint
  static TextTheme rubikWetPaintTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.rubikWetPaint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rubikWetPaint(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rubikWetPaint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rubikWetPaint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rubikWetPaint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rubikWetPaint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rubikWetPaint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rubikWetPaint(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rubikWetPaint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rubikWetPaint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruda
  static TextStyle ruda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b174b19a67b2289f7384d4eb2d62fe40772fd3ec6d4774b613e24407a2e9ca7',
        50532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7e2cf11f743e3cd00998d2892dd5ce357cb0c7b2399c44e6d65a16654732710',
        50540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfc43ae14c219fdec0a09f8cc95e4635f683fd7fdfe9d28770486bddff1e6a8d',
        50540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d83564e885daa14b7ed45c4e01123bc06e6eb2110ddffa21a71b5dc3e733844',
        50448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2037d1a5cd031fd72c1f5553796f0128bba3c1b68e379142d6e80a26bf91e3',
        50500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8be9b1438c78e4a28799b2f0594c8c683137395435aaf248cbc7c8a9154f3c50',
        50304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruda
  static TextTheme rudaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ruda(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ruda(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ruda(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ruda(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ruda(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ruda(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruda(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruda(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruda(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruda(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruda(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruda(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruda(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruda(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruda(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rufina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rufina
  static TextStyle rufina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6687ee49476043ed89f1fe4eb06a08ee52ebdc6d5dfbc0a54f6fb353701a86c6',
        38092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea9e7426cd05535fc87ff0ecf870c7242b2d8058e1c78219ce26f8ba0be94ac1',
        38156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rufina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rufina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rufina
  static TextTheme rufinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rufina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rufina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rufina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rufina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rufina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rufina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rufina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rufina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rufina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rufina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rufina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rufina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rufina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rufina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rufina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruge Boogie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruge+Boogie
  static TextStyle rugeBoogie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de986b9e28ba426a0cae4b07ec82bd64d8c6a6fc9be546d9fe980c08ac9aa623',
        107972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RugeBoogie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruge Boogie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruge+Boogie
  static TextTheme rugeBoogieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rugeBoogie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rugeBoogie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rugeBoogie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rugeBoogie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rugeBoogie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rugeBoogie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rugeBoogie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rugeBoogie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruluko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruluko
  static TextStyle ruluko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27f8111a1cf185145e375de9da3f6ceec5d1f9a01d17e92e0caa30e36fd5154d',
        24612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruluko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruluko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruluko
  static TextTheme rulukoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ruluko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ruluko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ruluko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ruluko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ruluko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ruluko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruluko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruluko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruluko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruluko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruluko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruluko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruluko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruluko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruluko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rum Raisin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rum+Raisin
  static TextStyle rumRaisin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5e39fa99d36da8247451d8c89c981e743b7f9b3a335b06b359861b18f404cbb',
        59208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RumRaisin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rum Raisin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rum+Raisin
  static TextTheme rumRaisinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rumRaisin(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rumRaisin(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rumRaisin(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rumRaisin(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.rumRaisin(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rumRaisin(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rumRaisin(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rumRaisin(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rumRaisin(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rumRaisin(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rumRaisin(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rumRaisin(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rumRaisin(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rumRaisin(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rumRaisin(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruslan Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruslan+Display
  static TextStyle ruslanDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fdb0198806f5eea2434ff47989147acc339babe8b6a34eed7f0b66c48ceedba',
        54312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RuslanDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruslan Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruslan+Display
  static TextTheme ruslanDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ruslanDisplay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruslanDisplay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruslanDisplay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruslanDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruslanDisplay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruslanDisplay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruslanDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Russo One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Russo+One
  static TextStyle russoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88a2a5818096666b61126f7d48be79ed3a074b551baeb2a1883788d943653def',
        36600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RussoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Russo One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Russo+One
  static TextTheme russoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.russoOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.russoOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.russoOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.russoOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.russoOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.russoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.russoOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.russoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.russoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.russoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.russoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.russoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.russoOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.russoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.russoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ruthie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruthie
  static TextStyle ruthie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2233e96695e25da9455b6f20bf62a03fbe0a23b0b4f4351e252e4b28407d225',
        69948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruthie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruthie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruthie
  static TextTheme ruthieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ruthie(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ruthie(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ruthie(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ruthie(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ruthie(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ruthie(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ruthie(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ruthie(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ruthie(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ruthie(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ruthie(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ruthie(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ruthie(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ruthie(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ruthie(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Rye font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rye
  static TextStyle rye({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9918f47cf2578af782d66aff0dc3aed2fcf430e2219e91e52f927fb181599cd0',
        80784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rye',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rye font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rye
  static TextTheme ryeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.rye(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.rye(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.rye(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.rye(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.rye(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.rye(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.rye(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.rye(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.rye(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.rye(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.rye(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.rye(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.rye(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.rye(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.rye(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the STIX Two Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/STIX+Two+Text
  static TextStyle stixTwoText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed0edfea5180aaafd5c4366e767dc2e6ea89b180949c77959c195ea6c981f93f',
        190596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e23b04ea347d5fd189c65a35f1fd6b84945df1b4bcd5d5c2421d16b44c725b1e',
        190780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e46b558b36117d2f1a503daa881e3afd6bbf3118dd7aef660f2a73f42d5cd695',
        191116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cd7955b386e28e0d6fe85bf5ed0093c511d38ed7c2f13addd2b786ae228f763',
        190904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3cd73de80f3332fe1541b7d5a94b95d79c9be7d56f7f7365460d72ea827f792d',
        205600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4671ee9cd92246bcac474c301a1946bb925039d60bfbd7d363cfdc3de4bec20',
        206296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6f34be0f7c57f86407b00cfabdd03bc62105bff3af94e08fa1bab4285399d53',
        206248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2e0ee3104627b10916b9b687d5783aa9a5fccde889e3faed2de61c23144a6fd',
        205776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'STIXTwoText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the STIX Two Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/STIX+Two+Text
  static TextTheme stixTwoTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stixTwoText(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stixTwoText(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stixTwoText(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stixTwoText(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stixTwoText(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stixTwoText(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stixTwoText(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stixTwoText(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stixTwoText(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stixTwoText(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stixTwoText(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stixTwoText(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stixTwoText(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stixTwoText(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stixTwoText(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sacramento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sacramento
  static TextStyle sacramento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34dbfd36a6384199a173fad5fecbb771523e396c3c943d9907fad66b3c06260c',
        63568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sacramento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sacramento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sacramento
  static TextTheme sacramentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sacramento(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sacramento(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sacramento(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sacramento(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sacramento(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sacramento(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sacramento(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sacramento(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sacramento(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sacramento(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sacramento(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sacramento(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sacramento(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sacramento(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sacramento(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sahitya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sahitya
  static TextStyle sahitya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd94bb156ce197b27aa1666405ea700150d9511b1957828fdd58fb878b712244c',
        161600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53b872f5c843e64b39d7628c6a3c7462fc6799af8b32cabacb3c72d377cc8444',
        161516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sahitya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sahitya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sahitya
  static TextTheme sahityaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sahitya(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sahitya(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sahitya(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sahitya(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sahitya(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sahitya(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sahitya(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sahitya(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sahitya(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sahitya(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sahitya(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sahitya(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sahitya(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sahitya(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sahitya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sail
  static TextStyle sail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a7f27908ad91eef920c40c5db191c8432b8b59824726eaca2304aae331062b',
        30792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sail
  static TextTheme sailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sail(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sail(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sail(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sail(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sail(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sail(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sail(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sail(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sail(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sail(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sail(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sail(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sail(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sail(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sail(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira
  static TextStyle saira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52c137265ce0f71c3c6a6fac2ef1403f72189e84575392934e646bb91825d1f7',
        70184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08184bf7dfc54923c869a10da2aeafc76f840ec2a8e940153f8fd5e44ed09c93',
        70156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8bba172ab0d020726b03c5c7d2846decef8aea8799bde197a2306672d623ce1',
        70032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9457083cfb2e33c370f46269b03a03ba2cc36bfaf5d28d680dc822e7202254e',
        70276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02c606dcd2d224dd110b74d6fdde1361039dfc0c703a144f1d82da5ab2a13882',
        70328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '427f450c115c242f9741de791e30e71e40f70a20b859ca424cb30d4d150ec7d9',
        70176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53f81a11177315ba57c1b317a1b921bf760c3677fd91ce4c33a75198a598b9b9',
        70052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ff241609757341b158dd66e2564e296e246e4147e9e1cd55e08d93eb5381976',
        70208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '794df5671333c9d259995336c821f67523c4b12cb7c4207122ec43388828e11b',
        70036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67d8acd2d944d18dc7bb61164be51184eef48d99860abc440dc6f88945fec103',
        73668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6b3e508b90dba886abda16460d721380a0c9dbc0ccafbc6eefd0fb6438a66d1',
        73848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a88663fee48367352489dfa9829f8bbd4d7ae20f00dd83aa40cc7540ad52227b',
        73752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aeb7c9ccf87621cb38b92c154c2b7146c52206c8a6312abc60882ee79b8d78ca',
        73792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ad2de8122639c8b5428adedef8796d49284453d051ecc0b8ca39c81be0d8c55',
        73868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '50ee75efe75cf664482378caef477d3e423cb1188bb5c6c66aa62812d79e2144',
        73804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '943a9d29bcdd374b8242097b254e9d471b6cb5e79d38109a482bf08dfae48327',
        73640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b8dc05056f69c005469b8658e79aeb7a0a11a3ad2b0d757b75f2b95518893f0',
        73632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'df29b44072c7a364beee6daec08d6590e25330043161cd95a6667927b84e2efd',
        73364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Saira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira
  static TextTheme sairaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.saira(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.saira(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.saira(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.saira(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.saira(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.saira(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.saira(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.saira(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.saira(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.saira(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.saira(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.saira(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.saira(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.saira(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.saira(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Condensed
  static TextStyle sairaCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bd7c04654439ad4ede16cbe7e25fff807d0a732ce13bbd6d5328c2638b2a2a4',
        57928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e75d42919ca5776d296f39edf46fc23d059279bd5cfdcd319767d34b13dcc667',
        58320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1282a64cb71b9d1fbc9f4d3eb86bc1a92fe708325fe7de4a4cb109d07195ad9a',
        58164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '682a0813bf1a1d5db0a6c2f880ca16529d1053edaac2034cb37dd763fd39f998',
        58252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8007271cdf4b39f28b9b6d13065584286bc9c7d297dd1db90fb07f54941e363b',
        58140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8795e4b23035b87d0a4c585b2ece1f70d70c5893b343f8aa7a64d9751eb10b85',
        58148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd3382129b07316ebd6c13cdcb9f29c5636a9f6a816bf057785a43955ee68d93',
        57916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9801cbd53c79fae6796f33e110eb24e07d9aaa4acf55110ee9062ac46d17f57e',
        57980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40af651a1d26b4eebc37bab6782612d7d64a97117e3fb2496ba635f295fda376',
        57812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Condensed
  static TextTheme sairaCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sairaCondensed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sairaCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sairaCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sairaCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sairaCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sairaCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sairaCondensed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sairaCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sairaCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Extra+Condensed
  static TextStyle sairaExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13da59dded5882e74ed5ec9bd15ba1447ecb63461c4b0af8a78898d6ca39608f',
        57576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65268f4141c38bece46ff21044a3003e9b5ef12c2023949f40ee87201da51c2b',
        58256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec60f7ecc326e12d9cfa14f6eea8e6c5a611ba7260e26e9277ca17fcc1ae7ba9',
        58088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ad9f6880f157db26daf97403d787998568849dc152818924515ab3f3daf35e5',
        57980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86605b25005cabddc294d88848ea5ff5314d59d1bae87c46476d5f28be3a7e90',
        57920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '286f28d3764973ecbef7e78f90d528522811a43e8457858cc8e1f4e6b8a7fea3',
        58024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07e1974692101c848bcfcbcbd3e7c303dcbec2d74dfa84900f6aa0fac172181',
        58012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc0c05946d2649c5e60110058c5cabb8d03a4fc26339de77f411ad465e0bf314',
        57984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8705bd10755bc2bd4214d278550202c21b4b84129c56b8d0d777f8b44ec47296',
        57692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Extra+Condensed
  static TextTheme sairaExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Semi+Condensed
  static TextStyle sairaSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe5aa533bce40274d3df8c65d29d407a1a186aa578e42867106caff979362805',
        58288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3ae8d3eabb4477bc626e889893b2c53b82dec8d753f449c7cf1bf34b9a26426',
        58756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69e923f7d2f6322cece776899ecb99654d5fe5a8130aeed58fef7bdc4321fd16',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02ca3f6a168f3bcdfe677d3a39a48ae233b41c693166a9a7b679cf9131c52359',
        58552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1e4b27b6481de4fcf7e9f3b49b7af7031fa5235c2c10f9f40d48600d4e46136',
        58692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eec33dbf4d7b9ab3c6494eaf6f88c153eb309ecb60253fb2feffe851e4acdcf',
        58372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '843fe2b0b4f04cf777ddea948338b170f9fe4048df61f4efb41c16cd68174c53',
        58268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e067a46334168dcd5c3fe796823c34fe7dedbaad04b6ee95718e00d6b64f53b1',
        58272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c95d967e351a6097a691dea13c582a58cf527c05d584af32541a81f1bfe98fd',
        58004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Semi+Condensed
  static TextTheme sairaSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sairaSemiCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Saira Stencil One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Stencil+One
  static TextStyle sairaStencilOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c76109002104246d4207b14d2e00e13816842baa27adb05c16553576b082da7',
        67300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaStencilOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Stencil One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Stencil+One
  static TextTheme sairaStencilOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sairaStencilOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sairaStencilOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sairaStencilOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sairaStencilOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sairaStencilOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Salsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Salsa
  static TextStyle salsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a46377b163060ef8c4358ddfe6eccdd1ec246c9d5109d0d6c5599b0ca5b33a88',
        36320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Salsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Salsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Salsa
  static TextTheme salsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.salsa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.salsa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.salsa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.salsa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.salsa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.salsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.salsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.salsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.salsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.salsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.salsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.salsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.salsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.salsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.salsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sanchez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sanchez
  static TextStyle sanchez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b24439ae25e9e29c8512d0986d8ef7c0c045f8b0fbbfcb995e235de3c8bde69f',
        62352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '353796acdfeb328af16ecd5444722dd71cbfe06db9032fbabd099f780455dde4',
        68532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sanchez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sanchez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sanchez
  static TextTheme sanchezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sanchez(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sanchez(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sanchez(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sanchez(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sanchez(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sanchez(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sanchez(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sanchez(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sanchez(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sanchez(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sanchez(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sanchez(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sanchez(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sanchez(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sanchez(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sancreek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sancreek
  static TextStyle sancreek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c99be539bc3d80760018fbee88563b10091f04e8c43c4c18ac923f8b4e17cde',
        47428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sancreek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sancreek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sancreek
  static TextTheme sancreekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sancreek(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sancreek(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sancreek(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sancreek(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sancreek(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sancreek(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sancreek(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sancreek(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sancreek(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sancreek(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sancreek(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sancreek(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sancreek(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sancreek(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sancreek(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sansita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita
  static TextStyle sansita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '282d50930dae50e6ac8c5830e34d3ab4defb230f11798864149f9776a8c57444',
        43160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '406f50bac798fa2ce71fe5b9dd5f32d9586c7495d8eb6420592c38194106eb69',
        48212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8477f2ee0bb177025ea86b39b98f25313b9905434773bd78d9709750b094ced2',
        43472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a19b540abe81d2283296ce1bce55f8e79b66cff763268d850bf45725bffaa5ab',
        48232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdb0284131b8576a605b0c1d600b91ff63d71c6da8386b35ba6e859a1af74748',
        43468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f11e1953c852d20d99b9329abc4f5970ee50a9b40cdd86753cc3edb8244dd7b',
        48176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bd222df692ff0efc3b60272e6a081cc8fe560ff7ef673d359027e5bd632e8ae',
        43768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03047040188d2bf3c0cefdf783b56590b16a450f8552acd9e088aadc8c736d81',
        48916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sansita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sansita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita
  static TextTheme sansitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sansita(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sansita(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sansita(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sansita(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sansita(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sansita(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sansita(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sansita(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sansita(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sansita(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sansita(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sansita(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sansita(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sansita(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sansita(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sansita Swashed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita+Swashed
  static TextStyle sansitaSwashed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cf73f132b339409280bcb3602dad4488eb45da3968c9763df5211e078d5f96e',
        112152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd569e326aec8d2efa2d58af2647a0848865a9a179991af415e7c1c73fedf0b78',
        112212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8cb7abb7ad51f22a89d0461f6d512cc45f0cf95fb1bddffa0bf6d1eef130ccf',
        112228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ff177b40651ef4b926fea41ba4aecf5cf9dc7ed3ce10ed49fa19b7adb9d8984',
        112248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2700f4a2ad98fbc50cc1cdf5152c798aaa089199de379b24d846912e28ad2e9',
        112140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55de1d8202017152f961b03576fd7b1ada104d32c23c345d54f8856a75ee0655',
        112020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e840274f818a91c1d5fb83f8d92f495fd2d653d9cea2b03a73d3f9e42c40e0b6',
        112172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SansitaSwashed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sansita Swashed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita+Swashed
  static TextTheme sansitaSwashedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sansitaSwashed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sansitaSwashed(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sansitaSwashed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sansitaSwashed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sansitaSwashed(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sansitaSwashed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sansitaSwashed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarabun font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarabun
  static TextStyle sarabun({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b64f8565c6e3f875c2259dc8740b84589ef4d50a281fad308ac0e330ab0eac76',
        81728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c18418206e19064ce501ff7cf0902e5f438142a2f06e0b545b1fad591bc40697',
        84640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05598cb501ffae7cec19fc3ac881349217a2d6c94dead4c4c80fa6c280ed659e',
        81572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0598aa66cdb097049cddae41a93b7a87d061fa4964713c877be5a5d5b282c424',
        84640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fa806e9f1fe178d910d7b9e67fea47980dcc63fe1aac40e44a74b11b1db2d89',
        81540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cff07be5c7c443dca58ee8f673ed51cef891fd0b5cecb651d605c4723e859eeb',
        84372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb19640f4f4933bab468b0403b152423b343f934581ae34b82bcfbbbc101e4af',
        81452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ab6b5c43d64e4a4312e530766e14a6ceed795491ba135bf0f939f97b18c017c',
        84388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fe489bc41341b8c6bd5a02813d61a3a4d73f206a4eccd28a555b03c3cf3260d',
        81404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54c116432f391e03ee9e05b451604011aa53287efe9b33805f6ec5e0eb5dceb1',
        84440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0b9f53fabef5320be28e052daadb72e8aca0e805a173d79150f377bd15c865d',
        81284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8c59d239a6223b6fbdcb5f94b0e9529f9488a4dd0983a8242b8e143ea1501ef',
        84332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92eb40d838e2313cc205299fcde42b70b1ad5b5249adffa9802d4d413a76664b',
        80984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bbebd9714d71194bfd8b21a5058229956370a5542c45041579e31acfa36d1ad0',
        84024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e31530b04017754e944eb87e3399ea818efd03222ae08c829313fa1f593bb17b',
        80968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f40e6964ca3263921b22bd26b1c5b1c0f6a711acf500850eb01cd9614a6bd36e',
        83760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarabun',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarabun font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarabun
  static TextTheme sarabunTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarabun(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarabun(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarabun(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarabun(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarabun(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarabun(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarabun(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarabun(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarabun(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarabun(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarabun(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarabun(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarabun(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarabun(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarabun(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarala
  static TextStyle sarala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '764b6e30e83b2f2339a25b65181698e61e742a56e21349775ea99ff0fa0c8b93',
        143168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34e08d256818848369a27a7f000f74b602f1077e3b599a45601234345cf2b70e',
        143504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarala
  static TextTheme saralaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarala(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarala(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarala(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarala(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarala(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarala(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarala(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarala(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarala(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarala(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarala(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarala(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarala(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarala(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarala(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarina
  static TextStyle sarina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bce2671dc1d9e585025b92217a14ed463808697c5e60f4c5c6667e70874f17db',
        91928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarina
  static TextTheme sarinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarina(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sarpanch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarpanch
  static TextStyle sarpanch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04dfb68e00a7db0f94cf46cc0f2db47e4fce7f0248ac97b35811fcfbc08b7eb1',
        166584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b9f36a74f4035605131367e19da8c29b6ef613c2873368fe92b52336f62c06e',
        166152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1aa9e27f58c25456b6efd16cbeb97b4b0f32d92e7b51ba6bc88e12a498c863f6',
        165904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dad0d4209f7ad3842d7a1f7df560274384d5fb5cb9a1760df09a3f0bb36fff9',
        166700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e72ec9cf671e85e3935f6da15b74dbb99cf63fb13ad9029e9de273778fa48e5f',
        175188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff195a3294897290a909487d5077b6978eb77f6504a37a31adb60cafcbc174d6',
        176452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarpanch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarpanch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarpanch
  static TextTheme sarpanchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sarpanch(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sarpanch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sarpanch(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sarpanch(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sarpanch(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sarpanch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sarpanch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sarpanch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sarpanch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sarpanch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sarpanch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sarpanch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sarpanch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sarpanch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sarpanch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sassy Frass font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sassy+Frass
  static TextStyle sassyFrass({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf2826313b6e43477a4379dbf6c0551fe9fdd7e0b006195b1364215b30ba28f3',
        107612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SassyFrass',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sassy Frass font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sassy+Frass
  static TextTheme sassyFrassTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sassyFrass(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sassyFrass(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sassyFrass(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sassyFrass(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sassyFrass(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sassyFrass(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sassyFrass(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sassyFrass(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sassyFrass(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sassyFrass(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sassyFrass(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sassyFrass(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sassyFrass(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sassyFrass(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sassyFrass(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Satisfy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Satisfy
  static TextStyle satisfy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a2286c2afb76ca8f5e97dd98605488987fc65f62f82847dacd21a75d1ef14eb',
        46204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Satisfy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Satisfy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Satisfy
  static TextTheme satisfyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.satisfy(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.satisfy(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.satisfy(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.satisfy(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.satisfy(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.satisfy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.satisfy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.satisfy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.satisfy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.satisfy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.satisfy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.satisfy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.satisfy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.satisfy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.satisfy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sawarabi Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Gothic
  static TextStyle sawarabiGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8766618d8ebd731de5aeef48dbc61dc7f017c52d5fedd521c1fd2376c2f920ee',
        1895872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SawarabiGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sawarabi Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Gothic
  static TextTheme sawarabiGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sawarabiGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sawarabiGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sawarabiGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sawarabiGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sawarabiGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sawarabiGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sawarabiGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sawarabi Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Mincho
  static TextStyle sawarabiMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d85674ac4ee2cac13e1321f35867e410d14bacbf8d0c799b678da5ca5b545d',
        1081468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SawarabiMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sawarabi Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Mincho
  static TextTheme sawarabiMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sawarabiMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sawarabiMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sawarabiMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sawarabiMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sawarabiMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sawarabiMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sawarabiMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Scada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scada
  static TextStyle scada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15268110cdd8b460a2309dd9542b9d0e37e2716cb473507f73e1bbc645331b25',
        52524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f63254e4c2560507988e81100a481a3034666dcd7f9f2a13a9b64dad43aef9f7',
        55856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '415644bcb1405d1163bfa923e40aa69f3cb427b16327744c365b831286fb4bcf',
        52636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3bf854763ea1c48f8cbf92b462f705e026d66f20013b96085157f53607e8d06e',
        55904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Scada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scada
  static TextTheme scadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.scada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.scada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.scada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.scada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.scada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.scada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.scada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.scada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.scada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.scada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.scada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.scada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.scada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.scada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.scada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Scheherazade New font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade+New
  static TextStyle scheherazadeNew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7401f44d533b71235433be377ea88208d1f85e843923aea305e2e76b96a3283b',
        250660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a26ba4c5aa5acb39974128f75ded712916f50d55896fcd7d2bdcd5ba7364abf1',
        507364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ScheherazadeNew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scheherazade New font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade+New
  static TextTheme scheherazadeNewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.scheherazadeNew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.scheherazadeNew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.scheherazadeNew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.scheherazadeNew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.scheherazadeNew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Schoolbell font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schoolbell
  static TextStyle schoolbell({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6801a0d08960dc1c7662d57e95d870b60f7655aaa9940c94d1d9eda6be6f33f',
        47164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Schoolbell',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Schoolbell font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schoolbell
  static TextTheme schoolbellTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.schoolbell(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.schoolbell(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.schoolbell(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.schoolbell(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.schoolbell(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.schoolbell(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.schoolbell(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.schoolbell(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.schoolbell(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.schoolbell(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.schoolbell(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.schoolbell(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.schoolbell(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.schoolbell(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.schoolbell(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Scope One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scope+One
  static TextStyle scopeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '612b27ecd6e63baf3daaf8d7461071aebcf9724312240c4be55a9495eec81fb8',
        60168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ScopeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scope One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scope+One
  static TextTheme scopeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.scopeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.scopeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.scopeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.scopeOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.scopeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.scopeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.scopeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.scopeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.scopeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.scopeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.scopeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.scopeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.scopeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.scopeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.scopeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Seaweed Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seaweed+Script
  static TextStyle seaweedScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5ab91c635c7495e09b98487cd84781cf8e3c8223a86e9a24dc527bd973e495f',
        114804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SeaweedScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Seaweed Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seaweed+Script
  static TextTheme seaweedScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.seaweedScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.seaweedScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.seaweedScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.seaweedScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.seaweedScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.seaweedScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.seaweedScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.seaweedScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.seaweedScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.seaweedScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.seaweedScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.seaweedScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.seaweedScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.seaweedScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.seaweedScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Secular One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Secular+One
  static TextStyle secularOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab956b8cb807639bffb1f583fb4188159a9c3984d7d72666eb893cf4322b84ee',
        53032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SecularOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Secular One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Secular+One
  static TextTheme secularOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.secularOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.secularOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.secularOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.secularOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.secularOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.secularOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.secularOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.secularOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.secularOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.secularOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.secularOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.secularOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.secularOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.secularOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.secularOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sedgwick Ave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave
  static TextStyle sedgwickAve({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b20adb11d2faba4a6d663ea5cf1b6d963329b9fede0c069ea4d92395283f558f',
        88740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SedgwickAve',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sedgwick Ave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave
  static TextTheme sedgwickAveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sedgwickAve(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sedgwickAve(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sedgwickAve(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sedgwickAve(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sedgwickAve(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sedgwickAve(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sedgwickAve(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sedgwickAve(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sedgwickAve(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sedgwickAve(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sedgwickAve(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sedgwickAve(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sedgwick Ave Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave+Display
  static TextStyle sedgwickAveDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd38aaf2888c7f01ef1ff5635e06f71717f6f32453082a939cc0a15b92cf64b97',
        85088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SedgwickAveDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sedgwick Ave Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave+Display
  static TextTheme sedgwickAveDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sen
  static TextStyle sen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1841f423f5216a2ac1a5f685113ed4236b73ddd31719273593df294b4e798b1',
        28176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2acd6bb9c88ecce0afca0cd17484c0656da1de15c6f7fac66e117bc4ac747d5',
        28104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ec33779364f3bddbf8af6974927c65775b8e0024128aa93beea7d654fb1c3ad',
        28012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sen
  static TextTheme senTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Send Flowers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Send+Flowers
  static TextStyle sendFlowers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '077685da0e54a5c195fdd7ee7d16ea2eecbd6d96c6860fcffcfe79745a930184',
        78556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SendFlowers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Send Flowers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Send+Flowers
  static TextTheme sendFlowersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sendFlowers(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sendFlowers(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sendFlowers(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sendFlowers(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sendFlowers(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sendFlowers(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sendFlowers(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sendFlowers(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sendFlowers(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sendFlowers(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sendFlowers(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sendFlowers(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sendFlowers(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sendFlowers(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sendFlowers(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sevillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sevillana
  static TextStyle sevillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '456b5bf976796d0652e289ba19424c1957f345aee53f628a365ef6d77720e404',
        40904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sevillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sevillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sevillana
  static TextTheme sevillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sevillana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sevillana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sevillana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sevillana(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sevillana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sevillana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sevillana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sevillana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sevillana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sevillana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sevillana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sevillana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sevillana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sevillana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sevillana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Seymour One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seymour+One
  static TextStyle seymourOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00ae307b4c810203350a017e559d27982f78d2803138c2dd959f74270846da55',
        40004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SeymourOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Seymour One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seymour+One
  static TextTheme seymourOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.seymourOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.seymourOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.seymourOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.seymourOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.seymourOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.seymourOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.seymourOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.seymourOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.seymourOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.seymourOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.seymourOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.seymourOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.seymourOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.seymourOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.seymourOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shadows Into Light font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light
  static TextStyle shadowsIntoLight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '317886d10964f11fd1bc49025bd8e23ca6ad37d5229107d52e0f0f632907b166',
        38884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShadowsIntoLight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shadows Into Light font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light
  static TextTheme shadowsIntoLightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shadowsIntoLight(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shadowsIntoLight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shadowsIntoLight(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shadowsIntoLight(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shadowsIntoLight(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shadows Into Light Two font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light+Two
  static TextStyle shadowsIntoLightTwo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dea059656334e6ea82d5abcaebb3c7b9acaca436d80ee5dd617e588d75bce519',
        33732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShadowsIntoLightTwo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shadows Into Light Two font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light+Two
  static TextTheme shadowsIntoLightTwoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shalimar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shalimar
  static TextStyle shalimar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a48c478fe9be7756a7f96597b875721a63bb33c768d4364e90fdd1c07d54e609',
        86316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shalimar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shalimar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shalimar
  static TextTheme shalimarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shalimar(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shalimar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shalimar(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shalimar(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.shalimar(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shalimar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shalimar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shalimar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shalimar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shalimar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shalimar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shalimar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shalimar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shalimar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shalimar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shanti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shanti
  static TextStyle shanti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccfdfc1dbacc39fdc8d951303e078b1c0e714a274fd3bc97346614538137e172',
        64388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shanti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shanti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shanti
  static TextTheme shantiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shanti(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shanti(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shanti(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shanti(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.shanti(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shanti(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shanti(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shanti(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shanti(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shanti(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shanti(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shanti(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shanti(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shanti(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shanti(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Share font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share
  static TextStyle share({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bffb13e067130ff460c103c575eea971d241f04a2795e9d6b496bf6d1ffe3b25',
        36888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42c65ea3c59df26cf35173dd55d3b71fefd82c8a3542bb3347ba4a0196001910',
        38984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '686db9cfd3671ebadbad00dd2c5866d4adeca68ecd400cb951e2ee0f627973aa',
        36920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a4d3da55ef95fe3efe22b867b59d4ba2a3bb41bdf74bac69b7a42a9f2a489d5',
        39016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Share',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share
  static TextTheme shareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.share(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.share(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.share(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.share(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.share(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.share(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.share(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.share(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.share(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.share(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.share(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.share(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.share(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.share(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.share(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Share Tech font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech
  static TextStyle shareTech({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b8f118e212f937caf8c425a52ae1f7321985f5f5be3786ae58c3f11c6a49a9',
        27964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShareTech',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share Tech font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech
  static TextTheme shareTechTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shareTech(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shareTech(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shareTech(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shareTech(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shareTech(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shareTech(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shareTech(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shareTech(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shareTech(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shareTech(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shareTech(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shareTech(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shareTech(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shareTech(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shareTech(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Share Tech Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech+Mono
  static TextStyle shareTechMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3e100fbddc4352440e6b9a95f20f790cb0a2ec70d837703141831266b223819',
        24416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShareTechMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share Tech Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech+Mono
  static TextTheme shareTechMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shareTechMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shareTechMono(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shareTechMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shareTechMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shareTechMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shareTechMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shareTechMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shareTechMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shareTechMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shareTechMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shareTechMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shareTechMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shareTechMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shareTechMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shareTechMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique
  static TextStyle shipporiAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93226821bd2ca02cb4f7ad7ac5c88c2bcd3b14bc6ddc208a49914e87e8617520',
        7125988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique
  static TextTheme shipporiAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiAntique(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiAntique(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiAntique(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiAntique(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shipporiAntique(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shipporiAntique(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiAntique(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shipporiAntique(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiAntique(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shipporiAntique(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shipporiAntique(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shipporiAntique(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Antique B1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique+B1
  static TextStyle shipporiAntiqueB1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca51f4fae60e42b71f7ee64d4a549754ab7430b5aa1ee5ca01be845457f9c6e6',
        12631180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiAntiqueB1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Antique B1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique+B1
  static TextTheme shipporiAntiqueB1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho
  static TextStyle shipporiMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b388b1e4f361a5d2f28fd51f45778ad3013024bb69e364b8e38d866a572fe020',
        8344160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7012b5083cc105bab2c3d31c39cdaa99c83f4cecd7005ffca4ced10c107029ef',
        8346164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05827bcff67cad9082048707a04ca26c42cfa066e623446f300ad1440ee39051',
        8316944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1227ef55365f4c64418ba4c593946d307a2431f072b72694219e8dfa254c5ce0',
        8234712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32422702a316877b8169557f0757ee8784f3a7b2f0a9321bd78d991a1978188f',
        8233708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho
  static TextTheme shipporiMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiMincho(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shipporiMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shipporiMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shipporiMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shipporiMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shipporiMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shipporiMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shipporiMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shippori Mincho B1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho+B1
  static TextStyle shipporiMinchoB1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ba856e01444cde55b5e25edbf08cf68d0f526479671d7b1e38392cbec48f00b',
        14675264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc8dc8fc9f60bb93e8e0d0a4990cab2ee3e0241b9d53a8a7a72389b1b513536',
        14632744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8707084fadb628d1896a0bad74e1adcabd8108a994107ab0e8a8987dd916af8',
        14606932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9ed96a2b744845953bec5b0dc5dae4f1ecc55e611f927b753bd0588ff216cc3',
        14539612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59b1565e7595171810883dc9a09b56ccfa536784a3a167d6398472f25f26c9b8',
        14538400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiMinchoB1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Mincho B1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho+B1
  static TextTheme shipporiMinchoB1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.shipporiMinchoB1(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shojumaru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shojumaru
  static TextStyle shojumaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ec9e735e703b541d8bd58a84e0d704f2667356d222d7d29429837c87036d4b1',
        68804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shojumaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shojumaru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shojumaru
  static TextTheme shojumaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shojumaru(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shojumaru(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shojumaru(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shojumaru(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shojumaru(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shojumaru(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shojumaru(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shojumaru(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shojumaru(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shojumaru(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shojumaru(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shojumaru(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shojumaru(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shojumaru(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shojumaru(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Short Stack font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Short+Stack
  static TextStyle shortStack({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2161ac0afc2dacc6241432686edcd5e70f34f0e8e42527ea67b5a4fc7d0ace3',
        62808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShortStack',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Short Stack font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Short+Stack
  static TextTheme shortStackTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shortStack(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shortStack(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shortStack(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shortStack(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shortStack(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shortStack(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shortStack(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shortStack(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shortStack(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shortStack(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shortStack(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shortStack(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shortStack(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shortStack(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shortStack(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Shrikhand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shrikhand
  static TextStyle shrikhand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1c3b542ec10403a8ecdd8b08d9b67a68b0db6d5fa207b034908fff6c889ed64',
        212700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shrikhand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shrikhand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shrikhand
  static TextTheme shrikhandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.shrikhand(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.shrikhand(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.shrikhand(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.shrikhand(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.shrikhand(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.shrikhand(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.shrikhand(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.shrikhand(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.shrikhand(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.shrikhand(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.shrikhand(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.shrikhand(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.shrikhand(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.shrikhand(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.shrikhand(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Siemreap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Siemreap
  static TextStyle siemreap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92e8a184579df16c09b108e621a5634aeaff95399d2d758dd6b1992c8233c9f2',
        166164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Siemreap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Siemreap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Siemreap
  static TextTheme siemreapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.siemreap(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.siemreap(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.siemreap(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.siemreap(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.siemreap(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.siemreap(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.siemreap(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.siemreap(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.siemreap(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.siemreap(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.siemreap(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.siemreap(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.siemreap(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.siemreap(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.siemreap(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sigmar One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar+One
  static TextStyle sigmarOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '655d2af4bf10f5fb59ff4b25f842208ba2b1efe20b4f560d6492408f8ac6f019',
        103576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SigmarOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sigmar One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar+One
  static TextTheme sigmarOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sigmarOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sigmarOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sigmarOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sigmarOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sigmarOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sigmarOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sigmarOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sigmarOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sigmarOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sigmarOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sigmarOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sigmarOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sigmarOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sigmarOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sigmarOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Signika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika
  static TextStyle signika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be0ddb7c19a4da17a9a89682baacd0dcdee3fc9dfa649d370c8992e86944c8cf',
        196892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e885791b6143233f1d3cc5a1db3cfcc9439d79d9336ce3e0a948c1985e6084b',
        196956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b4963a74d42218dd8bcff514461c35bbbc6cb012ec541a0f904fc83aead5bb4',
        197016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fd44834d8991cc966c59fc987aa502957186a15fb9f699a3b2e3312d17015a8',
        197092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93ed486a6d94b038ee43834a181f995cf40259e9d3a3229c9105ee6c3905eed0',
        197052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Signika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Signika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika
  static TextTheme signikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.signika(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.signika(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.signika(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.signika(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.signika(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.signika(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.signika(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.signika(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.signika(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.signika(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.signika(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.signika(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.signika(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.signika(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.signika(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Signika Negative font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika+Negative
  static TextStyle signikaNegative({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30f0dfaaa1e9b6172a176b82724d8fb7e4216ef314c87783b4d251bc655bd7fd',
        191400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e142578557fd8cf70cdb14560ab4e83f26e822c3be3d4236b5d9fdc9537fb75',
        191728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '042660325ba81247f7293a0051a8ca38ad6c567caf650787a061f0f137cf1c8e',
        191852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61a792999c6525119b00aced82103122eb5bf8084bb01a3c469e2a41fbc88ff2',
        191828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2f87d2a1fe8f72b1c16dbf65ada6d31ebc91a8dce35304ed0d3b0ec4c73a17c',
        191872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SignikaNegative',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Signika Negative font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika+Negative
  static TextTheme signikaNegativeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.signikaNegative(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.signikaNegative(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.signikaNegative(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.signikaNegative(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.signikaNegative(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.signikaNegative(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.signikaNegative(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.signikaNegative(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.signikaNegative(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.signikaNegative(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.signikaNegative(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.signikaNegative(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Silkscreen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Silkscreen
  static TextStyle silkscreen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96f256490e95bf29dbdec416cfbf2c73d15d8d0d70b3197fb3889e84cd00f599',
        15260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e6425261faa18962d1c6021861af5cdf3ccef1c492c658a8979893d86149f34',
        14268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Silkscreen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Silkscreen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Silkscreen
  static TextTheme silkscreenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.silkscreen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.silkscreen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.silkscreen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.silkscreen(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.silkscreen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.silkscreen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.silkscreen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.silkscreen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.silkscreen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.silkscreen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.silkscreen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.silkscreen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.silkscreen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.silkscreen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.silkscreen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Simonetta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Simonetta
  static TextStyle simonetta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18280cfa314bce6497417dc837f9851dbbd13d146ad1cdc964821151fe4dfd62',
        32668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e37c017b54f4a3ea357b9f50b0cf64401b7a94803f1a66c5faac8d849b531c11',
        29980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '195cd548db57f34989f978c305ee810a7783f941b12475d13a360c4ff27e3f17',
        44084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7946f8d2533c1d3fcd701f99b37bd3bd37df533377e2eda6d3e941e76b81fe8c',
        45400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Simonetta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Simonetta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Simonetta
  static TextTheme simonettaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.simonetta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.simonetta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.simonetta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.simonetta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.simonetta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.simonetta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.simonetta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.simonetta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.simonetta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.simonetta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.simonetta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.simonetta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.simonetta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.simonetta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.simonetta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Single Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Single+Day
  static TextStyle singleDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aaab079fc7fbfe52a59050a4ac19f458a4adfabdbdf5b29f6090e545985f21d7',
        638168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SingleDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Single Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Single+Day
  static TextTheme singleDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.singleDay(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.singleDay(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.singleDay(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.singleDay(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.singleDay(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.singleDay(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.singleDay(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.singleDay(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.singleDay(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.singleDay(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.singleDay(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.singleDay(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.singleDay(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.singleDay(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.singleDay(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sintony font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sintony
  static TextStyle sintony({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc21f6fe2c58a8df601f9f5856b3148fa515bdaa586d78fb61458615eb5fb87e',
        23740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '940e2bb6b7b2356ca37d6be33e50947fcc41662b21d1bfa169bf4b32c49bf1e6',
        23540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sintony',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sintony font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sintony
  static TextTheme sintonyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sintony(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sintony(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sintony(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sintony(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sintony(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sintony(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sintony(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sintony(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sintony(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sintony(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sintony(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sintony(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sintony(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sintony(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sintony(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sirin Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sirin+Stencil
  static TextStyle sirinStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6916662d8a1cfc2a276583d401f88e5d36ed0aaf7c34e0f4e5fa45e211ecd51a',
        32652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SirinStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sirin Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sirin+Stencil
  static TextTheme sirinStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sirinStencil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sirinStencil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sirinStencil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sirinStencil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sirinStencil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sirinStencil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sirinStencil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sirinStencil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sirinStencil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sirinStencil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sirinStencil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sirinStencil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sirinStencil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sirinStencil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sirinStencil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Six Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Six+Caps
  static TextStyle sixCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3078a1e1d21f12d9cf0dd2b82541b572dfa208672b19155ea7fc24a0fd0b786a',
        24692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SixCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Six Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Six+Caps
  static TextTheme sixCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sixCaps(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sixCaps(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sixCaps(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sixCaps(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sixCaps(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sixCaps(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sixCaps(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sixCaps(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sixCaps(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sixCaps(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sixCaps(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sixCaps(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sixCaps(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sixCaps(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sixCaps(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Skranji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Skranji
  static TextStyle skranji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5302dc7580813cab3e6ebcbf17c41be6bb9d140b684ff6861fd3aa7d7aca8ad8',
        205504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86f37e5ddcb0825a877639175de5edbbb6856587b12886732d8c30af6e6c6807',
        204836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Skranji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Skranji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Skranji
  static TextTheme skranjiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.skranji(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.skranji(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.skranji(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.skranji(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.skranji(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.skranji(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.skranji(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.skranji(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.skranji(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.skranji(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.skranji(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.skranji(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.skranji(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.skranji(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.skranji(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Slabo 13px font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+13px
  static TextStyle slabo13px({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '509eeb1d67122e5af61e1a26d36035a3712ee71fd25beb68808be139ce8b49c3',
        29396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slabo13px',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slabo 13px font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+13px
  static TextTheme slabo13pxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.slabo13px(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.slabo13px(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.slabo13px(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.slabo13px(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.slabo13px(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.slabo13px(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.slabo13px(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.slabo13px(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.slabo13px(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.slabo13px(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.slabo13px(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.slabo13px(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.slabo13px(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.slabo13px(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.slabo13px(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Slabo 27px font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+27px
  static TextStyle slabo27px({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f0e8b79552fcca72157176f7b576df91226635133b5216943014f40cba2378c',
        31092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slabo27px',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slabo 27px font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+27px
  static TextTheme slabo27pxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.slabo27px(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.slabo27px(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.slabo27px(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.slabo27px(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.slabo27px(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.slabo27px(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.slabo27px(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.slabo27px(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.slabo27px(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.slabo27px(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.slabo27px(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.slabo27px(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.slabo27px(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.slabo27px(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.slabo27px(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Slackey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slackey
  static TextStyle slackey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a83b9817cc42359f7e88bc8e3c131a83f436778e86575393d2ef14b1fabdeed',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slackey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slackey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slackey
  static TextTheme slackeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.slackey(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.slackey(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.slackey(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.slackey(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.slackey(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.slackey(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.slackey(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.slackey(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.slackey(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.slackey(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.slackey(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.slackey(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.slackey(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.slackey(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.slackey(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smokum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smokum
  static TextStyle smokum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9733e887ebe1f39a128dffb039375e48896938e438a753fa84068da9e799e87',
        61212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smokum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smokum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smokum
  static TextTheme smokumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smokum(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smokum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smokum(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smokum(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.smokum(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smokum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smokum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smokum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smokum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smokum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smokum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smokum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smokum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smokum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smokum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smooch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch
  static TextStyle smooch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '208325416048e6727951ca119d0a7e0e287777717b699040d21d2150538d165d',
        198956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smooch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smooch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch
  static TextTheme smoochTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smooch(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smooch(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smooch(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smooch(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.smooch(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smooch(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smooch(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smooch(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smooch(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smooch(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smooch(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smooch(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smooch(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smooch(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smooch(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smooch Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch+Sans
  static TextStyle smoochSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '458bfa1941082ed342e553ad282d184c5844b992e0afb1799d8f970bb925b6a8',
        57932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecc17f27597002fd2b43fc4a56b45480ff2e117fe4c6bdaba20638bb32d9d116',
        57936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6130f29d3d8620331e2f151163fa0ec76794059e3e647bfa647d71cf2c36c513',
        57908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb58102b222c653ad48124458168ad31ba856978abb06096d04ff845a8057604',
        57888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c0dbd3f2093f1e5e4fdd0369835aaee2432ee3db3abe38b2d400ecc824210d7',
        57980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd54b49f8bfef5ba6b5fdedb67be5a5e1be6cbcbe84bf9af5d7230cd372f3d644',
        57940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f6854e941a994250df6ea17a2f3ae845331e61606f2896e68fa6aad9c29145e',
        57856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eda4775d9a773ca4af10c053a8fbf8974a90ff9526bb3c53db5f830992a5e17b',
        58012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '367035a9079bdf21c749026f6ccfd14400cca7dd0f5cd7448ab90a7650470fdf',
        57880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SmoochSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smooch Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch+Sans
  static TextTheme smoochSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smoochSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smoochSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smoochSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smoochSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.smoochSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smoochSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smoochSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smoochSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smoochSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smoochSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smoochSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smoochSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smoochSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smoochSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smoochSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Smythe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smythe
  static TextStyle smythe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cc64f1ce2b1244b8faab6389df4e79912b139b787b16f882c6600a63e02cd03',
        48020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smythe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smythe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smythe
  static TextTheme smytheTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.smythe(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.smythe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.smythe(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.smythe(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.smythe(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.smythe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.smythe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.smythe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.smythe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.smythe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.smythe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.smythe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.smythe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.smythe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.smythe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sniglet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sniglet
  static TextStyle sniglet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f283da78f67cb18afa6381e3b0d7a8a30fd520f2ee1757a232b0c87135f08d8',
        48048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '191567d55ad02188c38e7f4184ec785fd92a8050805af91d95738ca0aaa5ce12',
        51452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sniglet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sniglet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sniglet
  static TextTheme snigletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sniglet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sniglet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sniglet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sniglet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sniglet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sniglet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sniglet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sniglet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sniglet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sniglet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sniglet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sniglet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sniglet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sniglet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sniglet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Snippet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snippet
  static TextStyle snippet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2f293fccdbd618851f978ca470df2466cc6d562c431c29a65adafb801449c9b',
        36836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Snippet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Snippet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snippet
  static TextTheme snippetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.snippet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.snippet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.snippet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.snippet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.snippet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.snippet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.snippet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.snippet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.snippet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.snippet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.snippet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.snippet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.snippet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.snippet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.snippet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Snowburst One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snowburst+One
  static TextStyle snowburstOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56c8b3fddf7ab2ff8447336f6b51a5dfbf91a77aa463d3be36be8b92f89c74a9',
        50668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SnowburstOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Snowburst One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snowburst+One
  static TextTheme snowburstOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.snowburstOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.snowburstOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.snowburstOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.snowburstOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.snowburstOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.snowburstOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.snowburstOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.snowburstOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.snowburstOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.snowburstOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.snowburstOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.snowburstOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.snowburstOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.snowburstOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.snowburstOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofadi One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofadi+One
  static TextStyle sofadiOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40fc5d9d4077c73125cf72d087667aef1a45465d0573813ca0e9dc2ca618936c',
        32124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofadiOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofadi One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofadi+One
  static TextTheme sofadiOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sofadiOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofadiOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sofadiOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofadiOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sofadiOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofadiOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sofadiOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sofadiOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sofadiOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sofadiOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sofadiOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sofadiOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sofadiOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sofadiOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sofadiOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sofia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia
  static TextStyle sofia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a18c05dadae10ae5c7b4dbe5d1393309d267cf820b7f6bafe87225d9190e11dd',
        27816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sofia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia
  static TextTheme sofiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sofia(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sofia(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sofia(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sofia(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sofia(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sofia(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sofia(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sofia(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sofia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sofia(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sofia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sofia(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sofia(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sofia(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sofia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Solway font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solway
  static TextStyle solway({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25ee0f5db85309ad287f7b5ec7958f60462fa905ee3cec6526f449b75d9bf019',
        34188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f17ac7aaffbfe36d952dc4329712d21d29ce4a1056d841fd4d2e3024a400db55',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3112accc0f346ae2fcd0196d689a8dd6faf42837e771027c669998aa784b043e',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccad3942ff0277aacfc00f203cb9499f92a61354c74ab8f885afa597ba95ebdd',
        37076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd72a7f0fcd3f30654c0ac89b1ba2b3dd6631c8fa6489e0d67688813d857e2d99',
        37408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Solway',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Solway font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solway
  static TextTheme solwayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.solway(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.solway(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.solway(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.solway(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.solway(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.solway(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.solway(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.solway(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.solway(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.solway(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.solway(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.solway(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.solway(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.solway(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.solway(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Song Myung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Song+Myung
  static TextStyle songMyung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68c08420ba02124468dda80f84c16023e208309db8e41bf1b398a7309bbde411',
        1202620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SongMyung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Song Myung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Song+Myung
  static TextTheme songMyungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.songMyung(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.songMyung(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.songMyung(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.songMyung(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.songMyung(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.songMyung(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.songMyung(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.songMyung(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.songMyung(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.songMyung(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.songMyung(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.songMyung(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.songMyung(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.songMyung(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.songMyung(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sono
  static TextStyle sono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edc96f2ac2bc712d24b9ac02ffe2b519000c3050ff1105e994fa231d587c1897',
        63096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b25b3fc7edebbc6c4c0273a56e37a1288566456c3741a6a73f93c61a11524a73',
        63292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1026d4dc3250c33c9e1524c8cb5641f81499c4eaf776a22d90a4cbd3274983ec',
        63188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42a6958999f857cbc322a2c52e05d2ad0321317150bf3945f0b03b6e8da5fbef',
        63160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e33e40e09ae32cdecf91c8e37eb0880894adcacad1dc16d202ab092ac2e7532e',
        63144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6134a88223f5b8801a455f941d6e62a8b736f6e7b4b614822b7019aa662c644',
        63100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30abcdad5fc3c90e318e068db7cf9c49855bc779d3bdb3ae97c8734139223978',
        62976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sono
  static TextTheme sonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sonsie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sonsie+One
  static TextStyle sonsieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77ebb659b444335feb985b00b45ab2881cbcd3c790c9247364a03e5f15360534',
        70196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SonsieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sonsie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sonsie+One
  static TextTheme sonsieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sonsieOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sonsieOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sonsieOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sonsieOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sonsieOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sonsieOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sonsieOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sonsieOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sonsieOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sonsieOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sonsieOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sonsieOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sonsieOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sonsieOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sonsieOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sora
  static TextStyle sora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dfe329518c2b4e1c917ba20ca7163be68ef2fa21e1fa56a69e27ad842cf945c',
        46160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '230454769de56e0b2f3150f2e35d927e60eaa9e73fad7828696c5d1eaea6ebdd',
        46272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8dc3132bdb39ee4f5e589559a0706fab78986a0fb452326b3aa7b9bf7faadf5',
        46216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f886efd61001880a34e52a49fdd0a2204d2d78f662b2f8dc922715685e156d8',
        46016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7679c1ce44cd46113634bca96060d2a089f49ebe56d16b705813b6f49d2ac6bf',
        46100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad594905493beb2ac88bcac2dfd9286abc6dc40bc2c00f90b51349aff64315cb',
        46164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5a54d9481bdc8e83d2e89b1b06d2b273d3b6fd419634b8429b0b52c667281a0',
        46080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '073ce658314a77413445f392d682b61c519ae9f9a996f24a6d6cacb168c3cbd3',
        46140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sora
  static TextTheme soraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sora(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sora(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sora(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sora(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sora(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sora(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sora(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sora(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sora(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sora(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sora(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sora(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sora(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sora(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sora(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sorts Mill Goudy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sorts+Mill+Goudy
  static TextStyle sortsMillGoudy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdae1f476791b91413d8c634564c75ba77492e9b19bcd57b2beb745f0b1ecf0e',
        77680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd878bc35c9e4dd269292312cec6939f07c267acb3018dd58548783c645811a7b',
        88084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SortsMillGoudy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sorts Mill Goudy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sorts+Mill+Goudy
  static TextTheme sortsMillGoudyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sortsMillGoudy(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sortsMillGoudy(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sortsMillGoudy(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sortsMillGoudy(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sortsMillGoudy(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sortsMillGoudy(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sortsMillGoudy(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Code Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Code+Pro
  static TextStyle sourceCodePro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38230444eeb879adcedffe5961baa0cf512018b38987e08b4b1fe16c292fd792',
        107756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c5b81423867a68e15aa6282910a55cf48b1752947fcdbf6a4e236a07419e8b5',
        108124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72ef2b17cba80b57096f414510583bad8183b7504cb14c39534b3b72e43ea5ec',
        107988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96e757888cc634ea4089067bc3c31d03f88661bd73ac9151c43d6d4c875b57dc',
        107792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733d66c9cf0612c6883f387c5964ba3bad3ab4bfb6527d06de975583b06e1ac0',
        107788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1156faf3a1ae32432fb656b31076f4d1a81e31632d263793dc166d558b3cdecc',
        107840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3f65783e714fa76345a4cb3be65a06cc7c7396e44ac7b4a9f6a8ee7c1e48a7d',
        107868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cc44c9a271605c91589f39cd8e52f41ba6c582507ec8e0f1666fa96d23500d3',
        107376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e4f2af3eb9905185d874f19966991ce5200e8d2697ff53bde5bf4e8c804900e',
        91228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7476a178eff6b987ef5e3318ea840a091b1355baf43e49d18cbc32d209b6cd7f',
        91536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b751d96bbfc85aca5d869aa94010e2eddce12b106c45f37e7c8c1304806e9bc4',
        91348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce86d38b4f1a82933800bccb11db64bc8088a4f84d6ece9a0abd6f74dcb87e07',
        91316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77337de48844dd42c8b931a2b0b61a94df863daeb205bb8a06a7bee1860cbef5',
        91312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54569e5e96163f68323a2f6d0a1045d76c13677e1d379aaee8fd71bc2adc09df',
        91296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '78c76895935797cb519b18451af7030987854548402276bc605296d059c0b6f3',
        91364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cff825eaa6a891ab68130ff6aac1285371a680f5f88f709226bd6e8927f5992',
        91056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceCodePro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Code Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Code+Pro
  static TextTheme sourceCodeProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sourceCodePro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceCodePro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sourceCodePro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceCodePro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceCodePro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceCodePro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceCodePro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceCodePro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceCodePro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceCodePro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceCodePro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceCodePro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceCodePro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceCodePro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceCodePro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Sans 3 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+3
  static TextStyle sourceSans3({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdff15c4f32e3af3a017af9918c28c33e2807d15500189c3b40fcbdeaeac033a',
        216140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c9303dc9266d9386cc2e797038245e8b9c59603903f14edef7b8599401a3204',
        217108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fdc76d00d6af6a42a733aa1d387deb78f3cd94a3b3e7f789471c89d11e2a143',
        217224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99ee5a2e4369c9464b1a906368720d09ec36bdd67426c2c36f6c2f9cc6fd289b',
        217012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51a415fe99cea06a8c95613d8dc941e1d4e6b9223ff4a87bf3c3110fd7a3f2d1',
        217188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '154f0397ab45c3bcf6e161296ae7636734da0c659a4037465b259ee6a0f33cc6',
        217164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6091ab31640c41fc315a8bf03e7329bb4ed8181b2d172b4eb13e8aa77529c118',
        217168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6183be876f77855b863deafe4e7280f7c5a0bb78d4f931d3f367eb0bcaf7ba9b',
        216120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c7e35c60c2974f0192ee762300256e8c7880f7fdfd45108ee0c71c31e9159f2',
        191824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e31258cb4146ed7d6d8339cbaf290f0f8bef8140a3c5206b7776c79e0fa2b581',
        192996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4bdb42635e13159623df963c61188c3f3038cc23608c5f78979110a509746e3a',
        192836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92753c1bcb1ddb0064ddd9602396836995fdad384bee44fbcf9b4ca67efeecd5',
        192656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6140e43a182f0bdcad79e90349bd267ec41cf5b418fa8836a0a0eed88d576343',
        192804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2e207c885876164d5fbce2434da228085e8af654e1076cf0337ac0f5d81ea45',
        192824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd89e692c4bc2042185ff7ad2f15cdf1881be3244c9c61d68a0f7ef8088b81973',
        192724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '636e7c8191e04fd3dba72bb43e27188850da84fb4836e5321a1d8b672cf23e88',
        191388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSans3',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Sans 3 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+3
  static TextTheme sourceSans3TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sourceSans3(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSans3(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sourceSans3(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSans3(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSans3(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSans3(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSans3(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSans3(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSans3(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSans3(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSans3(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSans3(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSans3(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSans3(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSans3(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Sans Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+Pro
  static TextStyle sourceSansPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0268f93022d372f0837563cead28b34b006fa17c11de25a83ff80577772bbf44',
        166564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b4e2d81e9773f359cab7d801bfacadc13a51c0f99f342e1911b360325d744ab',
        96856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27671c31d69c69c6d60289267df5c4ba68b327e590bc7d269d31ba1173462573',
        167276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acd5848b6c71a90b0fd0c694a36d7d6f7272a1fbfdd8e1c3e02012e81b058862',
        97500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48f8cf1609a77a2e6e5ff6670089d9c8b921f65a73ad75b8250e5ed6390ed328',
        167952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fdde95a58b2c76abb0e21a2cb4b06c18d97aebb1ddd23ddd691a29da7108e3d6',
        96968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '918213748bccf07ee3b20ed95cc824bb329b9b048732700e32c241bba63a029b',
        167636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f11c0c46c3a578f8098b39c8ce70e15cfad941e4691eb79e0dc2f75436f673f',
        96708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bab549066b369608c9bfbc6e7ad5b3519371d968dcbb8c7ab6f0e11bc6c199ab',
        167524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4386fbdccbc8128bec3c58677ac74595e3d7ecd34453cf3952c0800aff8f001',
        96680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e46de402f539c1b8b6b566d3c90ded7a044a36bde9097ea36d330870bf401487',
        167004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cd4520183a06b006f1f911f0c30f64a4f7f51ecf03464aa5ac2338a29d029bb',
        95872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSansPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Sans Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+Pro
  static TextTheme sourceSansProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sourceSansPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSansPro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sourceSansPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSansPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSansPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSansPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSansPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSansPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSansPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSansPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSansPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSansPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSansPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSansPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSansPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Serif 4 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+4
  static TextStyle sourceSerif4({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3069afab2d909649103ca3607d9d5b1149ad6e46f635b76885f2765d7adae404',
        193552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55769690125bfeec5f4edfc9b275462340a9c519a83df3144612eb6bd4885130',
        193708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '405a293fa81d93da25f81d0554c9b236ceba67c76bb9831288ab46b98a19da94',
        193664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ee505371270619d5fff9e360fbf55e8c9f7335b935c54d6bdf210548863735',
        193916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e0e11f6bee6f58b9de29a0819036d1bf9aaa35004a519a9fa858a3879110579',
        194000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2ef8782c759dd0cf98bc6263c82440dceb2790b6fedcba78fae8a9c9cb8b6f',
        193960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da8e2b5a5d4a40b21131b78e0d1f186e4e8071c4bea403c146412cb5ce5f9b42',
        193996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee6546bd7b081c48bcf77aa0b3a6d1b40d84e12f5d8220bc0819b92ad3e77257',
        193920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '388451d294d5bf584eea3c073a73f2e2460e2daebccc872ea8e2edd996cfb7e9',
        182088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a5f5bfe55a27b78416d0976c0dc447470786bcb6481ab8cdf25ff2b07b0f908',
        182216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ccba58df07c311f8f7a9d765ca1b99f07014dc49dd1568402766f881dbc03ab',
        182072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b019ce6854d31cbca3693106f36646c4a6e036ba0d07b12062b797c026414200',
        182240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02835f5614d3d2a515ad5a6019cdd9895f9878186a91edb6d8550f484e49185f',
        182212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '772540f077cf0fead68715d5dca690bf097fe8ac10b7316e16a243e32cefa100',
        182168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79d5f7fdf07a7af0e6a4528869db232e80d32f6a29c9a123f71d763c0bd3195f',
        182280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b62ea5211087b4ed18873c46b45cfb275a78f35a027259880c64a6c053703c70',
        182244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSerif4',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Serif 4 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+4
  static TextTheme sourceSerif4TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSerif4(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sourceSerif4(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSerif4(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSerif4(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSerif4(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSerif4(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSerif4(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSerif4(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSerif4(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSerif4(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSerif4(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSerif4(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Source Serif Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+Pro
  static TextStyle sourceSerifPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66e47842a72b1e64bbf7124d20bec63dac313bffb330d56c02b12de10a5a95e8',
        157208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89a673f760676ed19a36bf3af56184b8cfa20dbab087a6a153515d0d28237340',
        155136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ad250d6aa644fbbd6876cefbf10903719b8d262c6636e0e7affafb51b51e546',
        160012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab348fb9b7867f6383a566b7eb9b6ca0bcd15eeb3a399b46ffd396834ee26e17',
        158084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dffc2be5e0dc2051d1f2e8be8573d22760a5f7163909f43ed4a573cfc266ae4',
        159488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '749f40a652585f62308a52a6e73d8ccd4b07f17e5d6b383632f52010b2ea58cf',
        156532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e72f9df69a91b8f1ee9b8c60a1a5a1f5d55f4f01a79a10320d355800f85da08c',
        160352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66271135b5aaa32dcc0bc19da869ac76ad67dd6ce2f6825adf66140875637215',
        159096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f560930f5b8c8b3523d63165b2282565a8dbec8fb020bb1ba512ca37a165b505',
        160392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2df6157bc9f75ec1eef0767ae9cd67022a245db0759f8c6dd1e5491df7fbc65f',
        159044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee7aebb202643eb4d52fce6a5fbfa29cb0ae27f6509e62cbbdb228a95f9a19d6',
        160644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '72a6401d7fd17f763fd2cb8a1e306a8e678284c567ab8950a3873cd1e1ec97f0',
        156152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSerifPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Serif Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+Pro
  static TextTheme sourceSerifProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sourceSerifPro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sourceSerifPro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sourceSerifPro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sourceSerifPro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sourceSerifPro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sourceSerifPro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sourceSerifPro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Space Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Grotesk
  static TextStyle spaceGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e5f8dd98285fec19bf7d724b5931c81578702164726c2da4d751b47158addf0',
        69376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92987d1ea129ede2a7423b1ade9cd343818be4dfbaa19591a3d752839050d4b4',
        69332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cdfab4298d319da58e932ea1cafc521cb126afee429b96e1adc6b367f9e154b',
        69380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bcbdde0787cf564bd15ff2b4cfcb5ab75e0e7162b738da98d448cb521687418',
        69308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96ec8bff9a3bcf6e74ebef883a0e15be6b867471f4f7372549fd25fae21cb989',
        69256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpaceGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Space Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Grotesk
  static TextTheme spaceGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.spaceGrotesk(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spaceGrotesk(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spaceGrotesk(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spaceGrotesk(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spaceGrotesk(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Space Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Mono
  static TextStyle spaceMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '297e574cea7d73441ee015a692f4ac77e568d00e6f673d3bbf766b19f6ea1847',
        48212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67a1ccce8c6e50cdd2c8df7cf87ce542970510a75253a1ca3d54b7e3ee8041cd',
        54092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '679861e0b21bf9b88d80ec2315e8db88aca7f4e714b881bae4a09f81987d83e7',
        47484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f670bb068858ac1cbea9eb58ac28b0264f5ed8cb17571d8f05c7cdc3586eb7d6',
        51892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpaceMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Space Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Mono
  static TextTheme spaceMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spaceMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spaceMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spaceMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spaceMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spaceMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spaceMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spaceMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spaceMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spaceMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spaceMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spaceMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spaceMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spaceMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spaceMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spaceMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Special Elite font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Special+Elite
  static TextStyle specialElite({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ded65eb5905cf9e7d31ff36040588af54d5d8ce32450d92635b002c7e0878041',
        150108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpecialElite',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Special Elite font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Special+Elite
  static TextTheme specialEliteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.specialElite(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.specialElite(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.specialElite(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.specialElite(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.specialElite(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.specialElite(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.specialElite(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.specialElite(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.specialElite(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.specialElite(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.specialElite(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.specialElite(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.specialElite(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.specialElite(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.specialElite(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spectral font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral
  static TextStyle spectral({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '143489bdb33446843a7f5057dbc54aa03819611f7c51b91eda3d2cfcdb99146c',
        122192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d1080be325941a08c30c3d3e659edeec80d1e86d42e052154f637253f1dbe41',
        131480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed70c3fdfbe06ee68ddda4f0eb9cff96b861bd00537bce55c21c732f73e2127d',
        130228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aca59f120085a381420ed835342614c602db6a15ec1fca6eb4ea41ff6906d35e',
        140812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26ff588f0b0091d70f199c596f26a37c46ec5974fae68ab83dced38fb4ba7b4a',
        125132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de3a4052569421b916b26db38fe0debdc53b3105250634af24a8f575ea833856',
        136032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a350df193e643e1d49c5e5321b00290710960594763d9d388f81c5ca98670e8b',
        131832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b14d802583c02441dcaeb4af09b834e079a14835dc700ac6e80fe5bd8def81e5',
        141440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db7a4efc093ffebca58478681f68167941c380c78c9a953cf287cd57c2ba1b1c',
        131904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8cb236e60a988e1bd30b9bdb9ed4084eeb8cf408130c662036c1d3c54611f83',
        141264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85aecd0b4d4675b980a374ce588d5020116a5e728439f257f2c867c75439448b',
        131808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a81dc681006f72164f3d2c01e29e8bff6c1af5d29286f8087f340d69b46fbb90',
        141528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5b954075b1430acfd3685291478b568ba1394dcb40da87b89c9aad09a53b510',
        125748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18d3f52ff388af6194a0f0166e64221cc7bf675a9a8d52aef0ca06e7273a916a',
        133316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spectral',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spectral font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral
  static TextTheme spectralTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spectral(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spectral(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spectral(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spectral(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.spectral(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spectral(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spectral(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spectral(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spectral(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spectral(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spectral(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spectral(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spectral(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spectral(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spectral(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spectral SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral+SC
  static TextStyle spectralSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a3d8a2532f1524538260db7dc21f40166e504b0c3c9205dc5637dd93b4727e1',
        111052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '083f5769ad597af17525bf1ad7d22a20922b38d8243be4089bf9d2653ee328ab',
        123440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee1aead7288f7f63e6554688b8afdc11eee588bd9a67566a0aba58747dedd3d3',
        127684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ca8baa670a8f95d0d2d3e9fff79293d013ece77f559cfa87461be1238e6ec548',
        133812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d0e56c01b8783bacf61687889b48ef7fe232760678f372261b3e76ade417362',
        125836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '023819b3b922add7b340a768e22015ebeb01481929a89b1b92fed7972a9f6954',
        128060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ab43f1fb08aadee5bb4f0d9a73a4188847aa6201f097aa2a10a44f15869bf76',
        132616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f0758a4eadb200ef41e00fefbd34eb7df81132d67a0c1af715eb4ce5c8e5a4bb',
        135228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44fd420fb2fbea26227859938c5ade869e46c7b134cb2f695d3cc39f24d487ca',
        132696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03e1b32ce4ed6115cb37203c70ff6289f3c84067be879554475b4e95b995a670',
        135212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebea0e64a508929bc0099cdc2d2705bb059f7485c461f7f00aace57315d2aade',
        132588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '41e96a53853e5d81d56e2015ed9ccfc0b0fc60d2d9d6c5017601b30a12752706',
        135356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd44c9d1ee53a5c6b5b5e94e40ecfb808d96dc1da1ba238a5199aa5b5d0970be7',
        126148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '91f8c2c26d419101305642d2c51929a8cfe8293138f8e2bbebf5753a6d50790c',
        130432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpectralSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spectral SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral+SC
  static TextTheme spectralScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spectralSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spectralSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spectralSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spectralSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spectralSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spectralSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spectralSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spectralSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spectralSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spectralSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spectralSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spectralSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spectralSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spectralSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spectralSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spicy Rice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spicy+Rice
  static TextStyle spicyRice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f23212b7644f0d098c51df07ecdd076135c829eaf20f0c448755d48bdc6669e',
        64660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpicyRice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spicy Rice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spicy+Rice
  static TextTheme spicyRiceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spicyRice(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spicyRice(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spicyRice(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spicyRice(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spicyRice(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spicyRice(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spicyRice(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spicyRice(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spicyRice(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spicyRice(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spicyRice(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spicyRice(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spicyRice(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spicyRice(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spicyRice(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spinnaker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spinnaker
  static TextStyle spinnaker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec972853b499cde4a4a047672070c18ce3cc04cef997e6451cc91748555bd87c',
        19580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spinnaker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spinnaker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spinnaker
  static TextTheme spinnakerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spinnaker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spinnaker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spinnaker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spinnaker(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.spinnaker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spinnaker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spinnaker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spinnaker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spinnaker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spinnaker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spinnaker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spinnaker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spinnaker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spinnaker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spinnaker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spirax font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spirax
  static TextStyle spirax({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e3a97f90a754ec544d9ceae7de625b106a472e860d8d1108c22736cc0c413c3',
        46520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spirax',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spirax font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spirax
  static TextTheme spiraxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.spirax(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.spirax(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.spirax(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.spirax(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.spirax(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.spirax(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.spirax(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.spirax(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.spirax(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.spirax(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.spirax(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.spirax(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.spirax(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.spirax(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.spirax(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Splash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Splash
  static TextStyle splash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6865f605f2cf8c860db0a875881da18ce58f60be0d8bb2f1b08e63d76521b195',
        781924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Splash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Splash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Splash
  static TextTheme splashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.splash(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.splash(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.splash(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.splash(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.splash(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.splash(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.splash(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.splash(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.splash(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.splash(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.splash(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.splash(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.splash(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.splash(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.splash(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spline Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans
  static TextStyle splineSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '638adde00416bb0a3b87bf1475d0907c4dc6e8609b3afbf9c117285dfa3e3806',
        51132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0560bc7e80e57ab4b8e66151b498f63be7fd47c05c086bde5f36eb1b5696955d',
        51328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da9b5f45c2dddb9c98fa0c9ada18421295c6bf3c642fd4a62f1203e57b4c4ccf',
        51304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a143499e67cde891489aaee35eb77edc35929af0f7c9faa1837f153198a5fd89',
        51436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a70f8fcf724eab4f900a8827c9c213a023808e88c889e562ea1ba1bcc5bc4633',
        51432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SplineSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spline Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans
  static TextTheme splineSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.splineSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.splineSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.splineSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.splineSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.splineSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.splineSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.splineSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.splineSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.splineSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.splineSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.splineSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.splineSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.splineSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.splineSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.splineSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Spline Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans+Mono
  static TextStyle splineSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d881a63ae8b9f7171ce1b164c0cb3552e89a49632759825ac5d884e5283ab33',
        37724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '712a3b3b526f2e47b2acc30edd9d60cc0e7c8436cec87a639435850f65d3a058',
        37756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4586e2ac513d7e6565b6b57b61d42794fa5be178f7cce67421322092d1c70ab9',
        37716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fe10878b03a5d136489e5679f72fda7756f242615f622970840eef7689537af',
        38020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe31b29cfc61f816877321ff68a13127ce621dd5ce526bcabb3fe92e18c6f6b5',
        38000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1bd987d24dc95103b976524e063ba68c84c50ef8fe62927abbac894fa8c2a8a1',
        37332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5412d724072e7da7813fa7fa31e2ea7e1460c410208c07dd0c9ffcaef1d0ae62',
        37204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b861e78cc606c6f71c070411d7cfdfa619f77436085e7df3d05f94f6fbcda870',
        37256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d9c28e43a5f31478f418e3330ed472e946f8203495ca5d390be87fde212c578',
        37460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c16757dca784c19ae8fa883ce354b92ef93a421e1b1eaebec170886c7d4fda2',
        37484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SplineSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spline Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spline+Sans+Mono
  static TextTheme splineSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.splineSansMono(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.splineSansMono(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.splineSansMono(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.splineSansMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.splineSansMono(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.splineSansMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.splineSansMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.splineSansMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.splineSansMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.splineSansMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.splineSansMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.splineSansMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.splineSansMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.splineSansMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.splineSansMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Squada One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Squada+One
  static TextStyle squadaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '649d377d2ee635545c3d2fa1cd3afee132a8d276bd7cff4e20571002c353a43c',
        17200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SquadaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Squada One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Squada+One
  static TextTheme squadaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.squadaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.squadaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.squadaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.squadaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.squadaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.squadaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.squadaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.squadaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.squadaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.squadaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.squadaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.squadaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.squadaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.squadaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.squadaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Square Peg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Square+Peg
  static TextStyle squarePeg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4d9a624cebe7b103039b5e7f0d0ba10873d6ae44cc27d7faed3bd983949feaf',
        88820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SquarePeg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Square Peg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Square+Peg
  static TextTheme squarePegTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.squarePeg(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.squarePeg(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.squarePeg(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.squarePeg(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.squarePeg(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.squarePeg(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.squarePeg(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.squarePeg(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.squarePeg(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.squarePeg(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.squarePeg(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.squarePeg(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.squarePeg(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.squarePeg(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.squarePeg(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sree Krushnadevaraya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sree+Krushnadevaraya
  static TextStyle sreeKrushnadevaraya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd111491f9e55c069d74ceaec1655d7b871fd9c08a1d793086ec88c100e9b1f44',
        405624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SreeKrushnadevaraya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sree Krushnadevaraya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sree+Krushnadevaraya
  static TextTheme sreeKrushnadevarayaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sriracha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sriracha
  static TextStyle sriracha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5958b7448e667f7e48ef8e116cb00ebf93c7f3fc193e77bfabc0869975571b9',
        196204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sriracha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sriracha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sriracha
  static TextTheme srirachaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sriracha(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sriracha(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sriracha(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sriracha(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sriracha(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sriracha(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sriracha(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sriracha(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sriracha(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sriracha(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sriracha(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sriracha(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sriracha(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sriracha(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sriracha(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Srisakdi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Srisakdi
  static TextStyle srisakdi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7775169e0ffb04258245a10dc995dd95347714eb5f3a371a4712444fb78aca9f',
        96252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56babac71f8dce0d0a1d042b2f8e0ff70d5c8103846d8fd5e5d03058b6f509db',
        96120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Srisakdi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Srisakdi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Srisakdi
  static TextTheme srisakdiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.srisakdi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.srisakdi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.srisakdi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.srisakdi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.srisakdi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.srisakdi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.srisakdi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.srisakdi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.srisakdi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.srisakdi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.srisakdi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.srisakdi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.srisakdi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.srisakdi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.srisakdi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Staatliches font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Staatliches
  static TextStyle staatliches({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23de749d408e7db5a138e6830bab7f2c918e308097b07c06f30a2cff885c51df',
        42160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Staatliches',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Staatliches font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Staatliches
  static TextTheme staatlichesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.staatliches(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.staatliches(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.staatliches(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.staatliches(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.staatliches(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.staatliches(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.staatliches(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.staatliches(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.staatliches(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.staatliches(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.staatliches(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.staatliches(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.staatliches(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.staatliches(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.staatliches(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stalemate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalemate
  static TextStyle stalemate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '607880ee5021fac7190fc4a4cb165f884eb30fcc673aaca4e6ea8679b3128d52',
        71080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stalemate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stalemate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalemate
  static TextTheme stalemateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stalemate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stalemate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stalemate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stalemate(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stalemate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stalemate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stalemate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stalemate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stalemate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stalemate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stalemate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stalemate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stalemate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stalemate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stalemate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stalinist One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalinist+One
  static TextStyle stalinistOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb988ecd9c0cf915a42e4d13d57c507654f4ac231c167ca32d6b7e4aad9600b6',
        28864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StalinistOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stalinist One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalinist+One
  static TextTheme stalinistOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stalinistOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stalinistOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stalinistOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stalinistOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stalinistOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stalinistOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stalinistOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stalinistOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stalinistOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stalinistOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stalinistOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stalinistOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stalinistOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stalinistOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stalinistOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stardos Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stardos+Stencil
  static TextStyle stardosStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f36d178fe86ede4b4236dc32256e0c39b00c9de99db521edb78736e37a853dba',
        42388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3af5016db7cfe1b84326a7f95fdd0ced69e486d50e472e4e7a80befbce89ff92',
        33020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StardosStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stardos Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stardos+Stencil
  static TextTheme stardosStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.stardosStencil(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stardosStencil(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.stardosStencil(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stardosStencil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stardosStencil(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stardosStencil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stardosStencil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stardosStencil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stardosStencil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stardosStencil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stardosStencil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stardosStencil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stardosStencil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stardosStencil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stardosStencil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stick font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick
  static TextStyle stick({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf2bb88f1912ad15d2888d4b6727ad289fc7302162a5c72244ca4c5b0e594990',
        2043188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stick',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stick font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick
  static TextTheme stickTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stick(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stick(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stick(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stick(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.stick(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stick(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stick(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stick(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stick(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stick(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stick(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stick(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stick(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stick(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stick(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stick No Bills font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick+No+Bills
  static TextStyle stickNoBills({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c508145ea25095455ee4db3616e8e130b4ae01f81b6cebe7d3e01e6d4f2a35c0',
        162984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7b451ecab7438fa642d4661a0723ea6409214caab994895d01d3e7ed797fdf0',
        163176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74014c15fe2cd02e4952609b992b3822c3240edda67ef37337f61e916cb7f09f',
        163108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd03b74aff71be9f02c9cce0dc6e49fae703c37dc401842afff65da3b89f2500',
        163132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbd8980c1c93cc842000e2494963a9a6765a53d49de7ee40e8e70baf2884c5da',
        163080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f1a1b2b92dfa49027cbd676103ee5d1b7a1db21085f86c05d1255abe1d35229',
        163004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60ded854475e8023f11e67b09c9221e42fe9ff35d52e677882a86345c67373d7',
        162672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StickNoBills',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stick No Bills font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick+No+Bills
  static TextTheme stickNoBillsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stickNoBills(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stickNoBills(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stickNoBills(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stickNoBills(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stickNoBills(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stickNoBills(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stickNoBills(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stickNoBills(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stickNoBills(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stickNoBills(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stickNoBills(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stickNoBills(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stickNoBills(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stickNoBills(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stickNoBills(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stint Ultra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Condensed
  static TextStyle stintUltraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92f1fbfd5959d3630e8b3089aa74ba48d94ac6135462d9a707f19c0a05ccebda',
        36820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StintUltraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stint Ultra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Condensed
  static TextTheme stintUltraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stint Ultra Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Expanded
  static TextStyle stintUltraExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59f41bd2e6cb1217c2059007117776f4f16a970d00f7bb3b1f221375c7730bb8',
        38968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StintUltraExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stint Ultra Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Expanded
  static TextTheme stintUltraExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.stintUltraExpanded(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stoke font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stoke
  static TextStyle stoke({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1e813881f40c7ee61e307e5dc32a337ea84da34c46302ac9a5b9c655edf1852',
        47264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d7d95f256cba1b351361463ecc70f1f8fecdadead17c8bda888c3896af6632',
        49124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stoke',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stoke font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stoke
  static TextTheme stokeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stoke(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stoke(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stoke(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stoke(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.stoke(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stoke(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stoke(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stoke(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stoke(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stoke(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stoke(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stoke(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stoke(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stoke(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stoke(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Strait font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Strait
  static TextStyle strait({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a4d22a9f996b831313103661f3956a7c27fda55a4fdb2ebf2acf1abf7c1a955',
        29024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Strait',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Strait font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Strait
  static TextTheme straitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.strait(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.strait(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.strait(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.strait(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.strait(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.strait(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.strait(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.strait(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.strait(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.strait(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.strait(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.strait(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.strait(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.strait(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.strait(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Style Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Style+Script
  static TextStyle styleScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b0ac2b5d468e05fcc878702f8af8c7a9a3bec629490c26f5d867f9600d54f13',
        93400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StyleScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Style Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Style+Script
  static TextTheme styleScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.styleScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.styleScript(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.styleScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.styleScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.styleScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.styleScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.styleScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.styleScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.styleScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.styleScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.styleScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.styleScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.styleScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.styleScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.styleScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Stylish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stylish
  static TextStyle stylish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3616563b126bf5118b3d276b3f7c501f3b3733f8379124cced0bf9171c311186',
        6162664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stylish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stylish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stylish
  static TextTheme stylishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.stylish(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.stylish(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.stylish(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.stylish(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.stylish(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.stylish(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.stylish(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.stylish(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.stylish(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.stylish(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.stylish(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.stylish(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.stylish(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.stylish(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.stylish(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sue Ellen Francisco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sue+Ellen+Francisco
  static TextStyle sueEllenFrancisco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e3c8fd6ff235b6aa67dec3e1070517d30cfd8fb927f69c588ab9b0175f0fae0',
        38440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SueEllenFrancisco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sue Ellen Francisco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sue+Ellen+Francisco
  static TextTheme sueEllenFranciscoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.sueEllenFrancisco(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suez One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suez+One
  static TextStyle suezOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac48638ba24c5aaa76e704e9dece13d3b7856c39639366c0d9c43b1158239cf2',
        62960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SuezOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suez One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suez+One
  static TextTheme suezOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suezOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.suezOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suezOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.suezOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.suezOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.suezOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suezOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suezOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suezOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suezOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suezOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suezOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suezOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suezOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suezOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sulphur Point font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sulphur+Point
  static TextStyle sulphurPoint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eb1c901d0d06a20facac56ea455151cb7859e1240d699468dd2c445e525f079',
        36516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfb59c29ea812ad27451abf324913023c53c511cf61d3c678e29880a509116cb',
        34400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd496f78bc389ef5fa95ab0202163902754eacb00b811364e35fcb9e622560fe0',
        36180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SulphurPoint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sulphur Point font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sulphur+Point
  static TextTheme sulphurPointTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.sulphurPoint(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sulphurPoint(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.sulphurPoint(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sulphurPoint(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.sulphurPoint(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sulphurPoint(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sulphurPoint(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sulphurPoint(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sulphurPoint(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sulphurPoint(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sulphurPoint(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sulphurPoint(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sumana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sumana
  static TextStyle sumana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '487d0e8078f8118146c6b53e28205b07d518aa4de959efc17744dca773dd5f61',
        129900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f322c9c6dacffa7f8c0db28af9e3a3c07e08bccfd722c668fccdc96e54026b8',
        127732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sumana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sumana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sumana
  static TextTheme sumanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sumana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sumana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sumana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sumana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sumana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sumana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sumana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sumana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sumana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sumana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sumana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sumana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sumana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sumana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sumana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sunflower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunflower
  static TextStyle sunflower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '702d7463c73e6221ed6fd530572eb67b90508b5d046284b90a476500e6ca2106',
        352904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea20fd8e9711c9d50a2396b42caa1eb1c49403d3bf7e26fa77bc88d2add48707',
        341128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b45493f14607808e3bb43efa006c98ed31fc4f9bfa9180fb64090f9505021aa0',
        347780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sunflower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sunflower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunflower
  static TextTheme sunflowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sunflower(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sunflower(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sunflower(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sunflower(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sunflower(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sunflower(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sunflower(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sunflower(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sunflower(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sunflower(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sunflower(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sunflower(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sunflower(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sunflower(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sunflower(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sunshiney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunshiney
  static TextStyle sunshiney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '340a040155260d2c6c13405367407afba0f4e8823b92c82b7dd09f7d73c42e58',
        158216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sunshiney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sunshiney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunshiney
  static TextTheme sunshineyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sunshiney(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sunshiney(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sunshiney(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sunshiney(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.sunshiney(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sunshiney(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sunshiney(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sunshiney(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sunshiney(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sunshiney(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sunshiney(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sunshiney(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sunshiney(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sunshiney(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sunshiney(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Supermercado One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Supermercado+One
  static TextStyle supermercadoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0625bb98567e3dbc95ea8fc02cde0caae40d48052acdc7376b0c511cc957f58d',
        74196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SupermercadoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Supermercado One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Supermercado+One
  static TextTheme supermercadoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.supermercadoOne(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.supermercadoOne(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.supermercadoOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.supermercadoOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.supermercadoOne(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.supermercadoOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.supermercadoOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.supermercadoOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.supermercadoOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.supermercadoOne(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.supermercadoOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.supermercadoOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Sura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sura
  static TextStyle sura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ea5f3065dad7182e33c450b72385d2406781383b02d4a8cd2e5f9c7280a702',
        96908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ae91cd7d17bda665e25b1a8b17a31d6051be66c5600071cccc4d5b6a9474252',
        97028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sura
  static TextTheme suraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.sura(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.sura(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.sura(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.sura(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.sura(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.sura(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.sura(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.sura(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.sura(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.sura(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.sura(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.sura(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.sura(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.sura(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.sura(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suranna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suranna
  static TextStyle suranna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04cb9ee9218da469b2a81c8746333d7e155ae3f8899ff7db453db59a6422a21e',
        383148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suranna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suranna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suranna
  static TextTheme surannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suranna(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.suranna(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suranna(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.suranna(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.suranna(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.suranna(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suranna(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suranna(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suranna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suranna(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suranna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suranna(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suranna(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suranna(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suranna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suravaram font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suravaram
  static TextStyle suravaram({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8275b2a12413f07eba65c1a222f413a6d5d61da37ec93df6ef10419f1cfbda9a',
        182608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suravaram',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suravaram font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suravaram
  static TextTheme suravaramTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suravaram(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.suravaram(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suravaram(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.suravaram(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.suravaram(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.suravaram(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suravaram(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suravaram(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suravaram(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suravaram(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suravaram(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suravaram(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suravaram(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suravaram(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suravaram(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Suwannaphum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suwannaphum
  static TextStyle suwannaphum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c08f1f8a5abb75a2f20676514446f8a6202f459e9d49c2bceab03691ca039ce',
        62464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e432a4efee3218827a8c17075c7da226126fea3c07695ccf80aec519192b62d',
        57808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f442c219ee82985141b3a92a32f121e9c66b7ca22adee54b963813b1f61fd4f6',
        56828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62a80c3022032a8a2a404ec9c968172272178136c0f1d66ce4ee181049f46d32',
        55700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77b72bf41c5c33ee56a3f7792ad3538fd4efad52f863562314b140a9a397d61f',
        54804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suwannaphum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suwannaphum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suwannaphum
  static TextTheme suwannaphumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.suwannaphum(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.suwannaphum(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.suwannaphum(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.suwannaphum(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.suwannaphum(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.suwannaphum(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.suwannaphum(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.suwannaphum(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.suwannaphum(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.suwannaphum(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.suwannaphum(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.suwannaphum(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.suwannaphum(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.suwannaphum(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.suwannaphum(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Swanky and Moo Moo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Swanky+and+Moo+Moo
  static TextStyle swankyAndMooMoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee6f7a875b433b03c4b4185484db8cbc4044393e4d6079aa81b216f44d0b539f',
        44056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SwankyandMooMoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Swanky and Moo Moo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Swanky+and+Moo+Moo
  static TextTheme swankyAndMooMooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.swankyAndMooMoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syncopate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syncopate
  static TextStyle syncopate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b523d6dcedd385bff1738ee2cc5900ba7b0b56526911294cae898c0125aa4d85',
        35164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3be799d0a60f3a214c42f4af5aeb45ae81b5e1987ae925d399f6ddac16cb7548',
        32604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Syncopate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syncopate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syncopate
  static TextTheme syncopateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syncopate(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.syncopate(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syncopate(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.syncopate(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.syncopate(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.syncopate(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syncopate(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syncopate(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syncopate(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syncopate(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syncopate(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syncopate(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syncopate(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syncopate(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syncopate(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne
  static TextStyle syne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fd5b90c22f39829318d3cbe98698c4a42cd9dde009094262808bcc0219ed3fa',
        52344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '029e5300902e70e610a6cf923423c3467ef04a8350f43e50447dc2a2944bb2e1',
        52612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd4ed3537969edd8987740c478e20eef44a787bee10fd595bb3b9e7a6fd1d402',
        52736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a8d35ffcc8347575db1fe78994d788bf6d6b72986c5a69b0649f0d3b49e55f8',
        52660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7a0741f87848c3426c2a4b0e2eafb16636b87c07f2885743688b08ad8f58428',
        52808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Syne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne
  static TextTheme syneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.syne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.syne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.syne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.syne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syne Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Mono
  static TextStyle syneMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fafc4cf13bf0649bcbac840cc061d6d2e296031c5e99fcfd8cf6375694b134c4',
        35128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SyneMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Mono
  static TextTheme syneMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syneMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.syneMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syneMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.syneMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.syneMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.syneMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syneMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syneMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syneMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syneMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syneMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syneMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syneMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syneMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syneMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Syne Tactile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Tactile
  static TextStyle syneTactile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcb27bc1f445cc3306d9c5054884e1b614167b14839ccf3c67491ed56f8aa108',
        86160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SyneTactile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne Tactile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Tactile
  static TextTheme syneTactileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.syneTactile(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.syneTactile(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.syneTactile(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.syneTactile(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.syneTactile(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.syneTactile(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.syneTactile(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.syneTactile(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.syneTactile(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.syneTactile(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.syneTactile(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.syneTactile(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.syneTactile(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.syneTactile(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.syneTactile(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tai Heritage Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tai+Heritage+Pro
  static TextStyle taiHeritagePro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68f4019dc87fa5ee5adf701d1c55aad2feb1f652e73f2609d5e4cd5de798ec42',
        106976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3964db51238ea628a11dc305df814e6ba3fa098f29e5ec6420f576c84ac263c',
        103696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TaiHeritagePro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tai Heritage Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tai+Heritage+Pro
  static TextTheme taiHeritageProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.taiHeritagePro(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.taiHeritagePro(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.taiHeritagePro(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.taiHeritagePro(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.taiHeritagePro(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.taiHeritagePro(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.taiHeritagePro(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.taiHeritagePro(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.taiHeritagePro(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.taiHeritagePro(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tajawal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextStyle tajawal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d7f723168513d81f59a1499ecf308578b59e77e6352b416ab5c8bc87c7891bd',
        51368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a696e9a0a4864794db9ebca8d28075143ab4d7a64320f0509683e649edc5bb05',
        56216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eddd8791604c4f2b6d5cf01b9a50e1259fe9bd4f2db37e58f3f197a67de4d08c',
        55044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'decd29a8bbbb3f40ba753413d3c76993f0b74a7e71de4b56991c6556037785dc',
        56256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8ef3bfb6783a3609db9bf5b3da46388819ba20c4f94d08fcbba0aabd74b1179',
        55492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '143897c5ad37d074cd75d336ee13d04e52020e1652d10eabe663ff704a4f1617',
        55216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ba0894d1ad1143701d2ea8b40af86c2da1615804a2820d080b485873a5b8857',
        54644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tajawal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tajawal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextTheme tajawalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tajawal(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tajawal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tajawal(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tajawal(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tajawal(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tajawal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tajawal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tajawal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tajawal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tajawal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tajawal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tajawal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tajawal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tajawal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tajawal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tangerine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextStyle tangerine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a3626f76f155e7e69250a64efb24a12a43745fd229898a9400f1b23421feb0f',
        38832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93f92f8d2b9ef4f2e186003fbae8ae8682a8a7c5006428de453595e1f0143d93',
        38720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tangerine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tangerine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextTheme tangerineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tangerine(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tangerine(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tangerine(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tangerine(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tangerine(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tangerine(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tangerine(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tangerine(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tangerine(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tangerine(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tangerine(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tangerine(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tangerine(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tangerine(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tangerine(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tapestry font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tapestry
  static TextStyle tapestry({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a06aef2df716ee4102dea28d165726c1a2690c744e9f3c87816e71f6cfe0477',
        93052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tapestry',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tapestry font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tapestry
  static TextTheme tapestryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tapestry(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tapestry(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tapestry(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tapestry(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tapestry(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tapestry(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tapestry(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tapestry(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tapestry(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tapestry(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tapestry(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tapestry(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tapestry(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tapestry(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tapestry(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Taprom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taprom
  static TextStyle taprom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7669af092c80eddc5def893028e28acc2a3b9d110d9b7b4ba7dff16180e09a9b',
        152892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taprom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taprom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taprom
  static TextTheme tapromTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.taprom(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.taprom(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.taprom(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.taprom(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.taprom(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.taprom(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.taprom(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.taprom(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.taprom(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.taprom(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.taprom(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.taprom(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.taprom(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.taprom(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.taprom(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tauri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextStyle tauri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bc44f28438c8cb05e71545534deecf4012b8947f0a9ec41ff1cd7ce971f1698',
        22384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tauri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tauri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextTheme tauriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tauri(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tauri(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tauri(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tauri(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tauri(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tauri(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tauri(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tauri(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tauri(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tauri(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tauri(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tauri(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tauri(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tauri(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tauri(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Taviraj font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextStyle taviraj({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6509616a6331565ae511d2abd7c6c50c25e7c584b15a858f5444d77ed6c451dd',
        121120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '971651f04c7c25aa7ecb04e006ea64c16b738968a86d391f0c5a9290135f39c0',
        134768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e50f00be6043a477c7462208b1346502e71967e52e6bc9ddaa09fbfe763761b3',
        121048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ca6fd4bc96be6d0bd4df1f1c6e3d406bb6e780dc551f6eb08a7ec5956068eb0',
        135428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12833a181318408b66fa9687fdeeba0a41d3818603aa909c4a00a85cafb6481e',
        120532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aad082d1b234e7483e26b9081d2c95fbc778304a066c47b9dac898d7858e986',
        135464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f364febeca23e97031db2342d4c58ceb04a4d5babee864ae4f2482482891bb2b',
        121308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dc3bda6cc5d571412446b9053b460d89c8440c596a45e09994aa9866c28d3fd',
        135232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4d884d9d543e94bda0d2e659163c4f1962d351995234f4be40d36e09dd62b24',
        120460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56d57f1a35373660a96fb32ffda225722566a3ebc1d8f8bc780ab1655e157d01',
        136224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89aa381d33d04364440f9643f40026ac69f15ea7ab77c1b085f56bfd0dbcb517',
        120184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b7fc92dd6057a58b01a446b026312e4616ad9e7ac8b266b8c5ad9cc86074ce2',
        134776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15e73e6b696247902645cf1c5b9a07ef34c14b68461b5709f9d4d4cacc43f4f5',
        119372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c303d90503526f2a8c576415eb7ad60dcfbd85c70a4d0f7516bf477d171811ad',
        134564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3dbb109822c9054a9d4113edbf523a8804098beafa0ccca6fc1de10c0e2a77',
        119284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f1735dc04afd66e4d1a8ddeb667a293fe582d608bd2853f84569cb23744f50c',
        133664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0402a63853855c10d6ee39942caf785116d2cbb4ba0bc0bca9403439eb6d0a35',
        118736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5d2815958c4bb0a0e7dc77d21436f291262aa97b23c3c8caf35ed06be0d6688',
        129244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taviraj',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taviraj font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextTheme tavirajTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.taviraj(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.taviraj(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.taviraj(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.taviraj(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.taviraj(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.taviraj(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.taviraj(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.taviraj(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.taviraj(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.taviraj(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.taviraj(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.taviraj(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.taviraj(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.taviraj(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.taviraj(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Teko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextStyle teko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '249790961d67718419fb4b54a1495179d7793dc4ee8b5b9eaf549121f36c579d',
        166884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '303d4a537684fe0c0c3e94ce0d91dfc8f62d1a0ce74d15a79b16e04e61f19199',
        173328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f995817e730c58087e765d05e259b5dd7e6e22d8f8f7ed8dc7a18fa27567863',
        174748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07d4e4406ba8cef708c0187f01f5d28748c0720f8698e25d15b68c5007357fe1',
        174108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b58c79e9b259c064c6218439f375918939e4a4b84b461a0fda668c1a051050b',
        161840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Teko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Teko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextTheme tekoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.teko(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.teko(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.teko(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.teko(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.teko(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.teko(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.teko(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.teko(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.teko(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.teko(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.teko(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.teko(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.teko(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.teko(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.teko(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Telex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextStyle telex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00b4deea7be43b3ce0e29a1561eb6a0e17b1a24de612edb06ba810d2183eaad0',
        22916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Telex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Telex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextTheme telexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.telex(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.telex(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.telex(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.telex(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.telex(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.telex(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.telex(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.telex(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.telex(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.telex(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.telex(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.telex(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.telex(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.telex(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.telex(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextStyle tenaliRamakrishna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f5f65a4a935911d6091fa2fed08c184001fe00461d9c2417cb4b55652166b95',
        431736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenaliRamakrishna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextTheme tenaliRamakrishnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tenaliRamakrishna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextStyle tenorSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a90594ee7b823ae5e9cf6cbb2638add42e666223af9be097941df085e60b4d0e',
        58944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenorSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextTheme tenorSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tenorSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tenorSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tenorSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tenorSans(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tenorSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tenorSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tenorSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tenorSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tenorSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tenorSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tenorSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tenorSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tenorSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tenorSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tenorSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Text Me One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextStyle textMeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5dfc464647b8ff9413456ae53bfaed86e2aaf67395089e649b451ec58f33da21',
        35128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TextMeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Text Me One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextTheme textMeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.textMeOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.textMeOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.textMeOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.textMeOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.textMeOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.textMeOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.textMeOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.textMeOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.textMeOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.textMeOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.textMeOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.textMeOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.textMeOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.textMeOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.textMeOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Texturina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Texturina
  static TextStyle texturina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd805046e6f01901c99c6713959e970d0354bdeb7715b17153bcbddb576807b6d',
        83624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c615939e3ff7264c290b3ee873bc5c226a05dac1bcd8bdc401c8acedf1c9f8c2',
        83708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e21962f0ba3a94b4527d73bc1a8657f3baa9ed911a9eaf354311fce7c5e2d2e',
        83656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cee48a90caaf4f151c1a40eb1283999e3fc9b8e356ed53d0bccaf70315a75a13',
        83632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'febd5b2b5af8dce1eb0773cb1769a6b3dab417f50fe51a3b544a5f79829eeab3',
        83668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddaf0885a204c4d70f5908a4221f347b5f80e873552ae14389cfccd03630391a',
        83580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd715c2d9e2e0dae3357b6e10436ac5cb1167cfd35eb7110d373b8a3ea52027d7',
        83592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f16aec9c631d40a1ba75df84c2abe0bdcedc5e0bc928150e0ec9f88caad7ae2',
        83544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59e17abe06a0d1084b08dc23f2c0e82c18f1cb5e08799e52a6b3c97a0154eb67',
        83516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd304a44477dca7e686532ad843c6e7e324ce86cdc252cc43c6399e216caf50dd',
        84192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c3389c65448fc656e0c18f5dc36f3fb6be9d52633b77d97d0b9ea9935893ce3',
        84244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a19ab8b2c968f52dd3a166717f4d6988b55ceec3e8060e4b38fadd66a9a0d92a',
        84108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cbd71c7332055b159c2d000f98664c283ca025c077e0f7bd53f3cfbdb6aa56fb',
        84020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81174f15d1c7cb38f405ce4515e556f5fd2f3048eccc57cd01a30cee34ff422a',
        84128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f604e447f132e92e097cb5433a75711f24f76e11f6460e56fabdd7bc9bf9de2d',
        84176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15775939119f500bcdba33e0a5b588630f4bcaa49710ab46a433f82b3b1e470b',
        84148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86e4ef9097d0bf3ac78f8ba879c854a0ab60fe342fd727eec02751c68fc19519',
        84212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0938ee79f7867a62f35b258cc5c5b909838bb5a9d4cce89adf72e99b6bc9a350',
        84232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Texturina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Texturina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Texturina
  static TextTheme texturinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.texturina(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.texturina(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.texturina(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.texturina(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.texturina(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.texturina(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.texturina(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.texturina(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.texturina(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.texturina(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.texturina(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.texturina(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.texturina(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.texturina(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.texturina(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Thasadith font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextStyle thasadith({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '270140e7e1d89ed4e736df35c9b8bd5b75ea3362517333a433ca078459eb9323',
        86212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ada4a235e09bae13e7f77cc8bdf1a343d94135afb109c6947faf8b09f941cd2',
        89192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be833b1150bfbacf67fa3ec12e7b7d96e4ef4f3511cc4566faf20d945e2417fb',
        86580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2cca1f53203ccce2d78ce9573669fa970878bf7015bd2dfc0fd7ce04f41b79d6',
        89588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Thasadith',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Thasadith font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextTheme thasadithTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.thasadith(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.thasadith(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.thasadith(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.thasadith(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.thasadith(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.thasadith(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.thasadith(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.thasadith(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.thasadith(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.thasadith(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.thasadith(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.thasadith(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.thasadith(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.thasadith(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.thasadith(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextStyle theGirlNextDoor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77183c34d8c3d854c5f30ac3a3bc6a1c61abbc21706f38504a205d0a3ff08601',
        41860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheGirlNextDoor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextTheme theGirlNextDoorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.theGirlNextDoor(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.theGirlNextDoor(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.theGirlNextDoor(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.theGirlNextDoor(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.theGirlNextDoor(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the The Nautigal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Nautigal
  static TextStyle theNautigal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3b78b9c0d16707a9202be4c24e7fe36fb8dce5d50cb456ca6a8b4de4b544131',
        108556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee1f32a71ad54dd10774dc409c533ae70d6cd5a5e49f365ad3c53a7ee3e2f991',
        108028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheNautigal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Nautigal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Nautigal
  static TextTheme theNautigalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.theNautigal(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.theNautigal(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.theNautigal(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.theNautigal(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.theNautigal(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.theNautigal(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.theNautigal(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.theNautigal(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.theNautigal(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.theNautigal(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.theNautigal(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.theNautigal(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.theNautigal(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.theNautigal(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.theNautigal(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextStyle tienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd464bae8fe9ec18f0b6c2092699eda523f5bd8efd853a074218a87897986267d',
        39320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127b3ca5d9108ab427bf14c814de07ed3947de3e38cb3fd3bb9ca330dd0af260',
        37372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f3bfee1d66a1d333e8d4d7bc617c8aeb1396048315adfdcb3b3364a81871a95',
        33700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextTheme tienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tienne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tienne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tienne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tienne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tienne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tienne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tienne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tienne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tienne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tienne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tienne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tienne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tienne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tienne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tienne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextStyle tillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a19a2df2750e5ed83064b1f7a67f418e7dcd4bd31f7018a1880e940a310cb92',
        216284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9eb0a5a3b8a551c351bf25f37dda3fbbd9d9d0497752d50bd079849c931bbb3',
        220652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcd0ea40bb7a7741d243a67b44dd4018837d3bec75f596750143fc427707cf5c',
        221392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c90fa25b9f7097597de0823b0d1112af121a0875bac0f9f9ce98aab5948bf63',
        220924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98b43554a1fb85013b2e348325c5a9c5cd8e66bb942a3df923c2585c71fee3a2',
        221112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextTheme tillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tillana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tillana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tillana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tillana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tillana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tillana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tillana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tillana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tillana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tillana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tillana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tillana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tillana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tillana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tillana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Timmana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextStyle timmana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0123471088f58816de3b9e9331ed8e46a447570e0eb5c817e3927db8124196b2',
        431972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Timmana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Timmana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextTheme timmanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.timmana(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.timmana(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.timmana(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.timmana(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.timmana(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.timmana(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.timmana(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.timmana(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.timmana(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.timmana(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.timmana(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.timmana(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.timmana(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.timmana(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.timmana(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tinos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextStyle tinos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e68bc98222339eb30959aade856a732c4f3ea04e5c229e00cede6c5378c2ed',
        246568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1751ba26644fb09379dcddda6f5c0065988cf041859f8027ef182b99ba145c22',
        248184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1072711f4d2e7b23ff31277fde58d4b1dfd846d0a31410102b39aa8a95943b84',
        240620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b951c5c411f9fb34b0f43af03345658f01741e07d1f73b23bf1e4b68e278729c',
        246184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tinos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tinos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextTheme tinosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tinos(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tinos(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tinos(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tinos(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tinos(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tinos(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tinos(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tinos(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tinos(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tinos(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tinos(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tinos(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tinos(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tinos(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tinos(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Bangla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Bangla
  static TextStyle tiroBangla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bb112fe0b99f59a55ea20409d2a2139151881033562ccfa9ebb12cc8c09970a',
        193128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85c804ae6757832bb60c86dddb0ea08524558dc077631a0a60443be724d238f8',
        197520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroBangla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Bangla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Bangla
  static TextTheme tiroBanglaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroBangla(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroBangla(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroBangla(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroBangla(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroBangla(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroBangla(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroBangla(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroBangla(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroBangla(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroBangla(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroBangla(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroBangla(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroBangla(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroBangla(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroBangla(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Hindi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Hindi
  static TextStyle tiroDevanagariHindi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79f9b78b96c3d89b3f45803facad00dc5cf7a958e433f03aa0b2dc34dfa1846d',
        250692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0504e39af7e5ed18179046973556aa791a247ba24f0851a26da501144dcaf4f0',
        253924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariHindi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Hindi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Hindi
  static TextTheme tiroDevanagariHindiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tiroDevanagariHindi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Marathi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Marathi
  static TextStyle tiroDevanagariMarathi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a0c2ac07584ef3e1bd3b08a3f609e89e64a9eec24307e69df956c2024312262',
        249320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e047c3da37621e0d6f74d12aad194f6ae81741ef61c3db9a9a587348c099412a',
        252588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariMarathi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Marathi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Marathi
  static TextTheme tiroDevanagariMarathiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tiroDevanagariMarathi(
          textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tiroDevanagariMarathi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Devanagari Sanskrit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Sanskrit
  static TextStyle tiroDevanagariSanskrit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '052519e5e106e8076839f1f9a188de11e0b651456882c00287124a36fb453327',
        429356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2f99cde582e8da3ee4d3d868c8c2bda946b80cac43d29bff8d5d6a9790f82f9',
        434360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroDevanagariSanskrit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Devanagari Sanskrit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Devanagari+Sanskrit
  static TextTheme tiroDevanagariSanskritTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroDevanagariSanskrit(
          textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.tiroDevanagariSanskrit(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Gurmukhi
  static TextStyle tiroGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '530b5e3b59e5e96f1eb00dd80f3c721ec7b7bc86410e84111d6751b2ca49e9f2',
        86168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8921dc96a6f8f39787c4b2fa08c9fa414785e0732f88f7385a4005c85abae73a',
        87292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Gurmukhi
  static TextTheme tiroGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroGurmukhi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroGurmukhi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroGurmukhi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroGurmukhi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroGurmukhi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroGurmukhi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Kannada
  static TextStyle tiroKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5b4a800e61db5c515c013e87667fdf5b612fa26efe1d5d3a82a8d92dd0e304e',
        278956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da7d1a133cb1067623fe388dd7618834d4725ce9b2bc067b556ab48e67fee713',
        281068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Kannada
  static TextTheme tiroKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroKannada(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.tiroKannada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroKannada(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.tiroKannada(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroKannada(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.tiroKannada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroKannada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroKannada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroKannada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroKannada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroKannada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroKannada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroKannada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroKannada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroKannada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Tamil
  static TextStyle tiroTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23d44977cc675bbc4a3eb5af44bc8dfe71a24ea36e16a13ee852d5de59eaa31e',
        106108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a0256ff97b1558ffc613f76e7f992e431c5149b67891866965c7a514254e8c9',
        107368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Tamil
  static TextTheme tiroTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroTamil(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroTamil(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroTamil(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroTamil(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroTamil(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroTamil(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroTamil(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroTamil(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroTamil(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroTamil(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroTamil(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroTamil(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroTamil(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroTamil(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroTamil(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tiro Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Telugu
  static TextStyle tiroTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dee42738b821b2ebae92209b7145123a2cf9c2511362fa34bcd62addfae1781f',
        395680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89fd7c99adc653bbce6e30aa368dc220eef115aff8d848956dcecc4214a15e46',
        392604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TiroTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tiro Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tiro+Telugu
  static TextTheme tiroTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tiroTelugu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tiroTelugu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tiroTelugu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tiroTelugu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tiroTelugu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tiroTelugu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tiroTelugu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tiroTelugu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Titan One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextStyle titanOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc56c15aa1df450667660510bcbf78be7d79aa2c6baa92cc09c1e5a715b3df3b',
        52164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitanOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titan One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextTheme titanOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.titanOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.titanOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.titanOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.titanOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.titanOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.titanOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.titanOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.titanOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.titanOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.titanOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.titanOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.titanOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.titanOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.titanOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.titanOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextStyle titilliumWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66fcc18bb0eed2a11b259d4b563301f5304f6a4a33212b12297784f76da716b4',
        53388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc466f513e5942757bb8b8dd68a85cc1187bea91b71e348745039bde3138f94b',
        57408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90b92cf2b88bd8a39a354c6de10a23b69fd0d9ffc6948a7fdfb5bc30b25be7e0',
        54196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2809d7a2139916867089a91e03178d3f2064f5666d3cee743b65bc7507620b1b',
        60640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82e1e5dc2e10e02cf451358b8979b49da6648646407c7df2c77319c5bb23535f',
        53956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a373e84f0f61333fc2f9b881fe8afed4fdb496b2653e5772eb273509dde4570',
        61348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c43fe9e52fdd252279f52156429f1924d344076634e3b924ec835e046f90a7d7',
        53224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acc13d4a166f449f3e72fb3f2566cacc3d64f74ba147a49c93b8f8cc301facbf',
        60880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e97ca3e2e4bee48dafb653d0a983c978573f21fe9f231f805716632539b0267',
        51392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa12f4c6e2e9a2341b01779259eedc153b79dbecd7bfd7969d1a3419248365b9',
        59216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35ae1c36fea4e51c627d38747c43f4abb864f1f3a4d6fb431b98eb1d10b23ca0',
        41708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitilliumWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextTheme titilliumWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.titilliumWeb(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.titilliumWeb(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.titilliumWeb(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.titilliumWeb(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.titilliumWeb(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.titilliumWeb(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.titilliumWeb(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.titilliumWeb(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.titilliumWeb(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.titilliumWeb(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.titilliumWeb(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.titilliumWeb(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextStyle tomorrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '080f99d103faadc82c695a76be2ca32871d4c85d8c21289aaf4c1690edb04551',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86e5cbcb354f6213bbd5e84938e077a926d0b1d120de5ff5e0941f757b09ceb2',
        58008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dddb19f7f441ff5ccb8cfd026392ce5c341cce831ab853fcfc913a049f021e70',
        56872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '397031ba312efa113c38db902bd1c61e477a6647ada7141a7882cb8ca0945b17',
        58892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7523c7205bb169a2bd1b534e94e5c7b23b06f3a52a254d27f3a7f93f604b6e27',
        56908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9914cad59f50b0711a01fca7561de378c6981ba04a76a6b4619d94bce66a43d0',
        58928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5772788b55e5b0c9bdd119d61271a63e3fde377ae65d4537aa64428473cbc715',
        56716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0bbfb9ddbd0fff4ccd9588169d57a038b7bd83919cc9b449cad784c840c6d46',
        58568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '554d3f3f3ce56d2b7eecd39497c89e8e3d633c7f7fd46501bddab4ed7c05da04',
        56172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3394f9521765d3f64c473e5c2028f4943bbc4f9157a9041b4a24e9ce051a75cd',
        58112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089b644d3b56da6f022b6f02df0a33a33e0fdebe9d6f335c228cd00554527852',
        56784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc0ba7c251af83c6c414cad86da892409468dafb5ce6a92345ecba2980bca140',
        59016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38b6331b802279a4ca468f8f7d1c47ce6c9123f6d3b4c22fd9e369e3d5065c41',
        55956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60e5c8a0707ee50cf0716c508f6b60f435a00a6378bd6ba6aa1b0ce8807e63de',
        58964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d74be4e616a66f913c1759ecc239890ce8d4487a2c60cc984d8a91d466a091e',
        56584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f69efbd837e542de6e8eaa0e4ef42308b72d4c5ca3f8672dfe62e180b4356e0',
        59704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e837b171eef6720b2d46e0a1855bd89e69ba9c837ec064f35dcedb26dbf5c64',
        52332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '002c1d542fbbbeb3443244e5ff3abdf70964770ad31bc6b26514999396f8c45d',
        55780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tomorrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextTheme tomorrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tomorrow(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tomorrow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tomorrow(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tomorrow(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tomorrow(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tomorrow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tomorrow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tomorrow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tomorrow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tomorrow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tomorrow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tomorrow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tomorrow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tomorrow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tomorrow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tourney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextStyle tourney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcc4104b7d2b26c1306a5be4c38d829c2ff330a86a72ff48af28112f9dad0809',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '553cbbdfdac8c2002b9e523ec584e9cb86ba5728c4fdee02fd01d36fcc1b16d5',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9e52f3a065ec444566492987208a8a22846e9cba9b1ef5074388e32ceebf5a3',
        61976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b3090c016cdeb332db1b1ac96f80ce2b1010ca0840158e72926035e7ffd6366',
        61984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25c3d7a5c16f78865a2e2e2d5e312b8fe38f139284a0c90b184f7790414c4c7e',
        62000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43893ebcc8c70f40b5546b47f81ef125ff0d8ff287195143b4c91fc5ea581343',
        62020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee8abe60654010cce73b3cebffcd1f7653f7d97bdc1e1b01bd194d3fe953aa0a',
        61972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a23e941fd46a55a51100621fbc01aaa1f37ba18616f631f618ed9d6147177cd',
        62100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b8722d412965a7e27fb090e7b638420743e512e64791743a530f6737119242',
        61640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4155a609cfcf5226339358af07ffcc3f106cab4c81947b245d1967eee3b7dc96',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f31ae834f2ece3391595cfbdbc7ff2d21a9e3b5bcca1ca34b70801ba419fe5c1',
        64716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'adad837c58c7421e56d69101ffc45b9af45d19b0d9be544d79167745ac6f29a2',
        64652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c6e5fcc3ca13a502d74aa8260733dbe7c6310ffe66b2f26f51dd94b45392a00',
        64576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '80e2684f828e47e8282da77f9a4231fa70ac0d491f46cd89a958a14d289f65aa',
        64676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2e1fbad3490d66203b3a2749f4361040374fc263294e6ea646ebfe27ff2eeb03',
        64692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3339dee2d44955ddd5757f99bc66e13724a5012c4e645cc73aec0169b0ee3560',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'deb2823f0f763754a97643d6c6ce11e998c417a267e8e2906726d7f4e86565ff',
        64748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47130978382c749d6eb4ef062890196bedff620c8af475bbe7baba915d00785d',
        64112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tourney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tourney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextTheme tourneyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tourney(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tourney(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tourney(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tourney(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.tourney(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tourney(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tourney(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tourney(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tourney(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tourney(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tourney(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tourney(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tourney(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tourney(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tourney(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextStyle tradeWinds({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '252a872a37c49baa2b7f08491686adcb3d8ffa241e45e9346bb526a69672fccf',
        83508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TradeWinds',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextTheme tradeWindsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tradeWinds(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tradeWinds(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tradeWinds(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tradeWinds(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tradeWinds(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tradeWinds(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tradeWinds(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tradeWinds(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tradeWinds(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tradeWinds(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tradeWinds(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tradeWinds(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tradeWinds(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tradeWinds(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tradeWinds(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Train One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextStyle trainOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02805e668ac3b32000486d0fb0c5e15a0830eee2a5693ec8cd16a7260f5eac4f',
        1945180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TrainOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Train One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextTheme trainOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trainOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trainOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trainOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trainOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trainOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trainOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trainOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trainOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trainOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trainOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trainOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trainOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trainOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trainOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trainOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trirong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextStyle trirong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '814e0c797fc94f6f5590189cdc126a56da58f98eb47af9fcbcdb2b4a36450d9f',
        114784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9b14522f6c170de4b38bfcf525e1862d213cc0c30791164fcca91cdeed7752b',
        129296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '997bc7cdeff6c5824e4ac2b32de26bc4e73defbe0d0e5688cb160e1a5699847f',
        114832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9eadafb77b6744a4c9afaabc26f48f2d78f8f6927f45f929af42c0824ad81aba',
        130660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b03423d486add7b243b7b793e0e591770f242c958268352bbe3faef8b2d29b2',
        115836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a83b45b1838827037d78d294c7d5cd7429428d60ebe5427b9b083dd8c7401596',
        130640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fed37b662d413141a63ab7faa0e110eea024569533e9929a271de15f201b0027',
        116096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08aba6b084192f5211c6b102b6010bd735e1bc34f97703a407a5a49c61edfa42',
        132696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64d969c783dfb7c183f8d31dd9ac4d8a767af58a7602ad4a59c8360be3d3bca9',
        116388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f0ce5b5febb576d1ff6e1c2e42cfdde7586f288ebe34def162a42103802dce0',
        129380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a823e55350d3252b908e543fcd91cae0e181d497cf0e21c302455b9d3d8834c',
        116124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70e6d730f3645a353de484d7b71a11bf4ae9df07124735d6d4d575a3b0ec0877',
        129528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c6e6ba29a746de93acc8309ea5463eaa3d6d4859acab21f3a888cb2c609f4e3',
        116276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5d3a761fa1f5446b09d927d1624cb19af37cc2122aded14c3d92099ef6cf2c63',
        133164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9b36a4867713d90cf2a0757b86262802c4b9242468e10d671a4211cefff7a4f',
        116140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce3eb96e4e900820e40ab0ccb2255bcf38220dfe7efb9a09d363f4884c8d6445',
        132628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1ce4d7d0d1a3af6c6b45fb01afa9af6fc3daddf51f452353b34752ee72b05f5',
        116124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2fa0e242111b23fa60b98c22af9f5cbfa37d1238ce9c4e4a7402b8e4e43fd6a8',
        132888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trirong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trirong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextTheme trirongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trirong(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trirong(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trirong(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trirong(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trirong(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trirong(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trirong(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trirong(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trirong(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trirong(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trirong(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trirong(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trirong(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trirong(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trirong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trispace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextStyle trispace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29e80eacdd2a62ba2c1dd10c3e838c672a81d1ebe923ee480ce1b243a199387a',
        59608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9927e77154b2b6ba2221ea14e7fdb9a41a19dec532c7ea9d0f2d3f93209fa14a',
        59760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e0f68951987b89f1b17ae2dc01a9eca22c89a6e57ce97f45ec98ad1793b2a95',
        59756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd1b67788f272d0e338f070b3afcd0bb1310dfbd968952e0e0ba8f88a60b5abb',
        59720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc952d58e8f6b94a7529ea23910ad11a0b9267dbdacbf9f600520321ad9e3274',
        59800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f934ef0922afc699ae0716eab457cb01ec00087e8ae161a6399fc29e205e06b',
        59984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89afe2c295f74cd7b636a15b4602089c862634949f42df359b05f75aa21ead2d',
        60076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d74e8b35e13c6358370c5a1512eeaf4c43bed28cb38b9af55b1e7f7c00f33af',
        60336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trispace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trispace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextTheme trispaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trispace(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trispace(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trispace(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trispace(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trispace(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trispace(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trispace(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trispace(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trispace(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trispace(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trispace(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trispace(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trispace(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trispace(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trispace(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trocchi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextStyle trocchi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '550b458f3b800fbab5cd393645036b1f62558def18a3511d0a57badeffc7d2ef',
        39008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trocchi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trocchi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextTheme trocchiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trocchi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trocchi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trocchi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trocchi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trocchi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trocchi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trocchi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trocchi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trocchi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trocchi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trocchi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trocchi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trocchi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trocchi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trocchi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trochut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextStyle trochut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '994b31ddcc5e04b33ab1e9f2a0f91b23eed88d22e33f80adc26c299ad3195818',
        23156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7077e81d46c1ee8b4aad564aa9bfb3c7342de82a9f0fd51fe4cb23cbfa240991',
        25740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '958b749469e1628226ca18f165313831ee9f96bdee4f5410cf61bfa73cef5b83',
        23104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trochut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trochut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextTheme trochutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trochut(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trochut(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trochut(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trochut(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trochut(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trochut(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trochut(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trochut(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trochut(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trochut(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trochut(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trochut(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trochut(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trochut(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trochut(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Truculenta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Truculenta
  static TextStyle truculenta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bef528a867f2c79be7de603e1e10da93ce4b4b2abdb93f73386c9e9e12cadc07',
        129612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e32c71a96a11a1dfdebf99df1ca8c444d78a7f4ff0b7e373b39188ccd3df6a7',
        129844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79416eea7a8d45db2e2559d5dba34db2164dfcbeb31357479d1c3373ded31cd4',
        129860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f37a1be53fcef342462dcc131d3d9bb1ee3ddf9cd38b37a835f2f48011a8c26',
        129332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6af54e098e1c4174a884caac442376c08916a5a748308dbf3fac3e428098c863',
        130084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e67d73758dfd8aad9d1aadca631ca768249c656afa3f9bf026180677f3a51517',
        130408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '247cd581f63849fc28c705ea599ebc7c2265010e230de4021d8cb2b5c489898a',
        130388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3b980d577819de58b183e5c897c0c4174e3dd3cda7c6776964c23d916bc068b',
        130556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f8bfc596490b1ef72b4dd280af178412ab0fdb2360327faeb185abb4607f5c5',
        130516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Truculenta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Truculenta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Truculenta
  static TextTheme truculentaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.truculenta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.truculenta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.truculenta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.truculenta(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.truculenta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.truculenta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.truculenta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.truculenta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.truculenta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.truculenta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.truculenta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.truculenta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.truculenta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.truculenta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.truculenta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Trykker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextStyle trykker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca7a70bd53438d7f42a2d42c02d3f5e43ca3cb69aef552de5383d678537109f6',
        35444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trykker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trykker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextTheme trykkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.trykker(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.trykker(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.trykker(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.trykker(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.trykker(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.trykker(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.trykker(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.trykker(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.trykker(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.trykker(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.trykker(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.trykker(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.trykker(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.trykker(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.trykker(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextStyle tulpenOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2ff4ce783b928b53d9f2a420d3fa0c3283190ff1c3d675e6f7ea40a25f7b8d7',
        33392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TulpenOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextTheme tulpenOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.tulpenOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.tulpenOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.tulpenOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.tulpenOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.tulpenOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.tulpenOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.tulpenOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.tulpenOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.tulpenOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.tulpenOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.tulpenOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.tulpenOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.tulpenOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.tulpenOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.tulpenOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Turret Road font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextStyle turretRoad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ed9c264a975efe9997c3ffc7cbd67d9fffcc8978564cfbf1ef95d4d67e198f3',
        31752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8b708bf755f50880e49f302e7c36489b433f2f2c1987084c3802bcd09aed291',
        31504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f41f2dd77dc975face1d57da2cb318e241f76e3d33a5c78fef8a86e3dbd3208',
        31648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0e98a692fcfb687021aa315ae66516f1a7ad0c23574e3c2d5fe9352edaa3662',
        31556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93826ba43402ca21b703487e42f0fe1efd1833586ee5546d5197e8d99103a521',
        30868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3ab0504a9bc5f3f44854ab7584d3cab77bd77bf472ffab8ddc52f16348c2a9e',
        31516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TurretRoad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Turret Road font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextTheme turretRoadTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.turretRoad(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.turretRoad(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.turretRoad(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.turretRoad(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.turretRoad(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.turretRoad(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.turretRoad(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.turretRoad(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.turretRoad(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.turretRoad(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.turretRoad(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.turretRoad(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.turretRoad(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.turretRoad(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.turretRoad(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Twinkle Star font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Twinkle+Star
  static TextStyle twinkleStar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8381f0773503cd88de31d43619c618bbc44a45b5fd1032a7c6db1ba0987c17c3',
        120584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TwinkleStar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Twinkle Star font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Twinkle+Star
  static TextTheme twinkleStarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.twinkleStar(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.twinkleStar(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.twinkleStar(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.twinkleStar(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.twinkleStar(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.twinkleStar(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.twinkleStar(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.twinkleStar(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.twinkleStar(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.twinkleStar(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.twinkleStar(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.twinkleStar(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.twinkleStar(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.twinkleStar(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.twinkleStar(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextStyle ubuntu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a47c8ef66f4571dfde5f8bae62263d581a3cb43b414574219145cfe0bbc6087a',
        145972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd060388a26470af6e9866b24636cea1a2353ad593308cd1f1fd62cd46dd6d458',
        162240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c6760f323ee57525ee9fec23bf7c14af2667970250d0931f33a7f195e7ac11b',
        154420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81e4ac216d2e6324a7690639b25e32d9a9b7cafa59bab76c03b6a59b10ca031b',
        158020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff4f5b6a457d5a8f672b09ca8968ec29dac69de860566d18d2cac669f1149470',
        153712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f405a0141171fb36ee2b9db0ec65a172ad42ecd904b5ff4dcee4d59ce9bdba6',
        159400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2505ebc304cfd0570e37d34f5d067de5fbddd54ce0908f41f217b4d1a4996b',
        153588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88774d4ad39da2b059fa471515c1ad7eec8268be06a10fcedba3658c940dc9a6',
        169232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ubuntu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextTheme ubuntuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ubuntu(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ubuntu(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ubuntu(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ubuntu(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ubuntu(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ubuntu(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ubuntu(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ubuntu(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ubuntu(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ubuntu(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ubuntu(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ubuntu(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ubuntu(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ubuntu(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ubuntu(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextStyle ubuntuCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '173b8f0c3210383802a1d8c4208a8b46e0b877cbb4753d50f445b9620050566a',
        164556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextTheme ubuntuCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ubuntuCondensed(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ubuntuCondensed(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ubuntuCondensed(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.ubuntuCondensed(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ubuntuCondensed(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextStyle ubuntuMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef8cd8ab550b2ac95d8a6afa037afeb9ead1630ed8e135a374d171f9d4e03698',
        97980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01f30a2e1e6f2b3854b3319ce6d706e1160186649cce8aa089e865db82468c73',
        102780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d75371c8840ea6ea45ff541a2545de7b45bd90c280a0febb4adc15858e9406c',
        96860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03abb6786289973fffb7dfc450dc1f4e337cbce645eeaca89f5dd518ca1e0c1e',
        102128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextTheme ubuntuMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ubuntuMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.ubuntuMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ubuntuMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ubuntuMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ubuntuMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ubuntuMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ubuntuMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ubuntuMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Uchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextStyle uchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc26e05fc952d41b442ad00b78f88d5ad00335aa1d1ecf7a849ea618c6b92269',
        800808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Uchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextTheme uchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.uchen(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.uchen(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.uchen(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.uchen(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.uchen(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.uchen(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.uchen(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.uchen(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.uchen(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.uchen(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.uchen(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.uchen(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.uchen(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.uchen(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.uchen(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Ultra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextStyle ultra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ab1d6dcad80a60014e7fcbd71e90d4d52cb1cc0a0d4dd4ab9802bd8c55efb0d',
        50316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ultra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ultra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextTheme ultraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.ultra(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.ultra(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.ultra(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.ultra(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.ultra(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.ultra(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.ultra(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.ultra(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.ultra(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.ultra(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.ultra(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.ultra(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.ultra(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.ultra(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.ultra(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextStyle uncialAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41728ed55d0e54aec51750112ed99f922b217d7dfe8d6909dc0830913e43e5ef',
        60616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UncialAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextTheme uncialAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.uncialAntiqua(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.uncialAntiqua(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.uncialAntiqua(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.uncialAntiqua(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.uncialAntiqua(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.uncialAntiqua(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.uncialAntiqua(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Underdog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextStyle underdog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6e0ab2c148d269fafa142f58ff2a302c6e226358ba4e8d2ba7ae0941950c9fc',
        43728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Underdog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Underdog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextTheme underdogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.underdog(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.underdog(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.underdog(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.underdog(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.underdog(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.underdog(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.underdog(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.underdog(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.underdog(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.underdog(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.underdog(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.underdog(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.underdog(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.underdog(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.underdog(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextStyle unicaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c86df5564933091ea990aecceaf92bace2f8a8ad1d0375950b81b208973bcd2',
        36532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnicaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextTheme unicaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unicaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unicaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unicaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unicaOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unicaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unicaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unicaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unicaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unicaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unicaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unicaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unicaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unicaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unicaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unicaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextStyle unifrakturCook({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8e074d3f3a10741eb512a044660449d7d05d7953273b453cc7db573c17cb297',
        35620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturCook',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextTheme unifrakturCookTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.unifrakturCook(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.unifrakturCook(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.unifrakturCook(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.unifrakturCook(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.unifrakturCook(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.unifrakturCook(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unifrakturCook(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unifrakturCook(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unifrakturCook(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unifrakturCook(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unifrakturCook(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unifrakturCook(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unifrakturCook(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unifrakturCook(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unifrakturCook(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextStyle unifrakturMaguntia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da0d18b09971ee17c4013fcde8e378ed92a502de1b520b291cf55390e5926ecf',
        56652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturMaguntia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextTheme unifrakturMaguntiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.unifrakturMaguntia(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unkempt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextStyle unkempt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c7ed0bc3a72d6a3873308b20efefecacc7b296a9d43e501e82f3f014d0a2105',
        190344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e485762c250d7cc9ff4c15f344be45569c435f697fe7f41a57763d6e83cc3935',
        188700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unkempt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unkempt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextTheme unkemptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unkempt(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unkempt(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unkempt(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unkempt(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unkempt(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unkempt(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unkempt(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unkempt(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unkempt(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unkempt(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unkempt(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unkempt(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unkempt(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unkempt(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unkempt(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextStyle unlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5bfaa0b4e181323b690d2830fa05bd8e8da4800a164df49eb4022e975cfd1b8',
        24548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextTheme unlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unlock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unlock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unlock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unlock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unlock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unlock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unlock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unlock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unlock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unlock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unlock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unlock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unlock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unlock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unlock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Unna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextStyle unna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef1faa488673b825c6be9390a0252787afb44f0d693765e773313163fa9f0afe',
        37964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c21cd08574d376a52a04407644e6f1e77fb1a252d4b92779e775a7fb81d1a49',
        43884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f463178f6e0320734be202b93e23a829e52c9aadda63899c51adff9583adb16',
        38572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c4dd9b939a132a083272c72d6691f6977d836e18f23d1ab2cd661381cc3e7faf',
        44840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextTheme unnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.unna(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.unna(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.unna(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.unna(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.unna(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.unna(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.unna(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.unna(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.unna(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.unna(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.unna(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.unna(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.unna(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.unna(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.unna(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Updock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Updock
  static TextStyle updock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d2ea4e019d7fad0153e73a20891f0f3eeb94fc24e2d1294238c0670159c81cd',
        75336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Updock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Updock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Updock
  static TextTheme updockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.updock(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.updock(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.updock(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.updock(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.updock(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.updock(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.updock(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.updock(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.updock(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.updock(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.updock(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.updock(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.updock(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.updock(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.updock(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Urbanist font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextStyle urbanist({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ccb27b1e48bec9cc96e010ff3dc49563a630f5e0b9700ba8d259afa2d67810a',
        40912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb490c6d47b78fb609e20c3776b80e944b1891bb2bcf91a29d09b2049245e9a1',
        41136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07c4958279c71bce17c7edf7729c10f287732103c5aef6f144ded71342a364c4',
        41104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd601305cb24b44701742e5acace20662ff08d7eb304d4ca7fa4593e2739ef02e',
        41036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cbd58acc622a6a9d12ca7faae7614106fc0bf00a85dc3aeb8f8e71c6f6a77aa',
        41092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c319914eb7a2f989f368f7863e7e54b20a375e384fa42b38587430d4cc2cefd4',
        41072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdb61ae6c93fc6832494bbc9d221668cb2b6ed13acd5b417ae2e2aea8caecb73',
        40932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23eea7bd5577051e6ceb13746c9ab8c8a8eea1e0a1b6011ce4a8728fca12e7b8',
        41220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c409f6b7f2eaf9920efeab4fbadbf11aa2230d1f6b51fb3fc731c23af2a2e83',
        41088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f80ede6ee8db2e424f02aea8c8d9dbb7e119dbfc2c50659fd9e5f1c0f0ccc72c',
        41880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a81bbbc4513e8c11e7da9b2e24a2cd69295f42a76f84e67588e52436f0d0e77e',
        42144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '31f41760f9e7e3c03d3881fad2c4a58fd253a6990b8b056280038863c442c367',
        42072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18332ab7dd48e992dff70738d3a751b5fc13e1eb8b502105102d406828d28e4e',
        41996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '785502a3a33b26a51420b2265d1bd3109413f0f43f368443287697128c99c185',
        42100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14b2f34491271642644f2db1b75b02c04353ce3b3313123e74af47c43fcecfe6',
        42108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6be3b4e6d8fba80e233667d8b6c37e4723962b41d1ec13dbd160fc40d852ce1',
        41888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6fb7ddf11c985d579bae9ead1c60304f687691d36f805a3db24c5a7963953e2c',
        42212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed99a987ac54e910c9c488aee12e0a082f6aee946f4df288632203522c227d29',
        42068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Urbanist',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Urbanist font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextTheme urbanistTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.urbanist(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.urbanist(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.urbanist(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.urbanist(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.urbanist(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.urbanist(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.urbanist(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.urbanist(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.urbanist(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.urbanist(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.urbanist(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.urbanist(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.urbanist(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.urbanist(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.urbanist(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the VT323 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/VT323
  static TextStyle vt323({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '351bb21ecaae045391ee603df58d4f2cf9a3d586c5fd3743fee2257bd3223ae4',
        102756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VT323',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the VT323 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/VT323
  static TextTheme vt323TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vt323(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vt323(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vt323(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vt323(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vt323(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vt323(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vt323(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vt323(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vt323(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vt323(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vt323(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vt323(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vt323(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vt323(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vt323(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vampiro One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vampiro+One
  static TextStyle vampiroOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f0a67bf6e55ce905c19acfd170fe2ad4fd8dde861a429dc838b8f91eaf28255',
        20340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VampiroOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vampiro One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vampiro+One
  static TextTheme vampiroOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vampiroOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vampiroOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vampiroOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vampiroOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vampiroOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vampiroOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vampiroOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vampiroOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vampiroOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vampiroOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vampiroOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vampiroOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vampiroOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vampiroOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vampiroOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Varela font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela
  static TextStyle varela({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8f3a3817461c73b138cc5e749a7f802c6281c5f3ecbbb40550548db3f615db0',
        59496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Varela',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varela font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela
  static TextTheme varelaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.varela(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.varela(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.varela(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.varela(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.varela(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.varela(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.varela(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.varela(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.varela(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.varela(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.varela(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.varela(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.varela(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.varela(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.varela(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Varela Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela+Round
  static TextStyle varelaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e7334005a7d8ea05e83c3ecc58ee814f32564fdeac76b806080f1b9a81641bc',
        94556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VarelaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varela Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela+Round
  static TextTheme varelaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.varelaRound(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.varelaRound(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.varelaRound(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.varelaRound(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.varelaRound(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.varelaRound(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.varelaRound(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.varelaRound(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.varelaRound(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.varelaRound(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.varelaRound(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.varelaRound(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.varelaRound(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.varelaRound(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.varelaRound(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Varta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varta
  static TextStyle varta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13a4df6f12a19887148e55935b48e03d988370f3c2a890abe655adc9fad3d2ab',
        65188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2ef6fee5acabcaa7dfd7acceae2a97000deea5c0021eca896e223001f858585',
        65076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcedb42a1d0df2a4dcc3796ee66b3edc8ea0e7fdd1bfbd8ccd90c66086c7fc69',
        65176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ef7129683f13becf9d1283b9272825d5c1772130562164b9dd70523bf17c2f8',
        65148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f447807d8337bc2947718579aea053190651621bd93e519337cb9dfd4876360c',
        64944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Varta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varta
  static TextTheme vartaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.varta(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.varta(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.varta(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.varta(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.varta(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.varta(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.varta(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.varta(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.varta(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.varta(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.varta(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.varta(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.varta(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.varta(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.varta(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vast Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vast+Shadow
  static TextStyle vastShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a36d9acf19123a5f56ab054197d42e3df0bec989971fd10198658e574cd19270',
        58360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VastShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vast Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vast+Shadow
  static TextTheme vastShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vastShadow(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vastShadow(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vastShadow(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vastShadow(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vastShadow(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vastShadow(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vastShadow(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vastShadow(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vastShadow(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vastShadow(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vastShadow(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vastShadow(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vastShadow(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vastShadow(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vastShadow(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vazirmatn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vazirmatn
  static TextStyle vazirmatn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01d50824626cf2ad93f3e3ea8084d52c9694bead1c41f123f968c04fb6271912',
        104112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a650d2ae7628370c0f14eeecf290485db817efbd8ef249795de99b055ceddde',
        104424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1af0e044a43e1dd7aacfaf7ec39a0d12471ea28bcf5f6a8ecce5ff458a5d6b89',
        104380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85ba6de61d624f7726f1f58192ac5b2943777ff46c9e2768ca12c3be1bcfbee3',
        104364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ea8340822a261252a8bb4025b537a693779ce03f49454c26886b90fbc45d859',
        104436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a51ee29c7fc6f3033c77c86fb8defa0c4deaec1ed9fa1f32367e453fb526d774',
        104576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a61a8834e921c172740e6fae65ec751724d051d639237cda32b34a46d864b43',
        104928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a06772be8009be44fd74b8161d32bf82cc175cad0486ebe353bc1ac2526ab34f',
        105104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34e93890fa96f307e6fb644a47a333df5bc0051e2a0e49d28b2a48a134231052',
        105116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vazirmatn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vazirmatn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vazirmatn
  static TextTheme vazirmatnTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vazirmatn(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vazirmatn(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vazirmatn(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vazirmatn(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vazirmatn(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vazirmatn(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vazirmatn(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vazirmatn(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vazirmatn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vazirmatn(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vazirmatn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vazirmatn(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vazirmatn(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vazirmatn(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vazirmatn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vesper Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vesper+Libre
  static TextStyle vesperLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'badad7ef59ce3a55517b1114139e20cd3e2a38b6c9b5cd97fd84b773f7dd6303',
        161640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff5eb26af761eaaac3ee56b4f45e3925af49e61ecb55397b3903c1af9e52ba0',
        163912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02576e8c7ea8eb1f3829849fec4cfb69bdd4ffeac96ec752ebe87f07c9d84f3f',
        163772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bdb316fceb26d01a0c19ef2f47270cdca854e2ead62f921c42dc703d6c3446e1',
        161856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VesperLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vesper Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vesper+Libre
  static TextTheme vesperLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vesperLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.vesperLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vesperLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.vesperLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vesperLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.vesperLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vesperLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vesperLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vesperLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vesperLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vesperLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vesperLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vesperLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vesperLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vesperLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Viaoda Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viaoda+Libre
  static TextStyle viaodaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cd9fa7366844c7fa0e7fcb7eb8a89ff520272aa66626cf52c12ddc6db53886a',
        104232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ViaodaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Viaoda Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viaoda+Libre
  static TextTheme viaodaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.viaodaLibre(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.viaodaLibre(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.viaodaLibre(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.viaodaLibre(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.viaodaLibre(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.viaodaLibre(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.viaodaLibre(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.viaodaLibre(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.viaodaLibre(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.viaodaLibre(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.viaodaLibre(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.viaodaLibre(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vibes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibes
  static TextStyle vibes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e33238f8c2e24ad46821776d2ccfea97ec4904fe3c41fdf3e51982a6ccc3461b',
        49952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vibes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vibes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibes
  static TextTheme vibesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vibes(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vibes(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vibes(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vibes(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vibes(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vibes(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vibes(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vibes(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vibes(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vibes(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vibes(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vibes(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vibes(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vibes(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vibes(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vibur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibur
  static TextStyle vibur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4ea981f715f63b3720f08d1830f568e6fd79e3e2998c8faf5e7c1097a2913a0',
        60552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vibur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vibur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibur
  static TextTheme viburTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vibur(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vibur(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vibur(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vibur(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vibur(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vibur(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vibur(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vibur(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vibur(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vibur(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vibur(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vibur(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vibur(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vibur(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vibur(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vidaloka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vidaloka
  static TextStyle vidaloka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c6592100a850080279f5e151be96330c0741aa288a811284d88673a3b9326da',
        37520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vidaloka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vidaloka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vidaloka
  static TextTheme vidalokaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vidaloka(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vidaloka(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vidaloka(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vidaloka(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vidaloka(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vidaloka(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vidaloka(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vidaloka(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vidaloka(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vidaloka(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vidaloka(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vidaloka(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vidaloka(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vidaloka(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vidaloka(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Viga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viga
  static TextStyle viga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02c2468f6c3515d37a943cf86734653f4e5d7b51016379e7f15c4055e58dae81',
        25000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Viga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Viga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viga
  static TextTheme vigaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.viga(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.viga(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.viga(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.viga(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.viga(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.viga(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.viga(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.viga(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.viga(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.viga(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.viga(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.viga(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.viga(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.viga(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.viga(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Voces font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voces
  static TextStyle voces({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05466ef678a5d745296fac575119a68a54cc3b0978dfe5714424b4ab0dfc9d0a',
        73856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Voces',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Voces font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voces
  static TextTheme vocesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.voces(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.voces(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.voces(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.voces(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.voces(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.voces(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.voces(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.voces(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.voces(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.voces(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.voces(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.voces(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.voces(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.voces(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.voces(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Volkhov font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Volkhov
  static TextStyle volkhov({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '666c0e832ada07c0e3454cb2a4f98526aaf42725a7241de1d01085974babcb80',
        31508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6038e861c6b8ae994bd876508ee1e73e4c716b00fd60ba4f460dab15e8713d3',
        32420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b092f086c2bf80a82c5c58383c690eed8ea94ccfa64aa84e8bb9ad6ba3b23d5d',
        31436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b872f6f2a82abd5239cb1f610aa6a8acddab65778c883c54a0bdd2175c2cf51',
        33948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Volkhov',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Volkhov font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Volkhov
  static TextTheme volkhovTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.volkhov(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.volkhov(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.volkhov(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.volkhov(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.volkhov(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.volkhov(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.volkhov(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.volkhov(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.volkhov(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.volkhov(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.volkhov(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.volkhov(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.volkhov(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.volkhov(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.volkhov(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vollkorn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn
  static TextStyle vollkorn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57339b56d490d036f9e78e7e677001e871a750e7dbc4a84a3fe78b942d2dbfa1',
        229680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7eda8534cf11e6cac53066a7280dd40888cb236cc91c10bfba94cdc8cbf132f7',
        231132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb39de25034a28ffd34494ad7b1134a60cb89f93da4b35ff7fffcadfdbd86a96',
        231184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bc952a2858825e786f040514b7fcd73f34bfa35cacda7c4deaf1607f63ffc5b',
        231120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc71dda6cccfe17758888d9b02cba1ec80f96d9c61bce4d656629c9abad2665b',
        231264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a81e8727039949b0b0f4beee08951032391b287ff36b2b185fc6693817218501',
        230908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '696589389e38efff66da271975ef55f44477dfbcca03f1f2f70396113bcba247',
        227252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c827ecdf5318680dfcfb4d099ff128e85c14327f2e7489fc9ee817ac8067416a',
        227940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a91c38d47074a9b1530b85c5fb2e33efa9861c9e681bbdd43de67810e58b2f8e',
        228028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d22ca4c6c4a3db99f4d6b4788e231841cf43259330c91a9bcb7ce1ba530e91c',
        228028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c5cd0748ba7148ed965f2dc1860e6f0fb534ce9cbf25e042fba6b7901b125c44',
        228160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f6bea77972f9dda2f6ed805c4325ae260c15b0b0646adf7ada28c457489d503',
        227924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vollkorn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vollkorn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn
  static TextTheme vollkornTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vollkorn(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vollkorn(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vollkorn(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vollkorn(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.vollkorn(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vollkorn(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vollkorn(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vollkorn(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vollkorn(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vollkorn(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vollkorn(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vollkorn(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vollkorn(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vollkorn(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vollkorn(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vollkorn SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn+SC
  static TextStyle vollkornSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59f17bf5d6c21eac82b4345c6ca2c8419809acba8791d22f0bfd8d633aed82d0',
        126312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caa72e033b48b14bd346bfc152c1a621ff0cf8d44154fa6c58abfded37d4a9ab',
        128396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ff980dbf53ef2403b6ac0ffa7eba229391a04234e09dba84dbc517d8928d131',
        128572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64f67b0220d47738705145a0cdc31267ad1322e3c1e258451c231b0a7187d909',
        127804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VollkornSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vollkorn SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn+SC
  static TextTheme vollkornScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.vollkornSc(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.vollkornSc(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.vollkornSc(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.vollkornSc(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vollkornSc(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.vollkornSc(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vollkornSc(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vollkornSc(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vollkornSc(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vollkornSc(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vollkornSc(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vollkornSc(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vollkornSc(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vollkornSc(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vollkornSc(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Voltaire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voltaire
  static TextStyle voltaire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a6ed4b486a9f8f063bbc4c1213c9975f2a68ff706513ff3b071780e138ce8b8',
        25536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Voltaire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Voltaire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voltaire
  static TextTheme voltaireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.voltaire(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.voltaire(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.voltaire(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.voltaire(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.voltaire(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.voltaire(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.voltaire(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.voltaire(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.voltaire(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.voltaire(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.voltaire(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.voltaire(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.voltaire(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.voltaire(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.voltaire(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Vujahday Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vujahday+Script
  static TextStyle vujahdayScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1059c5de3c034c8dc4faa965529233b46551b6c53516e1895779f7e5e8b0b58a',
        151740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VujahdayScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vujahday Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vujahday+Script
  static TextTheme vujahdayScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.vujahdayScript(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.vujahdayScript(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.vujahdayScript(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.vujahdayScript(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.vujahdayScript(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.vujahdayScript(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.vujahdayScript(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.vujahdayScript(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.vujahdayScript(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.vujahdayScript(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.vujahdayScript(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.vujahdayScript(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.vujahdayScript(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.vujahdayScript(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.vujahdayScript(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Waiting for the Sunrise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waiting+for+the+Sunrise
  static TextStyle waitingForTheSunrise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b55e2f4e1a827b9e9e774821db21cc9f209b710a6b9ff9cc1000a0b366b2c69',
        40908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WaitingfortheSunrise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Waiting for the Sunrise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waiting+for+the+Sunrise
  static TextTheme waitingForTheSunriseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wallpoet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wallpoet
  static TextStyle wallpoet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c273a53871251d0f345ad21055de168569c600fb8faed4a9d023464dc1344c2a',
        20836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Wallpoet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wallpoet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wallpoet
  static TextTheme wallpoetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wallpoet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wallpoet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wallpoet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wallpoet(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.wallpoet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wallpoet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wallpoet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wallpoet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wallpoet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wallpoet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wallpoet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wallpoet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wallpoet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wallpoet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wallpoet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Walter Turncoat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Walter+Turncoat
  static TextStyle walterTurncoat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bd0b09d83a5b3ffbab053f669e969f1f45c23f0dd1c60da06e6c9888e092a11',
        151768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WalterTurncoat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Walter Turncoat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Walter+Turncoat
  static TextTheme walterTurncoatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.walterTurncoat(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.walterTurncoat(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.walterTurncoat(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.walterTurncoat(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.walterTurncoat(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.walterTurncoat(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.walterTurncoat(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.walterTurncoat(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.walterTurncoat(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.walterTurncoat(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.walterTurncoat(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.walterTurncoat(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.walterTurncoat(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.walterTurncoat(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.walterTurncoat(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Warnes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Warnes
  static TextStyle warnes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7c8755d2a46ce239107e42f41abd197f3432b0ac2c854d9827056d508d17cf5',
        37948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Warnes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Warnes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Warnes
  static TextTheme warnesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.warnes(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.warnes(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.warnes(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.warnes(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.warnes(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.warnes(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.warnes(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.warnes(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.warnes(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.warnes(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.warnes(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.warnes(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.warnes(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.warnes(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.warnes(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Water Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Water+Brush
  static TextStyle waterBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0da0b02040b720e50769cbb4e610e763bcec90f21181aaf9657d1ae2148c5147',
        236932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WaterBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Water Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Water+Brush
  static TextTheme waterBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.waterBrush(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.waterBrush(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.waterBrush(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.waterBrush(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.waterBrush(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.waterBrush(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.waterBrush(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.waterBrush(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.waterBrush(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.waterBrush(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.waterBrush(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.waterBrush(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.waterBrush(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.waterBrush(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.waterBrush(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Waterfall font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waterfall
  static TextStyle waterfall({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff2e43d6c50ed57d2b89367822fe150bab59be324079822d0dd6df64309723f',
        137892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Waterfall',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Waterfall font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waterfall
  static TextTheme waterfallTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.waterfall(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.waterfall(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.waterfall(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.waterfall(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.waterfall(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.waterfall(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.waterfall(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.waterfall(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.waterfall(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.waterfall(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.waterfall(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.waterfall(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.waterfall(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.waterfall(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.waterfall(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wellfleet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wellfleet
  static TextStyle wellfleet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3156a542183c4784e3f69698b81de5aa5d63eaa92c8a40b6920f75dde4bdb7b3',
        77544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Wellfleet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wellfleet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wellfleet
  static TextTheme wellfleetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wellfleet(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wellfleet(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wellfleet(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wellfleet(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.wellfleet(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wellfleet(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wellfleet(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wellfleet(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wellfleet(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wellfleet(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wellfleet(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wellfleet(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wellfleet(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wellfleet(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wellfleet(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wendy One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wendy+One
  static TextStyle wendyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c1ac0b983de71ad0a04501238648ea99202347fd200e03d41b0150602239e08',
        21064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WendyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wendy One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wendy+One
  static TextTheme wendyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wendyOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wendyOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wendyOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wendyOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.wendyOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wendyOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wendyOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wendyOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wendyOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wendyOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wendyOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wendyOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wendyOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wendyOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wendyOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Whisper font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Whisper
  static TextStyle whisper({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2182bc0ae60c7846f3e7271e14d16421938477813137c0976a87889086926d2e',
        85700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Whisper',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Whisper font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Whisper
  static TextTheme whisperTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.whisper(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.whisper(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.whisper(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.whisper(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.whisper(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.whisper(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.whisper(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.whisper(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.whisper(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.whisper(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.whisper(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.whisper(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.whisper(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.whisper(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.whisper(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the WindSong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/WindSong
  static TextStyle windSong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df0431516406a096e641405ea838bd34db15e7b7352393de4671658afea35e6',
        102256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1eb4af2ebb3eff21572619c8b874852793ce191c55cb63176c76bea722db9e',
        109360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WindSong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the WindSong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/WindSong
  static TextTheme windSongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.windSong(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.windSong(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.windSong(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.windSong(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.windSong(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.windSong(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.windSong(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.windSong(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.windSong(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.windSong(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.windSong(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.windSong(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.windSong(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.windSong(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.windSong(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Wire One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wire+One
  static TextStyle wireOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49796a0c0059ae2dbecf5e1683bf288a44e31340cb81d03f5e442251bd9c6c52',
        31772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WireOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wire One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wire+One
  static TextTheme wireOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.wireOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.wireOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.wireOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.wireOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.wireOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.wireOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.wireOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.wireOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.wireOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.wireOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.wireOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.wireOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.wireOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.wireOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.wireOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Work Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Work+Sans
  static TextStyle workSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a81cf4612e1205a70dac916c617ff8c43182f6cac021685038f896e88975c72',
        116724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8efe3d2a544c4fab1aa1c2aafa0915509de6d2ba2932e87d585618ffda15972d',
        117084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b2a8063da063e55ea2dd6e28fabc97a964d58f55053cb4647f3cb17308955df',
        117072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60f88dc2cce3ddf583afe9022585e7c6df3b11f992537a49f3052f0d978f6174',
        116940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe1d427cdb46d1777afc6b35a9565560d6add95a8e2fa536882e84cbef857c63',
        117220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '912ca20e7c96a44e28e00add833fe861585447ef83ac84b09635c4986bc7d615',
        117272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b8a69b6f7d4de8bf52d22c217a91fdd83a325888d1615a9107a40b645c1953c',
        117208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '942dcfe4da0a9d613dec0e85281b2095a81ee0e342cc0ca4e26ab718eb1a5a64',
        117280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e89bcdbfa62cf271d810a7d58a2949beef8bb901ca83d16ed849e22dd536eba',
        116908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de4e53e5c4292366667b2d362d0e00b6e3e250f7eb982d4a0220646da7f268a1',
        111332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '24de90a8224a549319ee740a1a1f223555ed45b87402a1a3dc2d2e7819be8e3d',
        111576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc557d9332dcbda21103661462e6d59c6648b03f513e60b7215d836418210271',
        111512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a4d53725d76fc3408d62acb4174afbed74a14f73807a0a5ffd7a93808ec94e5',
        111208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27167c4064c2e7652b6f83562b2c2c2e61d566dd1ebd7a41b8943c91e9d996ea',
        111728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a274ce5f864b8b4c01118d4984515464db701976204c9a3002c632a8dedabc88',
        111736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cb511f615f3d1d5cc44d05837920dae0ed6167d3a0f2921af054782af9058e36',
        111636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02f27e4d1aa7c21dd9d2ee551a31d57494b5711376cab9a7e52b43a086dfa967',
        111724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ac10e180a0d236260a7459dc8be75c2bd9e0d8306dc621e4c6351bfdf3431a4',
        111576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WorkSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Work Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Work+Sans
  static TextTheme workSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.workSans(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.workSans(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.workSans(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.workSans(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.workSans(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.workSans(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.workSans(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.workSans(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.workSans(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.workSans(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.workSans(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.workSans(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.workSans(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.workSans(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.workSans(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Xanh Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Xanh+Mono
  static TextStyle xanhMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0325d32d45e93b20f30f53d8f184999ccfd62f97a0eb016689dbfb3a0d60d6e0',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '57ec286629a38ab8e434c175017c9222e08d6de91a464c8d8fb72434ca6b8bd4',
        41664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'XanhMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Xanh Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Xanh+Mono
  static TextTheme xanhMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.xanhMono(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.xanhMono(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.xanhMono(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.xanhMono(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.xanhMono(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.xanhMono(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.xanhMono(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.xanhMono(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.xanhMono(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.xanhMono(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.xanhMono(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.xanhMono(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.xanhMono(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.xanhMono(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.xanhMono(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextStyle yaldevi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dda4491cc2fa89c24bf5b8895d09f416cd0148183a16417cbaac58f1148a7093',
        265716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37460a4100397bd2bdebd399bf22c30b56bfb5cd6d9575dc13f547f329501c39',
        266340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14298b2ef2d8128ea0a91ddf2b4071c5be63ca8200697ad6eab062c9b5c6b505',
        266552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5c81fcf07bdabf2ff5658687068458c6c664411132eacb52e4271b668ab5b6e',
        266668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b7da91985a03e751055399d2d4de4b4f5704d58c9aa5b522a6b3b3d80029ec4',
        266812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd158adf292c59ee9a48a2039d57263ee8dd77c049ceb9d2d92cecae3c37061d7',
        266036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yaldevi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextTheme yaldeviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yaldevi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yaldevi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yaldevi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yaldevi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yaldevi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yaldevi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yaldevi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yaldevi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yaldevi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yaldevi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yaldevi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yaldevi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yaldevi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yaldevi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yaldevi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextStyle yanoneKaffeesatz({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6c46e9d17b3f72525d4cf2373c543bbbf229e1761f80cba6f09f3023d9152a',
        70824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec668a9d6260655a7821a0e406f6f79d1091c51f7e974208b885e31ddb457829',
        71232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edf6e1bc21d8f578c4384b3f7df2dd7fd74f5795f8f68379e37339fb843dfa5f',
        71248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8c68d4cb1fe344dae05b0faa2eccc3a28c3c0060c1463bb9226c565c189f24f',
        71272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba3a1df8ede1da7ffa620ecf6962306322ff2c3b75e0aef5d718a0d6ac276b78',
        71196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '740ed9214fcf6fabab24e7f9ba6e5b4d35358f217f23f7ccd8bbf6295151ac04',
        71072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YanoneKaffeesatz',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextTheme yanoneKaffeesatzTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextStyle yantramanav({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27f0433d3b522418f9609229aca4f4e53b189b4cb903d24313ba00ce3441545d',
        100516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9d41f0d9e6af06e8efa3883581a953330daee5026f1b758ef0cfe13cff01694',
        98840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9e6a510bb7e0cd8fc2cfcb00b32015297fe5ad3967828e5a4ee41b81ffe21a4',
        98748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be7c544af92d139f568f2143263dca5d9aaaa2aac4119955c4deb5bcf1b711d0',
        97680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05bc80fdd4a65e6b94ec8857159f79854477a5bee6abe5429fc65dcc8b1b9684',
        98144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a71a599c8ffa62585af0aa0d2d7275b8f07123d6986547f8cdc1a258a2eab1b',
        97960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yantramanav',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextTheme yantramanavTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yantramanav(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.yantramanav(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yantramanav(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.yantramanav(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yantramanav(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.yantramanav(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yantramanav(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yantramanav(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yantramanav(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yantramanav(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yantramanav(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yantramanav(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yantramanav(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yantramanav(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yantramanav(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yatra One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextStyle yatraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1186b7bd1945106e35a4ce4e71402db39e66d631aa1ac349ea3d94f36443d7ae',
        195904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YatraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yatra One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextTheme yatraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yatraOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yatraOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yatraOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yatraOne(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yatraOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yatraOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yatraOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yatraOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yatraOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yatraOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yatraOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yatraOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yatraOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yatraOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yatraOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextStyle yellowtail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b215ff924143953aab36ca98f8e4de07ec4da8df9cd16fc8188f8925b57ae35',
        60864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yellowtail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextTheme yellowtailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yellowtail(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yellowtail(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yellowtail(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yellowtail(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yellowtail(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yellowtail(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yellowtail(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yellowtail(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yellowtail(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yellowtail(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yellowtail(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yellowtail(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yellowtail(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yellowtail(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yellowtail(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextStyle yeonSung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2df96f5b33472f315b4b95c979fbc86e16cf6cb3be06d844568b067525f83c3c',
        1698764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YeonSung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextTheme yeonSungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yeonSung(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yeonSung(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yeonSung(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yeonSung(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yeonSung(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yeonSung(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yeonSung(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yeonSung(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yeonSung(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yeonSung(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yeonSung(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yeonSung(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yeonSung(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yeonSung(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yeonSung(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextStyle yesevaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a129ac93b1da5e259167ee9a5bfc83662111f6731f81ea0efa727f6d56b48acb',
        70252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YesevaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextTheme yesevaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yesevaOne(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yesevaOne(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yesevaOne(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yesevaOne(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yesevaOne(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yesevaOne(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yesevaOne(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yesevaOne(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yesevaOne(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yesevaOne(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yesevaOne(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yesevaOne(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yesevaOne(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yesevaOne(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yesevaOne(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextStyle yesteryear({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e040479dec03b0fc812e56248398d3930c00787568583df2a616064a71be2f2',
        60608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yesteryear',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextTheme yesteryearTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yesteryear(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yesteryear(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yesteryear(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yesteryear(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yesteryear(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yesteryear(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yesteryear(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yesteryear(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yesteryear(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yesteryear(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yesteryear(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yesteryear(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yesteryear(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yesteryear(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yesteryear(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yomogi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextStyle yomogi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9599d0d1b154655fd4884d9369cb9acc252fd6ba42fefcd53838194c3f5fadbd',
        4033948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yomogi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yomogi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextTheme yomogiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yomogi(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yomogi(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yomogi(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yomogi(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yomogi(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yomogi(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yomogi(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yomogi(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yomogi(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yomogi(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yomogi(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yomogi(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yomogi(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yomogi(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yomogi(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yrsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextStyle yrsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ead29d166670d1fc6bf93af817531ceff3706a984a6ba2b4cbe15343e331ad11',
        114684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06854f211a724c21791ebe85609cd668afa4a3d6f62c7b5e43733e11637728df',
        114940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8683f66f62685f77c51b99ffc676369da0aadc6728f9e900ce7c3f5606d03f98',
        114988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75d88061f34fd69c6d4c6d8e5d9adc6fe37c7e633c6aa544f6c46d0906bb9793',
        115076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ebf34736e2a7b05da75def2d3f411ea4f0d98bfe245ad9f37cf56ffe136b549',
        114380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01c032fbcc72ef2d2d39eec6c3aa1b19b14a4335ba1aeb30cd6214cf5fd970b8',
        148480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b78dbcfb5ffc70f666b8caad4074256ccc879441c0c2e329c1fd45d22bcb1ee',
        148412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0979dfb55dc55e9847a62d6cb54e0077fe290411c07b4efe85d047455e98cdbc',
        148488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b48d7a9b4d4e26e10767874ab11ab147e127ef1c947b24aaf4509835d1b4c1d',
        148612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f55f9ac65826b2df205e1ca6ba07730bb8f4f689e78728b2e2131d65dbec75f',
        147740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yrsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yrsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextTheme yrsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yrsa(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yrsa(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yrsa(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yrsa(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yrsa(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yrsa(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yrsa(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yrsa(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yrsa(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yrsa(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yrsa(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yrsa(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yrsa(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yrsa(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yrsa(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextStyle yujiBoku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d03c76f62b49981fee9d4f9b3d186a70ac8613d232a75b7a334bd667ef8f49a',
        7847404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiBoku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextTheme yujiBokuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yujiBoku(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yujiBoku(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yujiBoku(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yujiBoku(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yujiBoku(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yujiBoku(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yujiBoku(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yujiBoku(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yujiBoku(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yujiBoku(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yujiBoku(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yujiBoku(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yujiBoku(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yujiBoku(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yujiBoku(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextStyle yujiMai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6741e6df72abe0287210735f84bb297fb8704e9e44ae1bd53e9366f75215ce8',
        7830152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiMai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextTheme yujiMaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yujiMai(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yujiMai(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yujiMai(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yujiMai(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.yujiMai(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yujiMai(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yujiMai(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yujiMai(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yujiMai(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yujiMai(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yujiMai(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yujiMai(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yujiMai(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yujiMai(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yujiMai(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextStyle yujiSyuku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0647d204ae1a4232cce1a635b3e9503bc9ad48ac3bcaa4114131e2514c49f7e8',
        7779080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiSyuku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextTheme yujiSyukuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yujiSyuku(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yujiSyuku(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yujiSyuku(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yujiSyuku(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yujiSyuku(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yujiSyuku(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yujiSyuku(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yujiSyuku(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextStyle yuseiMagic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18b73a2856ce5f38f775f082b45c1a6cacd2888e41e1082fb3ecdde9bc56c011',
        3129936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YuseiMagic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextTheme yuseiMagicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.yuseiMagic(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.yuseiMagic(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.yuseiMagic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.yuseiMagic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.yuseiMagic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.yuseiMagic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.yuseiMagic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.yuseiMagic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the ZCOOL KuaiLe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+KuaiLe
  static TextStyle zcoolKuaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f6b0ea1eee74c44e089a9336b9f21d4092d7634e8e65406ba9bdfb761f8b808',
        1509564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLKuaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL KuaiLe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+KuaiLe
  static TextTheme zcoolKuaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the ZCOOL QingKe HuangYou font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+QingKe+HuangYou
  static TextStyle zcoolQingKeHuangYou({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34eb0e090dcfa4189711cd20f5bbafeb1fb9e95321cbdd2fb3899daa440b624e',
        5827424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLQingKeHuangYou',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL QingKe HuangYou font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+QingKe+HuangYou
  static TextTheme zcoolQingKeHuangYouTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the ZCOOL XiaoWei font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+XiaoWei
  static TextStyle zcoolXiaoWei({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88f3becb57e71d70863951a31de6f30f09beacc4a0da4efd887409c265d21f9a',
        3917592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLXiaoWei',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL XiaoWei font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+XiaoWei
  static TextTheme zcoolXiaoWeiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique
  static TextStyle zenAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5194e2ed9f0bcce89bbfc2b6e65da19646fa1dd59e90d81803a59e87a9d07d87',
        5505072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique
  static TextTheme zenAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenAntique(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zenAntique(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenAntique(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zenAntique(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenAntique(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zenAntique(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenAntique(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenAntique(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenAntique(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenAntique(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenAntique(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenAntique(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenAntique(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenAntique(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenAntique(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Antique Soft font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique+Soft
  static TextStyle zenAntiqueSoft({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6c11851b251a8fd6164f4085b8541094e5f5a6e2e5e37754e8642b13ff87c19',
        7092760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenAntiqueSoft',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Antique Soft font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique+Soft
  static TextTheme zenAntiqueSoftTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Dots font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Dots
  static TextStyle zenDots({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4473b0732ea501800777ae17dbf7eed235b701b2fda8c05c1eb47021a5ec3d95',
        23284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenDots',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Dots font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Dots
  static TextTheme zenDotsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenDots(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zenDots(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenDots(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zenDots(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.zenDots(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zenDots(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenDots(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenDots(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenDots(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenDots(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenDots(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenDots(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenDots(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenDots(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenDots(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Kaku Gothic Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+Antique
  static TextStyle zenKakuGothicAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '879eda0688dc66d9f75724b943063b642bbf9c10d27041bdbe54a19385bffff7',
        2181520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8f766619fbcebc8728cde4d1c345c7ae3f2e012e2ce8716550eea3b81bd40ef',
        2367728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '345923bcd9164cd011ac6ad1b0ab7522a65f3a5083ffe4a89b7a00d294ae0575',
        2335124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1e86da71257da251b5d93d9e387bd5da1c9438888cf93054ef87650598c3e25',
        2321792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b5908821fe4d8ddf6beac247278a143e393e2cd760aa6fe865f5d335eecd3bc',
        2305916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKakuGothicAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kaku Gothic Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+Antique
  static TextTheme zenKakuGothicAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.titleSmall),
      bodyLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodyMedium),
      bodySmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Kaku Gothic New font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+New
  static TextStyle zenKakuGothicNew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d1f5078420704aa71b49ed380d154b9949b1dfc510891d6a1ed41cd310b0169',
        2178212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4384a380487f151e98d8845a1ddc928caf2f431ee7a53fb9324c335cadf57bf8',
        2357564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfbc923f2ce82449df1cb5b17683c7e44f6b9afc774333081f5428531ba458f3',
        2325364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed51ae15929ce38c43c433f44e39005968a3f453cc3fe80a644d012c5fa370e1',
        2311740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b820ccd251759d7fe0512238fdca3ddab53aea7d264e047ebc1bdaa05fa53d7',
        2297792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKakuGothicNew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kaku Gothic New font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+New
  static TextTheme zenKakuGothicNewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zenKakuGothicNew(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Kurenaido font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kurenaido
  static TextStyle zenKurenaido({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5189a5c092cbc70802df8243ddb905738786f1339bf920b2f422055b7cc20ee0',
        4300388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKurenaido',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kurenaido font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kurenaido
  static TextTheme zenKurenaidoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenKurenaido(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenKurenaido(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenKurenaido(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenKurenaido(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenKurenaido(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenKurenaido(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenKurenaido(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenKurenaido(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenKurenaido(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenKurenaido(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenKurenaido(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenKurenaido(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Loop font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Loop
  static TextStyle zenLoop({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4b47f9c020e99a5c6ffbd0b0d39c1f91452cdfa2eb4618a2d9e4587f36856b7',
        29512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c578d20ba661b151e7d2a6ca01ab8751c2e677f8c10cabee89b057d9a895adc',
        31116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenLoop',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Loop font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Loop
  static TextTheme zenLoopTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenLoop(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zenLoop(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenLoop(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zenLoop(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.zenLoop(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zenLoop(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenLoop(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenLoop(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenLoop(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenLoop(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenLoop(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenLoop(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenLoop(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenLoop(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenLoop(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Maru Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Maru+Gothic
  static TextStyle zenMaruGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a57df8d6102bf7e1998907b953d85f3542c67f2a50fcc3bbfcaf59cecbab8a3c',
        3720592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20b71f2142081eea6ead7e39bbbd53433bdbf6062ce219b433ab549739c783bc',
        3830008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4efc51569de1f50d8e2dc4f7e1af1a45276b568f97b9cb97c6671f1f5d2e61ce',
        3808184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7c27dec2c1a6cd7dd396be309da4f1f190f6ae8050c61447138600bbf9c7bd4',
        3776316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '425074cc157d79a3c90dc3de1dfaf7527dfc2d5b33e643526d3f3835aa86fed7',
        3707524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenMaruGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Maru Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Maru+Gothic
  static TextTheme zenMaruGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenMaruGothic(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenMaruGothic(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenMaruGothic(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenMaruGothic(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenMaruGothic(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenMaruGothic(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenMaruGothic(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Old Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Old+Mincho
  static TextStyle zenOldMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cb3236e701ca61184bf1b03f5ac596cd20bbc2118b71471ed35f54b59792b81',
        5439672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd7ef1dad492f0e6b89bd02b7c8be88a6dbff7aafb074325fc3b8d577deb989f',
        5499928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9ab8116608784c966e101d6b62e52cf6fb620e3a04662750663d9a92246decc',
        5518476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c903f98b02d463d21d6badc34ebe84793527294260ab3540d97c88c137fcd541',
        5433620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2731661d4a53117dbe5c10612e4b7abcd24ccdc478765763ac6c083bd7533b17',
        5413444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenOldMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Old Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Old+Mincho
  static TextTheme zenOldMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenOldMincho(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenOldMincho(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenOldMincho(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenOldMincho(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenOldMincho(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenOldMincho(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenOldMincho(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenOldMincho(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenOldMincho(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenOldMincho(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenOldMincho(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenOldMincho(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zen Tokyo Zoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Tokyo+Zoo
  static TextStyle zenTokyoZoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbfc6eee5f92cac1950061ce6b0998c7ab27c687c34a50485c6a702bfe4b2be6',
        33740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenTokyoZoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Tokyo Zoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Tokyo+Zoo
  static TextTheme zenTokyoZooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zenTokyoZoo(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zenTokyoZoo(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zenTokyoZoo(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zenTokyoZoo(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zenTokyoZoo(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zeyada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zeyada
  static TextStyle zeyada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65b038b5002309a2081fd95f61c8473008817396af46a1805698dfd24f0a6349',
        48344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Zeyada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zeyada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zeyada
  static TextTheme zeyadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zeyada(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zeyada(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zeyada(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zeyada(textStyle: textTheme.headlineLarge),
      headlineMedium: GoogleFonts.zeyada(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zeyada(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zeyada(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zeyada(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zeyada(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zeyada(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zeyada(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zeyada(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zeyada(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zeyada(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zeyada(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zhi Mang Xing font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zhi+Mang+Xing
  static TextStyle zhiMangXing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f69c13808c57a2c742095a0944055a3db681e2949262bef05f1bf114d63212af',
        4051716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZhiMangXing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zhi Mang Xing font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zhi+Mang+Xing
  static TextTheme zhiMangXingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zhiMangXing(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zhiMangXing(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zhiMangXing(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zhiMangXing(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zhiMangXing(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zhiMangXing(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zhiMangXing(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zhiMangXing(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zhiMangXing(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zhiMangXing(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zhiMangXing(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zhiMangXing(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zilla Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab
  static TextStyle zillaSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '098ff14d2da0e9b254366520823452caf90d5bbb05d1a48594e4cec4ed982c23',
        94340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3e58722827737d990592c2fbd798dc34c949d152a9915651da6f352a182b9ad',
        98148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e27c73aa9c860c6cf5484b60fbf2877b47a2a764cf554023ff9a1659b5a9527',
        94940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ceef98f8a000770741f1bf7debf5d727fa115637763220e1b4f6b062ad16e691',
        99388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb07656a0c6d822b90741d452a3f26c08a8912d417984d1b998f1eb23108e0ec',
        95756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b04ac0c02cc7094cd2a7dc7c448fa4fa76b0bbfecac528eaf4e8bb86e4ddd6ec',
        100732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19dd95c6a0ac56fe64ac4b5f0dc27b15b4acc44769355893f9324fa2af8b6ccd',
        95628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a1f8b9172d2ac7fcc41bfaf2c657d5a98d46b8ce0546daf30b379e955c61e63',
        100636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e09657275ee68dcf7ce71c430ebb52f717ca867f011cc7c645674a8e6df7212',
        96044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12ed12c56a8283c4f35d6267f08faf96ecbaca7934ede56d72b36d3800a6a38d',
        100780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZillaSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zilla Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab
  static TextTheme zillaSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge: GoogleFonts.zillaSlab(textStyle: textTheme.displayLarge),
      displayMedium: GoogleFonts.zillaSlab(textStyle: textTheme.displayMedium),
      displaySmall: GoogleFonts.zillaSlab(textStyle: textTheme.displaySmall),
      headlineLarge: GoogleFonts.zillaSlab(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zillaSlab(textStyle: textTheme.headlineMedium),
      headlineSmall: GoogleFonts.zillaSlab(textStyle: textTheme.headlineSmall),
      titleLarge: GoogleFonts.zillaSlab(textStyle: textTheme.titleLarge),
      titleMedium: GoogleFonts.zillaSlab(textStyle: textTheme.titleMedium),
      titleSmall: GoogleFonts.zillaSlab(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zillaSlab(textStyle: textTheme.bodyLarge),
      bodyMedium: GoogleFonts.zillaSlab(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zillaSlab(textStyle: textTheme.bodySmall),
      labelLarge: GoogleFonts.zillaSlab(textStyle: textTheme.labelLarge),
      labelMedium: GoogleFonts.zillaSlab(textStyle: textTheme.labelMedium),
      labelSmall: GoogleFonts.zillaSlab(textStyle: textTheme.labelSmall),
    );
  }

  /// Applies the Zilla Slab Highlight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab+Highlight
  static TextStyle zillaSlabHighlight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06544adfdf9578cdab69d4a38ad7c46872faa3ab86fe50adf7d2e71469b4e33f',
        80696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '786dcdd5f3fca211765ed1e6b5797b1363e53702c947b6227a8dcbc501760df7',
        79820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZillaSlabHighlight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zilla Slab Highlight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab+Highlight
  static TextTheme zillaSlabHighlightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      displayLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.displayLarge),
      displayMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.displayMedium),
      displaySmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.displaySmall),
      headlineLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headlineLarge),
      headlineMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headlineMedium),
      headlineSmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headlineSmall),
      titleLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.titleLarge),
      titleMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.titleMedium),
      titleSmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.titleSmall),
      bodyLarge: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodyLarge),
      bodyMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodyMedium),
      bodySmall: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodySmall),
      labelLarge:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.labelLarge),
      labelMedium:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.labelMedium),
      labelSmall:
          GoogleFonts.zillaSlabHighlight(textStyle: textTheme.labelSmall),
    );
  }
}
